import { ApplicationTemplate } from '../../models/';
import { ApplicationTemplateItemRequestBuilderDeleteRequestConfiguration } from './applicationTemplateItemRequestBuilderDeleteRequestConfiguration';
import { ApplicationTemplateItemRequestBuilderGetRequestConfiguration } from './applicationTemplateItemRequestBuilderGetRequestConfiguration';
import { ApplicationTemplateItemRequestBuilderPatchRequestConfiguration } from './applicationTemplateItemRequestBuilderPatchRequestConfiguration';
import { InstantiateRequestBuilder } from './instantiate/instantiateRequestBuilder';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the collection of applicationTemplate entities. */
export declare class ApplicationTemplateItemRequestBuilder {
    /** The instantiate property */
    get instantiate(): InstantiateRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Instantiates a new ApplicationTemplateItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete entity from applicationTemplates
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createDeleteRequestInformation(requestConfiguration?: ApplicationTemplateItemRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * Retrieve the properties of an [applicationTemplate](../resources/applicationtemplate.md) object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: ApplicationTemplateItemRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update entity in applicationTemplates
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body: ApplicationTemplate | undefined, requestConfiguration?: ApplicationTemplateItemRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Delete entity from applicationTemplates
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    delete(requestConfiguration?: ApplicationTemplateItemRequestBuilderDeleteRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Retrieve the properties of an [applicationTemplate](../resources/applicationtemplate.md) object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of ApplicationTemplate
     */
    get(requestConfiguration?: ApplicationTemplateItemRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<ApplicationTemplate | undefined>;
    /**
     * Update entity in applicationTemplates
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body: ApplicationTemplate | undefined, requestConfiguration?: ApplicationTemplateItemRequestBuilderPatchRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
}
