import { RestrictedSignIn } from '../../../models/';
import { RestrictedSignInItemRequestBuilderDeleteRequestConfiguration } from './restrictedSignInItemRequestBuilderDeleteRequestConfiguration';
import { RestrictedSignInItemRequestBuilderGetRequestConfiguration } from './restrictedSignInItemRequestBuilderGetRequestConfiguration';
import { RestrictedSignInItemRequestBuilderPatchRequestConfiguration } from './restrictedSignInItemRequestBuilderPatchRequestConfiguration';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the restrictedSignIns property of the microsoft.graph.auditLogRoot entity. */
export declare class RestrictedSignInItemRequestBuilder {
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Instantiates a new RestrictedSignInItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property restrictedSignIns for auditLogs
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createDeleteRequestInformation(requestConfiguration?: RestrictedSignInItemRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * Get restrictedSignIns from auditLogs
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: RestrictedSignInItemRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property restrictedSignIns in auditLogs
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body: RestrictedSignIn | undefined, requestConfiguration?: RestrictedSignInItemRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Delete navigation property restrictedSignIns for auditLogs
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    delete(requestConfiguration?: RestrictedSignInItemRequestBuilderDeleteRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Get restrictedSignIns from auditLogs
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of RestrictedSignIn
     */
    get(requestConfiguration?: RestrictedSignInItemRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<RestrictedSignIn | undefined>;
    /**
     * Update the navigation property restrictedSignIns in auditLogs
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body: RestrictedSignIn | undefined, requestConfiguration?: RestrictedSignInItemRequestBuilderPatchRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
}
