import { RestrictedSignIn, RestrictedSignInCollectionResponse } from '../../models/';
import { CountRequestBuilder } from './count/countRequestBuilder';
import { RestrictedSignInsRequestBuilderGetRequestConfiguration } from './restrictedSignInsRequestBuilderGetRequestConfiguration';
import { RestrictedSignInsRequestBuilderPostRequestConfiguration } from './restrictedSignInsRequestBuilderPostRequestConfiguration';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the restrictedSignIns property of the microsoft.graph.auditLogRoot entity. */
export declare class RestrictedSignInsRequestBuilder {
    /** The count property */
    get count(): CountRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Instantiates a new RestrictedSignInsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Get restrictedSignIns from auditLogs
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: RestrictedSignInsRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Create new navigation property to restrictedSignIns for auditLogs
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPostRequestInformation(body: RestrictedSignIn | undefined, requestConfiguration?: RestrictedSignInsRequestBuilderPostRequestConfiguration | undefined): RequestInformation;
    /**
     * Get restrictedSignIns from auditLogs
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of RestrictedSignInCollectionResponse
     */
    get(requestConfiguration?: RestrictedSignInsRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<RestrictedSignInCollectionResponse | undefined>;
    /**
     * Create new navigation property to restrictedSignIns for auditLogs
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of RestrictedSignIn
     */
    post(body: RestrictedSignIn | undefined, requestConfiguration?: RestrictedSignInsRequestBuilderPostRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<RestrictedSignIn | undefined>;
}
