import { GetPstnCallsWithFromDateTimeWithToDateTimeRequestBuilderGetRequestConfiguration } from './getPstnCallsWithFromDateTimeWithToDateTimeRequestBuilderGetRequestConfiguration';
import { GetPstnCallsWithFromDateTimeWithToDateTimeResponse } from './index';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to call the getPstnCalls method. */
export declare class GetPstnCallsWithFromDateTimeWithToDateTimeRequestBuilder {
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Instantiates a new GetPstnCallsWithFromDateTimeWithToDateTimeRequestBuilder and sets the default values.
     * @param fromDateTime Usage: fromDateTime='{fromDateTime}'
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     * @param toDateTime Usage: toDateTime='{toDateTime}'
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter, fromDateTime?: Date | undefined, toDateTime?: Date | undefined);
    /**
     * Invoke function getPstnCalls
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: GetPstnCallsWithFromDateTimeWithToDateTimeRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Invoke function getPstnCalls
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of GetPstnCallsWithFromDateTimeWithToDateTimeResponse
     */
    get(requestConfiguration?: GetPstnCallsWithFromDateTimeWithToDateTimeRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<GetPstnCallsWithFromDateTimeWithToDateTimeResponse | undefined>;
}
