"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SessionItemRequestBuilderGetQueryParameters = void 0;
/** List of sessions involved in the call. Peer-to-peer calls typically only have one session, whereas group calls typically have at least one session per participant. Read-only. Nullable. */
class SessionItemRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "expand": return "%24expand";
            case "select": return "%24select";
            default: return originalName;
        }
    }
    ;
}
exports.SessionItemRequestBuilderGetQueryParameters = SessionItemRequestBuilderGetQueryParameters;
