import { IncomingCallOptions, MediaConfig } from '../../../../models/';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to call the answer method. */
export declare class AnswerPostRequestBody implements AdditionalDataHolder, Parsable {
    /** The acceptedModalities property */
    private _acceptedModalities?;
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The callbackUri property */
    private _callbackUri?;
    /** The callOptions property */
    private _callOptions?;
    /** The mediaConfig property */
    private _mediaConfig?;
    /** The participantCapacity property */
    private _participantCapacity?;
    /**
     * Gets the acceptedModalities property value. The acceptedModalities property
     * @returns a string
     */
    get acceptedModalities(): string[] | undefined;
    /**
     * Sets the acceptedModalities property value. The acceptedModalities property
     * @param value Value to set for the acceptedModalities property.
     */
    set acceptedModalities(value: string[] | undefined);
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the callbackUri property value. The callbackUri property
     * @returns a string
     */
    get callbackUri(): string | undefined;
    /**
     * Sets the callbackUri property value. The callbackUri property
     * @param value Value to set for the callbackUri property.
     */
    set callbackUri(value: string | undefined);
    /**
     * Gets the callOptions property value. The callOptions property
     * @returns a incomingCallOptions
     */
    get callOptions(): IncomingCallOptions | undefined;
    /**
     * Sets the callOptions property value. The callOptions property
     * @param value Value to set for the callOptions property.
     */
    set callOptions(value: IncomingCallOptions | undefined);
    /**
     * Instantiates a new answerPostRequestBody and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the mediaConfig property value. The mediaConfig property
     * @returns a mediaConfig
     */
    get mediaConfig(): MediaConfig | undefined;
    /**
     * Sets the mediaConfig property value. The mediaConfig property
     * @param value Value to set for the mediaConfig property.
     */
    set mediaConfig(value: MediaConfig | undefined);
    /**
     * Gets the participantCapacity property value. The participantCapacity property
     * @returns a integer
     */
    get participantCapacity(): number | undefined;
    /**
     * Sets the participantCapacity property value. The participantCapacity property
     * @param value Value to set for the participantCapacity property.
     */
    set participantCapacity(value: number | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
