"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InvitePostRequestBody = void 0;
const createInvitationParticipantInfoFromDiscriminatorValue_1 = require("../../../../../models/createInvitationParticipantInfoFromDiscriminatorValue");
/** Provides operations to call the invite method. */
class InvitePostRequestBody {
    /**
     * Instantiates a new invitePostRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the clientContext property value. The clientContext property
     * @returns a string
     */
    get clientContext() {
        return this._clientContext;
    }
    ;
    /**
     * Sets the clientContext property value. The clientContext property
     * @param value Value to set for the clientContext property.
     */
    set clientContext(value) {
        this._clientContext = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "clientContext": n => { this.clientContext = n.getStringValue(); },
            "participants": n => { this.participants = n.getCollectionOfObjectValues(createInvitationParticipantInfoFromDiscriminatorValue_1.createInvitationParticipantInfoFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Gets the participants property value. The participants property
     * @returns a invitationParticipantInfo
     */
    get participants() {
        return this._participants;
    }
    ;
    /**
     * Sets the participants property value. The participants property
     * @param value Value to set for the participants property.
     */
    set participants(value) {
        this._participants = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("clientContext", this.clientContext);
        writer.writeCollectionOfObjectValues("participants", this.participants);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.InvitePostRequestBody = InvitePostRequestBody;
