"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlayPromptPostRequestBody = void 0;
const createPromptFromDiscriminatorValue_1 = require("../../../../models/createPromptFromDiscriminatorValue");
/** Provides operations to call the playPrompt method. */
class PlayPromptPostRequestBody {
    /**
     * Instantiates a new playPromptPostRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the clientContext property value. The clientContext property
     * @returns a string
     */
    get clientContext() {
        return this._clientContext;
    }
    ;
    /**
     * Sets the clientContext property value. The clientContext property
     * @param value Value to set for the clientContext property.
     */
    set clientContext(value) {
        this._clientContext = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "clientContext": n => { this.clientContext = n.getStringValue(); },
            "prompts": n => { this.prompts = n.getCollectionOfObjectValues(createPromptFromDiscriminatorValue_1.createPromptFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Gets the prompts property value. The prompts property
     * @returns a prompt
     */
    get prompts() {
        return this._prompts;
    }
    ;
    /**
     * Sets the prompts property value. The prompts property
     * @param value Value to set for the prompts property.
     */
    set prompts(value) {
        this._prompts = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("clientContext", this.clientContext);
        writer.writeCollectionOfObjectValues("prompts", this.prompts);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.PlayPromptPostRequestBody = PlayPromptPostRequestBody;
