import { Prompt } from '../../../../models/';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to call the recordResponse method. */
export declare class RecordResponsePostRequestBody implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The bargeInAllowed property */
    private _bargeInAllowed?;
    /** The clientContext property */
    private _clientContext?;
    /** The initialSilenceTimeoutInSeconds property */
    private _initialSilenceTimeoutInSeconds?;
    /** The maxRecordDurationInSeconds property */
    private _maxRecordDurationInSeconds?;
    /** The maxSilenceTimeoutInSeconds property */
    private _maxSilenceTimeoutInSeconds?;
    /** The playBeep property */
    private _playBeep?;
    /** The prompts property */
    private _prompts?;
    /** The stopTones property */
    private _stopTones?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the bargeInAllowed property value. The bargeInAllowed property
     * @returns a boolean
     */
    get bargeInAllowed(): boolean | undefined;
    /**
     * Sets the bargeInAllowed property value. The bargeInAllowed property
     * @param value Value to set for the bargeInAllowed property.
     */
    set bargeInAllowed(value: boolean | undefined);
    /**
     * Gets the clientContext property value. The clientContext property
     * @returns a string
     */
    get clientContext(): string | undefined;
    /**
     * Sets the clientContext property value. The clientContext property
     * @param value Value to set for the clientContext property.
     */
    set clientContext(value: string | undefined);
    /**
     * Instantiates a new recordResponsePostRequestBody and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the initialSilenceTimeoutInSeconds property value. The initialSilenceTimeoutInSeconds property
     * @returns a integer
     */
    get initialSilenceTimeoutInSeconds(): number | undefined;
    /**
     * Sets the initialSilenceTimeoutInSeconds property value. The initialSilenceTimeoutInSeconds property
     * @param value Value to set for the initialSilenceTimeoutInSeconds property.
     */
    set initialSilenceTimeoutInSeconds(value: number | undefined);
    /**
     * Gets the maxRecordDurationInSeconds property value. The maxRecordDurationInSeconds property
     * @returns a integer
     */
    get maxRecordDurationInSeconds(): number | undefined;
    /**
     * Sets the maxRecordDurationInSeconds property value. The maxRecordDurationInSeconds property
     * @param value Value to set for the maxRecordDurationInSeconds property.
     */
    set maxRecordDurationInSeconds(value: number | undefined);
    /**
     * Gets the maxSilenceTimeoutInSeconds property value. The maxSilenceTimeoutInSeconds property
     * @returns a integer
     */
    get maxSilenceTimeoutInSeconds(): number | undefined;
    /**
     * Sets the maxSilenceTimeoutInSeconds property value. The maxSilenceTimeoutInSeconds property
     * @param value Value to set for the maxSilenceTimeoutInSeconds property.
     */
    set maxSilenceTimeoutInSeconds(value: number | undefined);
    /**
     * Gets the playBeep property value. The playBeep property
     * @returns a boolean
     */
    get playBeep(): boolean | undefined;
    /**
     * Sets the playBeep property value. The playBeep property
     * @param value Value to set for the playBeep property.
     */
    set playBeep(value: boolean | undefined);
    /**
     * Gets the prompts property value. The prompts property
     * @returns a prompt
     */
    get prompts(): Prompt[] | undefined;
    /**
     * Sets the prompts property value. The prompts property
     * @param value Value to set for the prompts property.
     */
    set prompts(value: Prompt[] | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the stopTones property value. The stopTones property
     * @returns a string
     */
    get stopTones(): string[] | undefined;
    /**
     * Sets the stopTones property value. The stopTones property
     * @param value Value to set for the stopTones property.
     */
    set stopTones(value: string[] | undefined);
}
