"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RedirectPostRequestBody = void 0;
const createInvitationParticipantInfoFromDiscriminatorValue_1 = require("../../../../models/createInvitationParticipantInfoFromDiscriminatorValue");
/** Provides operations to call the redirect method. */
class RedirectPostRequestBody {
    /**
     * Instantiates a new redirectPostRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the callbackUri property value. The callbackUri property
     * @returns a string
     */
    get callbackUri() {
        return this._callbackUri;
    }
    ;
    /**
     * Sets the callbackUri property value. The callbackUri property
     * @param value Value to set for the callbackUri property.
     */
    set callbackUri(value) {
        this._callbackUri = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "callbackUri": n => { this.callbackUri = n.getStringValue(); },
            "targets": n => { this.targets = n.getCollectionOfObjectValues(createInvitationParticipantInfoFromDiscriminatorValue_1.createInvitationParticipantInfoFromDiscriminatorValue); },
            "timeout": n => { this.timeout = n.getNumberValue(); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("callbackUri", this.callbackUri);
        writer.writeCollectionOfObjectValues("targets", this.targets);
        writer.writeNumberValue("timeout", this.timeout);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the targets property value. The targets property
     * @returns a invitationParticipantInfo
     */
    get targets() {
        return this._targets;
    }
    ;
    /**
     * Sets the targets property value. The targets property
     * @param value Value to set for the targets property.
     */
    set targets(value) {
        this._targets = value;
    }
    ;
    /**
     * Gets the timeout property value. The timeout property
     * @returns a integer
     */
    get timeout() {
        return this._timeout;
    }
    ;
    /**
     * Sets the timeout property value. The timeout property
     * @param value Value to set for the timeout property.
     */
    set timeout(value) {
        this._timeout = value;
    }
    ;
}
exports.RedirectPostRequestBody = RedirectPostRequestBody;
