"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RejectPostRequestBody = void 0;
const rejectReason_1 = require("../../../../models/rejectReason");
/** Provides operations to call the reject method. */
class RejectPostRequestBody {
    /**
     * Instantiates a new rejectPostRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the callbackUri property value. The callbackUri property
     * @returns a string
     */
    get callbackUri() {
        return this._callbackUri;
    }
    ;
    /**
     * Sets the callbackUri property value. The callbackUri property
     * @param value Value to set for the callbackUri property.
     */
    set callbackUri(value) {
        this._callbackUri = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "callbackUri": n => { this.callbackUri = n.getStringValue(); },
            "reason": n => { this.reason = n.getEnumValue(rejectReason_1.RejectReason); },
        };
    }
    ;
    /**
     * Gets the reason property value. The reason property
     * @returns a rejectReason
     */
    get reason() {
        return this._reason;
    }
    ;
    /**
     * Sets the reason property value. The reason property
     * @param value Value to set for the reason property.
     */
    set reason(value) {
        this._reason = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("callbackUri", this.callbackUri);
        writer.writeEnumValue("reason", this.reason);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.RejectPostRequestBody = RejectPostRequestBody;
