import { InvitationParticipantInfo, ParticipantInfo } from '../../../../models/';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to call the transfer method. */
export declare class TransferPostRequestBody implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The transferee property */
    private _transferee?;
    /** The transferTarget property */
    private _transferTarget?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Instantiates a new transferPostRequestBody and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the transferee property value. The transferee property
     * @returns a participantInfo
     */
    get transferee(): ParticipantInfo | undefined;
    /**
     * Sets the transferee property value. The transferee property
     * @param value Value to set for the transferee property.
     */
    set transferee(value: ParticipantInfo | undefined);
    /**
     * Gets the transferTarget property value. The transferTarget property
     * @returns a invitationParticipantInfo
     */
    get transferTarget(): InvitationParticipantInfo | undefined;
    /**
     * Sets the transferTarget property value. The transferTarget property
     * @param value Value to set for the transferTarget property.
     */
    set transferTarget(value: InvitationParticipantInfo | undefined);
}
