"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TransferPostRequestBody = void 0;
const createInvitationParticipantInfoFromDiscriminatorValue_1 = require("../../../../models/createInvitationParticipantInfoFromDiscriminatorValue");
const createParticipantInfoFromDiscriminatorValue_1 = require("../../../../models/createParticipantInfoFromDiscriminatorValue");
/** Provides operations to call the transfer method. */
class TransferPostRequestBody {
    /**
     * Instantiates a new transferPostRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "transferee": n => { this.transferee = n.getObjectValue(createParticipantInfoFromDiscriminatorValue_1.createParticipantInfoFromDiscriminatorValue); },
            "transferTarget": n => { this.transferTarget = n.getObjectValue(createInvitationParticipantInfoFromDiscriminatorValue_1.createInvitationParticipantInfoFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeObjectValue("transferee", this.transferee);
        writer.writeObjectValue("transferTarget", this.transferTarget);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the transferee property value. The transferee property
     * @returns a participantInfo
     */
    get transferee() {
        return this._transferee;
    }
    ;
    /**
     * Sets the transferee property value. The transferee property
     * @param value Value to set for the transferee property.
     */
    set transferee(value) {
        this._transferee = value;
    }
    ;
    /**
     * Gets the transferTarget property value. The transferTarget property
     * @returns a invitationParticipantInfo
     */
    get transferTarget() {
        return this._transferTarget;
    }
    ;
    /**
     * Sets the transferTarget property value. The transferTarget property
     * @param value Value to set for the transferTarget property.
     */
    set transferTarget(value) {
        this._transferTarget = value;
    }
    ;
}
exports.TransferPostRequestBody = TransferPostRequestBody;
