import { RecordingStatus } from '../../../../models/recordingStatus';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to call the updateRecordingStatus method. */
export declare class UpdateRecordingStatusPostRequestBody implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The clientContext property */
    private _clientContext?;
    /** The status property */
    private _status?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the clientContext property value. The clientContext property
     * @returns a string
     */
    get clientContext(): string | undefined;
    /**
     * Sets the clientContext property value. The clientContext property
     * @param value Value to set for the clientContext property.
     */
    set clientContext(value: string | undefined);
    /**
     * Instantiates a new updateRecordingStatusPostRequestBody and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the status property value. The status property
     * @returns a recordingStatus
     */
    get status(): RecordingStatus | undefined;
    /**
     * Sets the status property value. The status property
     * @param value Value to set for the status property.
     */
    set status(value: RecordingStatus | undefined);
}
