"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ValidatePropertiesPostRequestBody = void 0;
/** Provides operations to call the validateProperties method. */
class ValidatePropertiesPostRequestBody {
    /**
     * Instantiates a new validatePropertiesPostRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the displayName property value. The displayName property
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. The displayName property
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * Gets the entityType property value. The entityType property
     * @returns a string
     */
    get entityType() {
        return this._entityType;
    }
    ;
    /**
     * Sets the entityType property value. The entityType property
     * @param value Value to set for the entityType property.
     */
    set entityType(value) {
        this._entityType = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "displayName": n => { this.displayName = n.getStringValue(); },
            "entityType": n => { this.entityType = n.getStringValue(); },
            "mailNickname": n => { this.mailNickname = n.getStringValue(); },
            "onBehalfOfUserId": n => { this.onBehalfOfUserId = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the mailNickname property value. The mailNickname property
     * @returns a string
     */
    get mailNickname() {
        return this._mailNickname;
    }
    ;
    /**
     * Sets the mailNickname property value. The mailNickname property
     * @param value Value to set for the mailNickname property.
     */
    set mailNickname(value) {
        this._mailNickname = value;
    }
    ;
    /**
     * Gets the onBehalfOfUserId property value. The onBehalfOfUserId property
     * @returns a string
     */
    get onBehalfOfUserId() {
        return this._onBehalfOfUserId;
    }
    ;
    /**
     * Sets the onBehalfOfUserId property value. The onBehalfOfUserId property
     * @param value Value to set for the onBehalfOfUserId property.
     */
    set onBehalfOfUserId(value) {
        this._onBehalfOfUserId = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("displayName", this.displayName);
        writer.writeStringValue("entityType", this.entityType);
        writer.writeStringValue("mailNickname", this.mailNickname);
        writer.writeStringValue("onBehalfOfUserId", this.onBehalfOfUserId);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.ValidatePropertiesPostRequestBody = ValidatePropertiesPostRequestBody;
