import { DataPolicyOperation, DataPolicyOperationCollectionResponse } from '../models/';
import { CountRequestBuilder } from './count/countRequestBuilder';
import { DataPolicyOperationsRequestBuilderGetRequestConfiguration } from './dataPolicyOperationsRequestBuilderGetRequestConfiguration';
import { DataPolicyOperationsRequestBuilderPostRequestConfiguration } from './dataPolicyOperationsRequestBuilderPostRequestConfiguration';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the collection of dataPolicyOperation entities. */
export declare class DataPolicyOperationsRequestBuilder {
    /** The count property */
    get count(): CountRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Instantiates a new DataPolicyOperationsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Retrieve the properties of the dataPolicyOperation object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: DataPolicyOperationsRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Add new entity to dataPolicyOperations
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPostRequestInformation(body: DataPolicyOperation | undefined, requestConfiguration?: DataPolicyOperationsRequestBuilderPostRequestConfiguration | undefined): RequestInformation;
    /**
     * Retrieve the properties of the dataPolicyOperation object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of DataPolicyOperationCollectionResponse
     */
    get(requestConfiguration?: DataPolicyOperationsRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<DataPolicyOperationCollectionResponse | undefined>;
    /**
     * Add new entity to dataPolicyOperations
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of DataPolicyOperation
     */
    post(body: DataPolicyOperation | undefined, requestConfiguration?: DataPolicyOperationsRequestBuilderPostRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<DataPolicyOperation | undefined>;
}
