import { ManagedAppPolicyDeploymentSummary } from '../../../../models/';
import { DeploymentSummaryRequestBuilderDeleteRequestConfiguration } from './deploymentSummaryRequestBuilderDeleteRequestConfiguration';
import { DeploymentSummaryRequestBuilderGetRequestConfiguration } from './deploymentSummaryRequestBuilderGetRequestConfiguration';
import { DeploymentSummaryRequestBuilderPatchRequestConfiguration } from './deploymentSummaryRequestBuilderPatchRequestConfiguration';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the deploymentSummary property of the microsoft.graph.androidManagedAppProtection entity. */
export declare class DeploymentSummaryRequestBuilder {
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Instantiates a new DeploymentSummaryRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property deploymentSummary for deviceAppManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createDeleteRequestInformation(requestConfiguration?: DeploymentSummaryRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * Navigation property to deployment summary of the configuration.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: DeploymentSummaryRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property deploymentSummary in deviceAppManagement
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body: ManagedAppPolicyDeploymentSummary | undefined, requestConfiguration?: DeploymentSummaryRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Delete navigation property deploymentSummary for deviceAppManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    delete(requestConfiguration?: DeploymentSummaryRequestBuilderDeleteRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Navigation property to deployment summary of the configuration.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of ManagedAppPolicyDeploymentSummary
     */
    get(requestConfiguration?: DeploymentSummaryRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<ManagedAppPolicyDeploymentSummary | undefined>;
    /**
     * Update the navigation property deploymentSummary in deviceAppManagement
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body: ManagedAppPolicyDeploymentSummary | undefined, requestConfiguration?: DeploymentSummaryRequestBuilderPatchRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
}
