import { ManagedAppPolicy } from '../../../models/';
import { ManagedAppPolicyItemRequestBuilderDeleteRequestConfiguration } from './managedAppPolicyItemRequestBuilderDeleteRequestConfiguration';
import { ManagedAppPolicyItemRequestBuilderGetRequestConfiguration } from './managedAppPolicyItemRequestBuilderGetRequestConfiguration';
import { ManagedAppPolicyItemRequestBuilderPatchRequestConfiguration } from './managedAppPolicyItemRequestBuilderPatchRequestConfiguration';
import { ManagedAppProtectionRequestBuilder } from './managedAppProtection/managedAppProtectionRequestBuilder';
import { TargetAppsRequestBuilder } from './targetApps/targetAppsRequestBuilder';
import { TargetedManagedAppProtectionRequestBuilder } from './targetedManagedAppProtection/targetedManagedAppProtectionRequestBuilder';
import { WindowsInformationProtectionRequestBuilder } from './windowsInformationProtection/windowsInformationProtectionRequestBuilder';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the managedAppPolicies property of the microsoft.graph.deviceAppManagement entity. */
export declare class ManagedAppPolicyItemRequestBuilder {
    /** The managedAppProtection property */
    get managedAppProtection(): ManagedAppProtectionRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** The targetApps property */
    get targetApps(): TargetAppsRequestBuilder;
    /** The targetedManagedAppProtection property */
    get targetedManagedAppProtection(): TargetedManagedAppProtectionRequestBuilder;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /** The windowsInformationProtection property */
    get windowsInformationProtection(): WindowsInformationProtectionRequestBuilder;
    /**
     * Instantiates a new ManagedAppPolicyItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property managedAppPolicies for deviceAppManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createDeleteRequestInformation(requestConfiguration?: ManagedAppPolicyItemRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * Managed app policies.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: ManagedAppPolicyItemRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property managedAppPolicies in deviceAppManagement
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body: ManagedAppPolicy | undefined, requestConfiguration?: ManagedAppPolicyItemRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Delete navigation property managedAppPolicies for deviceAppManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    delete(requestConfiguration?: ManagedAppPolicyItemRequestBuilderDeleteRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Managed app policies.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of ManagedAppPolicy
     */
    get(requestConfiguration?: ManagedAppPolicyItemRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<ManagedAppPolicy | undefined>;
    /**
     * Update the navigation property managedAppPolicies in deviceAppManagement
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body: ManagedAppPolicy | undefined, requestConfiguration?: ManagedAppPolicyItemRequestBuilderPatchRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
}
