"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ManagedAppProtectionRequestBuilder = void 0;
const targetAppsRequestBuilder_1 = require("./targetApps/targetAppsRequestBuilder");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
/** Builds and executes requests for operations under /deviceAppManagement/managedAppPolicies/{managedAppPolicy-id}/microsoft.graph.managedAppProtection */
class ManagedAppProtectionRequestBuilder {
    /**
     * Instantiates a new ManagedAppProtectionRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        if (!pathParameters)
            throw new Error("pathParameters cannot be undefined");
        if (!requestAdapter)
            throw new Error("requestAdapter cannot be undefined");
        this.urlTemplate = "{+baseurl}/deviceAppManagement/managedAppPolicies/{managedAppPolicy%2Did}/microsoft.graph.managedAppProtection";
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(pathParameters);
        this.pathParameters = urlTplParams;
        this.requestAdapter = requestAdapter;
    }
    /** The targetApps property */
    get targetApps() {
        return new targetAppsRequestBuilder_1.TargetAppsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    ;
}
exports.ManagedAppProtectionRequestBuilder = ManagedAppProtectionRequestBuilder;
