import { EBookInstallSummary } from '../../../../models/';
import { InstallSummaryRequestBuilderDeleteRequestConfiguration } from './installSummaryRequestBuilderDeleteRequestConfiguration';
import { InstallSummaryRequestBuilderGetRequestConfiguration } from './installSummaryRequestBuilderGetRequestConfiguration';
import { InstallSummaryRequestBuilderPatchRequestConfiguration } from './installSummaryRequestBuilderPatchRequestConfiguration';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the installSummary property of the microsoft.graph.managedEBook entity. */
export declare class InstallSummaryRequestBuilder {
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Instantiates a new InstallSummaryRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property installSummary for deviceAppManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createDeleteRequestInformation(requestConfiguration?: InstallSummaryRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * Mobile App Install Summary.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: InstallSummaryRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property installSummary in deviceAppManagement
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body: EBookInstallSummary | undefined, requestConfiguration?: InstallSummaryRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Delete navigation property installSummary for deviceAppManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    delete(requestConfiguration?: InstallSummaryRequestBuilderDeleteRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Mobile App Install Summary.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of EBookInstallSummary
     */
    get(requestConfiguration?: InstallSummaryRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<EBookInstallSummary | undefined>;
    /**
     * Update the navigation property installSummary in deviceAppManagement
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body: EBookInstallSummary | undefined, requestConfiguration?: InstallSummaryRequestBuilderPatchRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
}
