import { ManagedDeviceMobileAppConfiguration } from '../../../models/';
import { AssignRequestBuilder } from './assign/assignRequestBuilder';
import { AssignmentsRequestBuilder } from './assignments/assignmentsRequestBuilder';
import { ManagedDeviceMobileAppConfigurationAssignmentItemRequestBuilder } from './assignments/item/managedDeviceMobileAppConfigurationAssignmentItemRequestBuilder';
import { DeviceStatusesRequestBuilder } from './deviceStatuses/deviceStatusesRequestBuilder';
import { ManagedDeviceMobileAppConfigurationDeviceStatusItemRequestBuilder } from './deviceStatuses/item/managedDeviceMobileAppConfigurationDeviceStatusItemRequestBuilder';
import { DeviceStatusSummaryRequestBuilder } from './deviceStatusSummary/deviceStatusSummaryRequestBuilder';
import { ManagedDeviceMobileAppConfigurationItemRequestBuilderDeleteRequestConfiguration } from './managedDeviceMobileAppConfigurationItemRequestBuilderDeleteRequestConfiguration';
import { ManagedDeviceMobileAppConfigurationItemRequestBuilderGetRequestConfiguration } from './managedDeviceMobileAppConfigurationItemRequestBuilderGetRequestConfiguration';
import { ManagedDeviceMobileAppConfigurationItemRequestBuilderPatchRequestConfiguration } from './managedDeviceMobileAppConfigurationItemRequestBuilderPatchRequestConfiguration';
import { ManagedDeviceMobileAppConfigurationUserStatusItemRequestBuilder } from './userStatuses/item/managedDeviceMobileAppConfigurationUserStatusItemRequestBuilder';
import { UserStatusesRequestBuilder } from './userStatuses/userStatusesRequestBuilder';
import { UserStatusSummaryRequestBuilder } from './userStatusSummary/userStatusSummaryRequestBuilder';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the mobileAppConfigurations property of the microsoft.graph.deviceAppManagement entity. */
export declare class ManagedDeviceMobileAppConfigurationItemRequestBuilder {
    /** The assign property */
    get assign(): AssignRequestBuilder;
    /** The assignments property */
    get assignments(): AssignmentsRequestBuilder;
    /** The deviceStatuses property */
    get deviceStatuses(): DeviceStatusesRequestBuilder;
    /** The deviceStatusSummary property */
    get deviceStatusSummary(): DeviceStatusSummaryRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /** The userStatuses property */
    get userStatuses(): UserStatusesRequestBuilder;
    /** The userStatusSummary property */
    get userStatusSummary(): UserStatusSummaryRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.deviceAppManagement.mobileAppConfigurations.item.assignments.item collection
     * @param id Unique identifier of the item
     * @returns a managedDeviceMobileAppConfigurationAssignmentItemRequestBuilder
     */
    assignmentsById(id: string): ManagedDeviceMobileAppConfigurationAssignmentItemRequestBuilder;
    /**
     * Instantiates a new ManagedDeviceMobileAppConfigurationItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property mobileAppConfigurations for deviceAppManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createDeleteRequestInformation(requestConfiguration?: ManagedDeviceMobileAppConfigurationItemRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * The Managed Device Mobile Application Configurations.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: ManagedDeviceMobileAppConfigurationItemRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property mobileAppConfigurations in deviceAppManagement
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body: ManagedDeviceMobileAppConfiguration | undefined, requestConfiguration?: ManagedDeviceMobileAppConfigurationItemRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Delete navigation property mobileAppConfigurations for deviceAppManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    delete(requestConfiguration?: ManagedDeviceMobileAppConfigurationItemRequestBuilderDeleteRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.deviceAppManagement.mobileAppConfigurations.item.deviceStatuses.item collection
     * @param id Unique identifier of the item
     * @returns a managedDeviceMobileAppConfigurationDeviceStatusItemRequestBuilder
     */
    deviceStatusesById(id: string): ManagedDeviceMobileAppConfigurationDeviceStatusItemRequestBuilder;
    /**
     * The Managed Device Mobile Application Configurations.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of ManagedDeviceMobileAppConfiguration
     */
    get(requestConfiguration?: ManagedDeviceMobileAppConfigurationItemRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<ManagedDeviceMobileAppConfiguration | undefined>;
    /**
     * Update the navigation property mobileAppConfigurations in deviceAppManagement
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body: ManagedDeviceMobileAppConfiguration | undefined, requestConfiguration?: ManagedDeviceMobileAppConfigurationItemRequestBuilderPatchRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.deviceAppManagement.mobileAppConfigurations.item.userStatuses.item collection
     * @param id Unique identifier of the item
     * @returns a managedDeviceMobileAppConfigurationUserStatusItemRequestBuilder
     */
    userStatusesById(id: string): ManagedDeviceMobileAppConfigurationUserStatusItemRequestBuilder;
}
