import { MobileApp, MobileAppCollectionResponse } from '../../models/';
import { CountRequestBuilder } from './count/countRequestBuilder';
import { ManagedMobileLobAppRequestBuilder } from './managedMobileLobApp/managedMobileLobAppRequestBuilder';
import { MobileAppsRequestBuilderGetRequestConfiguration } from './mobileAppsRequestBuilderGetRequestConfiguration';
import { MobileAppsRequestBuilderPostRequestConfiguration } from './mobileAppsRequestBuilderPostRequestConfiguration';
import { MobileLobAppRequestBuilder } from './mobileLobApp/mobileLobAppRequestBuilder';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the mobileApps property of the microsoft.graph.deviceAppManagement entity. */
export declare class MobileAppsRequestBuilder {
    /** The count property */
    get count(): CountRequestBuilder;
    /** The managedMobileLobApp property */
    get managedMobileLobApp(): ManagedMobileLobAppRequestBuilder;
    /** The mobileLobApp property */
    get mobileLobApp(): MobileLobAppRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Instantiates a new MobileAppsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * The mobile apps.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: MobileAppsRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Create new navigation property to mobileApps for deviceAppManagement
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPostRequestInformation(body: MobileApp | undefined, requestConfiguration?: MobileAppsRequestBuilderPostRequestConfiguration | undefined): RequestInformation;
    /**
     * The mobile apps.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of MobileAppCollectionResponse
     */
    get(requestConfiguration?: MobileAppsRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<MobileAppCollectionResponse | undefined>;
    /**
     * Create new navigation property to mobileApps for deviceAppManagement
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of MobileApp
     */
    post(body: MobileApp | undefined, requestConfiguration?: MobileAppsRequestBuilderPostRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<MobileApp | undefined>;
}
