import { ApplePushNotificationCertificate } from '../../models/';
import { ApplePushNotificationCertificateRequestBuilderDeleteRequestConfiguration } from './applePushNotificationCertificateRequestBuilderDeleteRequestConfiguration';
import { ApplePushNotificationCertificateRequestBuilderGetRequestConfiguration } from './applePushNotificationCertificateRequestBuilderGetRequestConfiguration';
import { ApplePushNotificationCertificateRequestBuilderPatchRequestConfiguration } from './applePushNotificationCertificateRequestBuilderPatchRequestConfiguration';
import { DownloadApplePushNotificationCertificateSigningRequestRequestBuilder } from './downloadApplePushNotificationCertificateSigningRequest/downloadApplePushNotificationCertificateSigningRequestRequestBuilder';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the applePushNotificationCertificate property of the microsoft.graph.deviceManagement entity. */
export declare class ApplePushNotificationCertificateRequestBuilder {
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Instantiates a new ApplePushNotificationCertificateRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property applePushNotificationCertificate for deviceManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createDeleteRequestInformation(requestConfiguration?: ApplePushNotificationCertificateRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * Apple push notification certificate.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: ApplePushNotificationCertificateRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property applePushNotificationCertificate in deviceManagement
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body: ApplePushNotificationCertificate | undefined, requestConfiguration?: ApplePushNotificationCertificateRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Delete navigation property applePushNotificationCertificate for deviceManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    delete(requestConfiguration?: ApplePushNotificationCertificateRequestBuilderDeleteRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Provides operations to call the downloadApplePushNotificationCertificateSigningRequest method.
     * @returns a downloadApplePushNotificationCertificateSigningRequestRequestBuilder
     */
    downloadApplePushNotificationCertificateSigningRequest(): DownloadApplePushNotificationCertificateSigningRequestRequestBuilder;
    /**
     * Apple push notification certificate.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of ApplePushNotificationCertificate
     */
    get(requestConfiguration?: ApplePushNotificationCertificateRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<ApplePushNotificationCertificate | undefined>;
    /**
     * Update the navigation property applePushNotificationCertificate in deviceManagement
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body: ApplePushNotificationCertificate | undefined, requestConfiguration?: ApplePushNotificationCertificateRequestBuilderPatchRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
}
