"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConditionalAccessSettingsRequestBuilderGetQueryParameters = void 0;
/** The Exchange on premises conditional access settings. On premises conditional access will require devices to be both enrolled and compliant for mail access */
class ConditionalAccessSettingsRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "expand": return "%24expand";
            case "select": return "%24select";
            default: return originalName;
        }
    }
    ;
}
exports.ConditionalAccessSettingsRequestBuilderGetQueryParameters = ConditionalAccessSettingsRequestBuilderGetQueryParameters;
