import { DeviceCompliancePolicy } from '../../../models/';
import { AssignRequestBuilder } from './assign/assignRequestBuilder';
import { AssignmentsRequestBuilder } from './assignments/assignmentsRequestBuilder';
import { DeviceCompliancePolicyAssignmentItemRequestBuilder } from './assignments/item/deviceCompliancePolicyAssignmentItemRequestBuilder';
import { DeviceCompliancePolicyItemRequestBuilderDeleteRequestConfiguration } from './deviceCompliancePolicyItemRequestBuilderDeleteRequestConfiguration';
import { DeviceCompliancePolicyItemRequestBuilderGetRequestConfiguration } from './deviceCompliancePolicyItemRequestBuilderGetRequestConfiguration';
import { DeviceCompliancePolicyItemRequestBuilderPatchRequestConfiguration } from './deviceCompliancePolicyItemRequestBuilderPatchRequestConfiguration';
import { DeviceSettingStateSummariesRequestBuilder } from './deviceSettingStateSummaries/deviceSettingStateSummariesRequestBuilder';
import { SettingStateDeviceSummaryItemRequestBuilder } from './deviceSettingStateSummaries/item/settingStateDeviceSummaryItemRequestBuilder';
import { DeviceStatusesRequestBuilder } from './deviceStatuses/deviceStatusesRequestBuilder';
import { DeviceComplianceDeviceStatusItemRequestBuilder } from './deviceStatuses/item/deviceComplianceDeviceStatusItemRequestBuilder';
import { DeviceStatusOverviewRequestBuilder } from './deviceStatusOverview/deviceStatusOverviewRequestBuilder';
import { ScheduleActionsForRulesRequestBuilder } from './scheduleActionsForRules/scheduleActionsForRulesRequestBuilder';
import { DeviceComplianceScheduledActionForRuleItemRequestBuilder } from './scheduledActionsForRule/item/deviceComplianceScheduledActionForRuleItemRequestBuilder';
import { ScheduledActionsForRuleRequestBuilder } from './scheduledActionsForRule/scheduledActionsForRuleRequestBuilder';
import { DeviceComplianceUserStatusItemRequestBuilder } from './userStatuses/item/deviceComplianceUserStatusItemRequestBuilder';
import { UserStatusesRequestBuilder } from './userStatuses/userStatusesRequestBuilder';
import { UserStatusOverviewRequestBuilder } from './userStatusOverview/userStatusOverviewRequestBuilder';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the deviceCompliancePolicies property of the microsoft.graph.deviceManagement entity. */
export declare class DeviceCompliancePolicyItemRequestBuilder {
    /** The assign property */
    get assign(): AssignRequestBuilder;
    /** The assignments property */
    get assignments(): AssignmentsRequestBuilder;
    /** The deviceSettingStateSummaries property */
    get deviceSettingStateSummaries(): DeviceSettingStateSummariesRequestBuilder;
    /** The deviceStatuses property */
    get deviceStatuses(): DeviceStatusesRequestBuilder;
    /** The deviceStatusOverview property */
    get deviceStatusOverview(): DeviceStatusOverviewRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** The scheduleActionsForRules property */
    get scheduleActionsForRules(): ScheduleActionsForRulesRequestBuilder;
    /** The scheduledActionsForRule property */
    get scheduledActionsForRule(): ScheduledActionsForRuleRequestBuilder;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /** The userStatuses property */
    get userStatuses(): UserStatusesRequestBuilder;
    /** The userStatusOverview property */
    get userStatusOverview(): UserStatusOverviewRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.deviceManagement.deviceCompliancePolicies.item.assignments.item collection
     * @param id Unique identifier of the item
     * @returns a deviceCompliancePolicyAssignmentItemRequestBuilder
     */
    assignmentsById(id: string): DeviceCompliancePolicyAssignmentItemRequestBuilder;
    /**
     * Instantiates a new DeviceCompliancePolicyItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property deviceCompliancePolicies for deviceManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createDeleteRequestInformation(requestConfiguration?: DeviceCompliancePolicyItemRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * The device compliance policies.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: DeviceCompliancePolicyItemRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property deviceCompliancePolicies in deviceManagement
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body: DeviceCompliancePolicy | undefined, requestConfiguration?: DeviceCompliancePolicyItemRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Delete navigation property deviceCompliancePolicies for deviceManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    delete(requestConfiguration?: DeviceCompliancePolicyItemRequestBuilderDeleteRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.deviceManagement.deviceCompliancePolicies.item.deviceSettingStateSummaries.item collection
     * @param id Unique identifier of the item
     * @returns a settingStateDeviceSummaryItemRequestBuilder
     */
    deviceSettingStateSummariesById(id: string): SettingStateDeviceSummaryItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.deviceManagement.deviceCompliancePolicies.item.deviceStatuses.item collection
     * @param id Unique identifier of the item
     * @returns a deviceComplianceDeviceStatusItemRequestBuilder
     */
    deviceStatusesById(id: string): DeviceComplianceDeviceStatusItemRequestBuilder;
    /**
     * The device compliance policies.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of DeviceCompliancePolicy
     */
    get(requestConfiguration?: DeviceCompliancePolicyItemRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<DeviceCompliancePolicy | undefined>;
    /**
     * Update the navigation property deviceCompliancePolicies in deviceManagement
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body: DeviceCompliancePolicy | undefined, requestConfiguration?: DeviceCompliancePolicyItemRequestBuilderPatchRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.deviceManagement.deviceCompliancePolicies.item.scheduledActionsForRule.item collection
     * @param id Unique identifier of the item
     * @returns a deviceComplianceScheduledActionForRuleItemRequestBuilder
     */
    scheduledActionsForRuleById(id: string): DeviceComplianceScheduledActionForRuleItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.deviceManagement.deviceCompliancePolicies.item.userStatuses.item collection
     * @param id Unique identifier of the item
     * @returns a deviceComplianceUserStatusItemRequestBuilder
     */
    userStatusesById(id: string): DeviceComplianceUserStatusItemRequestBuilder;
}
