import { DeviceComplianceScheduledActionForRule } from '../../../../../models/';
import { DeviceComplianceScheduledActionForRuleItemRequestBuilderDeleteRequestConfiguration } from './deviceComplianceScheduledActionForRuleItemRequestBuilderDeleteRequestConfiguration';
import { DeviceComplianceScheduledActionForRuleItemRequestBuilderGetRequestConfiguration } from './deviceComplianceScheduledActionForRuleItemRequestBuilderGetRequestConfiguration';
import { DeviceComplianceScheduledActionForRuleItemRequestBuilderPatchRequestConfiguration } from './deviceComplianceScheduledActionForRuleItemRequestBuilderPatchRequestConfiguration';
import { DeviceComplianceActionItemItemRequestBuilder } from './scheduledActionConfigurations/item/deviceComplianceActionItemItemRequestBuilder';
import { ScheduledActionConfigurationsRequestBuilder } from './scheduledActionConfigurations/scheduledActionConfigurationsRequestBuilder';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the scheduledActionsForRule property of the microsoft.graph.deviceCompliancePolicy entity. */
export declare class DeviceComplianceScheduledActionForRuleItemRequestBuilder {
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** The scheduledActionConfigurations property */
    get scheduledActionConfigurations(): ScheduledActionConfigurationsRequestBuilder;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Instantiates a new DeviceComplianceScheduledActionForRuleItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property scheduledActionsForRule for deviceManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createDeleteRequestInformation(requestConfiguration?: DeviceComplianceScheduledActionForRuleItemRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * The list of scheduled action for this rule
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: DeviceComplianceScheduledActionForRuleItemRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property scheduledActionsForRule in deviceManagement
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body: DeviceComplianceScheduledActionForRule | undefined, requestConfiguration?: DeviceComplianceScheduledActionForRuleItemRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Delete navigation property scheduledActionsForRule for deviceManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    delete(requestConfiguration?: DeviceComplianceScheduledActionForRuleItemRequestBuilderDeleteRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * The list of scheduled action for this rule
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of DeviceComplianceScheduledActionForRule
     */
    get(requestConfiguration?: DeviceComplianceScheduledActionForRuleItemRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<DeviceComplianceScheduledActionForRule | undefined>;
    /**
     * Update the navigation property scheduledActionsForRule in deviceManagement
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body: DeviceComplianceScheduledActionForRule | undefined, requestConfiguration?: DeviceComplianceScheduledActionForRuleItemRequestBuilderPatchRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.deviceManagement.deviceCompliancePolicies.item.scheduledActionsForRule.item.scheduledActionConfigurations.item collection
     * @param id Unique identifier of the item
     * @returns a deviceComplianceActionItemItemRequestBuilder
     */
    scheduledActionConfigurationsById(id: string): DeviceComplianceActionItemItemRequestBuilder;
}
