"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssignPostRequestBody = void 0;
const createDeviceConfigurationAssignmentFromDiscriminatorValue_1 = require("../../../../models/createDeviceConfigurationAssignmentFromDiscriminatorValue");
/** Provides operations to call the assign method. */
class AssignPostRequestBody {
    /**
     * Instantiates a new assignPostRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the assignments property value. The assignments property
     * @returns a deviceConfigurationAssignment
     */
    get assignments() {
        return this._assignments;
    }
    ;
    /**
     * Sets the assignments property value. The assignments property
     * @param value Value to set for the assignments property.
     */
    set assignments(value) {
        this._assignments = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "assignments": n => { this.assignments = n.getCollectionOfObjectValues(createDeviceConfigurationAssignmentFromDiscriminatorValue_1.createDeviceConfigurationAssignmentFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeCollectionOfObjectValues("assignments", this.assignments);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.AssignPostRequestBody = AssignPostRequestBody;
