import { IosUpdateDeviceStatus, IosUpdateDeviceStatusCollectionResponse } from '../../models/';
import { CountRequestBuilder } from './count/countRequestBuilder';
import { IosUpdateStatusesRequestBuilderGetRequestConfiguration } from './iosUpdateStatusesRequestBuilderGetRequestConfiguration';
import { IosUpdateStatusesRequestBuilderPostRequestConfiguration } from './iosUpdateStatusesRequestBuilderPostRequestConfiguration';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the iosUpdateStatuses property of the microsoft.graph.deviceManagement entity. */
export declare class IosUpdateStatusesRequestBuilder {
    /** The count property */
    get count(): CountRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Instantiates a new IosUpdateStatusesRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * The IOS software update installation statuses for this account.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: IosUpdateStatusesRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Create new navigation property to iosUpdateStatuses for deviceManagement
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPostRequestInformation(body: IosUpdateDeviceStatus | undefined, requestConfiguration?: IosUpdateStatusesRequestBuilderPostRequestConfiguration | undefined): RequestInformation;
    /**
     * The IOS software update installation statuses for this account.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of IosUpdateDeviceStatusCollectionResponse
     */
    get(requestConfiguration?: IosUpdateStatusesRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<IosUpdateDeviceStatusCollectionResponse | undefined>;
    /**
     * Create new navigation property to iosUpdateStatuses for deviceManagement
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of IosUpdateDeviceStatus
     */
    post(body: IosUpdateDeviceStatus | undefined, requestConfiguration?: IosUpdateStatusesRequestBuilderPostRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<IosUpdateDeviceStatus | undefined>;
}
