import { NotificationMessageTemplate } from '../../../models/';
import { LocalizedNotificationMessageItemRequestBuilder } from './localizedNotificationMessages/item/localizedNotificationMessageItemRequestBuilder';
import { LocalizedNotificationMessagesRequestBuilder } from './localizedNotificationMessages/localizedNotificationMessagesRequestBuilder';
import { NotificationMessageTemplateItemRequestBuilderDeleteRequestConfiguration } from './notificationMessageTemplateItemRequestBuilderDeleteRequestConfiguration';
import { NotificationMessageTemplateItemRequestBuilderGetRequestConfiguration } from './notificationMessageTemplateItemRequestBuilderGetRequestConfiguration';
import { NotificationMessageTemplateItemRequestBuilderPatchRequestConfiguration } from './notificationMessageTemplateItemRequestBuilderPatchRequestConfiguration';
import { SendTestMessageRequestBuilder } from './sendTestMessage/sendTestMessageRequestBuilder';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the notificationMessageTemplates property of the microsoft.graph.deviceManagement entity. */
export declare class NotificationMessageTemplateItemRequestBuilder {
    /** The localizedNotificationMessages property */
    get localizedNotificationMessages(): LocalizedNotificationMessagesRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** The sendTestMessage property */
    get sendTestMessage(): SendTestMessageRequestBuilder;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Instantiates a new NotificationMessageTemplateItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property notificationMessageTemplates for deviceManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createDeleteRequestInformation(requestConfiguration?: NotificationMessageTemplateItemRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * The Notification Message Templates.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: NotificationMessageTemplateItemRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property notificationMessageTemplates in deviceManagement
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body: NotificationMessageTemplate | undefined, requestConfiguration?: NotificationMessageTemplateItemRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Delete navigation property notificationMessageTemplates for deviceManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    delete(requestConfiguration?: NotificationMessageTemplateItemRequestBuilderDeleteRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * The Notification Message Templates.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of NotificationMessageTemplate
     */
    get(requestConfiguration?: NotificationMessageTemplateItemRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<NotificationMessageTemplate | undefined>;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.deviceManagement.notificationMessageTemplates.item.localizedNotificationMessages.item collection
     * @param id Unique identifier of the item
     * @returns a localizedNotificationMessageItemRequestBuilder
     */
    localizedNotificationMessagesById(id: string): LocalizedNotificationMessageItemRequestBuilder;
    /**
     * Update the navigation property notificationMessageTemplates in deviceManagement
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body: NotificationMessageTemplate | undefined, requestConfiguration?: NotificationMessageTemplateItemRequestBuilderPatchRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
}
