import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to call the getPolicyNonComplianceMetadata method. */
export declare class GetPolicyNonComplianceMetadataPostRequestBody implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The filter property */
    private _filter?;
    /** The groupBy property */
    private _groupBy?;
    /** The name property */
    private _name?;
    /** The orderBy property */
    private _orderBy?;
    /** The search property */
    private _search?;
    /** The select property */
    private _select?;
    /** The sessionId property */
    private _sessionId?;
    /** The skip property */
    private _skip?;
    /** The top property */
    private _top?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Instantiates a new getPolicyNonComplianceMetadataPostRequestBody and sets the default values.
     */
    constructor();
    /**
     * Gets the filter property value. The filter property
     * @returns a string
     */
    get filter(): string | undefined;
    /**
     * Sets the filter property value. The filter property
     * @param value Value to set for the filter property.
     */
    set filter(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the groupBy property value. The groupBy property
     * @returns a string
     */
    get groupBy(): string[] | undefined;
    /**
     * Sets the groupBy property value. The groupBy property
     * @param value Value to set for the groupBy property.
     */
    set groupBy(value: string[] | undefined);
    /**
     * Gets the name property value. The name property
     * @returns a string
     */
    get name(): string | undefined;
    /**
     * Sets the name property value. The name property
     * @param value Value to set for the name property.
     */
    set name(value: string | undefined);
    /**
     * Gets the orderBy property value. The orderBy property
     * @returns a string
     */
    get orderBy(): string[] | undefined;
    /**
     * Sets the orderBy property value. The orderBy property
     * @param value Value to set for the orderBy property.
     */
    set orderBy(value: string[] | undefined);
    /**
     * Gets the search property value. The search property
     * @returns a string
     */
    get search(): string | undefined;
    /**
     * Sets the search property value. The search property
     * @param value Value to set for the search property.
     */
    set search(value: string | undefined);
    /**
     * Gets the select property value. The select property
     * @returns a string
     */
    get select(): string[] | undefined;
    /**
     * Sets the select property value. The select property
     * @param value Value to set for the select property.
     */
    set select(value: string[] | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the sessionId property value. The sessionId property
     * @returns a string
     */
    get sessionId(): string | undefined;
    /**
     * Sets the sessionId property value. The sessionId property
     * @param value Value to set for the sessionId property.
     */
    set sessionId(value: string | undefined);
    /**
     * Gets the skip property value. The skip property
     * @returns a integer
     */
    get skip(): number | undefined;
    /**
     * Sets the skip property value. The skip property
     * @param value Value to set for the skip property.
     */
    set skip(value: number | undefined);
    /**
     * Gets the top property value. The top property
     * @returns a integer
     */
    get top(): number | undefined;
    /**
     * Sets the top property value. The top property
     * @param value Value to set for the top property.
     */
    set top(value: number | undefined);
}
