import { DeviceManagementReports } from '../../models/';
import { ExportJobsRequestBuilder } from './exportJobs/exportJobsRequestBuilder';
import { DeviceManagementExportJobItemRequestBuilder } from './exportJobs/item/deviceManagementExportJobItemRequestBuilder';
import { GetCachedReportRequestBuilder } from './getCachedReport/getCachedReportRequestBuilder';
import { GetCompliancePolicyNonComplianceReportRequestBuilder } from './getCompliancePolicyNonComplianceReport/getCompliancePolicyNonComplianceReportRequestBuilder';
import { GetCompliancePolicyNonComplianceSummaryReportRequestBuilder } from './getCompliancePolicyNonComplianceSummaryReport/getCompliancePolicyNonComplianceSummaryReportRequestBuilder';
import { GetComplianceSettingNonComplianceReportRequestBuilder } from './getComplianceSettingNonComplianceReport/getComplianceSettingNonComplianceReportRequestBuilder';
import { GetConfigurationPolicyNonComplianceReportRequestBuilder } from './getConfigurationPolicyNonComplianceReport/getConfigurationPolicyNonComplianceReportRequestBuilder';
import { GetConfigurationPolicyNonComplianceSummaryReportRequestBuilder } from './getConfigurationPolicyNonComplianceSummaryReport/getConfigurationPolicyNonComplianceSummaryReportRequestBuilder';
import { GetConfigurationSettingNonComplianceReportRequestBuilder } from './getConfigurationSettingNonComplianceReport/getConfigurationSettingNonComplianceReportRequestBuilder';
import { GetDeviceManagementIntentPerSettingContributingProfilesRequestBuilder } from './getDeviceManagementIntentPerSettingContributingProfiles/getDeviceManagementIntentPerSettingContributingProfilesRequestBuilder';
import { GetDeviceManagementIntentSettingsReportRequestBuilder } from './getDeviceManagementIntentSettingsReport/getDeviceManagementIntentSettingsReportRequestBuilder';
import { GetDeviceNonComplianceReportRequestBuilder } from './getDeviceNonComplianceReport/getDeviceNonComplianceReportRequestBuilder';
import { GetHistoricalReportRequestBuilder } from './getHistoricalReport/getHistoricalReportRequestBuilder';
import { GetPolicyNonComplianceMetadataRequestBuilder } from './getPolicyNonComplianceMetadata/getPolicyNonComplianceMetadataRequestBuilder';
import { GetPolicyNonComplianceReportRequestBuilder } from './getPolicyNonComplianceReport/getPolicyNonComplianceReportRequestBuilder';
import { GetPolicyNonComplianceSummaryReportRequestBuilder } from './getPolicyNonComplianceSummaryReport/getPolicyNonComplianceSummaryReportRequestBuilder';
import { GetReportFiltersRequestBuilder } from './getReportFilters/getReportFiltersRequestBuilder';
import { GetSettingNonComplianceReportRequestBuilder } from './getSettingNonComplianceReport/getSettingNonComplianceReportRequestBuilder';
import { ReportsRequestBuilderDeleteRequestConfiguration } from './reportsRequestBuilderDeleteRequestConfiguration';
import { ReportsRequestBuilderGetRequestConfiguration } from './reportsRequestBuilderGetRequestConfiguration';
import { ReportsRequestBuilderPatchRequestConfiguration } from './reportsRequestBuilderPatchRequestConfiguration';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the reports property of the microsoft.graph.deviceManagement entity. */
export declare class ReportsRequestBuilder {
    /** The exportJobs property */
    get exportJobs(): ExportJobsRequestBuilder;
    /** The getCachedReport property */
    get getCachedReport(): GetCachedReportRequestBuilder;
    /** The getCompliancePolicyNonComplianceReport property */
    get getCompliancePolicyNonComplianceReport(): GetCompliancePolicyNonComplianceReportRequestBuilder;
    /** The getCompliancePolicyNonComplianceSummaryReport property */
    get getCompliancePolicyNonComplianceSummaryReport(): GetCompliancePolicyNonComplianceSummaryReportRequestBuilder;
    /** The getComplianceSettingNonComplianceReport property */
    get getComplianceSettingNonComplianceReport(): GetComplianceSettingNonComplianceReportRequestBuilder;
    /** The getConfigurationPolicyNonComplianceReport property */
    get getConfigurationPolicyNonComplianceReport(): GetConfigurationPolicyNonComplianceReportRequestBuilder;
    /** The getConfigurationPolicyNonComplianceSummaryReport property */
    get getConfigurationPolicyNonComplianceSummaryReport(): GetConfigurationPolicyNonComplianceSummaryReportRequestBuilder;
    /** The getConfigurationSettingNonComplianceReport property */
    get getConfigurationSettingNonComplianceReport(): GetConfigurationSettingNonComplianceReportRequestBuilder;
    /** The getDeviceManagementIntentPerSettingContributingProfiles property */
    get getDeviceManagementIntentPerSettingContributingProfiles(): GetDeviceManagementIntentPerSettingContributingProfilesRequestBuilder;
    /** The getDeviceManagementIntentSettingsReport property */
    get getDeviceManagementIntentSettingsReport(): GetDeviceManagementIntentSettingsReportRequestBuilder;
    /** The getDeviceNonComplianceReport property */
    get getDeviceNonComplianceReport(): GetDeviceNonComplianceReportRequestBuilder;
    /** The getHistoricalReport property */
    get getHistoricalReport(): GetHistoricalReportRequestBuilder;
    /** The getPolicyNonComplianceMetadata property */
    get getPolicyNonComplianceMetadata(): GetPolicyNonComplianceMetadataRequestBuilder;
    /** The getPolicyNonComplianceReport property */
    get getPolicyNonComplianceReport(): GetPolicyNonComplianceReportRequestBuilder;
    /** The getPolicyNonComplianceSummaryReport property */
    get getPolicyNonComplianceSummaryReport(): GetPolicyNonComplianceSummaryReportRequestBuilder;
    /** The getReportFilters property */
    get getReportFilters(): GetReportFiltersRequestBuilder;
    /** The getSettingNonComplianceReport property */
    get getSettingNonComplianceReport(): GetSettingNonComplianceReportRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Instantiates a new ReportsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property reports for deviceManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createDeleteRequestInformation(requestConfiguration?: ReportsRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * Reports singleton
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: ReportsRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property reports in deviceManagement
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body: DeviceManagementReports | undefined, requestConfiguration?: ReportsRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Delete navigation property reports for deviceManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    delete(requestConfiguration?: ReportsRequestBuilderDeleteRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.deviceManagement.reports.exportJobs.item collection
     * @param id Unique identifier of the item
     * @returns a deviceManagementExportJobItemRequestBuilder
     */
    exportJobsById(id: string): DeviceManagementExportJobItemRequestBuilder;
    /**
     * Reports singleton
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of DeviceManagementReports
     */
    get(requestConfiguration?: ReportsRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<DeviceManagementReports | undefined>;
    /**
     * Update the navigation property reports in deviceManagement
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body: DeviceManagementReports | undefined, requestConfiguration?: ReportsRequestBuilderPatchRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
}
