"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReportsRequestBuilder = void 0;
const createDeviceManagementReportsFromDiscriminatorValue_1 = require("../../models/createDeviceManagementReportsFromDiscriminatorValue");
const createODataErrorFromDiscriminatorValue_1 = require("../../models/oDataErrors/createODataErrorFromDiscriminatorValue");
const exportJobsRequestBuilder_1 = require("./exportJobs/exportJobsRequestBuilder");
const deviceManagementExportJobItemRequestBuilder_1 = require("./exportJobs/item/deviceManagementExportJobItemRequestBuilder");
const getCachedReportRequestBuilder_1 = require("./getCachedReport/getCachedReportRequestBuilder");
const getCompliancePolicyNonComplianceReportRequestBuilder_1 = require("./getCompliancePolicyNonComplianceReport/getCompliancePolicyNonComplianceReportRequestBuilder");
const getCompliancePolicyNonComplianceSummaryReportRequestBuilder_1 = require("./getCompliancePolicyNonComplianceSummaryReport/getCompliancePolicyNonComplianceSummaryReportRequestBuilder");
const getComplianceSettingNonComplianceReportRequestBuilder_1 = require("./getComplianceSettingNonComplianceReport/getComplianceSettingNonComplianceReportRequestBuilder");
const getConfigurationPolicyNonComplianceReportRequestBuilder_1 = require("./getConfigurationPolicyNonComplianceReport/getConfigurationPolicyNonComplianceReportRequestBuilder");
const getConfigurationPolicyNonComplianceSummaryReportRequestBuilder_1 = require("./getConfigurationPolicyNonComplianceSummaryReport/getConfigurationPolicyNonComplianceSummaryReportRequestBuilder");
const getConfigurationSettingNonComplianceReportRequestBuilder_1 = require("./getConfigurationSettingNonComplianceReport/getConfigurationSettingNonComplianceReportRequestBuilder");
const getDeviceManagementIntentPerSettingContributingProfilesRequestBuilder_1 = require("./getDeviceManagementIntentPerSettingContributingProfiles/getDeviceManagementIntentPerSettingContributingProfilesRequestBuilder");
const getDeviceManagementIntentSettingsReportRequestBuilder_1 = require("./getDeviceManagementIntentSettingsReport/getDeviceManagementIntentSettingsReportRequestBuilder");
const getDeviceNonComplianceReportRequestBuilder_1 = require("./getDeviceNonComplianceReport/getDeviceNonComplianceReportRequestBuilder");
const getHistoricalReportRequestBuilder_1 = require("./getHistoricalReport/getHistoricalReportRequestBuilder");
const getPolicyNonComplianceMetadataRequestBuilder_1 = require("./getPolicyNonComplianceMetadata/getPolicyNonComplianceMetadataRequestBuilder");
const getPolicyNonComplianceReportRequestBuilder_1 = require("./getPolicyNonComplianceReport/getPolicyNonComplianceReportRequestBuilder");
const getPolicyNonComplianceSummaryReportRequestBuilder_1 = require("./getPolicyNonComplianceSummaryReport/getPolicyNonComplianceSummaryReportRequestBuilder");
const getReportFiltersRequestBuilder_1 = require("./getReportFilters/getReportFiltersRequestBuilder");
const getSettingNonComplianceReportRequestBuilder_1 = require("./getSettingNonComplianceReport/getSettingNonComplianceReportRequestBuilder");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
/** Provides operations to manage the reports property of the microsoft.graph.deviceManagement entity. */
class ReportsRequestBuilder {
    /**
     * Instantiates a new ReportsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        if (!pathParameters)
            throw new Error("pathParameters cannot be undefined");
        if (!requestAdapter)
            throw new Error("requestAdapter cannot be undefined");
        this.urlTemplate = "{+baseurl}/deviceManagement/reports{?%24select,%24expand}";
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(pathParameters);
        this.pathParameters = urlTplParams;
        this.requestAdapter = requestAdapter;
    }
    /** The exportJobs property */
    get exportJobs() {
        return new exportJobsRequestBuilder_1.ExportJobsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The getCachedReport property */
    get getCachedReport() {
        return new getCachedReportRequestBuilder_1.GetCachedReportRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The getCompliancePolicyNonComplianceReport property */
    get getCompliancePolicyNonComplianceReport() {
        return new getCompliancePolicyNonComplianceReportRequestBuilder_1.GetCompliancePolicyNonComplianceReportRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The getCompliancePolicyNonComplianceSummaryReport property */
    get getCompliancePolicyNonComplianceSummaryReport() {
        return new getCompliancePolicyNonComplianceSummaryReportRequestBuilder_1.GetCompliancePolicyNonComplianceSummaryReportRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The getComplianceSettingNonComplianceReport property */
    get getComplianceSettingNonComplianceReport() {
        return new getComplianceSettingNonComplianceReportRequestBuilder_1.GetComplianceSettingNonComplianceReportRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The getConfigurationPolicyNonComplianceReport property */
    get getConfigurationPolicyNonComplianceReport() {
        return new getConfigurationPolicyNonComplianceReportRequestBuilder_1.GetConfigurationPolicyNonComplianceReportRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The getConfigurationPolicyNonComplianceSummaryReport property */
    get getConfigurationPolicyNonComplianceSummaryReport() {
        return new getConfigurationPolicyNonComplianceSummaryReportRequestBuilder_1.GetConfigurationPolicyNonComplianceSummaryReportRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The getConfigurationSettingNonComplianceReport property */
    get getConfigurationSettingNonComplianceReport() {
        return new getConfigurationSettingNonComplianceReportRequestBuilder_1.GetConfigurationSettingNonComplianceReportRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The getDeviceManagementIntentPerSettingContributingProfiles property */
    get getDeviceManagementIntentPerSettingContributingProfiles() {
        return new getDeviceManagementIntentPerSettingContributingProfilesRequestBuilder_1.GetDeviceManagementIntentPerSettingContributingProfilesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The getDeviceManagementIntentSettingsReport property */
    get getDeviceManagementIntentSettingsReport() {
        return new getDeviceManagementIntentSettingsReportRequestBuilder_1.GetDeviceManagementIntentSettingsReportRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The getDeviceNonComplianceReport property */
    get getDeviceNonComplianceReport() {
        return new getDeviceNonComplianceReportRequestBuilder_1.GetDeviceNonComplianceReportRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The getHistoricalReport property */
    get getHistoricalReport() {
        return new getHistoricalReportRequestBuilder_1.GetHistoricalReportRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The getPolicyNonComplianceMetadata property */
    get getPolicyNonComplianceMetadata() {
        return new getPolicyNonComplianceMetadataRequestBuilder_1.GetPolicyNonComplianceMetadataRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The getPolicyNonComplianceReport property */
    get getPolicyNonComplianceReport() {
        return new getPolicyNonComplianceReportRequestBuilder_1.GetPolicyNonComplianceReportRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The getPolicyNonComplianceSummaryReport property */
    get getPolicyNonComplianceSummaryReport() {
        return new getPolicyNonComplianceSummaryReportRequestBuilder_1.GetPolicyNonComplianceSummaryReportRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The getReportFilters property */
    get getReportFilters() {
        return new getReportFiltersRequestBuilder_1.GetReportFiltersRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The getSettingNonComplianceReport property */
    get getSettingNonComplianceReport() {
        return new getSettingNonComplianceReportRequestBuilder_1.GetSettingNonComplianceReportRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    ;
    /**
     * Delete navigation property reports for deviceManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createDeleteRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation();
        requestInfo.urlTemplate = this.urlTemplate;
        requestInfo.pathParameters = this.pathParameters;
        requestInfo.httpMethod = kiota_abstractions_1.HttpMethod.DELETE;
        if (requestConfiguration) {
            requestInfo.addRequestHeaders(requestConfiguration.headers);
            requestInfo.addRequestOptions(requestConfiguration.options);
        }
        return requestInfo;
    }
    ;
    /**
     * Reports singleton
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation();
        requestInfo.urlTemplate = this.urlTemplate;
        requestInfo.pathParameters = this.pathParameters;
        requestInfo.httpMethod = kiota_abstractions_1.HttpMethod.GET;
        if (requestConfiguration) {
            requestInfo.addRequestHeaders(requestConfiguration.headers);
            requestInfo.setQueryStringParametersFromRawObject(requestConfiguration.queryParameters);
            requestInfo.addRequestOptions(requestConfiguration.options);
        }
        return requestInfo;
    }
    ;
    /**
     * Update the navigation property reports in deviceManagement
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation();
        requestInfo.urlTemplate = this.urlTemplate;
        requestInfo.pathParameters = this.pathParameters;
        requestInfo.httpMethod = kiota_abstractions_1.HttpMethod.PATCH;
        if (requestConfiguration) {
            requestInfo.addRequestHeaders(requestConfiguration.headers);
            requestInfo.addRequestOptions(requestConfiguration.options);
        }
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body);
        return requestInfo;
    }
    ;
    /**
     * Delete navigation property reports for deviceManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    delete(requestConfiguration, responseHandler) {
        var _a, _b;
        const requestInfo = this.createDeleteRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": createODataErrorFromDiscriminatorValue_1.createODataErrorFromDiscriminatorValue,
            "5XX": createODataErrorFromDiscriminatorValue_1.createODataErrorFromDiscriminatorValue,
        };
        return (_b = (_a = this.requestAdapter) === null || _a === void 0 ? void 0 : _a.sendNoResponseContentAsync(requestInfo, responseHandler, errorMapping)) !== null && _b !== void 0 ? _b : Promise.reject(new Error('http core is null'));
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.deviceManagement.reports.exportJobs.item collection
     * @param id Unique identifier of the item
     * @returns a deviceManagementExportJobItemRequestBuilder
     */
    exportJobsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["deviceManagementExportJob%2Did"] = id;
        return new deviceManagementExportJobItemRequestBuilder_1.DeviceManagementExportJobItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Reports singleton
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of DeviceManagementReports
     */
    get(requestConfiguration, responseHandler) {
        var _a, _b;
        const requestInfo = this.createGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": createODataErrorFromDiscriminatorValue_1.createODataErrorFromDiscriminatorValue,
            "5XX": createODataErrorFromDiscriminatorValue_1.createODataErrorFromDiscriminatorValue,
        };
        return (_b = (_a = this.requestAdapter) === null || _a === void 0 ? void 0 : _a.sendAsync(requestInfo, createDeviceManagementReportsFromDiscriminatorValue_1.createDeviceManagementReportsFromDiscriminatorValue, responseHandler, errorMapping)) !== null && _b !== void 0 ? _b : Promise.reject(new Error('http core is null'));
    }
    ;
    /**
     * Update the navigation property reports in deviceManagement
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body, requestConfiguration, responseHandler) {
        var _a, _b;
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = this.createPatchRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": createODataErrorFromDiscriminatorValue_1.createODataErrorFromDiscriminatorValue,
            "5XX": createODataErrorFromDiscriminatorValue_1.createODataErrorFromDiscriminatorValue,
        };
        return (_b = (_a = this.requestAdapter) === null || _a === void 0 ? void 0 : _a.sendNoResponseContentAsync(requestInfo, responseHandler, errorMapping)) !== null && _b !== void 0 ? _b : Promise.reject(new Error('http core is null'));
    }
    ;
}
exports.ReportsRequestBuilder = ReportsRequestBuilder;
