import { TermsAndConditions } from '../../../models/';
import { AcceptanceStatusesRequestBuilder } from './acceptanceStatuses/acceptanceStatusesRequestBuilder';
import { TermsAndConditionsAcceptanceStatusItemRequestBuilder } from './acceptanceStatuses/item/termsAndConditionsAcceptanceStatusItemRequestBuilder';
import { AssignmentsRequestBuilder } from './assignments/assignmentsRequestBuilder';
import { TermsAndConditionsAssignmentItemRequestBuilder } from './assignments/item/termsAndConditionsAssignmentItemRequestBuilder';
import { TermsAndConditionsItemRequestBuilderDeleteRequestConfiguration } from './termsAndConditionsItemRequestBuilderDeleteRequestConfiguration';
import { TermsAndConditionsItemRequestBuilderGetRequestConfiguration } from './termsAndConditionsItemRequestBuilderGetRequestConfiguration';
import { TermsAndConditionsItemRequestBuilderPatchRequestConfiguration } from './termsAndConditionsItemRequestBuilderPatchRequestConfiguration';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the termsAndConditions property of the microsoft.graph.deviceManagement entity. */
export declare class TermsAndConditionsItemRequestBuilder {
    /** The acceptanceStatuses property */
    get acceptanceStatuses(): AcceptanceStatusesRequestBuilder;
    /** The assignments property */
    get assignments(): AssignmentsRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.deviceManagement.termsAndConditions.item.acceptanceStatuses.item collection
     * @param id Unique identifier of the item
     * @returns a termsAndConditionsAcceptanceStatusItemRequestBuilder
     */
    acceptanceStatusesById(id: string): TermsAndConditionsAcceptanceStatusItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.deviceManagement.termsAndConditions.item.assignments.item collection
     * @param id Unique identifier of the item
     * @returns a termsAndConditionsAssignmentItemRequestBuilder
     */
    assignmentsById(id: string): TermsAndConditionsAssignmentItemRequestBuilder;
    /**
     * Instantiates a new TermsAndConditionsItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property termsAndConditions for deviceManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createDeleteRequestInformation(requestConfiguration?: TermsAndConditionsItemRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * The terms and conditions associated with device management of the company.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: TermsAndConditionsItemRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property termsAndConditions in deviceManagement
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body: TermsAndConditions | undefined, requestConfiguration?: TermsAndConditionsItemRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Delete navigation property termsAndConditions for deviceManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    delete(requestConfiguration?: TermsAndConditionsItemRequestBuilderDeleteRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * The terms and conditions associated with device management of the company.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of TermsAndConditions
     */
    get(requestConfiguration?: TermsAndConditionsItemRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<TermsAndConditions | undefined>;
    /**
     * Update the navigation property termsAndConditions in deviceManagement
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body: TermsAndConditions | undefined, requestConfiguration?: TermsAndConditionsItemRequestBuilderPatchRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
}
