import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to call the updateDeviceProperties method. */
export declare class UpdateDevicePropertiesPostRequestBody implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The addressableUserName property */
    private _addressableUserName?;
    /** The displayName property */
    private _displayName?;
    /** The groupTag property */
    private _groupTag?;
    /** The userPrincipalName property */
    private _userPrincipalName?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the addressableUserName property value. The addressableUserName property
     * @returns a string
     */
    get addressableUserName(): string | undefined;
    /**
     * Sets the addressableUserName property value. The addressableUserName property
     * @param value Value to set for the addressableUserName property.
     */
    set addressableUserName(value: string | undefined);
    /**
     * Instantiates a new updateDevicePropertiesPostRequestBody and sets the default values.
     */
    constructor();
    /**
     * Gets the displayName property value. The displayName property
     * @returns a string
     */
    get displayName(): string | undefined;
    /**
     * Sets the displayName property value. The displayName property
     * @param value Value to set for the displayName property.
     */
    set displayName(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the groupTag property value. The groupTag property
     * @returns a string
     */
    get groupTag(): string | undefined;
    /**
     * Sets the groupTag property value. The groupTag property
     * @param value Value to set for the groupTag property.
     */
    set groupTag(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the userPrincipalName property value. The userPrincipalName property
     * @returns a string
     */
    get userPrincipalName(): string | undefined;
    /**
     * Sets the userPrincipalName property value. The userPrincipalName property
     * @param value Value to set for the userPrincipalName property.
     */
    set userPrincipalName(value: string | undefined);
}
