import { UpdateDevicePropertiesPostRequestBody } from './index';
import { UpdateDevicePropertiesRequestBuilderPostRequestConfiguration } from './updateDevicePropertiesRequestBuilderPostRequestConfiguration';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to call the updateDeviceProperties method. */
export declare class UpdateDevicePropertiesRequestBuilder {
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Instantiates a new UpdateDevicePropertiesRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Updates properties on Autopilot devices.
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPostRequestInformation(body: UpdateDevicePropertiesPostRequestBody | undefined, requestConfiguration?: UpdateDevicePropertiesRequestBuilderPostRequestConfiguration | undefined): RequestInformation;
    /**
     * Updates properties on Autopilot devices.
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    post(body: UpdateDevicePropertiesPostRequestBody | undefined, requestConfiguration?: UpdateDevicePropertiesRequestBuilderPostRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
}
