import { DirectoryObject, DirectoryObjectCollectionResponse } from '../../models/';
import { ApplicationRequestBuilder } from './application/applicationRequestBuilder';
import { CountRequestBuilder } from './count/countRequestBuilder';
import { DeletedItemsRequestBuilderGetRequestConfiguration } from './deletedItemsRequestBuilderGetRequestConfiguration';
import { DeletedItemsRequestBuilderPostRequestConfiguration } from './deletedItemsRequestBuilderPostRequestConfiguration';
import { GroupRequestBuilder } from './group/groupRequestBuilder';
import { UserRequestBuilder } from './user/userRequestBuilder';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the deletedItems property of the microsoft.graph.directory entity. */
export declare class DeletedItemsRequestBuilder {
    /** The application property */
    get application(): ApplicationRequestBuilder;
    /** The count property */
    get count(): CountRequestBuilder;
    /** The group property */
    get group(): GroupRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /** The user property */
    get user(): UserRequestBuilder;
    /**
     * Instantiates a new DeletedItemsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Recently deleted items. Read-only. Nullable.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: DeletedItemsRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Create new navigation property to deletedItems for directory
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPostRequestInformation(body: DirectoryObject | undefined, requestConfiguration?: DeletedItemsRequestBuilderPostRequestConfiguration | undefined): RequestInformation;
    /**
     * Recently deleted items. Read-only. Nullable.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of DirectoryObjectCollectionResponse
     */
    get(requestConfiguration?: DeletedItemsRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<DirectoryObjectCollectionResponse | undefined>;
    /**
     * Create new navigation property to deletedItems for directory
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of DirectoryObject
     */
    post(body: DirectoryObject | undefined, requestConfiguration?: DeletedItemsRequestBuilderPostRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<DirectoryObject | undefined>;
}
