"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DirectoryRoleItemRequestBuilderGetQueryParameters = void 0;
/** Retrieve the properties of a directoryRole object. You can use both the object ID and template ID of the **directoryRole** with this API. The template ID of a built-in role is immutable and can be seen in the role description on the Azure portal. For details, see [Role template IDs](/azure/active-directory/users-groups-roles/directory-assign-admin-roles#role-template-ids). */
class DirectoryRoleItemRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "expand": return "%24expand";
            case "select": return "%24select";
            default: return originalName;
        }
    }
    ;
}
exports.DirectoryRoleItemRequestBuilderGetQueryParameters = DirectoryRoleItemRequestBuilderGetQueryParameters;
