"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DomainDnsRecordItemRequestBuilderGetQueryParameters = void 0;
/** DNS records the customer adds to the DNS zone file of the domain before the domain can be used by Microsoft Online services. Read-only, Nullable. Supports $expand. */
class DomainDnsRecordItemRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "expand": return "%24expand";
            case "select": return "%24select";
            default: return originalName;
        }
    }
    ;
}
exports.DomainDnsRecordItemRequestBuilderGetQueryParameters = DomainDnsRecordItemRequestBuilderGetQueryParameters;
