"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DriveItemItemRequestBuilderGetQueryParameters = void 0;
/** Collection containing Item objects for the immediate children of Item. Only items representing folders have children. Read-only. Nullable. */
class DriveItemItemRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "expand": return "%24expand";
            case "select": return "%24select";
            default: return originalName;
        }
    }
    ;
}
exports.DriveItemItemRequestBuilderGetQueryParameters = DriveItemItemRequestBuilderGetQueryParameters;
