import { EducationAssignmentDefaults } from '../../../../models/';
import { AssignmentDefaultsRequestBuilderDeleteRequestConfiguration } from './assignmentDefaultsRequestBuilderDeleteRequestConfiguration';
import { AssignmentDefaultsRequestBuilderGetRequestConfiguration } from './assignmentDefaultsRequestBuilderGetRequestConfiguration';
import { AssignmentDefaultsRequestBuilderPatchRequestConfiguration } from './assignmentDefaultsRequestBuilderPatchRequestConfiguration';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the assignmentDefaults property of the microsoft.graph.educationClass entity. */
export declare class AssignmentDefaultsRequestBuilder {
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Instantiates a new AssignmentDefaultsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property assignmentDefaults for education
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createDeleteRequestInformation(requestConfiguration?: AssignmentDefaultsRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * Specifies class-level defaults respected by new assignments created in the class.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: AssignmentDefaultsRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property assignmentDefaults in education
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body: EducationAssignmentDefaults | undefined, requestConfiguration?: AssignmentDefaultsRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Delete navigation property assignmentDefaults for education
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    delete(requestConfiguration?: AssignmentDefaultsRequestBuilderDeleteRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Specifies class-level defaults respected by new assignments created in the class.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of EducationAssignmentDefaults
     */
    get(requestConfiguration?: AssignmentDefaultsRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<EducationAssignmentDefaults | undefined>;
    /**
     * Update the navigation property assignmentDefaults in education
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body: EducationAssignmentDefaults | undefined, requestConfiguration?: AssignmentDefaultsRequestBuilderPatchRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
}
