import { EducationClass } from '../../../models/';
import { AssignmentCategoriesRequestBuilder } from './assignmentCategories/assignmentCategoriesRequestBuilder';
import { EducationCategoryItemRequestBuilder } from './assignmentCategories/item/educationCategoryItemRequestBuilder';
import { AssignmentDefaultsRequestBuilder } from './assignmentDefaults/assignmentDefaultsRequestBuilder';
import { AssignmentsRequestBuilder } from './assignments/assignmentsRequestBuilder';
import { EducationAssignmentItemRequestBuilder } from './assignments/item/educationAssignmentItemRequestBuilder';
import { AssignmentSettingsRequestBuilder } from './assignmentSettings/assignmentSettingsRequestBuilder';
import { EducationClassItemRequestBuilderDeleteRequestConfiguration } from './educationClassItemRequestBuilderDeleteRequestConfiguration';
import { EducationClassItemRequestBuilderGetRequestConfiguration } from './educationClassItemRequestBuilderGetRequestConfiguration';
import { EducationClassItemRequestBuilderPatchRequestConfiguration } from './educationClassItemRequestBuilderPatchRequestConfiguration';
import { GroupRequestBuilder } from './group/groupRequestBuilder';
import { EducationUserItemRequestBuilder as ic4b7e4f5092b1368a0d864ad8618e0e4a3495040059df7afcf886536e8775858 } from './members/item/educationUserItemRequestBuilder';
import { MembersRequestBuilder } from './members/membersRequestBuilder';
import { EducationSchoolItemRequestBuilder } from './schools/item/educationSchoolItemRequestBuilder';
import { SchoolsRequestBuilder } from './schools/schoolsRequestBuilder';
import { EducationUserItemRequestBuilder as i48d182dfc3c9e1e9578e4a97e49566f17bd21a04e2e4d9dfc1f1270b7642ee36 } from './teachers/item/educationUserItemRequestBuilder';
import { TeachersRequestBuilder } from './teachers/teachersRequestBuilder';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the classes property of the microsoft.graph.educationRoot entity. */
export declare class EducationClassItemRequestBuilder {
    /** The assignmentCategories property */
    get assignmentCategories(): AssignmentCategoriesRequestBuilder;
    /** The assignmentDefaults property */
    get assignmentDefaults(): AssignmentDefaultsRequestBuilder;
    /** The assignments property */
    get assignments(): AssignmentsRequestBuilder;
    /** The assignmentSettings property */
    get assignmentSettings(): AssignmentSettingsRequestBuilder;
    /** The group property */
    get group(): GroupRequestBuilder;
    /** The members property */
    get members(): MembersRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** The schools property */
    get schools(): SchoolsRequestBuilder;
    /** The teachers property */
    get teachers(): TeachersRequestBuilder;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.education.classes.item.assignmentCategories.item collection
     * @param id Unique identifier of the item
     * @returns a educationCategoryItemRequestBuilder
     */
    assignmentCategoriesById(id: string): EducationCategoryItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.education.classes.item.assignments.item collection
     * @param id Unique identifier of the item
     * @returns a educationAssignmentItemRequestBuilder
     */
    assignmentsById(id: string): EducationAssignmentItemRequestBuilder;
    /**
     * Instantiates a new EducationClassItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property classes for education
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createDeleteRequestInformation(requestConfiguration?: EducationClassItemRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * Get classes from education
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: EducationClassItemRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property classes in education
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body: EducationClass | undefined, requestConfiguration?: EducationClassItemRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Delete navigation property classes for education
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    delete(requestConfiguration?: EducationClassItemRequestBuilderDeleteRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Get classes from education
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of EducationClass
     */
    get(requestConfiguration?: EducationClassItemRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<EducationClass | undefined>;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.education.classes.item.members.item collection
     * @param id Unique identifier of the item
     * @returns a educationUserItemRequestBuilder
     */
    membersById(id: string): ic4b7e4f5092b1368a0d864ad8618e0e4a3495040059df7afcf886536e8775858;
    /**
     * Update the navigation property classes in education
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body: EducationClass | undefined, requestConfiguration?: EducationClassItemRequestBuilderPatchRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.education.classes.item.schools.item collection
     * @param id Unique identifier of the item
     * @returns a educationSchoolItemRequestBuilder
     */
    schoolsById(id: string): EducationSchoolItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.education.classes.item.teachers.item collection
     * @param id Unique identifier of the item
     * @returns a educationUserItemRequestBuilder
     */
    teachersById(id: string): i48d182dfc3c9e1e9578e4a97e49566f17bd21a04e2e4d9dfc1f1270b7642ee36;
}
