import { EducationSubmission } from '../../../../../../models/';
import { EducationSubmissionItemRequestBuilderDeleteRequestConfiguration } from './educationSubmissionItemRequestBuilderDeleteRequestConfiguration';
import { EducationSubmissionItemRequestBuilderGetRequestConfiguration } from './educationSubmissionItemRequestBuilderGetRequestConfiguration';
import { EducationSubmissionItemRequestBuilderPatchRequestConfiguration } from './educationSubmissionItemRequestBuilderPatchRequestConfiguration';
import { EducationOutcomeItemRequestBuilder } from './outcomes/item/educationOutcomeItemRequestBuilder';
import { OutcomesRequestBuilder } from './outcomes/outcomesRequestBuilder';
import { ReassignRequestBuilder } from './reassign/reassignRequestBuilder';
import { EducationSubmissionResourceItemRequestBuilder as i9be2c966d9bedc6eccf8e7f6d954c13f23489bebb36f661a440ae3258654374e } from './resources/item/educationSubmissionResourceItemRequestBuilder';
import { ResourcesRequestBuilder } from './resources/resourcesRequestBuilder';
import { ReturnRequestBuilder } from './return_escaped/returnRequestBuilder';
import { SetUpResourcesFolderRequestBuilder } from './setUpResourcesFolder/setUpResourcesFolderRequestBuilder';
import { SubmitRequestBuilder } from './submit/submitRequestBuilder';
import { EducationSubmissionResourceItemRequestBuilder as i37cdf1f137000070b80bb9f1f91d06f6f590126d5edbb87c06bc96a1477cefac } from './submittedResources/item/educationSubmissionResourceItemRequestBuilder';
import { SubmittedResourcesRequestBuilder } from './submittedResources/submittedResourcesRequestBuilder';
import { UnsubmitRequestBuilder } from './unsubmit/unsubmitRequestBuilder';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the submissions property of the microsoft.graph.educationAssignment entity. */
export declare class EducationSubmissionItemRequestBuilder {
    /** The outcomes property */
    get outcomes(): OutcomesRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The reassign property */
    get reassign(): ReassignRequestBuilder;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** The resources property */
    get resources(): ResourcesRequestBuilder;
    /** The return property */
    get return_escaped(): ReturnRequestBuilder;
    /** The setUpResourcesFolder property */
    get setUpResourcesFolder(): SetUpResourcesFolderRequestBuilder;
    /** The submit property */
    get submit(): SubmitRequestBuilder;
    /** The submittedResources property */
    get submittedResources(): SubmittedResourcesRequestBuilder;
    /** The unsubmit property */
    get unsubmit(): UnsubmitRequestBuilder;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Instantiates a new EducationSubmissionItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property submissions for education
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createDeleteRequestInformation(requestConfiguration?: EducationSubmissionItemRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * Once published, there is a submission object for each student representing their work and grade.  Read-only. Nullable.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: EducationSubmissionItemRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property submissions in education
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body: EducationSubmission | undefined, requestConfiguration?: EducationSubmissionItemRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Delete navigation property submissions for education
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    delete(requestConfiguration?: EducationSubmissionItemRequestBuilderDeleteRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Once published, there is a submission object for each student representing their work and grade.  Read-only. Nullable.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of EducationSubmission
     */
    get(requestConfiguration?: EducationSubmissionItemRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<EducationSubmission | undefined>;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.education.me.assignments.item.submissions.item.outcomes.item collection
     * @param id Unique identifier of the item
     * @returns a educationOutcomeItemRequestBuilder
     */
    outcomesById(id: string): EducationOutcomeItemRequestBuilder;
    /**
     * Update the navigation property submissions in education
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body: EducationSubmission | undefined, requestConfiguration?: EducationSubmissionItemRequestBuilderPatchRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.education.me.assignments.item.submissions.item.resources.item collection
     * @param id Unique identifier of the item
     * @returns a educationSubmissionResourceItemRequestBuilder
     */
    resourcesById(id: string): i9be2c966d9bedc6eccf8e7f6d954c13f23489bebb36f661a440ae3258654374e;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.education.me.assignments.item.submissions.item.submittedResources.item collection
     * @param id Unique identifier of the item
     * @returns a educationSubmissionResourceItemRequestBuilder
     */
    submittedResourcesById(id: string): i37cdf1f137000070b80bb9f1f91d06f6f590126d5edbb87c06bc96a1477cefac;
}
