import { EducationUser } from '../../models/';
import { AssignmentsRequestBuilder } from './assignments/assignmentsRequestBuilder';
import { EducationAssignmentItemRequestBuilder } from './assignments/item/educationAssignmentItemRequestBuilder';
import { ClassesRequestBuilder } from './classes/classesRequestBuilder';
import { EducationClassItemRequestBuilder as ie7e30cd639818b1dfde04248b6fb0fb5c3f60386eaaa62b5427a72b102a36e2a } from './classes/item/educationClassItemRequestBuilder';
import { MeRequestBuilderDeleteRequestConfiguration } from './meRequestBuilderDeleteRequestConfiguration';
import { MeRequestBuilderGetRequestConfiguration } from './meRequestBuilderGetRequestConfiguration';
import { MeRequestBuilderPatchRequestConfiguration } from './meRequestBuilderPatchRequestConfiguration';
import { EducationRubricItemRequestBuilder } from './rubrics/item/educationRubricItemRequestBuilder';
import { RubricsRequestBuilder } from './rubrics/rubricsRequestBuilder';
import { EducationSchoolItemRequestBuilder } from './schools/item/educationSchoolItemRequestBuilder';
import { SchoolsRequestBuilder } from './schools/schoolsRequestBuilder';
import { EducationClassItemRequestBuilder as i6796735e057c116647da04efee5484e183fbcc453336f8f56d8136186955ac41 } from './taughtClasses/item/educationClassItemRequestBuilder';
import { TaughtClassesRequestBuilder } from './taughtClasses/taughtClassesRequestBuilder';
import { UserRequestBuilder } from './user/userRequestBuilder';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the me property of the microsoft.graph.educationRoot entity. */
export declare class MeRequestBuilder {
    /** The assignments property */
    get assignments(): AssignmentsRequestBuilder;
    /** The classes property */
    get classes(): ClassesRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** The rubrics property */
    get rubrics(): RubricsRequestBuilder;
    /** The schools property */
    get schools(): SchoolsRequestBuilder;
    /** The taughtClasses property */
    get taughtClasses(): TaughtClassesRequestBuilder;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /** The user property */
    get user(): UserRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.education.me.assignments.item collection
     * @param id Unique identifier of the item
     * @returns a educationAssignmentItemRequestBuilder
     */
    assignmentsById(id: string): EducationAssignmentItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.education.me.classes.item collection
     * @param id Unique identifier of the item
     * @returns a educationClassItemRequestBuilder
     */
    classesById(id: string): ie7e30cd639818b1dfde04248b6fb0fb5c3f60386eaaa62b5427a72b102a36e2a;
    /**
     * Instantiates a new MeRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property me for education
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createDeleteRequestInformation(requestConfiguration?: MeRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * Get me from education
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: MeRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property me in education
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body: EducationUser | undefined, requestConfiguration?: MeRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Delete navigation property me for education
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    delete(requestConfiguration?: MeRequestBuilderDeleteRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Get me from education
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of EducationUser
     */
    get(requestConfiguration?: MeRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<EducationUser | undefined>;
    /**
     * Update the navigation property me in education
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body: EducationUser | undefined, requestConfiguration?: MeRequestBuilderPatchRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.education.me.rubrics.item collection
     * @param id Unique identifier of the item
     * @returns a educationRubricItemRequestBuilder
     */
    rubricsById(id: string): EducationRubricItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.education.me.schools.item collection
     * @param id Unique identifier of the item
     * @returns a educationSchoolItemRequestBuilder
     */
    schoolsById(id: string): EducationSchoolItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.education.me.taughtClasses.item collection
     * @param id Unique identifier of the item
     * @returns a educationClassItemRequestBuilder
     */
    taughtClassesById(id: string): i6796735e057c116647da04efee5484e183fbcc453336f8f56d8136186955ac41;
}
