import { GroupLifecyclePolicy, GroupLifecyclePolicyCollectionResponse } from '../models/';
import { CountRequestBuilder } from './count/countRequestBuilder';
import { GroupLifecyclePoliciesRequestBuilderGetRequestConfiguration } from './groupLifecyclePoliciesRequestBuilderGetRequestConfiguration';
import { GroupLifecyclePoliciesRequestBuilderPostRequestConfiguration } from './groupLifecyclePoliciesRequestBuilderPostRequestConfiguration';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the collection of groupLifecyclePolicy entities. */
export declare class GroupLifecyclePoliciesRequestBuilder {
    /** The count property */
    get count(): CountRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Instantiates a new GroupLifecyclePoliciesRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * List all the [groupLifecyclePolicies](../resources/grouplifecyclepolicy.md).
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: GroupLifecyclePoliciesRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Creates a new [groupLifecyclePolicy](../resources/grouplifecyclepolicy.md).
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPostRequestInformation(body: GroupLifecyclePolicy | undefined, requestConfiguration?: GroupLifecyclePoliciesRequestBuilderPostRequestConfiguration | undefined): RequestInformation;
    /**
     * List all the [groupLifecyclePolicies](../resources/grouplifecyclepolicy.md).
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of GroupLifecyclePolicyCollectionResponse
     */
    get(requestConfiguration?: GroupLifecyclePoliciesRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<GroupLifecyclePolicyCollectionResponse | undefined>;
    /**
     * Creates a new [groupLifecyclePolicy](../resources/grouplifecyclepolicy.md).
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of GroupLifecyclePolicy
     */
    post(body: GroupLifecyclePolicy | undefined, requestConfiguration?: GroupLifecyclePoliciesRequestBuilderPostRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<GroupLifecyclePolicy | undefined>;
}
