"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReplyPostRequestBody = void 0;
const createPostFromDiscriminatorValue_1 = require("../../../../../../../../../models/createPostFromDiscriminatorValue");
/** Provides operations to call the reply method. */
class ReplyPostRequestBody {
    /**
     * Instantiates a new replyPostRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "post": n => { this.post = n.getObjectValue(createPostFromDiscriminatorValue_1.createPostFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Gets the post property value. The Post property
     * @returns a post
     */
    get post() {
        return this._post;
    }
    ;
    /**
     * Sets the post property value. The Post property
     * @param value Value to set for the Post property.
     */
    set post(value) {
        this._post = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeObjectValue("post", this.post);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.ReplyPostRequestBody = ReplyPostRequestBody;
