import { Drive } from '../../../../models/';
import { BundlesRequestBuilder } from './bundles/bundlesRequestBuilder';
import { DriveItemItemRequestBuilder as i292229e937e35b22a4e751f44310d6990774dd87a3fd4229664a8fa9873d9024 } from './bundles/item/driveItemItemRequestBuilder';
import { DriveItemRequestBuilderDeleteRequestConfiguration } from './driveItemRequestBuilderDeleteRequestConfiguration';
import { DriveItemRequestBuilderGetRequestConfiguration } from './driveItemRequestBuilderGetRequestConfiguration';
import { DriveItemRequestBuilderPatchRequestConfiguration } from './driveItemRequestBuilderPatchRequestConfiguration';
import { FollowingRequestBuilder } from './following/followingRequestBuilder';
import { DriveItemItemRequestBuilder as ib93ee30d308425422d18166610ed854793aab37370f7acfc2aa75f3bb7188311 } from './following/item/driveItemItemRequestBuilder';
import { DriveItemItemRequestBuilder as ib23f8f8003535a1557bb5ea0ab8714575181c30b9e463bc19a45cc9e96a2dd5d } from './items/item/driveItemItemRequestBuilder';
import { ItemsRequestBuilder } from './items/itemsRequestBuilder';
import { ListRequestBuilder } from './list/listRequestBuilder';
import { RootRequestBuilder } from './root/rootRequestBuilder';
import { DriveItemItemRequestBuilder as i74e699948453a1c78e8d70df9277fe8a605b9872054168a3f71284d214b6d3aa } from './special/item/driveItemItemRequestBuilder';
import { SpecialRequestBuilder } from './special/specialRequestBuilder';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the drives property of the microsoft.graph.group entity. */
export declare class DriveItemRequestBuilder {
    /** The bundles property */
    get bundles(): BundlesRequestBuilder;
    /** The following property */
    get following(): FollowingRequestBuilder;
    /** The items property */
    get items(): ItemsRequestBuilder;
    /** The list property */
    get list(): ListRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** The root property */
    get root(): RootRequestBuilder;
    /** The special property */
    get special(): SpecialRequestBuilder;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.drives.item.bundles.item collection
     * @param id Unique identifier of the item
     * @returns a driveItemItemRequestBuilder
     */
    bundlesById(id: string): i292229e937e35b22a4e751f44310d6990774dd87a3fd4229664a8fa9873d9024;
    /**
     * Instantiates a new DriveItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property drives for groups
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createDeleteRequestInformation(requestConfiguration?: DriveItemRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * The group's drives. Read-only.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: DriveItemRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property drives in groups
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body: Drive | undefined, requestConfiguration?: DriveItemRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Delete navigation property drives for groups
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    delete(requestConfiguration?: DriveItemRequestBuilderDeleteRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.drives.item.following.item collection
     * @param id Unique identifier of the item
     * @returns a driveItemItemRequestBuilder
     */
    followingById(id: string): ib93ee30d308425422d18166610ed854793aab37370f7acfc2aa75f3bb7188311;
    /**
     * The group's drives. Read-only.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of Drive
     */
    get(requestConfiguration?: DriveItemRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<Drive | undefined>;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.drives.item.items.item collection
     * @param id Unique identifier of the item
     * @returns a driveItemItemRequestBuilder
     */
    itemsById(id: string): ib23f8f8003535a1557bb5ea0ab8714575181c30b9e463bc19a45cc9e96a2dd5d;
    /**
     * Update the navigation property drives in groups
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body: Drive | undefined, requestConfiguration?: DriveItemRequestBuilderPatchRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.drives.item.special.item collection
     * @param id Unique identifier of the item
     * @returns a driveItemItemRequestBuilder
     */
    specialById(id: string): i74e699948453a1c78e8d70df9277fe8a605b9872054168a3f71284d214b6d3aa;
}
