import { Group } from '../../models/';
import { AcceptedSendersRequestBuilder } from './acceptedSenders/acceptedSendersRequestBuilder';
import { DirectoryObjectItemRequestBuilder as i2d2291fa1472e06653091837ff4c99f773a20578529c8484145f25f3f99fa62d } from './acceptedSenders/item/directoryObjectItemRequestBuilder';
import { AddFavoriteRequestBuilder } from './addFavorite/addFavoriteRequestBuilder';
import { AppRoleAssignmentsRequestBuilder } from './appRoleAssignments/appRoleAssignmentsRequestBuilder';
import { AppRoleAssignmentItemRequestBuilder } from './appRoleAssignments/item/appRoleAssignmentItemRequestBuilder';
import { AssignLicenseRequestBuilder } from './assignLicense/assignLicenseRequestBuilder';
import { CalendarRequestBuilder } from './calendar/calendarRequestBuilder';
import { CalendarViewRequestBuilder } from './calendarView/calendarViewRequestBuilder';
import { EventItemRequestBuilder as ic81e3fb81c60b007708708dc63032c19cab3ea8bcb0c173d143f627e74d5f795 } from './calendarView/item/eventItemRequestBuilder';
import { CheckGrantedPermissionsForAppRequestBuilder } from './checkGrantedPermissionsForApp/checkGrantedPermissionsForAppRequestBuilder';
import { CheckMemberGroupsRequestBuilder } from './checkMemberGroups/checkMemberGroupsRequestBuilder';
import { CheckMemberObjectsRequestBuilder } from './checkMemberObjects/checkMemberObjectsRequestBuilder';
import { ConversationsRequestBuilder } from './conversations/conversationsRequestBuilder';
import { ConversationItemRequestBuilder } from './conversations/item/conversationItemRequestBuilder';
import { CreatedOnBehalfOfRequestBuilder } from './createdOnBehalfOf/createdOnBehalfOfRequestBuilder';
import { DriveRequestBuilder } from './drive/driveRequestBuilder';
import { DrivesRequestBuilder } from './drives/drivesRequestBuilder';
import { DriveItemRequestBuilder } from './drives/item/driveItemRequestBuilder';
import { EventsRequestBuilder } from './events/eventsRequestBuilder';
import { EventItemRequestBuilder as ic332bea5dacfbb195207b8d9df65c9c72465a00d316daf7f09d4ce7f76366ef3 } from './events/item/eventItemRequestBuilder';
import { ExtensionsRequestBuilder } from './extensions/extensionsRequestBuilder';
import { ExtensionItemRequestBuilder } from './extensions/item/extensionItemRequestBuilder';
import { GetMemberGroupsRequestBuilder } from './getMemberGroups/getMemberGroupsRequestBuilder';
import { GetMemberObjectsRequestBuilder } from './getMemberObjects/getMemberObjectsRequestBuilder';
import { GroupItemRequestBuilderDeleteRequestConfiguration } from './groupItemRequestBuilderDeleteRequestConfiguration';
import { GroupItemRequestBuilderGetRequestConfiguration } from './groupItemRequestBuilderGetRequestConfiguration';
import { GroupItemRequestBuilderPatchRequestConfiguration } from './groupItemRequestBuilderPatchRequestConfiguration';
import { GroupLifecyclePoliciesRequestBuilder } from './groupLifecyclePolicies/groupLifecyclePoliciesRequestBuilder';
import { GroupLifecyclePolicyItemRequestBuilder } from './groupLifecyclePolicies/item/groupLifecyclePolicyItemRequestBuilder';
import { DirectoryObjectItemRequestBuilder as i9e38ae949436d072a9f7fc1785bf9bf05fccf7dfa8c73ee8ac79966c36d19510 } from './memberOf/item/directoryObjectItemRequestBuilder';
import { MemberOfRequestBuilder } from './memberOf/memberOfRequestBuilder';
import { DirectoryObjectItemRequestBuilder as id89adff530affa64ac89efb08fe2c868731227b159b4f8e655232b913b619492 } from './members/item/directoryObjectItemRequestBuilder';
import { MembersRequestBuilder } from './members/membersRequestBuilder';
import { DirectoryObjectItemRequestBuilder as i6a898678a095191d7fdc99dbbc4e703f571fca1f8153fbc048f3356542279b97 } from './membersWithLicenseErrors/item/directoryObjectItemRequestBuilder';
import { MembersWithLicenseErrorsRequestBuilder } from './membersWithLicenseErrors/membersWithLicenseErrorsRequestBuilder';
import { OnenoteRequestBuilder } from './onenote/onenoteRequestBuilder';
import { DirectoryObjectItemRequestBuilder as i068a4645e53dd8ebc8e7025a71b39fe15b815ee1dd7818eba367d792e25da077 } from './owners/item/directoryObjectItemRequestBuilder';
import { OwnersRequestBuilder } from './owners/ownersRequestBuilder';
import { ResourceSpecificPermissionGrantItemRequestBuilder } from './permissionGrants/item/resourceSpecificPermissionGrantItemRequestBuilder';
import { PermissionGrantsRequestBuilder } from './permissionGrants/permissionGrantsRequestBuilder';
import { PhotoRequestBuilder } from './photo/photoRequestBuilder';
import { ProfilePhotoItemRequestBuilder } from './photos/item/profilePhotoItemRequestBuilder';
import { PhotosRequestBuilder } from './photos/photosRequestBuilder';
import { PlannerRequestBuilder } from './planner/plannerRequestBuilder';
import { DirectoryObjectItemRequestBuilder as i1d520d329beb2bfb2a59aef316e596a4c38c1f35e2e9a6ec4b8238f25888e6bd } from './rejectedSenders/item/directoryObjectItemRequestBuilder';
import { RejectedSendersRequestBuilder } from './rejectedSenders/rejectedSendersRequestBuilder';
import { RemoveFavoriteRequestBuilder } from './removeFavorite/removeFavoriteRequestBuilder';
import { RenewRequestBuilder } from './renew/renewRequestBuilder';
import { ResetUnseenCountRequestBuilder } from './resetUnseenCount/resetUnseenCountRequestBuilder';
import { RestoreRequestBuilder } from './restore/restoreRequestBuilder';
import { GroupSettingItemRequestBuilder } from './settings/item/groupSettingItemRequestBuilder';
import { SettingsRequestBuilder } from './settings/settingsRequestBuilder';
import { SiteItemRequestBuilder } from './sites/item/siteItemRequestBuilder';
import { SitesRequestBuilder } from './sites/sitesRequestBuilder';
import { SubscribeByMailRequestBuilder } from './subscribeByMail/subscribeByMailRequestBuilder';
import { TeamRequestBuilder } from './team/teamRequestBuilder';
import { ConversationThreadItemRequestBuilder } from './threads/item/conversationThreadItemRequestBuilder';
import { ThreadsRequestBuilder } from './threads/threadsRequestBuilder';
import { DirectoryObjectItemRequestBuilder as ia91115a5c48764d661fd5932145079299501a963f3810454d90fe7d9fdb7cc40 } from './transitiveMemberOf/item/directoryObjectItemRequestBuilder';
import { TransitiveMemberOfRequestBuilder } from './transitiveMemberOf/transitiveMemberOfRequestBuilder';
import { DirectoryObjectItemRequestBuilder as i00c0dcaf5f0aa8b9700ceaeecc2864c2d2a9f2acec7295833c9ae0304082b438 } from './transitiveMembers/item/directoryObjectItemRequestBuilder';
import { TransitiveMembersRequestBuilder } from './transitiveMembers/transitiveMembersRequestBuilder';
import { UnsubscribeByMailRequestBuilder } from './unsubscribeByMail/unsubscribeByMailRequestBuilder';
import { ValidatePropertiesRequestBuilder } from './validateProperties/validatePropertiesRequestBuilder';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the collection of group entities. */
export declare class GroupItemRequestBuilder {
    /** The acceptedSenders property */
    get acceptedSenders(): AcceptedSendersRequestBuilder;
    /** The addFavorite property */
    get addFavorite(): AddFavoriteRequestBuilder;
    /** The appRoleAssignments property */
    get appRoleAssignments(): AppRoleAssignmentsRequestBuilder;
    /** The assignLicense property */
    get assignLicense(): AssignLicenseRequestBuilder;
    /** The calendar property */
    get calendar(): CalendarRequestBuilder;
    /** The calendarView property */
    get calendarView(): CalendarViewRequestBuilder;
    /** The checkGrantedPermissionsForApp property */
    get checkGrantedPermissionsForApp(): CheckGrantedPermissionsForAppRequestBuilder;
    /** The checkMemberGroups property */
    get checkMemberGroups(): CheckMemberGroupsRequestBuilder;
    /** The checkMemberObjects property */
    get checkMemberObjects(): CheckMemberObjectsRequestBuilder;
    /** The conversations property */
    get conversations(): ConversationsRequestBuilder;
    /** The createdOnBehalfOf property */
    get createdOnBehalfOf(): CreatedOnBehalfOfRequestBuilder;
    /** The drive property */
    get drive(): DriveRequestBuilder;
    /** The drives property */
    get drives(): DrivesRequestBuilder;
    /** The events property */
    get events(): EventsRequestBuilder;
    /** The extensions property */
    get extensions(): ExtensionsRequestBuilder;
    /** The getMemberGroups property */
    get getMemberGroups(): GetMemberGroupsRequestBuilder;
    /** The getMemberObjects property */
    get getMemberObjects(): GetMemberObjectsRequestBuilder;
    /** The groupLifecyclePolicies property */
    get groupLifecyclePolicies(): GroupLifecyclePoliciesRequestBuilder;
    /** The memberOf property */
    get memberOf(): MemberOfRequestBuilder;
    /** The members property */
    get members(): MembersRequestBuilder;
    /** The membersWithLicenseErrors property */
    get membersWithLicenseErrors(): MembersWithLicenseErrorsRequestBuilder;
    /** The onenote property */
    get onenote(): OnenoteRequestBuilder;
    /** The owners property */
    get owners(): OwnersRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The permissionGrants property */
    get permissionGrants(): PermissionGrantsRequestBuilder;
    /** The photo property */
    get photo(): PhotoRequestBuilder;
    /** The photos property */
    get photos(): PhotosRequestBuilder;
    /** The planner property */
    get planner(): PlannerRequestBuilder;
    /** The rejectedSenders property */
    get rejectedSenders(): RejectedSendersRequestBuilder;
    /** The removeFavorite property */
    get removeFavorite(): RemoveFavoriteRequestBuilder;
    /** The renew property */
    get renew(): RenewRequestBuilder;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** The resetUnseenCount property */
    get resetUnseenCount(): ResetUnseenCountRequestBuilder;
    /** The restore property */
    get restore(): RestoreRequestBuilder;
    /** The settings property */
    get settings(): SettingsRequestBuilder;
    /** The sites property */
    get sites(): SitesRequestBuilder;
    /** The subscribeByMail property */
    get subscribeByMail(): SubscribeByMailRequestBuilder;
    /** The team property */
    get team(): TeamRequestBuilder;
    /** The threads property */
    get threads(): ThreadsRequestBuilder;
    /** The transitiveMemberOf property */
    get transitiveMemberOf(): TransitiveMemberOfRequestBuilder;
    /** The transitiveMembers property */
    get transitiveMembers(): TransitiveMembersRequestBuilder;
    /** The unsubscribeByMail property */
    get unsubscribeByMail(): UnsubscribeByMailRequestBuilder;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /** The validateProperties property */
    get validateProperties(): ValidatePropertiesRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.acceptedSenders.item collection
     * @param id Unique identifier of the item
     * @returns a directoryObjectItemRequestBuilder
     */
    acceptedSendersById(id: string): i2d2291fa1472e06653091837ff4c99f773a20578529c8484145f25f3f99fa62d;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.appRoleAssignments.item collection
     * @param id Unique identifier of the item
     * @returns a appRoleAssignmentItemRequestBuilder
     */
    appRoleAssignmentsById(id: string): AppRoleAssignmentItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.calendarView.item collection
     * @param id Unique identifier of the item
     * @returns a eventItemRequestBuilder
     */
    calendarViewById(id: string): ic81e3fb81c60b007708708dc63032c19cab3ea8bcb0c173d143f627e74d5f795;
    /**
     * Instantiates a new GroupItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.conversations.item collection
     * @param id Unique identifier of the item
     * @returns a conversationItemRequestBuilder
     */
    conversationsById(id: string): ConversationItemRequestBuilder;
    /**
     * In this tutorial, a fictitious company called Contoso Limited wishes to have its IT Helpdesk manage the lifecycle of employees’ access. The company has identified the Azure AD User Administrator role as the appropriate privileged role required by IT Helpdesk, and will use the PIM API to assign the role. You'll create a role-assignable security group for IT Helpdesk and using the PIM API, assign the security group eligibility to the User Administrator role. By assigning the eligible role to a security group, Contoso has a more efficient way to manage administrator access to resources such as Azure AD roles. For example: Assigning eligibility instead of a persistently active User Administrator privilege allows the company to enforce **just-in-time access**, which grants temporary permissions to carry out the privileged tasks. After defining the role eligibility, the eligible group member then activates their assignment for a temporary period. All records of role activations will be auditable by the company.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createDeleteRequestInformation(requestConfiguration?: GroupItemRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * Get the properties and relationships of a [group](../resources/group.md) object. This operation returns by default only a subset of all the available properties, as noted in the [Properties](../resources/group.md#properties) section. To get properties that are _not_ returned by default, specify them in a `$select` OData query option. The **hasMembersWithLicenseErrors** property is an exception and is not returned in the `$select` query. Because the **group** resource supports [extensions](/graph/extensibility-overview), you can also use the `GET` operation to get custom properties and extension data in a **group** instance.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: GroupItemRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the properties of a [group](../resources/group.md) object.
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body: Group | undefined, requestConfiguration?: GroupItemRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * In this tutorial, a fictitious company called Contoso Limited wishes to have its IT Helpdesk manage the lifecycle of employees’ access. The company has identified the Azure AD User Administrator role as the appropriate privileged role required by IT Helpdesk, and will use the PIM API to assign the role. You'll create a role-assignable security group for IT Helpdesk and using the PIM API, assign the security group eligibility to the User Administrator role. By assigning the eligible role to a security group, Contoso has a more efficient way to manage administrator access to resources such as Azure AD roles. For example: Assigning eligibility instead of a persistently active User Administrator privilege allows the company to enforce **just-in-time access**, which grants temporary permissions to carry out the privileged tasks. After defining the role eligibility, the eligible group member then activates their assignment for a temporary period. All records of role activations will be auditable by the company.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    delete(requestConfiguration?: GroupItemRequestBuilderDeleteRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.drives.item collection
     * @param id Unique identifier of the item
     * @returns a driveItemRequestBuilder
     */
    drivesById(id: string): DriveItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.events.item collection
     * @param id Unique identifier of the item
     * @returns a eventItemRequestBuilder
     */
    eventsById(id: string): ic332bea5dacfbb195207b8d9df65c9c72465a00d316daf7f09d4ce7f76366ef3;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.extensions.item collection
     * @param id Unique identifier of the item
     * @returns a extensionItemRequestBuilder
     */
    extensionsById(id: string): ExtensionItemRequestBuilder;
    /**
     * Get the properties and relationships of a [group](../resources/group.md) object. This operation returns by default only a subset of all the available properties, as noted in the [Properties](../resources/group.md#properties) section. To get properties that are _not_ returned by default, specify them in a `$select` OData query option. The **hasMembersWithLicenseErrors** property is an exception and is not returned in the `$select` query. Because the **group** resource supports [extensions](/graph/extensibility-overview), you can also use the `GET` operation to get custom properties and extension data in a **group** instance.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of Group
     */
    get(requestConfiguration?: GroupItemRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<Group | undefined>;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.groupLifecyclePolicies.item collection
     * @param id Unique identifier of the item
     * @returns a groupLifecyclePolicyItemRequestBuilder
     */
    groupLifecyclePoliciesById(id: string): GroupLifecyclePolicyItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.memberOf.item collection
     * @param id Unique identifier of the item
     * @returns a directoryObjectItemRequestBuilder
     */
    memberOfById(id: string): i9e38ae949436d072a9f7fc1785bf9bf05fccf7dfa8c73ee8ac79966c36d19510;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.members.item collection
     * @param id Unique identifier of the item
     * @returns a directoryObjectItemRequestBuilder
     */
    membersById(id: string): id89adff530affa64ac89efb08fe2c868731227b159b4f8e655232b913b619492;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.membersWithLicenseErrors.item collection
     * @param id Unique identifier of the item
     * @returns a directoryObjectItemRequestBuilder
     */
    membersWithLicenseErrorsById(id: string): i6a898678a095191d7fdc99dbbc4e703f571fca1f8153fbc048f3356542279b97;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.owners.item collection
     * @param id Unique identifier of the item
     * @returns a directoryObjectItemRequestBuilder
     */
    ownersById(id: string): i068a4645e53dd8ebc8e7025a71b39fe15b815ee1dd7818eba367d792e25da077;
    /**
     * Update the properties of a [group](../resources/group.md) object.
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body: Group | undefined, requestConfiguration?: GroupItemRequestBuilderPatchRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.permissionGrants.item collection
     * @param id Unique identifier of the item
     * @returns a resourceSpecificPermissionGrantItemRequestBuilder
     */
    permissionGrantsById(id: string): ResourceSpecificPermissionGrantItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.photos.item collection
     * @param id Unique identifier of the item
     * @returns a profilePhotoItemRequestBuilder
     */
    photosById(id: string): ProfilePhotoItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.rejectedSenders.item collection
     * @param id Unique identifier of the item
     * @returns a directoryObjectItemRequestBuilder
     */
    rejectedSendersById(id: string): i1d520d329beb2bfb2a59aef316e596a4c38c1f35e2e9a6ec4b8238f25888e6bd;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.settings.item collection
     * @param id Unique identifier of the item
     * @returns a groupSettingItemRequestBuilder
     */
    settingsById(id: string): GroupSettingItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.sites.item collection
     * @param id Unique identifier of the item
     * @returns a siteItemRequestBuilder
     */
    sitesById(id: string): SiteItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.threads.item collection
     * @param id Unique identifier of the item
     * @returns a conversationThreadItemRequestBuilder
     */
    threadsById(id: string): ConversationThreadItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.transitiveMemberOf.item collection
     * @param id Unique identifier of the item
     * @returns a directoryObjectItemRequestBuilder
     */
    transitiveMemberOfById(id: string): ia91115a5c48764d661fd5932145079299501a963f3810454d90fe7d9fdb7cc40;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.transitiveMembers.item collection
     * @param id Unique identifier of the item
     * @returns a directoryObjectItemRequestBuilder
     */
    transitiveMembersById(id: string): i00c0dcaf5f0aa8b9700ceaeecc2864c2d2a9f2acec7295833c9ae0304082b438;
}
