"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GroupItemRequestBuilder = void 0;
const createGroupFromDiscriminatorValue_1 = require("../../models/createGroupFromDiscriminatorValue");
const createODataErrorFromDiscriminatorValue_1 = require("../../models/oDataErrors/createODataErrorFromDiscriminatorValue");
const acceptedSendersRequestBuilder_1 = require("./acceptedSenders/acceptedSendersRequestBuilder");
const directoryObjectItemRequestBuilder_1 = require("./acceptedSenders/item/directoryObjectItemRequestBuilder");
const addFavoriteRequestBuilder_1 = require("./addFavorite/addFavoriteRequestBuilder");
const appRoleAssignmentsRequestBuilder_1 = require("./appRoleAssignments/appRoleAssignmentsRequestBuilder");
const appRoleAssignmentItemRequestBuilder_1 = require("./appRoleAssignments/item/appRoleAssignmentItemRequestBuilder");
const assignLicenseRequestBuilder_1 = require("./assignLicense/assignLicenseRequestBuilder");
const calendarRequestBuilder_1 = require("./calendar/calendarRequestBuilder");
const calendarViewRequestBuilder_1 = require("./calendarView/calendarViewRequestBuilder");
const eventItemRequestBuilder_1 = require("./calendarView/item/eventItemRequestBuilder");
const checkGrantedPermissionsForAppRequestBuilder_1 = require("./checkGrantedPermissionsForApp/checkGrantedPermissionsForAppRequestBuilder");
const checkMemberGroupsRequestBuilder_1 = require("./checkMemberGroups/checkMemberGroupsRequestBuilder");
const checkMemberObjectsRequestBuilder_1 = require("./checkMemberObjects/checkMemberObjectsRequestBuilder");
const conversationsRequestBuilder_1 = require("./conversations/conversationsRequestBuilder");
const conversationItemRequestBuilder_1 = require("./conversations/item/conversationItemRequestBuilder");
const createdOnBehalfOfRequestBuilder_1 = require("./createdOnBehalfOf/createdOnBehalfOfRequestBuilder");
const driveRequestBuilder_1 = require("./drive/driveRequestBuilder");
const drivesRequestBuilder_1 = require("./drives/drivesRequestBuilder");
const driveItemRequestBuilder_1 = require("./drives/item/driveItemRequestBuilder");
const eventsRequestBuilder_1 = require("./events/eventsRequestBuilder");
const eventItemRequestBuilder_2 = require("./events/item/eventItemRequestBuilder");
const extensionsRequestBuilder_1 = require("./extensions/extensionsRequestBuilder");
const extensionItemRequestBuilder_1 = require("./extensions/item/extensionItemRequestBuilder");
const getMemberGroupsRequestBuilder_1 = require("./getMemberGroups/getMemberGroupsRequestBuilder");
const getMemberObjectsRequestBuilder_1 = require("./getMemberObjects/getMemberObjectsRequestBuilder");
const groupLifecyclePoliciesRequestBuilder_1 = require("./groupLifecyclePolicies/groupLifecyclePoliciesRequestBuilder");
const groupLifecyclePolicyItemRequestBuilder_1 = require("./groupLifecyclePolicies/item/groupLifecyclePolicyItemRequestBuilder");
const directoryObjectItemRequestBuilder_2 = require("./memberOf/item/directoryObjectItemRequestBuilder");
const memberOfRequestBuilder_1 = require("./memberOf/memberOfRequestBuilder");
const directoryObjectItemRequestBuilder_3 = require("./members/item/directoryObjectItemRequestBuilder");
const membersRequestBuilder_1 = require("./members/membersRequestBuilder");
const directoryObjectItemRequestBuilder_4 = require("./membersWithLicenseErrors/item/directoryObjectItemRequestBuilder");
const membersWithLicenseErrorsRequestBuilder_1 = require("./membersWithLicenseErrors/membersWithLicenseErrorsRequestBuilder");
const onenoteRequestBuilder_1 = require("./onenote/onenoteRequestBuilder");
const directoryObjectItemRequestBuilder_5 = require("./owners/item/directoryObjectItemRequestBuilder");
const ownersRequestBuilder_1 = require("./owners/ownersRequestBuilder");
const resourceSpecificPermissionGrantItemRequestBuilder_1 = require("./permissionGrants/item/resourceSpecificPermissionGrantItemRequestBuilder");
const permissionGrantsRequestBuilder_1 = require("./permissionGrants/permissionGrantsRequestBuilder");
const photoRequestBuilder_1 = require("./photo/photoRequestBuilder");
const profilePhotoItemRequestBuilder_1 = require("./photos/item/profilePhotoItemRequestBuilder");
const photosRequestBuilder_1 = require("./photos/photosRequestBuilder");
const plannerRequestBuilder_1 = require("./planner/plannerRequestBuilder");
const directoryObjectItemRequestBuilder_6 = require("./rejectedSenders/item/directoryObjectItemRequestBuilder");
const rejectedSendersRequestBuilder_1 = require("./rejectedSenders/rejectedSendersRequestBuilder");
const removeFavoriteRequestBuilder_1 = require("./removeFavorite/removeFavoriteRequestBuilder");
const renewRequestBuilder_1 = require("./renew/renewRequestBuilder");
const resetUnseenCountRequestBuilder_1 = require("./resetUnseenCount/resetUnseenCountRequestBuilder");
const restoreRequestBuilder_1 = require("./restore/restoreRequestBuilder");
const groupSettingItemRequestBuilder_1 = require("./settings/item/groupSettingItemRequestBuilder");
const settingsRequestBuilder_1 = require("./settings/settingsRequestBuilder");
const siteItemRequestBuilder_1 = require("./sites/item/siteItemRequestBuilder");
const sitesRequestBuilder_1 = require("./sites/sitesRequestBuilder");
const subscribeByMailRequestBuilder_1 = require("./subscribeByMail/subscribeByMailRequestBuilder");
const teamRequestBuilder_1 = require("./team/teamRequestBuilder");
const conversationThreadItemRequestBuilder_1 = require("./threads/item/conversationThreadItemRequestBuilder");
const threadsRequestBuilder_1 = require("./threads/threadsRequestBuilder");
const directoryObjectItemRequestBuilder_7 = require("./transitiveMemberOf/item/directoryObjectItemRequestBuilder");
const transitiveMemberOfRequestBuilder_1 = require("./transitiveMemberOf/transitiveMemberOfRequestBuilder");
const directoryObjectItemRequestBuilder_8 = require("./transitiveMembers/item/directoryObjectItemRequestBuilder");
const transitiveMembersRequestBuilder_1 = require("./transitiveMembers/transitiveMembersRequestBuilder");
const unsubscribeByMailRequestBuilder_1 = require("./unsubscribeByMail/unsubscribeByMailRequestBuilder");
const validatePropertiesRequestBuilder_1 = require("./validateProperties/validatePropertiesRequestBuilder");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
/** Provides operations to manage the collection of group entities. */
class GroupItemRequestBuilder {
    /**
     * Instantiates a new GroupItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        if (!pathParameters)
            throw new Error("pathParameters cannot be undefined");
        if (!requestAdapter)
            throw new Error("requestAdapter cannot be undefined");
        this.urlTemplate = "{+baseurl}/groups/{group%2Did}{?%24select,%24expand}";
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(pathParameters);
        this.pathParameters = urlTplParams;
        this.requestAdapter = requestAdapter;
    }
    /** The acceptedSenders property */
    get acceptedSenders() {
        return new acceptedSendersRequestBuilder_1.AcceptedSendersRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The addFavorite property */
    get addFavorite() {
        return new addFavoriteRequestBuilder_1.AddFavoriteRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The appRoleAssignments property */
    get appRoleAssignments() {
        return new appRoleAssignmentsRequestBuilder_1.AppRoleAssignmentsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The assignLicense property */
    get assignLicense() {
        return new assignLicenseRequestBuilder_1.AssignLicenseRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The calendar property */
    get calendar() {
        return new calendarRequestBuilder_1.CalendarRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The calendarView property */
    get calendarView() {
        return new calendarViewRequestBuilder_1.CalendarViewRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The checkGrantedPermissionsForApp property */
    get checkGrantedPermissionsForApp() {
        return new checkGrantedPermissionsForAppRequestBuilder_1.CheckGrantedPermissionsForAppRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The checkMemberGroups property */
    get checkMemberGroups() {
        return new checkMemberGroupsRequestBuilder_1.CheckMemberGroupsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The checkMemberObjects property */
    get checkMemberObjects() {
        return new checkMemberObjectsRequestBuilder_1.CheckMemberObjectsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The conversations property */
    get conversations() {
        return new conversationsRequestBuilder_1.ConversationsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The createdOnBehalfOf property */
    get createdOnBehalfOf() {
        return new createdOnBehalfOfRequestBuilder_1.CreatedOnBehalfOfRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The drive property */
    get drive() {
        return new driveRequestBuilder_1.DriveRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The drives property */
    get drives() {
        return new drivesRequestBuilder_1.DrivesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The events property */
    get events() {
        return new eventsRequestBuilder_1.EventsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The extensions property */
    get extensions() {
        return new extensionsRequestBuilder_1.ExtensionsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The getMemberGroups property */
    get getMemberGroups() {
        return new getMemberGroupsRequestBuilder_1.GetMemberGroupsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The getMemberObjects property */
    get getMemberObjects() {
        return new getMemberObjectsRequestBuilder_1.GetMemberObjectsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The groupLifecyclePolicies property */
    get groupLifecyclePolicies() {
        return new groupLifecyclePoliciesRequestBuilder_1.GroupLifecyclePoliciesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The memberOf property */
    get memberOf() {
        return new memberOfRequestBuilder_1.MemberOfRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The members property */
    get members() {
        return new membersRequestBuilder_1.MembersRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The membersWithLicenseErrors property */
    get membersWithLicenseErrors() {
        return new membersWithLicenseErrorsRequestBuilder_1.MembersWithLicenseErrorsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The onenote property */
    get onenote() {
        return new onenoteRequestBuilder_1.OnenoteRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The owners property */
    get owners() {
        return new ownersRequestBuilder_1.OwnersRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The permissionGrants property */
    get permissionGrants() {
        return new permissionGrantsRequestBuilder_1.PermissionGrantsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The photo property */
    get photo() {
        return new photoRequestBuilder_1.PhotoRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The photos property */
    get photos() {
        return new photosRequestBuilder_1.PhotosRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The planner property */
    get planner() {
        return new plannerRequestBuilder_1.PlannerRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The rejectedSenders property */
    get rejectedSenders() {
        return new rejectedSendersRequestBuilder_1.RejectedSendersRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The removeFavorite property */
    get removeFavorite() {
        return new removeFavoriteRequestBuilder_1.RemoveFavoriteRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The renew property */
    get renew() {
        return new renewRequestBuilder_1.RenewRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The resetUnseenCount property */
    get resetUnseenCount() {
        return new resetUnseenCountRequestBuilder_1.ResetUnseenCountRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The restore property */
    get restore() {
        return new restoreRequestBuilder_1.RestoreRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The settings property */
    get settings() {
        return new settingsRequestBuilder_1.SettingsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The sites property */
    get sites() {
        return new sitesRequestBuilder_1.SitesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The subscribeByMail property */
    get subscribeByMail() {
        return new subscribeByMailRequestBuilder_1.SubscribeByMailRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The team property */
    get team() {
        return new teamRequestBuilder_1.TeamRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The threads property */
    get threads() {
        return new threadsRequestBuilder_1.ThreadsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The transitiveMemberOf property */
    get transitiveMemberOf() {
        return new transitiveMemberOfRequestBuilder_1.TransitiveMemberOfRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The transitiveMembers property */
    get transitiveMembers() {
        return new transitiveMembersRequestBuilder_1.TransitiveMembersRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The unsubscribeByMail property */
    get unsubscribeByMail() {
        return new unsubscribeByMailRequestBuilder_1.UnsubscribeByMailRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The validateProperties property */
    get validateProperties() {
        return new validatePropertiesRequestBuilder_1.ValidatePropertiesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.acceptedSenders.item collection
     * @param id Unique identifier of the item
     * @returns a directoryObjectItemRequestBuilder
     */
    acceptedSendersById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["directoryObject%2Did"] = id;
        return new directoryObjectItemRequestBuilder_1.DirectoryObjectItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.appRoleAssignments.item collection
     * @param id Unique identifier of the item
     * @returns a appRoleAssignmentItemRequestBuilder
     */
    appRoleAssignmentsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["appRoleAssignment%2Did"] = id;
        return new appRoleAssignmentItemRequestBuilder_1.AppRoleAssignmentItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.calendarView.item collection
     * @param id Unique identifier of the item
     * @returns a eventItemRequestBuilder
     */
    calendarViewById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["event%2Did"] = id;
        return new eventItemRequestBuilder_1.EventItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.conversations.item collection
     * @param id Unique identifier of the item
     * @returns a conversationItemRequestBuilder
     */
    conversationsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["conversation%2Did"] = id;
        return new conversationItemRequestBuilder_1.ConversationItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * In this tutorial, a fictitious company called Contoso Limited wishes to have its IT Helpdesk manage the lifecycle of employees’ access. The company has identified the Azure AD User Administrator role as the appropriate privileged role required by IT Helpdesk, and will use the PIM API to assign the role. You'll create a role-assignable security group for IT Helpdesk and using the PIM API, assign the security group eligibility to the User Administrator role. By assigning the eligible role to a security group, Contoso has a more efficient way to manage administrator access to resources such as Azure AD roles. For example: Assigning eligibility instead of a persistently active User Administrator privilege allows the company to enforce **just-in-time access**, which grants temporary permissions to carry out the privileged tasks. After defining the role eligibility, the eligible group member then activates their assignment for a temporary period. All records of role activations will be auditable by the company.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createDeleteRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation();
        requestInfo.urlTemplate = this.urlTemplate;
        requestInfo.pathParameters = this.pathParameters;
        requestInfo.httpMethod = kiota_abstractions_1.HttpMethod.DELETE;
        if (requestConfiguration) {
            requestInfo.addRequestHeaders(requestConfiguration.headers);
            requestInfo.addRequestOptions(requestConfiguration.options);
        }
        return requestInfo;
    }
    ;
    /**
     * Get the properties and relationships of a [group](../resources/group.md) object. This operation returns by default only a subset of all the available properties, as noted in the [Properties](../resources/group.md#properties) section. To get properties that are _not_ returned by default, specify them in a `$select` OData query option. The **hasMembersWithLicenseErrors** property is an exception and is not returned in the `$select` query. Because the **group** resource supports [extensions](/graph/extensibility-overview), you can also use the `GET` operation to get custom properties and extension data in a **group** instance.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation();
        requestInfo.urlTemplate = this.urlTemplate;
        requestInfo.pathParameters = this.pathParameters;
        requestInfo.httpMethod = kiota_abstractions_1.HttpMethod.GET;
        if (requestConfiguration) {
            requestInfo.addRequestHeaders(requestConfiguration.headers);
            requestInfo.setQueryStringParametersFromRawObject(requestConfiguration.queryParameters);
            requestInfo.addRequestOptions(requestConfiguration.options);
        }
        return requestInfo;
    }
    ;
    /**
     * Update the properties of a [group](../resources/group.md) object.
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation();
        requestInfo.urlTemplate = this.urlTemplate;
        requestInfo.pathParameters = this.pathParameters;
        requestInfo.httpMethod = kiota_abstractions_1.HttpMethod.PATCH;
        if (requestConfiguration) {
            requestInfo.addRequestHeaders(requestConfiguration.headers);
            requestInfo.addRequestOptions(requestConfiguration.options);
        }
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body);
        return requestInfo;
    }
    ;
    /**
     * In this tutorial, a fictitious company called Contoso Limited wishes to have its IT Helpdesk manage the lifecycle of employees’ access. The company has identified the Azure AD User Administrator role as the appropriate privileged role required by IT Helpdesk, and will use the PIM API to assign the role. You'll create a role-assignable security group for IT Helpdesk and using the PIM API, assign the security group eligibility to the User Administrator role. By assigning the eligible role to a security group, Contoso has a more efficient way to manage administrator access to resources such as Azure AD roles. For example: Assigning eligibility instead of a persistently active User Administrator privilege allows the company to enforce **just-in-time access**, which grants temporary permissions to carry out the privileged tasks. After defining the role eligibility, the eligible group member then activates their assignment for a temporary period. All records of role activations will be auditable by the company.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    delete(requestConfiguration, responseHandler) {
        var _a, _b;
        const requestInfo = this.createDeleteRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": createODataErrorFromDiscriminatorValue_1.createODataErrorFromDiscriminatorValue,
            "5XX": createODataErrorFromDiscriminatorValue_1.createODataErrorFromDiscriminatorValue,
        };
        return (_b = (_a = this.requestAdapter) === null || _a === void 0 ? void 0 : _a.sendNoResponseContentAsync(requestInfo, responseHandler, errorMapping)) !== null && _b !== void 0 ? _b : Promise.reject(new Error('http core is null'));
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.drives.item collection
     * @param id Unique identifier of the item
     * @returns a driveItemRequestBuilder
     */
    drivesById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["drive%2Did"] = id;
        return new driveItemRequestBuilder_1.DriveItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.events.item collection
     * @param id Unique identifier of the item
     * @returns a eventItemRequestBuilder
     */
    eventsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["event%2Did"] = id;
        return new eventItemRequestBuilder_2.EventItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.extensions.item collection
     * @param id Unique identifier of the item
     * @returns a extensionItemRequestBuilder
     */
    extensionsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["extension%2Did"] = id;
        return new extensionItemRequestBuilder_1.ExtensionItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Get the properties and relationships of a [group](../resources/group.md) object. This operation returns by default only a subset of all the available properties, as noted in the [Properties](../resources/group.md#properties) section. To get properties that are _not_ returned by default, specify them in a `$select` OData query option. The **hasMembersWithLicenseErrors** property is an exception and is not returned in the `$select` query. Because the **group** resource supports [extensions](/graph/extensibility-overview), you can also use the `GET` operation to get custom properties and extension data in a **group** instance.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of Group
     */
    get(requestConfiguration, responseHandler) {
        var _a, _b;
        const requestInfo = this.createGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": createODataErrorFromDiscriminatorValue_1.createODataErrorFromDiscriminatorValue,
            "5XX": createODataErrorFromDiscriminatorValue_1.createODataErrorFromDiscriminatorValue,
        };
        return (_b = (_a = this.requestAdapter) === null || _a === void 0 ? void 0 : _a.sendAsync(requestInfo, createGroupFromDiscriminatorValue_1.createGroupFromDiscriminatorValue, responseHandler, errorMapping)) !== null && _b !== void 0 ? _b : Promise.reject(new Error('http core is null'));
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.groupLifecyclePolicies.item collection
     * @param id Unique identifier of the item
     * @returns a groupLifecyclePolicyItemRequestBuilder
     */
    groupLifecyclePoliciesById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["groupLifecyclePolicy%2Did"] = id;
        return new groupLifecyclePolicyItemRequestBuilder_1.GroupLifecyclePolicyItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.memberOf.item collection
     * @param id Unique identifier of the item
     * @returns a directoryObjectItemRequestBuilder
     */
    memberOfById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["directoryObject%2Did"] = id;
        return new directoryObjectItemRequestBuilder_2.DirectoryObjectItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.members.item collection
     * @param id Unique identifier of the item
     * @returns a directoryObjectItemRequestBuilder
     */
    membersById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["directoryObject%2Did"] = id;
        return new directoryObjectItemRequestBuilder_3.DirectoryObjectItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.membersWithLicenseErrors.item collection
     * @param id Unique identifier of the item
     * @returns a directoryObjectItemRequestBuilder
     */
    membersWithLicenseErrorsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["directoryObject%2Did"] = id;
        return new directoryObjectItemRequestBuilder_4.DirectoryObjectItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.owners.item collection
     * @param id Unique identifier of the item
     * @returns a directoryObjectItemRequestBuilder
     */
    ownersById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["directoryObject%2Did"] = id;
        return new directoryObjectItemRequestBuilder_5.DirectoryObjectItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Update the properties of a [group](../resources/group.md) object.
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body, requestConfiguration, responseHandler) {
        var _a, _b;
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = this.createPatchRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": createODataErrorFromDiscriminatorValue_1.createODataErrorFromDiscriminatorValue,
            "5XX": createODataErrorFromDiscriminatorValue_1.createODataErrorFromDiscriminatorValue,
        };
        return (_b = (_a = this.requestAdapter) === null || _a === void 0 ? void 0 : _a.sendNoResponseContentAsync(requestInfo, responseHandler, errorMapping)) !== null && _b !== void 0 ? _b : Promise.reject(new Error('http core is null'));
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.permissionGrants.item collection
     * @param id Unique identifier of the item
     * @returns a resourceSpecificPermissionGrantItemRequestBuilder
     */
    permissionGrantsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["resourceSpecificPermissionGrant%2Did"] = id;
        return new resourceSpecificPermissionGrantItemRequestBuilder_1.ResourceSpecificPermissionGrantItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.photos.item collection
     * @param id Unique identifier of the item
     * @returns a profilePhotoItemRequestBuilder
     */
    photosById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["profilePhoto%2Did"] = id;
        return new profilePhotoItemRequestBuilder_1.ProfilePhotoItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.rejectedSenders.item collection
     * @param id Unique identifier of the item
     * @returns a directoryObjectItemRequestBuilder
     */
    rejectedSendersById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["directoryObject%2Did"] = id;
        return new directoryObjectItemRequestBuilder_6.DirectoryObjectItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.settings.item collection
     * @param id Unique identifier of the item
     * @returns a groupSettingItemRequestBuilder
     */
    settingsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["groupSetting%2Did"] = id;
        return new groupSettingItemRequestBuilder_1.GroupSettingItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.sites.item collection
     * @param id Unique identifier of the item
     * @returns a siteItemRequestBuilder
     */
    sitesById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["site%2Did"] = id;
        return new siteItemRequestBuilder_1.SiteItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.threads.item collection
     * @param id Unique identifier of the item
     * @returns a conversationThreadItemRequestBuilder
     */
    threadsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["conversationThread%2Did"] = id;
        return new conversationThreadItemRequestBuilder_1.ConversationThreadItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.transitiveMemberOf.item collection
     * @param id Unique identifier of the item
     * @returns a directoryObjectItemRequestBuilder
     */
    transitiveMemberOfById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["directoryObject%2Did"] = id;
        return new directoryObjectItemRequestBuilder_7.DirectoryObjectItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.transitiveMembers.item collection
     * @param id Unique identifier of the item
     * @returns a directoryObjectItemRequestBuilder
     */
    transitiveMembersById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["directoryObject%2Did"] = id;
        return new directoryObjectItemRequestBuilder_8.DirectoryObjectItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
}
exports.GroupItemRequestBuilder = GroupItemRequestBuilder;
