import { ApplicationRequestBuilder } from './application/applicationRequestBuilder';
import { DeviceRequestBuilder } from './device/deviceRequestBuilder';
import { GroupRequestBuilder } from './group/groupRequestBuilder';
import { OrgContactRequestBuilder } from './orgContact/orgContactRequestBuilder';
import { RefRequestBuilder } from './ref/refRequestBuilder';
import { ServicePrincipalRequestBuilder } from './servicePrincipal/servicePrincipalRequestBuilder';
import { UserRequestBuilder } from './user/userRequestBuilder';
import { RequestAdapter } from '@microsoft/kiota-abstractions';
/** Builds and executes requests for operations under /groups/{group-id}/members/{directoryObject-id} */
export declare class DirectoryObjectItemRequestBuilder {
    /** The application property */
    get application(): ApplicationRequestBuilder;
    /** The device property */
    get device(): DeviceRequestBuilder;
    /** The group property */
    get group(): GroupRequestBuilder;
    /** The orgContact property */
    get orgContact(): OrgContactRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The ref property */
    get ref(): RefRequestBuilder;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** The servicePrincipal property */
    get servicePrincipal(): ServicePrincipalRequestBuilder;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /** The user property */
    get user(): UserRequestBuilder;
    /**
     * Instantiates a new DirectoryObjectItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
}
