"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DirectoryObjectItemRequestBuilder = void 0;
const applicationRequestBuilder_1 = require("./application/applicationRequestBuilder");
const deviceRequestBuilder_1 = require("./device/deviceRequestBuilder");
const groupRequestBuilder_1 = require("./group/groupRequestBuilder");
const orgContactRequestBuilder_1 = require("./orgContact/orgContactRequestBuilder");
const refRequestBuilder_1 = require("./ref/refRequestBuilder");
const servicePrincipalRequestBuilder_1 = require("./servicePrincipal/servicePrincipalRequestBuilder");
const userRequestBuilder_1 = require("./user/userRequestBuilder");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
/** Builds and executes requests for operations under /groups/{group-id}/members/{directoryObject-id} */
class DirectoryObjectItemRequestBuilder {
    /**
     * Instantiates a new DirectoryObjectItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        if (!pathParameters)
            throw new Error("pathParameters cannot be undefined");
        if (!requestAdapter)
            throw new Error("requestAdapter cannot be undefined");
        this.urlTemplate = "{+baseurl}/groups/{group%2Did}/members/{directoryObject%2Did}";
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(pathParameters);
        this.pathParameters = urlTplParams;
        this.requestAdapter = requestAdapter;
    }
    /** The application property */
    get application() {
        return new applicationRequestBuilder_1.ApplicationRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The device property */
    get device() {
        return new deviceRequestBuilder_1.DeviceRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The group property */
    get group() {
        return new groupRequestBuilder_1.GroupRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The orgContact property */
    get orgContact() {
        return new orgContactRequestBuilder_1.OrgContactRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The ref property */
    get ref() {
        return new refRequestBuilder_1.RefRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The servicePrincipal property */
    get servicePrincipal() {
        return new servicePrincipalRequestBuilder_1.ServicePrincipalRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The user property */
    get user() {
        return new userRequestBuilder_1.UserRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    ;
}
exports.DirectoryObjectItemRequestBuilder = DirectoryObjectItemRequestBuilder;
