import { Group } from '../../../../../models/';
import { AddFavoriteRequestBuilder } from './addFavorite/addFavoriteRequestBuilder';
import { AssignLicenseRequestBuilder } from './assignLicense/assignLicenseRequestBuilder';
import { CheckGrantedPermissionsForAppRequestBuilder } from './checkGrantedPermissionsForApp/checkGrantedPermissionsForAppRequestBuilder';
import { CheckMemberGroupsRequestBuilder } from './checkMemberGroups/checkMemberGroupsRequestBuilder';
import { CheckMemberObjectsRequestBuilder } from './checkMemberObjects/checkMemberObjectsRequestBuilder';
import { GetMemberGroupsRequestBuilder } from './getMemberGroups/getMemberGroupsRequestBuilder';
import { GetMemberObjectsRequestBuilder } from './getMemberObjects/getMemberObjectsRequestBuilder';
import { GroupRequestBuilderGetRequestConfiguration } from './groupRequestBuilderGetRequestConfiguration';
import { RemoveFavoriteRequestBuilder } from './removeFavorite/removeFavoriteRequestBuilder';
import { RenewRequestBuilder } from './renew/renewRequestBuilder';
import { ResetUnseenCountRequestBuilder } from './resetUnseenCount/resetUnseenCountRequestBuilder';
import { RestoreRequestBuilder } from './restore/restoreRequestBuilder';
import { SubscribeByMailRequestBuilder } from './subscribeByMail/subscribeByMailRequestBuilder';
import { UnsubscribeByMailRequestBuilder } from './unsubscribeByMail/unsubscribeByMailRequestBuilder';
import { ValidatePropertiesRequestBuilder } from './validateProperties/validatePropertiesRequestBuilder';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Casts the previous resource to group. */
export declare class GroupRequestBuilder {
    /** The addFavorite property */
    get addFavorite(): AddFavoriteRequestBuilder;
    /** The assignLicense property */
    get assignLicense(): AssignLicenseRequestBuilder;
    /** The checkGrantedPermissionsForApp property */
    get checkGrantedPermissionsForApp(): CheckGrantedPermissionsForAppRequestBuilder;
    /** The checkMemberGroups property */
    get checkMemberGroups(): CheckMemberGroupsRequestBuilder;
    /** The checkMemberObjects property */
    get checkMemberObjects(): CheckMemberObjectsRequestBuilder;
    /** The getMemberGroups property */
    get getMemberGroups(): GetMemberGroupsRequestBuilder;
    /** The getMemberObjects property */
    get getMemberObjects(): GetMemberObjectsRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The removeFavorite property */
    get removeFavorite(): RemoveFavoriteRequestBuilder;
    /** The renew property */
    get renew(): RenewRequestBuilder;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** The resetUnseenCount property */
    get resetUnseenCount(): ResetUnseenCountRequestBuilder;
    /** The restore property */
    get restore(): RestoreRequestBuilder;
    /** The subscribeByMail property */
    get subscribeByMail(): SubscribeByMailRequestBuilder;
    /** The unsubscribeByMail property */
    get unsubscribeByMail(): UnsubscribeByMailRequestBuilder;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /** The validateProperties property */
    get validateProperties(): ValidatePropertiesRequestBuilder;
    /**
     * Instantiates a new GroupRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Get the item of type microsoft.graph.directoryObject as microsoft.graph.group
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: GroupRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Get the item of type microsoft.graph.directoryObject as microsoft.graph.group
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of Group
     */
    get(requestConfiguration?: GroupRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<Group | undefined>;
}
