import { DirectoryObjectCollectionResponse } from '../../../models/';
import { ApplicationRequestBuilder } from './application/applicationRequestBuilder';
import { CountRequestBuilder } from './count/countRequestBuilder';
import { DeviceRequestBuilder } from './device/deviceRequestBuilder';
import { GroupRequestBuilder } from './group/groupRequestBuilder';
import { MembersRequestBuilderGetRequestConfiguration } from './membersRequestBuilderGetRequestConfiguration';
import { OrgContactRequestBuilder } from './orgContact/orgContactRequestBuilder';
import { RefRequestBuilder } from './ref/refRequestBuilder';
import { ServicePrincipalRequestBuilder } from './servicePrincipal/servicePrincipalRequestBuilder';
import { UserRequestBuilder } from './user/userRequestBuilder';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the members property of the microsoft.graph.group entity. */
export declare class MembersRequestBuilder {
    /** The application property */
    get application(): ApplicationRequestBuilder;
    /** The count property */
    get count(): CountRequestBuilder;
    /** The device property */
    get device(): DeviceRequestBuilder;
    /** The group property */
    get group(): GroupRequestBuilder;
    /** The orgContact property */
    get orgContact(): OrgContactRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The ref property */
    get ref(): RefRequestBuilder;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** The servicePrincipal property */
    get servicePrincipal(): ServicePrincipalRequestBuilder;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /** The user property */
    get user(): UserRequestBuilder;
    /**
     * Instantiates a new MembersRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Members of this group, who can be users, devices, other groups, or service principals. Supports the List members, Add member, and Remove member operations. Nullable. Supports $expand including nested $select. For example, /groups?$filter=startsWith(displayName,'Role')&$select=id,displayName&$expand=members($select=id,userPrincipalName,displayName).
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: MembersRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Members of this group, who can be users, devices, other groups, or service principals. Supports the List members, Add member, and Remove member operations. Nullable. Supports $expand including nested $select. For example, /groups?$filter=startsWith(displayName,'Role')&$select=id,displayName&$expand=members($select=id,userPrincipalName,displayName).
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of DirectoryObjectCollectionResponse
     */
    get(requestConfiguration?: MembersRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<DirectoryObjectCollectionResponse | undefined>;
}
