import { ContentType } from '../../../../../../models/';
import { AssociateWithHubSitesRequestBuilder } from './associateWithHubSites/associateWithHubSitesRequestBuilder';
import { BaseRequestBuilder } from './base/baseRequestBuilder';
import { BaseTypesRequestBuilder } from './baseTypes/baseTypesRequestBuilder';
import { ContentTypeItemRequestBuilder as i85421474c07731ed7a337a903fed8a214561091def20a4b13abfe3abe9dc6f82 } from './baseTypes/item/contentTypeItemRequestBuilder';
import { ColumnLinksRequestBuilder } from './columnLinks/columnLinksRequestBuilder';
import { ColumnLinkItemRequestBuilder } from './columnLinks/item/columnLinkItemRequestBuilder';
import { ColumnPositionsRequestBuilder } from './columnPositions/columnPositionsRequestBuilder';
import { ColumnDefinitionItemRequestBuilder as i9894d7d3ff006e1c70b909ec76befb2234e5175baf5b92564ad16d8c04b18c27 } from './columnPositions/item/columnDefinitionItemRequestBuilder';
import { ColumnsRequestBuilder } from './columns/columnsRequestBuilder';
import { ColumnDefinitionItemRequestBuilder as i1a94693b59112b69bd96a638d2b8ab4725cfb014225afa40980f70d43e60949d } from './columns/item/columnDefinitionItemRequestBuilder';
import { ContentTypeItemRequestBuilderDeleteRequestConfiguration } from './contentTypeItemRequestBuilderDeleteRequestConfiguration';
import { ContentTypeItemRequestBuilderGetRequestConfiguration } from './contentTypeItemRequestBuilderGetRequestConfiguration';
import { ContentTypeItemRequestBuilderPatchRequestConfiguration } from './contentTypeItemRequestBuilderPatchRequestConfiguration';
import { CopyToDefaultContentLocationRequestBuilder } from './copyToDefaultContentLocation/copyToDefaultContentLocationRequestBuilder';
import { IsPublishedRequestBuilder } from './isPublished/isPublishedRequestBuilder';
import { PublishRequestBuilder } from './publish/publishRequestBuilder';
import { UnpublishRequestBuilder } from './unpublish/unpublishRequestBuilder';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the contentTypes property of the microsoft.graph.site entity. */
export declare class ContentTypeItemRequestBuilder {
    /** The associateWithHubSites property */
    get associateWithHubSites(): AssociateWithHubSitesRequestBuilder;
    /** The base property */
    get base(): BaseRequestBuilder;
    /** The baseTypes property */
    get baseTypes(): BaseTypesRequestBuilder;
    /** The columnLinks property */
    get columnLinks(): ColumnLinksRequestBuilder;
    /** The columnPositions property */
    get columnPositions(): ColumnPositionsRequestBuilder;
    /** The columns property */
    get columns(): ColumnsRequestBuilder;
    /** The copyToDefaultContentLocation property */
    get copyToDefaultContentLocation(): CopyToDefaultContentLocationRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The publish property */
    get publish(): PublishRequestBuilder;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** The unpublish property */
    get unpublish(): UnpublishRequestBuilder;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.sites.item.contentTypes.item.baseTypes.item collection
     * @param id Unique identifier of the item
     * @returns a contentTypeItemRequestBuilder
     */
    baseTypesById(id: string): i85421474c07731ed7a337a903fed8a214561091def20a4b13abfe3abe9dc6f82;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.sites.item.contentTypes.item.columnLinks.item collection
     * @param id Unique identifier of the item
     * @returns a columnLinkItemRequestBuilder
     */
    columnLinksById(id: string): ColumnLinkItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.sites.item.contentTypes.item.columnPositions.item collection
     * @param id Unique identifier of the item
     * @returns a columnDefinitionItemRequestBuilder
     */
    columnPositionsById(id: string): i9894d7d3ff006e1c70b909ec76befb2234e5175baf5b92564ad16d8c04b18c27;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.groups.item.sites.item.contentTypes.item.columns.item collection
     * @param id Unique identifier of the item
     * @returns a columnDefinitionItemRequestBuilder
     */
    columnsById(id: string): i1a94693b59112b69bd96a638d2b8ab4725cfb014225afa40980f70d43e60949d;
    /**
     * Instantiates a new ContentTypeItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property contentTypes for groups
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createDeleteRequestInformation(requestConfiguration?: ContentTypeItemRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * The collection of content types defined for this site.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: ContentTypeItemRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property contentTypes in groups
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body: ContentType | undefined, requestConfiguration?: ContentTypeItemRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Delete navigation property contentTypes for groups
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    delete(requestConfiguration?: ContentTypeItemRequestBuilderDeleteRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * The collection of content types defined for this site.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of ContentType
     */
    get(requestConfiguration?: ContentTypeItemRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<ContentType | undefined>;
    /**
     * Provides operations to call the isPublished method.
     * @returns a isPublishedRequestBuilder
     */
    isPublished(): IsPublishedRequestBuilder;
    /**
     * Update the navigation property contentTypes in groups
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body: ContentType | undefined, requestConfiguration?: ContentTypeItemRequestBuilderPatchRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
}
