import { OnenotePage } from '../../../../../../../../../../../models/';
import { ContentRequestBuilder } from './content/contentRequestBuilder';
import { CopyToSectionRequestBuilder } from './copyToSection/copyToSectionRequestBuilder';
import { OnenotePageItemRequestBuilderDeleteRequestConfiguration } from './onenotePageItemRequestBuilderDeleteRequestConfiguration';
import { OnenotePageItemRequestBuilderGetRequestConfiguration } from './onenotePageItemRequestBuilderGetRequestConfiguration';
import { OnenotePageItemRequestBuilderPatchRequestConfiguration } from './onenotePageItemRequestBuilderPatchRequestConfiguration';
import { OnenotePatchContentRequestBuilder } from './onenotePatchContent/onenotePatchContentRequestBuilder';
import { ParentNotebookRequestBuilder } from './parentNotebook/parentNotebookRequestBuilder';
import { ParentSectionRequestBuilder } from './parentSection/parentSectionRequestBuilder';
import { PreviewRequestBuilder } from './preview/previewRequestBuilder';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the pages property of the microsoft.graph.onenoteSection entity. */
export declare class OnenotePageItemRequestBuilder {
    /** The content property */
    get content(): ContentRequestBuilder;
    /** The copyToSection property */
    get copyToSection(): CopyToSectionRequestBuilder;
    /** The onenotePatchContent property */
    get onenotePatchContent(): OnenotePatchContentRequestBuilder;
    /** The parentNotebook property */
    get parentNotebook(): ParentNotebookRequestBuilder;
    /** The parentSection property */
    get parentSection(): ParentSectionRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Instantiates a new OnenotePageItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property pages for groups
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createDeleteRequestInformation(requestConfiguration?: OnenotePageItemRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * The collection of pages in the section.  Read-only. Nullable.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: OnenotePageItemRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property pages in groups
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body: OnenotePage | undefined, requestConfiguration?: OnenotePageItemRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Delete navigation property pages for groups
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    delete(requestConfiguration?: OnenotePageItemRequestBuilderDeleteRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * The collection of pages in the section.  Read-only. Nullable.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of OnenotePage
     */
    get(requestConfiguration?: OnenotePageItemRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<OnenotePage | undefined>;
    /**
     * Update the navigation property pages in groups
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body: OnenotePage | undefined, requestConfiguration?: OnenotePageItemRequestBuilderPatchRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Provides operations to call the preview method.
     * @returns a previewRequestBuilder
     */
    preview(): PreviewRequestBuilder;
}
