import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to call the uploadClientCertificate method. */
export declare class UploadClientCertificatePostRequestBody implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The password property */
    private _password?;
    /** The pkcs12Value property */
    private _pkcs12Value?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Instantiates a new uploadClientCertificatePostRequestBody and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the password property value. The password property
     * @returns a string
     */
    get password(): string | undefined;
    /**
     * Sets the password property value. The password property
     * @param value Value to set for the password property.
     */
    set password(value: string | undefined);
    /**
     * Gets the pkcs12Value property value. The pkcs12Value property
     * @returns a string
     */
    get pkcs12Value(): string | undefined;
    /**
     * Sets the pkcs12Value property value. The pkcs12Value property
     * @param value Value to set for the pkcs12Value property.
     */
    set pkcs12Value(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
