"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserFlowLanguagePageItemRequestBuilderGetQueryParameters = void 0;
/** Collection of pages with the overrides messages to display in a user flow for a specified language. This collection only allows to modify the content of the page, any other modification is not allowed (creation or deletion of pages). */
class UserFlowLanguagePageItemRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "expand": return "%24expand";
            case "select": return "%24select";
            default: return originalName;
        }
    }
    ;
}
exports.UserFlowLanguagePageItemRequestBuilderGetQueryParameters = UserFlowLanguagePageItemRequestBuilderGetQueryParameters;
