import { AccessReviewInstance } from '../../../../../../models/';
import { AcceptRecommendationsRequestBuilder } from './acceptRecommendations/acceptRecommendationsRequestBuilder';
import { AccessReviewInstanceItemRequestBuilderDeleteRequestConfiguration } from './accessReviewInstanceItemRequestBuilderDeleteRequestConfiguration';
import { AccessReviewInstanceItemRequestBuilderGetRequestConfiguration } from './accessReviewInstanceItemRequestBuilderGetRequestConfiguration';
import { AccessReviewInstanceItemRequestBuilderPatchRequestConfiguration } from './accessReviewInstanceItemRequestBuilderPatchRequestConfiguration';
import { ApplyDecisionsRequestBuilder } from './applyDecisions/applyDecisionsRequestBuilder';
import { BatchRecordDecisionsRequestBuilder } from './batchRecordDecisions/batchRecordDecisionsRequestBuilder';
import { ContactedReviewersRequestBuilder } from './contactedReviewers/contactedReviewersRequestBuilder';
import { AccessReviewReviewerItemRequestBuilder } from './contactedReviewers/item/accessReviewReviewerItemRequestBuilder';
import { DecisionsRequestBuilder } from './decisions/decisionsRequestBuilder';
import { AccessReviewInstanceDecisionItemItemRequestBuilder } from './decisions/item/accessReviewInstanceDecisionItemItemRequestBuilder';
import { ResetDecisionsRequestBuilder } from './resetDecisions/resetDecisionsRequestBuilder';
import { SendReminderRequestBuilder } from './sendReminder/sendReminderRequestBuilder';
import { StopRequestBuilder } from './stop/stopRequestBuilder';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the instances property of the microsoft.graph.accessReviewScheduleDefinition entity. */
export declare class AccessReviewInstanceItemRequestBuilder {
    /** The acceptRecommendations property */
    get acceptRecommendations(): AcceptRecommendationsRequestBuilder;
    /** The applyDecisions property */
    get applyDecisions(): ApplyDecisionsRequestBuilder;
    /** The batchRecordDecisions property */
    get batchRecordDecisions(): BatchRecordDecisionsRequestBuilder;
    /** The contactedReviewers property */
    get contactedReviewers(): ContactedReviewersRequestBuilder;
    /** The decisions property */
    get decisions(): DecisionsRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** The resetDecisions property */
    get resetDecisions(): ResetDecisionsRequestBuilder;
    /** The sendReminder property */
    get sendReminder(): SendReminderRequestBuilder;
    /** The stop property */
    get stop(): StopRequestBuilder;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Instantiates a new AccessReviewInstanceItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.identityGovernance.accessReviews.definitions.item.instances.item.contactedReviewers.item collection
     * @param id Unique identifier of the item
     * @returns a accessReviewReviewerItemRequestBuilder
     */
    contactedReviewersById(id: string): AccessReviewReviewerItemRequestBuilder;
    /**
     * Delete navigation property instances for identityGovernance
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createDeleteRequestInformation(requestConfiguration?: AccessReviewInstanceItemRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * Set of access reviews instances for this access review series. Access reviews that do not recur will only have one instance; otherwise, there is an instance for each recurrence.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: AccessReviewInstanceItemRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property instances in identityGovernance
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body: AccessReviewInstance | undefined, requestConfiguration?: AccessReviewInstanceItemRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.identityGovernance.accessReviews.definitions.item.instances.item.decisions.item collection
     * @param id Unique identifier of the item
     * @returns a accessReviewInstanceDecisionItemItemRequestBuilder
     */
    decisionsById(id: string): AccessReviewInstanceDecisionItemItemRequestBuilder;
    /**
     * Delete navigation property instances for identityGovernance
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    delete(requestConfiguration?: AccessReviewInstanceItemRequestBuilderDeleteRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Set of access reviews instances for this access review series. Access reviews that do not recur will only have one instance; otherwise, there is an instance for each recurrence.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of AccessReviewInstance
     */
    get(requestConfiguration?: AccessReviewInstanceItemRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<AccessReviewInstance | undefined>;
    /**
     * Update the navigation property instances in identityGovernance
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body: AccessReviewInstance | undefined, requestConfiguration?: AccessReviewInstanceItemRequestBuilderPatchRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
}
