"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BatchRecordDecisionsPostRequestBody = void 0;
/** Provides operations to call the batchRecordDecisions method. */
class BatchRecordDecisionsPostRequestBody {
    /**
     * Instantiates a new batchRecordDecisionsPostRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the decision property value. The decision property
     * @returns a string
     */
    get decision() {
        return this._decision;
    }
    ;
    /**
     * Sets the decision property value. The decision property
     * @param value Value to set for the decision property.
     */
    set decision(value) {
        this._decision = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "decision": n => { this.decision = n.getStringValue(); },
            "justification": n => { this.justification = n.getStringValue(); },
            "principalId": n => { this.principalId = n.getStringValue(); },
            "resourceId": n => { this.resourceId = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the justification property value. The justification property
     * @returns a string
     */
    get justification() {
        return this._justification;
    }
    ;
    /**
     * Sets the justification property value. The justification property
     * @param value Value to set for the justification property.
     */
    set justification(value) {
        this._justification = value;
    }
    ;
    /**
     * Gets the principalId property value. The principalId property
     * @returns a string
     */
    get principalId() {
        return this._principalId;
    }
    ;
    /**
     * Sets the principalId property value. The principalId property
     * @param value Value to set for the principalId property.
     */
    set principalId(value) {
        this._principalId = value;
    }
    ;
    /**
     * Gets the resourceId property value. The resourceId property
     * @returns a string
     */
    get resourceId() {
        return this._resourceId;
    }
    ;
    /**
     * Sets the resourceId property value. The resourceId property
     * @param value Value to set for the resourceId property.
     */
    set resourceId(value) {
        this._resourceId = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("decision", this.decision);
        writer.writeStringValue("justification", this.justification);
        writer.writeStringValue("principalId", this.principalId);
        writer.writeStringValue("resourceId", this.resourceId);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.BatchRecordDecisionsPostRequestBody = BatchRecordDecisionsPostRequestBody;
