import { AppConsentApprovalRoute } from '../../models/';
import { AppConsentRequestBuilderDeleteRequestConfiguration } from './appConsentRequestBuilderDeleteRequestConfiguration';
import { AppConsentRequestBuilderGetRequestConfiguration } from './appConsentRequestBuilderGetRequestConfiguration';
import { AppConsentRequestBuilderPatchRequestConfiguration } from './appConsentRequestBuilderPatchRequestConfiguration';
import { AppConsentRequestsRequestBuilder } from './appConsentRequests/appConsentRequestsRequestBuilder';
import { AppConsentRequestItemRequestBuilder } from './appConsentRequests/item/appConsentRequestItemRequestBuilder';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the appConsent property of the microsoft.graph.identityGovernance entity. */
export declare class AppConsentRequestBuilder {
    /** The appConsentRequests property */
    get appConsentRequests(): AppConsentRequestsRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.identityGovernance.appConsent.appConsentRequests.item collection
     * @param id Unique identifier of the item
     * @returns a appConsentRequestItemRequestBuilder
     */
    appConsentRequestsById(id: string): AppConsentRequestItemRequestBuilder;
    /**
     * Instantiates a new AppConsentRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property appConsent for identityGovernance
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createDeleteRequestInformation(requestConfiguration?: AppConsentRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * Get appConsent from identityGovernance
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: AppConsentRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property appConsent in identityGovernance
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body: AppConsentApprovalRoute | undefined, requestConfiguration?: AppConsentRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Delete navigation property appConsent for identityGovernance
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    delete(requestConfiguration?: AppConsentRequestBuilderDeleteRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Get appConsent from identityGovernance
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of AppConsentApprovalRoute
     */
    get(requestConfiguration?: AppConsentRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<AppConsentApprovalRoute | undefined>;
    /**
     * Update the navigation property appConsent in identityGovernance
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body: AppConsentApprovalRoute | undefined, requestConfiguration?: AppConsentRequestBuilderPatchRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
}
