"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccessPackageRequestBuilderGetQueryParameters = void 0;
/** The access package associated with the accessPackageAssignmentRequest. An access package defines the collections of resource roles and the policies for how one or more users can get access to those resources. Read-only. Nullable. Supports $expand. */
class AccessPackageRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "expand": return "%24expand";
            case "select": return "%24select";
            default: return originalName;
        }
    }
    ;
}
exports.AccessPackageRequestBuilderGetQueryParameters = AccessPackageRequestBuilderGetQueryParameters;
