import { AccessPackageAssignmentRequest } from '../../../../models/';
import { AccessPackageRequestBuilder } from './accessPackage/accessPackageRequestBuilder';
import { AccessPackageAssignmentRequestItemRequestBuilderDeleteRequestConfiguration } from './accessPackageAssignmentRequestItemRequestBuilderDeleteRequestConfiguration';
import { AccessPackageAssignmentRequestItemRequestBuilderGetRequestConfiguration } from './accessPackageAssignmentRequestItemRequestBuilderGetRequestConfiguration';
import { AccessPackageAssignmentRequestItemRequestBuilderPatchRequestConfiguration } from './accessPackageAssignmentRequestItemRequestBuilderPatchRequestConfiguration';
import { AssignmentRequestBuilder } from './assignment/assignmentRequestBuilder';
import { CancelRequestBuilder } from './cancel/cancelRequestBuilder';
import { ReprocessRequestBuilder } from './reprocess/reprocessRequestBuilder';
import { RequestorRequestBuilder } from './requestor/requestorRequestBuilder';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the assignmentRequests property of the microsoft.graph.entitlementManagement entity. */
export declare class AccessPackageAssignmentRequestItemRequestBuilder {
    /** The accessPackage property */
    get accessPackage(): AccessPackageRequestBuilder;
    /** The assignment property */
    get assignment(): AssignmentRequestBuilder;
    /** The cancel property */
    get cancel(): CancelRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The reprocess property */
    get reprocess(): ReprocessRequestBuilder;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** The requestor property */
    get requestor(): RequestorRequestBuilder;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Instantiates a new AccessPackageAssignmentRequestItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property assignmentRequests for identityGovernance
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createDeleteRequestInformation(requestConfiguration?: AccessPackageAssignmentRequestItemRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * Represents access package assignment requests created by or on behalf of a user.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: AccessPackageAssignmentRequestItemRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property assignmentRequests in identityGovernance
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body: AccessPackageAssignmentRequest | undefined, requestConfiguration?: AccessPackageAssignmentRequestItemRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Delete navigation property assignmentRequests for identityGovernance
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    delete(requestConfiguration?: AccessPackageAssignmentRequestItemRequestBuilderDeleteRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Represents access package assignment requests created by or on behalf of a user.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of AccessPackageAssignmentRequest
     */
    get(requestConfiguration?: AccessPackageAssignmentRequestItemRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<AccessPackageAssignmentRequest | undefined>;
    /**
     * Update the navigation property assignmentRequests in identityGovernance
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body: AccessPackageAssignmentRequest | undefined, requestConfiguration?: AccessPackageAssignmentRequestItemRequestBuilderPatchRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
}
