"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccessPackageRequestBuilderGetQueryParameters = void 0;
/** Read-only. Nullable. Supports $filter (eq) on the id property and $expand query parameters. */
class AccessPackageRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "expand": return "%24expand";
            case "select": return "%24select";
            default: return originalName;
        }
    }
    ;
}
exports.AccessPackageRequestBuilderGetQueryParameters = AccessPackageRequestBuilderGetQueryParameters;
