import { ConnectedOrganization } from '../../../../models/';
import { ConnectedOrganizationItemRequestBuilderDeleteRequestConfiguration } from './connectedOrganizationItemRequestBuilderDeleteRequestConfiguration';
import { ConnectedOrganizationItemRequestBuilderGetRequestConfiguration } from './connectedOrganizationItemRequestBuilderGetRequestConfiguration';
import { ConnectedOrganizationItemRequestBuilderPatchRequestConfiguration } from './connectedOrganizationItemRequestBuilderPatchRequestConfiguration';
import { ExternalSponsorsRequestBuilder } from './externalSponsors/externalSponsorsRequestBuilder';
import { DirectoryObjectItemRequestBuilder as ib7ef6fb9141018851014400227490d09507e291ec30d2700f61fa83b2acf6b7f } from './externalSponsors/item/directoryObjectItemRequestBuilder';
import { InternalSponsorsRequestBuilder } from './internalSponsors/internalSponsorsRequestBuilder';
import { DirectoryObjectItemRequestBuilder as i1ba5b61c3c4e6a68dbcaef870806d98a26482e416115fb33df7e15680a88a092 } from './internalSponsors/item/directoryObjectItemRequestBuilder';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the connectedOrganizations property of the microsoft.graph.entitlementManagement entity. */
export declare class ConnectedOrganizationItemRequestBuilder {
    /** The externalSponsors property */
    get externalSponsors(): ExternalSponsorsRequestBuilder;
    /** The internalSponsors property */
    get internalSponsors(): InternalSponsorsRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Instantiates a new ConnectedOrganizationItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property connectedOrganizations for identityGovernance
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createDeleteRequestInformation(requestConfiguration?: ConnectedOrganizationItemRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * Represents references to a directory or domain of another organization whose users can request access.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: ConnectedOrganizationItemRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property connectedOrganizations in identityGovernance
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body: ConnectedOrganization | undefined, requestConfiguration?: ConnectedOrganizationItemRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Delete navigation property connectedOrganizations for identityGovernance
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    delete(requestConfiguration?: ConnectedOrganizationItemRequestBuilderDeleteRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.identityGovernance.entitlementManagement.connectedOrganizations.item.externalSponsors.item collection
     * @param id Unique identifier of the item
     * @returns a directoryObjectItemRequestBuilder
     */
    externalSponsorsById(id: string): ib7ef6fb9141018851014400227490d09507e291ec30d2700f61fa83b2acf6b7f;
    /**
     * Represents references to a directory or domain of another organization whose users can request access.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of ConnectedOrganization
     */
    get(requestConfiguration?: ConnectedOrganizationItemRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<ConnectedOrganization | undefined>;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.identityGovernance.entitlementManagement.connectedOrganizations.item.internalSponsors.item collection
     * @param id Unique identifier of the item
     * @returns a directoryObjectItemRequestBuilder
     */
    internalSponsorsById(id: string): i1ba5b61c3c4e6a68dbcaef870806d98a26482e416115fb33df7e15680a88a092;
    /**
     * Update the navigation property connectedOrganizations in identityGovernance
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body: ConnectedOrganization | undefined, requestConfiguration?: ConnectedOrganizationItemRequestBuilderPatchRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
}
