import { EntitlementManagement } from '../../models/';
import { AccessPackageAssignmentApprovalsRequestBuilder } from './accessPackageAssignmentApprovals/accessPackageAssignmentApprovalsRequestBuilder';
import { ApprovalItemRequestBuilder } from './accessPackageAssignmentApprovals/item/approvalItemRequestBuilder';
import { AccessPackagesRequestBuilder } from './accessPackages/accessPackagesRequestBuilder';
import { AccessPackageItemRequestBuilder } from './accessPackages/item/accessPackageItemRequestBuilder';
import { AssignmentPoliciesRequestBuilder } from './assignmentPolicies/assignmentPoliciesRequestBuilder';
import { AccessPackageAssignmentPolicyItemRequestBuilder } from './assignmentPolicies/item/accessPackageAssignmentPolicyItemRequestBuilder';
import { AssignmentRequestsRequestBuilder } from './assignmentRequests/assignmentRequestsRequestBuilder';
import { AccessPackageAssignmentRequestItemRequestBuilder } from './assignmentRequests/item/accessPackageAssignmentRequestItemRequestBuilder';
import { AssignmentsRequestBuilder } from './assignments/assignmentsRequestBuilder';
import { AccessPackageAssignmentItemRequestBuilder } from './assignments/item/accessPackageAssignmentItemRequestBuilder';
import { CatalogsRequestBuilder } from './catalogs/catalogsRequestBuilder';
import { AccessPackageCatalogItemRequestBuilder } from './catalogs/item/accessPackageCatalogItemRequestBuilder';
import { ConnectedOrganizationsRequestBuilder } from './connectedOrganizations/connectedOrganizationsRequestBuilder';
import { ConnectedOrganizationItemRequestBuilder } from './connectedOrganizations/item/connectedOrganizationItemRequestBuilder';
import { EntitlementManagementRequestBuilderDeleteRequestConfiguration } from './entitlementManagementRequestBuilderDeleteRequestConfiguration';
import { EntitlementManagementRequestBuilderGetRequestConfiguration } from './entitlementManagementRequestBuilderGetRequestConfiguration';
import { EntitlementManagementRequestBuilderPatchRequestConfiguration } from './entitlementManagementRequestBuilderPatchRequestConfiguration';
import { SettingsRequestBuilder } from './settings/settingsRequestBuilder';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the entitlementManagement property of the microsoft.graph.identityGovernance entity. */
export declare class EntitlementManagementRequestBuilder {
    /** The accessPackageAssignmentApprovals property */
    get accessPackageAssignmentApprovals(): AccessPackageAssignmentApprovalsRequestBuilder;
    /** The accessPackages property */
    get accessPackages(): AccessPackagesRequestBuilder;
    /** The assignmentPolicies property */
    get assignmentPolicies(): AssignmentPoliciesRequestBuilder;
    /** The assignmentRequests property */
    get assignmentRequests(): AssignmentRequestsRequestBuilder;
    /** The assignments property */
    get assignments(): AssignmentsRequestBuilder;
    /** The catalogs property */
    get catalogs(): CatalogsRequestBuilder;
    /** The connectedOrganizations property */
    get connectedOrganizations(): ConnectedOrganizationsRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** The settings property */
    get settings(): SettingsRequestBuilder;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.identityGovernance.entitlementManagement.accessPackageAssignmentApprovals.item collection
     * @param id Unique identifier of the item
     * @returns a approvalItemRequestBuilder
     */
    accessPackageAssignmentApprovalsById(id: string): ApprovalItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.identityGovernance.entitlementManagement.accessPackages.item collection
     * @param id Unique identifier of the item
     * @returns a accessPackageItemRequestBuilder
     */
    accessPackagesById(id: string): AccessPackageItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.identityGovernance.entitlementManagement.assignmentPolicies.item collection
     * @param id Unique identifier of the item
     * @returns a accessPackageAssignmentPolicyItemRequestBuilder
     */
    assignmentPoliciesById(id: string): AccessPackageAssignmentPolicyItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.identityGovernance.entitlementManagement.assignmentRequests.item collection
     * @param id Unique identifier of the item
     * @returns a accessPackageAssignmentRequestItemRequestBuilder
     */
    assignmentRequestsById(id: string): AccessPackageAssignmentRequestItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.identityGovernance.entitlementManagement.assignments.item collection
     * @param id Unique identifier of the item
     * @returns a accessPackageAssignmentItemRequestBuilder
     */
    assignmentsById(id: string): AccessPackageAssignmentItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.identityGovernance.entitlementManagement.catalogs.item collection
     * @param id Unique identifier of the item
     * @returns a accessPackageCatalogItemRequestBuilder
     */
    catalogsById(id: string): AccessPackageCatalogItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.identityGovernance.entitlementManagement.connectedOrganizations.item collection
     * @param id Unique identifier of the item
     * @returns a connectedOrganizationItemRequestBuilder
     */
    connectedOrganizationsById(id: string): ConnectedOrganizationItemRequestBuilder;
    /**
     * Instantiates a new EntitlementManagementRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property entitlementManagement for identityGovernance
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createDeleteRequestInformation(requestConfiguration?: EntitlementManagementRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * Get entitlementManagement from identityGovernance
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: EntitlementManagementRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property entitlementManagement in identityGovernance
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body: EntitlementManagement | undefined, requestConfiguration?: EntitlementManagementRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Delete navigation property entitlementManagement for identityGovernance
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    delete(requestConfiguration?: EntitlementManagementRequestBuilderDeleteRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Get entitlementManagement from identityGovernance
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of EntitlementManagement
     */
    get(requestConfiguration?: EntitlementManagementRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<EntitlementManagement | undefined>;
    /**
     * Update the navigation property entitlementManagement in identityGovernance
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body: EntitlementManagement | undefined, requestConfiguration?: EntitlementManagementRequestBuilderPatchRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
}
