import { IdentityGovernance } from '../models/';
import { AccessReviewsRequestBuilder } from './accessReviews/accessReviewsRequestBuilder';
import { AppConsentRequestBuilder } from './appConsent/appConsentRequestBuilder';
import { EntitlementManagementRequestBuilder } from './entitlementManagement/entitlementManagementRequestBuilder';
import { IdentityGovernanceRequestBuilderGetRequestConfiguration } from './identityGovernanceRequestBuilderGetRequestConfiguration';
import { IdentityGovernanceRequestBuilderPatchRequestConfiguration } from './identityGovernanceRequestBuilderPatchRequestConfiguration';
import { TermsOfUseRequestBuilder } from './termsOfUse/termsOfUseRequestBuilder';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the identityGovernance singleton. */
export declare class IdentityGovernanceRequestBuilder {
    /** The accessReviews property */
    get accessReviews(): AccessReviewsRequestBuilder;
    /** The appConsent property */
    get appConsent(): AppConsentRequestBuilder;
    /** The entitlementManagement property */
    get entitlementManagement(): EntitlementManagementRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** The termsOfUse property */
    get termsOfUse(): TermsOfUseRequestBuilder;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Instantiates a new IdentityGovernanceRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Get identityGovernance
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: IdentityGovernanceRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update identityGovernance
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body: IdentityGovernance | undefined, requestConfiguration?: IdentityGovernanceRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Get identityGovernance
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of IdentityGovernance
     */
    get(requestConfiguration?: IdentityGovernanceRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<IdentityGovernance | undefined>;
    /**
     * Update identityGovernance
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body: IdentityGovernance | undefined, requestConfiguration?: IdentityGovernanceRequestBuilderPatchRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
}
