"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConfirmCompromisedPostRequestBody = void 0;
/** Provides operations to call the confirmCompromised method. */
class ConfirmCompromisedPostRequestBody {
    /**
     * Instantiates a new confirmCompromisedPostRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "userIds": n => { this.userIds = n.getCollectionOfPrimitiveValues(); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeCollectionOfPrimitiveValues("userIds", this.userIds);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the userIds property value. The userIds property
     * @returns a string
     */
    get userIds() {
        return this._userIds;
    }
    ;
    /**
     * Sets the userIds property value. The userIds property
     * @param value Value to set for the userIds property.
     */
    set userIds(value) {
        this._userIds = value;
    }
    ;
}
exports.ConfirmCompromisedPostRequestBody = ConfirmCompromisedPostRequestBody;
