import { BitlockerRecoveryKey } from '../../../../models/';
import { BitlockerRecoveryKeyItemRequestBuilderDeleteRequestConfiguration } from './bitlockerRecoveryKeyItemRequestBuilderDeleteRequestConfiguration';
import { BitlockerRecoveryKeyItemRequestBuilderGetRequestConfiguration } from './bitlockerRecoveryKeyItemRequestBuilderGetRequestConfiguration';
import { BitlockerRecoveryKeyItemRequestBuilderPatchRequestConfiguration } from './bitlockerRecoveryKeyItemRequestBuilderPatchRequestConfiguration';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the recoveryKeys property of the microsoft.graph.bitlocker entity. */
export declare class BitlockerRecoveryKeyItemRequestBuilder {
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Instantiates a new BitlockerRecoveryKeyItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property recoveryKeys for informationProtection
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createDeleteRequestInformation(requestConfiguration?: BitlockerRecoveryKeyItemRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * The recovery keys associated with the bitlocker entity.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: BitlockerRecoveryKeyItemRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property recoveryKeys in informationProtection
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body: BitlockerRecoveryKey | undefined, requestConfiguration?: BitlockerRecoveryKeyItemRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Delete navigation property recoveryKeys for informationProtection
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    delete(requestConfiguration?: BitlockerRecoveryKeyItemRequestBuilderDeleteRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * The recovery keys associated with the bitlocker entity.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of BitlockerRecoveryKey
     */
    get(requestConfiguration?: BitlockerRecoveryKeyItemRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<BitlockerRecoveryKey | undefined>;
    /**
     * Update the navigation property recoveryKeys in informationProtection
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body: BitlockerRecoveryKey | undefined, requestConfiguration?: BitlockerRecoveryKeyItemRequestBuilderPatchRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
}
