import { InformationProtection } from '../models/';
import { BitlockerRequestBuilder } from './bitlocker/bitlockerRequestBuilder';
import { InformationProtectionRequestBuilderGetRequestConfiguration } from './informationProtectionRequestBuilderGetRequestConfiguration';
import { InformationProtectionRequestBuilderPatchRequestConfiguration } from './informationProtectionRequestBuilderPatchRequestConfiguration';
import { ThreatAssessmentRequestItemRequestBuilder } from './threatAssessmentRequests/item/threatAssessmentRequestItemRequestBuilder';
import { ThreatAssessmentRequestsRequestBuilder } from './threatAssessmentRequests/threatAssessmentRequestsRequestBuilder';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the informationProtection singleton. */
export declare class InformationProtectionRequestBuilder {
    /** The bitlocker property */
    get bitlocker(): BitlockerRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** The threatAssessmentRequests property */
    get threatAssessmentRequests(): ThreatAssessmentRequestsRequestBuilder;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Instantiates a new InformationProtectionRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Get informationProtection
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: InformationProtectionRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update informationProtection
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body: InformationProtection | undefined, requestConfiguration?: InformationProtectionRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Get informationProtection
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of InformationProtection
     */
    get(requestConfiguration?: InformationProtectionRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<InformationProtection | undefined>;
    /**
     * Update informationProtection
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body: InformationProtection | undefined, requestConfiguration?: InformationProtectionRequestBuilderPatchRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.informationProtection.threatAssessmentRequests.item collection
     * @param id Unique identifier of the item
     * @returns a threatAssessmentRequestItemRequestBuilder
     */
    threatAssessmentRequestsById(id: string): ThreatAssessmentRequestItemRequestBuilder;
}
