import { AttendeeBase, LocationConstraint, TimeConstraint } from '../../../../../../../../../models/';
import { AdditionalDataHolder, Duration, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to call the findMeetingTimes method. */
export declare class FindMeetingTimesPostRequestBody implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The attendees property */
    private _attendees?;
    /** The isOrganizerOptional property */
    private _isOrganizerOptional?;
    /** The locationConstraint property */
    private _locationConstraint?;
    /** The maxCandidates property */
    private _maxCandidates?;
    /** The meetingDuration property */
    private _meetingDuration?;
    /** The minimumAttendeePercentage property */
    private _minimumAttendeePercentage?;
    /** The returnSuggestionReasons property */
    private _returnSuggestionReasons?;
    /** The timeConstraint property */
    private _timeConstraint?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the attendees property value. The attendees property
     * @returns a attendeeBase
     */
    get attendees(): AttendeeBase[] | undefined;
    /**
     * Sets the attendees property value. The attendees property
     * @param value Value to set for the attendees property.
     */
    set attendees(value: AttendeeBase[] | undefined);
    /**
     * Instantiates a new findMeetingTimesPostRequestBody and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the isOrganizerOptional property value. The isOrganizerOptional property
     * @returns a boolean
     */
    get isOrganizerOptional(): boolean | undefined;
    /**
     * Sets the isOrganizerOptional property value. The isOrganizerOptional property
     * @param value Value to set for the isOrganizerOptional property.
     */
    set isOrganizerOptional(value: boolean | undefined);
    /**
     * Gets the locationConstraint property value. The locationConstraint property
     * @returns a locationConstraint
     */
    get locationConstraint(): LocationConstraint | undefined;
    /**
     * Sets the locationConstraint property value. The locationConstraint property
     * @param value Value to set for the locationConstraint property.
     */
    set locationConstraint(value: LocationConstraint | undefined);
    /**
     * Gets the maxCandidates property value. The maxCandidates property
     * @returns a integer
     */
    get maxCandidates(): number | undefined;
    /**
     * Sets the maxCandidates property value. The maxCandidates property
     * @param value Value to set for the maxCandidates property.
     */
    set maxCandidates(value: number | undefined);
    /**
     * Gets the meetingDuration property value. The meetingDuration property
     * @returns a Duration
     */
    get meetingDuration(): Duration | undefined;
    /**
     * Sets the meetingDuration property value. The meetingDuration property
     * @param value Value to set for the meetingDuration property.
     */
    set meetingDuration(value: Duration | undefined);
    /**
     * Gets the minimumAttendeePercentage property value. The minimumAttendeePercentage property
     * @returns a double
     */
    get minimumAttendeePercentage(): number | undefined;
    /**
     * Sets the minimumAttendeePercentage property value. The minimumAttendeePercentage property
     * @param value Value to set for the minimumAttendeePercentage property.
     */
    set minimumAttendeePercentage(value: number | undefined);
    /**
     * Gets the returnSuggestionReasons property value. The returnSuggestionReasons property
     * @returns a boolean
     */
    get returnSuggestionReasons(): boolean | undefined;
    /**
     * Sets the returnSuggestionReasons property value. The returnSuggestionReasons property
     * @param value Value to set for the returnSuggestionReasons property.
     */
    set returnSuggestionReasons(value: boolean | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the timeConstraint property value. The timeConstraint property
     * @returns a timeConstraint
     */
    get timeConstraint(): TimeConstraint | undefined;
    /**
     * Sets the timeConstraint property value. The timeConstraint property
     * @param value Value to set for the timeConstraint property.
     */
    set timeConstraint(value: TimeConstraint | undefined);
}
