"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserRequestBuilder = void 0;
const createUserFromDiscriminatorValue_1 = require("../../../../../../../../models/createUserFromDiscriminatorValue");
const createODataErrorFromDiscriminatorValue_1 = require("../../../../../../../../models/oDataErrors/createODataErrorFromDiscriminatorValue");
const assignLicenseRequestBuilder_1 = require("./assignLicense/assignLicenseRequestBuilder");
const changePasswordRequestBuilder_1 = require("./changePassword/changePasswordRequestBuilder");
const checkMemberGroupsRequestBuilder_1 = require("./checkMemberGroups/checkMemberGroupsRequestBuilder");
const checkMemberObjectsRequestBuilder_1 = require("./checkMemberObjects/checkMemberObjectsRequestBuilder");
const exportPersonalDataRequestBuilder_1 = require("./exportPersonalData/exportPersonalDataRequestBuilder");
const findMeetingTimesRequestBuilder_1 = require("./findMeetingTimes/findMeetingTimesRequestBuilder");
const getMailTipsRequestBuilder_1 = require("./getMailTips/getMailTipsRequestBuilder");
const getManagedAppDiagnosticStatusesRequestBuilder_1 = require("./getManagedAppDiagnosticStatuses/getManagedAppDiagnosticStatusesRequestBuilder");
const getManagedAppPoliciesRequestBuilder_1 = require("./getManagedAppPolicies/getManagedAppPoliciesRequestBuilder");
const getMemberGroupsRequestBuilder_1 = require("./getMemberGroups/getMemberGroupsRequestBuilder");
const getMemberObjectsRequestBuilder_1 = require("./getMemberObjects/getMemberObjectsRequestBuilder");
const reminderViewWithStartDateTimeWithEndDateTimeRequestBuilder_1 = require("./reminderViewWithStartDateTimeWithEndDateTime/reminderViewWithStartDateTimeWithEndDateTimeRequestBuilder");
const removeAllDevicesFromManagementRequestBuilder_1 = require("./removeAllDevicesFromManagement/removeAllDevicesFromManagementRequestBuilder");
const reprocessLicenseAssignmentRequestBuilder_1 = require("./reprocessLicenseAssignment/reprocessLicenseAssignmentRequestBuilder");
const restoreRequestBuilder_1 = require("./restore/restoreRequestBuilder");
const revokeSignInSessionsRequestBuilder_1 = require("./revokeSignInSessions/revokeSignInSessionsRequestBuilder");
const sendMailRequestBuilder_1 = require("./sendMail/sendMailRequestBuilder");
const translateExchangeIdsRequestBuilder_1 = require("./translateExchangeIds/translateExchangeIdsRequestBuilder");
const wipeManagedAppRegistrationsByDeviceTagRequestBuilder_1 = require("./wipeManagedAppRegistrationsByDeviceTag/wipeManagedAppRegistrationsByDeviceTagRequestBuilder");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
/** Casts the previous resource to user. */
class UserRequestBuilder {
    /**
     * Instantiates a new UserRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        if (!pathParameters)
            throw new Error("pathParameters cannot be undefined");
        if (!requestAdapter)
            throw new Error("requestAdapter cannot be undefined");
        this.urlTemplate = "{+baseurl}/me/authentication/windowsHelloForBusinessMethods/{windowsHelloForBusinessAuthenticationMethod%2Did}/device/memberOf/{directoryObject%2Did}/microsoft.graph.user{?%24select,%24expand}";
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(pathParameters);
        this.pathParameters = urlTplParams;
        this.requestAdapter = requestAdapter;
    }
    /** The assignLicense property */
    get assignLicense() {
        return new assignLicenseRequestBuilder_1.AssignLicenseRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The changePassword property */
    get changePassword() {
        return new changePasswordRequestBuilder_1.ChangePasswordRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The checkMemberGroups property */
    get checkMemberGroups() {
        return new checkMemberGroupsRequestBuilder_1.CheckMemberGroupsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The checkMemberObjects property */
    get checkMemberObjects() {
        return new checkMemberObjectsRequestBuilder_1.CheckMemberObjectsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The exportPersonalData property */
    get exportPersonalData() {
        return new exportPersonalDataRequestBuilder_1.ExportPersonalDataRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The findMeetingTimes property */
    get findMeetingTimes() {
        return new findMeetingTimesRequestBuilder_1.FindMeetingTimesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The getMailTips property */
    get getMailTips() {
        return new getMailTipsRequestBuilder_1.GetMailTipsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The getMemberGroups property */
    get getMemberGroups() {
        return new getMemberGroupsRequestBuilder_1.GetMemberGroupsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The getMemberObjects property */
    get getMemberObjects() {
        return new getMemberObjectsRequestBuilder_1.GetMemberObjectsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The removeAllDevicesFromManagement property */
    get removeAllDevicesFromManagement() {
        return new removeAllDevicesFromManagementRequestBuilder_1.RemoveAllDevicesFromManagementRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The reprocessLicenseAssignment property */
    get reprocessLicenseAssignment() {
        return new reprocessLicenseAssignmentRequestBuilder_1.ReprocessLicenseAssignmentRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The restore property */
    get restore() {
        return new restoreRequestBuilder_1.RestoreRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The revokeSignInSessions property */
    get revokeSignInSessions() {
        return new revokeSignInSessionsRequestBuilder_1.RevokeSignInSessionsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The sendMail property */
    get sendMail() {
        return new sendMailRequestBuilder_1.SendMailRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The translateExchangeIds property */
    get translateExchangeIds() {
        return new translateExchangeIdsRequestBuilder_1.TranslateExchangeIdsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The wipeManagedAppRegistrationsByDeviceTag property */
    get wipeManagedAppRegistrationsByDeviceTag() {
        return new wipeManagedAppRegistrationsByDeviceTagRequestBuilder_1.WipeManagedAppRegistrationsByDeviceTagRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    ;
    /**
     * Get the item of type microsoft.graph.directoryObject as microsoft.graph.user
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation();
        requestInfo.urlTemplate = this.urlTemplate;
        requestInfo.pathParameters = this.pathParameters;
        requestInfo.httpMethod = kiota_abstractions_1.HttpMethod.GET;
        if (requestConfiguration) {
            requestInfo.addRequestHeaders(requestConfiguration.headers);
            requestInfo.setQueryStringParametersFromRawObject(requestConfiguration.queryParameters);
            requestInfo.addRequestOptions(requestConfiguration.options);
        }
        return requestInfo;
    }
    ;
    /**
     * Get the item of type microsoft.graph.directoryObject as microsoft.graph.user
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of User
     */
    get(requestConfiguration, responseHandler) {
        var _a, _b;
        const requestInfo = this.createGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": createODataErrorFromDiscriminatorValue_1.createODataErrorFromDiscriminatorValue,
            "5XX": createODataErrorFromDiscriminatorValue_1.createODataErrorFromDiscriminatorValue,
        };
        return (_b = (_a = this.requestAdapter) === null || _a === void 0 ? void 0 : _a.sendAsync(requestInfo, createUserFromDiscriminatorValue_1.createUserFromDiscriminatorValue, responseHandler, errorMapping)) !== null && _b !== void 0 ? _b : Promise.reject(new Error('http core is null'));
    }
    ;
    /**
     * Provides operations to call the getManagedAppDiagnosticStatuses method.
     * @returns a getManagedAppDiagnosticStatusesRequestBuilder
     */
    getManagedAppDiagnosticStatuses() {
        return new getManagedAppDiagnosticStatusesRequestBuilder_1.GetManagedAppDiagnosticStatusesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    ;
    /**
     * Provides operations to call the getManagedAppPolicies method.
     * @returns a getManagedAppPoliciesRequestBuilder
     */
    getManagedAppPolicies() {
        return new getManagedAppPoliciesRequestBuilder_1.GetManagedAppPoliciesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    ;
    /**
     * Provides operations to call the reminderView method.
     * @param EndDateTime Usage: EndDateTime='{EndDateTime}'
     * @param StartDateTime Usage: StartDateTime='{StartDateTime}'
     * @returns a reminderViewWithStartDateTimeWithEndDateTimeRequestBuilder
     */
    reminderViewWithStartDateTimeWithEndDateTime(endDateTime, startDateTime) {
        if (!endDateTime)
            throw new Error("endDateTime cannot be undefined");
        if (!startDateTime)
            throw new Error("startDateTime cannot be undefined");
        return new reminderViewWithStartDateTimeWithEndDateTimeRequestBuilder_1.ReminderViewWithStartDateTimeWithEndDateTimeRequestBuilder(this.pathParameters, this.requestAdapter, endDateTime, startDateTime);
    }
    ;
}
exports.UserRequestBuilder = UserRequestBuilder;
