import { DateTimeTimeZone } from '../../../models/';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to call the getSchedule method. */
export declare class GetSchedulePostRequestBody implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The AvailabilityViewInterval property */
    private _availabilityViewInterval?;
    /** The EndTime property */
    private _endTime?;
    /** The Schedules property */
    private _schedules?;
    /** The StartTime property */
    private _startTime?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the availabilityViewInterval property value. The AvailabilityViewInterval property
     * @returns a integer
     */
    get availabilityViewInterval(): number | undefined;
    /**
     * Sets the availabilityViewInterval property value. The AvailabilityViewInterval property
     * @param value Value to set for the AvailabilityViewInterval property.
     */
    set availabilityViewInterval(value: number | undefined);
    /**
     * Instantiates a new getSchedulePostRequestBody and sets the default values.
     */
    constructor();
    /**
     * Gets the endTime property value. The EndTime property
     * @returns a dateTimeTimeZone
     */
    get endTime(): DateTimeTimeZone | undefined;
    /**
     * Sets the endTime property value. The EndTime property
     * @param value Value to set for the EndTime property.
     */
    set endTime(value: DateTimeTimeZone | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the schedules property value. The Schedules property
     * @returns a string
     */
    get schedules(): string[] | undefined;
    /**
     * Sets the schedules property value. The Schedules property
     * @param value Value to set for the Schedules property.
     */
    set schedules(value: string[] | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the startTime property value. The StartTime property
     * @returns a dateTimeTimeZone
     */
    get startTime(): DateTimeTimeZone | undefined;
    /**
     * Sets the startTime property value. The StartTime property
     * @param value Value to set for the StartTime property.
     */
    set startTime(value: DateTimeTimeZone | undefined);
}
