"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CalendarSharingMessageRequestBuilder = void 0;
const acceptRequestBuilder_1 = require("./accept/acceptRequestBuilder");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
/** Builds and executes requests for operations under /me/mailFolders/{mailFolder-id}/childFolders/{mailFolder-id1}/messages/{message-id}/microsoft.graph.calendarSharingMessage */
class CalendarSharingMessageRequestBuilder {
    /**
     * Instantiates a new CalendarSharingMessageRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        if (!pathParameters)
            throw new Error("pathParameters cannot be undefined");
        if (!requestAdapter)
            throw new Error("requestAdapter cannot be undefined");
        this.urlTemplate = "{+baseurl}/me/mailFolders/{mailFolder%2Did}/childFolders/{mailFolder%2Did1}/messages/{message%2Did}/microsoft.graph.calendarSharingMessage";
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(pathParameters);
        this.pathParameters = urlTplParams;
        this.requestAdapter = requestAdapter;
    }
    /** The accept property */
    get accept() {
        return new acceptRequestBuilder_1.AcceptRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    ;
}
exports.CalendarSharingMessageRequestBuilder = CalendarSharingMessageRequestBuilder;
