"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CleanWindowsDevicePostRequestBody = void 0;
/** Provides operations to call the cleanWindowsDevice method. */
class CleanWindowsDevicePostRequestBody {
    /**
     * Instantiates a new cleanWindowsDevicePostRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "keepUserData": n => { this.keepUserData = n.getBooleanValue(); },
        };
    }
    ;
    /**
     * Gets the keepUserData property value. The keepUserData property
     * @returns a boolean
     */
    get keepUserData() {
        return this._keepUserData;
    }
    ;
    /**
     * Sets the keepUserData property value. The keepUserData property
     * @param value Value to set for the keepUserData property.
     */
    set keepUserData(value) {
        this._keepUserData = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeBooleanValue("keepUserData", this.keepUserData);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.CleanWindowsDevicePostRequestBody = CleanWindowsDevicePostRequestBody;
