"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WipePostRequestBody = void 0;
/** Provides operations to call the wipe method. */
class WipePostRequestBody {
    /**
     * Instantiates a new wipePostRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "keepEnrollmentData": n => { this.keepEnrollmentData = n.getBooleanValue(); },
            "keepUserData": n => { this.keepUserData = n.getBooleanValue(); },
            "macOsUnlockCode": n => { this.macOsUnlockCode = n.getStringValue(); },
            "persistEsimDataPlan": n => { this.persistEsimDataPlan = n.getBooleanValue(); },
        };
    }
    ;
    /**
     * Gets the keepEnrollmentData property value. The keepEnrollmentData property
     * @returns a boolean
     */
    get keepEnrollmentData() {
        return this._keepEnrollmentData;
    }
    ;
    /**
     * Sets the keepEnrollmentData property value. The keepEnrollmentData property
     * @param value Value to set for the keepEnrollmentData property.
     */
    set keepEnrollmentData(value) {
        this._keepEnrollmentData = value;
    }
    ;
    /**
     * Gets the keepUserData property value. The keepUserData property
     * @returns a boolean
     */
    get keepUserData() {
        return this._keepUserData;
    }
    ;
    /**
     * Sets the keepUserData property value. The keepUserData property
     * @param value Value to set for the keepUserData property.
     */
    set keepUserData(value) {
        this._keepUserData = value;
    }
    ;
    /**
     * Gets the macOsUnlockCode property value. The macOsUnlockCode property
     * @returns a string
     */
    get macOsUnlockCode() {
        return this._macOsUnlockCode;
    }
    ;
    /**
     * Sets the macOsUnlockCode property value. The macOsUnlockCode property
     * @param value Value to set for the macOsUnlockCode property.
     */
    set macOsUnlockCode(value) {
        this._macOsUnlockCode = value;
    }
    ;
    /**
     * Gets the persistEsimDataPlan property value. The persistEsimDataPlan property
     * @returns a boolean
     */
    get persistEsimDataPlan() {
        return this._persistEsimDataPlan;
    }
    ;
    /**
     * Sets the persistEsimDataPlan property value. The persistEsimDataPlan property
     * @param value Value to set for the persistEsimDataPlan property.
     */
    set persistEsimDataPlan(value) {
        this._persistEsimDataPlan = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeBooleanValue("keepEnrollmentData", this.keepEnrollmentData);
        writer.writeBooleanValue("keepUserData", this.keepUserData);
        writer.writeStringValue("macOsUnlockCode", this.macOsUnlockCode);
        writer.writeBooleanValue("persistEsimDataPlan", this.persistEsimDataPlan);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.WipePostRequestBody = WipePostRequestBody;
