"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ManagerRequestBuilderGetQueryParameters = void 0;
/** The user or contact that is this user's manager. Read-only. (HTTP Methods: GET, PUT, DELETE.). Supports $expand. */
class ManagerRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "expand": return "%24expand";
            case "select": return "%24select";
            default: return originalName;
        }
    }
    ;
}
exports.ManagerRequestBuilderGetQueryParameters = ManagerRequestBuilderGetQueryParameters;
