import { User } from '../models/';
import { ActivitiesRequestBuilder } from './activities/activitiesRequestBuilder';
import { UserActivityItemRequestBuilder } from './activities/item/userActivityItemRequestBuilder';
import { AgreementAcceptancesRequestBuilder } from './agreementAcceptances/agreementAcceptancesRequestBuilder';
import { AgreementAcceptanceItemRequestBuilder } from './agreementAcceptances/item/agreementAcceptanceItemRequestBuilder';
import { AppRoleAssignmentsRequestBuilder } from './appRoleAssignments/appRoleAssignmentsRequestBuilder';
import { AppRoleAssignmentItemRequestBuilder } from './appRoleAssignments/item/appRoleAssignmentItemRequestBuilder';
import { AssignLicenseRequestBuilder } from './assignLicense/assignLicenseRequestBuilder';
import { AuthenticationRequestBuilder } from './authentication/authenticationRequestBuilder';
import { CalendarRequestBuilder } from './calendar/calendarRequestBuilder';
import { CalendarGroupsRequestBuilder } from './calendarGroups/calendarGroupsRequestBuilder';
import { CalendarGroupItemRequestBuilder } from './calendarGroups/item/calendarGroupItemRequestBuilder';
import { CalendarsRequestBuilder } from './calendars/calendarsRequestBuilder';
import { CalendarItemRequestBuilder } from './calendars/item/calendarItemRequestBuilder';
import { CalendarViewRequestBuilder } from './calendarView/calendarViewRequestBuilder';
import { EventItemRequestBuilder as i807ea26e8219173c4d3288ebd273515d2da31cf8f9c816c11eea6a68e1d15b70 } from './calendarView/item/eventItemRequestBuilder';
import { ChangePasswordRequestBuilder } from './changePassword/changePasswordRequestBuilder';
import { ChatsRequestBuilder } from './chats/chatsRequestBuilder';
import { ChatItemRequestBuilder } from './chats/item/chatItemRequestBuilder';
import { CheckMemberGroupsRequestBuilder } from './checkMemberGroups/checkMemberGroupsRequestBuilder';
import { CheckMemberObjectsRequestBuilder } from './checkMemberObjects/checkMemberObjectsRequestBuilder';
import { ContactFoldersRequestBuilder } from './contactFolders/contactFoldersRequestBuilder';
import { ContactFolderItemRequestBuilder } from './contactFolders/item/contactFolderItemRequestBuilder';
import { ContactsRequestBuilder } from './contacts/contactsRequestBuilder';
import { ContactItemRequestBuilder } from './contacts/item/contactItemRequestBuilder';
import { CreatedObjectsRequestBuilder } from './createdObjects/createdObjectsRequestBuilder';
import { DirectoryObjectItemRequestBuilder as i132dc5ca82e09b037d7336700c56ff4ebbe7ca46a5faf2ba3d2d4a8460d0bac5 } from './createdObjects/item/directoryObjectItemRequestBuilder';
import { DeviceManagementTroubleshootingEventsRequestBuilder } from './deviceManagementTroubleshootingEvents/deviceManagementTroubleshootingEventsRequestBuilder';
import { DeviceManagementTroubleshootingEventItemRequestBuilder } from './deviceManagementTroubleshootingEvents/item/deviceManagementTroubleshootingEventItemRequestBuilder';
import { DirectReportsRequestBuilder } from './directReports/directReportsRequestBuilder';
import { DirectoryObjectItemRequestBuilder as i1d40a88d1084f2fdc8e37875f79e5d0c41c8474134595d5bfbe402fa068f4645 } from './directReports/item/directoryObjectItemRequestBuilder';
import { DriveRequestBuilder } from './drive/driveRequestBuilder';
import { DrivesRequestBuilder } from './drives/drivesRequestBuilder';
import { DriveItemRequestBuilder } from './drives/item/driveItemRequestBuilder';
import { EventsRequestBuilder } from './events/eventsRequestBuilder';
import { EventItemRequestBuilder as ibbf802b69bab10bc28d1353094af169a6d72a8137c90727cc74a63cf91ab46ad } from './events/item/eventItemRequestBuilder';
import { ExportPersonalDataRequestBuilder } from './exportPersonalData/exportPersonalDataRequestBuilder';
import { ExtensionsRequestBuilder } from './extensions/extensionsRequestBuilder';
import { ExtensionItemRequestBuilder } from './extensions/item/extensionItemRequestBuilder';
import { FindMeetingTimesRequestBuilder } from './findMeetingTimes/findMeetingTimesRequestBuilder';
import { FollowedSitesRequestBuilder } from './followedSites/followedSitesRequestBuilder';
import { SiteItemRequestBuilder } from './followedSites/item/siteItemRequestBuilder';
import { GetMailTipsRequestBuilder } from './getMailTips/getMailTipsRequestBuilder';
import { GetManagedAppDiagnosticStatusesRequestBuilder } from './getManagedAppDiagnosticStatuses/getManagedAppDiagnosticStatusesRequestBuilder';
import { GetManagedAppPoliciesRequestBuilder } from './getManagedAppPolicies/getManagedAppPoliciesRequestBuilder';
import { GetMemberGroupsRequestBuilder } from './getMemberGroups/getMemberGroupsRequestBuilder';
import { GetMemberObjectsRequestBuilder } from './getMemberObjects/getMemberObjectsRequestBuilder';
import { InferenceClassificationRequestBuilder } from './inferenceClassification/inferenceClassificationRequestBuilder';
import { InsightsRequestBuilder } from './insights/insightsRequestBuilder';
import { TeamItemRequestBuilder } from './joinedTeams/item/teamItemRequestBuilder';
import { JoinedTeamsRequestBuilder } from './joinedTeams/joinedTeamsRequestBuilder';
import { LicenseDetailsItemRequestBuilder } from './licenseDetails/item/licenseDetailsItemRequestBuilder';
import { LicenseDetailsRequestBuilder } from './licenseDetails/licenseDetailsRequestBuilder';
import { MailFolderItemRequestBuilder } from './mailFolders/item/mailFolderItemRequestBuilder';
import { MailFoldersRequestBuilder } from './mailFolders/mailFoldersRequestBuilder';
import { ManagedAppRegistrationItemRequestBuilder } from './managedAppRegistrations/item/managedAppRegistrationItemRequestBuilder';
import { ManagedAppRegistrationsRequestBuilder } from './managedAppRegistrations/managedAppRegistrationsRequestBuilder';
import { ManagedDeviceItemRequestBuilder } from './managedDevices/item/managedDeviceItemRequestBuilder';
import { ManagedDevicesRequestBuilder } from './managedDevices/managedDevicesRequestBuilder';
import { ManagerRequestBuilder } from './manager/managerRequestBuilder';
import { DirectoryObjectItemRequestBuilder as ibcee719fba78288f8ceb47a91f2bb5ee31e602a08eddf6a349784e8f878c5653 } from './memberOf/item/directoryObjectItemRequestBuilder';
import { MemberOfRequestBuilder } from './memberOf/memberOfRequestBuilder';
import { MeRequestBuilderGetRequestConfiguration } from './meRequestBuilderGetRequestConfiguration';
import { MeRequestBuilderPatchRequestConfiguration } from './meRequestBuilderPatchRequestConfiguration';
import { MessageItemRequestBuilder } from './messages/item/messageItemRequestBuilder';
import { MessagesRequestBuilder } from './messages/messagesRequestBuilder';
import { OAuth2PermissionGrantItemRequestBuilder } from './oauth2PermissionGrants/item/oAuth2PermissionGrantItemRequestBuilder';
import { Oauth2PermissionGrantsRequestBuilder } from './oauth2PermissionGrants/oauth2PermissionGrantsRequestBuilder';
import { OnenoteRequestBuilder } from './onenote/onenoteRequestBuilder';
import { OnlineMeetingItemRequestBuilder } from './onlineMeetings/item/onlineMeetingItemRequestBuilder';
import { OnlineMeetingsRequestBuilder } from './onlineMeetings/onlineMeetingsRequestBuilder';
import { OutlookRequestBuilder } from './outlook/outlookRequestBuilder';
import { DirectoryObjectItemRequestBuilder as i881e0529563ad8b4d52331b82783d85c5fe192db390ea822c96e1fe25357d7c4 } from './ownedDevices/item/directoryObjectItemRequestBuilder';
import { OwnedDevicesRequestBuilder } from './ownedDevices/ownedDevicesRequestBuilder';
import { DirectoryObjectItemRequestBuilder as i7407cddf6ec720766babca0b6db782c58b4b46a3a4619de209d42f30fcc84927 } from './ownedObjects/item/directoryObjectItemRequestBuilder';
import { OwnedObjectsRequestBuilder } from './ownedObjects/ownedObjectsRequestBuilder';
import { PersonItemRequestBuilder } from './people/item/personItemRequestBuilder';
import { PeopleRequestBuilder } from './people/peopleRequestBuilder';
import { PhotoRequestBuilder } from './photo/photoRequestBuilder';
import { ProfilePhotoItemRequestBuilder } from './photos/item/profilePhotoItemRequestBuilder';
import { PhotosRequestBuilder } from './photos/photosRequestBuilder';
import { PlannerRequestBuilder } from './planner/plannerRequestBuilder';
import { PresenceRequestBuilder } from './presence/presenceRequestBuilder';
import { DirectoryObjectItemRequestBuilder as ia9cc5e9bbc836acd30530a86cf44ab554ef2d83c06043043a5a90566849f94cf } from './registeredDevices/item/directoryObjectItemRequestBuilder';
import { RegisteredDevicesRequestBuilder } from './registeredDevices/registeredDevicesRequestBuilder';
import { ReminderViewWithStartDateTimeWithEndDateTimeRequestBuilder } from './reminderViewWithStartDateTimeWithEndDateTime/reminderViewWithStartDateTimeWithEndDateTimeRequestBuilder';
import { RemoveAllDevicesFromManagementRequestBuilder } from './removeAllDevicesFromManagement/removeAllDevicesFromManagementRequestBuilder';
import { ReprocessLicenseAssignmentRequestBuilder } from './reprocessLicenseAssignment/reprocessLicenseAssignmentRequestBuilder';
import { RestoreRequestBuilder } from './restore/restoreRequestBuilder';
import { RevokeSignInSessionsRequestBuilder } from './revokeSignInSessions/revokeSignInSessionsRequestBuilder';
import { ScopedRoleMembershipItemRequestBuilder } from './scopedRoleMemberOf/item/scopedRoleMembershipItemRequestBuilder';
import { ScopedRoleMemberOfRequestBuilder } from './scopedRoleMemberOf/scopedRoleMemberOfRequestBuilder';
import { SendMailRequestBuilder } from './sendMail/sendMailRequestBuilder';
import { SettingsRequestBuilder } from './settings/settingsRequestBuilder';
import { TeamworkRequestBuilder } from './teamwork/teamworkRequestBuilder';
import { TodoRequestBuilder } from './todo/todoRequestBuilder';
import { DirectoryObjectItemRequestBuilder as i7da9c86b16e75e5d78576d252981fda6d6480b149395a2bb531fb3cdf7d53fb4 } from './transitiveMemberOf/item/directoryObjectItemRequestBuilder';
import { TransitiveMemberOfRequestBuilder } from './transitiveMemberOf/transitiveMemberOfRequestBuilder';
import { TranslateExchangeIdsRequestBuilder } from './translateExchangeIds/translateExchangeIdsRequestBuilder';
import { WipeManagedAppRegistrationsByDeviceTagRequestBuilder } from './wipeManagedAppRegistrationsByDeviceTag/wipeManagedAppRegistrationsByDeviceTagRequestBuilder';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the user singleton. */
export declare class MeRequestBuilder {
    /** The activities property */
    get activities(): ActivitiesRequestBuilder;
    /** The agreementAcceptances property */
    get agreementAcceptances(): AgreementAcceptancesRequestBuilder;
    /** The appRoleAssignments property */
    get appRoleAssignments(): AppRoleAssignmentsRequestBuilder;
    /** The assignLicense property */
    get assignLicense(): AssignLicenseRequestBuilder;
    /** The authentication property */
    get authentication(): AuthenticationRequestBuilder;
    /** The calendar property */
    get calendar(): CalendarRequestBuilder;
    /** The calendarGroups property */
    get calendarGroups(): CalendarGroupsRequestBuilder;
    /** The calendars property */
    get calendars(): CalendarsRequestBuilder;
    /** The calendarView property */
    get calendarView(): CalendarViewRequestBuilder;
    /** The changePassword property */
    get changePassword(): ChangePasswordRequestBuilder;
    /** The chats property */
    get chats(): ChatsRequestBuilder;
    /** The checkMemberGroups property */
    get checkMemberGroups(): CheckMemberGroupsRequestBuilder;
    /** The checkMemberObjects property */
    get checkMemberObjects(): CheckMemberObjectsRequestBuilder;
    /** The contactFolders property */
    get contactFolders(): ContactFoldersRequestBuilder;
    /** The contacts property */
    get contacts(): ContactsRequestBuilder;
    /** The createdObjects property */
    get createdObjects(): CreatedObjectsRequestBuilder;
    /** The deviceManagementTroubleshootingEvents property */
    get deviceManagementTroubleshootingEvents(): DeviceManagementTroubleshootingEventsRequestBuilder;
    /** The directReports property */
    get directReports(): DirectReportsRequestBuilder;
    /** The drive property */
    get drive(): DriveRequestBuilder;
    /** The drives property */
    get drives(): DrivesRequestBuilder;
    /** The events property */
    get events(): EventsRequestBuilder;
    /** The exportPersonalData property */
    get exportPersonalData(): ExportPersonalDataRequestBuilder;
    /** The extensions property */
    get extensions(): ExtensionsRequestBuilder;
    /** The findMeetingTimes property */
    get findMeetingTimes(): FindMeetingTimesRequestBuilder;
    /** The followedSites property */
    get followedSites(): FollowedSitesRequestBuilder;
    /** The getMailTips property */
    get getMailTips(): GetMailTipsRequestBuilder;
    /** The getMemberGroups property */
    get getMemberGroups(): GetMemberGroupsRequestBuilder;
    /** The getMemberObjects property */
    get getMemberObjects(): GetMemberObjectsRequestBuilder;
    /** The inferenceClassification property */
    get inferenceClassification(): InferenceClassificationRequestBuilder;
    /** The insights property */
    get insights(): InsightsRequestBuilder;
    /** The joinedTeams property */
    get joinedTeams(): JoinedTeamsRequestBuilder;
    /** The licenseDetails property */
    get licenseDetails(): LicenseDetailsRequestBuilder;
    /** The mailFolders property */
    get mailFolders(): MailFoldersRequestBuilder;
    /** The managedAppRegistrations property */
    get managedAppRegistrations(): ManagedAppRegistrationsRequestBuilder;
    /** The managedDevices property */
    get managedDevices(): ManagedDevicesRequestBuilder;
    /** The manager property */
    get manager(): ManagerRequestBuilder;
    /** The memberOf property */
    get memberOf(): MemberOfRequestBuilder;
    /** The messages property */
    get messages(): MessagesRequestBuilder;
    /** The oauth2PermissionGrants property */
    get oauth2PermissionGrants(): Oauth2PermissionGrantsRequestBuilder;
    /** The onenote property */
    get onenote(): OnenoteRequestBuilder;
    /** The onlineMeetings property */
    get onlineMeetings(): OnlineMeetingsRequestBuilder;
    /** The outlook property */
    get outlook(): OutlookRequestBuilder;
    /** The ownedDevices property */
    get ownedDevices(): OwnedDevicesRequestBuilder;
    /** The ownedObjects property */
    get ownedObjects(): OwnedObjectsRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The people property */
    get people(): PeopleRequestBuilder;
    /** The photo property */
    get photo(): PhotoRequestBuilder;
    /** The photos property */
    get photos(): PhotosRequestBuilder;
    /** The planner property */
    get planner(): PlannerRequestBuilder;
    /** The presence property */
    get presence(): PresenceRequestBuilder;
    /** The registeredDevices property */
    get registeredDevices(): RegisteredDevicesRequestBuilder;
    /** The removeAllDevicesFromManagement property */
    get removeAllDevicesFromManagement(): RemoveAllDevicesFromManagementRequestBuilder;
    /** The reprocessLicenseAssignment property */
    get reprocessLicenseAssignment(): ReprocessLicenseAssignmentRequestBuilder;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** The restore property */
    get restore(): RestoreRequestBuilder;
    /** The revokeSignInSessions property */
    get revokeSignInSessions(): RevokeSignInSessionsRequestBuilder;
    /** The scopedRoleMemberOf property */
    get scopedRoleMemberOf(): ScopedRoleMemberOfRequestBuilder;
    /** The sendMail property */
    get sendMail(): SendMailRequestBuilder;
    /** The settings property */
    get settings(): SettingsRequestBuilder;
    /** The teamwork property */
    get teamwork(): TeamworkRequestBuilder;
    /** The todo property */
    get todo(): TodoRequestBuilder;
    /** The transitiveMemberOf property */
    get transitiveMemberOf(): TransitiveMemberOfRequestBuilder;
    /** The translateExchangeIds property */
    get translateExchangeIds(): TranslateExchangeIdsRequestBuilder;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /** The wipeManagedAppRegistrationsByDeviceTag property */
    get wipeManagedAppRegistrationsByDeviceTag(): WipeManagedAppRegistrationsByDeviceTagRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.me.activities.item collection
     * @param id Unique identifier of the item
     * @returns a userActivityItemRequestBuilder
     */
    activitiesById(id: string): UserActivityItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.me.agreementAcceptances.item collection
     * @param id Unique identifier of the item
     * @returns a agreementAcceptanceItemRequestBuilder
     */
    agreementAcceptancesById(id: string): AgreementAcceptanceItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.me.appRoleAssignments.item collection
     * @param id Unique identifier of the item
     * @returns a appRoleAssignmentItemRequestBuilder
     */
    appRoleAssignmentsById(id: string): AppRoleAssignmentItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.me.calendarGroups.item collection
     * @param id Unique identifier of the item
     * @returns a calendarGroupItemRequestBuilder
     */
    calendarGroupsById(id: string): CalendarGroupItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.me.calendars.item collection
     * @param id Unique identifier of the item
     * @returns a calendarItemRequestBuilder
     */
    calendarsById(id: string): CalendarItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.me.calendarView.item collection
     * @param id Unique identifier of the item
     * @returns a eventItemRequestBuilder
     */
    calendarViewById(id: string): i807ea26e8219173c4d3288ebd273515d2da31cf8f9c816c11eea6a68e1d15b70;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.me.chats.item collection
     * @param id Unique identifier of the item
     * @returns a chatItemRequestBuilder
     */
    chatsById(id: string): ChatItemRequestBuilder;
    /**
     * Instantiates a new MeRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.me.contactFolders.item collection
     * @param id Unique identifier of the item
     * @returns a contactFolderItemRequestBuilder
     */
    contactFoldersById(id: string): ContactFolderItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.me.contacts.item collection
     * @param id Unique identifier of the item
     * @returns a contactItemRequestBuilder
     */
    contactsById(id: string): ContactItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.me.createdObjects.item collection
     * @param id Unique identifier of the item
     * @returns a directoryObjectItemRequestBuilder
     */
    createdObjectsById(id: string): i132dc5ca82e09b037d7336700c56ff4ebbe7ca46a5faf2ba3d2d4a8460d0bac5;
    createGetRequestInformation(requestConfiguration?: MeRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the properties of a [user](../resources/user.md) object. Not all properties can be updated by Member or Guest users with their default permissions without Administrator roles. [Compare member and guest default permissions](/azure/active-directory/fundamentals/users-default-permissions#compare-member-and-guest-default-permissions) to see properties they can manage.
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body: User | undefined, requestConfiguration?: MeRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.me.deviceManagementTroubleshootingEvents.item collection
     * @param id Unique identifier of the item
     * @returns a deviceManagementTroubleshootingEventItemRequestBuilder
     */
    deviceManagementTroubleshootingEventsById(id: string): DeviceManagementTroubleshootingEventItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.me.directReports.item collection
     * @param id Unique identifier of the item
     * @returns a directoryObjectItemRequestBuilder
     */
    directReportsById(id: string): i1d40a88d1084f2fdc8e37875f79e5d0c41c8474134595d5bfbe402fa068f4645;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.me.drives.item collection
     * @param id Unique identifier of the item
     * @returns a driveItemRequestBuilder
     */
    drivesById(id: string): DriveItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.me.events.item collection
     * @param id Unique identifier of the item
     * @returns a eventItemRequestBuilder
     */
    eventsById(id: string): ibbf802b69bab10bc28d1353094af169a6d72a8137c90727cc74a63cf91ab46ad;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.me.extensions.item collection
     * @param id Unique identifier of the item
     * @returns a extensionItemRequestBuilder
     */
    extensionsById(id: string): ExtensionItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.me.followedSites.item collection
     * @param id Unique identifier of the item
     * @returns a siteItemRequestBuilder
     */
    followedSitesById(id: string): SiteItemRequestBuilder;
    get(requestConfiguration?: MeRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<User | undefined>;
    /**
     * Provides operations to call the getManagedAppDiagnosticStatuses method.
     * @returns a getManagedAppDiagnosticStatusesRequestBuilder
     */
    getManagedAppDiagnosticStatuses(): GetManagedAppDiagnosticStatusesRequestBuilder;
    /**
     * Provides operations to call the getManagedAppPolicies method.
     * @returns a getManagedAppPoliciesRequestBuilder
     */
    getManagedAppPolicies(): GetManagedAppPoliciesRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.me.joinedTeams.item collection
     * @param id Unique identifier of the item
     * @returns a teamItemRequestBuilder
     */
    joinedTeamsById(id: string): TeamItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.me.licenseDetails.item collection
     * @param id Unique identifier of the item
     * @returns a licenseDetailsItemRequestBuilder
     */
    licenseDetailsById(id: string): LicenseDetailsItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.me.mailFolders.item collection
     * @param id Unique identifier of the item
     * @returns a mailFolderItemRequestBuilder
     */
    mailFoldersById(id: string): MailFolderItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.me.managedAppRegistrations.item collection
     * @param id Unique identifier of the item
     * @returns a managedAppRegistrationItemRequestBuilder
     */
    managedAppRegistrationsById(id: string): ManagedAppRegistrationItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.me.managedDevices.item collection
     * @param id Unique identifier of the item
     * @returns a managedDeviceItemRequestBuilder
     */
    managedDevicesById(id: string): ManagedDeviceItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.me.memberOf.item collection
     * @param id Unique identifier of the item
     * @returns a directoryObjectItemRequestBuilder
     */
    memberOfById(id: string): ibcee719fba78288f8ceb47a91f2bb5ee31e602a08eddf6a349784e8f878c5653;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.me.messages.item collection
     * @param id Unique identifier of the item
     * @returns a messageItemRequestBuilder
     */
    messagesById(id: string): MessageItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.me.oauth2PermissionGrants.item collection
     * @param id Unique identifier of the item
     * @returns a oAuth2PermissionGrantItemRequestBuilder
     */
    oauth2PermissionGrantsById(id: string): OAuth2PermissionGrantItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.me.onlineMeetings.item collection
     * @param id Unique identifier of the item
     * @returns a onlineMeetingItemRequestBuilder
     */
    onlineMeetingsById(id: string): OnlineMeetingItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.me.ownedDevices.item collection
     * @param id Unique identifier of the item
     * @returns a directoryObjectItemRequestBuilder
     */
    ownedDevicesById(id: string): i881e0529563ad8b4d52331b82783d85c5fe192db390ea822c96e1fe25357d7c4;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.me.ownedObjects.item collection
     * @param id Unique identifier of the item
     * @returns a directoryObjectItemRequestBuilder
     */
    ownedObjectsById(id: string): i7407cddf6ec720766babca0b6db782c58b4b46a3a4619de209d42f30fcc84927;
    /**
     * Update the properties of a [user](../resources/user.md) object. Not all properties can be updated by Member or Guest users with their default permissions without Administrator roles. [Compare member and guest default permissions](/azure/active-directory/fundamentals/users-default-permissions#compare-member-and-guest-default-permissions) to see properties they can manage.
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body: User | undefined, requestConfiguration?: MeRequestBuilderPatchRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.me.people.item collection
     * @param id Unique identifier of the item
     * @returns a personItemRequestBuilder
     */
    peopleById(id: string): PersonItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.me.photos.item collection
     * @param id Unique identifier of the item
     * @returns a profilePhotoItemRequestBuilder
     */
    photosById(id: string): ProfilePhotoItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.me.registeredDevices.item collection
     * @param id Unique identifier of the item
     * @returns a directoryObjectItemRequestBuilder
     */
    registeredDevicesById(id: string): ia9cc5e9bbc836acd30530a86cf44ab554ef2d83c06043043a5a90566849f94cf;
    /**
     * Provides operations to call the reminderView method.
     * @param EndDateTime Usage: EndDateTime='{EndDateTime}'
     * @param StartDateTime Usage: StartDateTime='{StartDateTime}'
     * @returns a reminderViewWithStartDateTimeWithEndDateTimeRequestBuilder
     */
    reminderViewWithStartDateTimeWithEndDateTime(endDateTime: string | undefined, startDateTime: string | undefined): ReminderViewWithStartDateTimeWithEndDateTimeRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.me.scopedRoleMemberOf.item collection
     * @param id Unique identifier of the item
     * @returns a scopedRoleMembershipItemRequestBuilder
     */
    scopedRoleMemberOfById(id: string): ScopedRoleMembershipItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.me.transitiveMemberOf.item collection
     * @param id Unique identifier of the item
     * @returns a directoryObjectItemRequestBuilder
     */
    transitiveMemberOfById(id: string): i7da9c86b16e75e5d78576d252981fda6d6480b149395a2bb531fb3cdf7d53fb4;
}
