import { AdditionalDataHolder, Duration, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to call the setPresence method. */
export declare class SetPresencePostRequestBody implements AdditionalDataHolder, Parsable {
    /** The activity property */
    private _activity?;
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The availability property */
    private _availability?;
    /** The expirationDuration property */
    private _expirationDuration?;
    /** The sessionId property */
    private _sessionId?;
    /**
     * Gets the activity property value. The activity property
     * @returns a string
     */
    get activity(): string | undefined;
    /**
     * Sets the activity property value. The activity property
     * @param value Value to set for the activity property.
     */
    set activity(value: string | undefined);
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the availability property value. The availability property
     * @returns a string
     */
    get availability(): string | undefined;
    /**
     * Sets the availability property value. The availability property
     * @param value Value to set for the availability property.
     */
    set availability(value: string | undefined);
    /**
     * Instantiates a new setPresencePostRequestBody and sets the default values.
     */
    constructor();
    /**
     * Gets the expirationDuration property value. The expirationDuration property
     * @returns a Duration
     */
    get expirationDuration(): Duration | undefined;
    /**
     * Sets the expirationDuration property value. The expirationDuration property
     * @param value Value to set for the expirationDuration property.
     */
    set expirationDuration(value: Duration | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the sessionId property value. The sessionId property
     * @returns a string
     */
    get sessionId(): string | undefined;
    /**
     * Sets the sessionId property value. The sessionId property
     * @param value Value to set for the sessionId property.
     */
    set sessionId(value: string | undefined);
}
