import { DirectoryObjectCollectionResponse } from '../../models/';
import { AppRoleAssignmentRequestBuilder } from './appRoleAssignment/appRoleAssignmentRequestBuilder';
import { CountRequestBuilder } from './count/countRequestBuilder';
import { DeviceRequestBuilder } from './device/deviceRequestBuilder';
import { EndpointRequestBuilder } from './endpoint/endpointRequestBuilder';
import { RegisteredDevicesRequestBuilderGetRequestConfiguration } from './registeredDevicesRequestBuilderGetRequestConfiguration';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the registeredDevices property of the microsoft.graph.user entity. */
export declare class RegisteredDevicesRequestBuilder {
    /** The appRoleAssignment property */
    get appRoleAssignment(): AppRoleAssignmentRequestBuilder;
    /** The count property */
    get count(): CountRequestBuilder;
    /** The device property */
    get device(): DeviceRequestBuilder;
    /** The endpoint property */
    get endpoint(): EndpointRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Instantiates a new RegisteredDevicesRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Devices that are registered for the user. Read-only. Nullable. Supports $expand.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: RegisteredDevicesRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Devices that are registered for the user. Read-only. Nullable. Supports $expand.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of DirectoryObjectCollectionResponse
     */
    get(requestConfiguration?: RegisteredDevicesRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<DirectoryObjectCollectionResponse | undefined>;
}
