import { ScopedRoleMembership, ScopedRoleMembershipCollectionResponse } from '../../models/';
import { CountRequestBuilder } from './count/countRequestBuilder';
import { ScopedRoleMemberOfRequestBuilderGetRequestConfiguration } from './scopedRoleMemberOfRequestBuilderGetRequestConfiguration';
import { ScopedRoleMemberOfRequestBuilderPostRequestConfiguration } from './scopedRoleMemberOfRequestBuilderPostRequestConfiguration';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the scopedRoleMemberOf property of the microsoft.graph.user entity. */
export declare class ScopedRoleMemberOfRequestBuilder {
    /** The count property */
    get count(): CountRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Instantiates a new ScopedRoleMemberOfRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * The scoped-role administrative unit memberships for this user. Read-only. Nullable.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: ScopedRoleMemberOfRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Create new navigation property to scopedRoleMemberOf for me
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPostRequestInformation(body: ScopedRoleMembership | undefined, requestConfiguration?: ScopedRoleMemberOfRequestBuilderPostRequestConfiguration | undefined): RequestInformation;
    /**
     * The scoped-role administrative unit memberships for this user. Read-only. Nullable.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of ScopedRoleMembershipCollectionResponse
     */
    get(requestConfiguration?: ScopedRoleMemberOfRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<ScopedRoleMembershipCollectionResponse | undefined>;
    /**
     * Create new navigation property to scopedRoleMemberOf for me
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of ScopedRoleMembership
     */
    post(body: ScopedRoleMembership | undefined, requestConfiguration?: ScopedRoleMemberOfRequestBuilderPostRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<ScopedRoleMembership | undefined>;
}
