"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetMailTipsPostRequestBody = void 0;
const mailTipsType_1 = require("../../../../../models/mailTipsType");
/** Provides operations to call the getMailTips method. */
class GetMailTipsPostRequestBody {
    /**
     * Instantiates a new getMailTipsPostRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the emailAddresses property value. The EmailAddresses property
     * @returns a string
     */
    get emailAddresses() {
        return this._emailAddresses;
    }
    ;
    /**
     * Sets the emailAddresses property value. The EmailAddresses property
     * @param value Value to set for the EmailAddresses property.
     */
    set emailAddresses(value) {
        this._emailAddresses = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "emailAddresses": n => { this.emailAddresses = n.getCollectionOfPrimitiveValues(); },
            "mailTipsOptions": n => { this.mailTipsOptions = n.getEnumValue(mailTipsType_1.MailTipsType); },
        };
    }
    ;
    /**
     * Gets the mailTipsOptions property value. The MailTipsOptions property
     * @returns a mailTipsType
     */
    get mailTipsOptions() {
        return this._mailTipsOptions;
    }
    ;
    /**
     * Sets the mailTipsOptions property value. The MailTipsOptions property
     * @param value Value to set for the MailTipsOptions property.
     */
    set mailTipsOptions(value) {
        this._mailTipsOptions = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeCollectionOfPrimitiveValues("emailAddresses", this.emailAddresses);
        writer.writeEnumValue("mailTipsOptions", this.mailTipsOptions);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.GetMailTipsPostRequestBody = GetMailTipsPostRequestBody;
