"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccessPackageAssignment = void 0;
const accessPackageAssignmentState_1 = require("./accessPackageAssignmentState");
const createAccessPackageAssignmentPolicyFromDiscriminatorValue_1 = require("./createAccessPackageAssignmentPolicyFromDiscriminatorValue");
const createAccessPackageFromDiscriminatorValue_1 = require("./createAccessPackageFromDiscriminatorValue");
const createAccessPackageSubjectFromDiscriminatorValue_1 = require("./createAccessPackageSubjectFromDiscriminatorValue");
const createEntitlementManagementScheduleFromDiscriminatorValue_1 = require("./createEntitlementManagementScheduleFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the identityGovernance singleton. */
class AccessPackageAssignment extends index_1.Entity {
    /**
     * Instantiates a new accessPackageAssignment and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the accessPackage property value. Read-only. Nullable. Supports $filter (eq) on the id property and $expand query parameters.
     * @returns a accessPackage
     */
    get accessPackage() {
        return this._accessPackage;
    }
    ;
    /**
     * Sets the accessPackage property value. Read-only. Nullable. Supports $filter (eq) on the id property and $expand query parameters.
     * @param value Value to set for the accessPackage property.
     */
    set accessPackage(value) {
        this._accessPackage = value;
    }
    ;
    /**
     * Gets the assignmentPolicy property value. Read-only. Supports $filter (eq) on the id property and $expand query parameters.
     * @returns a accessPackageAssignmentPolicy
     */
    get assignmentPolicy() {
        return this._assignmentPolicy;
    }
    ;
    /**
     * Sets the assignmentPolicy property value. Read-only. Supports $filter (eq) on the id property and $expand query parameters.
     * @param value Value to set for the assignmentPolicy property.
     */
    set assignmentPolicy(value) {
        this._assignmentPolicy = value;
    }
    ;
    ;
    /**
     * Gets the expiredDateTime property value. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @returns a Date
     */
    get expiredDateTime() {
        return this._expiredDateTime;
    }
    ;
    /**
     * Sets the expiredDateTime property value. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @param value Value to set for the expiredDateTime property.
     */
    set expiredDateTime(value) {
        this._expiredDateTime = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "accessPackage": n => { this.accessPackage = n.getObjectValue(createAccessPackageFromDiscriminatorValue_1.createAccessPackageFromDiscriminatorValue); }, "assignmentPolicy": n => { this.assignmentPolicy = n.getObjectValue(createAccessPackageAssignmentPolicyFromDiscriminatorValue_1.createAccessPackageAssignmentPolicyFromDiscriminatorValue); }, "expiredDateTime": n => { this.expiredDateTime = n.getDateValue(); }, "schedule": n => { this.schedule = n.getObjectValue(createEntitlementManagementScheduleFromDiscriminatorValue_1.createEntitlementManagementScheduleFromDiscriminatorValue); }, "state": n => { this.state = n.getEnumValue(accessPackageAssignmentState_1.AccessPackageAssignmentState); }, "status": n => { this.status = n.getStringValue(); }, "target": n => { this.target = n.getObjectValue(createAccessPackageSubjectFromDiscriminatorValue_1.createAccessPackageSubjectFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the schedule property value. When the access assignment is to be in place. Read-only.
     * @returns a entitlementManagementSchedule
     */
    get schedule() {
        return this._schedule;
    }
    ;
    /**
     * Sets the schedule property value. When the access assignment is to be in place. Read-only.
     * @param value Value to set for the schedule property.
     */
    set schedule(value) {
        this._schedule = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("accessPackage", this.accessPackage);
        writer.writeObjectValue("assignmentPolicy", this.assignmentPolicy);
        writer.writeDateValue("expiredDateTime", this.expiredDateTime);
        writer.writeObjectValue("schedule", this.schedule);
        writer.writeEnumValue("state", this.state);
        writer.writeStringValue("status", this.status);
        writer.writeObjectValue("target", this.target);
    }
    ;
    /**
     * Gets the state property value. The state of the access package assignment. The possible values are: delivering, partiallyDelivered, delivered, expired, deliveryFailed, unknownFutureValue. Read-only. Supports $filter (eq).
     * @returns a accessPackageAssignmentState
     */
    get state() {
        return this._state;
    }
    ;
    /**
     * Sets the state property value. The state of the access package assignment. The possible values are: delivering, partiallyDelivered, delivered, expired, deliveryFailed, unknownFutureValue. Read-only. Supports $filter (eq).
     * @param value Value to set for the state property.
     */
    set state(value) {
        this._state = value;
    }
    ;
    /**
     * Gets the status property value. More information about the assignment lifecycle.  Possible values include Delivering, Delivered, NearExpiry1DayNotificationTriggered, or ExpiredNotificationTriggered.  Read-only.
     * @returns a string
     */
    get status() {
        return this._status;
    }
    ;
    /**
     * Sets the status property value. More information about the assignment lifecycle.  Possible values include Delivering, Delivered, NearExpiry1DayNotificationTriggered, or ExpiredNotificationTriggered.  Read-only.
     * @param value Value to set for the status property.
     */
    set status(value) {
        this._status = value;
    }
    ;
    /**
     * Gets the target property value. The subject of the access package assignment. Read-only. Nullable. Supports $expand. Supports $filter (eq) on objectId.
     * @returns a accessPackageSubject
     */
    get target() {
        return this._target;
    }
    ;
    /**
     * Sets the target property value. The subject of the access package assignment. Read-only. Nullable. Supports $expand. Supports $filter (eq) on objectId.
     * @param value Value to set for the target property.
     */
    set target(value) {
        this._target = value;
    }
    ;
}
exports.AccessPackageAssignment = AccessPackageAssignment;
