"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccessPackageAssignmentRequestorSettings = void 0;
const createSubjectSetFromDiscriminatorValue_1 = require("./createSubjectSetFromDiscriminatorValue");
class AccessPackageAssignmentRequestorSettings {
    /**
     * Instantiates a new accessPackageAssignmentRequestorSettings and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the allowCustomAssignmentSchedule property value. If false, the requestor is not permitted to include a schedule in their request.
     * @returns a boolean
     */
    get allowCustomAssignmentSchedule() {
        return this._allowCustomAssignmentSchedule;
    }
    ;
    /**
     * Sets the allowCustomAssignmentSchedule property value. If false, the requestor is not permitted to include a schedule in their request.
     * @param value Value to set for the allowCustomAssignmentSchedule property.
     */
    set allowCustomAssignmentSchedule(value) {
        this._allowCustomAssignmentSchedule = value;
    }
    ;
    ;
    /**
     * Gets the enableOnBehalfRequestorsToAddAccess property value. If true, allows on-behalf-of requestors to create a request to add access for another principal.
     * @returns a boolean
     */
    get enableOnBehalfRequestorsToAddAccess() {
        return this._enableOnBehalfRequestorsToAddAccess;
    }
    ;
    /**
     * Sets the enableOnBehalfRequestorsToAddAccess property value. If true, allows on-behalf-of requestors to create a request to add access for another principal.
     * @param value Value to set for the enableOnBehalfRequestorsToAddAccess property.
     */
    set enableOnBehalfRequestorsToAddAccess(value) {
        this._enableOnBehalfRequestorsToAddAccess = value;
    }
    ;
    /**
     * Gets the enableOnBehalfRequestorsToRemoveAccess property value. If true, allows on-behalf-of requestors to create a request to remove access for another principal.
     * @returns a boolean
     */
    get enableOnBehalfRequestorsToRemoveAccess() {
        return this._enableOnBehalfRequestorsToRemoveAccess;
    }
    ;
    /**
     * Sets the enableOnBehalfRequestorsToRemoveAccess property value. If true, allows on-behalf-of requestors to create a request to remove access for another principal.
     * @param value Value to set for the enableOnBehalfRequestorsToRemoveAccess property.
     */
    set enableOnBehalfRequestorsToRemoveAccess(value) {
        this._enableOnBehalfRequestorsToRemoveAccess = value;
    }
    ;
    /**
     * Gets the enableOnBehalfRequestorsToUpdateAccess property value. If true, allows on-behalf-of requestors to create a request to update access for another principal.
     * @returns a boolean
     */
    get enableOnBehalfRequestorsToUpdateAccess() {
        return this._enableOnBehalfRequestorsToUpdateAccess;
    }
    ;
    /**
     * Sets the enableOnBehalfRequestorsToUpdateAccess property value. If true, allows on-behalf-of requestors to create a request to update access for another principal.
     * @param value Value to set for the enableOnBehalfRequestorsToUpdateAccess property.
     */
    set enableOnBehalfRequestorsToUpdateAccess(value) {
        this._enableOnBehalfRequestorsToUpdateAccess = value;
    }
    ;
    /**
     * Gets the enableTargetsToSelfAddAccess property value. If true, allows requestors to create a request to add access for themselves.
     * @returns a boolean
     */
    get enableTargetsToSelfAddAccess() {
        return this._enableTargetsToSelfAddAccess;
    }
    ;
    /**
     * Sets the enableTargetsToSelfAddAccess property value. If true, allows requestors to create a request to add access for themselves.
     * @param value Value to set for the enableTargetsToSelfAddAccess property.
     */
    set enableTargetsToSelfAddAccess(value) {
        this._enableTargetsToSelfAddAccess = value;
    }
    ;
    /**
     * Gets the enableTargetsToSelfRemoveAccess property value. If true, allows requestors to create a request to remove their access.
     * @returns a boolean
     */
    get enableTargetsToSelfRemoveAccess() {
        return this._enableTargetsToSelfRemoveAccess;
    }
    ;
    /**
     * Sets the enableTargetsToSelfRemoveAccess property value. If true, allows requestors to create a request to remove their access.
     * @param value Value to set for the enableTargetsToSelfRemoveAccess property.
     */
    set enableTargetsToSelfRemoveAccess(value) {
        this._enableTargetsToSelfRemoveAccess = value;
    }
    ;
    /**
     * Gets the enableTargetsToSelfUpdateAccess property value. If true, allows requestors to create a request to update their access.
     * @returns a boolean
     */
    get enableTargetsToSelfUpdateAccess() {
        return this._enableTargetsToSelfUpdateAccess;
    }
    ;
    /**
     * Sets the enableTargetsToSelfUpdateAccess property value. If true, allows requestors to create a request to update their access.
     * @param value Value to set for the enableTargetsToSelfUpdateAccess property.
     */
    set enableTargetsToSelfUpdateAccess(value) {
        this._enableTargetsToSelfUpdateAccess = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "allowCustomAssignmentSchedule": n => { this.allowCustomAssignmentSchedule = n.getBooleanValue(); },
            "enableOnBehalfRequestorsToAddAccess": n => { this.enableOnBehalfRequestorsToAddAccess = n.getBooleanValue(); },
            "enableOnBehalfRequestorsToRemoveAccess": n => { this.enableOnBehalfRequestorsToRemoveAccess = n.getBooleanValue(); },
            "enableOnBehalfRequestorsToUpdateAccess": n => { this.enableOnBehalfRequestorsToUpdateAccess = n.getBooleanValue(); },
            "enableTargetsToSelfAddAccess": n => { this.enableTargetsToSelfAddAccess = n.getBooleanValue(); },
            "enableTargetsToSelfRemoveAccess": n => { this.enableTargetsToSelfRemoveAccess = n.getBooleanValue(); },
            "enableTargetsToSelfUpdateAccess": n => { this.enableTargetsToSelfUpdateAccess = n.getBooleanValue(); },
            "onBehalfRequestors": n => { this.onBehalfRequestors = n.getCollectionOfObjectValues(createSubjectSetFromDiscriminatorValue_1.createSubjectSetFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Gets the onBehalfRequestors property value. The principals who can request on-behalf-of others.
     * @returns a subjectSet
     */
    get onBehalfRequestors() {
        return this._onBehalfRequestors;
    }
    ;
    /**
     * Sets the onBehalfRequestors property value. The principals who can request on-behalf-of others.
     * @param value Value to set for the onBehalfRequestors property.
     */
    set onBehalfRequestors(value) {
        this._onBehalfRequestors = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeBooleanValue("allowCustomAssignmentSchedule", this.allowCustomAssignmentSchedule);
        writer.writeBooleanValue("enableOnBehalfRequestorsToAddAccess", this.enableOnBehalfRequestorsToAddAccess);
        writer.writeBooleanValue("enableOnBehalfRequestorsToRemoveAccess", this.enableOnBehalfRequestorsToRemoveAccess);
        writer.writeBooleanValue("enableOnBehalfRequestorsToUpdateAccess", this.enableOnBehalfRequestorsToUpdateAccess);
        writer.writeBooleanValue("enableTargetsToSelfAddAccess", this.enableTargetsToSelfAddAccess);
        writer.writeBooleanValue("enableTargetsToSelfRemoveAccess", this.enableTargetsToSelfRemoveAccess);
        writer.writeBooleanValue("enableTargetsToSelfUpdateAccess", this.enableTargetsToSelfUpdateAccess);
        writer.writeCollectionOfObjectValues("onBehalfRequestors", this.onBehalfRequestors);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.AccessPackageAssignmentRequestorSettings = AccessPackageAssignmentRequestorSettings;
