"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccessPackageCatalog = void 0;
const accessPackageCatalogState_1 = require("./accessPackageCatalogState");
const accessPackageCatalogType_1 = require("./accessPackageCatalogType");
const createAccessPackageFromDiscriminatorValue_1 = require("./createAccessPackageFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the identityGovernance singleton. */
class AccessPackageCatalog extends index_1.Entity {
    /**
     * Instantiates a new accessPackageCatalog and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the accessPackages property value. The access packages in this catalog. Read-only. Nullable. Supports $expand.
     * @returns a accessPackage
     */
    get accessPackages() {
        return this._accessPackages;
    }
    ;
    /**
     * Sets the accessPackages property value. The access packages in this catalog. Read-only. Nullable. Supports $expand.
     * @param value Value to set for the accessPackages property.
     */
    set accessPackages(value) {
        this._accessPackages = value;
    }
    ;
    /**
     * Gets the catalogType property value. One of UserManaged or ServiceDefault.
     * @returns a accessPackageCatalogType
     */
    get catalogType() {
        return this._catalogType;
    }
    ;
    /**
     * Sets the catalogType property value. One of UserManaged or ServiceDefault.
     * @param value Value to set for the catalogType property.
     */
    set catalogType(value) {
        this._catalogType = value;
    }
    ;
    ;
    /**
     * Gets the createdDateTime property value. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Read-only.
     * @returns a Date
     */
    get createdDateTime() {
        return this._createdDateTime;
    }
    ;
    /**
     * Sets the createdDateTime property value. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Read-only.
     * @param value Value to set for the createdDateTime property.
     */
    set createdDateTime(value) {
        this._createdDateTime = value;
    }
    ;
    /**
     * Gets the description property value. The description of the access package catalog.
     * @returns a string
     */
    get description() {
        return this._description;
    }
    ;
    /**
     * Sets the description property value. The description of the access package catalog.
     * @param value Value to set for the description property.
     */
    set description(value) {
        this._description = value;
    }
    ;
    /**
     * Gets the displayName property value. The display name of the access package catalog. Supports $filter (eq, contains).
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. The display name of the access package catalog. Supports $filter (eq, contains).
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "accessPackages": n => { this.accessPackages = n.getCollectionOfObjectValues(createAccessPackageFromDiscriminatorValue_1.createAccessPackageFromDiscriminatorValue); }, "catalogType": n => { this.catalogType = n.getEnumValue(accessPackageCatalogType_1.AccessPackageCatalogType); }, "createdDateTime": n => { this.createdDateTime = n.getDateValue(); }, "description": n => { this.description = n.getStringValue(); }, "displayName": n => { this.displayName = n.getStringValue(); }, "isExternallyVisible": n => { this.isExternallyVisible = n.getBooleanValue(); }, "modifiedDateTime": n => { this.modifiedDateTime = n.getDateValue(); }, "state": n => { this.state = n.getEnumValue(accessPackageCatalogState_1.AccessPackageCatalogState); } });
    }
    ;
    /**
     * Gets the isExternallyVisible property value. Whether the access packages in this catalog can be requested by users outside of the tenant.
     * @returns a boolean
     */
    get isExternallyVisible() {
        return this._isExternallyVisible;
    }
    ;
    /**
     * Sets the isExternallyVisible property value. Whether the access packages in this catalog can be requested by users outside of the tenant.
     * @param value Value to set for the isExternallyVisible property.
     */
    set isExternallyVisible(value) {
        this._isExternallyVisible = value;
    }
    ;
    /**
     * Gets the modifiedDateTime property value. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Read-only.
     * @returns a Date
     */
    get modifiedDateTime() {
        return this._modifiedDateTime;
    }
    ;
    /**
     * Sets the modifiedDateTime property value. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Read-only.
     * @param value Value to set for the modifiedDateTime property.
     */
    set modifiedDateTime(value) {
        this._modifiedDateTime = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("accessPackages", this.accessPackages);
        writer.writeEnumValue("catalogType", this.catalogType);
        writer.writeDateValue("createdDateTime", this.createdDateTime);
        writer.writeStringValue("description", this.description);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeBooleanValue("isExternallyVisible", this.isExternallyVisible);
        writer.writeDateValue("modifiedDateTime", this.modifiedDateTime);
        writer.writeEnumValue("state", this.state);
    }
    ;
    /**
     * Gets the state property value. Has the value published if the access packages are available for management. The possible values are: unpublished, published, unknownFutureValue.
     * @returns a accessPackageCatalogState
     */
    get state() {
        return this._state;
    }
    ;
    /**
     * Sets the state property value. Has the value published if the access packages are available for management. The possible values are: unpublished, published, unknownFutureValue.
     * @param value Value to set for the state property.
     */
    set state(value) {
        this._state = value;
    }
    ;
}
exports.AccessPackageCatalog = AccessPackageCatalog;
