"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccessReviewInstance = void 0;
const createAccessReviewInstanceDecisionItemFromDiscriminatorValue_1 = require("./createAccessReviewInstanceDecisionItemFromDiscriminatorValue");
const createAccessReviewReviewerFromDiscriminatorValue_1 = require("./createAccessReviewReviewerFromDiscriminatorValue");
const createAccessReviewReviewerScopeFromDiscriminatorValue_1 = require("./createAccessReviewReviewerScopeFromDiscriminatorValue");
const createAccessReviewScopeFromDiscriminatorValue_1 = require("./createAccessReviewScopeFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the identityGovernance singleton. */
class AccessReviewInstance extends index_1.Entity {
    /**
     * Instantiates a new accessReviewInstance and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the contactedReviewers property value. Returns the collection of reviewers who were contacted to complete this review. While the reviewers and fallbackReviewers properties of the accessReviewScheduleDefinition might specify group owners or managers as reviewers, contactedReviewers returns their individual identities. Supports $select. Read-only.
     * @returns a accessReviewReviewer
     */
    get contactedReviewers() {
        return this._contactedReviewers;
    }
    ;
    /**
     * Sets the contactedReviewers property value. Returns the collection of reviewers who were contacted to complete this review. While the reviewers and fallbackReviewers properties of the accessReviewScheduleDefinition might specify group owners or managers as reviewers, contactedReviewers returns their individual identities. Supports $select. Read-only.
     * @param value Value to set for the contactedReviewers property.
     */
    set contactedReviewers(value) {
        this._contactedReviewers = value;
    }
    ;
    /**
     * Gets the decisions property value. Each user reviewed in an accessReviewInstance has a decision item representing if they were approved, denied, or not yet reviewed.
     * @returns a accessReviewInstanceDecisionItem
     */
    get decisions() {
        return this._decisions;
    }
    ;
    /**
     * Sets the decisions property value. Each user reviewed in an accessReviewInstance has a decision item representing if they were approved, denied, or not yet reviewed.
     * @param value Value to set for the decisions property.
     */
    set decisions(value) {
        this._decisions = value;
    }
    ;
    /**
     * Gets the endDateTime property value. DateTime when review instance is scheduled to end.The DatetimeOffset type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Supports $select. Read-only.
     * @returns a Date
     */
    get endDateTime() {
        return this._endDateTime;
    }
    ;
    /**
     * Sets the endDateTime property value. DateTime when review instance is scheduled to end.The DatetimeOffset type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Supports $select. Read-only.
     * @param value Value to set for the endDateTime property.
     */
    set endDateTime(value) {
        this._endDateTime = value;
    }
    ;
    /**
     * Gets the fallbackReviewers property value. This collection of reviewer scopes is used to define the list of fallback reviewers. These fallback reviewers will be notified to take action if no users are found from the list of reviewers specified. This could occur when either the group owner is specified as the reviewer but the group owner does not exist, or manager is specified as reviewer but a user's manager does not exist. Supports $select.
     * @returns a accessReviewReviewerScope
     */
    get fallbackReviewers() {
        return this._fallbackReviewers;
    }
    ;
    /**
     * Sets the fallbackReviewers property value. This collection of reviewer scopes is used to define the list of fallback reviewers. These fallback reviewers will be notified to take action if no users are found from the list of reviewers specified. This could occur when either the group owner is specified as the reviewer but the group owner does not exist, or manager is specified as reviewer but a user's manager does not exist. Supports $select.
     * @param value Value to set for the fallbackReviewers property.
     */
    set fallbackReviewers(value) {
        this._fallbackReviewers = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "contactedReviewers": n => { this.contactedReviewers = n.getCollectionOfObjectValues(createAccessReviewReviewerFromDiscriminatorValue_1.createAccessReviewReviewerFromDiscriminatorValue); }, "decisions": n => { this.decisions = n.getCollectionOfObjectValues(createAccessReviewInstanceDecisionItemFromDiscriminatorValue_1.createAccessReviewInstanceDecisionItemFromDiscriminatorValue); }, "endDateTime": n => { this.endDateTime = n.getDateValue(); }, "fallbackReviewers": n => { this.fallbackReviewers = n.getCollectionOfObjectValues(createAccessReviewReviewerScopeFromDiscriminatorValue_1.createAccessReviewReviewerScopeFromDiscriminatorValue); }, "reviewers": n => { this.reviewers = n.getCollectionOfObjectValues(createAccessReviewReviewerScopeFromDiscriminatorValue_1.createAccessReviewReviewerScopeFromDiscriminatorValue); }, "scope": n => { this.scope = n.getObjectValue(createAccessReviewScopeFromDiscriminatorValue_1.createAccessReviewScopeFromDiscriminatorValue); }, "startDateTime": n => { this.startDateTime = n.getDateValue(); }, "status": n => { this.status = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the reviewers property value. This collection of access review scopes is used to define who the reviewers are. Supports $select. For examples of options for assigning reviewers, see Assign reviewers to your access review definition using the Microsoft Graph API.
     * @returns a accessReviewReviewerScope
     */
    get reviewers() {
        return this._reviewers;
    }
    ;
    /**
     * Sets the reviewers property value. This collection of access review scopes is used to define who the reviewers are. Supports $select. For examples of options for assigning reviewers, see Assign reviewers to your access review definition using the Microsoft Graph API.
     * @param value Value to set for the reviewers property.
     */
    set reviewers(value) {
        this._reviewers = value;
    }
    ;
    /**
     * Gets the scope property value. Created based on scope and instanceEnumerationScope at the accessReviewScheduleDefinition level. Defines the scope of users reviewed in a group. Supports $select and $filter (contains only). Read-only.
     * @returns a accessReviewScope
     */
    get scope() {
        return this._scope;
    }
    ;
    /**
     * Sets the scope property value. Created based on scope and instanceEnumerationScope at the accessReviewScheduleDefinition level. Defines the scope of users reviewed in a group. Supports $select and $filter (contains only). Read-only.
     * @param value Value to set for the scope property.
     */
    set scope(value) {
        this._scope = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("contactedReviewers", this.contactedReviewers);
        writer.writeCollectionOfObjectValues("decisions", this.decisions);
        writer.writeDateValue("endDateTime", this.endDateTime);
        writer.writeCollectionOfObjectValues("fallbackReviewers", this.fallbackReviewers);
        writer.writeCollectionOfObjectValues("reviewers", this.reviewers);
        writer.writeObjectValue("scope", this.scope);
        writer.writeDateValue("startDateTime", this.startDateTime);
        writer.writeStringValue("status", this.status);
    }
    ;
    /**
     * Gets the startDateTime property value. DateTime when review instance is scheduled to start. May be in the future. The DateTimeOffset type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Supports $select. Read-only.
     * @returns a Date
     */
    get startDateTime() {
        return this._startDateTime;
    }
    ;
    /**
     * Sets the startDateTime property value. DateTime when review instance is scheduled to start. May be in the future. The DateTimeOffset type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Supports $select. Read-only.
     * @param value Value to set for the startDateTime property.
     */
    set startDateTime(value) {
        this._startDateTime = value;
    }
    ;
    /**
     * Gets the status property value. Specifies the status of an accessReview. Possible values: Initializing, NotStarted, Starting, InProgress, Completing, Completed, AutoReviewing, and AutoReviewed. Supports $select, $orderby, and $filter (eq only). Read-only.
     * @returns a string
     */
    get status() {
        return this._status;
    }
    ;
    /**
     * Sets the status property value. Specifies the status of an accessReview. Possible values: Initializing, NotStarted, Starting, InProgress, Completing, Completed, AutoReviewing, and AutoReviewed. Supports $select, $orderby, and $filter (eq only). Read-only.
     * @param value Value to set for the status property.
     */
    set status(value) {
        this._status = value;
    }
    ;
}
exports.AccessReviewInstance = AccessReviewInstance;
