"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccessReviewInstanceDecisionItem = void 0;
const createAccessReviewInstanceDecisionItemResourceFromDiscriminatorValue_1 = require("./createAccessReviewInstanceDecisionItemResourceFromDiscriminatorValue");
const createIdentityFromDiscriminatorValue_1 = require("./createIdentityFromDiscriminatorValue");
const createUserIdentityFromDiscriminatorValue_1 = require("./createUserIdentityFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the identityGovernance singleton. */
class AccessReviewInstanceDecisionItem extends index_1.Entity {
    /**
     * Instantiates a new accessReviewInstanceDecisionItem and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the accessReviewId property value. The identifier of the accessReviewInstance parent. Supports $select. Read-only.
     * @returns a string
     */
    get accessReviewId() {
        return this._accessReviewId;
    }
    ;
    /**
     * Sets the accessReviewId property value. The identifier of the accessReviewInstance parent. Supports $select. Read-only.
     * @param value Value to set for the accessReviewId property.
     */
    set accessReviewId(value) {
        this._accessReviewId = value;
    }
    ;
    /**
     * Gets the appliedBy property value. The identifier of the user who applied the decision. Read-only.
     * @returns a userIdentity
     */
    get appliedBy() {
        return this._appliedBy;
    }
    ;
    /**
     * Sets the appliedBy property value. The identifier of the user who applied the decision. Read-only.
     * @param value Value to set for the appliedBy property.
     */
    set appliedBy(value) {
        this._appliedBy = value;
    }
    ;
    /**
     * Gets the appliedDateTime property value. The timestamp when the approval decision was applied. The DatetimeOffset type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.  Supports $select. Read-only.
     * @returns a Date
     */
    get appliedDateTime() {
        return this._appliedDateTime;
    }
    ;
    /**
     * Sets the appliedDateTime property value. The timestamp when the approval decision was applied. The DatetimeOffset type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.  Supports $select. Read-only.
     * @param value Value to set for the appliedDateTime property.
     */
    set appliedDateTime(value) {
        this._appliedDateTime = value;
    }
    ;
    /**
     * Gets the applyResult property value. The result of applying the decision. Possible values: New, AppliedSuccessfully, AppliedWithUnknownFailure, AppliedSuccessfullyButObjectNotFound and ApplyNotSupported. Supports $select, $orderby, and $filter (eq only). Read-only.
     * @returns a string
     */
    get applyResult() {
        return this._applyResult;
    }
    ;
    /**
     * Sets the applyResult property value. The result of applying the decision. Possible values: New, AppliedSuccessfully, AppliedWithUnknownFailure, AppliedSuccessfullyButObjectNotFound and ApplyNotSupported. Supports $select, $orderby, and $filter (eq only). Read-only.
     * @param value Value to set for the applyResult property.
     */
    set applyResult(value) {
        this._applyResult = value;
    }
    ;
    ;
    /**
     * Gets the decision property value. Result of the review. Possible values: Approve, Deny, NotReviewed, or DontKnow. Supports $select, $orderby, and $filter (eq only).
     * @returns a string
     */
    get decision() {
        return this._decision;
    }
    ;
    /**
     * Sets the decision property value. Result of the review. Possible values: Approve, Deny, NotReviewed, or DontKnow. Supports $select, $orderby, and $filter (eq only).
     * @param value Value to set for the decision property.
     */
    set decision(value) {
        this._decision = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "accessReviewId": n => { this.accessReviewId = n.getStringValue(); }, "appliedBy": n => { this.appliedBy = n.getObjectValue(createUserIdentityFromDiscriminatorValue_1.createUserIdentityFromDiscriminatorValue); }, "appliedDateTime": n => { this.appliedDateTime = n.getDateValue(); }, "applyResult": n => { this.applyResult = n.getStringValue(); }, "decision": n => { this.decision = n.getStringValue(); }, "justification": n => { this.justification = n.getStringValue(); }, "principal": n => { this.principal = n.getObjectValue(createIdentityFromDiscriminatorValue_1.createIdentityFromDiscriminatorValue); }, "principalLink": n => { this.principalLink = n.getStringValue(); }, "recommendation": n => { this.recommendation = n.getStringValue(); }, "resource": n => { this.resource = n.getObjectValue(createAccessReviewInstanceDecisionItemResourceFromDiscriminatorValue_1.createAccessReviewInstanceDecisionItemResourceFromDiscriminatorValue); }, "resourceLink": n => { this.resourceLink = n.getStringValue(); }, "reviewedBy": n => { this.reviewedBy = n.getObjectValue(createUserIdentityFromDiscriminatorValue_1.createUserIdentityFromDiscriminatorValue); }, "reviewedDateTime": n => { this.reviewedDateTime = n.getDateValue(); } });
    }
    ;
    /**
     * Gets the justification property value. Justification left by the reviewer when they made the decision.
     * @returns a string
     */
    get justification() {
        return this._justification;
    }
    ;
    /**
     * Sets the justification property value. Justification left by the reviewer when they made the decision.
     * @param value Value to set for the justification property.
     */
    set justification(value) {
        this._justification = value;
    }
    ;
    /**
     * Gets the principal property value. Every decision item in an access review represents a principal's access to a resource. This property represents details of the principal. For example, if a decision item represents access of User 'Bob' to Group 'Sales' - The principal is 'Bob' and the resource is 'Sales'. Principals can be of two types - userIdentity and servicePrincipalIdentity. Supports $select. Read-only.
     * @returns a identity
     */
    get principal() {
        return this._principal;
    }
    ;
    /**
     * Sets the principal property value. Every decision item in an access review represents a principal's access to a resource. This property represents details of the principal. For example, if a decision item represents access of User 'Bob' to Group 'Sales' - The principal is 'Bob' and the resource is 'Sales'. Principals can be of two types - userIdentity and servicePrincipalIdentity. Supports $select. Read-only.
     * @param value Value to set for the principal property.
     */
    set principal(value) {
        this._principal = value;
    }
    ;
    /**
     * Gets the principalLink property value. Link to the principal object. For example: https://graph.microsoft.com/v1.0/users/a6c7aecb-cbfd-4763-87ef-e91b4bd509d9. Read-only.
     * @returns a string
     */
    get principalLink() {
        return this._principalLink;
    }
    ;
    /**
     * Sets the principalLink property value. Link to the principal object. For example: https://graph.microsoft.com/v1.0/users/a6c7aecb-cbfd-4763-87ef-e91b4bd509d9. Read-only.
     * @param value Value to set for the principalLink property.
     */
    set principalLink(value) {
        this._principalLink = value;
    }
    ;
    /**
     * Gets the recommendation property value. A system-generated recommendation for the approval decision based off last interactive sign-in to tenant. Recommend approve if sign-in is within thirty days of start of review. Recommend deny if sign-in is greater than thirty days of start of review. Recommendation not available otherwise. Possible values: Approve, Deny, or NoInfoAvailable. Supports $select, $orderby, and $filter (eq only). Read-only.
     * @returns a string
     */
    get recommendation() {
        return this._recommendation;
    }
    ;
    /**
     * Sets the recommendation property value. A system-generated recommendation for the approval decision based off last interactive sign-in to tenant. Recommend approve if sign-in is within thirty days of start of review. Recommend deny if sign-in is greater than thirty days of start of review. Recommendation not available otherwise. Possible values: Approve, Deny, or NoInfoAvailable. Supports $select, $orderby, and $filter (eq only). Read-only.
     * @param value Value to set for the recommendation property.
     */
    set recommendation(value) {
        this._recommendation = value;
    }
    ;
    /**
     * Gets the resource property value. Every decision item in an access review represents a principal's access to a resource. This property represents details of the resource. For example, if a decision item represents access of User 'Bob' to Group 'Sales' - The principal is Bob and the resource is 'Sales'. Resources can be of multiple types. See accessReviewInstanceDecisionItemResource. Read-only.
     * @returns a accessReviewInstanceDecisionItemResource
     */
    get resource() {
        return this._resource;
    }
    ;
    /**
     * Sets the resource property value. Every decision item in an access review represents a principal's access to a resource. This property represents details of the resource. For example, if a decision item represents access of User 'Bob' to Group 'Sales' - The principal is Bob and the resource is 'Sales'. Resources can be of multiple types. See accessReviewInstanceDecisionItemResource. Read-only.
     * @param value Value to set for the resource property.
     */
    set resource(value) {
        this._resource = value;
    }
    ;
    /**
     * Gets the resourceLink property value. A link to the resource. For example, https://graph.microsoft.com/v1.0/servicePrincipals/c86300f3-8695-4320-9f6e-32a2555f5ff8. Supports $select. Read-only.
     * @returns a string
     */
    get resourceLink() {
        return this._resourceLink;
    }
    ;
    /**
     * Sets the resourceLink property value. A link to the resource. For example, https://graph.microsoft.com/v1.0/servicePrincipals/c86300f3-8695-4320-9f6e-32a2555f5ff8. Supports $select. Read-only.
     * @param value Value to set for the resourceLink property.
     */
    set resourceLink(value) {
        this._resourceLink = value;
    }
    ;
    /**
     * Gets the reviewedBy property value. The identifier of the reviewer. Supports $select. Read-only.
     * @returns a userIdentity
     */
    get reviewedBy() {
        return this._reviewedBy;
    }
    ;
    /**
     * Sets the reviewedBy property value. The identifier of the reviewer. Supports $select. Read-only.
     * @param value Value to set for the reviewedBy property.
     */
    set reviewedBy(value) {
        this._reviewedBy = value;
    }
    ;
    /**
     * Gets the reviewedDateTime property value. The timestamp when the review decision occurred. Supports $select. Read-only.
     * @returns a Date
     */
    get reviewedDateTime() {
        return this._reviewedDateTime;
    }
    ;
    /**
     * Sets the reviewedDateTime property value. The timestamp when the review decision occurred. Supports $select. Read-only.
     * @param value Value to set for the reviewedDateTime property.
     */
    set reviewedDateTime(value) {
        this._reviewedDateTime = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("accessReviewId", this.accessReviewId);
        writer.writeObjectValue("appliedBy", this.appliedBy);
        writer.writeDateValue("appliedDateTime", this.appliedDateTime);
        writer.writeStringValue("applyResult", this.applyResult);
        writer.writeStringValue("decision", this.decision);
        writer.writeStringValue("justification", this.justification);
        writer.writeObjectValue("principal", this.principal);
        writer.writeStringValue("principalLink", this.principalLink);
        writer.writeStringValue("recommendation", this.recommendation);
        writer.writeObjectValue("resource", this.resource);
        writer.writeStringValue("resourceLink", this.resourceLink);
        writer.writeObjectValue("reviewedBy", this.reviewedBy);
        writer.writeDateValue("reviewedDateTime", this.reviewedDateTime);
    }
    ;
}
exports.AccessReviewInstanceDecisionItem = AccessReviewInstanceDecisionItem;
