"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccessReviewScheduleDefinition = void 0;
const createAccessReviewInstanceFromDiscriminatorValue_1 = require("./createAccessReviewInstanceFromDiscriminatorValue");
const createAccessReviewNotificationRecipientItemFromDiscriminatorValue_1 = require("./createAccessReviewNotificationRecipientItemFromDiscriminatorValue");
const createAccessReviewReviewerScopeFromDiscriminatorValue_1 = require("./createAccessReviewReviewerScopeFromDiscriminatorValue");
const createAccessReviewScheduleSettingsFromDiscriminatorValue_1 = require("./createAccessReviewScheduleSettingsFromDiscriminatorValue");
const createAccessReviewScopeFromDiscriminatorValue_1 = require("./createAccessReviewScopeFromDiscriminatorValue");
const createUserIdentityFromDiscriminatorValue_1 = require("./createUserIdentityFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the identityGovernance singleton. */
class AccessReviewScheduleDefinition extends index_1.Entity {
    /**
     * Instantiates a new accessReviewScheduleDefinition and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the additionalNotificationRecipients property value. Defines the list of additional users or group members to be notified of the access review progress.
     * @returns a accessReviewNotificationRecipientItem
     */
    get additionalNotificationRecipients() {
        return this._additionalNotificationRecipients;
    }
    ;
    /**
     * Sets the additionalNotificationRecipients property value. Defines the list of additional users or group members to be notified of the access review progress.
     * @param value Value to set for the additionalNotificationRecipients property.
     */
    set additionalNotificationRecipients(value) {
        this._additionalNotificationRecipients = value;
    }
    ;
    ;
    /**
     * Gets the createdBy property value. User who created this review. Read-only.
     * @returns a userIdentity
     */
    get createdBy() {
        return this._createdBy;
    }
    ;
    /**
     * Sets the createdBy property value. User who created this review. Read-only.
     * @param value Value to set for the createdBy property.
     */
    set createdBy(value) {
        this._createdBy = value;
    }
    ;
    /**
     * Gets the createdDateTime property value. Timestamp when the access review series was created. Supports $select. Read-only.
     * @returns a Date
     */
    get createdDateTime() {
        return this._createdDateTime;
    }
    ;
    /**
     * Sets the createdDateTime property value. Timestamp when the access review series was created. Supports $select. Read-only.
     * @param value Value to set for the createdDateTime property.
     */
    set createdDateTime(value) {
        this._createdDateTime = value;
    }
    ;
    /**
     * Gets the descriptionForAdmins property value. Description provided by review creators to provide more context of the review to admins. Supports $select.
     * @returns a string
     */
    get descriptionForAdmins() {
        return this._descriptionForAdmins;
    }
    ;
    /**
     * Sets the descriptionForAdmins property value. Description provided by review creators to provide more context of the review to admins. Supports $select.
     * @param value Value to set for the descriptionForAdmins property.
     */
    set descriptionForAdmins(value) {
        this._descriptionForAdmins = value;
    }
    ;
    /**
     * Gets the descriptionForReviewers property value. Description provided  by review creators to provide more context of the review to reviewers. Reviewers will see this description in the email sent to them requesting their review. Email notifications support up to 256 characters. Supports $select.
     * @returns a string
     */
    get descriptionForReviewers() {
        return this._descriptionForReviewers;
    }
    ;
    /**
     * Sets the descriptionForReviewers property value. Description provided  by review creators to provide more context of the review to reviewers. Reviewers will see this description in the email sent to them requesting their review. Email notifications support up to 256 characters. Supports $select.
     * @param value Value to set for the descriptionForReviewers property.
     */
    set descriptionForReviewers(value) {
        this._descriptionForReviewers = value;
    }
    ;
    /**
     * Gets the displayName property value. Name of the access review series. Supports $select and $orderBy. Required on create.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. Name of the access review series. Supports $select and $orderBy. Required on create.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * Gets the fallbackReviewers property value. This collection of reviewer scopes is used to define the list of fallback reviewers. These fallback reviewers will be notified to take action if no users are found from the list of reviewers specified. This could occur when either the group owner is specified as the reviewer but the group owner does not exist, or manager is specified as reviewer but a user's manager does not exist. See accessReviewReviewerScope. Replaces backupReviewers. Supports $select. NOTE: The value of this property will be ignored if fallback reviewers are assigned through the stageSettings property.
     * @returns a accessReviewReviewerScope
     */
    get fallbackReviewers() {
        return this._fallbackReviewers;
    }
    ;
    /**
     * Sets the fallbackReviewers property value. This collection of reviewer scopes is used to define the list of fallback reviewers. These fallback reviewers will be notified to take action if no users are found from the list of reviewers specified. This could occur when either the group owner is specified as the reviewer but the group owner does not exist, or manager is specified as reviewer but a user's manager does not exist. See accessReviewReviewerScope. Replaces backupReviewers. Supports $select. NOTE: The value of this property will be ignored if fallback reviewers are assigned through the stageSettings property.
     * @param value Value to set for the fallbackReviewers property.
     */
    set fallbackReviewers(value) {
        this._fallbackReviewers = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "additionalNotificationRecipients": n => { this.additionalNotificationRecipients = n.getCollectionOfObjectValues(createAccessReviewNotificationRecipientItemFromDiscriminatorValue_1.createAccessReviewNotificationRecipientItemFromDiscriminatorValue); }, "createdBy": n => { this.createdBy = n.getObjectValue(createUserIdentityFromDiscriminatorValue_1.createUserIdentityFromDiscriminatorValue); }, "createdDateTime": n => { this.createdDateTime = n.getDateValue(); }, "descriptionForAdmins": n => { this.descriptionForAdmins = n.getStringValue(); }, "descriptionForReviewers": n => { this.descriptionForReviewers = n.getStringValue(); }, "displayName": n => { this.displayName = n.getStringValue(); }, "fallbackReviewers": n => { this.fallbackReviewers = n.getCollectionOfObjectValues(createAccessReviewReviewerScopeFromDiscriminatorValue_1.createAccessReviewReviewerScopeFromDiscriminatorValue); }, "instanceEnumerationScope": n => { this.instanceEnumerationScope = n.getObjectValue(createAccessReviewScopeFromDiscriminatorValue_1.createAccessReviewScopeFromDiscriminatorValue); }, "instances": n => { this.instances = n.getCollectionOfObjectValues(createAccessReviewInstanceFromDiscriminatorValue_1.createAccessReviewInstanceFromDiscriminatorValue); }, "lastModifiedDateTime": n => { this.lastModifiedDateTime = n.getDateValue(); }, "reviewers": n => { this.reviewers = n.getCollectionOfObjectValues(createAccessReviewReviewerScopeFromDiscriminatorValue_1.createAccessReviewReviewerScopeFromDiscriminatorValue); }, "scope": n => { this.scope = n.getObjectValue(createAccessReviewScopeFromDiscriminatorValue_1.createAccessReviewScopeFromDiscriminatorValue); }, "settings": n => { this.settings = n.getObjectValue(createAccessReviewScheduleSettingsFromDiscriminatorValue_1.createAccessReviewScheduleSettingsFromDiscriminatorValue); }, "status": n => { this.status = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the instanceEnumerationScope property value. This property is required when scoping a review to guest users' access across all Microsoft 365 groups and determines which Microsoft 365 groups are reviewed. Each group will become a unique accessReviewInstance of the access review series.  For supported scopes, see accessReviewScope. Supports $select. For examples of options for configuring instanceEnumerationScope, see Configure the scope of your access review definition using the Microsoft Graph API.
     * @returns a accessReviewScope
     */
    get instanceEnumerationScope() {
        return this._instanceEnumerationScope;
    }
    ;
    /**
     * Sets the instanceEnumerationScope property value. This property is required when scoping a review to guest users' access across all Microsoft 365 groups and determines which Microsoft 365 groups are reviewed. Each group will become a unique accessReviewInstance of the access review series.  For supported scopes, see accessReviewScope. Supports $select. For examples of options for configuring instanceEnumerationScope, see Configure the scope of your access review definition using the Microsoft Graph API.
     * @param value Value to set for the instanceEnumerationScope property.
     */
    set instanceEnumerationScope(value) {
        this._instanceEnumerationScope = value;
    }
    ;
    /**
     * Gets the instances property value. Set of access reviews instances for this access review series. Access reviews that do not recur will only have one instance; otherwise, there is an instance for each recurrence.
     * @returns a accessReviewInstance
     */
    get instances() {
        return this._instances;
    }
    ;
    /**
     * Sets the instances property value. Set of access reviews instances for this access review series. Access reviews that do not recur will only have one instance; otherwise, there is an instance for each recurrence.
     * @param value Value to set for the instances property.
     */
    set instances(value) {
        this._instances = value;
    }
    ;
    /**
     * Gets the lastModifiedDateTime property value. Timestamp when the access review series was last modified. Supports $select. Read-only.
     * @returns a Date
     */
    get lastModifiedDateTime() {
        return this._lastModifiedDateTime;
    }
    ;
    /**
     * Sets the lastModifiedDateTime property value. Timestamp when the access review series was last modified. Supports $select. Read-only.
     * @param value Value to set for the lastModifiedDateTime property.
     */
    set lastModifiedDateTime(value) {
        this._lastModifiedDateTime = value;
    }
    ;
    /**
     * Gets the reviewers property value. This collection of access review scopes is used to define who are the reviewers. The reviewers property is only updatable if individual users are assigned as reviewers. Required on create. Supports $select. For examples of options for assigning reviewers, see Assign reviewers to your access review definition using the Microsoft Graph API. NOTE: The value of this property will be ignored if reviewers are assigned through the stageSettings property.
     * @returns a accessReviewReviewerScope
     */
    get reviewers() {
        return this._reviewers;
    }
    ;
    /**
     * Sets the reviewers property value. This collection of access review scopes is used to define who are the reviewers. The reviewers property is only updatable if individual users are assigned as reviewers. Required on create. Supports $select. For examples of options for assigning reviewers, see Assign reviewers to your access review definition using the Microsoft Graph API. NOTE: The value of this property will be ignored if reviewers are assigned through the stageSettings property.
     * @param value Value to set for the reviewers property.
     */
    set reviewers(value) {
        this._reviewers = value;
    }
    ;
    /**
     * Gets the scope property value. Defines the entities whose access is reviewed. For supported scopes, see accessReviewScope. Required on create. Supports $select and $filter (contains only). For examples of options for configuring scope, see Configure the scope of your access review definition using the Microsoft Graph API.
     * @returns a accessReviewScope
     */
    get scope() {
        return this._scope;
    }
    ;
    /**
     * Sets the scope property value. Defines the entities whose access is reviewed. For supported scopes, see accessReviewScope. Required on create. Supports $select and $filter (contains only). For examples of options for configuring scope, see Configure the scope of your access review definition using the Microsoft Graph API.
     * @param value Value to set for the scope property.
     */
    set scope(value) {
        this._scope = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("additionalNotificationRecipients", this.additionalNotificationRecipients);
        writer.writeObjectValue("createdBy", this.createdBy);
        writer.writeDateValue("createdDateTime", this.createdDateTime);
        writer.writeStringValue("descriptionForAdmins", this.descriptionForAdmins);
        writer.writeStringValue("descriptionForReviewers", this.descriptionForReviewers);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeCollectionOfObjectValues("fallbackReviewers", this.fallbackReviewers);
        writer.writeObjectValue("instanceEnumerationScope", this.instanceEnumerationScope);
        writer.writeCollectionOfObjectValues("instances", this.instances);
        writer.writeDateValue("lastModifiedDateTime", this.lastModifiedDateTime);
        writer.writeCollectionOfObjectValues("reviewers", this.reviewers);
        writer.writeObjectValue("scope", this.scope);
        writer.writeObjectValue("settings", this.settings);
        writer.writeStringValue("status", this.status);
    }
    ;
    /**
     * Gets the settings property value. The settings for an access review series, see type definition below. Supports $select. Required on create.
     * @returns a accessReviewScheduleSettings
     */
    get settings() {
        return this._settings;
    }
    ;
    /**
     * Sets the settings property value. The settings for an access review series, see type definition below. Supports $select. Required on create.
     * @param value Value to set for the settings property.
     */
    set settings(value) {
        this._settings = value;
    }
    ;
    /**
     * Gets the status property value. This read-only field specifies the status of an access review. The typical states include Initializing, NotStarted, Starting, InProgress, Completing, Completed, AutoReviewing, and AutoReviewed.  Supports $select, $orderby, and $filter (eq only). Read-only.
     * @returns a string
     */
    get status() {
        return this._status;
    }
    ;
    /**
     * Sets the status property value. This read-only field specifies the status of an access review. The typical states include Initializing, NotStarted, Starting, InProgress, Completing, Completed, AutoReviewing, and AutoReviewed.  Supports $select, $orderby, and $filter (eq only). Read-only.
     * @param value Value to set for the status property.
     */
    set status(value) {
        this._status = value;
    }
    ;
}
exports.AccessReviewScheduleDefinition = AccessReviewScheduleDefinition;
