"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccessReviewSet = void 0;
const createAccessReviewHistoryDefinitionFromDiscriminatorValue_1 = require("./createAccessReviewHistoryDefinitionFromDiscriminatorValue");
const createAccessReviewScheduleDefinitionFromDiscriminatorValue_1 = require("./createAccessReviewScheduleDefinitionFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the identityGovernance singleton. */
class AccessReviewSet extends index_1.Entity {
    /**
     * Instantiates a new accessReviewSet and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the definitions property value. Represents the template and scheduling for an access review.
     * @returns a accessReviewScheduleDefinition
     */
    get definitions() {
        return this._definitions;
    }
    ;
    /**
     * Sets the definitions property value. Represents the template and scheduling for an access review.
     * @param value Value to set for the definitions property.
     */
    set definitions(value) {
        this._definitions = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "definitions": n => { this.definitions = n.getCollectionOfObjectValues(createAccessReviewScheduleDefinitionFromDiscriminatorValue_1.createAccessReviewScheduleDefinitionFromDiscriminatorValue); }, "historyDefinitions": n => { this.historyDefinitions = n.getCollectionOfObjectValues(createAccessReviewHistoryDefinitionFromDiscriminatorValue_1.createAccessReviewHistoryDefinitionFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the historyDefinitions property value. Represents a collection of access review history data and the scopes used to collect that data.
     * @returns a accessReviewHistoryDefinition
     */
    get historyDefinitions() {
        return this._historyDefinitions;
    }
    ;
    /**
     * Sets the historyDefinitions property value. Represents a collection of access review history data and the scopes used to collect that data.
     * @param value Value to set for the historyDefinitions property.
     */
    set historyDefinitions(value) {
        this._historyDefinitions = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("definitions", this.definitions);
        writer.writeCollectionOfObjectValues("historyDefinitions", this.historyDefinitions);
    }
    ;
}
exports.AccessReviewSet = AccessReviewSet;
