"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActionResultPart = void 0;
const createPublicErrorFromDiscriminatorValue_1 = require("./createPublicErrorFromDiscriminatorValue");
class ActionResultPart {
    /**
     * Instantiates a new actionResultPart and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the error property value. The error that occurred, if any, during the course of the bulk operation.
     * @returns a publicError
     */
    get error_escaped() {
        return this._error_escaped;
    }
    ;
    /**
     * Sets the error property value. The error that occurred, if any, during the course of the bulk operation.
     * @param value Value to set for the error_escaped property.
     */
    set error_escaped(value) {
        this._error_escaped = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "error": n => { this.error_escaped = n.getObjectValue(createPublicErrorFromDiscriminatorValue_1.createPublicErrorFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeObjectValue("error", this.error_escaped);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.ActionResultPart = ActionResultPart;
