"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActivityHistoryItem = void 0;
const createUserActivityFromDiscriminatorValue_1 = require("./createUserActivityFromDiscriminatorValue");
const index_1 = require("./index");
const status_1 = require("./status");
/** Casts the previous resource to user. */
class ActivityHistoryItem extends index_1.Entity {
    /**
     * Instantiates a new activityHistoryItem and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the activeDurationSeconds property value. Optional. The duration of active user engagement. if not supplied, this is calculated from the startedDateTime and lastActiveDateTime.
     * @returns a integer
     */
    get activeDurationSeconds() {
        return this._activeDurationSeconds;
    }
    ;
    /**
     * Sets the activeDurationSeconds property value. Optional. The duration of active user engagement. if not supplied, this is calculated from the startedDateTime and lastActiveDateTime.
     * @param value Value to set for the activeDurationSeconds property.
     */
    set activeDurationSeconds(value) {
        this._activeDurationSeconds = value;
    }
    ;
    /**
     * Gets the activity property value. The activity property
     * @returns a userActivity
     */
    get activity() {
        return this._activity;
    }
    ;
    /**
     * Sets the activity property value. The activity property
     * @param value Value to set for the activity property.
     */
    set activity(value) {
        this._activity = value;
    }
    ;
    ;
    /**
     * Gets the createdDateTime property value. Set by the server. DateTime in UTC when the object was created on the server.
     * @returns a Date
     */
    get createdDateTime() {
        return this._createdDateTime;
    }
    ;
    /**
     * Sets the createdDateTime property value. Set by the server. DateTime in UTC when the object was created on the server.
     * @param value Value to set for the createdDateTime property.
     */
    set createdDateTime(value) {
        this._createdDateTime = value;
    }
    ;
    /**
     * Gets the expirationDateTime property value. Optional. UTC DateTime when the historyItem will undergo hard-delete. Can be set by the client.
     * @returns a Date
     */
    get expirationDateTime() {
        return this._expirationDateTime;
    }
    ;
    /**
     * Sets the expirationDateTime property value. Optional. UTC DateTime when the historyItem will undergo hard-delete. Can be set by the client.
     * @param value Value to set for the expirationDateTime property.
     */
    set expirationDateTime(value) {
        this._expirationDateTime = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "activeDurationSeconds": n => { this.activeDurationSeconds = n.getNumberValue(); }, "activity": n => { this.activity = n.getObjectValue(createUserActivityFromDiscriminatorValue_1.createUserActivityFromDiscriminatorValue); }, "createdDateTime": n => { this.createdDateTime = n.getDateValue(); }, "expirationDateTime": n => { this.expirationDateTime = n.getDateValue(); }, "lastActiveDateTime": n => { this.lastActiveDateTime = n.getDateValue(); }, "lastModifiedDateTime": n => { this.lastModifiedDateTime = n.getDateValue(); }, "startedDateTime": n => { this.startedDateTime = n.getDateValue(); }, "status": n => { this.status = n.getEnumValue(status_1.Status); }, "userTimezone": n => { this.userTimezone = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the lastActiveDateTime property value. Optional. UTC DateTime when the historyItem (activity session) was last understood as active or finished - if null, historyItem status should be Ongoing.
     * @returns a Date
     */
    get lastActiveDateTime() {
        return this._lastActiveDateTime;
    }
    ;
    /**
     * Sets the lastActiveDateTime property value. Optional. UTC DateTime when the historyItem (activity session) was last understood as active or finished - if null, historyItem status should be Ongoing.
     * @param value Value to set for the lastActiveDateTime property.
     */
    set lastActiveDateTime(value) {
        this._lastActiveDateTime = value;
    }
    ;
    /**
     * Gets the lastModifiedDateTime property value. Set by the server. DateTime in UTC when the object was modified on the server.
     * @returns a Date
     */
    get lastModifiedDateTime() {
        return this._lastModifiedDateTime;
    }
    ;
    /**
     * Sets the lastModifiedDateTime property value. Set by the server. DateTime in UTC when the object was modified on the server.
     * @param value Value to set for the lastModifiedDateTime property.
     */
    set lastModifiedDateTime(value) {
        this._lastModifiedDateTime = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeNumberValue("activeDurationSeconds", this.activeDurationSeconds);
        writer.writeObjectValue("activity", this.activity);
        writer.writeDateValue("createdDateTime", this.createdDateTime);
        writer.writeDateValue("expirationDateTime", this.expirationDateTime);
        writer.writeDateValue("lastActiveDateTime", this.lastActiveDateTime);
        writer.writeDateValue("lastModifiedDateTime", this.lastModifiedDateTime);
        writer.writeDateValue("startedDateTime", this.startedDateTime);
        writer.writeEnumValue("status", this.status);
        writer.writeStringValue("userTimezone", this.userTimezone);
    }
    ;
    /**
     * Gets the startedDateTime property value. Required. UTC DateTime when the historyItem (activity session) was started. Required for timeline history.
     * @returns a Date
     */
    get startedDateTime() {
        return this._startedDateTime;
    }
    ;
    /**
     * Sets the startedDateTime property value. Required. UTC DateTime when the historyItem (activity session) was started. Required for timeline history.
     * @param value Value to set for the startedDateTime property.
     */
    set startedDateTime(value) {
        this._startedDateTime = value;
    }
    ;
    /**
     * Gets the status property value. Set by the server. A status code used to identify valid objects. Values: active, updated, deleted, ignored.
     * @returns a status
     */
    get status() {
        return this._status;
    }
    ;
    /**
     * Sets the status property value. Set by the server. A status code used to identify valid objects. Values: active, updated, deleted, ignored.
     * @param value Value to set for the status property.
     */
    set status(value) {
        this._status = value;
    }
    ;
    /**
     * Gets the userTimezone property value. Optional. The timezone in which the user's device used to generate the activity was located at activity creation time. Values supplied as Olson IDs in order to support cross-platform representation.
     * @returns a string
     */
    get userTimezone() {
        return this._userTimezone;
    }
    ;
    /**
     * Sets the userTimezone property value. Optional. The timezone in which the user's device used to generate the activity was located at activity creation time. Values supplied as Olson IDs in order to support cross-platform representation.
     * @param value Value to set for the userTimezone property.
     */
    set userTimezone(value) {
        this._userTimezone = value;
    }
    ;
}
exports.ActivityHistoryItem = ActivityHistoryItem;
