"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AddIn = void 0;
const createKeyValueFromDiscriminatorValue_1 = require("./createKeyValueFromDiscriminatorValue");
class AddIn {
    /**
     * Instantiates a new addIn and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "id": n => { this.id = n.getStringValue(); },
            "properties": n => { this.properties = n.getCollectionOfObjectValues(createKeyValueFromDiscriminatorValue_1.createKeyValueFromDiscriminatorValue); },
            "type": n => { this.type = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the id property value. The id property
     * @returns a string
     */
    get id() {
        return this._id;
    }
    ;
    /**
     * Sets the id property value. The id property
     * @param value Value to set for the id property.
     */
    set id(value) {
        this._id = value;
    }
    ;
    /**
     * Gets the properties property value. The properties property
     * @returns a keyValue
     */
    get properties() {
        return this._properties;
    }
    ;
    /**
     * Sets the properties property value. The properties property
     * @param value Value to set for the properties property.
     */
    set properties(value) {
        this._properties = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("id", this.id);
        writer.writeCollectionOfObjectValues("properties", this.properties);
        writer.writeStringValue("type", this.type);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the type property value. The type property
     * @returns a string
     */
    get type() {
        return this._type;
    }
    ;
    /**
     * Sets the type property value. The type property
     * @param value Value to set for the type property.
     */
    set type(value) {
        this._type = value;
    }
    ;
}
exports.AddIn = AddIn;
