"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AdminConsentRequestPolicy = void 0;
const createAccessReviewReviewerScopeFromDiscriminatorValue_1 = require("./createAccessReviewReviewerScopeFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the policyRoot singleton. */
class AdminConsentRequestPolicy extends index_1.Entity {
    /**
     * Instantiates a new adminConsentRequestPolicy and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "isEnabled": n => { this.isEnabled = n.getBooleanValue(); }, "notifyReviewers": n => { this.notifyReviewers = n.getBooleanValue(); }, "remindersEnabled": n => { this.remindersEnabled = n.getBooleanValue(); }, "requestDurationInDays": n => { this.requestDurationInDays = n.getNumberValue(); }, "reviewers": n => { this.reviewers = n.getCollectionOfObjectValues(createAccessReviewReviewerScopeFromDiscriminatorValue_1.createAccessReviewReviewerScopeFromDiscriminatorValue); }, "version": n => { this.version = n.getNumberValue(); } });
    }
    ;
    /**
     * Gets the isEnabled property value. Specifies whether the admin consent request feature is enabled or disabled. Required.
     * @returns a boolean
     */
    get isEnabled() {
        return this._isEnabled;
    }
    ;
    /**
     * Sets the isEnabled property value. Specifies whether the admin consent request feature is enabled or disabled. Required.
     * @param value Value to set for the isEnabled property.
     */
    set isEnabled(value) {
        this._isEnabled = value;
    }
    ;
    /**
     * Gets the notifyReviewers property value. Specifies whether reviewers will receive notifications. Required.
     * @returns a boolean
     */
    get notifyReviewers() {
        return this._notifyReviewers;
    }
    ;
    /**
     * Sets the notifyReviewers property value. Specifies whether reviewers will receive notifications. Required.
     * @param value Value to set for the notifyReviewers property.
     */
    set notifyReviewers(value) {
        this._notifyReviewers = value;
    }
    ;
    /**
     * Gets the remindersEnabled property value. Specifies whether reviewers will receive reminder emails. Required.
     * @returns a boolean
     */
    get remindersEnabled() {
        return this._remindersEnabled;
    }
    ;
    /**
     * Sets the remindersEnabled property value. Specifies whether reviewers will receive reminder emails. Required.
     * @param value Value to set for the remindersEnabled property.
     */
    set remindersEnabled(value) {
        this._remindersEnabled = value;
    }
    ;
    /**
     * Gets the requestDurationInDays property value. Specifies the duration the request is active before it automatically expires if no decision is applied.
     * @returns a integer
     */
    get requestDurationInDays() {
        return this._requestDurationInDays;
    }
    ;
    /**
     * Sets the requestDurationInDays property value. Specifies the duration the request is active before it automatically expires if no decision is applied.
     * @param value Value to set for the requestDurationInDays property.
     */
    set requestDurationInDays(value) {
        this._requestDurationInDays = value;
    }
    ;
    /**
     * Gets the reviewers property value. Required.
     * @returns a accessReviewReviewerScope
     */
    get reviewers() {
        return this._reviewers;
    }
    ;
    /**
     * Sets the reviewers property value. Required.
     * @param value Value to set for the reviewers property.
     */
    set reviewers(value) {
        this._reviewers = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeBooleanValue("isEnabled", this.isEnabled);
        writer.writeBooleanValue("notifyReviewers", this.notifyReviewers);
        writer.writeBooleanValue("remindersEnabled", this.remindersEnabled);
        writer.writeNumberValue("requestDurationInDays", this.requestDurationInDays);
        writer.writeCollectionOfObjectValues("reviewers", this.reviewers);
        writer.writeNumberValue("version", this.version);
    }
    ;
    /**
     * Gets the version property value. Specifies the version of this policy. When the policy is updated, this version is updated. Read-only.
     * @returns a integer
     */
    get version() {
        return this._version;
    }
    ;
    /**
     * Sets the version property value. Specifies the version of this policy. When the policy is updated, this version is updated. Read-only.
     * @param value Value to set for the version property.
     */
    set version(value) {
        this._version = value;
    }
    ;
}
exports.AdminConsentRequestPolicy = AdminConsentRequestPolicy;
