"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AggregationOption = void 0;
const createBucketAggregationDefinitionFromDiscriminatorValue_1 = require("./createBucketAggregationDefinitionFromDiscriminatorValue");
class AggregationOption {
    /**
     * Instantiates a new aggregationOption and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the bucketDefinition property value. The bucketDefinition property
     * @returns a bucketAggregationDefinition
     */
    get bucketDefinition() {
        return this._bucketDefinition;
    }
    ;
    /**
     * Sets the bucketDefinition property value. The bucketDefinition property
     * @param value Value to set for the bucketDefinition property.
     */
    set bucketDefinition(value) {
        this._bucketDefinition = value;
    }
    ;
    ;
    /**
     * Gets the field property value. Computes aggregation on the field while the field exists in current entity type. Required.
     * @returns a string
     */
    get field() {
        return this._field;
    }
    ;
    /**
     * Sets the field property value. Computes aggregation on the field while the field exists in current entity type. Required.
     * @param value Value to set for the field property.
     */
    set field(value) {
        this._field = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "bucketDefinition": n => { this.bucketDefinition = n.getObjectValue(createBucketAggregationDefinitionFromDiscriminatorValue_1.createBucketAggregationDefinitionFromDiscriminatorValue); },
            "field": n => { this.field = n.getStringValue(); },
            "size": n => { this.size = n.getNumberValue(); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeObjectValue("bucketDefinition", this.bucketDefinition);
        writer.writeStringValue("field", this.field);
        writer.writeNumberValue("size", this.size);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the size property value. The number of searchBucket resources to be returned. This is not required when the range is provided manually in the search request. Optional.
     * @returns a integer
     */
    get size() {
        return this._size;
    }
    ;
    /**
     * Sets the size property value. The number of searchBucket resources to be returned. This is not required when the range is provided manually in the search request. Optional.
     * @param value Value to set for the size property.
     */
    set size(value) {
        this._size = value;
    }
    ;
}
exports.AggregationOption = AggregationOption;
