"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AgreementAcceptance = void 0;
const agreementAcceptanceState_1 = require("./agreementAcceptanceState");
const index_1 = require("./index");
/** Provides operations to manage the collection of agreementAcceptance entities. */
class AgreementAcceptance extends index_1.Entity {
    /**
     * Instantiates a new agreementAcceptance and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the agreementFileId property value. ID of the agreement file accepted by the user.
     * @returns a string
     */
    get agreementFileId() {
        return this._agreementFileId;
    }
    ;
    /**
     * Sets the agreementFileId property value. ID of the agreement file accepted by the user.
     * @param value Value to set for the agreementFileId property.
     */
    set agreementFileId(value) {
        this._agreementFileId = value;
    }
    ;
    /**
     * Gets the agreementId property value. ID of the agreement.
     * @returns a string
     */
    get agreementId() {
        return this._agreementId;
    }
    ;
    /**
     * Sets the agreementId property value. ID of the agreement.
     * @param value Value to set for the agreementId property.
     */
    set agreementId(value) {
        this._agreementId = value;
    }
    ;
    ;
    /**
     * Gets the deviceDisplayName property value. The display name of the device used for accepting the agreement.
     * @returns a string
     */
    get deviceDisplayName() {
        return this._deviceDisplayName;
    }
    ;
    /**
     * Sets the deviceDisplayName property value. The display name of the device used for accepting the agreement.
     * @param value Value to set for the deviceDisplayName property.
     */
    set deviceDisplayName(value) {
        this._deviceDisplayName = value;
    }
    ;
    /**
     * Gets the deviceId property value. The unique identifier of the device used for accepting the agreement.
     * @returns a string
     */
    get deviceId() {
        return this._deviceId;
    }
    ;
    /**
     * Sets the deviceId property value. The unique identifier of the device used for accepting the agreement.
     * @param value Value to set for the deviceId property.
     */
    set deviceId(value) {
        this._deviceId = value;
    }
    ;
    /**
     * Gets the deviceOSType property value. The operating system used for accepting the agreement.
     * @returns a string
     */
    get deviceOSType() {
        return this._deviceOSType;
    }
    ;
    /**
     * Sets the deviceOSType property value. The operating system used for accepting the agreement.
     * @param value Value to set for the deviceOSType property.
     */
    set deviceOSType(value) {
        this._deviceOSType = value;
    }
    ;
    /**
     * Gets the deviceOSVersion property value. The operating system version of the device used for accepting the agreement.
     * @returns a string
     */
    get deviceOSVersion() {
        return this._deviceOSVersion;
    }
    ;
    /**
     * Sets the deviceOSVersion property value. The operating system version of the device used for accepting the agreement.
     * @param value Value to set for the deviceOSVersion property.
     */
    set deviceOSVersion(value) {
        this._deviceOSVersion = value;
    }
    ;
    /**
     * Gets the expirationDateTime property value. The expiration date time of the acceptance. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @returns a Date
     */
    get expirationDateTime() {
        return this._expirationDateTime;
    }
    ;
    /**
     * Sets the expirationDateTime property value. The expiration date time of the acceptance. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @param value Value to set for the expirationDateTime property.
     */
    set expirationDateTime(value) {
        this._expirationDateTime = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "agreementFileId": n => { this.agreementFileId = n.getStringValue(); }, "agreementId": n => { this.agreementId = n.getStringValue(); }, "deviceDisplayName": n => { this.deviceDisplayName = n.getStringValue(); }, "deviceId": n => { this.deviceId = n.getStringValue(); }, "deviceOSType": n => { this.deviceOSType = n.getStringValue(); }, "deviceOSVersion": n => { this.deviceOSVersion = n.getStringValue(); }, "expirationDateTime": n => { this.expirationDateTime = n.getDateValue(); }, "recordedDateTime": n => { this.recordedDateTime = n.getDateValue(); }, "state": n => { this.state = n.getEnumValue(agreementAcceptanceState_1.AgreementAcceptanceState); }, "userDisplayName": n => { this.userDisplayName = n.getStringValue(); }, "userEmail": n => { this.userEmail = n.getStringValue(); }, "userId": n => { this.userId = n.getStringValue(); }, "userPrincipalName": n => { this.userPrincipalName = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the recordedDateTime property value. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @returns a Date
     */
    get recordedDateTime() {
        return this._recordedDateTime;
    }
    ;
    /**
     * Sets the recordedDateTime property value. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @param value Value to set for the recordedDateTime property.
     */
    set recordedDateTime(value) {
        this._recordedDateTime = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("agreementFileId", this.agreementFileId);
        writer.writeStringValue("agreementId", this.agreementId);
        writer.writeStringValue("deviceDisplayName", this.deviceDisplayName);
        writer.writeStringValue("deviceId", this.deviceId);
        writer.writeStringValue("deviceOSType", this.deviceOSType);
        writer.writeStringValue("deviceOSVersion", this.deviceOSVersion);
        writer.writeDateValue("expirationDateTime", this.expirationDateTime);
        writer.writeDateValue("recordedDateTime", this.recordedDateTime);
        writer.writeEnumValue("state", this.state);
        writer.writeStringValue("userDisplayName", this.userDisplayName);
        writer.writeStringValue("userEmail", this.userEmail);
        writer.writeStringValue("userId", this.userId);
        writer.writeStringValue("userPrincipalName", this.userPrincipalName);
    }
    ;
    /**
     * Gets the state property value. Possible values are: accepted, declined. Supports $filter (eq).
     * @returns a agreementAcceptanceState
     */
    get state() {
        return this._state;
    }
    ;
    /**
     * Sets the state property value. Possible values are: accepted, declined. Supports $filter (eq).
     * @param value Value to set for the state property.
     */
    set state(value) {
        this._state = value;
    }
    ;
    /**
     * Gets the userDisplayName property value. Display name of the user when the acceptance was recorded.
     * @returns a string
     */
    get userDisplayName() {
        return this._userDisplayName;
    }
    ;
    /**
     * Sets the userDisplayName property value. Display name of the user when the acceptance was recorded.
     * @param value Value to set for the userDisplayName property.
     */
    set userDisplayName(value) {
        this._userDisplayName = value;
    }
    ;
    /**
     * Gets the userEmail property value. Email of the user when the acceptance was recorded.
     * @returns a string
     */
    get userEmail() {
        return this._userEmail;
    }
    ;
    /**
     * Sets the userEmail property value. Email of the user when the acceptance was recorded.
     * @param value Value to set for the userEmail property.
     */
    set userEmail(value) {
        this._userEmail = value;
    }
    ;
    /**
     * Gets the userId property value. ID of the user who accepted the agreement.
     * @returns a string
     */
    get userId() {
        return this._userId;
    }
    ;
    /**
     * Sets the userId property value. ID of the user who accepted the agreement.
     * @param value Value to set for the userId property.
     */
    set userId(value) {
        this._userId = value;
    }
    ;
    /**
     * Gets the userPrincipalName property value. UPN of the user when the acceptance was recorded.
     * @returns a string
     */
    get userPrincipalName() {
        return this._userPrincipalName;
    }
    ;
    /**
     * Sets the userPrincipalName property value. UPN of the user when the acceptance was recorded.
     * @param value Value to set for the userPrincipalName property.
     */
    set userPrincipalName(value) {
        this._userPrincipalName = value;
    }
    ;
}
exports.AgreementAcceptance = AgreementAcceptance;
