"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AgreementFile = void 0;
const createAgreementFileLocalizationFromDiscriminatorValue_1 = require("./createAgreementFileLocalizationFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the collection of agreement entities. */
class AgreementFile extends index_1.AgreementFileProperties {
    /**
     * Instantiates a new agreementFile and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "localizations": n => { this.localizations = n.getCollectionOfObjectValues(createAgreementFileLocalizationFromDiscriminatorValue_1.createAgreementFileLocalizationFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the localizations property value. The localized version of the terms of use agreement files attached to the agreement.
     * @returns a agreementFileLocalization
     */
    get localizations() {
        return this._localizations;
    }
    ;
    /**
     * Sets the localizations property value. The localized version of the terms of use agreement files attached to the agreement.
     * @param value Value to set for the localizations property.
     */
    set localizations(value) {
        this._localizations = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("localizations", this.localizations);
    }
    ;
}
exports.AgreementFile = AgreementFile;
