"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AgreementFileLocalization = void 0;
const createAgreementFileVersionFromDiscriminatorValue_1 = require("./createAgreementFileVersionFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the collection of agreement entities. */
class AgreementFileLocalization extends index_1.AgreementFileProperties {
    /**
     * Instantiates a new agreementFileLocalization and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "versions": n => { this.versions = n.getCollectionOfObjectValues(createAgreementFileVersionFromDiscriminatorValue_1.createAgreementFileVersionFromDiscriminatorValue); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("versions", this.versions);
    }
    ;
    /**
     * Gets the versions property value. Read-only. Customized versions of the terms of use agreement in the Azure AD tenant.
     * @returns a agreementFileVersion
     */
    get versions() {
        return this._versions;
    }
    ;
    /**
     * Sets the versions property value. Read-only. Customized versions of the terms of use agreement in the Azure AD tenant.
     * @param value Value to set for the versions property.
     */
    set versions(value) {
        this._versions = value;
    }
    ;
}
exports.AgreementFileLocalization = AgreementFileLocalization;
