"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AgreementFileProperties = void 0;
const createAgreementFileDataFromDiscriminatorValue_1 = require("./createAgreementFileDataFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the collection of agreement entities. */
class AgreementFileProperties extends index_1.Entity {
    /**
     * Instantiates a new agreementFileProperties and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the createdDateTime property value. The date time representing when the file was created.The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     * @returns a Date
     */
    get createdDateTime() {
        return this._createdDateTime;
    }
    ;
    /**
     * Sets the createdDateTime property value. The date time representing when the file was created.The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     * @param value Value to set for the createdDateTime property.
     */
    set createdDateTime(value) {
        this._createdDateTime = value;
    }
    ;
    /**
     * Gets the displayName property value. Localized display name of the policy file of an agreement. The localized display name is shown to end users who view the agreement.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. Localized display name of the policy file of an agreement. The localized display name is shown to end users who view the agreement.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * Gets the fileData property value. Data that represents the terms of use PDF document. Read-only.
     * @returns a agreementFileData
     */
    get fileData() {
        return this._fileData;
    }
    ;
    /**
     * Sets the fileData property value. Data that represents the terms of use PDF document. Read-only.
     * @param value Value to set for the fileData property.
     */
    set fileData(value) {
        this._fileData = value;
    }
    ;
    /**
     * Gets the fileName property value. Name of the agreement file (for example, TOU.pdf). Read-only.
     * @returns a string
     */
    get fileName() {
        return this._fileName;
    }
    ;
    /**
     * Sets the fileName property value. Name of the agreement file (for example, TOU.pdf). Read-only.
     * @param value Value to set for the fileName property.
     */
    set fileName(value) {
        this._fileName = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "createdDateTime": n => { this.createdDateTime = n.getDateValue(); }, "displayName": n => { this.displayName = n.getStringValue(); }, "fileData": n => { this.fileData = n.getObjectValue(createAgreementFileDataFromDiscriminatorValue_1.createAgreementFileDataFromDiscriminatorValue); }, "fileName": n => { this.fileName = n.getStringValue(); }, "isDefault": n => { this.isDefault = n.getBooleanValue(); }, "isMajorVersion": n => { this.isMajorVersion = n.getBooleanValue(); }, "language": n => { this.language = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the isDefault property value. If none of the languages matches the client preference, indicates whether this is the default agreement file . If none of the files are marked as default, the first one is treated as the default. Read-only.
     * @returns a boolean
     */
    get isDefault() {
        return this._isDefault;
    }
    ;
    /**
     * Sets the isDefault property value. If none of the languages matches the client preference, indicates whether this is the default agreement file . If none of the files are marked as default, the first one is treated as the default. Read-only.
     * @param value Value to set for the isDefault property.
     */
    set isDefault(value) {
        this._isDefault = value;
    }
    ;
    /**
     * Gets the isMajorVersion property value. Indicates whether the agreement file is a major version update. Major version updates invalidate the agreement's acceptances on the corresponding language.
     * @returns a boolean
     */
    get isMajorVersion() {
        return this._isMajorVersion;
    }
    ;
    /**
     * Sets the isMajorVersion property value. Indicates whether the agreement file is a major version update. Major version updates invalidate the agreement's acceptances on the corresponding language.
     * @param value Value to set for the isMajorVersion property.
     */
    set isMajorVersion(value) {
        this._isMajorVersion = value;
    }
    ;
    /**
     * Gets the language property value. The language of the agreement file in the format 'languagecode2-country/regioncode2'. 'languagecode2' is a lowercase two-letter code derived from ISO 639-1, while 'country/regioncode2' is derived from ISO 3166 and usually consists of two uppercase letters, or a BCP-47 language tag. For example, U.S. English is en-US. Read-only.
     * @returns a string
     */
    get language() {
        return this._language;
    }
    ;
    /**
     * Sets the language property value. The language of the agreement file in the format 'languagecode2-country/regioncode2'. 'languagecode2' is a lowercase two-letter code derived from ISO 639-1, while 'country/regioncode2' is derived from ISO 3166 and usually consists of two uppercase letters, or a BCP-47 language tag. For example, U.S. English is en-US. Read-only.
     * @param value Value to set for the language property.
     */
    set language(value) {
        this._language = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeDateValue("createdDateTime", this.createdDateTime);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeObjectValue("fileData", this.fileData);
        writer.writeStringValue("fileName", this.fileName);
        writer.writeBooleanValue("isDefault", this.isDefault);
        writer.writeBooleanValue("isMajorVersion", this.isMajorVersion);
        writer.writeStringValue("language", this.language);
    }
    ;
}
exports.AgreementFileProperties = AgreementFileProperties;
