"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Alert = void 0;
const alertFeedback_1 = require("./alertFeedback");
const alertSeverity_1 = require("./alertSeverity");
const alertStatus_1 = require("./alertStatus");
const createAlertDetectionFromDiscriminatorValue_1 = require("./createAlertDetectionFromDiscriminatorValue");
const createAlertHistoryStateFromDiscriminatorValue_1 = require("./createAlertHistoryStateFromDiscriminatorValue");
const createAlertTriggerFromDiscriminatorValue_1 = require("./createAlertTriggerFromDiscriminatorValue");
const createCloudAppSecurityStateFromDiscriminatorValue_1 = require("./createCloudAppSecurityStateFromDiscriminatorValue");
const createFileSecurityStateFromDiscriminatorValue_1 = require("./createFileSecurityStateFromDiscriminatorValue");
const createHostSecurityStateFromDiscriminatorValue_1 = require("./createHostSecurityStateFromDiscriminatorValue");
const createInvestigationSecurityStateFromDiscriminatorValue_1 = require("./createInvestigationSecurityStateFromDiscriminatorValue");
const createMalwareStateFromDiscriminatorValue_1 = require("./createMalwareStateFromDiscriminatorValue");
const createMessageSecurityStateFromDiscriminatorValue_1 = require("./createMessageSecurityStateFromDiscriminatorValue");
const createNetworkConnectionFromDiscriminatorValue_1 = require("./createNetworkConnectionFromDiscriminatorValue");
const createProcessFromDiscriminatorValue_1 = require("./createProcessFromDiscriminatorValue");
const createRegistryKeyStateFromDiscriminatorValue_1 = require("./createRegistryKeyStateFromDiscriminatorValue");
const createSecurityResourceFromDiscriminatorValue_1 = require("./createSecurityResourceFromDiscriminatorValue");
const createSecurityVendorInformationFromDiscriminatorValue_1 = require("./createSecurityVendorInformationFromDiscriminatorValue");
const createUriClickSecurityStateFromDiscriminatorValue_1 = require("./createUriClickSecurityStateFromDiscriminatorValue");
const createUserSecurityStateFromDiscriminatorValue_1 = require("./createUserSecurityStateFromDiscriminatorValue");
const createVulnerabilityStateFromDiscriminatorValue_1 = require("./createVulnerabilityStateFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the security singleton. */
class Alert extends index_1.Entity {
    /**
     * Instantiates a new alert and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the activityGroupName property value. Name or alias of the activity group (attacker) this alert is attributed to.
     * @returns a string
     */
    get activityGroupName() {
        return this._activityGroupName;
    }
    ;
    /**
     * Sets the activityGroupName property value. Name or alias of the activity group (attacker) this alert is attributed to.
     * @param value Value to set for the activityGroupName property.
     */
    set activityGroupName(value) {
        this._activityGroupName = value;
    }
    ;
    /**
     * Gets the alertDetections property value. The alertDetections property
     * @returns a alertDetection
     */
    get alertDetections() {
        return this._alertDetections;
    }
    ;
    /**
     * Sets the alertDetections property value. The alertDetections property
     * @param value Value to set for the alertDetections property.
     */
    set alertDetections(value) {
        this._alertDetections = value;
    }
    ;
    /**
     * Gets the assignedTo property value. Name of the analyst the alert is assigned to for triage, investigation, or remediation (supports update).
     * @returns a string
     */
    get assignedTo() {
        return this._assignedTo;
    }
    ;
    /**
     * Sets the assignedTo property value. Name of the analyst the alert is assigned to for triage, investigation, or remediation (supports update).
     * @param value Value to set for the assignedTo property.
     */
    set assignedTo(value) {
        this._assignedTo = value;
    }
    ;
    /**
     * Gets the azureSubscriptionId property value. Azure subscription ID, present if this alert is related to an Azure resource.
     * @returns a string
     */
    get azureSubscriptionId() {
        return this._azureSubscriptionId;
    }
    ;
    /**
     * Sets the azureSubscriptionId property value. Azure subscription ID, present if this alert is related to an Azure resource.
     * @param value Value to set for the azureSubscriptionId property.
     */
    set azureSubscriptionId(value) {
        this._azureSubscriptionId = value;
    }
    ;
    /**
     * Gets the azureTenantId property value. Azure Active Directory tenant ID. Required.
     * @returns a string
     */
    get azureTenantId() {
        return this._azureTenantId;
    }
    ;
    /**
     * Sets the azureTenantId property value. Azure Active Directory tenant ID. Required.
     * @param value Value to set for the azureTenantId property.
     */
    set azureTenantId(value) {
        this._azureTenantId = value;
    }
    ;
    /**
     * Gets the category property value. Category of the alert (for example, credentialTheft, ransomware, etc.).
     * @returns a string
     */
    get category() {
        return this._category;
    }
    ;
    /**
     * Sets the category property value. Category of the alert (for example, credentialTheft, ransomware, etc.).
     * @param value Value to set for the category property.
     */
    set category(value) {
        this._category = value;
    }
    ;
    /**
     * Gets the closedDateTime property value. Time at which the alert was closed. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z (supports update).
     * @returns a Date
     */
    get closedDateTime() {
        return this._closedDateTime;
    }
    ;
    /**
     * Sets the closedDateTime property value. Time at which the alert was closed. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z (supports update).
     * @param value Value to set for the closedDateTime property.
     */
    set closedDateTime(value) {
        this._closedDateTime = value;
    }
    ;
    /**
     * Gets the cloudAppStates property value. Security-related stateful information generated by the provider about the cloud application/s related to this alert.
     * @returns a cloudAppSecurityState
     */
    get cloudAppStates() {
        return this._cloudAppStates;
    }
    ;
    /**
     * Sets the cloudAppStates property value. Security-related stateful information generated by the provider about the cloud application/s related to this alert.
     * @param value Value to set for the cloudAppStates property.
     */
    set cloudAppStates(value) {
        this._cloudAppStates = value;
    }
    ;
    /**
     * Gets the comments property value. Customer-provided comments on alert (for customer alert management) (supports update).
     * @returns a string
     */
    get comments() {
        return this._comments;
    }
    ;
    /**
     * Sets the comments property value. Customer-provided comments on alert (for customer alert management) (supports update).
     * @param value Value to set for the comments property.
     */
    set comments(value) {
        this._comments = value;
    }
    ;
    /**
     * Gets the confidence property value. Confidence of the detection logic (percentage between 1-100).
     * @returns a integer
     */
    get confidence() {
        return this._confidence;
    }
    ;
    /**
     * Sets the confidence property value. Confidence of the detection logic (percentage between 1-100).
     * @param value Value to set for the confidence property.
     */
    set confidence(value) {
        this._confidence = value;
    }
    ;
    ;
    /**
     * Gets the createdDateTime property value. Time at which the alert was created by the alert provider. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Required.
     * @returns a Date
     */
    get createdDateTime() {
        return this._createdDateTime;
    }
    ;
    /**
     * Sets the createdDateTime property value. Time at which the alert was created by the alert provider. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Required.
     * @param value Value to set for the createdDateTime property.
     */
    set createdDateTime(value) {
        this._createdDateTime = value;
    }
    ;
    /**
     * Gets the description property value. Alert description.
     * @returns a string
     */
    get description() {
        return this._description;
    }
    ;
    /**
     * Sets the description property value. Alert description.
     * @param value Value to set for the description property.
     */
    set description(value) {
        this._description = value;
    }
    ;
    /**
     * Gets the detectionIds property value. Set of alerts related to this alert entity (each alert is pushed to the SIEM as a separate record).
     * @returns a string
     */
    get detectionIds() {
        return this._detectionIds;
    }
    ;
    /**
     * Sets the detectionIds property value. Set of alerts related to this alert entity (each alert is pushed to the SIEM as a separate record).
     * @param value Value to set for the detectionIds property.
     */
    set detectionIds(value) {
        this._detectionIds = value;
    }
    ;
    /**
     * Gets the eventDateTime property value. Time at which the event(s) that served as the trigger(s) to generate the alert occurred. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Required.
     * @returns a Date
     */
    get eventDateTime() {
        return this._eventDateTime;
    }
    ;
    /**
     * Sets the eventDateTime property value. Time at which the event(s) that served as the trigger(s) to generate the alert occurred. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Required.
     * @param value Value to set for the eventDateTime property.
     */
    set eventDateTime(value) {
        this._eventDateTime = value;
    }
    ;
    /**
     * Gets the feedback property value. Analyst feedback on the alert. Possible values are: unknown, truePositive, falsePositive, benignPositive. (supports update)
     * @returns a alertFeedback
     */
    get feedback() {
        return this._feedback;
    }
    ;
    /**
     * Sets the feedback property value. Analyst feedback on the alert. Possible values are: unknown, truePositive, falsePositive, benignPositive. (supports update)
     * @param value Value to set for the feedback property.
     */
    set feedback(value) {
        this._feedback = value;
    }
    ;
    /**
     * Gets the fileStates property value. Security-related stateful information generated by the provider about the file(s) related to this alert.
     * @returns a fileSecurityState
     */
    get fileStates() {
        return this._fileStates;
    }
    ;
    /**
     * Sets the fileStates property value. Security-related stateful information generated by the provider about the file(s) related to this alert.
     * @param value Value to set for the fileStates property.
     */
    set fileStates(value) {
        this._fileStates = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "activityGroupName": n => { this.activityGroupName = n.getStringValue(); }, "alertDetections": n => { this.alertDetections = n.getCollectionOfObjectValues(createAlertDetectionFromDiscriminatorValue_1.createAlertDetectionFromDiscriminatorValue); }, "assignedTo": n => { this.assignedTo = n.getStringValue(); }, "azureSubscriptionId": n => { this.azureSubscriptionId = n.getStringValue(); }, "azureTenantId": n => { this.azureTenantId = n.getStringValue(); }, "category": n => { this.category = n.getStringValue(); }, "closedDateTime": n => { this.closedDateTime = n.getDateValue(); }, "cloudAppStates": n => { this.cloudAppStates = n.getCollectionOfObjectValues(createCloudAppSecurityStateFromDiscriminatorValue_1.createCloudAppSecurityStateFromDiscriminatorValue); }, "comments": n => { this.comments = n.getCollectionOfPrimitiveValues(); }, "confidence": n => { this.confidence = n.getNumberValue(); }, "createdDateTime": n => { this.createdDateTime = n.getDateValue(); }, "description": n => { this.description = n.getStringValue(); }, "detectionIds": n => { this.detectionIds = n.getCollectionOfPrimitiveValues(); }, "eventDateTime": n => { this.eventDateTime = n.getDateValue(); }, "feedback": n => { this.feedback = n.getEnumValue(alertFeedback_1.AlertFeedback); }, "fileStates": n => { this.fileStates = n.getCollectionOfObjectValues(createFileSecurityStateFromDiscriminatorValue_1.createFileSecurityStateFromDiscriminatorValue); }, "historyStates": n => { this.historyStates = n.getCollectionOfObjectValues(createAlertHistoryStateFromDiscriminatorValue_1.createAlertHistoryStateFromDiscriminatorValue); }, "hostStates": n => { this.hostStates = n.getCollectionOfObjectValues(createHostSecurityStateFromDiscriminatorValue_1.createHostSecurityStateFromDiscriminatorValue); }, "incidentIds": n => { this.incidentIds = n.getCollectionOfPrimitiveValues(); }, "investigationSecurityStates": n => { this.investigationSecurityStates = n.getCollectionOfObjectValues(createInvestigationSecurityStateFromDiscriminatorValue_1.createInvestigationSecurityStateFromDiscriminatorValue); }, "lastEventDateTime": n => { this.lastEventDateTime = n.getDateValue(); }, "lastModifiedDateTime": n => { this.lastModifiedDateTime = n.getDateValue(); }, "malwareStates": n => { this.malwareStates = n.getCollectionOfObjectValues(createMalwareStateFromDiscriminatorValue_1.createMalwareStateFromDiscriminatorValue); }, "messageSecurityStates": n => { this.messageSecurityStates = n.getCollectionOfObjectValues(createMessageSecurityStateFromDiscriminatorValue_1.createMessageSecurityStateFromDiscriminatorValue); }, "networkConnections": n => { this.networkConnections = n.getCollectionOfObjectValues(createNetworkConnectionFromDiscriminatorValue_1.createNetworkConnectionFromDiscriminatorValue); }, "processes": n => { this.processes = n.getCollectionOfObjectValues(createProcessFromDiscriminatorValue_1.createProcessFromDiscriminatorValue); }, "recommendedActions": n => { this.recommendedActions = n.getCollectionOfPrimitiveValues(); }, "registryKeyStates": n => { this.registryKeyStates = n.getCollectionOfObjectValues(createRegistryKeyStateFromDiscriminatorValue_1.createRegistryKeyStateFromDiscriminatorValue); }, "securityResources": n => { this.securityResources = n.getCollectionOfObjectValues(createSecurityResourceFromDiscriminatorValue_1.createSecurityResourceFromDiscriminatorValue); }, "severity": n => { this.severity = n.getEnumValue(alertSeverity_1.AlertSeverity); }, "sourceMaterials": n => { this.sourceMaterials = n.getCollectionOfPrimitiveValues(); }, "status": n => { this.status = n.getEnumValue(alertStatus_1.AlertStatus); }, "tags": n => { this.tags = n.getCollectionOfPrimitiveValues(); }, "title": n => { this.title = n.getStringValue(); }, "triggers": n => { this.triggers = n.getCollectionOfObjectValues(createAlertTriggerFromDiscriminatorValue_1.createAlertTriggerFromDiscriminatorValue); }, "uriClickSecurityStates": n => { this.uriClickSecurityStates = n.getCollectionOfObjectValues(createUriClickSecurityStateFromDiscriminatorValue_1.createUriClickSecurityStateFromDiscriminatorValue); }, "userStates": n => { this.userStates = n.getCollectionOfObjectValues(createUserSecurityStateFromDiscriminatorValue_1.createUserSecurityStateFromDiscriminatorValue); }, "vendorInformation": n => { this.vendorInformation = n.getObjectValue(createSecurityVendorInformationFromDiscriminatorValue_1.createSecurityVendorInformationFromDiscriminatorValue); }, "vulnerabilityStates": n => { this.vulnerabilityStates = n.getCollectionOfObjectValues(createVulnerabilityStateFromDiscriminatorValue_1.createVulnerabilityStateFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the historyStates property value. A collection of alertHistoryStates comprising an audit log of all updates made to an alert.
     * @returns a alertHistoryState
     */
    get historyStates() {
        return this._historyStates;
    }
    ;
    /**
     * Sets the historyStates property value. A collection of alertHistoryStates comprising an audit log of all updates made to an alert.
     * @param value Value to set for the historyStates property.
     */
    set historyStates(value) {
        this._historyStates = value;
    }
    ;
    /**
     * Gets the hostStates property value. Security-related stateful information generated by the provider about the host(s) related to this alert.
     * @returns a hostSecurityState
     */
    get hostStates() {
        return this._hostStates;
    }
    ;
    /**
     * Sets the hostStates property value. Security-related stateful information generated by the provider about the host(s) related to this alert.
     * @param value Value to set for the hostStates property.
     */
    set hostStates(value) {
        this._hostStates = value;
    }
    ;
    /**
     * Gets the incidentIds property value. IDs of incidents related to current alert.
     * @returns a string
     */
    get incidentIds() {
        return this._incidentIds;
    }
    ;
    /**
     * Sets the incidentIds property value. IDs of incidents related to current alert.
     * @param value Value to set for the incidentIds property.
     */
    set incidentIds(value) {
        this._incidentIds = value;
    }
    ;
    /**
     * Gets the investigationSecurityStates property value. The investigationSecurityStates property
     * @returns a investigationSecurityState
     */
    get investigationSecurityStates() {
        return this._investigationSecurityStates;
    }
    ;
    /**
     * Sets the investigationSecurityStates property value. The investigationSecurityStates property
     * @param value Value to set for the investigationSecurityStates property.
     */
    set investigationSecurityStates(value) {
        this._investigationSecurityStates = value;
    }
    ;
    /**
     * Gets the lastEventDateTime property value. The lastEventDateTime property
     * @returns a Date
     */
    get lastEventDateTime() {
        return this._lastEventDateTime;
    }
    ;
    /**
     * Sets the lastEventDateTime property value. The lastEventDateTime property
     * @param value Value to set for the lastEventDateTime property.
     */
    set lastEventDateTime(value) {
        this._lastEventDateTime = value;
    }
    ;
    /**
     * Gets the lastModifiedDateTime property value. Time at which the alert entity was last modified. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     * @returns a Date
     */
    get lastModifiedDateTime() {
        return this._lastModifiedDateTime;
    }
    ;
    /**
     * Sets the lastModifiedDateTime property value. Time at which the alert entity was last modified. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     * @param value Value to set for the lastModifiedDateTime property.
     */
    set lastModifiedDateTime(value) {
        this._lastModifiedDateTime = value;
    }
    ;
    /**
     * Gets the malwareStates property value. Threat Intelligence pertaining to malware related to this alert.
     * @returns a malwareState
     */
    get malwareStates() {
        return this._malwareStates;
    }
    ;
    /**
     * Sets the malwareStates property value. Threat Intelligence pertaining to malware related to this alert.
     * @param value Value to set for the malwareStates property.
     */
    set malwareStates(value) {
        this._malwareStates = value;
    }
    ;
    /**
     * Gets the messageSecurityStates property value. The messageSecurityStates property
     * @returns a messageSecurityState
     */
    get messageSecurityStates() {
        return this._messageSecurityStates;
    }
    ;
    /**
     * Sets the messageSecurityStates property value. The messageSecurityStates property
     * @param value Value to set for the messageSecurityStates property.
     */
    set messageSecurityStates(value) {
        this._messageSecurityStates = value;
    }
    ;
    /**
     * Gets the networkConnections property value. Security-related stateful information generated by the provider about the network connection(s) related to this alert.
     * @returns a networkConnection
     */
    get networkConnections() {
        return this._networkConnections;
    }
    ;
    /**
     * Sets the networkConnections property value. Security-related stateful information generated by the provider about the network connection(s) related to this alert.
     * @param value Value to set for the networkConnections property.
     */
    set networkConnections(value) {
        this._networkConnections = value;
    }
    ;
    /**
     * Gets the processes property value. Security-related stateful information generated by the provider about the process or processes related to this alert.
     * @returns a process
     */
    get processes() {
        return this._processes;
    }
    ;
    /**
     * Sets the processes property value. Security-related stateful information generated by the provider about the process or processes related to this alert.
     * @param value Value to set for the processes property.
     */
    set processes(value) {
        this._processes = value;
    }
    ;
    /**
     * Gets the recommendedActions property value. Vendor/provider recommended action(s) to take as a result of the alert (for example, isolate machine, enforce2FA, reimage host).
     * @returns a string
     */
    get recommendedActions() {
        return this._recommendedActions;
    }
    ;
    /**
     * Sets the recommendedActions property value. Vendor/provider recommended action(s) to take as a result of the alert (for example, isolate machine, enforce2FA, reimage host).
     * @param value Value to set for the recommendedActions property.
     */
    set recommendedActions(value) {
        this._recommendedActions = value;
    }
    ;
    /**
     * Gets the registryKeyStates property value. Security-related stateful information generated by the provider about the registry keys related to this alert.
     * @returns a registryKeyState
     */
    get registryKeyStates() {
        return this._registryKeyStates;
    }
    ;
    /**
     * Sets the registryKeyStates property value. Security-related stateful information generated by the provider about the registry keys related to this alert.
     * @param value Value to set for the registryKeyStates property.
     */
    set registryKeyStates(value) {
        this._registryKeyStates = value;
    }
    ;
    /**
     * Gets the securityResources property value. Resources related to current alert. For example, for some alerts this can have the Azure Resource value.
     * @returns a securityResource
     */
    get securityResources() {
        return this._securityResources;
    }
    ;
    /**
     * Sets the securityResources property value. Resources related to current alert. For example, for some alerts this can have the Azure Resource value.
     * @param value Value to set for the securityResources property.
     */
    set securityResources(value) {
        this._securityResources = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("activityGroupName", this.activityGroupName);
        writer.writeCollectionOfObjectValues("alertDetections", this.alertDetections);
        writer.writeStringValue("assignedTo", this.assignedTo);
        writer.writeStringValue("azureSubscriptionId", this.azureSubscriptionId);
        writer.writeStringValue("azureTenantId", this.azureTenantId);
        writer.writeStringValue("category", this.category);
        writer.writeDateValue("closedDateTime", this.closedDateTime);
        writer.writeCollectionOfObjectValues("cloudAppStates", this.cloudAppStates);
        writer.writeCollectionOfPrimitiveValues("comments", this.comments);
        writer.writeNumberValue("confidence", this.confidence);
        writer.writeDateValue("createdDateTime", this.createdDateTime);
        writer.writeStringValue("description", this.description);
        writer.writeCollectionOfPrimitiveValues("detectionIds", this.detectionIds);
        writer.writeDateValue("eventDateTime", this.eventDateTime);
        writer.writeEnumValue("feedback", this.feedback);
        writer.writeCollectionOfObjectValues("fileStates", this.fileStates);
        writer.writeCollectionOfObjectValues("historyStates", this.historyStates);
        writer.writeCollectionOfObjectValues("hostStates", this.hostStates);
        writer.writeCollectionOfPrimitiveValues("incidentIds", this.incidentIds);
        writer.writeCollectionOfObjectValues("investigationSecurityStates", this.investigationSecurityStates);
        writer.writeDateValue("lastEventDateTime", this.lastEventDateTime);
        writer.writeDateValue("lastModifiedDateTime", this.lastModifiedDateTime);
        writer.writeCollectionOfObjectValues("malwareStates", this.malwareStates);
        writer.writeCollectionOfObjectValues("messageSecurityStates", this.messageSecurityStates);
        writer.writeCollectionOfObjectValues("networkConnections", this.networkConnections);
        writer.writeCollectionOfObjectValues("processes", this.processes);
        writer.writeCollectionOfPrimitiveValues("recommendedActions", this.recommendedActions);
        writer.writeCollectionOfObjectValues("registryKeyStates", this.registryKeyStates);
        writer.writeCollectionOfObjectValues("securityResources", this.securityResources);
        writer.writeEnumValue("severity", this.severity);
        writer.writeCollectionOfPrimitiveValues("sourceMaterials", this.sourceMaterials);
        writer.writeEnumValue("status", this.status);
        writer.writeCollectionOfPrimitiveValues("tags", this.tags);
        writer.writeStringValue("title", this.title);
        writer.writeCollectionOfObjectValues("triggers", this.triggers);
        writer.writeCollectionOfObjectValues("uriClickSecurityStates", this.uriClickSecurityStates);
        writer.writeCollectionOfObjectValues("userStates", this.userStates);
        writer.writeObjectValue("vendorInformation", this.vendorInformation);
        writer.writeCollectionOfObjectValues("vulnerabilityStates", this.vulnerabilityStates);
    }
    ;
    /**
     * Gets the severity property value. Alert severity - set by vendor/provider. Possible values are: unknown, informational, low, medium, high. Required.
     * @returns a alertSeverity
     */
    get severity() {
        return this._severity;
    }
    ;
    /**
     * Sets the severity property value. Alert severity - set by vendor/provider. Possible values are: unknown, informational, low, medium, high. Required.
     * @param value Value to set for the severity property.
     */
    set severity(value) {
        this._severity = value;
    }
    ;
    /**
     * Gets the sourceMaterials property value. Hyperlinks (URIs) to the source material related to the alert, for example, provider's user interface for alerts or log search, etc.
     * @returns a string
     */
    get sourceMaterials() {
        return this._sourceMaterials;
    }
    ;
    /**
     * Sets the sourceMaterials property value. Hyperlinks (URIs) to the source material related to the alert, for example, provider's user interface for alerts or log search, etc.
     * @param value Value to set for the sourceMaterials property.
     */
    set sourceMaterials(value) {
        this._sourceMaterials = value;
    }
    ;
    /**
     * Gets the status property value. Alert lifecycle status (stage). Possible values are: unknown, newAlert, inProgress, resolved. (supports update). Required.
     * @returns a alertStatus
     */
    get status() {
        return this._status;
    }
    ;
    /**
     * Sets the status property value. Alert lifecycle status (stage). Possible values are: unknown, newAlert, inProgress, resolved. (supports update). Required.
     * @param value Value to set for the status property.
     */
    set status(value) {
        this._status = value;
    }
    ;
    /**
     * Gets the tags property value. User-definable labels that can be applied to an alert and can serve as filter conditions (for example 'HVA', 'SAW', etc.) (supports update).
     * @returns a string
     */
    get tags() {
        return this._tags;
    }
    ;
    /**
     * Sets the tags property value. User-definable labels that can be applied to an alert and can serve as filter conditions (for example 'HVA', 'SAW', etc.) (supports update).
     * @param value Value to set for the tags property.
     */
    set tags(value) {
        this._tags = value;
    }
    ;
    /**
     * Gets the title property value. Alert title. Required.
     * @returns a string
     */
    get title() {
        return this._title;
    }
    ;
    /**
     * Sets the title property value. Alert title. Required.
     * @param value Value to set for the title property.
     */
    set title(value) {
        this._title = value;
    }
    ;
    /**
     * Gets the triggers property value. Security-related information about the specific properties that triggered the alert (properties appearing in the alert). Alerts might contain information about multiple users, hosts, files, ip addresses. This field indicates which properties triggered the alert generation.
     * @returns a alertTrigger
     */
    get triggers() {
        return this._triggers;
    }
    ;
    /**
     * Sets the triggers property value. Security-related information about the specific properties that triggered the alert (properties appearing in the alert). Alerts might contain information about multiple users, hosts, files, ip addresses. This field indicates which properties triggered the alert generation.
     * @param value Value to set for the triggers property.
     */
    set triggers(value) {
        this._triggers = value;
    }
    ;
    /**
     * Gets the uriClickSecurityStates property value. The uriClickSecurityStates property
     * @returns a uriClickSecurityState
     */
    get uriClickSecurityStates() {
        return this._uriClickSecurityStates;
    }
    ;
    /**
     * Sets the uriClickSecurityStates property value. The uriClickSecurityStates property
     * @param value Value to set for the uriClickSecurityStates property.
     */
    set uriClickSecurityStates(value) {
        this._uriClickSecurityStates = value;
    }
    ;
    /**
     * Gets the userStates property value. Security-related stateful information generated by the provider about the user accounts related to this alert.
     * @returns a userSecurityState
     */
    get userStates() {
        return this._userStates;
    }
    ;
    /**
     * Sets the userStates property value. Security-related stateful information generated by the provider about the user accounts related to this alert.
     * @param value Value to set for the userStates property.
     */
    set userStates(value) {
        this._userStates = value;
    }
    ;
    /**
     * Gets the vendorInformation property value. Complex type containing details about the security product/service vendor, provider, and subprovider (for example, vendor=Microsoft; provider=Windows Defender ATP; subProvider=AppLocker). Required.
     * @returns a securityVendorInformation
     */
    get vendorInformation() {
        return this._vendorInformation;
    }
    ;
    /**
     * Sets the vendorInformation property value. Complex type containing details about the security product/service vendor, provider, and subprovider (for example, vendor=Microsoft; provider=Windows Defender ATP; subProvider=AppLocker). Required.
     * @param value Value to set for the vendorInformation property.
     */
    set vendorInformation(value) {
        this._vendorInformation = value;
    }
    ;
    /**
     * Gets the vulnerabilityStates property value. Threat intelligence pertaining to one or more vulnerabilities related to this alert.
     * @returns a vulnerabilityState
     */
    get vulnerabilityStates() {
        return this._vulnerabilityStates;
    }
    ;
    /**
     * Sets the vulnerabilityStates property value. Threat intelligence pertaining to one or more vulnerabilities related to this alert.
     * @param value Value to set for the vulnerabilityStates property.
     */
    set vulnerabilityStates(value) {
        this._vulnerabilityStates = value;
    }
    ;
}
exports.Alert = Alert;
