"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AlertHistoryState = void 0;
const alertFeedback_1 = require("./alertFeedback");
const alertStatus_1 = require("./alertStatus");
class AlertHistoryState {
    /**
     * Instantiates a new alertHistoryState and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the appId property value. The Application ID of the calling application that submitted an update (PATCH) to the alert. The appId should be extracted from the auth token and not entered manually by the calling application.
     * @returns a string
     */
    get appId() {
        return this._appId;
    }
    ;
    /**
     * Sets the appId property value. The Application ID of the calling application that submitted an update (PATCH) to the alert. The appId should be extracted from the auth token and not entered manually by the calling application.
     * @param value Value to set for the appId property.
     */
    set appId(value) {
        this._appId = value;
    }
    ;
    /**
     * Gets the assignedTo property value. UPN of user the alert was assigned to (note: alert.assignedTo only stores the last value/UPN).
     * @returns a string
     */
    get assignedTo() {
        return this._assignedTo;
    }
    ;
    /**
     * Sets the assignedTo property value. UPN of user the alert was assigned to (note: alert.assignedTo only stores the last value/UPN).
     * @param value Value to set for the assignedTo property.
     */
    set assignedTo(value) {
        this._assignedTo = value;
    }
    ;
    /**
     * Gets the comments property value. Comment entered by signed-in user.
     * @returns a string
     */
    get comments() {
        return this._comments;
    }
    ;
    /**
     * Sets the comments property value. Comment entered by signed-in user.
     * @param value Value to set for the comments property.
     */
    set comments(value) {
        this._comments = value;
    }
    ;
    ;
    /**
     * Gets the feedback property value. Analyst feedback on the alert in this update. Possible values are: unknown, truePositive, falsePositive, benignPositive.
     * @returns a alertFeedback
     */
    get feedback() {
        return this._feedback;
    }
    ;
    /**
     * Sets the feedback property value. Analyst feedback on the alert in this update. Possible values are: unknown, truePositive, falsePositive, benignPositive.
     * @param value Value to set for the feedback property.
     */
    set feedback(value) {
        this._feedback = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "appId": n => { this.appId = n.getStringValue(); },
            "assignedTo": n => { this.assignedTo = n.getStringValue(); },
            "comments": n => { this.comments = n.getCollectionOfPrimitiveValues(); },
            "feedback": n => { this.feedback = n.getEnumValue(alertFeedback_1.AlertFeedback); },
            "status": n => { this.status = n.getEnumValue(alertStatus_1.AlertStatus); },
            "updatedDateTime": n => { this.updatedDateTime = n.getDateValue(); },
            "user": n => { this.user = n.getStringValue(); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("appId", this.appId);
        writer.writeStringValue("assignedTo", this.assignedTo);
        writer.writeCollectionOfPrimitiveValues("comments", this.comments);
        writer.writeEnumValue("feedback", this.feedback);
        writer.writeEnumValue("status", this.status);
        writer.writeDateValue("updatedDateTime", this.updatedDateTime);
        writer.writeStringValue("user", this.user);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the status property value. Alert status value (if updated). Possible values are: unknown, newAlert, inProgress, resolved, dismissed.
     * @returns a alertStatus
     */
    get status() {
        return this._status;
    }
    ;
    /**
     * Sets the status property value. Alert status value (if updated). Possible values are: unknown, newAlert, inProgress, resolved, dismissed.
     * @param value Value to set for the status property.
     */
    set status(value) {
        this._status = value;
    }
    ;
    /**
     * Gets the updatedDateTime property value. Date and time of the alert update. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @returns a Date
     */
    get updatedDateTime() {
        return this._updatedDateTime;
    }
    ;
    /**
     * Sets the updatedDateTime property value. Date and time of the alert update. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @param value Value to set for the updatedDateTime property.
     */
    set updatedDateTime(value) {
        this._updatedDateTime = value;
    }
    ;
    /**
     * Gets the user property value. UPN of the signed-in user that updated the alert (taken from the bearer token - if in user/delegated auth mode).
     * @returns a string
     */
    get user() {
        return this._user;
    }
    ;
    /**
     * Sets the user property value. UPN of the signed-in user that updated the alert (taken from the bearer token - if in user/delegated auth mode).
     * @param value Value to set for the user property.
     */
    set user(value) {
        this._user = value;
    }
    ;
}
exports.AlertHistoryState = AlertHistoryState;
