"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AlteredQueryToken = void 0;
class AlteredQueryToken {
    /**
     * Instantiates a new alteredQueryToken and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "length": n => { this.length = n.getNumberValue(); },
            "offset": n => { this.offset = n.getNumberValue(); },
            "suggestion": n => { this.suggestion = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the length property value. Defines the length of a changed segment.
     * @returns a integer
     */
    get length() {
        return this._length;
    }
    ;
    /**
     * Sets the length property value. Defines the length of a changed segment.
     * @param value Value to set for the length property.
     */
    set length(value) {
        this._length = value;
    }
    ;
    /**
     * Gets the offset property value. Defines the offset of a changed segment.
     * @returns a integer
     */
    get offset() {
        return this._offset;
    }
    ;
    /**
     * Sets the offset property value. Defines the offset of a changed segment.
     * @param value Value to set for the offset property.
     */
    set offset(value) {
        this._offset = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeNumberValue("length", this.length);
        writer.writeNumberValue("offset", this.offset);
        writer.writeStringValue("suggestion", this.suggestion);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the suggestion property value. Represents the corrected segment string.
     * @returns a string
     */
    get suggestion() {
        return this._suggestion;
    }
    ;
    /**
     * Sets the suggestion property value. Represents the corrected segment string.
     * @param value Value to set for the suggestion property.
     */
    set suggestion(value) {
        this._suggestion = value;
    }
    ;
}
exports.AlteredQueryToken = AlteredQueryToken;
