import { AppConsentRequest, Entity } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the identityGovernance singleton. */
export declare class AppConsentApprovalRoute extends Entity implements Parsable {
    /** A collection of userConsentRequest objects for a specific application. */
    private _appConsentRequests?;
    /**
     * Gets the appConsentRequests property value. A collection of userConsentRequest objects for a specific application.
     * @returns a appConsentRequest
     */
    get appConsentRequests(): AppConsentRequest[] | undefined;
    /**
     * Sets the appConsentRequests property value. A collection of userConsentRequest objects for a specific application.
     * @param value Value to set for the appConsentRequests property.
     */
    set appConsentRequests(value: AppConsentRequest[] | undefined);
    /**
     * Instantiates a new appConsentApprovalRoute and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
