import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class AppIdentity implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** Refers to the unique identifier representing Application Id in the Azure Active Directory. */
    private _appId?;
    /** Refers to the Application Name displayed in the Azure Portal. */
    private _displayName?;
    /** Refers to the unique identifier indicating Service Principal Id in Azure Active Directory for the corresponding App. */
    private _servicePrincipalId?;
    /** Refers to the Service Principal Name is the Application name in the tenant. */
    private _servicePrincipalName?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the appId property value. Refers to the unique identifier representing Application Id in the Azure Active Directory.
     * @returns a string
     */
    get appId(): string | undefined;
    /**
     * Sets the appId property value. Refers to the unique identifier representing Application Id in the Azure Active Directory.
     * @param value Value to set for the appId property.
     */
    set appId(value: string | undefined);
    /**
     * Instantiates a new appIdentity and sets the default values.
     */
    constructor();
    /**
     * Gets the displayName property value. Refers to the Application Name displayed in the Azure Portal.
     * @returns a string
     */
    get displayName(): string | undefined;
    /**
     * Sets the displayName property value. Refers to the Application Name displayed in the Azure Portal.
     * @param value Value to set for the displayName property.
     */
    set displayName(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the servicePrincipalId property value. Refers to the unique identifier indicating Service Principal Id in Azure Active Directory for the corresponding App.
     * @returns a string
     */
    get servicePrincipalId(): string | undefined;
    /**
     * Sets the servicePrincipalId property value. Refers to the unique identifier indicating Service Principal Id in Azure Active Directory for the corresponding App.
     * @param value Value to set for the servicePrincipalId property.
     */
    set servicePrincipalId(value: string | undefined);
    /**
     * Gets the servicePrincipalName property value. Refers to the Service Principal Name is the Application name in the tenant.
     * @returns a string
     */
    get servicePrincipalName(): string | undefined;
    /**
     * Sets the servicePrincipalName property value. Refers to the Service Principal Name is the Application name in the tenant.
     * @param value Value to set for the servicePrincipalName property.
     */
    set servicePrincipalName(value: string | undefined);
}
