"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AppScope = void 0;
const index_1 = require("./index");
/** Provides operations to manage the roleManagement singleton. */
class AppScope extends index_1.Entity {
    /**
     * Instantiates a new appScope and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the displayName property value. Provides the display name of the app-specific resource represented by the app scope. Provided for display purposes since appScopeId is often an immutable, non-human-readable id. This property is read only.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. Provides the display name of the app-specific resource represented by the app scope. Provided for display purposes since appScopeId is often an immutable, non-human-readable id. This property is read only.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "displayName": n => { this.displayName = n.getStringValue(); }, "type": n => { this.type = n.getStringValue(); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeStringValue("type", this.type);
    }
    ;
    /**
     * Gets the type property value. Describes the type of app-specific resource represented by the app scope. Provided for display purposes, so a user interface can convey to the user the kind of app specific resource represented by the app scope. This property is read only.
     * @returns a string
     */
    get type() {
        return this._type;
    }
    ;
    /**
     * Sets the type property value. Describes the type of app-specific resource represented by the app scope. Provided for display purposes, so a user interface can convey to the user the kind of app specific resource represented by the app scope. This property is read only.
     * @param value Value to set for the type property.
     */
    set type(value) {
        this._type = value;
    }
    ;
}
exports.AppScope = AppScope;
