import { Entity } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Apple push notification certificate. */
export declare class ApplePushNotificationCertificate extends Entity implements Parsable {
    /** Apple Id of the account used to create the MDM push certificate. */
    private _appleIdentifier?;
    /** Not yet documented */
    private _certificate?;
    /** Certificate serial number. This property is read-only. */
    private _certificateSerialNumber?;
    /** The expiration date and time for Apple push notification certificate. */
    private _expirationDateTime?;
    /** Last modified date and time for Apple push notification certificate. */
    private _lastModifiedDateTime?;
    /** Topic Id. */
    private _topicIdentifier?;
    /**
     * Gets the appleIdentifier property value. Apple Id of the account used to create the MDM push certificate.
     * @returns a string
     */
    get appleIdentifier(): string | undefined;
    /**
     * Sets the appleIdentifier property value. Apple Id of the account used to create the MDM push certificate.
     * @param value Value to set for the appleIdentifier property.
     */
    set appleIdentifier(value: string | undefined);
    /**
     * Gets the certificate property value. Not yet documented
     * @returns a string
     */
    get certificate(): string | undefined;
    /**
     * Sets the certificate property value. Not yet documented
     * @param value Value to set for the certificate property.
     */
    set certificate(value: string | undefined);
    /**
     * Gets the certificateSerialNumber property value. Certificate serial number. This property is read-only.
     * @returns a string
     */
    get certificateSerialNumber(): string | undefined;
    /**
     * Sets the certificateSerialNumber property value. Certificate serial number. This property is read-only.
     * @param value Value to set for the certificateSerialNumber property.
     */
    set certificateSerialNumber(value: string | undefined);
    /**
     * Instantiates a new applePushNotificationCertificate and sets the default values.
     */
    constructor();
    /**
     * Gets the expirationDateTime property value. The expiration date and time for Apple push notification certificate.
     * @returns a Date
     */
    get expirationDateTime(): Date | undefined;
    /**
     * Sets the expirationDateTime property value. The expiration date and time for Apple push notification certificate.
     * @param value Value to set for the expirationDateTime property.
     */
    set expirationDateTime(value: Date | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the lastModifiedDateTime property value. Last modified date and time for Apple push notification certificate.
     * @returns a Date
     */
    get lastModifiedDateTime(): Date | undefined;
    /**
     * Sets the lastModifiedDateTime property value. Last modified date and time for Apple push notification certificate.
     * @param value Value to set for the lastModifiedDateTime property.
     */
    set lastModifiedDateTime(value: Date | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the topicIdentifier property value. Topic Id.
     * @returns a string
     */
    get topicIdentifier(): string | undefined;
    /**
     * Sets the topicIdentifier property value. Topic Id.
     * @param value Value to set for the topicIdentifier property.
     */
    set topicIdentifier(value: string | undefined);
}
