"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApplicationServicePrincipal = void 0;
const createApplicationFromDiscriminatorValue_1 = require("./createApplicationFromDiscriminatorValue");
const createServicePrincipalFromDiscriminatorValue_1 = require("./createServicePrincipalFromDiscriminatorValue");
class ApplicationServicePrincipal {
    /**
     * Instantiates a new ApplicationServicePrincipal and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the application property value. The application property
     * @returns a application
     */
    get application() {
        return this._application;
    }
    ;
    /**
     * Sets the application property value. The application property
     * @param value Value to set for the application property.
     */
    set application(value) {
        this._application = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "application": n => { this.application = n.getObjectValue(createApplicationFromDiscriminatorValue_1.createApplicationFromDiscriminatorValue); },
            "servicePrincipal": n => { this.servicePrincipal = n.getObjectValue(createServicePrincipalFromDiscriminatorValue_1.createServicePrincipalFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeObjectValue("application", this.application);
        writer.writeObjectValue("servicePrincipal", this.servicePrincipal);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the servicePrincipal property value. The servicePrincipal property
     * @returns a servicePrincipal
     */
    get servicePrincipal() {
        return this._servicePrincipal;
    }
    ;
    /**
     * Sets the servicePrincipal property value. The servicePrincipal property
     * @param value Value to set for the servicePrincipal property.
     */
    set servicePrincipal(value) {
        this._servicePrincipal = value;
    }
    ;
}
exports.ApplicationServicePrincipal = ApplicationServicePrincipal;
