import { Entity } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the collection of applicationTemplate entities. */
export declare class ApplicationTemplate extends Entity implements Parsable {
    /** The list of categories for the application. Supported values can be: Collaboration, Business Management, Consumer, Content management, CRM, Data services, Developer services, E-commerce, Education, ERP, Finance, Health, Human resources, IT infrastructure, Mail, Management, Marketing, Media, Productivity, Project management, Telecommunications, Tools, Travel, and Web design & hosting. */
    private _categories?;
    /** A description of the application. */
    private _description?;
    /** The name of the application. */
    private _displayName?;
    /** The home page URL of the application. */
    private _homePageUrl?;
    /** The URL to get the logo for this application. */
    private _logoUrl?;
    /** The name of the publisher for this application. */
    private _publisher?;
    /** The list of provisioning modes supported by this application. The only valid value is sync. */
    private _supportedProvisioningTypes?;
    /** The list of single sign-on modes supported by this application. The supported values are oidc, password, saml, and notSupported. */
    private _supportedSingleSignOnModes?;
    /**
     * Gets the categories property value. The list of categories for the application. Supported values can be: Collaboration, Business Management, Consumer, Content management, CRM, Data services, Developer services, E-commerce, Education, ERP, Finance, Health, Human resources, IT infrastructure, Mail, Management, Marketing, Media, Productivity, Project management, Telecommunications, Tools, Travel, and Web design & hosting.
     * @returns a string
     */
    get categories(): string[] | undefined;
    /**
     * Sets the categories property value. The list of categories for the application. Supported values can be: Collaboration, Business Management, Consumer, Content management, CRM, Data services, Developer services, E-commerce, Education, ERP, Finance, Health, Human resources, IT infrastructure, Mail, Management, Marketing, Media, Productivity, Project management, Telecommunications, Tools, Travel, and Web design & hosting.
     * @param value Value to set for the categories property.
     */
    set categories(value: string[] | undefined);
    /**
     * Instantiates a new applicationTemplate and sets the default values.
     */
    constructor();
    /**
     * Gets the description property value. A description of the application.
     * @returns a string
     */
    get description(): string | undefined;
    /**
     * Sets the description property value. A description of the application.
     * @param value Value to set for the description property.
     */
    set description(value: string | undefined);
    /**
     * Gets the displayName property value. The name of the application.
     * @returns a string
     */
    get displayName(): string | undefined;
    /**
     * Sets the displayName property value. The name of the application.
     * @param value Value to set for the displayName property.
     */
    set displayName(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the homePageUrl property value. The home page URL of the application.
     * @returns a string
     */
    get homePageUrl(): string | undefined;
    /**
     * Sets the homePageUrl property value. The home page URL of the application.
     * @param value Value to set for the homePageUrl property.
     */
    set homePageUrl(value: string | undefined);
    /**
     * Gets the logoUrl property value. The URL to get the logo for this application.
     * @returns a string
     */
    get logoUrl(): string | undefined;
    /**
     * Sets the logoUrl property value. The URL to get the logo for this application.
     * @param value Value to set for the logoUrl property.
     */
    set logoUrl(value: string | undefined);
    /**
     * Gets the publisher property value. The name of the publisher for this application.
     * @returns a string
     */
    get publisher(): string | undefined;
    /**
     * Sets the publisher property value. The name of the publisher for this application.
     * @param value Value to set for the publisher property.
     */
    set publisher(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the supportedProvisioningTypes property value. The list of provisioning modes supported by this application. The only valid value is sync.
     * @returns a string
     */
    get supportedProvisioningTypes(): string[] | undefined;
    /**
     * Sets the supportedProvisioningTypes property value. The list of provisioning modes supported by this application. The only valid value is sync.
     * @param value Value to set for the supportedProvisioningTypes property.
     */
    set supportedProvisioningTypes(value: string[] | undefined);
    /**
     * Gets the supportedSingleSignOnModes property value. The list of single sign-on modes supported by this application. The supported values are oidc, password, saml, and notSupported.
     * @returns a string
     */
    get supportedSingleSignOnModes(): string[] | undefined;
    /**
     * Sets the supportedSingleSignOnModes property value. The list of single sign-on modes supported by this application. The supported values are oidc, password, saml, and notSupported.
     * @param value Value to set for the supportedSingleSignOnModes property.
     */
    set supportedSingleSignOnModes(value: string[] | undefined);
}
