import { UserIdentity } from './index';
import { PrintJobProcessingState } from './printJobProcessingState';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class ArchivedPrintJob implements AdditionalDataHolder, Parsable {
    /** True if the job was acquired by a printer; false otherwise. Read-only. */
    private _acquiredByPrinter?;
    /** The dateTimeOffset when the job was acquired by the printer, if any. Read-only. */
    private _acquiredDateTime?;
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The dateTimeOffset when the job was completed, canceled or aborted. Read-only. */
    private _completionDateTime?;
    /** The number of copies that were printed. Read-only. */
    private _copiesPrinted?;
    /** The user who created the print job. Read-only. */
    private _createdBy?;
    /** The dateTimeOffset when the job was created. Read-only. */
    private _createdDateTime?;
    /** The archived print job's GUID. Read-only. */
    private _id?;
    /** The printer ID that the job was queued for. Read-only. */
    private _printerId?;
    /** The print job's final processing state. Read-only. */
    private _processingState?;
    /**
     * Gets the acquiredByPrinter property value. True if the job was acquired by a printer; false otherwise. Read-only.
     * @returns a boolean
     */
    get acquiredByPrinter(): boolean | undefined;
    /**
     * Sets the acquiredByPrinter property value. True if the job was acquired by a printer; false otherwise. Read-only.
     * @param value Value to set for the acquiredByPrinter property.
     */
    set acquiredByPrinter(value: boolean | undefined);
    /**
     * Gets the acquiredDateTime property value. The dateTimeOffset when the job was acquired by the printer, if any. Read-only.
     * @returns a Date
     */
    get acquiredDateTime(): Date | undefined;
    /**
     * Sets the acquiredDateTime property value. The dateTimeOffset when the job was acquired by the printer, if any. Read-only.
     * @param value Value to set for the acquiredDateTime property.
     */
    set acquiredDateTime(value: Date | undefined);
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the completionDateTime property value. The dateTimeOffset when the job was completed, canceled or aborted. Read-only.
     * @returns a Date
     */
    get completionDateTime(): Date | undefined;
    /**
     * Sets the completionDateTime property value. The dateTimeOffset when the job was completed, canceled or aborted. Read-only.
     * @param value Value to set for the completionDateTime property.
     */
    set completionDateTime(value: Date | undefined);
    /**
     * Instantiates a new archivedPrintJob and sets the default values.
     */
    constructor();
    /**
     * Gets the copiesPrinted property value. The number of copies that were printed. Read-only.
     * @returns a integer
     */
    get copiesPrinted(): number | undefined;
    /**
     * Sets the copiesPrinted property value. The number of copies that were printed. Read-only.
     * @param value Value to set for the copiesPrinted property.
     */
    set copiesPrinted(value: number | undefined);
    /**
     * Gets the createdBy property value. The user who created the print job. Read-only.
     * @returns a userIdentity
     */
    get createdBy(): UserIdentity | undefined;
    /**
     * Sets the createdBy property value. The user who created the print job. Read-only.
     * @param value Value to set for the createdBy property.
     */
    set createdBy(value: UserIdentity | undefined);
    /**
     * Gets the createdDateTime property value. The dateTimeOffset when the job was created. Read-only.
     * @returns a Date
     */
    get createdDateTime(): Date | undefined;
    /**
     * Sets the createdDateTime property value. The dateTimeOffset when the job was created. Read-only.
     * @param value Value to set for the createdDateTime property.
     */
    set createdDateTime(value: Date | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the id property value. The archived print job's GUID. Read-only.
     * @returns a string
     */
    get id(): string | undefined;
    /**
     * Sets the id property value. The archived print job's GUID. Read-only.
     * @param value Value to set for the id property.
     */
    set id(value: string | undefined);
    /**
     * Gets the printerId property value. The printer ID that the job was queued for. Read-only.
     * @returns a string
     */
    get printerId(): string | undefined;
    /**
     * Sets the printerId property value. The printer ID that the job was queued for. Read-only.
     * @param value Value to set for the printerId property.
     */
    set printerId(value: string | undefined);
    /**
     * Gets the processingState property value. The print job's final processing state. Read-only.
     * @returns a printJobProcessingState
     */
    get processingState(): PrintJobProcessingState | undefined;
    /**
     * Sets the processingState property value. The print job's final processing state. Read-only.
     * @param value Value to set for the processingState property.
     */
    set processingState(value: PrintJobProcessingState | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
