"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ArchivedPrintJob = void 0;
const createUserIdentityFromDiscriminatorValue_1 = require("./createUserIdentityFromDiscriminatorValue");
const printJobProcessingState_1 = require("./printJobProcessingState");
class ArchivedPrintJob {
    /**
     * Instantiates a new archivedPrintJob and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the acquiredByPrinter property value. True if the job was acquired by a printer; false otherwise. Read-only.
     * @returns a boolean
     */
    get acquiredByPrinter() {
        return this._acquiredByPrinter;
    }
    ;
    /**
     * Sets the acquiredByPrinter property value. True if the job was acquired by a printer; false otherwise. Read-only.
     * @param value Value to set for the acquiredByPrinter property.
     */
    set acquiredByPrinter(value) {
        this._acquiredByPrinter = value;
    }
    ;
    /**
     * Gets the acquiredDateTime property value. The dateTimeOffset when the job was acquired by the printer, if any. Read-only.
     * @returns a Date
     */
    get acquiredDateTime() {
        return this._acquiredDateTime;
    }
    ;
    /**
     * Sets the acquiredDateTime property value. The dateTimeOffset when the job was acquired by the printer, if any. Read-only.
     * @param value Value to set for the acquiredDateTime property.
     */
    set acquiredDateTime(value) {
        this._acquiredDateTime = value;
    }
    ;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the completionDateTime property value. The dateTimeOffset when the job was completed, canceled or aborted. Read-only.
     * @returns a Date
     */
    get completionDateTime() {
        return this._completionDateTime;
    }
    ;
    /**
     * Sets the completionDateTime property value. The dateTimeOffset when the job was completed, canceled or aborted. Read-only.
     * @param value Value to set for the completionDateTime property.
     */
    set completionDateTime(value) {
        this._completionDateTime = value;
    }
    ;
    ;
    /**
     * Gets the copiesPrinted property value. The number of copies that were printed. Read-only.
     * @returns a integer
     */
    get copiesPrinted() {
        return this._copiesPrinted;
    }
    ;
    /**
     * Sets the copiesPrinted property value. The number of copies that were printed. Read-only.
     * @param value Value to set for the copiesPrinted property.
     */
    set copiesPrinted(value) {
        this._copiesPrinted = value;
    }
    ;
    /**
     * Gets the createdBy property value. The user who created the print job. Read-only.
     * @returns a userIdentity
     */
    get createdBy() {
        return this._createdBy;
    }
    ;
    /**
     * Sets the createdBy property value. The user who created the print job. Read-only.
     * @param value Value to set for the createdBy property.
     */
    set createdBy(value) {
        this._createdBy = value;
    }
    ;
    /**
     * Gets the createdDateTime property value. The dateTimeOffset when the job was created. Read-only.
     * @returns a Date
     */
    get createdDateTime() {
        return this._createdDateTime;
    }
    ;
    /**
     * Sets the createdDateTime property value. The dateTimeOffset when the job was created. Read-only.
     * @param value Value to set for the createdDateTime property.
     */
    set createdDateTime(value) {
        this._createdDateTime = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "acquiredByPrinter": n => { this.acquiredByPrinter = n.getBooleanValue(); },
            "acquiredDateTime": n => { this.acquiredDateTime = n.getDateValue(); },
            "completionDateTime": n => { this.completionDateTime = n.getDateValue(); },
            "copiesPrinted": n => { this.copiesPrinted = n.getNumberValue(); },
            "createdBy": n => { this.createdBy = n.getObjectValue(createUserIdentityFromDiscriminatorValue_1.createUserIdentityFromDiscriminatorValue); },
            "createdDateTime": n => { this.createdDateTime = n.getDateValue(); },
            "id": n => { this.id = n.getStringValue(); },
            "printerId": n => { this.printerId = n.getStringValue(); },
            "processingState": n => { this.processingState = n.getEnumValue(printJobProcessingState_1.PrintJobProcessingState); },
        };
    }
    ;
    /**
     * Gets the id property value. The archived print job's GUID. Read-only.
     * @returns a string
     */
    get id() {
        return this._id;
    }
    ;
    /**
     * Sets the id property value. The archived print job's GUID. Read-only.
     * @param value Value to set for the id property.
     */
    set id(value) {
        this._id = value;
    }
    ;
    /**
     * Gets the printerId property value. The printer ID that the job was queued for. Read-only.
     * @returns a string
     */
    get printerId() {
        return this._printerId;
    }
    ;
    /**
     * Sets the printerId property value. The printer ID that the job was queued for. Read-only.
     * @param value Value to set for the printerId property.
     */
    set printerId(value) {
        this._printerId = value;
    }
    ;
    /**
     * Gets the processingState property value. The print job's final processing state. Read-only.
     * @returns a printJobProcessingState
     */
    get processingState() {
        return this._processingState;
    }
    ;
    /**
     * Sets the processingState property value. The print job's final processing state. Read-only.
     * @param value Value to set for the processingState property.
     */
    set processingState(value) {
        this._processingState = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeBooleanValue("acquiredByPrinter", this.acquiredByPrinter);
        writer.writeDateValue("acquiredDateTime", this.acquiredDateTime);
        writer.writeDateValue("completionDateTime", this.completionDateTime);
        writer.writeNumberValue("copiesPrinted", this.copiesPrinted);
        writer.writeObjectValue("createdBy", this.createdBy);
        writer.writeDateValue("createdDateTime", this.createdDateTime);
        writer.writeStringValue("id", this.id);
        writer.writeStringValue("printerId", this.printerId);
        writer.writeEnumValue("processingState", this.processingState);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.ArchivedPrintJob = ArchivedPrintJob;
