"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AssignmentOrder = void 0;
class AssignmentOrder {
    /**
     * Instantiates a new AssignmentOrder and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "order": n => { this.order = n.getCollectionOfPrimitiveValues(); },
        };
    }
    ;
    /**
     * Gets the order property value. A list of identityUserFlowAttribute IDs provided to determine the order in which attributes should be collected within a user flow.
     * @returns a string
     */
    get order() {
        return this._order;
    }
    ;
    /**
     * Sets the order property value. A list of identityUserFlowAttribute IDs provided to determine the order in which attributes should be collected within a user flow.
     * @param value Value to set for the order property.
     */
    set order(value) {
        this._order = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeCollectionOfPrimitiveValues("order", this.order);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.AssignmentOrder = AssignmentOrder;
