import { AttachmentType } from './attachmentType';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class AttachmentItem implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The type of attachment. Possible values are: file, item, reference. Required. */
    private _attachmentType?;
    /** The CID or Content-Id of the attachment for referencing in case of in-line attachments using <img src='cid:contentId'> tag in HTML messages. Optional. */
    private _contentId?;
    /** The nature of the data in the attachment. Optional. */
    private _contentType?;
    /** true if the attachment is an inline attachment; otherwise, false. Optional. */
    private _isInline?;
    /** The display name of the attachment. This can be a descriptive string and does not have to be the actual file name. Required. */
    private _name?;
    /** The length of the attachment in bytes. Required. */
    private _size?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the attachmentType property value. The type of attachment. Possible values are: file, item, reference. Required.
     * @returns a attachmentType
     */
    get attachmentType(): AttachmentType | undefined;
    /**
     * Sets the attachmentType property value. The type of attachment. Possible values are: file, item, reference. Required.
     * @param value Value to set for the attachmentType property.
     */
    set attachmentType(value: AttachmentType | undefined);
    /**
     * Instantiates a new attachmentItem and sets the default values.
     */
    constructor();
    /**
     * Gets the contentId property value. The CID or Content-Id of the attachment for referencing in case of in-line attachments using <img src='cid:contentId'> tag in HTML messages. Optional.
     * @returns a string
     */
    get contentId(): string | undefined;
    /**
     * Sets the contentId property value. The CID or Content-Id of the attachment for referencing in case of in-line attachments using <img src='cid:contentId'> tag in HTML messages. Optional.
     * @param value Value to set for the contentId property.
     */
    set contentId(value: string | undefined);
    /**
     * Gets the contentType property value. The nature of the data in the attachment. Optional.
     * @returns a string
     */
    get contentType(): string | undefined;
    /**
     * Sets the contentType property value. The nature of the data in the attachment. Optional.
     * @param value Value to set for the contentType property.
     */
    set contentType(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the isInline property value. true if the attachment is an inline attachment; otherwise, false. Optional.
     * @returns a boolean
     */
    get isInline(): boolean | undefined;
    /**
     * Sets the isInline property value. true if the attachment is an inline attachment; otherwise, false. Optional.
     * @param value Value to set for the isInline property.
     */
    set isInline(value: boolean | undefined);
    /**
     * Gets the name property value. The display name of the attachment. This can be a descriptive string and does not have to be the actual file name. Required.
     * @returns a string
     */
    get name(): string | undefined;
    /**
     * Sets the name property value. The display name of the attachment. This can be a descriptive string and does not have to be the actual file name. Required.
     * @param value Value to set for the name property.
     */
    set name(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the size property value. The length of the attachment in bytes. Required.
     * @returns a int64
     */
    get size(): number | undefined;
    /**
     * Sets the size property value. The length of the attachment in bytes. Required.
     * @param value Value to set for the size property.
     */
    set size(value: number | undefined);
}
