"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Attendee = void 0;
const createResponseStatusFromDiscriminatorValue_1 = require("./createResponseStatusFromDiscriminatorValue");
const createTimeSlotFromDiscriminatorValue_1 = require("./createTimeSlotFromDiscriminatorValue");
const index_1 = require("./index");
/** Casts the previous resource to user. */
class Attendee extends index_1.AttendeeBase {
    /**
     * Instantiates a new attendee and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "proposedNewTime": n => { this.proposedNewTime = n.getObjectValue(createTimeSlotFromDiscriminatorValue_1.createTimeSlotFromDiscriminatorValue); }, "status": n => { this.status = n.getObjectValue(createResponseStatusFromDiscriminatorValue_1.createResponseStatusFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the proposedNewTime property value. An alternate date/time proposed by the attendee for a meeting request to start and end. If the attendee hasn't proposed another time, then this property is not included in a response of a GET event.
     * @returns a timeSlot
     */
    get proposedNewTime() {
        return this._proposedNewTime;
    }
    ;
    /**
     * Sets the proposedNewTime property value. An alternate date/time proposed by the attendee for a meeting request to start and end. If the attendee hasn't proposed another time, then this property is not included in a response of a GET event.
     * @param value Value to set for the proposedNewTime property.
     */
    set proposedNewTime(value) {
        this._proposedNewTime = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("proposedNewTime", this.proposedNewTime);
        writer.writeObjectValue("status", this.status);
    }
    ;
    /**
     * Gets the status property value. The attendee's response (none, accepted, declined, etc.) for the event and date-time that the response was sent.
     * @returns a responseStatus
     */
    get status() {
        return this._status;
    }
    ;
    /**
     * Sets the status property value. The attendee's response (none, accepted, declined, etc.) for the event and date-time that the response was sent.
     * @param value Value to set for the status property.
     */
    set status(value) {
        this._status = value;
    }
    ;
}
exports.Attendee = Attendee;
