"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Audio = void 0;
class Audio {
    /**
     * Instantiates a new audio and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the album property value. The title of the album for this audio file.
     * @returns a string
     */
    get album() {
        return this._album;
    }
    ;
    /**
     * Sets the album property value. The title of the album for this audio file.
     * @param value Value to set for the album property.
     */
    set album(value) {
        this._album = value;
    }
    ;
    /**
     * Gets the albumArtist property value. The artist named on the album for the audio file.
     * @returns a string
     */
    get albumArtist() {
        return this._albumArtist;
    }
    ;
    /**
     * Sets the albumArtist property value. The artist named on the album for the audio file.
     * @param value Value to set for the albumArtist property.
     */
    set albumArtist(value) {
        this._albumArtist = value;
    }
    ;
    /**
     * Gets the artist property value. The performing artist for the audio file.
     * @returns a string
     */
    get artist() {
        return this._artist;
    }
    ;
    /**
     * Sets the artist property value. The performing artist for the audio file.
     * @param value Value to set for the artist property.
     */
    set artist(value) {
        this._artist = value;
    }
    ;
    /**
     * Gets the bitrate property value. Bitrate expressed in kbps.
     * @returns a int64
     */
    get bitrate() {
        return this._bitrate;
    }
    ;
    /**
     * Sets the bitrate property value. Bitrate expressed in kbps.
     * @param value Value to set for the bitrate property.
     */
    set bitrate(value) {
        this._bitrate = value;
    }
    ;
    /**
     * Gets the composers property value. The name of the composer of the audio file.
     * @returns a string
     */
    get composers() {
        return this._composers;
    }
    ;
    /**
     * Sets the composers property value. The name of the composer of the audio file.
     * @param value Value to set for the composers property.
     */
    set composers(value) {
        this._composers = value;
    }
    ;
    ;
    /**
     * Gets the copyright property value. Copyright information for the audio file.
     * @returns a string
     */
    get copyright() {
        return this._copyright;
    }
    ;
    /**
     * Sets the copyright property value. Copyright information for the audio file.
     * @param value Value to set for the copyright property.
     */
    set copyright(value) {
        this._copyright = value;
    }
    ;
    /**
     * Gets the disc property value. The number of the disc this audio file came from.
     * @returns a integer
     */
    get disc() {
        return this._disc;
    }
    ;
    /**
     * Sets the disc property value. The number of the disc this audio file came from.
     * @param value Value to set for the disc property.
     */
    set disc(value) {
        this._disc = value;
    }
    ;
    /**
     * Gets the discCount property value. The total number of discs in this album.
     * @returns a integer
     */
    get discCount() {
        return this._discCount;
    }
    ;
    /**
     * Sets the discCount property value. The total number of discs in this album.
     * @param value Value to set for the discCount property.
     */
    set discCount(value) {
        this._discCount = value;
    }
    ;
    /**
     * Gets the duration property value. Duration of the audio file, expressed in milliseconds
     * @returns a int64
     */
    get duration() {
        return this._duration;
    }
    ;
    /**
     * Sets the duration property value. Duration of the audio file, expressed in milliseconds
     * @param value Value to set for the duration property.
     */
    set duration(value) {
        this._duration = value;
    }
    ;
    /**
     * Gets the genre property value. The genre of this audio file.
     * @returns a string
     */
    get genre() {
        return this._genre;
    }
    ;
    /**
     * Sets the genre property value. The genre of this audio file.
     * @param value Value to set for the genre property.
     */
    set genre(value) {
        this._genre = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "album": n => { this.album = n.getStringValue(); },
            "albumArtist": n => { this.albumArtist = n.getStringValue(); },
            "artist": n => { this.artist = n.getStringValue(); },
            "bitrate": n => { this.bitrate = n.getNumberValue(); },
            "composers": n => { this.composers = n.getStringValue(); },
            "copyright": n => { this.copyright = n.getStringValue(); },
            "disc": n => { this.disc = n.getNumberValue(); },
            "discCount": n => { this.discCount = n.getNumberValue(); },
            "duration": n => { this.duration = n.getNumberValue(); },
            "genre": n => { this.genre = n.getStringValue(); },
            "hasDrm": n => { this.hasDrm = n.getBooleanValue(); },
            "isVariableBitrate": n => { this.isVariableBitrate = n.getBooleanValue(); },
            "title": n => { this.title = n.getStringValue(); },
            "track": n => { this.track = n.getNumberValue(); },
            "trackCount": n => { this.trackCount = n.getNumberValue(); },
            "year": n => { this.year = n.getNumberValue(); },
        };
    }
    ;
    /**
     * Gets the hasDrm property value. Indicates if the file is protected with digital rights management.
     * @returns a boolean
     */
    get hasDrm() {
        return this._hasDrm;
    }
    ;
    /**
     * Sets the hasDrm property value. Indicates if the file is protected with digital rights management.
     * @param value Value to set for the hasDrm property.
     */
    set hasDrm(value) {
        this._hasDrm = value;
    }
    ;
    /**
     * Gets the isVariableBitrate property value. Indicates if the file is encoded with a variable bitrate.
     * @returns a boolean
     */
    get isVariableBitrate() {
        return this._isVariableBitrate;
    }
    ;
    /**
     * Sets the isVariableBitrate property value. Indicates if the file is encoded with a variable bitrate.
     * @param value Value to set for the isVariableBitrate property.
     */
    set isVariableBitrate(value) {
        this._isVariableBitrate = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("album", this.album);
        writer.writeStringValue("albumArtist", this.albumArtist);
        writer.writeStringValue("artist", this.artist);
        writer.writeNumberValue("bitrate", this.bitrate);
        writer.writeStringValue("composers", this.composers);
        writer.writeStringValue("copyright", this.copyright);
        writer.writeNumberValue("disc", this.disc);
        writer.writeNumberValue("discCount", this.discCount);
        writer.writeNumberValue("duration", this.duration);
        writer.writeStringValue("genre", this.genre);
        writer.writeBooleanValue("hasDrm", this.hasDrm);
        writer.writeBooleanValue("isVariableBitrate", this.isVariableBitrate);
        writer.writeStringValue("title", this.title);
        writer.writeNumberValue("track", this.track);
        writer.writeNumberValue("trackCount", this.trackCount);
        writer.writeNumberValue("year", this.year);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the title property value. The title of the audio file.
     * @returns a string
     */
    get title() {
        return this._title;
    }
    ;
    /**
     * Sets the title property value. The title of the audio file.
     * @param value Value to set for the title property.
     */
    set title(value) {
        this._title = value;
    }
    ;
    /**
     * Gets the track property value. The number of the track on the original disc for this audio file.
     * @returns a integer
     */
    get track() {
        return this._track;
    }
    ;
    /**
     * Sets the track property value. The number of the track on the original disc for this audio file.
     * @param value Value to set for the track property.
     */
    set track(value) {
        this._track = value;
    }
    ;
    /**
     * Gets the trackCount property value. The total number of tracks on the original disc for this audio file.
     * @returns a integer
     */
    get trackCount() {
        return this._trackCount;
    }
    ;
    /**
     * Sets the trackCount property value. The total number of tracks on the original disc for this audio file.
     * @param value Value to set for the trackCount property.
     */
    set trackCount(value) {
        this._trackCount = value;
    }
    ;
    /**
     * Gets the year property value. The year the audio file was recorded.
     * @returns a integer
     */
    get year() {
        return this._year;
    }
    ;
    /**
     * Sets the year property value. The year the audio file was recorded.
     * @param value Value to set for the year property.
     */
    set year(value) {
        this._year = value;
    }
    ;
}
exports.Audio = Audio;
