import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class AudioConferencing implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The conference id of the online meeting. */
    private _conferenceId?;
    /** A URL to the externally-accessible web page that contains dial-in information. */
    private _dialinUrl?;
    /** The tollFreeNumber property */
    private _tollFreeNumber?;
    /** List of toll-free numbers that are displayed in the meeting invite. */
    private _tollFreeNumbers?;
    /** The tollNumber property */
    private _tollNumber?;
    /** List of toll numbers that are displayed in the meeting invite. */
    private _tollNumbers?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the conferenceId property value. The conference id of the online meeting.
     * @returns a string
     */
    get conferenceId(): string | undefined;
    /**
     * Sets the conferenceId property value. The conference id of the online meeting.
     * @param value Value to set for the conferenceId property.
     */
    set conferenceId(value: string | undefined);
    /**
     * Instantiates a new audioConferencing and sets the default values.
     */
    constructor();
    /**
     * Gets the dialinUrl property value. A URL to the externally-accessible web page that contains dial-in information.
     * @returns a string
     */
    get dialinUrl(): string | undefined;
    /**
     * Sets the dialinUrl property value. A URL to the externally-accessible web page that contains dial-in information.
     * @param value Value to set for the dialinUrl property.
     */
    set dialinUrl(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the tollFreeNumber property value. The tollFreeNumber property
     * @returns a string
     */
    get tollFreeNumber(): string | undefined;
    /**
     * Sets the tollFreeNumber property value. The tollFreeNumber property
     * @param value Value to set for the tollFreeNumber property.
     */
    set tollFreeNumber(value: string | undefined);
    /**
     * Gets the tollFreeNumbers property value. List of toll-free numbers that are displayed in the meeting invite.
     * @returns a string
     */
    get tollFreeNumbers(): string[] | undefined;
    /**
     * Sets the tollFreeNumbers property value. List of toll-free numbers that are displayed in the meeting invite.
     * @param value Value to set for the tollFreeNumbers property.
     */
    set tollFreeNumbers(value: string[] | undefined);
    /**
     * Gets the tollNumber property value. The tollNumber property
     * @returns a string
     */
    get tollNumber(): string | undefined;
    /**
     * Sets the tollNumber property value. The tollNumber property
     * @param value Value to set for the tollNumber property.
     */
    set tollNumber(value: string | undefined);
    /**
     * Gets the tollNumbers property value. List of toll numbers that are displayed in the meeting invite.
     * @returns a string
     */
    get tollNumbers(): string[] | undefined;
    /**
     * Sets the tollNumbers property value. List of toll numbers that are displayed in the meeting invite.
     * @param value Value to set for the tollNumbers property.
     */
    set tollNumbers(value: string[] | undefined);
}
