"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AudioConferencing = void 0;
class AudioConferencing {
    /**
     * Instantiates a new audioConferencing and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the conferenceId property value. The conference id of the online meeting.
     * @returns a string
     */
    get conferenceId() {
        return this._conferenceId;
    }
    ;
    /**
     * Sets the conferenceId property value. The conference id of the online meeting.
     * @param value Value to set for the conferenceId property.
     */
    set conferenceId(value) {
        this._conferenceId = value;
    }
    ;
    ;
    /**
     * Gets the dialinUrl property value. A URL to the externally-accessible web page that contains dial-in information.
     * @returns a string
     */
    get dialinUrl() {
        return this._dialinUrl;
    }
    ;
    /**
     * Sets the dialinUrl property value. A URL to the externally-accessible web page that contains dial-in information.
     * @param value Value to set for the dialinUrl property.
     */
    set dialinUrl(value) {
        this._dialinUrl = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "conferenceId": n => { this.conferenceId = n.getStringValue(); },
            "dialinUrl": n => { this.dialinUrl = n.getStringValue(); },
            "tollFreeNumber": n => { this.tollFreeNumber = n.getStringValue(); },
            "tollFreeNumbers": n => { this.tollFreeNumbers = n.getCollectionOfPrimitiveValues(); },
            "tollNumber": n => { this.tollNumber = n.getStringValue(); },
            "tollNumbers": n => { this.tollNumbers = n.getCollectionOfPrimitiveValues(); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("conferenceId", this.conferenceId);
        writer.writeStringValue("dialinUrl", this.dialinUrl);
        writer.writeStringValue("tollFreeNumber", this.tollFreeNumber);
        writer.writeCollectionOfPrimitiveValues("tollFreeNumbers", this.tollFreeNumbers);
        writer.writeStringValue("tollNumber", this.tollNumber);
        writer.writeCollectionOfPrimitiveValues("tollNumbers", this.tollNumbers);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the tollFreeNumber property value. The tollFreeNumber property
     * @returns a string
     */
    get tollFreeNumber() {
        return this._tollFreeNumber;
    }
    ;
    /**
     * Sets the tollFreeNumber property value. The tollFreeNumber property
     * @param value Value to set for the tollFreeNumber property.
     */
    set tollFreeNumber(value) {
        this._tollFreeNumber = value;
    }
    ;
    /**
     * Gets the tollFreeNumbers property value. List of toll-free numbers that are displayed in the meeting invite.
     * @returns a string
     */
    get tollFreeNumbers() {
        return this._tollFreeNumbers;
    }
    ;
    /**
     * Sets the tollFreeNumbers property value. List of toll-free numbers that are displayed in the meeting invite.
     * @param value Value to set for the tollFreeNumbers property.
     */
    set tollFreeNumbers(value) {
        this._tollFreeNumbers = value;
    }
    ;
    /**
     * Gets the tollNumber property value. The tollNumber property
     * @returns a string
     */
    get tollNumber() {
        return this._tollNumber;
    }
    ;
    /**
     * Sets the tollNumber property value. The tollNumber property
     * @param value Value to set for the tollNumber property.
     */
    set tollNumber(value) {
        this._tollNumber = value;
    }
    ;
    /**
     * Gets the tollNumbers property value. List of toll numbers that are displayed in the meeting invite.
     * @returns a string
     */
    get tollNumbers() {
        return this._tollNumbers;
    }
    ;
    /**
     * Sets the tollNumbers property value. List of toll numbers that are displayed in the meeting invite.
     * @param value Value to set for the tollNumbers property.
     */
    set tollNumbers(value) {
        this._tollNumbers = value;
    }
    ;
}
exports.AudioConferencing = AudioConferencing;
