import { Entity } from './index';
import { RoutingMode } from './routingMode';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the cloudCommunications singleton. */
export declare class AudioRoutingGroup extends Entity implements Parsable {
    /** List of receiving participant ids. */
    private _receivers?;
    /** Routing group mode.  Possible values are: oneToOne, multicast. */
    private _routingMode?;
    /** List of source participant ids. */
    private _sources?;
    /**
     * Instantiates a new audioRoutingGroup and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the receivers property value. List of receiving participant ids.
     * @returns a string
     */
    get receivers(): string[] | undefined;
    /**
     * Sets the receivers property value. List of receiving participant ids.
     * @param value Value to set for the receivers property.
     */
    set receivers(value: string[] | undefined);
    /**
     * Gets the routingMode property value. Routing group mode.  Possible values are: oneToOne, multicast.
     * @returns a routingMode
     */
    get routingMode(): RoutingMode | undefined;
    /**
     * Sets the routingMode property value. Routing group mode.  Possible values are: oneToOne, multicast.
     * @param value Value to set for the routingMode property.
     */
    set routingMode(value: RoutingMode | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the sources property value. List of source participant ids.
     * @returns a string
     */
    get sources(): string[] | undefined;
    /**
     * Sets the sources property value. List of source participant ids.
     * @param value Value to set for the sources property.
     */
    set sources(value: string[] | undefined);
}
