"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AuditLogRoot = void 0;
const createDirectoryAuditFromDiscriminatorValue_1 = require("./createDirectoryAuditFromDiscriminatorValue");
const createProvisioningObjectSummaryFromDiscriminatorValue_1 = require("./createProvisioningObjectSummaryFromDiscriminatorValue");
const createRestrictedSignInFromDiscriminatorValue_1 = require("./createRestrictedSignInFromDiscriminatorValue");
const createSignInFromDiscriminatorValue_1 = require("./createSignInFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the auditLogRoot singleton. */
class AuditLogRoot extends index_1.Entity {
    /**
     * Instantiates a new auditLogRoot and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the directoryAudits property value. Read-only. Nullable.
     * @returns a directoryAudit
     */
    get directoryAudits() {
        return this._directoryAudits;
    }
    ;
    /**
     * Sets the directoryAudits property value. Read-only. Nullable.
     * @param value Value to set for the directoryAudits property.
     */
    set directoryAudits(value) {
        this._directoryAudits = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "directoryAudits": n => { this.directoryAudits = n.getCollectionOfObjectValues(createDirectoryAuditFromDiscriminatorValue_1.createDirectoryAuditFromDiscriminatorValue); }, "provisioning": n => { this.provisioning = n.getCollectionOfObjectValues(createProvisioningObjectSummaryFromDiscriminatorValue_1.createProvisioningObjectSummaryFromDiscriminatorValue); }, "restrictedSignIns": n => { this.restrictedSignIns = n.getCollectionOfObjectValues(createRestrictedSignInFromDiscriminatorValue_1.createRestrictedSignInFromDiscriminatorValue); }, "signIns": n => { this.signIns = n.getCollectionOfObjectValues(createSignInFromDiscriminatorValue_1.createSignInFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the provisioning property value. The provisioning property
     * @returns a provisioningObjectSummary
     */
    get provisioning() {
        return this._provisioning;
    }
    ;
    /**
     * Sets the provisioning property value. The provisioning property
     * @param value Value to set for the provisioning property.
     */
    set provisioning(value) {
        this._provisioning = value;
    }
    ;
    /**
     * Gets the restrictedSignIns property value. The restrictedSignIns property
     * @returns a restrictedSignIn
     */
    get restrictedSignIns() {
        return this._restrictedSignIns;
    }
    ;
    /**
     * Sets the restrictedSignIns property value. The restrictedSignIns property
     * @param value Value to set for the restrictedSignIns property.
     */
    set restrictedSignIns(value) {
        this._restrictedSignIns = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("directoryAudits", this.directoryAudits);
        writer.writeCollectionOfObjectValues("provisioning", this.provisioning);
        writer.writeCollectionOfObjectValues("restrictedSignIns", this.restrictedSignIns);
        writer.writeCollectionOfObjectValues("signIns", this.signIns);
    }
    ;
    /**
     * Gets the signIns property value. Read-only. Nullable.
     * @returns a signIn
     */
    get signIns() {
        return this._signIns;
    }
    ;
    /**
     * Sets the signIns property value. Read-only. Nullable.
     * @param value Value to set for the signIns property.
     */
    set signIns(value) {
        this._signIns = value;
    }
    ;
}
exports.AuditLogRoot = AuditLogRoot;
