"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AuthenticationFlowsPolicy = void 0;
const createSelfServiceSignUpAuthenticationFlowConfigurationFromDiscriminatorValue_1 = require("./createSelfServiceSignUpAuthenticationFlowConfigurationFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the policyRoot singleton. */
class AuthenticationFlowsPolicy extends index_1.Entity {
    /**
     * Instantiates a new authenticationFlowsPolicy and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the description property value. Inherited property. A description of the policy. This property is not a key. Optional. Read-only.
     * @returns a string
     */
    get description() {
        return this._description;
    }
    ;
    /**
     * Sets the description property value. Inherited property. A description of the policy. This property is not a key. Optional. Read-only.
     * @param value Value to set for the description property.
     */
    set description(value) {
        this._description = value;
    }
    ;
    /**
     * Gets the displayName property value. Inherited property. The human-readable name of the policy. This property is not a key. Optional. Read-only.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. Inherited property. The human-readable name of the policy. This property is not a key. Optional. Read-only.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "description": n => { this.description = n.getStringValue(); }, "displayName": n => { this.displayName = n.getStringValue(); }, "selfServiceSignUp": n => { this.selfServiceSignUp = n.getObjectValue(createSelfServiceSignUpAuthenticationFlowConfigurationFromDiscriminatorValue_1.createSelfServiceSignUpAuthenticationFlowConfigurationFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the selfServiceSignUp property value. Contains selfServiceSignUpAuthenticationFlowConfiguration settings that convey whether self-service sign-up is enabled or disabled. This property is not a key. Optional. Read-only.
     * @returns a selfServiceSignUpAuthenticationFlowConfiguration
     */
    get selfServiceSignUp() {
        return this._selfServiceSignUp;
    }
    ;
    /**
     * Sets the selfServiceSignUp property value. Contains selfServiceSignUpAuthenticationFlowConfiguration settings that convey whether self-service sign-up is enabled or disabled. This property is not a key. Optional. Read-only.
     * @param value Value to set for the selfServiceSignUp property.
     */
    set selfServiceSignUp(value) {
        this._selfServiceSignUp = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("description", this.description);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeObjectValue("selfServiceSignUp", this.selfServiceSignUp);
    }
    ;
}
exports.AuthenticationFlowsPolicy = AuthenticationFlowsPolicy;
