"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AuthenticationMethodsRegistrationCampaign = void 0;
const advancedConfigState_1 = require("./advancedConfigState");
const createAuthenticationMethodsRegistrationCampaignIncludeTargetFromDiscriminatorValue_1 = require("./createAuthenticationMethodsRegistrationCampaignIncludeTargetFromDiscriminatorValue");
const createExcludeTargetFromDiscriminatorValue_1 = require("./createExcludeTargetFromDiscriminatorValue");
class AuthenticationMethodsRegistrationCampaign {
    /**
     * Instantiates a new authenticationMethodsRegistrationCampaign and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the excludeTargets property value. Users and groups of users that are excluded from being prompted to set up the authentication method.
     * @returns a excludeTarget
     */
    get excludeTargets() {
        return this._excludeTargets;
    }
    ;
    /**
     * Sets the excludeTargets property value. Users and groups of users that are excluded from being prompted to set up the authentication method.
     * @param value Value to set for the excludeTargets property.
     */
    set excludeTargets(value) {
        this._excludeTargets = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "excludeTargets": n => { this.excludeTargets = n.getCollectionOfObjectValues(createExcludeTargetFromDiscriminatorValue_1.createExcludeTargetFromDiscriminatorValue); },
            "includeTargets": n => { this.includeTargets = n.getCollectionOfObjectValues(createAuthenticationMethodsRegistrationCampaignIncludeTargetFromDiscriminatorValue_1.createAuthenticationMethodsRegistrationCampaignIncludeTargetFromDiscriminatorValue); },
            "snoozeDurationInDays": n => { this.snoozeDurationInDays = n.getNumberValue(); },
            "state": n => { this.state = n.getEnumValue(advancedConfigState_1.AdvancedConfigState); },
        };
    }
    ;
    /**
     * Gets the includeTargets property value. Users and groups of users that are prompted to set up the authentication method.
     * @returns a authenticationMethodsRegistrationCampaignIncludeTarget
     */
    get includeTargets() {
        return this._includeTargets;
    }
    ;
    /**
     * Sets the includeTargets property value. Users and groups of users that are prompted to set up the authentication method.
     * @param value Value to set for the includeTargets property.
     */
    set includeTargets(value) {
        this._includeTargets = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeCollectionOfObjectValues("excludeTargets", this.excludeTargets);
        writer.writeCollectionOfObjectValues("includeTargets", this.includeTargets);
        writer.writeNumberValue("snoozeDurationInDays", this.snoozeDurationInDays);
        writer.writeEnumValue("state", this.state);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the snoozeDurationInDays property value. Specifies the number of days that the user sees a prompt again if they select 'Not now' and snoozes the prompt. Minimum 0 days. Maximum: 14 days. If the value is '0' – The user is prompted during every MFA attempt.
     * @returns a integer
     */
    get snoozeDurationInDays() {
        return this._snoozeDurationInDays;
    }
    ;
    /**
     * Sets the snoozeDurationInDays property value. Specifies the number of days that the user sees a prompt again if they select 'Not now' and snoozes the prompt. Minimum 0 days. Maximum: 14 days. If the value is '0' – The user is prompted during every MFA attempt.
     * @param value Value to set for the snoozeDurationInDays property.
     */
    set snoozeDurationInDays(value) {
        this._snoozeDurationInDays = value;
    }
    ;
    /**
     * Gets the state property value. Enable or disable the feature. Possible values are: default, enabled, disabled, unknownFutureValue. The default value is used when the configuration hasn't been explicitly set and uses the default behavior of Azure AD for the setting. The default value is disabled.
     * @returns a advancedConfigState
     */
    get state() {
        return this._state;
    }
    ;
    /**
     * Sets the state property value. Enable or disable the feature. Possible values are: default, enabled, disabled, unknownFutureValue. The default value is used when the configuration hasn't been explicitly set and uses the default behavior of Azure AD for the setting. The default value is disabled.
     * @param value Value to set for the state property.
     */
    set state(value) {
        this._state = value;
    }
    ;
}
exports.AuthenticationMethodsRegistrationCampaign = AuthenticationMethodsRegistrationCampaign;
