import { Entity, Identity, ItemBody } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the privacy singleton. */
export declare class AuthoredNote extends Entity implements Parsable {
    /** Identity information about the note's author. */
    private _author?;
    /** The content of the note. */
    private _content?;
    /** The date and time when the entity was created. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. */
    private _createdDateTime?;
    /**
     * Gets the author property value. Identity information about the note's author.
     * @returns a identity
     */
    get author(): Identity | undefined;
    /**
     * Sets the author property value. Identity information about the note's author.
     * @param value Value to set for the author property.
     */
    set author(value: Identity | undefined);
    /**
     * Instantiates a new authoredNote and sets the default values.
     */
    constructor();
    /**
     * Gets the content property value. The content of the note.
     * @returns a itemBody
     */
    get content(): ItemBody | undefined;
    /**
     * Sets the content property value. The content of the note.
     * @param value Value to set for the content property.
     */
    set content(value: ItemBody | undefined);
    /**
     * Gets the createdDateTime property value. The date and time when the entity was created. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     * @returns a Date
     */
    get createdDateTime(): Date | undefined;
    /**
     * Sets the createdDateTime property value. The date and time when the entity was created. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     * @param value Value to set for the createdDateTime property.
     */
    set createdDateTime(value: Date | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
