import { DateTimeTimeZone, LocaleInfo } from './index';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class AutomaticRepliesMailTips implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The automatic reply message. */
    private _message?;
    /** The language that the automatic reply message is in. */
    private _messageLanguage?;
    /** The date and time that automatic replies are set to end. */
    private _scheduledEndTime?;
    /** The date and time that automatic replies are set to begin. */
    private _scheduledStartTime?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Instantiates a new automaticRepliesMailTips and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the message property value. The automatic reply message.
     * @returns a string
     */
    get message(): string | undefined;
    /**
     * Sets the message property value. The automatic reply message.
     * @param value Value to set for the message property.
     */
    set message(value: string | undefined);
    /**
     * Gets the messageLanguage property value. The language that the automatic reply message is in.
     * @returns a localeInfo
     */
    get messageLanguage(): LocaleInfo | undefined;
    /**
     * Sets the messageLanguage property value. The language that the automatic reply message is in.
     * @param value Value to set for the messageLanguage property.
     */
    set messageLanguage(value: LocaleInfo | undefined);
    /**
     * Gets the scheduledEndTime property value. The date and time that automatic replies are set to end.
     * @returns a dateTimeTimeZone
     */
    get scheduledEndTime(): DateTimeTimeZone | undefined;
    /**
     * Sets the scheduledEndTime property value. The date and time that automatic replies are set to end.
     * @param value Value to set for the scheduledEndTime property.
     */
    set scheduledEndTime(value: DateTimeTimeZone | undefined);
    /**
     * Gets the scheduledStartTime property value. The date and time that automatic replies are set to begin.
     * @returns a dateTimeTimeZone
     */
    get scheduledStartTime(): DateTimeTimeZone | undefined;
    /**
     * Sets the scheduledStartTime property value. The date and time that automatic replies are set to begin.
     * @param value Value to set for the scheduledStartTime property.
     */
    set scheduledStartTime(value: DateTimeTimeZone | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
