"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.B2xIdentityUserFlow = void 0;
const createIdentityProviderBaseFromDiscriminatorValue_1 = require("./createIdentityProviderBaseFromDiscriminatorValue");
const createIdentityProviderFromDiscriminatorValue_1 = require("./createIdentityProviderFromDiscriminatorValue");
const createIdentityUserFlowAttributeAssignmentFromDiscriminatorValue_1 = require("./createIdentityUserFlowAttributeAssignmentFromDiscriminatorValue");
const createUserFlowApiConnectorConfigurationFromDiscriminatorValue_1 = require("./createUserFlowApiConnectorConfigurationFromDiscriminatorValue");
const createUserFlowLanguageConfigurationFromDiscriminatorValue_1 = require("./createUserFlowLanguageConfigurationFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the identityContainer singleton. */
class B2xIdentityUserFlow extends index_1.IdentityUserFlow {
    /**
     * Instantiates a new b2xIdentityUserFlow and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the apiConnectorConfiguration property value. Configuration for enabling an API connector for use as part of the self-service sign up user flow. You can only obtain the value of this object using Get userFlowApiConnectorConfiguration.
     * @returns a userFlowApiConnectorConfiguration
     */
    get apiConnectorConfiguration() {
        return this._apiConnectorConfiguration;
    }
    ;
    /**
     * Sets the apiConnectorConfiguration property value. Configuration for enabling an API connector for use as part of the self-service sign up user flow. You can only obtain the value of this object using Get userFlowApiConnectorConfiguration.
     * @param value Value to set for the apiConnectorConfiguration property.
     */
    set apiConnectorConfiguration(value) {
        this._apiConnectorConfiguration = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "apiConnectorConfiguration": n => { this.apiConnectorConfiguration = n.getObjectValue(createUserFlowApiConnectorConfigurationFromDiscriminatorValue_1.createUserFlowApiConnectorConfigurationFromDiscriminatorValue); }, "identityProviders": n => { this.identityProviders = n.getCollectionOfObjectValues(createIdentityProviderFromDiscriminatorValue_1.createIdentityProviderFromDiscriminatorValue); }, "languages": n => { this.languages = n.getCollectionOfObjectValues(createUserFlowLanguageConfigurationFromDiscriminatorValue_1.createUserFlowLanguageConfigurationFromDiscriminatorValue); }, "userAttributeAssignments": n => { this.userAttributeAssignments = n.getCollectionOfObjectValues(createIdentityUserFlowAttributeAssignmentFromDiscriminatorValue_1.createIdentityUserFlowAttributeAssignmentFromDiscriminatorValue); }, "userFlowIdentityProviders": n => { this.userFlowIdentityProviders = n.getCollectionOfObjectValues(createIdentityProviderBaseFromDiscriminatorValue_1.createIdentityProviderBaseFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the identityProviders property value. The identity providers included in the user flow.
     * @returns a identityProvider
     */
    get identityProviders() {
        return this._identityProviders;
    }
    ;
    /**
     * Sets the identityProviders property value. The identity providers included in the user flow.
     * @param value Value to set for the identityProviders property.
     */
    set identityProviders(value) {
        this._identityProviders = value;
    }
    ;
    /**
     * Gets the languages property value. The languages supported for customization within the user flow. Language customization is enabled by default in self-service sign up user flow. You cannot create custom languages in self-service sign up user flows.
     * @returns a userFlowLanguageConfiguration
     */
    get languages() {
        return this._languages;
    }
    ;
    /**
     * Sets the languages property value. The languages supported for customization within the user flow. Language customization is enabled by default in self-service sign up user flow. You cannot create custom languages in self-service sign up user flows.
     * @param value Value to set for the languages property.
     */
    set languages(value) {
        this._languages = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("apiConnectorConfiguration", this.apiConnectorConfiguration);
        writer.writeCollectionOfObjectValues("identityProviders", this.identityProviders);
        writer.writeCollectionOfObjectValues("languages", this.languages);
        writer.writeCollectionOfObjectValues("userAttributeAssignments", this.userAttributeAssignments);
        writer.writeCollectionOfObjectValues("userFlowIdentityProviders", this.userFlowIdentityProviders);
    }
    ;
    /**
     * Gets the userAttributeAssignments property value. The user attribute assignments included in the user flow.
     * @returns a identityUserFlowAttributeAssignment
     */
    get userAttributeAssignments() {
        return this._userAttributeAssignments;
    }
    ;
    /**
     * Sets the userAttributeAssignments property value. The user attribute assignments included in the user flow.
     * @param value Value to set for the userAttributeAssignments property.
     */
    set userAttributeAssignments(value) {
        this._userAttributeAssignments = value;
    }
    ;
    /**
     * Gets the userFlowIdentityProviders property value. The userFlowIdentityProviders property
     * @returns a identityProviderBase
     */
    get userFlowIdentityProviders() {
        return this._userFlowIdentityProviders;
    }
    ;
    /**
     * Sets the userFlowIdentityProviders property value. The userFlowIdentityProviders property
     * @param value Value to set for the userFlowIdentityProviders property.
     */
    set userFlowIdentityProviders(value) {
        this._userFlowIdentityProviders = value;
    }
    ;
}
exports.B2xIdentityUserFlow = B2xIdentityUserFlow;
