import { BitlockerRecoveryKey, Entity } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the informationProtection singleton. */
export declare class Bitlocker extends Entity implements Parsable {
    /** The recovery keys associated with the bitlocker entity. */
    private _recoveryKeys?;
    /**
     * Instantiates a new bitlocker and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the recoveryKeys property value. The recovery keys associated with the bitlocker entity.
     * @returns a bitlockerRecoveryKey
     */
    get recoveryKeys(): BitlockerRecoveryKey[] | undefined;
    /**
     * Sets the recoveryKeys property value. The recovery keys associated with the bitlocker entity.
     * @param value Value to set for the recoveryKeys property.
     */
    set recoveryKeys(value: BitlockerRecoveryKey[] | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
