import { Entity } from './index';
import { VolumeType } from './volumeType';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the informationProtection singleton. */
export declare class BitlockerRecoveryKey extends Entity implements Parsable {
    /** The date and time when the key was originally backed up to Azure Active Directory. */
    private _createdDateTime?;
    /** ID of the device the BitLocker key is originally backed up from. */
    private _deviceId?;
    /** The BitLocker recovery key. */
    private _key?;
    /** Indicates the type of volume the BitLocker key is associated with. Possible values are: operatingSystemVolume, fixedDataVolume, removableDataVolume, unknownFutureValue. */
    private _volumeType?;
    /**
     * Instantiates a new bitlockerRecoveryKey and sets the default values.
     */
    constructor();
    /**
     * Gets the createdDateTime property value. The date and time when the key was originally backed up to Azure Active Directory.
     * @returns a Date
     */
    get createdDateTime(): Date | undefined;
    /**
     * Sets the createdDateTime property value. The date and time when the key was originally backed up to Azure Active Directory.
     * @param value Value to set for the createdDateTime property.
     */
    set createdDateTime(value: Date | undefined);
    /**
     * Gets the deviceId property value. ID of the device the BitLocker key is originally backed up from.
     * @returns a string
     */
    get deviceId(): string | undefined;
    /**
     * Sets the deviceId property value. ID of the device the BitLocker key is originally backed up from.
     * @param value Value to set for the deviceId property.
     */
    set deviceId(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the key property value. The BitLocker recovery key.
     * @returns a string
     */
    get key(): string | undefined;
    /**
     * Sets the key property value. The BitLocker recovery key.
     * @param value Value to set for the key property.
     */
    set key(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the volumeType property value. Indicates the type of volume the BitLocker key is associated with. Possible values are: operatingSystemVolume, fixedDataVolume, removableDataVolume, unknownFutureValue.
     * @returns a volumeType
     */
    get volumeType(): VolumeType | undefined;
    /**
     * Sets the volumeType property value. Indicates the type of volume the BitLocker key is associated with. Possible values are: operatingSystemVolume, fixedDataVolume, removableDataVolume, unknownFutureValue.
     * @param value Value to set for the volumeType property.
     */
    set volumeType(value: VolumeType | undefined);
}
