"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BitlockerRecoveryKey = void 0;
const index_1 = require("./index");
const volumeType_1 = require("./volumeType");
/** Provides operations to manage the informationProtection singleton. */
class BitlockerRecoveryKey extends index_1.Entity {
    /**
     * Instantiates a new bitlockerRecoveryKey and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the createdDateTime property value. The date and time when the key was originally backed up to Azure Active Directory.
     * @returns a Date
     */
    get createdDateTime() {
        return this._createdDateTime;
    }
    ;
    /**
     * Sets the createdDateTime property value. The date and time when the key was originally backed up to Azure Active Directory.
     * @param value Value to set for the createdDateTime property.
     */
    set createdDateTime(value) {
        this._createdDateTime = value;
    }
    ;
    /**
     * Gets the deviceId property value. ID of the device the BitLocker key is originally backed up from.
     * @returns a string
     */
    get deviceId() {
        return this._deviceId;
    }
    ;
    /**
     * Sets the deviceId property value. ID of the device the BitLocker key is originally backed up from.
     * @param value Value to set for the deviceId property.
     */
    set deviceId(value) {
        this._deviceId = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "createdDateTime": n => { this.createdDateTime = n.getDateValue(); }, "deviceId": n => { this.deviceId = n.getStringValue(); }, "key": n => { this.key = n.getStringValue(); }, "volumeType": n => { this.volumeType = n.getEnumValue(volumeType_1.VolumeType); } });
    }
    ;
    /**
     * Gets the key property value. The BitLocker recovery key.
     * @returns a string
     */
    get key() {
        return this._key;
    }
    ;
    /**
     * Sets the key property value. The BitLocker recovery key.
     * @param value Value to set for the key property.
     */
    set key(value) {
        this._key = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeDateValue("createdDateTime", this.createdDateTime);
        writer.writeStringValue("deviceId", this.deviceId);
        writer.writeStringValue("key", this.key);
        writer.writeEnumValue("volumeType", this.volumeType);
    }
    ;
    /**
     * Gets the volumeType property value. Indicates the type of volume the BitLocker key is associated with. Possible values are: operatingSystemVolume, fixedDataVolume, removableDataVolume, unknownFutureValue.
     * @returns a volumeType
     */
    get volumeType() {
        return this._volumeType;
    }
    ;
    /**
     * Sets the volumeType property value. Indicates the type of volume the BitLocker key is associated with. Possible values are: operatingSystemVolume, fixedDataVolume, removableDataVolume, unknownFutureValue.
     * @param value Value to set for the volumeType property.
     */
    set volumeType(value) {
        this._volumeType = value;
    }
    ;
}
exports.BitlockerRecoveryKey = BitlockerRecoveryKey;
