"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BookingBusiness = void 0;
const createBookingAppointmentFromDiscriminatorValue_1 = require("./createBookingAppointmentFromDiscriminatorValue");
const createBookingCustomerBaseFromDiscriminatorValue_1 = require("./createBookingCustomerBaseFromDiscriminatorValue");
const createBookingCustomQuestionFromDiscriminatorValue_1 = require("./createBookingCustomQuestionFromDiscriminatorValue");
const createBookingSchedulingPolicyFromDiscriminatorValue_1 = require("./createBookingSchedulingPolicyFromDiscriminatorValue");
const createBookingServiceFromDiscriminatorValue_1 = require("./createBookingServiceFromDiscriminatorValue");
const createBookingStaffMemberBaseFromDiscriminatorValue_1 = require("./createBookingStaffMemberBaseFromDiscriminatorValue");
const createBookingWorkHoursFromDiscriminatorValue_1 = require("./createBookingWorkHoursFromDiscriminatorValue");
const createPhysicalAddressFromDiscriminatorValue_1 = require("./createPhysicalAddressFromDiscriminatorValue");
const index_1 = require("./index");
/** Represents a Microsot Bookings Business. */
class BookingBusiness extends index_1.Entity {
    /**
     * Instantiates a new bookingBusiness and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the address property value. The street address of the business. The address property, together with phone and webSiteUrl, appear in the footer of a business scheduling page.
     * @returns a physicalAddress
     */
    get address() {
        return this._address;
    }
    ;
    /**
     * Sets the address property value. The street address of the business. The address property, together with phone and webSiteUrl, appear in the footer of a business scheduling page.
     * @param value Value to set for the address property.
     */
    set address(value) {
        this._address = value;
    }
    ;
    /**
     * Gets the appointments property value. All the appointments of this business. Read-only. Nullable.
     * @returns a bookingAppointment
     */
    get appointments() {
        return this._appointments;
    }
    ;
    /**
     * Sets the appointments property value. All the appointments of this business. Read-only. Nullable.
     * @param value Value to set for the appointments property.
     */
    set appointments(value) {
        this._appointments = value;
    }
    ;
    /**
     * Gets the businessHours property value. The hours of operation for the business.
     * @returns a bookingWorkHours
     */
    get businessHours() {
        return this._businessHours;
    }
    ;
    /**
     * Sets the businessHours property value. The hours of operation for the business.
     * @param value Value to set for the businessHours property.
     */
    set businessHours(value) {
        this._businessHours = value;
    }
    ;
    /**
     * Gets the businessType property value. The type of business.
     * @returns a string
     */
    get businessType() {
        return this._businessType;
    }
    ;
    /**
     * Sets the businessType property value. The type of business.
     * @param value Value to set for the businessType property.
     */
    set businessType(value) {
        this._businessType = value;
    }
    ;
    /**
     * Gets the calendarView property value. The set of appointments of this business in a specified date range. Read-only. Nullable.
     * @returns a bookingAppointment
     */
    get calendarView() {
        return this._calendarView;
    }
    ;
    /**
     * Sets the calendarView property value. The set of appointments of this business in a specified date range. Read-only. Nullable.
     * @param value Value to set for the calendarView property.
     */
    set calendarView(value) {
        this._calendarView = value;
    }
    ;
    ;
    /**
     * Gets the customers property value. All the customers of this business. Read-only. Nullable.
     * @returns a bookingCustomerBase
     */
    get customers() {
        return this._customers;
    }
    ;
    /**
     * Sets the customers property value. All the customers of this business. Read-only. Nullable.
     * @param value Value to set for the customers property.
     */
    set customers(value) {
        this._customers = value;
    }
    ;
    /**
     * Gets the customQuestions property value. All the custom questions of this business. Read-only. Nullable.
     * @returns a bookingCustomQuestion
     */
    get customQuestions() {
        return this._customQuestions;
    }
    ;
    /**
     * Sets the customQuestions property value. All the custom questions of this business. Read-only. Nullable.
     * @param value Value to set for the customQuestions property.
     */
    set customQuestions(value) {
        this._customQuestions = value;
    }
    ;
    /**
     * Gets the defaultCurrencyIso property value. The code for the currency that the business operates in on Microsoft Bookings.
     * @returns a string
     */
    get defaultCurrencyIso() {
        return this._defaultCurrencyIso;
    }
    ;
    /**
     * Sets the defaultCurrencyIso property value. The code for the currency that the business operates in on Microsoft Bookings.
     * @param value Value to set for the defaultCurrencyIso property.
     */
    set defaultCurrencyIso(value) {
        this._defaultCurrencyIso = value;
    }
    ;
    /**
     * Gets the displayName property value. The name of the business, which interfaces with customers. This name appears at the top of the business scheduling page.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. The name of the business, which interfaces with customers. This name appears at the top of the business scheduling page.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * Gets the email property value. The email address for the business.
     * @returns a string
     */
    get email() {
        return this._email;
    }
    ;
    /**
     * Sets the email property value. The email address for the business.
     * @param value Value to set for the email property.
     */
    set email(value) {
        this._email = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "address": n => { this.address = n.getObjectValue(createPhysicalAddressFromDiscriminatorValue_1.createPhysicalAddressFromDiscriminatorValue); }, "appointments": n => { this.appointments = n.getCollectionOfObjectValues(createBookingAppointmentFromDiscriminatorValue_1.createBookingAppointmentFromDiscriminatorValue); }, "businessHours": n => { this.businessHours = n.getCollectionOfObjectValues(createBookingWorkHoursFromDiscriminatorValue_1.createBookingWorkHoursFromDiscriminatorValue); }, "businessType": n => { this.businessType = n.getStringValue(); }, "calendarView": n => { this.calendarView = n.getCollectionOfObjectValues(createBookingAppointmentFromDiscriminatorValue_1.createBookingAppointmentFromDiscriminatorValue); }, "customers": n => { this.customers = n.getCollectionOfObjectValues(createBookingCustomerBaseFromDiscriminatorValue_1.createBookingCustomerBaseFromDiscriminatorValue); }, "customQuestions": n => { this.customQuestions = n.getCollectionOfObjectValues(createBookingCustomQuestionFromDiscriminatorValue_1.createBookingCustomQuestionFromDiscriminatorValue); }, "defaultCurrencyIso": n => { this.defaultCurrencyIso = n.getStringValue(); }, "displayName": n => { this.displayName = n.getStringValue(); }, "email": n => { this.email = n.getStringValue(); }, "isPublished": n => { this.isPublished = n.getBooleanValue(); }, "phone": n => { this.phone = n.getStringValue(); }, "publicUrl": n => { this.publicUrl = n.getStringValue(); }, "schedulingPolicy": n => { this.schedulingPolicy = n.getObjectValue(createBookingSchedulingPolicyFromDiscriminatorValue_1.createBookingSchedulingPolicyFromDiscriminatorValue); }, "services": n => { this.services = n.getCollectionOfObjectValues(createBookingServiceFromDiscriminatorValue_1.createBookingServiceFromDiscriminatorValue); }, "staffMembers": n => { this.staffMembers = n.getCollectionOfObjectValues(createBookingStaffMemberBaseFromDiscriminatorValue_1.createBookingStaffMemberBaseFromDiscriminatorValue); }, "webSiteUrl": n => { this.webSiteUrl = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the isPublished property value. The scheduling page has been made available to external customers. Use the publish and unpublish actions to set this property. Read-only.
     * @returns a boolean
     */
    get isPublished() {
        return this._isPublished;
    }
    ;
    /**
     * Sets the isPublished property value. The scheduling page has been made available to external customers. Use the publish and unpublish actions to set this property. Read-only.
     * @param value Value to set for the isPublished property.
     */
    set isPublished(value) {
        this._isPublished = value;
    }
    ;
    /**
     * Gets the phone property value. The telephone number for the business. The phone property, together with address and webSiteUrl, appear in the footer of a business scheduling page.
     * @returns a string
     */
    get phone() {
        return this._phone;
    }
    ;
    /**
     * Sets the phone property value. The telephone number for the business. The phone property, together with address and webSiteUrl, appear in the footer of a business scheduling page.
     * @param value Value to set for the phone property.
     */
    set phone(value) {
        this._phone = value;
    }
    ;
    /**
     * Gets the publicUrl property value. The URL for the scheduling page, which is set after you publish or unpublish the page. Read-only.
     * @returns a string
     */
    get publicUrl() {
        return this._publicUrl;
    }
    ;
    /**
     * Sets the publicUrl property value. The URL for the scheduling page, which is set after you publish or unpublish the page. Read-only.
     * @param value Value to set for the publicUrl property.
     */
    set publicUrl(value) {
        this._publicUrl = value;
    }
    ;
    /**
     * Gets the schedulingPolicy property value. Specifies how bookings can be created for this business.
     * @returns a bookingSchedulingPolicy
     */
    get schedulingPolicy() {
        return this._schedulingPolicy;
    }
    ;
    /**
     * Sets the schedulingPolicy property value. Specifies how bookings can be created for this business.
     * @param value Value to set for the schedulingPolicy property.
     */
    set schedulingPolicy(value) {
        this._schedulingPolicy = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("address", this.address);
        writer.writeCollectionOfObjectValues("appointments", this.appointments);
        writer.writeCollectionOfObjectValues("businessHours", this.businessHours);
        writer.writeStringValue("businessType", this.businessType);
        writer.writeCollectionOfObjectValues("calendarView", this.calendarView);
        writer.writeCollectionOfObjectValues("customers", this.customers);
        writer.writeCollectionOfObjectValues("customQuestions", this.customQuestions);
        writer.writeStringValue("defaultCurrencyIso", this.defaultCurrencyIso);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeStringValue("email", this.email);
        writer.writeBooleanValue("isPublished", this.isPublished);
        writer.writeStringValue("phone", this.phone);
        writer.writeStringValue("publicUrl", this.publicUrl);
        writer.writeObjectValue("schedulingPolicy", this.schedulingPolicy);
        writer.writeCollectionOfObjectValues("services", this.services);
        writer.writeCollectionOfObjectValues("staffMembers", this.staffMembers);
        writer.writeStringValue("webSiteUrl", this.webSiteUrl);
    }
    ;
    /**
     * Gets the services property value. All the services offered by this business. Read-only. Nullable.
     * @returns a bookingService
     */
    get services() {
        return this._services;
    }
    ;
    /**
     * Sets the services property value. All the services offered by this business. Read-only. Nullable.
     * @param value Value to set for the services property.
     */
    set services(value) {
        this._services = value;
    }
    ;
    /**
     * Gets the staffMembers property value. All the staff members that provide services in this business. Read-only. Nullable.
     * @returns a bookingStaffMemberBase
     */
    get staffMembers() {
        return this._staffMembers;
    }
    ;
    /**
     * Sets the staffMembers property value. All the staff members that provide services in this business. Read-only. Nullable.
     * @param value Value to set for the staffMembers property.
     */
    set staffMembers(value) {
        this._staffMembers = value;
    }
    ;
    /**
     * Gets the webSiteUrl property value. The URL of the business web site. The webSiteUrl property, together with address, phone, appear in the footer of a business scheduling page.
     * @returns a string
     */
    get webSiteUrl() {
        return this._webSiteUrl;
    }
    ;
    /**
     * Sets the webSiteUrl property value. The URL of the business web site. The webSiteUrl property, together with address, phone, appear in the footer of a business scheduling page.
     * @param value Value to set for the webSiteUrl property.
     */
    set webSiteUrl(value) {
        this._webSiteUrl = value;
    }
    ;
}
exports.BookingBusiness = BookingBusiness;
