import { Entity } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the solutionsRoot singleton. */
export declare class BookingCurrency extends Entity implements Parsable {
    /** The currency symbol. For example, the currency symbol for the US dollar and for the Australian dollar is $. */
    private _symbol?;
    /**
     * Instantiates a new bookingCurrency and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the symbol property value. The currency symbol. For example, the currency symbol for the US dollar and for the Australian dollar is $.
     * @returns a string
     */
    get symbol(): string | undefined;
    /**
     * Sets the symbol property value. The currency symbol. For example, the currency symbol for the US dollar and for the Australian dollar is $.
     * @param value Value to set for the symbol property.
     */
    set symbol(value: string | undefined);
}
