import { AnswerInputType } from './answerInputType';
import { Entity } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Represents a custom question of the business. */
export declare class BookingCustomQuestion extends Entity implements Parsable {
    /** The expected answer type. The possible values are: text, radioButton, unknownFutureValue. */
    private _answerInputType?;
    /** List of possible answer values. */
    private _answerOptions?;
    /** Display name of this entity. */
    private _displayName?;
    /**
     * Gets the answerInputType property value. The expected answer type. The possible values are: text, radioButton, unknownFutureValue.
     * @returns a answerInputType
     */
    get answerInputType(): AnswerInputType | undefined;
    /**
     * Sets the answerInputType property value. The expected answer type. The possible values are: text, radioButton, unknownFutureValue.
     * @param value Value to set for the answerInputType property.
     */
    set answerInputType(value: AnswerInputType | undefined);
    /**
     * Gets the answerOptions property value. List of possible answer values.
     * @returns a string
     */
    get answerOptions(): string[] | undefined;
    /**
     * Sets the answerOptions property value. List of possible answer values.
     * @param value Value to set for the answerOptions property.
     */
    set answerOptions(value: string[] | undefined);
    /**
     * Instantiates a new bookingCustomQuestion and sets the default values.
     */
    constructor();
    /**
     * Gets the displayName property value. Display name of this entity.
     * @returns a string
     */
    get displayName(): string | undefined;
    /**
     * Sets the displayName property value. Display name of this entity.
     * @param value Value to set for the displayName property.
     */
    set displayName(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
