"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BookingQuestionAssignment = void 0;
class BookingQuestionAssignment {
    /**
     * Instantiates a new bookingQuestionAssignment and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "isRequired": n => { this.isRequired = n.getBooleanValue(); },
            "questionId": n => { this.questionId = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the isRequired property value. Indicates whether it is mandatory to answer the custom question.
     * @returns a boolean
     */
    get isRequired() {
        return this._isRequired;
    }
    ;
    /**
     * Sets the isRequired property value. Indicates whether it is mandatory to answer the custom question.
     * @param value Value to set for the isRequired property.
     */
    set isRequired(value) {
        this._isRequired = value;
    }
    ;
    /**
     * Gets the questionId property value. If it is mandatory to answer the custom question.
     * @returns a string
     */
    get questionId() {
        return this._questionId;
    }
    ;
    /**
     * Sets the questionId property value. If it is mandatory to answer the custom question.
     * @param value Value to set for the questionId property.
     */
    set questionId(value) {
        this._questionId = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeBooleanValue("isRequired", this.isRequired);
        writer.writeStringValue("questionId", this.questionId);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.BookingQuestionAssignment = BookingQuestionAssignment;
