"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BookingReminder = void 0;
const bookingReminderRecipients_1 = require("./bookingReminderRecipients");
/** This type represents when and to whom to send an e-mail reminder. */
class BookingReminder {
    /**
     * Instantiates a new bookingReminder and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "message": n => { this.message = n.getStringValue(); },
            "offset": n => { this.offset = n.getDurationValue(); },
            "recipients": n => { this.recipients = n.getEnumValue(bookingReminderRecipients_1.BookingReminderRecipients); },
        };
    }
    ;
    /**
     * Gets the message property value. The message in the reminder.
     * @returns a string
     */
    get message() {
        return this._message;
    }
    ;
    /**
     * Sets the message property value. The message in the reminder.
     * @param value Value to set for the message property.
     */
    set message(value) {
        this._message = value;
    }
    ;
    /**
     * Gets the offset property value. The amount of time before the start of an appointment that the reminder should be sent. It's denoted in ISO 8601 format.
     * @returns a Duration
     */
    get offset() {
        return this._offset;
    }
    ;
    /**
     * Sets the offset property value. The amount of time before the start of an appointment that the reminder should be sent. It's denoted in ISO 8601 format.
     * @param value Value to set for the offset property.
     */
    set offset(value) {
        this._offset = value;
    }
    ;
    /**
     * Gets the recipients property value. The persons who should receive the reminder. Possible values are: allAttendees, staff, customer and unknownFutureValue.
     * @returns a bookingReminderRecipients
     */
    get recipients() {
        return this._recipients;
    }
    ;
    /**
     * Sets the recipients property value. The persons who should receive the reminder. Possible values are: allAttendees, staff, customer and unknownFutureValue.
     * @param value Value to set for the recipients property.
     */
    set recipients(value) {
        this._recipients = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("message", this.message);
        writer.writeDurationValue("offset", this.offset);
        writer.writeEnumValue("recipients", this.recipients);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.BookingReminder = BookingReminder;
