"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BookingSchedulingPolicy = void 0;
/** This type represents the set of policies that dictate how bookings can be created in a Booking Calendar. */
class BookingSchedulingPolicy {
    /**
     * Instantiates a new bookingSchedulingPolicy and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the allowStaffSelection property value. True if to allow customers to choose a specific person for the booking.
     * @returns a boolean
     */
    get allowStaffSelection() {
        return this._allowStaffSelection;
    }
    ;
    /**
     * Sets the allowStaffSelection property value. True if to allow customers to choose a specific person for the booking.
     * @param value Value to set for the allowStaffSelection property.
     */
    set allowStaffSelection(value) {
        this._allowStaffSelection = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "allowStaffSelection": n => { this.allowStaffSelection = n.getBooleanValue(); },
            "maximumAdvance": n => { this.maximumAdvance = n.getDurationValue(); },
            "minimumLeadTime": n => { this.minimumLeadTime = n.getDurationValue(); },
            "sendConfirmationsToOwner": n => { this.sendConfirmationsToOwner = n.getBooleanValue(); },
            "timeSlotInterval": n => { this.timeSlotInterval = n.getDurationValue(); },
        };
    }
    ;
    /**
     * Gets the maximumAdvance property value. Maximum number of days in advance that a booking can be made. It follows the ISO 8601 format.
     * @returns a Duration
     */
    get maximumAdvance() {
        return this._maximumAdvance;
    }
    ;
    /**
     * Sets the maximumAdvance property value. Maximum number of days in advance that a booking can be made. It follows the ISO 8601 format.
     * @param value Value to set for the maximumAdvance property.
     */
    set maximumAdvance(value) {
        this._maximumAdvance = value;
    }
    ;
    /**
     * Gets the minimumLeadTime property value. The minimum amount of time before which bookings and cancellations must be made. It follows the ISO 8601 format.
     * @returns a Duration
     */
    get minimumLeadTime() {
        return this._minimumLeadTime;
    }
    ;
    /**
     * Sets the minimumLeadTime property value. The minimum amount of time before which bookings and cancellations must be made. It follows the ISO 8601 format.
     * @param value Value to set for the minimumLeadTime property.
     */
    set minimumLeadTime(value) {
        this._minimumLeadTime = value;
    }
    ;
    /**
     * Gets the sendConfirmationsToOwner property value. True to notify the business via email when a booking is created or changed. Use the email address specified in the email property of the bookingBusiness entity for the business.
     * @returns a boolean
     */
    get sendConfirmationsToOwner() {
        return this._sendConfirmationsToOwner;
    }
    ;
    /**
     * Sets the sendConfirmationsToOwner property value. True to notify the business via email when a booking is created or changed. Use the email address specified in the email property of the bookingBusiness entity for the business.
     * @param value Value to set for the sendConfirmationsToOwner property.
     */
    set sendConfirmationsToOwner(value) {
        this._sendConfirmationsToOwner = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeBooleanValue("allowStaffSelection", this.allowStaffSelection);
        writer.writeDurationValue("maximumAdvance", this.maximumAdvance);
        writer.writeDurationValue("minimumLeadTime", this.minimumLeadTime);
        writer.writeBooleanValue("sendConfirmationsToOwner", this.sendConfirmationsToOwner);
        writer.writeDurationValue("timeSlotInterval", this.timeSlotInterval);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the timeSlotInterval property value. Duration of each time slot, denoted in ISO 8601 format.
     * @returns a Duration
     */
    get timeSlotInterval() {
        return this._timeSlotInterval;
    }
    ;
    /**
     * Sets the timeSlotInterval property value. Duration of each time slot, denoted in ISO 8601 format.
     * @param value Value to set for the timeSlotInterval property.
     */
    set timeSlotInterval(value) {
        this._timeSlotInterval = value;
    }
    ;
}
exports.BookingSchedulingPolicy = BookingSchedulingPolicy;
