"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BucketAggregationDefinition = void 0;
const bucketAggregationSortProperty_1 = require("./bucketAggregationSortProperty");
const createBucketAggregationRangeFromDiscriminatorValue_1 = require("./createBucketAggregationRangeFromDiscriminatorValue");
class BucketAggregationDefinition {
    /**
     * Instantiates a new bucketAggregationDefinition and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "isDescending": n => { this.isDescending = n.getBooleanValue(); },
            "minimumCount": n => { this.minimumCount = n.getNumberValue(); },
            "prefixFilter": n => { this.prefixFilter = n.getStringValue(); },
            "ranges": n => { this.ranges = n.getCollectionOfObjectValues(createBucketAggregationRangeFromDiscriminatorValue_1.createBucketAggregationRangeFromDiscriminatorValue); },
            "sortBy": n => { this.sortBy = n.getEnumValue(bucketAggregationSortProperty_1.BucketAggregationSortProperty); },
        };
    }
    ;
    /**
     * Gets the isDescending property value. True to specify the sort order as descending. The default is false, with the sort order as ascending. Optional.
     * @returns a boolean
     */
    get isDescending() {
        return this._isDescending;
    }
    ;
    /**
     * Sets the isDescending property value. True to specify the sort order as descending. The default is false, with the sort order as ascending. Optional.
     * @param value Value to set for the isDescending property.
     */
    set isDescending(value) {
        this._isDescending = value;
    }
    ;
    /**
     * Gets the minimumCount property value. The minimum number of items that should be present in the aggregation to be returned in a bucket. Optional.
     * @returns a integer
     */
    get minimumCount() {
        return this._minimumCount;
    }
    ;
    /**
     * Sets the minimumCount property value. The minimum number of items that should be present in the aggregation to be returned in a bucket. Optional.
     * @param value Value to set for the minimumCount property.
     */
    set minimumCount(value) {
        this._minimumCount = value;
    }
    ;
    /**
     * Gets the prefixFilter property value. A filter to define a matching criteria. The key should start with the specified prefix to be returned in the response. Optional.
     * @returns a string
     */
    get prefixFilter() {
        return this._prefixFilter;
    }
    ;
    /**
     * Sets the prefixFilter property value. A filter to define a matching criteria. The key should start with the specified prefix to be returned in the response. Optional.
     * @param value Value to set for the prefixFilter property.
     */
    set prefixFilter(value) {
        this._prefixFilter = value;
    }
    ;
    /**
     * Gets the ranges property value. Specifies the manual ranges to compute the aggregations. This is only valid for non-string refiners of date or numeric type. Optional.
     * @returns a bucketAggregationRange
     */
    get ranges() {
        return this._ranges;
    }
    ;
    /**
     * Sets the ranges property value. Specifies the manual ranges to compute the aggregations. This is only valid for non-string refiners of date or numeric type. Optional.
     * @param value Value to set for the ranges property.
     */
    set ranges(value) {
        this._ranges = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeBooleanValue("isDescending", this.isDescending);
        writer.writeNumberValue("minimumCount", this.minimumCount);
        writer.writeStringValue("prefixFilter", this.prefixFilter);
        writer.writeCollectionOfObjectValues("ranges", this.ranges);
        writer.writeEnumValue("sortBy", this.sortBy);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the sortBy property value. The possible values are count to sort by the number of matches in the aggregation, keyAsStringto sort alphabeticaly based on the key in the aggregation, keyAsNumber for numerical sorting based on the key in the aggregation. Required.
     * @returns a bucketAggregationSortProperty
     */
    get sortBy() {
        return this._sortBy;
    }
    ;
    /**
     * Sets the sortBy property value. The possible values are count to sort by the number of matches in the aggregation, keyAsStringto sort alphabeticaly based on the key in the aggregation, keyAsNumber for numerical sorting based on the key in the aggregation. Required.
     * @param value Value to set for the sortBy property.
     */
    set sortBy(value) {
        this._sortBy = value;
    }
    ;
}
exports.BucketAggregationDefinition = BucketAggregationDefinition;
