"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CalculatedColumn = void 0;
class CalculatedColumn {
    /**
     * Instantiates a new calculatedColumn and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the format property value. For dateTime output types, the format of the value. Must be one of dateOnly or dateTime.
     * @returns a string
     */
    get format() {
        return this._format;
    }
    ;
    /**
     * Sets the format property value. For dateTime output types, the format of the value. Must be one of dateOnly or dateTime.
     * @param value Value to set for the format property.
     */
    set format(value) {
        this._format = value;
    }
    ;
    /**
     * Gets the formula property value. The formula used to compute the value for this column.
     * @returns a string
     */
    get formula() {
        return this._formula;
    }
    ;
    /**
     * Sets the formula property value. The formula used to compute the value for this column.
     * @param value Value to set for the formula property.
     */
    set formula(value) {
        this._formula = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "format": n => { this.format = n.getStringValue(); },
            "formula": n => { this.formula = n.getStringValue(); },
            "outputType": n => { this.outputType = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the outputType property value. The output type used to format values in this column. Must be one of boolean, currency, dateTime, number, or text.
     * @returns a string
     */
    get outputType() {
        return this._outputType;
    }
    ;
    /**
     * Sets the outputType property value. The output type used to format values in this column. Must be one of boolean, currency, dateTime, number, or text.
     * @param value Value to set for the outputType property.
     */
    set outputType(value) {
        this._outputType = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("format", this.format);
        writer.writeStringValue("formula", this.formula);
        writer.writeStringValue("outputType", this.outputType);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.CalculatedColumn = CalculatedColumn;
