"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Calendar = void 0;
const calendarColor_1 = require("./calendarColor");
const createCalendarPermissionFromDiscriminatorValue_1 = require("./createCalendarPermissionFromDiscriminatorValue");
const createEmailAddressFromDiscriminatorValue_1 = require("./createEmailAddressFromDiscriminatorValue");
const createEventFromDiscriminatorValue_1 = require("./createEventFromDiscriminatorValue");
const createMultiValueLegacyExtendedPropertyFromDiscriminatorValue_1 = require("./createMultiValueLegacyExtendedPropertyFromDiscriminatorValue");
const createSingleValueLegacyExtendedPropertyFromDiscriminatorValue_1 = require("./createSingleValueLegacyExtendedPropertyFromDiscriminatorValue");
const index_1 = require("./index");
const onlineMeetingProviderType_1 = require("./onlineMeetingProviderType");
/** Casts the previous resource to user. */
class Calendar extends index_1.Entity {
    /**
     * Instantiates a new calendar and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the allowedOnlineMeetingProviders property value. Represent the online meeting service providers that can be used to create online meetings in this calendar. Possible values are: unknown, skypeForBusiness, skypeForConsumer, teamsForBusiness.
     * @returns a string
     */
    get allowedOnlineMeetingProviders() {
        return this._allowedOnlineMeetingProviders;
    }
    ;
    /**
     * Sets the allowedOnlineMeetingProviders property value. Represent the online meeting service providers that can be used to create online meetings in this calendar. Possible values are: unknown, skypeForBusiness, skypeForConsumer, teamsForBusiness.
     * @param value Value to set for the allowedOnlineMeetingProviders property.
     */
    set allowedOnlineMeetingProviders(value) {
        this._allowedOnlineMeetingProviders = value;
    }
    ;
    /**
     * Gets the calendarPermissions property value. The permissions of the users with whom the calendar is shared.
     * @returns a calendarPermission
     */
    get calendarPermissions() {
        return this._calendarPermissions;
    }
    ;
    /**
     * Sets the calendarPermissions property value. The permissions of the users with whom the calendar is shared.
     * @param value Value to set for the calendarPermissions property.
     */
    set calendarPermissions(value) {
        this._calendarPermissions = value;
    }
    ;
    /**
     * Gets the calendarView property value. The calendar view for the calendar. Navigation property. Read-only.
     * @returns a event
     */
    get calendarView() {
        return this._calendarView;
    }
    ;
    /**
     * Sets the calendarView property value. The calendar view for the calendar. Navigation property. Read-only.
     * @param value Value to set for the calendarView property.
     */
    set calendarView(value) {
        this._calendarView = value;
    }
    ;
    /**
     * Gets the canEdit property value. true if the user can write to the calendar, false otherwise. This property is true for the user who created the calendar. This property is also true for a user who has been shared a calendar and granted write access, through an Outlook client or the corresponding calendarPermission resource. Read-only.
     * @returns a boolean
     */
    get canEdit() {
        return this._canEdit;
    }
    ;
    /**
     * Sets the canEdit property value. true if the user can write to the calendar, false otherwise. This property is true for the user who created the calendar. This property is also true for a user who has been shared a calendar and granted write access, through an Outlook client or the corresponding calendarPermission resource. Read-only.
     * @param value Value to set for the canEdit property.
     */
    set canEdit(value) {
        this._canEdit = value;
    }
    ;
    /**
     * Gets the canShare property value. true if the user has the permission to share the calendar, false otherwise. Only the user who created the calendar can share it. Read-only.
     * @returns a boolean
     */
    get canShare() {
        return this._canShare;
    }
    ;
    /**
     * Sets the canShare property value. true if the user has the permission to share the calendar, false otherwise. Only the user who created the calendar can share it. Read-only.
     * @param value Value to set for the canShare property.
     */
    set canShare(value) {
        this._canShare = value;
    }
    ;
    /**
     * Gets the canViewPrivateItems property value. true if the user can read calendar items that have been marked private, false otherwise. This property is set through an Outlook client or the corresponding calendarPermission resource. Read-only.
     * @returns a boolean
     */
    get canViewPrivateItems() {
        return this._canViewPrivateItems;
    }
    ;
    /**
     * Sets the canViewPrivateItems property value. true if the user can read calendar items that have been marked private, false otherwise. This property is set through an Outlook client or the corresponding calendarPermission resource. Read-only.
     * @param value Value to set for the canViewPrivateItems property.
     */
    set canViewPrivateItems(value) {
        this._canViewPrivateItems = value;
    }
    ;
    /**
     * Gets the changeKey property value. Identifies the version of the calendar object. Every time the calendar is changed, changeKey changes as well. This allows Exchange to apply changes to the correct version of the object. Read-only.
     * @returns a string
     */
    get changeKey() {
        return this._changeKey;
    }
    ;
    /**
     * Sets the changeKey property value. Identifies the version of the calendar object. Every time the calendar is changed, changeKey changes as well. This allows Exchange to apply changes to the correct version of the object. Read-only.
     * @param value Value to set for the changeKey property.
     */
    set changeKey(value) {
        this._changeKey = value;
    }
    ;
    /**
     * Gets the color property value. Specifies the color theme to distinguish the calendar from other calendars in a UI. The property values are: auto, lightBlue, lightGreen, lightOrange, lightGray, lightYellow, lightTeal, lightPink, lightBrown, lightRed, maxColor.
     * @returns a calendarColor
     */
    get color() {
        return this._color;
    }
    ;
    /**
     * Sets the color property value. Specifies the color theme to distinguish the calendar from other calendars in a UI. The property values are: auto, lightBlue, lightGreen, lightOrange, lightGray, lightYellow, lightTeal, lightPink, lightBrown, lightRed, maxColor.
     * @param value Value to set for the color property.
     */
    set color(value) {
        this._color = value;
    }
    ;
    ;
    /**
     * Gets the defaultOnlineMeetingProvider property value. The default online meeting provider for meetings sent from this calendar. Possible values are: unknown, skypeForBusiness, skypeForConsumer, teamsForBusiness.
     * @returns a onlineMeetingProviderType
     */
    get defaultOnlineMeetingProvider() {
        return this._defaultOnlineMeetingProvider;
    }
    ;
    /**
     * Sets the defaultOnlineMeetingProvider property value. The default online meeting provider for meetings sent from this calendar. Possible values are: unknown, skypeForBusiness, skypeForConsumer, teamsForBusiness.
     * @param value Value to set for the defaultOnlineMeetingProvider property.
     */
    set defaultOnlineMeetingProvider(value) {
        this._defaultOnlineMeetingProvider = value;
    }
    ;
    /**
     * Gets the events property value. The events in the calendar. Navigation property. Read-only.
     * @returns a event
     */
    get events() {
        return this._events;
    }
    ;
    /**
     * Sets the events property value. The events in the calendar. Navigation property. Read-only.
     * @param value Value to set for the events property.
     */
    set events(value) {
        this._events = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "allowedOnlineMeetingProviders": n => { this.allowedOnlineMeetingProviders = n.getCollectionOfPrimitiveValues(); }, "calendarPermissions": n => { this.calendarPermissions = n.getCollectionOfObjectValues(createCalendarPermissionFromDiscriminatorValue_1.createCalendarPermissionFromDiscriminatorValue); }, "calendarView": n => { this.calendarView = n.getCollectionOfObjectValues(createEventFromDiscriminatorValue_1.createEventFromDiscriminatorValue); }, "canEdit": n => { this.canEdit = n.getBooleanValue(); }, "canShare": n => { this.canShare = n.getBooleanValue(); }, "canViewPrivateItems": n => { this.canViewPrivateItems = n.getBooleanValue(); }, "changeKey": n => { this.changeKey = n.getStringValue(); }, "color": n => { this.color = n.getEnumValue(calendarColor_1.CalendarColor); }, "defaultOnlineMeetingProvider": n => { this.defaultOnlineMeetingProvider = n.getEnumValue(onlineMeetingProviderType_1.OnlineMeetingProviderType); }, "events": n => { this.events = n.getCollectionOfObjectValues(createEventFromDiscriminatorValue_1.createEventFromDiscriminatorValue); }, "hexColor": n => { this.hexColor = n.getStringValue(); }, "isDefaultCalendar": n => { this.isDefaultCalendar = n.getBooleanValue(); }, "isRemovable": n => { this.isRemovable = n.getBooleanValue(); }, "isTallyingResponses": n => { this.isTallyingResponses = n.getBooleanValue(); }, "multiValueExtendedProperties": n => { this.multiValueExtendedProperties = n.getCollectionOfObjectValues(createMultiValueLegacyExtendedPropertyFromDiscriminatorValue_1.createMultiValueLegacyExtendedPropertyFromDiscriminatorValue); }, "name": n => { this.name = n.getStringValue(); }, "owner": n => { this.owner = n.getObjectValue(createEmailAddressFromDiscriminatorValue_1.createEmailAddressFromDiscriminatorValue); }, "singleValueExtendedProperties": n => { this.singleValueExtendedProperties = n.getCollectionOfObjectValues(createSingleValueLegacyExtendedPropertyFromDiscriminatorValue_1.createSingleValueLegacyExtendedPropertyFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the hexColor property value. The calendar color, expressed in a hex color code of three hexadecimal values, each ranging from 00 to FF and representing the red, green, or blue components of the color in the RGB color space. If the user has never explicitly set a color for the calendar, this property is  empty.
     * @returns a string
     */
    get hexColor() {
        return this._hexColor;
    }
    ;
    /**
     * Sets the hexColor property value. The calendar color, expressed in a hex color code of three hexadecimal values, each ranging from 00 to FF and representing the red, green, or blue components of the color in the RGB color space. If the user has never explicitly set a color for the calendar, this property is  empty.
     * @param value Value to set for the hexColor property.
     */
    set hexColor(value) {
        this._hexColor = value;
    }
    ;
    /**
     * Gets the isDefaultCalendar property value. true if this is the default calendar where new events are created by default, false otherwise.
     * @returns a boolean
     */
    get isDefaultCalendar() {
        return this._isDefaultCalendar;
    }
    ;
    /**
     * Sets the isDefaultCalendar property value. true if this is the default calendar where new events are created by default, false otherwise.
     * @param value Value to set for the isDefaultCalendar property.
     */
    set isDefaultCalendar(value) {
        this._isDefaultCalendar = value;
    }
    ;
    /**
     * Gets the isRemovable property value. Indicates whether this user calendar can be deleted from the user mailbox.
     * @returns a boolean
     */
    get isRemovable() {
        return this._isRemovable;
    }
    ;
    /**
     * Sets the isRemovable property value. Indicates whether this user calendar can be deleted from the user mailbox.
     * @param value Value to set for the isRemovable property.
     */
    set isRemovable(value) {
        this._isRemovable = value;
    }
    ;
    /**
     * Gets the isTallyingResponses property value. Indicates whether this user calendar supports tracking of meeting responses. Only meeting invites sent from users' primary calendars support tracking of meeting responses.
     * @returns a boolean
     */
    get isTallyingResponses() {
        return this._isTallyingResponses;
    }
    ;
    /**
     * Sets the isTallyingResponses property value. Indicates whether this user calendar supports tracking of meeting responses. Only meeting invites sent from users' primary calendars support tracking of meeting responses.
     * @param value Value to set for the isTallyingResponses property.
     */
    set isTallyingResponses(value) {
        this._isTallyingResponses = value;
    }
    ;
    /**
     * Gets the multiValueExtendedProperties property value. The collection of multi-value extended properties defined for the calendar. Read-only. Nullable.
     * @returns a multiValueLegacyExtendedProperty
     */
    get multiValueExtendedProperties() {
        return this._multiValueExtendedProperties;
    }
    ;
    /**
     * Sets the multiValueExtendedProperties property value. The collection of multi-value extended properties defined for the calendar. Read-only. Nullable.
     * @param value Value to set for the multiValueExtendedProperties property.
     */
    set multiValueExtendedProperties(value) {
        this._multiValueExtendedProperties = value;
    }
    ;
    /**
     * Gets the name property value. The calendar name.
     * @returns a string
     */
    get name() {
        return this._name;
    }
    ;
    /**
     * Sets the name property value. The calendar name.
     * @param value Value to set for the name property.
     */
    set name(value) {
        this._name = value;
    }
    ;
    /**
     * Gets the owner property value. If set, this represents the user who created or added the calendar. For a calendar that the user created or added, the owner property is set to the user. For a calendar shared with the user, the owner property is set to the person who shared that calendar with the user. Read-only.
     * @returns a emailAddress
     */
    get owner() {
        return this._owner;
    }
    ;
    /**
     * Sets the owner property value. If set, this represents the user who created or added the calendar. For a calendar that the user created or added, the owner property is set to the user. For a calendar shared with the user, the owner property is set to the person who shared that calendar with the user. Read-only.
     * @param value Value to set for the owner property.
     */
    set owner(value) {
        this._owner = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfPrimitiveValues("allowedOnlineMeetingProviders", this.allowedOnlineMeetingProviders);
        writer.writeCollectionOfObjectValues("calendarPermissions", this.calendarPermissions);
        writer.writeCollectionOfObjectValues("calendarView", this.calendarView);
        writer.writeBooleanValue("canEdit", this.canEdit);
        writer.writeBooleanValue("canShare", this.canShare);
        writer.writeBooleanValue("canViewPrivateItems", this.canViewPrivateItems);
        writer.writeStringValue("changeKey", this.changeKey);
        writer.writeEnumValue("color", this.color);
        writer.writeEnumValue("defaultOnlineMeetingProvider", this.defaultOnlineMeetingProvider);
        writer.writeCollectionOfObjectValues("events", this.events);
        writer.writeStringValue("hexColor", this.hexColor);
        writer.writeBooleanValue("isDefaultCalendar", this.isDefaultCalendar);
        writer.writeBooleanValue("isRemovable", this.isRemovable);
        writer.writeBooleanValue("isTallyingResponses", this.isTallyingResponses);
        writer.writeCollectionOfObjectValues("multiValueExtendedProperties", this.multiValueExtendedProperties);
        writer.writeStringValue("name", this.name);
        writer.writeObjectValue("owner", this.owner);
        writer.writeCollectionOfObjectValues("singleValueExtendedProperties", this.singleValueExtendedProperties);
    }
    ;
    /**
     * Gets the singleValueExtendedProperties property value. The collection of single-value extended properties defined for the calendar. Read-only. Nullable.
     * @returns a singleValueLegacyExtendedProperty
     */
    get singleValueExtendedProperties() {
        return this._singleValueExtendedProperties;
    }
    ;
    /**
     * Sets the singleValueExtendedProperties property value. The collection of single-value extended properties defined for the calendar. Read-only. Nullable.
     * @param value Value to set for the singleValueExtendedProperties property.
     */
    set singleValueExtendedProperties(value) {
        this._singleValueExtendedProperties = value;
    }
    ;
}
exports.Calendar = Calendar;
