"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CalendarPermission = void 0;
const calendarRoleType_1 = require("./calendarRoleType");
const createEmailAddressFromDiscriminatorValue_1 = require("./createEmailAddressFromDiscriminatorValue");
const index_1 = require("./index");
/** Casts the previous resource to user. */
class CalendarPermission extends index_1.Entity {
    /**
     * Instantiates a new calendarPermission and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the allowedRoles property value. List of allowed sharing or delegating permission levels for the calendar. Possible values are: none, freeBusyRead, limitedRead, read, write, delegateWithoutPrivateEventAccess, delegateWithPrivateEventAccess, custom.
     * @returns a string
     */
    get allowedRoles() {
        return this._allowedRoles;
    }
    ;
    /**
     * Sets the allowedRoles property value. List of allowed sharing or delegating permission levels for the calendar. Possible values are: none, freeBusyRead, limitedRead, read, write, delegateWithoutPrivateEventAccess, delegateWithPrivateEventAccess, custom.
     * @param value Value to set for the allowedRoles property.
     */
    set allowedRoles(value) {
        this._allowedRoles = value;
    }
    ;
    ;
    /**
     * Gets the emailAddress property value. Represents a sharee or delegate who has access to the calendar. For the 'My Organization' sharee, the address property is null. Read-only.
     * @returns a emailAddress
     */
    get emailAddress() {
        return this._emailAddress;
    }
    ;
    /**
     * Sets the emailAddress property value. Represents a sharee or delegate who has access to the calendar. For the 'My Organization' sharee, the address property is null. Read-only.
     * @param value Value to set for the emailAddress property.
     */
    set emailAddress(value) {
        this._emailAddress = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "allowedRoles": n => { this.allowedRoles = n.getCollectionOfPrimitiveValues(); }, "emailAddress": n => { this.emailAddress = n.getObjectValue(createEmailAddressFromDiscriminatorValue_1.createEmailAddressFromDiscriminatorValue); }, "isInsideOrganization": n => { this.isInsideOrganization = n.getBooleanValue(); }, "isRemovable": n => { this.isRemovable = n.getBooleanValue(); }, "role": n => { this.role = n.getEnumValue(calendarRoleType_1.CalendarRoleType); } });
    }
    ;
    /**
     * Gets the isInsideOrganization property value. True if the user in context (sharee or delegate) is inside the same organization as the calendar owner.
     * @returns a boolean
     */
    get isInsideOrganization() {
        return this._isInsideOrganization;
    }
    ;
    /**
     * Sets the isInsideOrganization property value. True if the user in context (sharee or delegate) is inside the same organization as the calendar owner.
     * @param value Value to set for the isInsideOrganization property.
     */
    set isInsideOrganization(value) {
        this._isInsideOrganization = value;
    }
    ;
    /**
     * Gets the isRemovable property value. True if the user can be removed from the list of sharees or delegates for the specified calendar, false otherwise. The 'My organization' user determines the permissions other people within your organization have to the given calendar. You cannot remove 'My organization' as a sharee to a calendar.
     * @returns a boolean
     */
    get isRemovable() {
        return this._isRemovable;
    }
    ;
    /**
     * Sets the isRemovable property value. True if the user can be removed from the list of sharees or delegates for the specified calendar, false otherwise. The 'My organization' user determines the permissions other people within your organization have to the given calendar. You cannot remove 'My organization' as a sharee to a calendar.
     * @param value Value to set for the isRemovable property.
     */
    set isRemovable(value) {
        this._isRemovable = value;
    }
    ;
    /**
     * Gets the role property value. Current permission level of the calendar sharee or delegate.
     * @returns a calendarRoleType
     */
    get role() {
        return this._role;
    }
    ;
    /**
     * Sets the role property value. Current permission level of the calendar sharee or delegate.
     * @param value Value to set for the role property.
     */
    set role(value) {
        this._role = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfPrimitiveValues("allowedRoles", this.allowedRoles);
        writer.writeObjectValue("emailAddress", this.emailAddress);
        writer.writeBooleanValue("isInsideOrganization", this.isInsideOrganization);
        writer.writeBooleanValue("isRemovable", this.isRemovable);
        writer.writeEnumValue("role", this.role);
    }
    ;
}
exports.CalendarPermission = CalendarPermission;
