"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Call = void 0;
const callDirection_1 = require("./callDirection");
const callState_1 = require("./callState");
const createAudioRoutingGroupFromDiscriminatorValue_1 = require("./createAudioRoutingGroupFromDiscriminatorValue");
const createCallMediaStateFromDiscriminatorValue_1 = require("./createCallMediaStateFromDiscriminatorValue");
const createCallOptionsFromDiscriminatorValue_1 = require("./createCallOptionsFromDiscriminatorValue");
const createCallRouteFromDiscriminatorValue_1 = require("./createCallRouteFromDiscriminatorValue");
const createCallTranscriptionInfoFromDiscriminatorValue_1 = require("./createCallTranscriptionInfoFromDiscriminatorValue");
const createChatInfoFromDiscriminatorValue_1 = require("./createChatInfoFromDiscriminatorValue");
const createCommsOperationFromDiscriminatorValue_1 = require("./createCommsOperationFromDiscriminatorValue");
const createIncomingContextFromDiscriminatorValue_1 = require("./createIncomingContextFromDiscriminatorValue");
const createInvitationParticipantInfoFromDiscriminatorValue_1 = require("./createInvitationParticipantInfoFromDiscriminatorValue");
const createMediaConfigFromDiscriminatorValue_1 = require("./createMediaConfigFromDiscriminatorValue");
const createMeetingInfoFromDiscriminatorValue_1 = require("./createMeetingInfoFromDiscriminatorValue");
const createParticipantFromDiscriminatorValue_1 = require("./createParticipantFromDiscriminatorValue");
const createParticipantInfoFromDiscriminatorValue_1 = require("./createParticipantInfoFromDiscriminatorValue");
const createResultInfoFromDiscriminatorValue_1 = require("./createResultInfoFromDiscriminatorValue");
const createToneInfoFromDiscriminatorValue_1 = require("./createToneInfoFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the cloudCommunications singleton. */
class Call extends index_1.Entity {
    /**
     * Instantiates a new call and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the audioRoutingGroups property value. Read-only. Nullable.
     * @returns a audioRoutingGroup
     */
    get audioRoutingGroups() {
        return this._audioRoutingGroups;
    }
    ;
    /**
     * Sets the audioRoutingGroups property value. Read-only. Nullable.
     * @param value Value to set for the audioRoutingGroups property.
     */
    set audioRoutingGroups(value) {
        this._audioRoutingGroups = value;
    }
    ;
    /**
     * Gets the callbackUri property value. The callback URL on which callbacks will be delivered. Must be https.
     * @returns a string
     */
    get callbackUri() {
        return this._callbackUri;
    }
    ;
    /**
     * Sets the callbackUri property value. The callback URL on which callbacks will be delivered. Must be https.
     * @param value Value to set for the callbackUri property.
     */
    set callbackUri(value) {
        this._callbackUri = value;
    }
    ;
    /**
     * Gets the callChainId property value. A unique identifier for all the participant calls in a conference or a unique identifier for two participant calls in a P2P call.  This needs to be copied over from Microsoft.Graph.Call.CallChainId.
     * @returns a string
     */
    get callChainId() {
        return this._callChainId;
    }
    ;
    /**
     * Sets the callChainId property value. A unique identifier for all the participant calls in a conference or a unique identifier for two participant calls in a P2P call.  This needs to be copied over from Microsoft.Graph.Call.CallChainId.
     * @param value Value to set for the callChainId property.
     */
    set callChainId(value) {
        this._callChainId = value;
    }
    ;
    /**
     * Gets the callOptions property value. Contains the optional features for the call.
     * @returns a callOptions
     */
    get callOptions() {
        return this._callOptions;
    }
    ;
    /**
     * Sets the callOptions property value. Contains the optional features for the call.
     * @param value Value to set for the callOptions property.
     */
    set callOptions(value) {
        this._callOptions = value;
    }
    ;
    /**
     * Gets the callRoutes property value. The routing information on how the call was retargeted. Read-only.
     * @returns a callRoute
     */
    get callRoutes() {
        return this._callRoutes;
    }
    ;
    /**
     * Sets the callRoutes property value. The routing information on how the call was retargeted. Read-only.
     * @param value Value to set for the callRoutes property.
     */
    set callRoutes(value) {
        this._callRoutes = value;
    }
    ;
    /**
     * Gets the chatInfo property value. The chat information. Required information for meeting scenarios.
     * @returns a chatInfo
     */
    get chatInfo() {
        return this._chatInfo;
    }
    ;
    /**
     * Sets the chatInfo property value. The chat information. Required information for meeting scenarios.
     * @param value Value to set for the chatInfo property.
     */
    set chatInfo(value) {
        this._chatInfo = value;
    }
    ;
    ;
    /**
     * Gets the direction property value. The direction of the call. The possible value are incoming or outgoing. Read-only.
     * @returns a callDirection
     */
    get direction() {
        return this._direction;
    }
    ;
    /**
     * Sets the direction property value. The direction of the call. The possible value are incoming or outgoing. Read-only.
     * @param value Value to set for the direction property.
     */
    set direction(value) {
        this._direction = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "audioRoutingGroups": n => { this.audioRoutingGroups = n.getCollectionOfObjectValues(createAudioRoutingGroupFromDiscriminatorValue_1.createAudioRoutingGroupFromDiscriminatorValue); }, "callbackUri": n => { this.callbackUri = n.getStringValue(); }, "callChainId": n => { this.callChainId = n.getStringValue(); }, "callOptions": n => { this.callOptions = n.getObjectValue(createCallOptionsFromDiscriminatorValue_1.createCallOptionsFromDiscriminatorValue); }, "callRoutes": n => { this.callRoutes = n.getCollectionOfObjectValues(createCallRouteFromDiscriminatorValue_1.createCallRouteFromDiscriminatorValue); }, "chatInfo": n => { this.chatInfo = n.getObjectValue(createChatInfoFromDiscriminatorValue_1.createChatInfoFromDiscriminatorValue); }, "direction": n => { this.direction = n.getEnumValue(callDirection_1.CallDirection); }, "incomingContext": n => { this.incomingContext = n.getObjectValue(createIncomingContextFromDiscriminatorValue_1.createIncomingContextFromDiscriminatorValue); }, "mediaConfig": n => { this.mediaConfig = n.getObjectValue(createMediaConfigFromDiscriminatorValue_1.createMediaConfigFromDiscriminatorValue); }, "mediaState": n => { this.mediaState = n.getObjectValue(createCallMediaStateFromDiscriminatorValue_1.createCallMediaStateFromDiscriminatorValue); }, "meetingInfo": n => { this.meetingInfo = n.getObjectValue(createMeetingInfoFromDiscriminatorValue_1.createMeetingInfoFromDiscriminatorValue); }, "myParticipantId": n => { this.myParticipantId = n.getStringValue(); }, "operations": n => { this.operations = n.getCollectionOfObjectValues(createCommsOperationFromDiscriminatorValue_1.createCommsOperationFromDiscriminatorValue); }, "participants": n => { this.participants = n.getCollectionOfObjectValues(createParticipantFromDiscriminatorValue_1.createParticipantFromDiscriminatorValue); }, "requestedModalities": n => { this.requestedModalities = n.getCollectionOfPrimitiveValues(); }, "resultInfo": n => { this.resultInfo = n.getObjectValue(createResultInfoFromDiscriminatorValue_1.createResultInfoFromDiscriminatorValue); }, "source": n => { this.source = n.getObjectValue(createParticipantInfoFromDiscriminatorValue_1.createParticipantInfoFromDiscriminatorValue); }, "state": n => { this.state = n.getEnumValue(callState_1.CallState); }, "subject": n => { this.subject = n.getStringValue(); }, "targets": n => { this.targets = n.getCollectionOfObjectValues(createInvitationParticipantInfoFromDiscriminatorValue_1.createInvitationParticipantInfoFromDiscriminatorValue); }, "tenantId": n => { this.tenantId = n.getStringValue(); }, "toneInfo": n => { this.toneInfo = n.getObjectValue(createToneInfoFromDiscriminatorValue_1.createToneInfoFromDiscriminatorValue); }, "transcription": n => { this.transcription = n.getObjectValue(createCallTranscriptionInfoFromDiscriminatorValue_1.createCallTranscriptionInfoFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the incomingContext property value. The context associated with an incoming call. Read-only. Server generated.
     * @returns a incomingContext
     */
    get incomingContext() {
        return this._incomingContext;
    }
    ;
    /**
     * Sets the incomingContext property value. The context associated with an incoming call. Read-only. Server generated.
     * @param value Value to set for the incomingContext property.
     */
    set incomingContext(value) {
        this._incomingContext = value;
    }
    ;
    /**
     * Gets the mediaConfig property value. The media configuration. Required information for creating peer to peer calls or joining meetings.
     * @returns a mediaConfig
     */
    get mediaConfig() {
        return this._mediaConfig;
    }
    ;
    /**
     * Sets the mediaConfig property value. The media configuration. Required information for creating peer to peer calls or joining meetings.
     * @param value Value to set for the mediaConfig property.
     */
    set mediaConfig(value) {
        this._mediaConfig = value;
    }
    ;
    /**
     * Gets the mediaState property value. Read-only. The call media state.
     * @returns a callMediaState
     */
    get mediaState() {
        return this._mediaState;
    }
    ;
    /**
     * Sets the mediaState property value. Read-only. The call media state.
     * @param value Value to set for the mediaState property.
     */
    set mediaState(value) {
        this._mediaState = value;
    }
    ;
    /**
     * Gets the meetingInfo property value. The meeting information. Required information for meeting scenarios.
     * @returns a meetingInfo
     */
    get meetingInfo() {
        return this._meetingInfo;
    }
    ;
    /**
     * Sets the meetingInfo property value. The meeting information. Required information for meeting scenarios.
     * @param value Value to set for the meetingInfo property.
     */
    set meetingInfo(value) {
        this._meetingInfo = value;
    }
    ;
    /**
     * Gets the myParticipantId property value. The myParticipantId property
     * @returns a string
     */
    get myParticipantId() {
        return this._myParticipantId;
    }
    ;
    /**
     * Sets the myParticipantId property value. The myParticipantId property
     * @param value Value to set for the myParticipantId property.
     */
    set myParticipantId(value) {
        this._myParticipantId = value;
    }
    ;
    /**
     * Gets the operations property value. Read-only. Nullable.
     * @returns a commsOperation
     */
    get operations() {
        return this._operations;
    }
    ;
    /**
     * Sets the operations property value. Read-only. Nullable.
     * @param value Value to set for the operations property.
     */
    set operations(value) {
        this._operations = value;
    }
    ;
    /**
     * Gets the participants property value. Read-only. Nullable.
     * @returns a participant
     */
    get participants() {
        return this._participants;
    }
    ;
    /**
     * Sets the participants property value. Read-only. Nullable.
     * @param value Value to set for the participants property.
     */
    set participants(value) {
        this._participants = value;
    }
    ;
    /**
     * Gets the requestedModalities property value. The requestedModalities property
     * @returns a string
     */
    get requestedModalities() {
        return this._requestedModalities;
    }
    ;
    /**
     * Sets the requestedModalities property value. The requestedModalities property
     * @param value Value to set for the requestedModalities property.
     */
    set requestedModalities(value) {
        this._requestedModalities = value;
    }
    ;
    /**
     * Gets the resultInfo property value. The resultInfo property
     * @returns a resultInfo
     */
    get resultInfo() {
        return this._resultInfo;
    }
    ;
    /**
     * Sets the resultInfo property value. The resultInfo property
     * @param value Value to set for the resultInfo property.
     */
    set resultInfo(value) {
        this._resultInfo = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("audioRoutingGroups", this.audioRoutingGroups);
        writer.writeStringValue("callbackUri", this.callbackUri);
        writer.writeStringValue("callChainId", this.callChainId);
        writer.writeObjectValue("callOptions", this.callOptions);
        writer.writeCollectionOfObjectValues("callRoutes", this.callRoutes);
        writer.writeObjectValue("chatInfo", this.chatInfo);
        writer.writeEnumValue("direction", this.direction);
        writer.writeObjectValue("incomingContext", this.incomingContext);
        writer.writeObjectValue("mediaConfig", this.mediaConfig);
        writer.writeObjectValue("mediaState", this.mediaState);
        writer.writeObjectValue("meetingInfo", this.meetingInfo);
        writer.writeStringValue("myParticipantId", this.myParticipantId);
        writer.writeCollectionOfObjectValues("operations", this.operations);
        writer.writeCollectionOfObjectValues("participants", this.participants);
        writer.writeCollectionOfPrimitiveValues("requestedModalities", this.requestedModalities);
        writer.writeObjectValue("resultInfo", this.resultInfo);
        writer.writeObjectValue("source", this.source);
        writer.writeEnumValue("state", this.state);
        writer.writeStringValue("subject", this.subject);
        writer.writeCollectionOfObjectValues("targets", this.targets);
        writer.writeStringValue("tenantId", this.tenantId);
        writer.writeObjectValue("toneInfo", this.toneInfo);
        writer.writeObjectValue("transcription", this.transcription);
    }
    ;
    /**
     * Gets the source property value. The source property
     * @returns a participantInfo
     */
    get source() {
        return this._source;
    }
    ;
    /**
     * Sets the source property value. The source property
     * @param value Value to set for the source property.
     */
    set source(value) {
        this._source = value;
    }
    ;
    /**
     * Gets the state property value. The state property
     * @returns a callState
     */
    get state() {
        return this._state;
    }
    ;
    /**
     * Sets the state property value. The state property
     * @param value Value to set for the state property.
     */
    set state(value) {
        this._state = value;
    }
    ;
    /**
     * Gets the subject property value. The subject property
     * @returns a string
     */
    get subject() {
        return this._subject;
    }
    ;
    /**
     * Sets the subject property value. The subject property
     * @param value Value to set for the subject property.
     */
    set subject(value) {
        this._subject = value;
    }
    ;
    /**
     * Gets the targets property value. The targets property
     * @returns a invitationParticipantInfo
     */
    get targets() {
        return this._targets;
    }
    ;
    /**
     * Sets the targets property value. The targets property
     * @param value Value to set for the targets property.
     */
    set targets(value) {
        this._targets = value;
    }
    ;
    /**
     * Gets the tenantId property value. The tenantId property
     * @returns a string
     */
    get tenantId() {
        return this._tenantId;
    }
    ;
    /**
     * Sets the tenantId property value. The tenantId property
     * @param value Value to set for the tenantId property.
     */
    set tenantId(value) {
        this._tenantId = value;
    }
    ;
    /**
     * Gets the toneInfo property value. The toneInfo property
     * @returns a toneInfo
     */
    get toneInfo() {
        return this._toneInfo;
    }
    ;
    /**
     * Sets the toneInfo property value. The toneInfo property
     * @param value Value to set for the toneInfo property.
     */
    set toneInfo(value) {
        this._toneInfo = value;
    }
    ;
    /**
     * Gets the transcription property value. The transcription information for the call. Read-only.
     * @returns a callTranscriptionInfo
     */
    get transcription() {
        return this._transcription;
    }
    ;
    /**
     * Sets the transcription property value. The transcription information for the call. Read-only.
     * @param value Value to set for the transcription property.
     */
    set transcription(value) {
        this._transcription = value;
    }
    ;
}
exports.Call = Call;
