"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CallRecord = void 0;
const __1 = require("../");
const createIdentitySetFromDiscriminatorValue_1 = require("../createIdentitySetFromDiscriminatorValue");
const callType_1 = require("./callType");
const createSessionFromDiscriminatorValue_1 = require("./createSessionFromDiscriminatorValue");
/** Provides operations to manage the cloudCommunications singleton. */
class CallRecord extends __1.Entity {
    /**
     * Instantiates a new callRecord and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the endDateTime property value. UTC time when the last user left the call. The DateTimeOffset type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @returns a Date
     */
    get endDateTime() {
        return this._endDateTime;
    }
    ;
    /**
     * Sets the endDateTime property value. UTC time when the last user left the call. The DateTimeOffset type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @param value Value to set for the endDateTime property.
     */
    set endDateTime(value) {
        this._endDateTime = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "endDateTime": n => { this.endDateTime = n.getDateValue(); }, "joinWebUrl": n => { this.joinWebUrl = n.getStringValue(); }, "lastModifiedDateTime": n => { this.lastModifiedDateTime = n.getDateValue(); }, "modalities": n => { this.modalities = n.getCollectionOfPrimitiveValues(); }, "organizer": n => { this.organizer = n.getObjectValue(createIdentitySetFromDiscriminatorValue_1.createIdentitySetFromDiscriminatorValue); }, "participants": n => { this.participants = n.getCollectionOfObjectValues(createIdentitySetFromDiscriminatorValue_1.createIdentitySetFromDiscriminatorValue); }, "sessions": n => { this.sessions = n.getCollectionOfObjectValues(createSessionFromDiscriminatorValue_1.createSessionFromDiscriminatorValue); }, "startDateTime": n => { this.startDateTime = n.getDateValue(); }, "type": n => { this.type = n.getEnumValue(callType_1.CallType); }, "version": n => { this.version = n.getNumberValue(); } });
    }
    ;
    /**
     * Gets the joinWebUrl property value. Meeting URL associated to the call. May not be available for a peerToPeer call record type.
     * @returns a string
     */
    get joinWebUrl() {
        return this._joinWebUrl;
    }
    ;
    /**
     * Sets the joinWebUrl property value. Meeting URL associated to the call. May not be available for a peerToPeer call record type.
     * @param value Value to set for the joinWebUrl property.
     */
    set joinWebUrl(value) {
        this._joinWebUrl = value;
    }
    ;
    /**
     * Gets the lastModifiedDateTime property value. UTC time when the call record was created. The DatetimeOffset type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @returns a Date
     */
    get lastModifiedDateTime() {
        return this._lastModifiedDateTime;
    }
    ;
    /**
     * Sets the lastModifiedDateTime property value. UTC time when the call record was created. The DatetimeOffset type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @param value Value to set for the lastModifiedDateTime property.
     */
    set lastModifiedDateTime(value) {
        this._lastModifiedDateTime = value;
    }
    ;
    /**
     * Gets the modalities property value. List of all the modalities used in the call. Possible values are: unknown, audio, video, videoBasedScreenSharing, data, screenSharing, unknownFutureValue.
     * @returns a string
     */
    get modalities() {
        return this._modalities;
    }
    ;
    /**
     * Sets the modalities property value. List of all the modalities used in the call. Possible values are: unknown, audio, video, videoBasedScreenSharing, data, screenSharing, unknownFutureValue.
     * @param value Value to set for the modalities property.
     */
    set modalities(value) {
        this._modalities = value;
    }
    ;
    /**
     * Gets the organizer property value. The organizing party's identity.
     * @returns a identitySet
     */
    get organizer() {
        return this._organizer;
    }
    ;
    /**
     * Sets the organizer property value. The organizing party's identity.
     * @param value Value to set for the organizer property.
     */
    set organizer(value) {
        this._organizer = value;
    }
    ;
    /**
     * Gets the participants property value. List of distinct identities involved in the call.
     * @returns a identitySet
     */
    get participants() {
        return this._participants;
    }
    ;
    /**
     * Sets the participants property value. List of distinct identities involved in the call.
     * @param value Value to set for the participants property.
     */
    set participants(value) {
        this._participants = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeDateValue("endDateTime", this.endDateTime);
        writer.writeStringValue("joinWebUrl", this.joinWebUrl);
        writer.writeDateValue("lastModifiedDateTime", this.lastModifiedDateTime);
        writer.writeCollectionOfPrimitiveValues("modalities", this.modalities);
        writer.writeObjectValue("organizer", this.organizer);
        writer.writeCollectionOfObjectValues("participants", this.participants);
        writer.writeCollectionOfObjectValues("sessions", this.sessions);
        writer.writeDateValue("startDateTime", this.startDateTime);
        writer.writeEnumValue("type", this.type);
        writer.writeNumberValue("version", this.version);
    }
    ;
    /**
     * Gets the sessions property value. List of sessions involved in the call. Peer-to-peer calls typically only have one session, whereas group calls typically have at least one session per participant. Read-only. Nullable.
     * @returns a session
     */
    get sessions() {
        return this._sessions;
    }
    ;
    /**
     * Sets the sessions property value. List of sessions involved in the call. Peer-to-peer calls typically only have one session, whereas group calls typically have at least one session per participant. Read-only. Nullable.
     * @param value Value to set for the sessions property.
     */
    set sessions(value) {
        this._sessions = value;
    }
    ;
    /**
     * Gets the startDateTime property value. UTC time when the first user joined the call. The DatetimeOffset type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @returns a Date
     */
    get startDateTime() {
        return this._startDateTime;
    }
    ;
    /**
     * Sets the startDateTime property value. UTC time when the first user joined the call. The DatetimeOffset type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @param value Value to set for the startDateTime property.
     */
    set startDateTime(value) {
        this._startDateTime = value;
    }
    ;
    /**
     * Gets the type property value. Indicates the type of the call. Possible values are: unknown, groupCall, peerToPeer, unknownFutureValue.
     * @returns a callType
     */
    get type() {
        return this._type;
    }
    ;
    /**
     * Sets the type property value. Indicates the type of the call. Possible values are: unknown, groupCall, peerToPeer, unknownFutureValue.
     * @param value Value to set for the type property.
     */
    set type(value) {
        this._type = value;
    }
    ;
    /**
     * Gets the version property value. Monotonically increasing version of the call record. Higher version call records with the same ID includes additional data compared to the lower version.
     * @returns a int64
     */
    get version() {
        return this._version;
    }
    ;
    /**
     * Sets the version property value. Monotonically increasing version of the call record. Higher version call records with the same ID includes additional data compared to the lower version.
     * @param value Value to set for the version property.
     */
    set version(value) {
        this._version = value;
    }
    ;
}
exports.CallRecord = CallRecord;
