"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceInfo = void 0;
class DeviceInfo {
    /**
     * Instantiates a new deviceInfo and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the captureDeviceDriver property value. Name of the capture device driver used by the media endpoint.
     * @returns a string
     */
    get captureDeviceDriver() {
        return this._captureDeviceDriver;
    }
    ;
    /**
     * Sets the captureDeviceDriver property value. Name of the capture device driver used by the media endpoint.
     * @param value Value to set for the captureDeviceDriver property.
     */
    set captureDeviceDriver(value) {
        this._captureDeviceDriver = value;
    }
    ;
    /**
     * Gets the captureDeviceName property value. Name of the capture device used by the media endpoint.
     * @returns a string
     */
    get captureDeviceName() {
        return this._captureDeviceName;
    }
    ;
    /**
     * Sets the captureDeviceName property value. Name of the capture device used by the media endpoint.
     * @param value Value to set for the captureDeviceName property.
     */
    set captureDeviceName(value) {
        this._captureDeviceName = value;
    }
    ;
    /**
     * Gets the captureNotFunctioningEventRatio property value. Fraction of the call that the media endpoint detected the capture device was not working properly.
     * @returns a float
     */
    get captureNotFunctioningEventRatio() {
        return this._captureNotFunctioningEventRatio;
    }
    ;
    /**
     * Sets the captureNotFunctioningEventRatio property value. Fraction of the call that the media endpoint detected the capture device was not working properly.
     * @param value Value to set for the captureNotFunctioningEventRatio property.
     */
    set captureNotFunctioningEventRatio(value) {
        this._captureNotFunctioningEventRatio = value;
    }
    ;
    ;
    /**
     * Gets the cpuInsufficentEventRatio property value. Fraction of the call that the media endpoint detected the CPU resources available were insufficient and caused poor quality of the audio sent and received.
     * @returns a float
     */
    get cpuInsufficentEventRatio() {
        return this._cpuInsufficentEventRatio;
    }
    ;
    /**
     * Sets the cpuInsufficentEventRatio property value. Fraction of the call that the media endpoint detected the CPU resources available were insufficient and caused poor quality of the audio sent and received.
     * @param value Value to set for the cpuInsufficentEventRatio property.
     */
    set cpuInsufficentEventRatio(value) {
        this._cpuInsufficentEventRatio = value;
    }
    ;
    /**
     * Gets the deviceClippingEventRatio property value. Fraction of the call that the media endpoint detected clipping in the captured audio that caused poor quality of the audio being sent.
     * @returns a float
     */
    get deviceClippingEventRatio() {
        return this._deviceClippingEventRatio;
    }
    ;
    /**
     * Sets the deviceClippingEventRatio property value. Fraction of the call that the media endpoint detected clipping in the captured audio that caused poor quality of the audio being sent.
     * @param value Value to set for the deviceClippingEventRatio property.
     */
    set deviceClippingEventRatio(value) {
        this._deviceClippingEventRatio = value;
    }
    ;
    /**
     * Gets the deviceGlitchEventRatio property value. Fraction of the call that the media endpoint detected glitches or gaps in the audio played or captured that caused poor quality of the audio being sent or received.
     * @returns a float
     */
    get deviceGlitchEventRatio() {
        return this._deviceGlitchEventRatio;
    }
    ;
    /**
     * Sets the deviceGlitchEventRatio property value. Fraction of the call that the media endpoint detected glitches or gaps in the audio played or captured that caused poor quality of the audio being sent or received.
     * @param value Value to set for the deviceGlitchEventRatio property.
     */
    set deviceGlitchEventRatio(value) {
        this._deviceGlitchEventRatio = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "captureDeviceDriver": n => { this.captureDeviceDriver = n.getStringValue(); },
            "captureDeviceName": n => { this.captureDeviceName = n.getStringValue(); },
            "captureNotFunctioningEventRatio": n => { this.captureNotFunctioningEventRatio = n.getNumberValue(); },
            "cpuInsufficentEventRatio": n => { this.cpuInsufficentEventRatio = n.getNumberValue(); },
            "deviceClippingEventRatio": n => { this.deviceClippingEventRatio = n.getNumberValue(); },
            "deviceGlitchEventRatio": n => { this.deviceGlitchEventRatio = n.getNumberValue(); },
            "howlingEventCount": n => { this.howlingEventCount = n.getNumberValue(); },
            "initialSignalLevelRootMeanSquare": n => { this.initialSignalLevelRootMeanSquare = n.getNumberValue(); },
            "lowSpeechLevelEventRatio": n => { this.lowSpeechLevelEventRatio = n.getNumberValue(); },
            "lowSpeechToNoiseEventRatio": n => { this.lowSpeechToNoiseEventRatio = n.getNumberValue(); },
            "micGlitchRate": n => { this.micGlitchRate = n.getNumberValue(); },
            "receivedNoiseLevel": n => { this.receivedNoiseLevel = n.getNumberValue(); },
            "receivedSignalLevel": n => { this.receivedSignalLevel = n.getNumberValue(); },
            "renderDeviceDriver": n => { this.renderDeviceDriver = n.getStringValue(); },
            "renderDeviceName": n => { this.renderDeviceName = n.getStringValue(); },
            "renderMuteEventRatio": n => { this.renderMuteEventRatio = n.getNumberValue(); },
            "renderNotFunctioningEventRatio": n => { this.renderNotFunctioningEventRatio = n.getNumberValue(); },
            "renderZeroVolumeEventRatio": n => { this.renderZeroVolumeEventRatio = n.getNumberValue(); },
            "sentNoiseLevel": n => { this.sentNoiseLevel = n.getNumberValue(); },
            "sentSignalLevel": n => { this.sentSignalLevel = n.getNumberValue(); },
            "speakerGlitchRate": n => { this.speakerGlitchRate = n.getNumberValue(); },
        };
    }
    ;
    /**
     * Gets the howlingEventCount property value. Number of times during the call that the media endpoint detected howling or screeching audio.
     * @returns a integer
     */
    get howlingEventCount() {
        return this._howlingEventCount;
    }
    ;
    /**
     * Sets the howlingEventCount property value. Number of times during the call that the media endpoint detected howling or screeching audio.
     * @param value Value to set for the howlingEventCount property.
     */
    set howlingEventCount(value) {
        this._howlingEventCount = value;
    }
    ;
    /**
     * Gets the initialSignalLevelRootMeanSquare property value. The root mean square (RMS) of the incoming signal of up to the first 30 seconds of the call.
     * @returns a float
     */
    get initialSignalLevelRootMeanSquare() {
        return this._initialSignalLevelRootMeanSquare;
    }
    ;
    /**
     * Sets the initialSignalLevelRootMeanSquare property value. The root mean square (RMS) of the incoming signal of up to the first 30 seconds of the call.
     * @param value Value to set for the initialSignalLevelRootMeanSquare property.
     */
    set initialSignalLevelRootMeanSquare(value) {
        this._initialSignalLevelRootMeanSquare = value;
    }
    ;
    /**
     * Gets the lowSpeechLevelEventRatio property value. Fraction of the call that the media endpoint detected low speech level that caused poor quality of the audio being sent.
     * @returns a float
     */
    get lowSpeechLevelEventRatio() {
        return this._lowSpeechLevelEventRatio;
    }
    ;
    /**
     * Sets the lowSpeechLevelEventRatio property value. Fraction of the call that the media endpoint detected low speech level that caused poor quality of the audio being sent.
     * @param value Value to set for the lowSpeechLevelEventRatio property.
     */
    set lowSpeechLevelEventRatio(value) {
        this._lowSpeechLevelEventRatio = value;
    }
    ;
    /**
     * Gets the lowSpeechToNoiseEventRatio property value. Fraction of the call that the media endpoint detected low speech to noise level that caused poor quality of the audio being sent.
     * @returns a float
     */
    get lowSpeechToNoiseEventRatio() {
        return this._lowSpeechToNoiseEventRatio;
    }
    ;
    /**
     * Sets the lowSpeechToNoiseEventRatio property value. Fraction of the call that the media endpoint detected low speech to noise level that caused poor quality of the audio being sent.
     * @param value Value to set for the lowSpeechToNoiseEventRatio property.
     */
    set lowSpeechToNoiseEventRatio(value) {
        this._lowSpeechToNoiseEventRatio = value;
    }
    ;
    /**
     * Gets the micGlitchRate property value. Glitches per 5 minute interval for the media endpoint's microphone.
     * @returns a float
     */
    get micGlitchRate() {
        return this._micGlitchRate;
    }
    ;
    /**
     * Sets the micGlitchRate property value. Glitches per 5 minute interval for the media endpoint's microphone.
     * @param value Value to set for the micGlitchRate property.
     */
    set micGlitchRate(value) {
        this._micGlitchRate = value;
    }
    ;
    /**
     * Gets the receivedNoiseLevel property value. Average energy level of received audio for audio classified as mono noise or left channel of stereo noise by the media endpoint.
     * @returns a integer
     */
    get receivedNoiseLevel() {
        return this._receivedNoiseLevel;
    }
    ;
    /**
     * Sets the receivedNoiseLevel property value. Average energy level of received audio for audio classified as mono noise or left channel of stereo noise by the media endpoint.
     * @param value Value to set for the receivedNoiseLevel property.
     */
    set receivedNoiseLevel(value) {
        this._receivedNoiseLevel = value;
    }
    ;
    /**
     * Gets the receivedSignalLevel property value. Average energy level of received audio for audio classified as mono speech, or left channel of stereo speech by the media endpoint.
     * @returns a integer
     */
    get receivedSignalLevel() {
        return this._receivedSignalLevel;
    }
    ;
    /**
     * Sets the receivedSignalLevel property value. Average energy level of received audio for audio classified as mono speech, or left channel of stereo speech by the media endpoint.
     * @param value Value to set for the receivedSignalLevel property.
     */
    set receivedSignalLevel(value) {
        this._receivedSignalLevel = value;
    }
    ;
    /**
     * Gets the renderDeviceDriver property value. Name of the render device driver used by the media endpoint.
     * @returns a string
     */
    get renderDeviceDriver() {
        return this._renderDeviceDriver;
    }
    ;
    /**
     * Sets the renderDeviceDriver property value. Name of the render device driver used by the media endpoint.
     * @param value Value to set for the renderDeviceDriver property.
     */
    set renderDeviceDriver(value) {
        this._renderDeviceDriver = value;
    }
    ;
    /**
     * Gets the renderDeviceName property value. Name of the render device used by the media endpoint.
     * @returns a string
     */
    get renderDeviceName() {
        return this._renderDeviceName;
    }
    ;
    /**
     * Sets the renderDeviceName property value. Name of the render device used by the media endpoint.
     * @param value Value to set for the renderDeviceName property.
     */
    set renderDeviceName(value) {
        this._renderDeviceName = value;
    }
    ;
    /**
     * Gets the renderMuteEventRatio property value. Fraction of the call that media endpoint detected device render is muted.
     * @returns a float
     */
    get renderMuteEventRatio() {
        return this._renderMuteEventRatio;
    }
    ;
    /**
     * Sets the renderMuteEventRatio property value. Fraction of the call that media endpoint detected device render is muted.
     * @param value Value to set for the renderMuteEventRatio property.
     */
    set renderMuteEventRatio(value) {
        this._renderMuteEventRatio = value;
    }
    ;
    /**
     * Gets the renderNotFunctioningEventRatio property value. Fraction of the call that the media endpoint detected the render device was not working properly.
     * @returns a float
     */
    get renderNotFunctioningEventRatio() {
        return this._renderNotFunctioningEventRatio;
    }
    ;
    /**
     * Sets the renderNotFunctioningEventRatio property value. Fraction of the call that the media endpoint detected the render device was not working properly.
     * @param value Value to set for the renderNotFunctioningEventRatio property.
     */
    set renderNotFunctioningEventRatio(value) {
        this._renderNotFunctioningEventRatio = value;
    }
    ;
    /**
     * Gets the renderZeroVolumeEventRatio property value. Fraction of the call that media endpoint detected device render volume is set to 0.
     * @returns a float
     */
    get renderZeroVolumeEventRatio() {
        return this._renderZeroVolumeEventRatio;
    }
    ;
    /**
     * Sets the renderZeroVolumeEventRatio property value. Fraction of the call that media endpoint detected device render volume is set to 0.
     * @param value Value to set for the renderZeroVolumeEventRatio property.
     */
    set renderZeroVolumeEventRatio(value) {
        this._renderZeroVolumeEventRatio = value;
    }
    ;
    /**
     * Gets the sentNoiseLevel property value. Average energy level of sent audio for audio classified as mono noise or left channel of stereo noise by the media endpoint.
     * @returns a integer
     */
    get sentNoiseLevel() {
        return this._sentNoiseLevel;
    }
    ;
    /**
     * Sets the sentNoiseLevel property value. Average energy level of sent audio for audio classified as mono noise or left channel of stereo noise by the media endpoint.
     * @param value Value to set for the sentNoiseLevel property.
     */
    set sentNoiseLevel(value) {
        this._sentNoiseLevel = value;
    }
    ;
    /**
     * Gets the sentSignalLevel property value. Average energy level of sent audio for audio classified as mono speech, or left channel of stereo speech by the media endpoint.
     * @returns a integer
     */
    get sentSignalLevel() {
        return this._sentSignalLevel;
    }
    ;
    /**
     * Sets the sentSignalLevel property value. Average energy level of sent audio for audio classified as mono speech, or left channel of stereo speech by the media endpoint.
     * @param value Value to set for the sentSignalLevel property.
     */
    set sentSignalLevel(value) {
        this._sentSignalLevel = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("captureDeviceDriver", this.captureDeviceDriver);
        writer.writeStringValue("captureDeviceName", this.captureDeviceName);
        writer.writeNumberValue("captureNotFunctioningEventRatio", this.captureNotFunctioningEventRatio);
        writer.writeNumberValue("cpuInsufficentEventRatio", this.cpuInsufficentEventRatio);
        writer.writeNumberValue("deviceClippingEventRatio", this.deviceClippingEventRatio);
        writer.writeNumberValue("deviceGlitchEventRatio", this.deviceGlitchEventRatio);
        writer.writeNumberValue("howlingEventCount", this.howlingEventCount);
        writer.writeNumberValue("initialSignalLevelRootMeanSquare", this.initialSignalLevelRootMeanSquare);
        writer.writeNumberValue("lowSpeechLevelEventRatio", this.lowSpeechLevelEventRatio);
        writer.writeNumberValue("lowSpeechToNoiseEventRatio", this.lowSpeechToNoiseEventRatio);
        writer.writeNumberValue("micGlitchRate", this.micGlitchRate);
        writer.writeNumberValue("receivedNoiseLevel", this.receivedNoiseLevel);
        writer.writeNumberValue("receivedSignalLevel", this.receivedSignalLevel);
        writer.writeStringValue("renderDeviceDriver", this.renderDeviceDriver);
        writer.writeStringValue("renderDeviceName", this.renderDeviceName);
        writer.writeNumberValue("renderMuteEventRatio", this.renderMuteEventRatio);
        writer.writeNumberValue("renderNotFunctioningEventRatio", this.renderNotFunctioningEventRatio);
        writer.writeNumberValue("renderZeroVolumeEventRatio", this.renderZeroVolumeEventRatio);
        writer.writeNumberValue("sentNoiseLevel", this.sentNoiseLevel);
        writer.writeNumberValue("sentSignalLevel", this.sentSignalLevel);
        writer.writeNumberValue("speakerGlitchRate", this.speakerGlitchRate);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the speakerGlitchRate property value. Glitches per 5 minute internal for the media endpoint's loudspeaker.
     * @returns a float
     */
    get speakerGlitchRate() {
        return this._speakerGlitchRate;
    }
    ;
    /**
     * Sets the speakerGlitchRate property value. Glitches per 5 minute internal for the media endpoint's loudspeaker.
     * @param value Value to set for the speakerGlitchRate property.
     */
    set speakerGlitchRate(value) {
        this._speakerGlitchRate = value;
    }
    ;
}
exports.DeviceInfo = DeviceInfo;
