"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DirectRoutingLogRow = void 0;
class DirectRoutingLogRow {
    /**
     * Instantiates a new directRoutingLogRow and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the calleeNumber property value. Number of the user or bot who received the call. E.164 format, but may include additional data.
     * @returns a string
     */
    get calleeNumber() {
        return this._calleeNumber;
    }
    ;
    /**
     * Sets the calleeNumber property value. Number of the user or bot who received the call. E.164 format, but may include additional data.
     * @param value Value to set for the calleeNumber property.
     */
    set calleeNumber(value) {
        this._calleeNumber = value;
    }
    ;
    /**
     * Gets the callEndSubReason property value. In addition to the SIP codes, Microsoft has own subcodes that indicate the specific issue.
     * @returns a integer
     */
    get callEndSubReason() {
        return this._callEndSubReason;
    }
    ;
    /**
     * Sets the callEndSubReason property value. In addition to the SIP codes, Microsoft has own subcodes that indicate the specific issue.
     * @param value Value to set for the callEndSubReason property.
     */
    set callEndSubReason(value) {
        this._callEndSubReason = value;
    }
    ;
    /**
     * Gets the callerNumber property value. Number of the user or bot who made the call. E.164 format, but may include additional data.
     * @returns a string
     */
    get callerNumber() {
        return this._callerNumber;
    }
    ;
    /**
     * Sets the callerNumber property value. Number of the user or bot who made the call. E.164 format, but may include additional data.
     * @param value Value to set for the callerNumber property.
     */
    set callerNumber(value) {
        this._callerNumber = value;
    }
    ;
    /**
     * Gets the callType property value. Call type and direction.
     * @returns a string
     */
    get callType() {
        return this._callType;
    }
    ;
    /**
     * Sets the callType property value. Call type and direction.
     * @param value Value to set for the callType property.
     */
    set callType(value) {
        this._callType = value;
    }
    ;
    ;
    /**
     * Gets the correlationId property value. Identifier for the call that you can use when calling Microsoft Support. GUID.
     * @returns a string
     */
    get correlationId() {
        return this._correlationId;
    }
    ;
    /**
     * Sets the correlationId property value. Identifier for the call that you can use when calling Microsoft Support. GUID.
     * @param value Value to set for the correlationId property.
     */
    set correlationId(value) {
        this._correlationId = value;
    }
    ;
    /**
     * Gets the duration property value. Duration of the call in seconds.
     * @returns a integer
     */
    get duration() {
        return this._duration;
    }
    ;
    /**
     * Sets the duration property value. Duration of the call in seconds.
     * @param value Value to set for the duration property.
     */
    set duration(value) {
        this._duration = value;
    }
    ;
    /**
     * Gets the endDateTime property value. Only exists for successful (fully established) calls. Time when call ended.
     * @returns a Date
     */
    get endDateTime() {
        return this._endDateTime;
    }
    ;
    /**
     * Sets the endDateTime property value. Only exists for successful (fully established) calls. Time when call ended.
     * @param value Value to set for the endDateTime property.
     */
    set endDateTime(value) {
        this._endDateTime = value;
    }
    ;
    /**
     * Gets the failureDateTime property value. Only exists for failed (not fully established) calls.
     * @returns a Date
     */
    get failureDateTime() {
        return this._failureDateTime;
    }
    ;
    /**
     * Sets the failureDateTime property value. Only exists for failed (not fully established) calls.
     * @param value Value to set for the failureDateTime property.
     */
    set failureDateTime(value) {
        this._failureDateTime = value;
    }
    ;
    /**
     * Gets the finalSipCode property value. The code with which the call ended, RFC 3261.
     * @returns a integer
     */
    get finalSipCode() {
        return this._finalSipCode;
    }
    ;
    /**
     * Sets the finalSipCode property value. The code with which the call ended, RFC 3261.
     * @param value Value to set for the finalSipCode property.
     */
    set finalSipCode(value) {
        this._finalSipCode = value;
    }
    ;
    /**
     * Gets the finalSipCodePhrase property value. Description of the SIP code and Microsoft subcode.
     * @returns a string
     */
    get finalSipCodePhrase() {
        return this._finalSipCodePhrase;
    }
    ;
    /**
     * Sets the finalSipCodePhrase property value. Description of the SIP code and Microsoft subcode.
     * @param value Value to set for the finalSipCodePhrase property.
     */
    set finalSipCodePhrase(value) {
        this._finalSipCodePhrase = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "calleeNumber": n => { this.calleeNumber = n.getStringValue(); },
            "callEndSubReason": n => { this.callEndSubReason = n.getNumberValue(); },
            "callerNumber": n => { this.callerNumber = n.getStringValue(); },
            "callType": n => { this.callType = n.getStringValue(); },
            "correlationId": n => { this.correlationId = n.getStringValue(); },
            "duration": n => { this.duration = n.getNumberValue(); },
            "endDateTime": n => { this.endDateTime = n.getDateValue(); },
            "failureDateTime": n => { this.failureDateTime = n.getDateValue(); },
            "finalSipCode": n => { this.finalSipCode = n.getNumberValue(); },
            "finalSipCodePhrase": n => { this.finalSipCodePhrase = n.getStringValue(); },
            "id": n => { this.id = n.getStringValue(); },
            "inviteDateTime": n => { this.inviteDateTime = n.getDateValue(); },
            "mediaBypassEnabled": n => { this.mediaBypassEnabled = n.getBooleanValue(); },
            "mediaPathLocation": n => { this.mediaPathLocation = n.getStringValue(); },
            "signalingLocation": n => { this.signalingLocation = n.getStringValue(); },
            "startDateTime": n => { this.startDateTime = n.getDateValue(); },
            "successfulCall": n => { this.successfulCall = n.getBooleanValue(); },
            "trunkFullyQualifiedDomainName": n => { this.trunkFullyQualifiedDomainName = n.getStringValue(); },
            "userDisplayName": n => { this.userDisplayName = n.getStringValue(); },
            "userId": n => { this.userId = n.getStringValue(); },
            "userPrincipalName": n => { this.userPrincipalName = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the id property value. Unique call identifier. GUID.
     * @returns a string
     */
    get id() {
        return this._id;
    }
    ;
    /**
     * Sets the id property value. Unique call identifier. GUID.
     * @param value Value to set for the id property.
     */
    set id(value) {
        this._id = value;
    }
    ;
    /**
     * Gets the inviteDateTime property value. When the initial invite was sent.
     * @returns a Date
     */
    get inviteDateTime() {
        return this._inviteDateTime;
    }
    ;
    /**
     * Sets the inviteDateTime property value. When the initial invite was sent.
     * @param value Value to set for the inviteDateTime property.
     */
    set inviteDateTime(value) {
        this._inviteDateTime = value;
    }
    ;
    /**
     * Gets the mediaBypassEnabled property value. Indicates if the trunk was enabled for media bypass or not.
     * @returns a boolean
     */
    get mediaBypassEnabled() {
        return this._mediaBypassEnabled;
    }
    ;
    /**
     * Sets the mediaBypassEnabled property value. Indicates if the trunk was enabled for media bypass or not.
     * @param value Value to set for the mediaBypassEnabled property.
     */
    set mediaBypassEnabled(value) {
        this._mediaBypassEnabled = value;
    }
    ;
    /**
     * Gets the mediaPathLocation property value. The datacenter used for media path in non-bypass call.
     * @returns a string
     */
    get mediaPathLocation() {
        return this._mediaPathLocation;
    }
    ;
    /**
     * Sets the mediaPathLocation property value. The datacenter used for media path in non-bypass call.
     * @param value Value to set for the mediaPathLocation property.
     */
    set mediaPathLocation(value) {
        this._mediaPathLocation = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("calleeNumber", this.calleeNumber);
        writer.writeNumberValue("callEndSubReason", this.callEndSubReason);
        writer.writeStringValue("callerNumber", this.callerNumber);
        writer.writeStringValue("callType", this.callType);
        writer.writeStringValue("correlationId", this.correlationId);
        writer.writeNumberValue("duration", this.duration);
        writer.writeDateValue("endDateTime", this.endDateTime);
        writer.writeDateValue("failureDateTime", this.failureDateTime);
        writer.writeNumberValue("finalSipCode", this.finalSipCode);
        writer.writeStringValue("finalSipCodePhrase", this.finalSipCodePhrase);
        writer.writeStringValue("id", this.id);
        writer.writeDateValue("inviteDateTime", this.inviteDateTime);
        writer.writeBooleanValue("mediaBypassEnabled", this.mediaBypassEnabled);
        writer.writeStringValue("mediaPathLocation", this.mediaPathLocation);
        writer.writeStringValue("signalingLocation", this.signalingLocation);
        writer.writeDateValue("startDateTime", this.startDateTime);
        writer.writeBooleanValue("successfulCall", this.successfulCall);
        writer.writeStringValue("trunkFullyQualifiedDomainName", this.trunkFullyQualifiedDomainName);
        writer.writeStringValue("userDisplayName", this.userDisplayName);
        writer.writeStringValue("userId", this.userId);
        writer.writeStringValue("userPrincipalName", this.userPrincipalName);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the signalingLocation property value. The datacenter used for signaling for both bypass and non-bypass calls.
     * @returns a string
     */
    get signalingLocation() {
        return this._signalingLocation;
    }
    ;
    /**
     * Sets the signalingLocation property value. The datacenter used for signaling for both bypass and non-bypass calls.
     * @param value Value to set for the signalingLocation property.
     */
    set signalingLocation(value) {
        this._signalingLocation = value;
    }
    ;
    /**
     * Gets the startDateTime property value. Call start time.For failed and unanswered calls, this can be equal to invite or failure time.
     * @returns a Date
     */
    get startDateTime() {
        return this._startDateTime;
    }
    ;
    /**
     * Sets the startDateTime property value. Call start time.For failed and unanswered calls, this can be equal to invite or failure time.
     * @param value Value to set for the startDateTime property.
     */
    set startDateTime(value) {
        this._startDateTime = value;
    }
    ;
    /**
     * Gets the successfulCall property value. Success or attempt.
     * @returns a boolean
     */
    get successfulCall() {
        return this._successfulCall;
    }
    ;
    /**
     * Sets the successfulCall property value. Success or attempt.
     * @param value Value to set for the successfulCall property.
     */
    set successfulCall(value) {
        this._successfulCall = value;
    }
    ;
    /**
     * Gets the trunkFullyQualifiedDomainName property value. Fully qualified domain name of the session border controller.
     * @returns a string
     */
    get trunkFullyQualifiedDomainName() {
        return this._trunkFullyQualifiedDomainName;
    }
    ;
    /**
     * Sets the trunkFullyQualifiedDomainName property value. Fully qualified domain name of the session border controller.
     * @param value Value to set for the trunkFullyQualifiedDomainName property.
     */
    set trunkFullyQualifiedDomainName(value) {
        this._trunkFullyQualifiedDomainName = value;
    }
    ;
    /**
     * Gets the userDisplayName property value. Display name of the user.
     * @returns a string
     */
    get userDisplayName() {
        return this._userDisplayName;
    }
    ;
    /**
     * Sets the userDisplayName property value. Display name of the user.
     * @param value Value to set for the userDisplayName property.
     */
    set userDisplayName(value) {
        this._userDisplayName = value;
    }
    ;
    /**
     * Gets the userId property value. Calling user's ID in Graph. This and other user info will be null/empty for bot call types. GUID.
     * @returns a string
     */
    get userId() {
        return this._userId;
    }
    ;
    /**
     * Sets the userId property value. Calling user's ID in Graph. This and other user info will be null/empty for bot call types. GUID.
     * @param value Value to set for the userId property.
     */
    set userId(value) {
        this._userId = value;
    }
    ;
    /**
     * Gets the userPrincipalName property value. UserPrincipalName (sign-in name) in Azure Active Directory. This is usually the same as user's SIP Address, and can be same as user's e-mail address.
     * @returns a string
     */
    get userPrincipalName() {
        return this._userPrincipalName;
    }
    ;
    /**
     * Sets the userPrincipalName property value. UserPrincipalName (sign-in name) in Azure Active Directory. This is usually the same as user's SIP Address, and can be same as user's e-mail address.
     * @param value Value to set for the userPrincipalName property.
     */
    set userPrincipalName(value) {
        this._userPrincipalName = value;
    }
    ;
}
exports.DirectRoutingLogRow = DirectRoutingLogRow;
