import { DeviceInfo, MediaStream, NetworkInfo } from './index';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class Media implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** Device information associated with the callee endpoint of this media. */
    private _calleeDevice?;
    /** Network information associated with the callee endpoint of this media. */
    private _calleeNetwork?;
    /** Device information associated with the caller endpoint of this media. */
    private _callerDevice?;
    /** Network information associated with the caller endpoint of this media. */
    private _callerNetwork?;
    /** How the media was identified during media negotiation stage. */
    private _label?;
    /** Network streams associated with this media. */
    private _streams?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the calleeDevice property value. Device information associated with the callee endpoint of this media.
     * @returns a deviceInfo
     */
    get calleeDevice(): DeviceInfo | undefined;
    /**
     * Sets the calleeDevice property value. Device information associated with the callee endpoint of this media.
     * @param value Value to set for the calleeDevice property.
     */
    set calleeDevice(value: DeviceInfo | undefined);
    /**
     * Gets the calleeNetwork property value. Network information associated with the callee endpoint of this media.
     * @returns a networkInfo
     */
    get calleeNetwork(): NetworkInfo | undefined;
    /**
     * Sets the calleeNetwork property value. Network information associated with the callee endpoint of this media.
     * @param value Value to set for the calleeNetwork property.
     */
    set calleeNetwork(value: NetworkInfo | undefined);
    /**
     * Gets the callerDevice property value. Device information associated with the caller endpoint of this media.
     * @returns a deviceInfo
     */
    get callerDevice(): DeviceInfo | undefined;
    /**
     * Sets the callerDevice property value. Device information associated with the caller endpoint of this media.
     * @param value Value to set for the callerDevice property.
     */
    set callerDevice(value: DeviceInfo | undefined);
    /**
     * Gets the callerNetwork property value. Network information associated with the caller endpoint of this media.
     * @returns a networkInfo
     */
    get callerNetwork(): NetworkInfo | undefined;
    /**
     * Sets the callerNetwork property value. Network information associated with the caller endpoint of this media.
     * @param value Value to set for the callerNetwork property.
     */
    set callerNetwork(value: NetworkInfo | undefined);
    /**
     * Instantiates a new media and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the label property value. How the media was identified during media negotiation stage.
     * @returns a string
     */
    get label(): string | undefined;
    /**
     * Sets the label property value. How the media was identified during media negotiation stage.
     * @param value Value to set for the label property.
     */
    set label(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the streams property value. Network streams associated with this media.
     * @returns a mediaStream
     */
    get streams(): MediaStream[] | undefined;
    /**
     * Sets the streams property value. Network streams associated with this media.
     * @param value Value to set for the streams property.
     */
    set streams(value: MediaStream[] | undefined);
}
