"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Media = void 0;
const createDeviceInfoFromDiscriminatorValue_1 = require("./createDeviceInfoFromDiscriminatorValue");
const createMediaStreamFromDiscriminatorValue_1 = require("./createMediaStreamFromDiscriminatorValue");
const createNetworkInfoFromDiscriminatorValue_1 = require("./createNetworkInfoFromDiscriminatorValue");
class Media {
    /**
     * Instantiates a new media and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the calleeDevice property value. Device information associated with the callee endpoint of this media.
     * @returns a deviceInfo
     */
    get calleeDevice() {
        return this._calleeDevice;
    }
    ;
    /**
     * Sets the calleeDevice property value. Device information associated with the callee endpoint of this media.
     * @param value Value to set for the calleeDevice property.
     */
    set calleeDevice(value) {
        this._calleeDevice = value;
    }
    ;
    /**
     * Gets the calleeNetwork property value. Network information associated with the callee endpoint of this media.
     * @returns a networkInfo
     */
    get calleeNetwork() {
        return this._calleeNetwork;
    }
    ;
    /**
     * Sets the calleeNetwork property value. Network information associated with the callee endpoint of this media.
     * @param value Value to set for the calleeNetwork property.
     */
    set calleeNetwork(value) {
        this._calleeNetwork = value;
    }
    ;
    /**
     * Gets the callerDevice property value. Device information associated with the caller endpoint of this media.
     * @returns a deviceInfo
     */
    get callerDevice() {
        return this._callerDevice;
    }
    ;
    /**
     * Sets the callerDevice property value. Device information associated with the caller endpoint of this media.
     * @param value Value to set for the callerDevice property.
     */
    set callerDevice(value) {
        this._callerDevice = value;
    }
    ;
    /**
     * Gets the callerNetwork property value. Network information associated with the caller endpoint of this media.
     * @returns a networkInfo
     */
    get callerNetwork() {
        return this._callerNetwork;
    }
    ;
    /**
     * Sets the callerNetwork property value. Network information associated with the caller endpoint of this media.
     * @param value Value to set for the callerNetwork property.
     */
    set callerNetwork(value) {
        this._callerNetwork = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "calleeDevice": n => { this.calleeDevice = n.getObjectValue(createDeviceInfoFromDiscriminatorValue_1.createDeviceInfoFromDiscriminatorValue); },
            "calleeNetwork": n => { this.calleeNetwork = n.getObjectValue(createNetworkInfoFromDiscriminatorValue_1.createNetworkInfoFromDiscriminatorValue); },
            "callerDevice": n => { this.callerDevice = n.getObjectValue(createDeviceInfoFromDiscriminatorValue_1.createDeviceInfoFromDiscriminatorValue); },
            "callerNetwork": n => { this.callerNetwork = n.getObjectValue(createNetworkInfoFromDiscriminatorValue_1.createNetworkInfoFromDiscriminatorValue); },
            "label": n => { this.label = n.getStringValue(); },
            "streams": n => { this.streams = n.getCollectionOfObjectValues(createMediaStreamFromDiscriminatorValue_1.createMediaStreamFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Gets the label property value. How the media was identified during media negotiation stage.
     * @returns a string
     */
    get label() {
        return this._label;
    }
    ;
    /**
     * Sets the label property value. How the media was identified during media negotiation stage.
     * @param value Value to set for the label property.
     */
    set label(value) {
        this._label = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeObjectValue("calleeDevice", this.calleeDevice);
        writer.writeObjectValue("calleeNetwork", this.calleeNetwork);
        writer.writeObjectValue("callerDevice", this.callerDevice);
        writer.writeObjectValue("callerNetwork", this.callerNetwork);
        writer.writeStringValue("label", this.label);
        writer.writeCollectionOfObjectValues("streams", this.streams);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the streams property value. Network streams associated with this media.
     * @returns a mediaStream
     */
    get streams() {
        return this._streams;
    }
    ;
    /**
     * Sets the streams property value. Network streams associated with this media.
     * @param value Value to set for the streams property.
     */
    set streams(value) {
        this._streams = value;
    }
    ;
}
exports.Media = Media;
