import { IdentitySet } from './index';
import { RoutingType } from './routingType';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class CallRoute implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The final property */
    private _final?;
    /** The original property */
    private _original?;
    /** Possible values are: forwarded, lookup, selfFork. */
    private _routingType?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Instantiates a new callRoute and sets the default values.
     */
    constructor();
    /**
     * Gets the final property value. The final property
     * @returns a identitySet
     */
    get final(): IdentitySet | undefined;
    /**
     * Sets the final property value. The final property
     * @param value Value to set for the final property.
     */
    set final(value: IdentitySet | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the original property value. The original property
     * @returns a identitySet
     */
    get original(): IdentitySet | undefined;
    /**
     * Sets the original property value. The original property
     * @param value Value to set for the original property.
     */
    set original(value: IdentitySet | undefined);
    /**
     * Gets the routingType property value. Possible values are: forwarded, lookup, selfFork.
     * @returns a routingType
     */
    get routingType(): RoutingType | undefined;
    /**
     * Sets the routingType property value. Possible values are: forwarded, lookup, selfFork.
     * @param value Value to set for the routingType property.
     */
    set routingType(value: RoutingType | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
