import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class CertificateAuthority implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** Required. The base64 encoded string representing the public certificate. */
    private _certificate?;
    /** The URL of the certificate revocation list. */
    private _certificateRevocationListUrl?;
    /** The URL contains the list of all revoked certificates since the last time a full certificate revocaton list was created. */
    private _deltaCertificateRevocationListUrl?;
    /** Required. true if the trusted certificate is a root authority, false if the trusted certificate is an intermediate authority. */
    private _isRootAuthority?;
    /** The issuer of the certificate, calculated from the certificate value. Read-only. */
    private _issuer?;
    /** The subject key identifier of the certificate, calculated from the certificate value. Read-only. */
    private _issuerSki?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the certificate property value. Required. The base64 encoded string representing the public certificate.
     * @returns a binary
     */
    get certificate(): string | undefined;
    /**
     * Sets the certificate property value. Required. The base64 encoded string representing the public certificate.
     * @param value Value to set for the certificate property.
     */
    set certificate(value: string | undefined);
    /**
     * Gets the certificateRevocationListUrl property value. The URL of the certificate revocation list.
     * @returns a string
     */
    get certificateRevocationListUrl(): string | undefined;
    /**
     * Sets the certificateRevocationListUrl property value. The URL of the certificate revocation list.
     * @param value Value to set for the certificateRevocationListUrl property.
     */
    set certificateRevocationListUrl(value: string | undefined);
    /**
     * Instantiates a new certificateAuthority and sets the default values.
     */
    constructor();
    /**
     * Gets the deltaCertificateRevocationListUrl property value. The URL contains the list of all revoked certificates since the last time a full certificate revocaton list was created.
     * @returns a string
     */
    get deltaCertificateRevocationListUrl(): string | undefined;
    /**
     * Sets the deltaCertificateRevocationListUrl property value. The URL contains the list of all revoked certificates since the last time a full certificate revocaton list was created.
     * @param value Value to set for the deltaCertificateRevocationListUrl property.
     */
    set deltaCertificateRevocationListUrl(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the isRootAuthority property value. Required. true if the trusted certificate is a root authority, false if the trusted certificate is an intermediate authority.
     * @returns a boolean
     */
    get isRootAuthority(): boolean | undefined;
    /**
     * Sets the isRootAuthority property value. Required. true if the trusted certificate is a root authority, false if the trusted certificate is an intermediate authority.
     * @param value Value to set for the isRootAuthority property.
     */
    set isRootAuthority(value: boolean | undefined);
    /**
     * Gets the issuer property value. The issuer of the certificate, calculated from the certificate value. Read-only.
     * @returns a string
     */
    get issuer(): string | undefined;
    /**
     * Sets the issuer property value. The issuer of the certificate, calculated from the certificate value. Read-only.
     * @param value Value to set for the issuer property.
     */
    set issuer(value: string | undefined);
    /**
     * Gets the issuerSki property value. The subject key identifier of the certificate, calculated from the certificate value. Read-only.
     * @returns a string
     */
    get issuerSki(): string | undefined;
    /**
     * Sets the issuerSki property value. The subject key identifier of the certificate, calculated from the certificate value. Read-only.
     * @param value Value to set for the issuerSki property.
     */
    set issuerSki(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
