"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CertificateAuthority = void 0;
class CertificateAuthority {
    /**
     * Instantiates a new certificateAuthority and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the certificate property value. Required. The base64 encoded string representing the public certificate.
     * @returns a binary
     */
    get certificate() {
        return this._certificate;
    }
    ;
    /**
     * Sets the certificate property value. Required. The base64 encoded string representing the public certificate.
     * @param value Value to set for the certificate property.
     */
    set certificate(value) {
        this._certificate = value;
    }
    ;
    /**
     * Gets the certificateRevocationListUrl property value. The URL of the certificate revocation list.
     * @returns a string
     */
    get certificateRevocationListUrl() {
        return this._certificateRevocationListUrl;
    }
    ;
    /**
     * Sets the certificateRevocationListUrl property value. The URL of the certificate revocation list.
     * @param value Value to set for the certificateRevocationListUrl property.
     */
    set certificateRevocationListUrl(value) {
        this._certificateRevocationListUrl = value;
    }
    ;
    ;
    /**
     * Gets the deltaCertificateRevocationListUrl property value. The URL contains the list of all revoked certificates since the last time a full certificate revocaton list was created.
     * @returns a string
     */
    get deltaCertificateRevocationListUrl() {
        return this._deltaCertificateRevocationListUrl;
    }
    ;
    /**
     * Sets the deltaCertificateRevocationListUrl property value. The URL contains the list of all revoked certificates since the last time a full certificate revocaton list was created.
     * @param value Value to set for the deltaCertificateRevocationListUrl property.
     */
    set deltaCertificateRevocationListUrl(value) {
        this._deltaCertificateRevocationListUrl = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "certificate": n => { this.certificate = n.getStringValue(); },
            "certificateRevocationListUrl": n => { this.certificateRevocationListUrl = n.getStringValue(); },
            "deltaCertificateRevocationListUrl": n => { this.deltaCertificateRevocationListUrl = n.getStringValue(); },
            "isRootAuthority": n => { this.isRootAuthority = n.getBooleanValue(); },
            "issuer": n => { this.issuer = n.getStringValue(); },
            "issuerSki": n => { this.issuerSki = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the isRootAuthority property value. Required. true if the trusted certificate is a root authority, false if the trusted certificate is an intermediate authority.
     * @returns a boolean
     */
    get isRootAuthority() {
        return this._isRootAuthority;
    }
    ;
    /**
     * Sets the isRootAuthority property value. Required. true if the trusted certificate is a root authority, false if the trusted certificate is an intermediate authority.
     * @param value Value to set for the isRootAuthority property.
     */
    set isRootAuthority(value) {
        this._isRootAuthority = value;
    }
    ;
    /**
     * Gets the issuer property value. The issuer of the certificate, calculated from the certificate value. Read-only.
     * @returns a string
     */
    get issuer() {
        return this._issuer;
    }
    ;
    /**
     * Sets the issuer property value. The issuer of the certificate, calculated from the certificate value. Read-only.
     * @param value Value to set for the issuer property.
     */
    set issuer(value) {
        this._issuer = value;
    }
    ;
    /**
     * Gets the issuerSki property value. The subject key identifier of the certificate, calculated from the certificate value. Read-only.
     * @returns a string
     */
    get issuerSki() {
        return this._issuerSki;
    }
    ;
    /**
     * Sets the issuerSki property value. The subject key identifier of the certificate, calculated from the certificate value. Read-only.
     * @param value Value to set for the issuerSki property.
     */
    set issuerSki(value) {
        this._issuerSki = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("certificate", this.certificate);
        writer.writeStringValue("certificateRevocationListUrl", this.certificateRevocationListUrl);
        writer.writeStringValue("deltaCertificateRevocationListUrl", this.deltaCertificateRevocationListUrl);
        writer.writeBooleanValue("isRootAuthority", this.isRootAuthority);
        writer.writeStringValue("issuer", this.issuer);
        writer.writeStringValue("issuerSki", this.issuerSki);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.CertificateAuthority = CertificateAuthority;
