"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChangeTrackedEntity = void 0;
const createIdentitySetFromDiscriminatorValue_1 = require("./createIdentitySetFromDiscriminatorValue");
const index_1 = require("./index");
/** Casts the previous resource to user. */
class ChangeTrackedEntity extends index_1.Entity {
    /**
     * Instantiates a new changeTrackedEntity and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the createdDateTime property value. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @returns a Date
     */
    get createdDateTime() {
        return this._createdDateTime;
    }
    ;
    /**
     * Sets the createdDateTime property value. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @param value Value to set for the createdDateTime property.
     */
    set createdDateTime(value) {
        this._createdDateTime = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "createdDateTime": n => { this.createdDateTime = n.getDateValue(); }, "lastModifiedBy": n => { this.lastModifiedBy = n.getObjectValue(createIdentitySetFromDiscriminatorValue_1.createIdentitySetFromDiscriminatorValue); }, "lastModifiedDateTime": n => { this.lastModifiedDateTime = n.getDateValue(); } });
    }
    ;
    /**
     * Gets the lastModifiedBy property value. Identity of the person who last modified the entity.
     * @returns a identitySet
     */
    get lastModifiedBy() {
        return this._lastModifiedBy;
    }
    ;
    /**
     * Sets the lastModifiedBy property value. Identity of the person who last modified the entity.
     * @param value Value to set for the lastModifiedBy property.
     */
    set lastModifiedBy(value) {
        this._lastModifiedBy = value;
    }
    ;
    /**
     * Gets the lastModifiedDateTime property value. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @returns a Date
     */
    get lastModifiedDateTime() {
        return this._lastModifiedDateTime;
    }
    ;
    /**
     * Sets the lastModifiedDateTime property value. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @param value Value to set for the lastModifiedDateTime property.
     */
    set lastModifiedDateTime(value) {
        this._lastModifiedDateTime = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeDateValue("createdDateTime", this.createdDateTime);
        writer.writeObjectValue("lastModifiedBy", this.lastModifiedBy);
        writer.writeDateValue("lastModifiedDateTime", this.lastModifiedDateTime);
    }
    ;
}
exports.ChangeTrackedEntity = ChangeTrackedEntity;
