"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChannelIdentity = void 0;
class ChannelIdentity {
    /**
     * Instantiates a new channelIdentity and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the channelId property value. The identity of the channel in which the message was posted.
     * @returns a string
     */
    get channelId() {
        return this._channelId;
    }
    ;
    /**
     * Sets the channelId property value. The identity of the channel in which the message was posted.
     * @param value Value to set for the channelId property.
     */
    set channelId(value) {
        this._channelId = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "channelId": n => { this.channelId = n.getStringValue(); },
            "teamId": n => { this.teamId = n.getStringValue(); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("channelId", this.channelId);
        writer.writeStringValue("teamId", this.teamId);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the teamId property value. The identity of the team in which the message was posted.
     * @returns a string
     */
    get teamId() {
        return this._teamId;
    }
    ;
    /**
     * Sets the teamId property value. The identity of the team in which the message was posted.
     * @param value Value to set for the teamId property.
     */
    set teamId(value) {
        this._teamId = value;
    }
    ;
}
exports.ChannelIdentity = ChannelIdentity;
