"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChatInfo = void 0;
class ChatInfo {
    /**
     * Instantiates a new chatInfo and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "messageId": n => { this.messageId = n.getStringValue(); },
            "replyChainMessageId": n => { this.replyChainMessageId = n.getStringValue(); },
            "threadId": n => { this.threadId = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the messageId property value. The unique identifier for a message in a Microsoft Teams channel.
     * @returns a string
     */
    get messageId() {
        return this._messageId;
    }
    ;
    /**
     * Sets the messageId property value. The unique identifier for a message in a Microsoft Teams channel.
     * @param value Value to set for the messageId property.
     */
    set messageId(value) {
        this._messageId = value;
    }
    ;
    /**
     * Gets the replyChainMessageId property value. The ID of the reply message.
     * @returns a string
     */
    get replyChainMessageId() {
        return this._replyChainMessageId;
    }
    ;
    /**
     * Sets the replyChainMessageId property value. The ID of the reply message.
     * @param value Value to set for the replyChainMessageId property.
     */
    set replyChainMessageId(value) {
        this._replyChainMessageId = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("messageId", this.messageId);
        writer.writeStringValue("replyChainMessageId", this.replyChainMessageId);
        writer.writeStringValue("threadId", this.threadId);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the threadId property value. The unique identifier for a thread in Microsoft Teams.
     * @returns a string
     */
    get threadId() {
        return this._threadId;
    }
    ;
    /**
     * Sets the threadId property value. The unique identifier for a thread in Microsoft Teams.
     * @param value Value to set for the threadId property.
     */
    set threadId(value) {
        this._threadId = value;
    }
    ;
}
exports.ChatInfo = ChatInfo;
