"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChatMessageMention = void 0;
const createChatMessageMentionedIdentitySetFromDiscriminatorValue_1 = require("./createChatMessageMentionedIdentitySetFromDiscriminatorValue");
class ChatMessageMention {
    /**
     * Instantiates a new chatMessageMention and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "id": n => { this.id = n.getNumberValue(); },
            "mentioned": n => { this.mentioned = n.getObjectValue(createChatMessageMentionedIdentitySetFromDiscriminatorValue_1.createChatMessageMentionedIdentitySetFromDiscriminatorValue); },
            "mentionText": n => { this.mentionText = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the id property value. Index of an entity being mentioned in the specified chatMessage. Matches the {index} value in the corresponding <at id='{index}'> tag in the message body.
     * @returns a integer
     */
    get id() {
        return this._id;
    }
    ;
    /**
     * Sets the id property value. Index of an entity being mentioned in the specified chatMessage. Matches the {index} value in the corresponding <at id='{index}'> tag in the message body.
     * @param value Value to set for the id property.
     */
    set id(value) {
        this._id = value;
    }
    ;
    /**
     * Gets the mentioned property value. The entity (user, application, team, or channel) that was @mentioned.
     * @returns a chatMessageMentionedIdentitySet
     */
    get mentioned() {
        return this._mentioned;
    }
    ;
    /**
     * Sets the mentioned property value. The entity (user, application, team, or channel) that was @mentioned.
     * @param value Value to set for the mentioned property.
     */
    set mentioned(value) {
        this._mentioned = value;
    }
    ;
    /**
     * Gets the mentionText property value. String used to represent the mention. For example, a user's display name, a team name.
     * @returns a string
     */
    get mentionText() {
        return this._mentionText;
    }
    ;
    /**
     * Sets the mentionText property value. String used to represent the mention. For example, a user's display name, a team name.
     * @param value Value to set for the mentionText property.
     */
    set mentionText(value) {
        this._mentionText = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeNumberValue("id", this.id);
        writer.writeObjectValue("mentioned", this.mentioned);
        writer.writeStringValue("mentionText", this.mentionText);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.ChatMessageMention = ChatMessageMention;
