import { Entity } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Casts the previous resource to user. */
export declare class ChecklistItem extends Entity implements Parsable {
    /** The date and time when the checklistItem was finished. */
    private _checkedDateTime?;
    /** The date and time when the checklistItem was created. */
    private _createdDateTime?;
    /** Field indicating the title of checklistItem. */
    private _displayName?;
    /** State indicating whether the item is checked off or not. */
    private _isChecked?;
    /**
     * Gets the checkedDateTime property value. The date and time when the checklistItem was finished.
     * @returns a Date
     */
    get checkedDateTime(): Date | undefined;
    /**
     * Sets the checkedDateTime property value. The date and time when the checklistItem was finished.
     * @param value Value to set for the checkedDateTime property.
     */
    set checkedDateTime(value: Date | undefined);
    /**
     * Instantiates a new checklistItem and sets the default values.
     */
    constructor();
    /**
     * Gets the createdDateTime property value. The date and time when the checklistItem was created.
     * @returns a Date
     */
    get createdDateTime(): Date | undefined;
    /**
     * Sets the createdDateTime property value. The date and time when the checklistItem was created.
     * @param value Value to set for the createdDateTime property.
     */
    set createdDateTime(value: Date | undefined);
    /**
     * Gets the displayName property value. Field indicating the title of checklistItem.
     * @returns a string
     */
    get displayName(): string | undefined;
    /**
     * Sets the displayName property value. Field indicating the title of checklistItem.
     * @param value Value to set for the displayName property.
     */
    set displayName(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the isChecked property value. State indicating whether the item is checked off or not.
     * @returns a boolean
     */
    get isChecked(): boolean | undefined;
    /**
     * Sets the isChecked property value. State indicating whether the item is checked off or not.
     * @param value Value to set for the isChecked property.
     */
    set isChecked(value: boolean | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
