"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChecklistItem = void 0;
const index_1 = require("./index");
/** Casts the previous resource to user. */
class ChecklistItem extends index_1.Entity {
    /**
     * Instantiates a new checklistItem and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the checkedDateTime property value. The date and time when the checklistItem was finished.
     * @returns a Date
     */
    get checkedDateTime() {
        return this._checkedDateTime;
    }
    ;
    /**
     * Sets the checkedDateTime property value. The date and time when the checklistItem was finished.
     * @param value Value to set for the checkedDateTime property.
     */
    set checkedDateTime(value) {
        this._checkedDateTime = value;
    }
    ;
    ;
    /**
     * Gets the createdDateTime property value. The date and time when the checklistItem was created.
     * @returns a Date
     */
    get createdDateTime() {
        return this._createdDateTime;
    }
    ;
    /**
     * Sets the createdDateTime property value. The date and time when the checklistItem was created.
     * @param value Value to set for the createdDateTime property.
     */
    set createdDateTime(value) {
        this._createdDateTime = value;
    }
    ;
    /**
     * Gets the displayName property value. Field indicating the title of checklistItem.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. Field indicating the title of checklistItem.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "checkedDateTime": n => { this.checkedDateTime = n.getDateValue(); }, "createdDateTime": n => { this.createdDateTime = n.getDateValue(); }, "displayName": n => { this.displayName = n.getStringValue(); }, "isChecked": n => { this.isChecked = n.getBooleanValue(); } });
    }
    ;
    /**
     * Gets the isChecked property value. State indicating whether the item is checked off or not.
     * @returns a boolean
     */
    get isChecked() {
        return this._isChecked;
    }
    ;
    /**
     * Sets the isChecked property value. State indicating whether the item is checked off or not.
     * @param value Value to set for the isChecked property.
     */
    set isChecked(value) {
        this._isChecked = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeDateValue("checkedDateTime", this.checkedDateTime);
        writer.writeDateValue("createdDateTime", this.createdDateTime);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeBooleanValue("isChecked", this.isChecked);
    }
    ;
}
exports.ChecklistItem = ChecklistItem;
