import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class ChoiceColumn implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** If true, allows custom values that aren't in the configured choices. */
    private _allowTextEntry?;
    /** The list of values available for this column. */
    private _choices?;
    /** How the choices are to be presented in the UX. Must be one of checkBoxes, dropDownMenu, or radioButtons */
    private _displayAs?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the allowTextEntry property value. If true, allows custom values that aren't in the configured choices.
     * @returns a boolean
     */
    get allowTextEntry(): boolean | undefined;
    /**
     * Sets the allowTextEntry property value. If true, allows custom values that aren't in the configured choices.
     * @param value Value to set for the allowTextEntry property.
     */
    set allowTextEntry(value: boolean | undefined);
    /**
     * Gets the choices property value. The list of values available for this column.
     * @returns a string
     */
    get choices(): string[] | undefined;
    /**
     * Sets the choices property value. The list of values available for this column.
     * @param value Value to set for the choices property.
     */
    set choices(value: string[] | undefined);
    /**
     * Instantiates a new choiceColumn and sets the default values.
     */
    constructor();
    /**
     * Gets the displayAs property value. How the choices are to be presented in the UX. Must be one of checkBoxes, dropDownMenu, or radioButtons
     * @returns a string
     */
    get displayAs(): string | undefined;
    /**
     * Sets the displayAs property value. How the choices are to be presented in the UX. Must be one of checkBoxes, dropDownMenu, or radioButtons
     * @param value Value to set for the displayAs property.
     */
    set displayAs(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
