"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CloudAppSecuritySessionControl = void 0;
const cloudAppSecuritySessionControlType_1 = require("./cloudAppSecuritySessionControlType");
const index_1 = require("./index");
/** Provides operations to manage the identityContainer singleton. */
class CloudAppSecuritySessionControl extends index_1.ConditionalAccessSessionControl {
    /**
     * Instantiates a new cloudAppSecuritySessionControl and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the cloudAppSecurityType property value. Possible values are: mcasConfigured, monitorOnly, blockDownloads. To learn more about these values, Deploy Conditional Access App Control for featured apps.
     * @returns a cloudAppSecuritySessionControlType
     */
    get cloudAppSecurityType() {
        return this._cloudAppSecurityType;
    }
    ;
    /**
     * Sets the cloudAppSecurityType property value. Possible values are: mcasConfigured, monitorOnly, blockDownloads. To learn more about these values, Deploy Conditional Access App Control for featured apps.
     * @param value Value to set for the cloudAppSecurityType property.
     */
    set cloudAppSecurityType(value) {
        this._cloudAppSecurityType = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "cloudAppSecurityType": n => { this.cloudAppSecurityType = n.getEnumValue(cloudAppSecuritySessionControlType_1.CloudAppSecuritySessionControlType); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeEnumValue("cloudAppSecurityType", this.cloudAppSecurityType);
    }
    ;
}
exports.CloudAppSecuritySessionControl = CloudAppSecuritySessionControl;
