"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ColumnDefinition = void 0;
const columnTypes_1 = require("./columnTypes");
const createBooleanColumnFromDiscriminatorValue_1 = require("./createBooleanColumnFromDiscriminatorValue");
const createCalculatedColumnFromDiscriminatorValue_1 = require("./createCalculatedColumnFromDiscriminatorValue");
const createChoiceColumnFromDiscriminatorValue_1 = require("./createChoiceColumnFromDiscriminatorValue");
const createColumnDefinitionFromDiscriminatorValue_1 = require("./createColumnDefinitionFromDiscriminatorValue");
const createColumnValidationFromDiscriminatorValue_1 = require("./createColumnValidationFromDiscriminatorValue");
const createContentApprovalStatusColumnFromDiscriminatorValue_1 = require("./createContentApprovalStatusColumnFromDiscriminatorValue");
const createContentTypeInfoFromDiscriminatorValue_1 = require("./createContentTypeInfoFromDiscriminatorValue");
const createCurrencyColumnFromDiscriminatorValue_1 = require("./createCurrencyColumnFromDiscriminatorValue");
const createDateTimeColumnFromDiscriminatorValue_1 = require("./createDateTimeColumnFromDiscriminatorValue");
const createDefaultColumnValueFromDiscriminatorValue_1 = require("./createDefaultColumnValueFromDiscriminatorValue");
const createGeolocationColumnFromDiscriminatorValue_1 = require("./createGeolocationColumnFromDiscriminatorValue");
const createHyperlinkOrPictureColumnFromDiscriminatorValue_1 = require("./createHyperlinkOrPictureColumnFromDiscriminatorValue");
const createLookupColumnFromDiscriminatorValue_1 = require("./createLookupColumnFromDiscriminatorValue");
const createNumberColumnFromDiscriminatorValue_1 = require("./createNumberColumnFromDiscriminatorValue");
const createPersonOrGroupColumnFromDiscriminatorValue_1 = require("./createPersonOrGroupColumnFromDiscriminatorValue");
const createTermColumnFromDiscriminatorValue_1 = require("./createTermColumnFromDiscriminatorValue");
const createTextColumnFromDiscriminatorValue_1 = require("./createTextColumnFromDiscriminatorValue");
const createThumbnailColumnFromDiscriminatorValue_1 = require("./createThumbnailColumnFromDiscriminatorValue");
const index_1 = require("./index");
/** Casts the previous resource to user. */
class ColumnDefinition extends index_1.Entity {
    /**
     * Instantiates a new columnDefinition and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the boolean property value. This column stores boolean values.
     * @returns a booleanColumn
     */
    get boolean() {
        return this._boolean;
    }
    ;
    /**
     * Sets the boolean property value. This column stores boolean values.
     * @param value Value to set for the boolean property.
     */
    set boolean(value) {
        this._boolean = value;
    }
    ;
    /**
     * Gets the calculated property value. This column's data is calculated based on other columns.
     * @returns a calculatedColumn
     */
    get calculated() {
        return this._calculated;
    }
    ;
    /**
     * Sets the calculated property value. This column's data is calculated based on other columns.
     * @param value Value to set for the calculated property.
     */
    set calculated(value) {
        this._calculated = value;
    }
    ;
    /**
     * Gets the choice property value. This column stores data from a list of choices.
     * @returns a choiceColumn
     */
    get choice() {
        return this._choice;
    }
    ;
    /**
     * Sets the choice property value. This column stores data from a list of choices.
     * @param value Value to set for the choice property.
     */
    set choice(value) {
        this._choice = value;
    }
    ;
    /**
     * Gets the columnGroup property value. For site columns, the name of the group this column belongs to. Helps organize related columns.
     * @returns a string
     */
    get columnGroup() {
        return this._columnGroup;
    }
    ;
    /**
     * Sets the columnGroup property value. For site columns, the name of the group this column belongs to. Helps organize related columns.
     * @param value Value to set for the columnGroup property.
     */
    set columnGroup(value) {
        this._columnGroup = value;
    }
    ;
    ;
    /**
     * Gets the contentApprovalStatus property value. This column stores content approval status.
     * @returns a contentApprovalStatusColumn
     */
    get contentApprovalStatus() {
        return this._contentApprovalStatus;
    }
    ;
    /**
     * Sets the contentApprovalStatus property value. This column stores content approval status.
     * @param value Value to set for the contentApprovalStatus property.
     */
    set contentApprovalStatus(value) {
        this._contentApprovalStatus = value;
    }
    ;
    /**
     * Gets the currency property value. This column stores currency values.
     * @returns a currencyColumn
     */
    get currency() {
        return this._currency;
    }
    ;
    /**
     * Sets the currency property value. This column stores currency values.
     * @param value Value to set for the currency property.
     */
    set currency(value) {
        this._currency = value;
    }
    ;
    /**
     * Gets the dateTime property value. This column stores DateTime values.
     * @returns a dateTimeColumn
     */
    get dateTime() {
        return this._dateTime;
    }
    ;
    /**
     * Sets the dateTime property value. This column stores DateTime values.
     * @param value Value to set for the dateTime property.
     */
    set dateTime(value) {
        this._dateTime = value;
    }
    ;
    /**
     * Gets the defaultValue property value. The default value for this column.
     * @returns a defaultColumnValue
     */
    get defaultValue() {
        return this._defaultValue;
    }
    ;
    /**
     * Sets the defaultValue property value. The default value for this column.
     * @param value Value to set for the defaultValue property.
     */
    set defaultValue(value) {
        this._defaultValue = value;
    }
    ;
    /**
     * Gets the description property value. The user-facing description of the column.
     * @returns a string
     */
    get description() {
        return this._description;
    }
    ;
    /**
     * Sets the description property value. The user-facing description of the column.
     * @param value Value to set for the description property.
     */
    set description(value) {
        this._description = value;
    }
    ;
    /**
     * Gets the displayName property value. The user-facing name of the column.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. The user-facing name of the column.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * Gets the enforceUniqueValues property value. If true, no two list items may have the same value for this column.
     * @returns a boolean
     */
    get enforceUniqueValues() {
        return this._enforceUniqueValues;
    }
    ;
    /**
     * Sets the enforceUniqueValues property value. If true, no two list items may have the same value for this column.
     * @param value Value to set for the enforceUniqueValues property.
     */
    set enforceUniqueValues(value) {
        this._enforceUniqueValues = value;
    }
    ;
    /**
     * Gets the geolocation property value. This column stores a geolocation.
     * @returns a geolocationColumn
     */
    get geolocation() {
        return this._geolocation;
    }
    ;
    /**
     * Sets the geolocation property value. This column stores a geolocation.
     * @param value Value to set for the geolocation property.
     */
    set geolocation(value) {
        this._geolocation = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "boolean": n => { this.boolean = n.getObjectValue(createBooleanColumnFromDiscriminatorValue_1.createBooleanColumnFromDiscriminatorValue); }, "calculated": n => { this.calculated = n.getObjectValue(createCalculatedColumnFromDiscriminatorValue_1.createCalculatedColumnFromDiscriminatorValue); }, "choice": n => { this.choice = n.getObjectValue(createChoiceColumnFromDiscriminatorValue_1.createChoiceColumnFromDiscriminatorValue); }, "columnGroup": n => { this.columnGroup = n.getStringValue(); }, "contentApprovalStatus": n => { this.contentApprovalStatus = n.getObjectValue(createContentApprovalStatusColumnFromDiscriminatorValue_1.createContentApprovalStatusColumnFromDiscriminatorValue); }, "currency": n => { this.currency = n.getObjectValue(createCurrencyColumnFromDiscriminatorValue_1.createCurrencyColumnFromDiscriminatorValue); }, "dateTime": n => { this.dateTime = n.getObjectValue(createDateTimeColumnFromDiscriminatorValue_1.createDateTimeColumnFromDiscriminatorValue); }, "defaultValue": n => { this.defaultValue = n.getObjectValue(createDefaultColumnValueFromDiscriminatorValue_1.createDefaultColumnValueFromDiscriminatorValue); }, "description": n => { this.description = n.getStringValue(); }, "displayName": n => { this.displayName = n.getStringValue(); }, "enforceUniqueValues": n => { this.enforceUniqueValues = n.getBooleanValue(); }, "geolocation": n => { this.geolocation = n.getObjectValue(createGeolocationColumnFromDiscriminatorValue_1.createGeolocationColumnFromDiscriminatorValue); }, "hidden": n => { this.hidden = n.getBooleanValue(); }, "hyperlinkOrPicture": n => { this.hyperlinkOrPicture = n.getObjectValue(createHyperlinkOrPictureColumnFromDiscriminatorValue_1.createHyperlinkOrPictureColumnFromDiscriminatorValue); }, "indexed": n => { this.indexed = n.getBooleanValue(); }, "isDeletable": n => { this.isDeletable = n.getBooleanValue(); }, "isReorderable": n => { this.isReorderable = n.getBooleanValue(); }, "isSealed": n => { this.isSealed = n.getBooleanValue(); }, "lookup": n => { this.lookup = n.getObjectValue(createLookupColumnFromDiscriminatorValue_1.createLookupColumnFromDiscriminatorValue); }, "name": n => { this.name = n.getStringValue(); }, "number": n => { this.number = n.getObjectValue(createNumberColumnFromDiscriminatorValue_1.createNumberColumnFromDiscriminatorValue); }, "personOrGroup": n => { this.personOrGroup = n.getObjectValue(createPersonOrGroupColumnFromDiscriminatorValue_1.createPersonOrGroupColumnFromDiscriminatorValue); }, "propagateChanges": n => { this.propagateChanges = n.getBooleanValue(); }, "readOnly": n => { this.readOnly = n.getBooleanValue(); }, "required": n => { this.required = n.getBooleanValue(); }, "sourceColumn": n => { this.sourceColumn = n.getObjectValue(createColumnDefinitionFromDiscriminatorValue_1.createColumnDefinitionFromDiscriminatorValue); }, "sourceContentType": n => { this.sourceContentType = n.getObjectValue(createContentTypeInfoFromDiscriminatorValue_1.createContentTypeInfoFromDiscriminatorValue); }, "term": n => { this.term = n.getObjectValue(createTermColumnFromDiscriminatorValue_1.createTermColumnFromDiscriminatorValue); }, "text": n => { this.text = n.getObjectValue(createTextColumnFromDiscriminatorValue_1.createTextColumnFromDiscriminatorValue); }, "thumbnail": n => { this.thumbnail = n.getObjectValue(createThumbnailColumnFromDiscriminatorValue_1.createThumbnailColumnFromDiscriminatorValue); }, "type": n => { this.type = n.getEnumValue(columnTypes_1.ColumnTypes); }, "validation": n => { this.validation = n.getObjectValue(createColumnValidationFromDiscriminatorValue_1.createColumnValidationFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the hidden property value. Specifies whether the column is displayed in the user interface.
     * @returns a boolean
     */
    get hidden() {
        return this._hidden;
    }
    ;
    /**
     * Sets the hidden property value. Specifies whether the column is displayed in the user interface.
     * @param value Value to set for the hidden property.
     */
    set hidden(value) {
        this._hidden = value;
    }
    ;
    /**
     * Gets the hyperlinkOrPicture property value. This column stores hyperlink or picture values.
     * @returns a hyperlinkOrPictureColumn
     */
    get hyperlinkOrPicture() {
        return this._hyperlinkOrPicture;
    }
    ;
    /**
     * Sets the hyperlinkOrPicture property value. This column stores hyperlink or picture values.
     * @param value Value to set for the hyperlinkOrPicture property.
     */
    set hyperlinkOrPicture(value) {
        this._hyperlinkOrPicture = value;
    }
    ;
    /**
     * Gets the indexed property value. Specifies whether the column values can used for sorting and searching.
     * @returns a boolean
     */
    get indexed() {
        return this._indexed;
    }
    ;
    /**
     * Sets the indexed property value. Specifies whether the column values can used for sorting and searching.
     * @param value Value to set for the indexed property.
     */
    set indexed(value) {
        this._indexed = value;
    }
    ;
    /**
     * Gets the isDeletable property value. Indicates whether this column can be deleted.
     * @returns a boolean
     */
    get isDeletable() {
        return this._isDeletable;
    }
    ;
    /**
     * Sets the isDeletable property value. Indicates whether this column can be deleted.
     * @param value Value to set for the isDeletable property.
     */
    set isDeletable(value) {
        this._isDeletable = value;
    }
    ;
    /**
     * Gets the isReorderable property value. Indicates whether values in the column can be reordered. Read-only.
     * @returns a boolean
     */
    get isReorderable() {
        return this._isReorderable;
    }
    ;
    /**
     * Sets the isReorderable property value. Indicates whether values in the column can be reordered. Read-only.
     * @param value Value to set for the isReorderable property.
     */
    set isReorderable(value) {
        this._isReorderable = value;
    }
    ;
    /**
     * Gets the isSealed property value. Specifies whether the column can be changed.
     * @returns a boolean
     */
    get isSealed() {
        return this._isSealed;
    }
    ;
    /**
     * Sets the isSealed property value. Specifies whether the column can be changed.
     * @param value Value to set for the isSealed property.
     */
    set isSealed(value) {
        this._isSealed = value;
    }
    ;
    /**
     * Gets the lookup property value. This column's data is looked up from another source in the site.
     * @returns a lookupColumn
     */
    get lookup() {
        return this._lookup;
    }
    ;
    /**
     * Sets the lookup property value. This column's data is looked up from another source in the site.
     * @param value Value to set for the lookup property.
     */
    set lookup(value) {
        this._lookup = value;
    }
    ;
    /**
     * Gets the name property value. The API-facing name of the column as it appears in the [fields][] on a [listItem][]. For the user-facing name, see displayName.
     * @returns a string
     */
    get name() {
        return this._name;
    }
    ;
    /**
     * Sets the name property value. The API-facing name of the column as it appears in the [fields][] on a [listItem][]. For the user-facing name, see displayName.
     * @param value Value to set for the name property.
     */
    set name(value) {
        this._name = value;
    }
    ;
    /**
     * Gets the number property value. This column stores number values.
     * @returns a numberColumn
     */
    get number() {
        return this._number;
    }
    ;
    /**
     * Sets the number property value. This column stores number values.
     * @param value Value to set for the number property.
     */
    set number(value) {
        this._number = value;
    }
    ;
    /**
     * Gets the personOrGroup property value. This column stores Person or Group values.
     * @returns a personOrGroupColumn
     */
    get personOrGroup() {
        return this._personOrGroup;
    }
    ;
    /**
     * Sets the personOrGroup property value. This column stores Person or Group values.
     * @param value Value to set for the personOrGroup property.
     */
    set personOrGroup(value) {
        this._personOrGroup = value;
    }
    ;
    /**
     * Gets the propagateChanges property value. If true, changes to this column will be propagated to lists that implement the column.
     * @returns a boolean
     */
    get propagateChanges() {
        return this._propagateChanges;
    }
    ;
    /**
     * Sets the propagateChanges property value. If true, changes to this column will be propagated to lists that implement the column.
     * @param value Value to set for the propagateChanges property.
     */
    set propagateChanges(value) {
        this._propagateChanges = value;
    }
    ;
    /**
     * Gets the readOnly property value. Specifies whether the column values can be modified.
     * @returns a boolean
     */
    get readOnly() {
        return this._readOnly;
    }
    ;
    /**
     * Sets the readOnly property value. Specifies whether the column values can be modified.
     * @param value Value to set for the readOnly property.
     */
    set readOnly(value) {
        this._readOnly = value;
    }
    ;
    /**
     * Gets the required property value. Specifies whether the column value isn't optional.
     * @returns a boolean
     */
    get required() {
        return this._required;
    }
    ;
    /**
     * Sets the required property value. Specifies whether the column value isn't optional.
     * @param value Value to set for the required property.
     */
    set required(value) {
        this._required = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("boolean", this.boolean);
        writer.writeObjectValue("calculated", this.calculated);
        writer.writeObjectValue("choice", this.choice);
        writer.writeStringValue("columnGroup", this.columnGroup);
        writer.writeObjectValue("contentApprovalStatus", this.contentApprovalStatus);
        writer.writeObjectValue("currency", this.currency);
        writer.writeObjectValue("dateTime", this.dateTime);
        writer.writeObjectValue("defaultValue", this.defaultValue);
        writer.writeStringValue("description", this.description);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeBooleanValue("enforceUniqueValues", this.enforceUniqueValues);
        writer.writeObjectValue("geolocation", this.geolocation);
        writer.writeBooleanValue("hidden", this.hidden);
        writer.writeObjectValue("hyperlinkOrPicture", this.hyperlinkOrPicture);
        writer.writeBooleanValue("indexed", this.indexed);
        writer.writeBooleanValue("isDeletable", this.isDeletable);
        writer.writeBooleanValue("isReorderable", this.isReorderable);
        writer.writeBooleanValue("isSealed", this.isSealed);
        writer.writeObjectValue("lookup", this.lookup);
        writer.writeStringValue("name", this.name);
        writer.writeObjectValue("number", this.number);
        writer.writeObjectValue("personOrGroup", this.personOrGroup);
        writer.writeBooleanValue("propagateChanges", this.propagateChanges);
        writer.writeBooleanValue("readOnly", this.readOnly);
        writer.writeBooleanValue("required", this.required);
        writer.writeObjectValue("sourceColumn", this.sourceColumn);
        writer.writeObjectValue("sourceContentType", this.sourceContentType);
        writer.writeObjectValue("term", this.term);
        writer.writeObjectValue("text", this.text);
        writer.writeObjectValue("thumbnail", this.thumbnail);
        writer.writeEnumValue("type", this.type);
        writer.writeObjectValue("validation", this.validation);
    }
    ;
    /**
     * Gets the sourceColumn property value. The source column for content type column.
     * @returns a columnDefinition
     */
    get sourceColumn() {
        return this._sourceColumn;
    }
    ;
    /**
     * Sets the sourceColumn property value. The source column for content type column.
     * @param value Value to set for the sourceColumn property.
     */
    set sourceColumn(value) {
        this._sourceColumn = value;
    }
    ;
    /**
     * Gets the sourceContentType property value. ContentType from which this column is inherited from. Used only to fetch contentTypes columns.
     * @returns a contentTypeInfo
     */
    get sourceContentType() {
        return this._sourceContentType;
    }
    ;
    /**
     * Sets the sourceContentType property value. ContentType from which this column is inherited from. Used only to fetch contentTypes columns.
     * @param value Value to set for the sourceContentType property.
     */
    set sourceContentType(value) {
        this._sourceContentType = value;
    }
    ;
    /**
     * Gets the term property value. This column stores taxonomy terms.
     * @returns a termColumn
     */
    get term() {
        return this._term;
    }
    ;
    /**
     * Sets the term property value. This column stores taxonomy terms.
     * @param value Value to set for the term property.
     */
    set term(value) {
        this._term = value;
    }
    ;
    /**
     * Gets the text property value. This column stores text values.
     * @returns a textColumn
     */
    get text() {
        return this._text;
    }
    ;
    /**
     * Sets the text property value. This column stores text values.
     * @param value Value to set for the text property.
     */
    set text(value) {
        this._text = value;
    }
    ;
    /**
     * Gets the thumbnail property value. This column stores thumbnail values.
     * @returns a thumbnailColumn
     */
    get thumbnail() {
        return this._thumbnail;
    }
    ;
    /**
     * Sets the thumbnail property value. This column stores thumbnail values.
     * @param value Value to set for the thumbnail property.
     */
    set thumbnail(value) {
        this._thumbnail = value;
    }
    ;
    /**
     * Gets the type property value. For site columns, the type of column. Read-only.
     * @returns a columnTypes
     */
    get type() {
        return this._type;
    }
    ;
    /**
     * Sets the type property value. For site columns, the type of column. Read-only.
     * @param value Value to set for the type property.
     */
    set type(value) {
        this._type = value;
    }
    ;
    /**
     * Gets the validation property value. This column stores validation formula and message for the column.
     * @returns a columnValidation
     */
    get validation() {
        return this._validation;
    }
    ;
    /**
     * Sets the validation property value. This column stores validation formula and message for the column.
     * @param value Value to set for the validation property.
     */
    set validation(value) {
        this._validation = value;
    }
    ;
}
exports.ColumnDefinition = ColumnDefinition;
