import { DisplayNameLocalization } from './index';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class ColumnValidation implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** Default BCP 47 language tag for the description. */
    private _defaultLanguage?;
    /** Localized messages that explain what is needed for this column's value to be considered valid. User will be prompted with this message if validation fails. */
    private _descriptions?;
    /** The formula to validate column value. For examples, see Examples of common formulas in lists */
    private _formula?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Instantiates a new columnValidation and sets the default values.
     */
    constructor();
    /**
     * Gets the defaultLanguage property value. Default BCP 47 language tag for the description.
     * @returns a string
     */
    get defaultLanguage(): string | undefined;
    /**
     * Sets the defaultLanguage property value. Default BCP 47 language tag for the description.
     * @param value Value to set for the defaultLanguage property.
     */
    set defaultLanguage(value: string | undefined);
    /**
     * Gets the descriptions property value. Localized messages that explain what is needed for this column's value to be considered valid. User will be prompted with this message if validation fails.
     * @returns a displayNameLocalization
     */
    get descriptions(): DisplayNameLocalization[] | undefined;
    /**
     * Sets the descriptions property value. Localized messages that explain what is needed for this column's value to be considered valid. User will be prompted with this message if validation fails.
     * @param value Value to set for the descriptions property.
     */
    set descriptions(value: DisplayNameLocalization[] | undefined);
    /**
     * Gets the formula property value. The formula to validate column value. For examples, see Examples of common formulas in lists
     * @returns a string
     */
    get formula(): string | undefined;
    /**
     * Sets the formula property value. The formula to validate column value. For examples, see Examples of common formulas in lists
     * @param value Value to set for the formula property.
     */
    set formula(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
