"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ComplianceManagementPartnerAssignment = void 0;
const createDeviceAndAppManagementAssignmentTargetFromDiscriminatorValue_1 = require("./createDeviceAndAppManagementAssignmentTargetFromDiscriminatorValue");
/** User group targeting for Compliance Management Partner */
class ComplianceManagementPartnerAssignment {
    /**
     * Instantiates a new complianceManagementPartnerAssignment and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "target": n => { this.target = n.getObjectValue(createDeviceAndAppManagementAssignmentTargetFromDiscriminatorValue_1.createDeviceAndAppManagementAssignmentTargetFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeObjectValue("target", this.target);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the target property value. Group assignment target.
     * @returns a deviceAndAppManagementAssignmentTarget
     */
    get target() {
        return this._target;
    }
    ;
    /**
     * Sets the target property value. Group assignment target.
     * @param value Value to set for the target property.
     */
    set target(value) {
        this._target = value;
    }
    ;
}
exports.ComplianceManagementPartnerAssignment = ComplianceManagementPartnerAssignment;
