"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConditionalAccessApplications = void 0;
class ConditionalAccessApplications {
    /**
     * Instantiates a new conditionalAccessApplications and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the excludeApplications property value. The list of application IDs explicitly excluded from the policy.
     * @returns a string
     */
    get excludeApplications() {
        return this._excludeApplications;
    }
    ;
    /**
     * Sets the excludeApplications property value. The list of application IDs explicitly excluded from the policy.
     * @param value Value to set for the excludeApplications property.
     */
    set excludeApplications(value) {
        this._excludeApplications = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "excludeApplications": n => { this.excludeApplications = n.getCollectionOfPrimitiveValues(); },
            "includeApplications": n => { this.includeApplications = n.getCollectionOfPrimitiveValues(); },
            "includeAuthenticationContextClassReferences": n => { this.includeAuthenticationContextClassReferences = n.getCollectionOfPrimitiveValues(); },
            "includeUserActions": n => { this.includeUserActions = n.getCollectionOfPrimitiveValues(); },
        };
    }
    ;
    /**
     * Gets the includeApplications property value. The list of application IDs the policy applies to, unless explicitly excluded (in excludeApplications). Can also be set to All.
     * @returns a string
     */
    get includeApplications() {
        return this._includeApplications;
    }
    ;
    /**
     * Sets the includeApplications property value. The list of application IDs the policy applies to, unless explicitly excluded (in excludeApplications). Can also be set to All.
     * @param value Value to set for the includeApplications property.
     */
    set includeApplications(value) {
        this._includeApplications = value;
    }
    ;
    /**
     * Gets the includeAuthenticationContextClassReferences property value. Authentication context class references include. Supported values are c1 through c25.
     * @returns a string
     */
    get includeAuthenticationContextClassReferences() {
        return this._includeAuthenticationContextClassReferences;
    }
    ;
    /**
     * Sets the includeAuthenticationContextClassReferences property value. Authentication context class references include. Supported values are c1 through c25.
     * @param value Value to set for the includeAuthenticationContextClassReferences property.
     */
    set includeAuthenticationContextClassReferences(value) {
        this._includeAuthenticationContextClassReferences = value;
    }
    ;
    /**
     * Gets the includeUserActions property value. User actions to include. Supported values are urn:user:registersecurityinfo and urn:user:registerdevice
     * @returns a string
     */
    get includeUserActions() {
        return this._includeUserActions;
    }
    ;
    /**
     * Sets the includeUserActions property value. User actions to include. Supported values are urn:user:registersecurityinfo and urn:user:registerdevice
     * @param value Value to set for the includeUserActions property.
     */
    set includeUserActions(value) {
        this._includeUserActions = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeCollectionOfPrimitiveValues("excludeApplications", this.excludeApplications);
        writer.writeCollectionOfPrimitiveValues("includeApplications", this.includeApplications);
        writer.writeCollectionOfPrimitiveValues("includeAuthenticationContextClassReferences", this.includeAuthenticationContextClassReferences);
        writer.writeCollectionOfPrimitiveValues("includeUserActions", this.includeUserActions);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.ConditionalAccessApplications = ConditionalAccessApplications;
