"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConditionalAccessFilter = void 0;
const filterMode_1 = require("./filterMode");
class ConditionalAccessFilter {
    /**
     * Instantiates a new conditionalAccessFilter and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "mode": n => { this.mode = n.getEnumValue(filterMode_1.FilterMode); },
            "rule": n => { this.rule = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the mode property value. Mode to use for the filter. Possible values are include or exclude.
     * @returns a filterMode
     */
    get mode() {
        return this._mode;
    }
    ;
    /**
     * Sets the mode property value. Mode to use for the filter. Possible values are include or exclude.
     * @param value Value to set for the mode property.
     */
    set mode(value) {
        this._mode = value;
    }
    ;
    /**
     * Gets the rule property value. Rule syntax is similar to that used for membership rules for groups in Azure Active Directory. For details, see rules with multiple expressions
     * @returns a string
     */
    get rule() {
        return this._rule;
    }
    ;
    /**
     * Sets the rule property value. Rule syntax is similar to that used for membership rules for groups in Azure Active Directory. For details, see rules with multiple expressions
     * @param value Value to set for the rule property.
     */
    set rule(value) {
        this._rule = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeEnumValue("mode", this.mode);
        writer.writeStringValue("rule", this.rule);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.ConditionalAccessFilter = ConditionalAccessFilter;
