"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConditionalAccessGrantControls = void 0;
class ConditionalAccessGrantControls {
    /**
     * Instantiates a new conditionalAccessGrantControls and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the builtInControls property value. List of values of built-in controls required by the policy. Possible values: block, mfa, compliantDevice, domainJoinedDevice, approvedApplication, compliantApplication, passwordChange, unknownFutureValue.
     * @returns a string
     */
    get builtInControls() {
        return this._builtInControls;
    }
    ;
    /**
     * Sets the builtInControls property value. List of values of built-in controls required by the policy. Possible values: block, mfa, compliantDevice, domainJoinedDevice, approvedApplication, compliantApplication, passwordChange, unknownFutureValue.
     * @param value Value to set for the builtInControls property.
     */
    set builtInControls(value) {
        this._builtInControls = value;
    }
    ;
    ;
    /**
     * Gets the customAuthenticationFactors property value. List of custom controls IDs required by the policy. To learn more about custom control, see Custom controls (preview).
     * @returns a string
     */
    get customAuthenticationFactors() {
        return this._customAuthenticationFactors;
    }
    ;
    /**
     * Sets the customAuthenticationFactors property value. List of custom controls IDs required by the policy. To learn more about custom control, see Custom controls (preview).
     * @param value Value to set for the customAuthenticationFactors property.
     */
    set customAuthenticationFactors(value) {
        this._customAuthenticationFactors = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "builtInControls": n => { this.builtInControls = n.getCollectionOfPrimitiveValues(); },
            "customAuthenticationFactors": n => { this.customAuthenticationFactors = n.getCollectionOfPrimitiveValues(); },
            "operator": n => { this.operator = n.getStringValue(); },
            "termsOfUse": n => { this.termsOfUse = n.getCollectionOfPrimitiveValues(); },
        };
    }
    ;
    /**
     * Gets the operator property value. Defines the relationship of the grant controls. Possible values: AND, OR.
     * @returns a string
     */
    get operator() {
        return this._operator;
    }
    ;
    /**
     * Sets the operator property value. Defines the relationship of the grant controls. Possible values: AND, OR.
     * @param value Value to set for the operator property.
     */
    set operator(value) {
        this._operator = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeCollectionOfPrimitiveValues("builtInControls", this.builtInControls);
        writer.writeCollectionOfPrimitiveValues("customAuthenticationFactors", this.customAuthenticationFactors);
        writer.writeStringValue("operator", this.operator);
        writer.writeCollectionOfPrimitiveValues("termsOfUse", this.termsOfUse);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the termsOfUse property value. List of terms of use IDs required by the policy.
     * @returns a string
     */
    get termsOfUse() {
        return this._termsOfUse;
    }
    ;
    /**
     * Sets the termsOfUse property value. List of terms of use IDs required by the policy.
     * @param value Value to set for the termsOfUse property.
     */
    set termsOfUse(value) {
        this._termsOfUse = value;
    }
    ;
}
exports.ConditionalAccessGrantControls = ConditionalAccessGrantControls;
