"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConditionalAccessPlatforms = void 0;
class ConditionalAccessPlatforms {
    /**
     * Instantiates a new conditionalAccessPlatforms and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the excludePlatforms property value. Possible values are: android, iOS, windows, windowsPhone, macOS, all, unknownFutureValue, linux.
     * @returns a string
     */
    get excludePlatforms() {
        return this._excludePlatforms;
    }
    ;
    /**
     * Sets the excludePlatforms property value. Possible values are: android, iOS, windows, windowsPhone, macOS, all, unknownFutureValue, linux.
     * @param value Value to set for the excludePlatforms property.
     */
    set excludePlatforms(value) {
        this._excludePlatforms = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "excludePlatforms": n => { this.excludePlatforms = n.getCollectionOfPrimitiveValues(); },
            "includePlatforms": n => { this.includePlatforms = n.getCollectionOfPrimitiveValues(); },
        };
    }
    ;
    /**
     * Gets the includePlatforms property value. Possible values are: android, iOS, windows, windowsPhone, macOS, all, unknownFutureValue,linux``.
     * @returns a string
     */
    get includePlatforms() {
        return this._includePlatforms;
    }
    ;
    /**
     * Sets the includePlatforms property value. Possible values are: android, iOS, windows, windowsPhone, macOS, all, unknownFutureValue,linux``.
     * @param value Value to set for the includePlatforms property.
     */
    set includePlatforms(value) {
        this._includePlatforms = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeCollectionOfPrimitiveValues("excludePlatforms", this.excludePlatforms);
        writer.writeCollectionOfPrimitiveValues("includePlatforms", this.includePlatforms);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.ConditionalAccessPlatforms = ConditionalAccessPlatforms;
