import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** configuration Manager client enabled features */
export declare class ConfigurationManagerClientEnabledFeatures implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** Whether compliance policy is managed by Intune */
    private _compliancePolicy?;
    /** Whether device configuration is managed by Intune */
    private _deviceConfiguration?;
    /** Whether inventory is managed by Intune */
    private _inventory?;
    /** Whether modern application is managed by Intune */
    private _modernApps?;
    /** Whether resource access is managed by Intune */
    private _resourceAccess?;
    /** Whether Windows Update for Business is managed by Intune */
    private _windowsUpdateForBusiness?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the compliancePolicy property value. Whether compliance policy is managed by Intune
     * @returns a boolean
     */
    get compliancePolicy(): boolean | undefined;
    /**
     * Sets the compliancePolicy property value. Whether compliance policy is managed by Intune
     * @param value Value to set for the compliancePolicy property.
     */
    set compliancePolicy(value: boolean | undefined);
    /**
     * Instantiates a new configurationManagerClientEnabledFeatures and sets the default values.
     */
    constructor();
    /**
     * Gets the deviceConfiguration property value. Whether device configuration is managed by Intune
     * @returns a boolean
     */
    get deviceConfiguration(): boolean | undefined;
    /**
     * Sets the deviceConfiguration property value. Whether device configuration is managed by Intune
     * @param value Value to set for the deviceConfiguration property.
     */
    set deviceConfiguration(value: boolean | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the inventory property value. Whether inventory is managed by Intune
     * @returns a boolean
     */
    get inventory(): boolean | undefined;
    /**
     * Sets the inventory property value. Whether inventory is managed by Intune
     * @param value Value to set for the inventory property.
     */
    set inventory(value: boolean | undefined);
    /**
     * Gets the modernApps property value. Whether modern application is managed by Intune
     * @returns a boolean
     */
    get modernApps(): boolean | undefined;
    /**
     * Sets the modernApps property value. Whether modern application is managed by Intune
     * @param value Value to set for the modernApps property.
     */
    set modernApps(value: boolean | undefined);
    /**
     * Gets the resourceAccess property value. Whether resource access is managed by Intune
     * @returns a boolean
     */
    get resourceAccess(): boolean | undefined;
    /**
     * Sets the resourceAccess property value. Whether resource access is managed by Intune
     * @param value Value to set for the resourceAccess property.
     */
    set resourceAccess(value: boolean | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the windowsUpdateForBusiness property value. Whether Windows Update for Business is managed by Intune
     * @returns a boolean
     */
    get windowsUpdateForBusiness(): boolean | undefined;
    /**
     * Sets the windowsUpdateForBusiness property value. Whether Windows Update for Business is managed by Intune
     * @param value Value to set for the windowsUpdateForBusiness property.
     */
    set windowsUpdateForBusiness(value: boolean | undefined);
}
