"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Contact = void 0;
const createEmailAddressFromDiscriminatorValue_1 = require("./createEmailAddressFromDiscriminatorValue");
const createExtensionFromDiscriminatorValue_1 = require("./createExtensionFromDiscriminatorValue");
const createMultiValueLegacyExtendedPropertyFromDiscriminatorValue_1 = require("./createMultiValueLegacyExtendedPropertyFromDiscriminatorValue");
const createPhysicalAddressFromDiscriminatorValue_1 = require("./createPhysicalAddressFromDiscriminatorValue");
const createProfilePhotoFromDiscriminatorValue_1 = require("./createProfilePhotoFromDiscriminatorValue");
const createSingleValueLegacyExtendedPropertyFromDiscriminatorValue_1 = require("./createSingleValueLegacyExtendedPropertyFromDiscriminatorValue");
const index_1 = require("./index");
/** Casts the previous resource to user. */
class Contact extends index_1.OutlookItem {
    /**
     * Instantiates a new contact and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the assistantName property value. The name of the contact's assistant.
     * @returns a string
     */
    get assistantName() {
        return this._assistantName;
    }
    ;
    /**
     * Sets the assistantName property value. The name of the contact's assistant.
     * @param value Value to set for the assistantName property.
     */
    set assistantName(value) {
        this._assistantName = value;
    }
    ;
    /**
     * Gets the birthday property value. The contact's birthday. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @returns a Date
     */
    get birthday() {
        return this._birthday;
    }
    ;
    /**
     * Sets the birthday property value. The contact's birthday. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @param value Value to set for the birthday property.
     */
    set birthday(value) {
        this._birthday = value;
    }
    ;
    /**
     * Gets the businessAddress property value. The contact's business address.
     * @returns a physicalAddress
     */
    get businessAddress() {
        return this._businessAddress;
    }
    ;
    /**
     * Sets the businessAddress property value. The contact's business address.
     * @param value Value to set for the businessAddress property.
     */
    set businessAddress(value) {
        this._businessAddress = value;
    }
    ;
    /**
     * Gets the businessHomePage property value. The business home page of the contact.
     * @returns a string
     */
    get businessHomePage() {
        return this._businessHomePage;
    }
    ;
    /**
     * Sets the businessHomePage property value. The business home page of the contact.
     * @param value Value to set for the businessHomePage property.
     */
    set businessHomePage(value) {
        this._businessHomePage = value;
    }
    ;
    /**
     * Gets the businessPhones property value. The contact's business phone numbers.
     * @returns a string
     */
    get businessPhones() {
        return this._businessPhones;
    }
    ;
    /**
     * Sets the businessPhones property value. The contact's business phone numbers.
     * @param value Value to set for the businessPhones property.
     */
    set businessPhones(value) {
        this._businessPhones = value;
    }
    ;
    /**
     * Gets the children property value. The names of the contact's children.
     * @returns a string
     */
    get children() {
        return this._children;
    }
    ;
    /**
     * Sets the children property value. The names of the contact's children.
     * @param value Value to set for the children property.
     */
    set children(value) {
        this._children = value;
    }
    ;
    /**
     * Gets the companyName property value. The name of the contact's company.
     * @returns a string
     */
    get companyName() {
        return this._companyName;
    }
    ;
    /**
     * Sets the companyName property value. The name of the contact's company.
     * @param value Value to set for the companyName property.
     */
    set companyName(value) {
        this._companyName = value;
    }
    ;
    ;
    /**
     * Gets the department property value. The contact's department.
     * @returns a string
     */
    get department() {
        return this._department;
    }
    ;
    /**
     * Sets the department property value. The contact's department.
     * @param value Value to set for the department property.
     */
    set department(value) {
        this._department = value;
    }
    ;
    /**
     * Gets the displayName property value. The contact's display name. You can specify the display name in a create or update operation. Note that later updates to other properties may cause an automatically generated value to overwrite the displayName value you have specified. To preserve a pre-existing value, always include it as displayName in an update operation.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. The contact's display name. You can specify the display name in a create or update operation. Note that later updates to other properties may cause an automatically generated value to overwrite the displayName value you have specified. To preserve a pre-existing value, always include it as displayName in an update operation.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * Gets the emailAddresses property value. The contact's email addresses.
     * @returns a emailAddress
     */
    get emailAddresses() {
        return this._emailAddresses;
    }
    ;
    /**
     * Sets the emailAddresses property value. The contact's email addresses.
     * @param value Value to set for the emailAddresses property.
     */
    set emailAddresses(value) {
        this._emailAddresses = value;
    }
    ;
    /**
     * Gets the extensions property value. The collection of open extensions defined for the contact. Nullable.
     * @returns a extension
     */
    get extensions() {
        return this._extensions;
    }
    ;
    /**
     * Sets the extensions property value. The collection of open extensions defined for the contact. Nullable.
     * @param value Value to set for the extensions property.
     */
    set extensions(value) {
        this._extensions = value;
    }
    ;
    /**
     * Gets the fileAs property value. The name the contact is filed under.
     * @returns a string
     */
    get fileAs() {
        return this._fileAs;
    }
    ;
    /**
     * Sets the fileAs property value. The name the contact is filed under.
     * @param value Value to set for the fileAs property.
     */
    set fileAs(value) {
        this._fileAs = value;
    }
    ;
    /**
     * Gets the generation property value. The contact's generation.
     * @returns a string
     */
    get generation() {
        return this._generation;
    }
    ;
    /**
     * Sets the generation property value. The contact's generation.
     * @param value Value to set for the generation property.
     */
    set generation(value) {
        this._generation = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "assistantName": n => { this.assistantName = n.getStringValue(); }, "birthday": n => { this.birthday = n.getDateValue(); }, "businessAddress": n => { this.businessAddress = n.getObjectValue(createPhysicalAddressFromDiscriminatorValue_1.createPhysicalAddressFromDiscriminatorValue); }, "businessHomePage": n => { this.businessHomePage = n.getStringValue(); }, "businessPhones": n => { this.businessPhones = n.getCollectionOfPrimitiveValues(); }, "children": n => { this.children = n.getCollectionOfPrimitiveValues(); }, "companyName": n => { this.companyName = n.getStringValue(); }, "department": n => { this.department = n.getStringValue(); }, "displayName": n => { this.displayName = n.getStringValue(); }, "emailAddresses": n => { this.emailAddresses = n.getCollectionOfObjectValues(createEmailAddressFromDiscriminatorValue_1.createEmailAddressFromDiscriminatorValue); }, "extensions": n => { this.extensions = n.getCollectionOfObjectValues(createExtensionFromDiscriminatorValue_1.createExtensionFromDiscriminatorValue); }, "fileAs": n => { this.fileAs = n.getStringValue(); }, "generation": n => { this.generation = n.getStringValue(); }, "givenName": n => { this.givenName = n.getStringValue(); }, "homeAddress": n => { this.homeAddress = n.getObjectValue(createPhysicalAddressFromDiscriminatorValue_1.createPhysicalAddressFromDiscriminatorValue); }, "homePhones": n => { this.homePhones = n.getCollectionOfPrimitiveValues(); }, "imAddresses": n => { this.imAddresses = n.getCollectionOfPrimitiveValues(); }, "initials": n => { this.initials = n.getStringValue(); }, "jobTitle": n => { this.jobTitle = n.getStringValue(); }, "manager": n => { this.manager = n.getStringValue(); }, "middleName": n => { this.middleName = n.getStringValue(); }, "mobilePhone": n => { this.mobilePhone = n.getStringValue(); }, "multiValueExtendedProperties": n => { this.multiValueExtendedProperties = n.getCollectionOfObjectValues(createMultiValueLegacyExtendedPropertyFromDiscriminatorValue_1.createMultiValueLegacyExtendedPropertyFromDiscriminatorValue); }, "nickName": n => { this.nickName = n.getStringValue(); }, "officeLocation": n => { this.officeLocation = n.getStringValue(); }, "otherAddress": n => { this.otherAddress = n.getObjectValue(createPhysicalAddressFromDiscriminatorValue_1.createPhysicalAddressFromDiscriminatorValue); }, "parentFolderId": n => { this.parentFolderId = n.getStringValue(); }, "personalNotes": n => { this.personalNotes = n.getStringValue(); }, "photo": n => { this.photo = n.getObjectValue(createProfilePhotoFromDiscriminatorValue_1.createProfilePhotoFromDiscriminatorValue); }, "profession": n => { this.profession = n.getStringValue(); }, "singleValueExtendedProperties": n => { this.singleValueExtendedProperties = n.getCollectionOfObjectValues(createSingleValueLegacyExtendedPropertyFromDiscriminatorValue_1.createSingleValueLegacyExtendedPropertyFromDiscriminatorValue); }, "spouseName": n => { this.spouseName = n.getStringValue(); }, "surname": n => { this.surname = n.getStringValue(); }, "title": n => { this.title = n.getStringValue(); }, "yomiCompanyName": n => { this.yomiCompanyName = n.getStringValue(); }, "yomiGivenName": n => { this.yomiGivenName = n.getStringValue(); }, "yomiSurname": n => { this.yomiSurname = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the givenName property value. The contact's given name.
     * @returns a string
     */
    get givenName() {
        return this._givenName;
    }
    ;
    /**
     * Sets the givenName property value. The contact's given name.
     * @param value Value to set for the givenName property.
     */
    set givenName(value) {
        this._givenName = value;
    }
    ;
    /**
     * Gets the homeAddress property value. The contact's home address.
     * @returns a physicalAddress
     */
    get homeAddress() {
        return this._homeAddress;
    }
    ;
    /**
     * Sets the homeAddress property value. The contact's home address.
     * @param value Value to set for the homeAddress property.
     */
    set homeAddress(value) {
        this._homeAddress = value;
    }
    ;
    /**
     * Gets the homePhones property value. The contact's home phone numbers.
     * @returns a string
     */
    get homePhones() {
        return this._homePhones;
    }
    ;
    /**
     * Sets the homePhones property value. The contact's home phone numbers.
     * @param value Value to set for the homePhones property.
     */
    set homePhones(value) {
        this._homePhones = value;
    }
    ;
    /**
     * Gets the imAddresses property value. The imAddresses property
     * @returns a string
     */
    get imAddresses() {
        return this._imAddresses;
    }
    ;
    /**
     * Sets the imAddresses property value. The imAddresses property
     * @param value Value to set for the imAddresses property.
     */
    set imAddresses(value) {
        this._imAddresses = value;
    }
    ;
    /**
     * Gets the initials property value. The initials property
     * @returns a string
     */
    get initials() {
        return this._initials;
    }
    ;
    /**
     * Sets the initials property value. The initials property
     * @param value Value to set for the initials property.
     */
    set initials(value) {
        this._initials = value;
    }
    ;
    /**
     * Gets the jobTitle property value. The jobTitle property
     * @returns a string
     */
    get jobTitle() {
        return this._jobTitle;
    }
    ;
    /**
     * Sets the jobTitle property value. The jobTitle property
     * @param value Value to set for the jobTitle property.
     */
    set jobTitle(value) {
        this._jobTitle = value;
    }
    ;
    /**
     * Gets the manager property value. The manager property
     * @returns a string
     */
    get manager() {
        return this._manager;
    }
    ;
    /**
     * Sets the manager property value. The manager property
     * @param value Value to set for the manager property.
     */
    set manager(value) {
        this._manager = value;
    }
    ;
    /**
     * Gets the middleName property value. The middleName property
     * @returns a string
     */
    get middleName() {
        return this._middleName;
    }
    ;
    /**
     * Sets the middleName property value. The middleName property
     * @param value Value to set for the middleName property.
     */
    set middleName(value) {
        this._middleName = value;
    }
    ;
    /**
     * Gets the mobilePhone property value. The mobilePhone property
     * @returns a string
     */
    get mobilePhone() {
        return this._mobilePhone;
    }
    ;
    /**
     * Sets the mobilePhone property value. The mobilePhone property
     * @param value Value to set for the mobilePhone property.
     */
    set mobilePhone(value) {
        this._mobilePhone = value;
    }
    ;
    /**
     * Gets the multiValueExtendedProperties property value. The collection of multi-value extended properties defined for the contact. Read-only. Nullable.
     * @returns a multiValueLegacyExtendedProperty
     */
    get multiValueExtendedProperties() {
        return this._multiValueExtendedProperties;
    }
    ;
    /**
     * Sets the multiValueExtendedProperties property value. The collection of multi-value extended properties defined for the contact. Read-only. Nullable.
     * @param value Value to set for the multiValueExtendedProperties property.
     */
    set multiValueExtendedProperties(value) {
        this._multiValueExtendedProperties = value;
    }
    ;
    /**
     * Gets the nickName property value. The nickName property
     * @returns a string
     */
    get nickName() {
        return this._nickName;
    }
    ;
    /**
     * Sets the nickName property value. The nickName property
     * @param value Value to set for the nickName property.
     */
    set nickName(value) {
        this._nickName = value;
    }
    ;
    /**
     * Gets the officeLocation property value. The officeLocation property
     * @returns a string
     */
    get officeLocation() {
        return this._officeLocation;
    }
    ;
    /**
     * Sets the officeLocation property value. The officeLocation property
     * @param value Value to set for the officeLocation property.
     */
    set officeLocation(value) {
        this._officeLocation = value;
    }
    ;
    /**
     * Gets the otherAddress property value. The otherAddress property
     * @returns a physicalAddress
     */
    get otherAddress() {
        return this._otherAddress;
    }
    ;
    /**
     * Sets the otherAddress property value. The otherAddress property
     * @param value Value to set for the otherAddress property.
     */
    set otherAddress(value) {
        this._otherAddress = value;
    }
    ;
    /**
     * Gets the parentFolderId property value. The parentFolderId property
     * @returns a string
     */
    get parentFolderId() {
        return this._parentFolderId;
    }
    ;
    /**
     * Sets the parentFolderId property value. The parentFolderId property
     * @param value Value to set for the parentFolderId property.
     */
    set parentFolderId(value) {
        this._parentFolderId = value;
    }
    ;
    /**
     * Gets the personalNotes property value. The personalNotes property
     * @returns a string
     */
    get personalNotes() {
        return this._personalNotes;
    }
    ;
    /**
     * Sets the personalNotes property value. The personalNotes property
     * @param value Value to set for the personalNotes property.
     */
    set personalNotes(value) {
        this._personalNotes = value;
    }
    ;
    /**
     * Gets the photo property value. Optional contact picture. You can get or set a photo for a contact.
     * @returns a profilePhoto
     */
    get photo() {
        return this._photo;
    }
    ;
    /**
     * Sets the photo property value. Optional contact picture. You can get or set a photo for a contact.
     * @param value Value to set for the photo property.
     */
    set photo(value) {
        this._photo = value;
    }
    ;
    /**
     * Gets the profession property value. The profession property
     * @returns a string
     */
    get profession() {
        return this._profession;
    }
    ;
    /**
     * Sets the profession property value. The profession property
     * @param value Value to set for the profession property.
     */
    set profession(value) {
        this._profession = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("assistantName", this.assistantName);
        writer.writeDateValue("birthday", this.birthday);
        writer.writeObjectValue("businessAddress", this.businessAddress);
        writer.writeStringValue("businessHomePage", this.businessHomePage);
        writer.writeCollectionOfPrimitiveValues("businessPhones", this.businessPhones);
        writer.writeCollectionOfPrimitiveValues("children", this.children);
        writer.writeStringValue("companyName", this.companyName);
        writer.writeStringValue("department", this.department);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeCollectionOfObjectValues("emailAddresses", this.emailAddresses);
        writer.writeCollectionOfObjectValues("extensions", this.extensions);
        writer.writeStringValue("fileAs", this.fileAs);
        writer.writeStringValue("generation", this.generation);
        writer.writeStringValue("givenName", this.givenName);
        writer.writeObjectValue("homeAddress", this.homeAddress);
        writer.writeCollectionOfPrimitiveValues("homePhones", this.homePhones);
        writer.writeCollectionOfPrimitiveValues("imAddresses", this.imAddresses);
        writer.writeStringValue("initials", this.initials);
        writer.writeStringValue("jobTitle", this.jobTitle);
        writer.writeStringValue("manager", this.manager);
        writer.writeStringValue("middleName", this.middleName);
        writer.writeStringValue("mobilePhone", this.mobilePhone);
        writer.writeCollectionOfObjectValues("multiValueExtendedProperties", this.multiValueExtendedProperties);
        writer.writeStringValue("nickName", this.nickName);
        writer.writeStringValue("officeLocation", this.officeLocation);
        writer.writeObjectValue("otherAddress", this.otherAddress);
        writer.writeStringValue("parentFolderId", this.parentFolderId);
        writer.writeStringValue("personalNotes", this.personalNotes);
        writer.writeObjectValue("photo", this.photo);
        writer.writeStringValue("profession", this.profession);
        writer.writeCollectionOfObjectValues("singleValueExtendedProperties", this.singleValueExtendedProperties);
        writer.writeStringValue("spouseName", this.spouseName);
        writer.writeStringValue("surname", this.surname);
        writer.writeStringValue("title", this.title);
        writer.writeStringValue("yomiCompanyName", this.yomiCompanyName);
        writer.writeStringValue("yomiGivenName", this.yomiGivenName);
        writer.writeStringValue("yomiSurname", this.yomiSurname);
    }
    ;
    /**
     * Gets the singleValueExtendedProperties property value. The collection of single-value extended properties defined for the contact. Read-only. Nullable.
     * @returns a singleValueLegacyExtendedProperty
     */
    get singleValueExtendedProperties() {
        return this._singleValueExtendedProperties;
    }
    ;
    /**
     * Sets the singleValueExtendedProperties property value. The collection of single-value extended properties defined for the contact. Read-only. Nullable.
     * @param value Value to set for the singleValueExtendedProperties property.
     */
    set singleValueExtendedProperties(value) {
        this._singleValueExtendedProperties = value;
    }
    ;
    /**
     * Gets the spouseName property value. The spouseName property
     * @returns a string
     */
    get spouseName() {
        return this._spouseName;
    }
    ;
    /**
     * Sets the spouseName property value. The spouseName property
     * @param value Value to set for the spouseName property.
     */
    set spouseName(value) {
        this._spouseName = value;
    }
    ;
    /**
     * Gets the surname property value. The surname property
     * @returns a string
     */
    get surname() {
        return this._surname;
    }
    ;
    /**
     * Sets the surname property value. The surname property
     * @param value Value to set for the surname property.
     */
    set surname(value) {
        this._surname = value;
    }
    ;
    /**
     * Gets the title property value. The title property
     * @returns a string
     */
    get title() {
        return this._title;
    }
    ;
    /**
     * Sets the title property value. The title property
     * @param value Value to set for the title property.
     */
    set title(value) {
        this._title = value;
    }
    ;
    /**
     * Gets the yomiCompanyName property value. The yomiCompanyName property
     * @returns a string
     */
    get yomiCompanyName() {
        return this._yomiCompanyName;
    }
    ;
    /**
     * Sets the yomiCompanyName property value. The yomiCompanyName property
     * @param value Value to set for the yomiCompanyName property.
     */
    set yomiCompanyName(value) {
        this._yomiCompanyName = value;
    }
    ;
    /**
     * Gets the yomiGivenName property value. The yomiGivenName property
     * @returns a string
     */
    get yomiGivenName() {
        return this._yomiGivenName;
    }
    ;
    /**
     * Sets the yomiGivenName property value. The yomiGivenName property
     * @param value Value to set for the yomiGivenName property.
     */
    set yomiGivenName(value) {
        this._yomiGivenName = value;
    }
    ;
    /**
     * Gets the yomiSurname property value. The yomiSurname property
     * @returns a string
     */
    get yomiSurname() {
        return this._yomiSurname;
    }
    ;
    /**
     * Sets the yomiSurname property value. The yomiSurname property
     * @param value Value to set for the yomiSurname property.
     */
    set yomiSurname(value) {
        this._yomiSurname = value;
    }
    ;
}
exports.Contact = Contact;
