"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContentType = void 0;
const createColumnDefinitionFromDiscriminatorValue_1 = require("./createColumnDefinitionFromDiscriminatorValue");
const createColumnLinkFromDiscriminatorValue_1 = require("./createColumnLinkFromDiscriminatorValue");
const createContentTypeFromDiscriminatorValue_1 = require("./createContentTypeFromDiscriminatorValue");
const createContentTypeOrderFromDiscriminatorValue_1 = require("./createContentTypeOrderFromDiscriminatorValue");
const createDocumentSetContentFromDiscriminatorValue_1 = require("./createDocumentSetContentFromDiscriminatorValue");
const createDocumentSetFromDiscriminatorValue_1 = require("./createDocumentSetFromDiscriminatorValue");
const createItemReferenceFromDiscriminatorValue_1 = require("./createItemReferenceFromDiscriminatorValue");
const index_1 = require("./index");
/** Casts the previous resource to user. */
class ContentType extends index_1.Entity {
    /**
     * Instantiates a new contentType and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the associatedHubsUrls property value. List of canonical URLs for hub sites with which this content type is associated to. This will contain all hubsites where this content type is queued to be enforced or is already enforced. Enforcing a content type means that the content type will be applied to the lists in the enforced sites.
     * @returns a string
     */
    get associatedHubsUrls() {
        return this._associatedHubsUrls;
    }
    ;
    /**
     * Sets the associatedHubsUrls property value. List of canonical URLs for hub sites with which this content type is associated to. This will contain all hubsites where this content type is queued to be enforced or is already enforced. Enforcing a content type means that the content type will be applied to the lists in the enforced sites.
     * @param value Value to set for the associatedHubsUrls property.
     */
    set associatedHubsUrls(value) {
        this._associatedHubsUrls = value;
    }
    ;
    /**
     * Gets the base property value. Parent contentType from which this content type is derived.
     * @returns a contentType
     */
    get base() {
        return this._base;
    }
    ;
    /**
     * Sets the base property value. Parent contentType from which this content type is derived.
     * @param value Value to set for the base property.
     */
    set base(value) {
        this._base = value;
    }
    ;
    /**
     * Gets the baseTypes property value. The collection of content types that are ancestors of this content type.
     * @returns a contentType
     */
    get baseTypes() {
        return this._baseTypes;
    }
    ;
    /**
     * Sets the baseTypes property value. The collection of content types that are ancestors of this content type.
     * @param value Value to set for the baseTypes property.
     */
    set baseTypes(value) {
        this._baseTypes = value;
    }
    ;
    /**
     * Gets the columnLinks property value. The collection of columns that are required by this content type
     * @returns a columnLink
     */
    get columnLinks() {
        return this._columnLinks;
    }
    ;
    /**
     * Sets the columnLinks property value. The collection of columns that are required by this content type
     * @param value Value to set for the columnLinks property.
     */
    set columnLinks(value) {
        this._columnLinks = value;
    }
    ;
    /**
     * Gets the columnPositions property value. Column order information in a content type.
     * @returns a columnDefinition
     */
    get columnPositions() {
        return this._columnPositions;
    }
    ;
    /**
     * Sets the columnPositions property value. Column order information in a content type.
     * @param value Value to set for the columnPositions property.
     */
    set columnPositions(value) {
        this._columnPositions = value;
    }
    ;
    /**
     * Gets the columns property value. The collection of column definitions for this contentType.
     * @returns a columnDefinition
     */
    get columns() {
        return this._columns;
    }
    ;
    /**
     * Sets the columns property value. The collection of column definitions for this contentType.
     * @param value Value to set for the columns property.
     */
    set columns(value) {
        this._columns = value;
    }
    ;
    ;
    /**
     * Gets the description property value. The descriptive text for the item.
     * @returns a string
     */
    get description() {
        return this._description;
    }
    ;
    /**
     * Sets the description property value. The descriptive text for the item.
     * @param value Value to set for the description property.
     */
    set description(value) {
        this._description = value;
    }
    ;
    /**
     * Gets the documentSet property value. Document Set metadata.
     * @returns a documentSet
     */
    get documentSet() {
        return this._documentSet;
    }
    ;
    /**
     * Sets the documentSet property value. Document Set metadata.
     * @param value Value to set for the documentSet property.
     */
    set documentSet(value) {
        this._documentSet = value;
    }
    ;
    /**
     * Gets the documentTemplate property value. Document template metadata. To make sure that documents have consistent content across a site and its subsites, you can associate a Word, Excel, or PowerPoint template with a site content type.
     * @returns a documentSetContent
     */
    get documentTemplate() {
        return this._documentTemplate;
    }
    ;
    /**
     * Sets the documentTemplate property value. Document template metadata. To make sure that documents have consistent content across a site and its subsites, you can associate a Word, Excel, or PowerPoint template with a site content type.
     * @param value Value to set for the documentTemplate property.
     */
    set documentTemplate(value) {
        this._documentTemplate = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "associatedHubsUrls": n => { this.associatedHubsUrls = n.getCollectionOfPrimitiveValues(); }, "base": n => { this.base = n.getObjectValue(createContentTypeFromDiscriminatorValue_1.createContentTypeFromDiscriminatorValue); }, "baseTypes": n => { this.baseTypes = n.getCollectionOfObjectValues(createContentTypeFromDiscriminatorValue_1.createContentTypeFromDiscriminatorValue); }, "columnLinks": n => { this.columnLinks = n.getCollectionOfObjectValues(createColumnLinkFromDiscriminatorValue_1.createColumnLinkFromDiscriminatorValue); }, "columnPositions": n => { this.columnPositions = n.getCollectionOfObjectValues(createColumnDefinitionFromDiscriminatorValue_1.createColumnDefinitionFromDiscriminatorValue); }, "columns": n => { this.columns = n.getCollectionOfObjectValues(createColumnDefinitionFromDiscriminatorValue_1.createColumnDefinitionFromDiscriminatorValue); }, "description": n => { this.description = n.getStringValue(); }, "documentSet": n => { this.documentSet = n.getObjectValue(createDocumentSetFromDiscriminatorValue_1.createDocumentSetFromDiscriminatorValue); }, "documentTemplate": n => { this.documentTemplate = n.getObjectValue(createDocumentSetContentFromDiscriminatorValue_1.createDocumentSetContentFromDiscriminatorValue); }, "group": n => { this.group = n.getStringValue(); }, "hidden": n => { this.hidden = n.getBooleanValue(); }, "inheritedFrom": n => { this.inheritedFrom = n.getObjectValue(createItemReferenceFromDiscriminatorValue_1.createItemReferenceFromDiscriminatorValue); }, "isBuiltIn": n => { this.isBuiltIn = n.getBooleanValue(); }, "name": n => { this.name = n.getStringValue(); }, "order": n => { this.order = n.getObjectValue(createContentTypeOrderFromDiscriminatorValue_1.createContentTypeOrderFromDiscriminatorValue); }, "parentId": n => { this.parentId = n.getStringValue(); }, "propagateChanges": n => { this.propagateChanges = n.getBooleanValue(); }, "readOnly": n => { this.readOnly = n.getBooleanValue(); }, "sealed": n => { this.sealed = n.getBooleanValue(); } });
    }
    ;
    /**
     * Gets the group property value. The name of the group this content type belongs to. Helps organize related content types.
     * @returns a string
     */
    get group() {
        return this._group;
    }
    ;
    /**
     * Sets the group property value. The name of the group this content type belongs to. Helps organize related content types.
     * @param value Value to set for the group property.
     */
    set group(value) {
        this._group = value;
    }
    ;
    /**
     * Gets the hidden property value. Indicates whether the content type is hidden in the list's 'New' menu.
     * @returns a boolean
     */
    get hidden() {
        return this._hidden;
    }
    ;
    /**
     * Sets the hidden property value. Indicates whether the content type is hidden in the list's 'New' menu.
     * @param value Value to set for the hidden property.
     */
    set hidden(value) {
        this._hidden = value;
    }
    ;
    /**
     * Gets the inheritedFrom property value. If this content type is inherited from another scope (like a site), provides a reference to the item where the content type is defined.
     * @returns a itemReference
     */
    get inheritedFrom() {
        return this._inheritedFrom;
    }
    ;
    /**
     * Sets the inheritedFrom property value. If this content type is inherited from another scope (like a site), provides a reference to the item where the content type is defined.
     * @param value Value to set for the inheritedFrom property.
     */
    set inheritedFrom(value) {
        this._inheritedFrom = value;
    }
    ;
    /**
     * Gets the isBuiltIn property value. Specifies if a content type is a built-in content type.
     * @returns a boolean
     */
    get isBuiltIn() {
        return this._isBuiltIn;
    }
    ;
    /**
     * Sets the isBuiltIn property value. Specifies if a content type is a built-in content type.
     * @param value Value to set for the isBuiltIn property.
     */
    set isBuiltIn(value) {
        this._isBuiltIn = value;
    }
    ;
    /**
     * Gets the name property value. The name of the content type.
     * @returns a string
     */
    get name() {
        return this._name;
    }
    ;
    /**
     * Sets the name property value. The name of the content type.
     * @param value Value to set for the name property.
     */
    set name(value) {
        this._name = value;
    }
    ;
    /**
     * Gets the order property value. Specifies the order in which the content type appears in the selection UI.
     * @returns a contentTypeOrder
     */
    get order() {
        return this._order;
    }
    ;
    /**
     * Sets the order property value. Specifies the order in which the content type appears in the selection UI.
     * @param value Value to set for the order property.
     */
    set order(value) {
        this._order = value;
    }
    ;
    /**
     * Gets the parentId property value. The unique identifier of the content type.
     * @returns a string
     */
    get parentId() {
        return this._parentId;
    }
    ;
    /**
     * Sets the parentId property value. The unique identifier of the content type.
     * @param value Value to set for the parentId property.
     */
    set parentId(value) {
        this._parentId = value;
    }
    ;
    /**
     * Gets the propagateChanges property value. If true, any changes made to the content type will be pushed to inherited content types and lists that implement the content type.
     * @returns a boolean
     */
    get propagateChanges() {
        return this._propagateChanges;
    }
    ;
    /**
     * Sets the propagateChanges property value. If true, any changes made to the content type will be pushed to inherited content types and lists that implement the content type.
     * @param value Value to set for the propagateChanges property.
     */
    set propagateChanges(value) {
        this._propagateChanges = value;
    }
    ;
    /**
     * Gets the readOnly property value. If true, the content type cannot be modified unless this value is first set to false.
     * @returns a boolean
     */
    get readOnly() {
        return this._readOnly;
    }
    ;
    /**
     * Sets the readOnly property value. If true, the content type cannot be modified unless this value is first set to false.
     * @param value Value to set for the readOnly property.
     */
    set readOnly(value) {
        this._readOnly = value;
    }
    ;
    /**
     * Gets the sealed property value. If true, the content type cannot be modified by users or through push-down operations. Only site collection administrators can seal or unseal content types.
     * @returns a boolean
     */
    get sealed() {
        return this._sealed;
    }
    ;
    /**
     * Sets the sealed property value. If true, the content type cannot be modified by users or through push-down operations. Only site collection administrators can seal or unseal content types.
     * @param value Value to set for the sealed property.
     */
    set sealed(value) {
        this._sealed = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfPrimitiveValues("associatedHubsUrls", this.associatedHubsUrls);
        writer.writeObjectValue("base", this.base);
        writer.writeCollectionOfObjectValues("baseTypes", this.baseTypes);
        writer.writeCollectionOfObjectValues("columnLinks", this.columnLinks);
        writer.writeCollectionOfObjectValues("columnPositions", this.columnPositions);
        writer.writeCollectionOfObjectValues("columns", this.columns);
        writer.writeStringValue("description", this.description);
        writer.writeObjectValue("documentSet", this.documentSet);
        writer.writeObjectValue("documentTemplate", this.documentTemplate);
        writer.writeStringValue("group", this.group);
        writer.writeBooleanValue("hidden", this.hidden);
        writer.writeObjectValue("inheritedFrom", this.inheritedFrom);
        writer.writeBooleanValue("isBuiltIn", this.isBuiltIn);
        writer.writeStringValue("name", this.name);
        writer.writeObjectValue("order", this.order);
        writer.writeStringValue("parentId", this.parentId);
        writer.writeBooleanValue("propagateChanges", this.propagateChanges);
        writer.writeBooleanValue("readOnly", this.readOnly);
        writer.writeBooleanValue("sealed", this.sealed);
    }
    ;
}
exports.ContentType = ContentType;
