"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Contract = void 0;
const index_1 = require("./index");
/** Provides operations to manage the collection of contract entities. */
class Contract extends index_1.DirectoryObject {
    /**
     * Instantiates a new contract and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the contractType property value. Type of contract. Possible values are:  SyndicationPartner, BreadthPartner, ResellerPartner. See more in the table below.
     * @returns a string
     */
    get contractType() {
        return this._contractType;
    }
    ;
    /**
     * Sets the contractType property value. Type of contract. Possible values are:  SyndicationPartner, BreadthPartner, ResellerPartner. See more in the table below.
     * @param value Value to set for the contractType property.
     */
    set contractType(value) {
        this._contractType = value;
    }
    ;
    /**
     * Gets the customerId property value. The unique identifier for the customer tenant referenced by this partnership. Corresponds to the id property of the customer tenant's organization resource.
     * @returns a string
     */
    get customerId() {
        return this._customerId;
    }
    ;
    /**
     * Sets the customerId property value. The unique identifier for the customer tenant referenced by this partnership. Corresponds to the id property of the customer tenant's organization resource.
     * @param value Value to set for the customerId property.
     */
    set customerId(value) {
        this._customerId = value;
    }
    ;
    /**
     * Gets the defaultDomainName property value. A copy of the customer tenant's default domain name. The copy is made when the partnership with the customer is established. It is not automatically updated if the customer tenant's default domain name changes.
     * @returns a string
     */
    get defaultDomainName() {
        return this._defaultDomainName;
    }
    ;
    /**
     * Sets the defaultDomainName property value. A copy of the customer tenant's default domain name. The copy is made when the partnership with the customer is established. It is not automatically updated if the customer tenant's default domain name changes.
     * @param value Value to set for the defaultDomainName property.
     */
    set defaultDomainName(value) {
        this._defaultDomainName = value;
    }
    ;
    /**
     * Gets the displayName property value. A copy of the customer tenant's display name. The copy is made when the partnership with the customer is established. It is not automatically updated if the customer tenant's display name changes.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. A copy of the customer tenant's display name. The copy is made when the partnership with the customer is established. It is not automatically updated if the customer tenant's display name changes.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "contractType": n => { this.contractType = n.getStringValue(); }, "customerId": n => { this.customerId = n.getStringValue(); }, "defaultDomainName": n => { this.defaultDomainName = n.getStringValue(); }, "displayName": n => { this.displayName = n.getStringValue(); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("contractType", this.contractType);
        writer.writeStringValue("customerId", this.customerId);
        writer.writeStringValue("defaultDomainName", this.defaultDomainName);
        writer.writeStringValue("displayName", this.displayName);
    }
    ;
}
exports.Contract = Contract;
