"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConversationThread = void 0;
const createPostFromDiscriminatorValue_1 = require("./createPostFromDiscriminatorValue");
const createRecipientFromDiscriminatorValue_1 = require("./createRecipientFromDiscriminatorValue");
const index_1 = require("./index");
/** Casts the previous resource to user. */
class ConversationThread extends index_1.Entity {
    /**
     * Instantiates a new conversationThread and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the ccRecipients property value. The Cc: recipients for the thread. Returned only on $select.
     * @returns a recipient
     */
    get ccRecipients() {
        return this._ccRecipients;
    }
    ;
    /**
     * Sets the ccRecipients property value. The Cc: recipients for the thread. Returned only on $select.
     * @param value Value to set for the ccRecipients property.
     */
    set ccRecipients(value) {
        this._ccRecipients = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "ccRecipients": n => { this.ccRecipients = n.getCollectionOfObjectValues(createRecipientFromDiscriminatorValue_1.createRecipientFromDiscriminatorValue); }, "hasAttachments": n => { this.hasAttachments = n.getBooleanValue(); }, "isLocked": n => { this.isLocked = n.getBooleanValue(); }, "lastDeliveredDateTime": n => { this.lastDeliveredDateTime = n.getDateValue(); }, "posts": n => { this.posts = n.getCollectionOfObjectValues(createPostFromDiscriminatorValue_1.createPostFromDiscriminatorValue); }, "preview": n => { this.preview = n.getStringValue(); }, "topic": n => { this.topic = n.getStringValue(); }, "toRecipients": n => { this.toRecipients = n.getCollectionOfObjectValues(createRecipientFromDiscriminatorValue_1.createRecipientFromDiscriminatorValue); }, "uniqueSenders": n => { this.uniqueSenders = n.getCollectionOfPrimitiveValues(); } });
    }
    ;
    /**
     * Gets the hasAttachments property value. Indicates whether any of the posts within this thread has at least one attachment. Returned by default.
     * @returns a boolean
     */
    get hasAttachments() {
        return this._hasAttachments;
    }
    ;
    /**
     * Sets the hasAttachments property value. Indicates whether any of the posts within this thread has at least one attachment. Returned by default.
     * @param value Value to set for the hasAttachments property.
     */
    set hasAttachments(value) {
        this._hasAttachments = value;
    }
    ;
    /**
     * Gets the isLocked property value. Indicates if the thread is locked. Returned by default.
     * @returns a boolean
     */
    get isLocked() {
        return this._isLocked;
    }
    ;
    /**
     * Sets the isLocked property value. Indicates if the thread is locked. Returned by default.
     * @param value Value to set for the isLocked property.
     */
    set isLocked(value) {
        this._isLocked = value;
    }
    ;
    /**
     * Gets the lastDeliveredDateTime property value. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Returned by default.
     * @returns a Date
     */
    get lastDeliveredDateTime() {
        return this._lastDeliveredDateTime;
    }
    ;
    /**
     * Sets the lastDeliveredDateTime property value. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Returned by default.
     * @param value Value to set for the lastDeliveredDateTime property.
     */
    set lastDeliveredDateTime(value) {
        this._lastDeliveredDateTime = value;
    }
    ;
    /**
     * Gets the posts property value. Read-only. Nullable.
     * @returns a post
     */
    get posts() {
        return this._posts;
    }
    ;
    /**
     * Sets the posts property value. Read-only. Nullable.
     * @param value Value to set for the posts property.
     */
    set posts(value) {
        this._posts = value;
    }
    ;
    /**
     * Gets the preview property value. A short summary from the body of the latest post in this conversation. Returned by default.
     * @returns a string
     */
    get preview() {
        return this._preview;
    }
    ;
    /**
     * Sets the preview property value. A short summary from the body of the latest post in this conversation. Returned by default.
     * @param value Value to set for the preview property.
     */
    set preview(value) {
        this._preview = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("ccRecipients", this.ccRecipients);
        writer.writeBooleanValue("hasAttachments", this.hasAttachments);
        writer.writeBooleanValue("isLocked", this.isLocked);
        writer.writeDateValue("lastDeliveredDateTime", this.lastDeliveredDateTime);
        writer.writeCollectionOfObjectValues("posts", this.posts);
        writer.writeStringValue("preview", this.preview);
        writer.writeStringValue("topic", this.topic);
        writer.writeCollectionOfObjectValues("toRecipients", this.toRecipients);
        writer.writeCollectionOfPrimitiveValues("uniqueSenders", this.uniqueSenders);
    }
    ;
    /**
     * Gets the topic property value. The topic of the conversation. This property can be set when the conversation is created, but it cannot be updated. Returned by default.
     * @returns a string
     */
    get topic() {
        return this._topic;
    }
    ;
    /**
     * Sets the topic property value. The topic of the conversation. This property can be set when the conversation is created, but it cannot be updated. Returned by default.
     * @param value Value to set for the topic property.
     */
    set topic(value) {
        this._topic = value;
    }
    ;
    /**
     * Gets the toRecipients property value. The To: recipients for the thread. Returned only on $select.
     * @returns a recipient
     */
    get toRecipients() {
        return this._toRecipients;
    }
    ;
    /**
     * Sets the toRecipients property value. The To: recipients for the thread. Returned only on $select.
     * @param value Value to set for the toRecipients property.
     */
    set toRecipients(value) {
        this._toRecipients = value;
    }
    ;
    /**
     * Gets the uniqueSenders property value. All the users that sent a message to this thread. Returned by default.
     * @returns a string
     */
    get uniqueSenders() {
        return this._uniqueSenders;
    }
    ;
    /**
     * Sets the uniqueSenders property value. All the users that sent a message to this thread. Returned by default.
     * @param value Value to set for the uniqueSenders property.
     */
    set uniqueSenders(value) {
        this._uniqueSenders = value;
    }
    ;
}
exports.ConversationThread = ConversationThread;
