"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConvertIdResult = void 0;
const createGenericErrorFromDiscriminatorValue_1 = require("./createGenericErrorFromDiscriminatorValue");
class ConvertIdResult {
    /**
     * Instantiates a new convertIdResult and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the errorDetails property value. An error object indicating the reason for the conversion failure. This value is not present if the conversion succeeded.
     * @returns a genericError
     */
    get errorDetails() {
        return this._errorDetails;
    }
    ;
    /**
     * Sets the errorDetails property value. An error object indicating the reason for the conversion failure. This value is not present if the conversion succeeded.
     * @param value Value to set for the errorDetails property.
     */
    set errorDetails(value) {
        this._errorDetails = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "errorDetails": n => { this.errorDetails = n.getObjectValue(createGenericErrorFromDiscriminatorValue_1.createGenericErrorFromDiscriminatorValue); },
            "sourceId": n => { this.sourceId = n.getStringValue(); },
            "targetId": n => { this.targetId = n.getStringValue(); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeObjectValue("errorDetails", this.errorDetails);
        writer.writeStringValue("sourceId", this.sourceId);
        writer.writeStringValue("targetId", this.targetId);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the sourceId property value. The identifier that was converted. This value is the original, un-converted identifier.
     * @returns a string
     */
    get sourceId() {
        return this._sourceId;
    }
    ;
    /**
     * Sets the sourceId property value. The identifier that was converted. This value is the original, un-converted identifier.
     * @param value Value to set for the sourceId property.
     */
    set sourceId(value) {
        this._sourceId = value;
    }
    ;
    /**
     * Gets the targetId property value. The converted identifier. This value is not present if the conversion failed.
     * @returns a string
     */
    get targetId() {
        return this._targetId;
    }
    ;
    /**
     * Sets the targetId property value. The converted identifier. This value is not present if the conversion failed.
     * @param value Value to set for the targetId property.
     */
    set targetId(value) {
        this._targetId = value;
    }
    ;
}
exports.ConvertIdResult = ConvertIdResult;
