import { IdentitySet, NotebookLinks } from './index';
import { OnenoteUserRole } from './onenoteUserRole';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class CopyNotebookModel implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The createdBy property */
    private _createdBy?;
    /** The createdByIdentity property */
    private _createdByIdentity?;
    /** The createdTime property */
    private _createdTime?;
    /** The id property */
    private _id?;
    /** The isDefault property */
    private _isDefault?;
    /** The isShared property */
    private _isShared?;
    /** The lastModifiedBy property */
    private _lastModifiedBy?;
    /** The lastModifiedByIdentity property */
    private _lastModifiedByIdentity?;
    /** The lastModifiedTime property */
    private _lastModifiedTime?;
    /** The links property */
    private _links?;
    /** The name property */
    private _name?;
    /** The sectionGroupsUrl property */
    private _sectionGroupsUrl?;
    /** The sectionsUrl property */
    private _sectionsUrl?;
    /** The self property */
    private _self?;
    /** The userRole property */
    private _userRole?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Instantiates a new CopyNotebookModel and sets the default values.
     */
    constructor();
    /**
     * Gets the createdBy property value. The createdBy property
     * @returns a string
     */
    get createdBy(): string | undefined;
    /**
     * Sets the createdBy property value. The createdBy property
     * @param value Value to set for the createdBy property.
     */
    set createdBy(value: string | undefined);
    /**
     * Gets the createdByIdentity property value. The createdByIdentity property
     * @returns a identitySet
     */
    get createdByIdentity(): IdentitySet | undefined;
    /**
     * Sets the createdByIdentity property value. The createdByIdentity property
     * @param value Value to set for the createdByIdentity property.
     */
    set createdByIdentity(value: IdentitySet | undefined);
    /**
     * Gets the createdTime property value. The createdTime property
     * @returns a Date
     */
    get createdTime(): Date | undefined;
    /**
     * Sets the createdTime property value. The createdTime property
     * @param value Value to set for the createdTime property.
     */
    set createdTime(value: Date | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the id property value. The id property
     * @returns a string
     */
    get id(): string | undefined;
    /**
     * Sets the id property value. The id property
     * @param value Value to set for the id property.
     */
    set id(value: string | undefined);
    /**
     * Gets the isDefault property value. The isDefault property
     * @returns a boolean
     */
    get isDefault(): boolean | undefined;
    /**
     * Sets the isDefault property value. The isDefault property
     * @param value Value to set for the isDefault property.
     */
    set isDefault(value: boolean | undefined);
    /**
     * Gets the isShared property value. The isShared property
     * @returns a boolean
     */
    get isShared(): boolean | undefined;
    /**
     * Sets the isShared property value. The isShared property
     * @param value Value to set for the isShared property.
     */
    set isShared(value: boolean | undefined);
    /**
     * Gets the lastModifiedBy property value. The lastModifiedBy property
     * @returns a string
     */
    get lastModifiedBy(): string | undefined;
    /**
     * Sets the lastModifiedBy property value. The lastModifiedBy property
     * @param value Value to set for the lastModifiedBy property.
     */
    set lastModifiedBy(value: string | undefined);
    /**
     * Gets the lastModifiedByIdentity property value. The lastModifiedByIdentity property
     * @returns a identitySet
     */
    get lastModifiedByIdentity(): IdentitySet | undefined;
    /**
     * Sets the lastModifiedByIdentity property value. The lastModifiedByIdentity property
     * @param value Value to set for the lastModifiedByIdentity property.
     */
    set lastModifiedByIdentity(value: IdentitySet | undefined);
    /**
     * Gets the lastModifiedTime property value. The lastModifiedTime property
     * @returns a Date
     */
    get lastModifiedTime(): Date | undefined;
    /**
     * Sets the lastModifiedTime property value. The lastModifiedTime property
     * @param value Value to set for the lastModifiedTime property.
     */
    set lastModifiedTime(value: Date | undefined);
    /**
     * Gets the links property value. The links property
     * @returns a notebookLinks
     */
    get links(): NotebookLinks | undefined;
    /**
     * Sets the links property value. The links property
     * @param value Value to set for the links property.
     */
    set links(value: NotebookLinks | undefined);
    /**
     * Gets the name property value. The name property
     * @returns a string
     */
    get name(): string | undefined;
    /**
     * Sets the name property value. The name property
     * @param value Value to set for the name property.
     */
    set name(value: string | undefined);
    /**
     * Gets the sectionGroupsUrl property value. The sectionGroupsUrl property
     * @returns a string
     */
    get sectionGroupsUrl(): string | undefined;
    /**
     * Sets the sectionGroupsUrl property value. The sectionGroupsUrl property
     * @param value Value to set for the sectionGroupsUrl property.
     */
    set sectionGroupsUrl(value: string | undefined);
    /**
     * Gets the sectionsUrl property value. The sectionsUrl property
     * @returns a string
     */
    get sectionsUrl(): string | undefined;
    /**
     * Sets the sectionsUrl property value. The sectionsUrl property
     * @param value Value to set for the sectionsUrl property.
     */
    set sectionsUrl(value: string | undefined);
    /**
     * Gets the self property value. The self property
     * @returns a string
     */
    get self(): string | undefined;
    /**
     * Sets the self property value. The self property
     * @param value Value to set for the self property.
     */
    set self(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the userRole property value. The userRole property
     * @returns a onenoteUserRole
     */
    get userRole(): OnenoteUserRole | undefined;
    /**
     * Sets the userRole property value. The userRole property
     * @param value Value to set for the userRole property.
     */
    set userRole(value: OnenoteUserRole | undefined);
}
