"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createAttachmentFromDiscriminatorValue = void 0;
const index_1 = require("./index");
function createAttachmentFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.attachment":
                    return new index_1.Attachment();
            }
        }
    }
    return new index_1.Attachment();
}
exports.createAttachmentFromDiscriminatorValue = createAttachmentFromDiscriminatorValue;
