"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createAuthenticationMethodConfigurationFromDiscriminatorValue = void 0;
const index_1 = require("./index");
function createAuthenticationMethodConfigurationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.authenticationMethodConfiguration":
                    return new index_1.AuthenticationMethodConfiguration();
            }
        }
    }
    return new index_1.AuthenticationMethodConfiguration();
}
exports.createAuthenticationMethodConfigurationFromDiscriminatorValue = createAuthenticationMethodConfigurationFromDiscriminatorValue;
