"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createAuthenticationMethodFromDiscriminatorValue = void 0;
const index_1 = require("./index");
function createAuthenticationMethodFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.authenticationMethod":
                    return new index_1.AuthenticationMethod();
            }
        }
    }
    return new index_1.AuthenticationMethod();
}
exports.createAuthenticationMethodFromDiscriminatorValue = createAuthenticationMethodFromDiscriminatorValue;
