"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createBaseItemFromDiscriminatorValue = void 0;
const index_1 = require("./index");
function createBaseItemFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.baseItem":
                    return new index_1.BaseItem();
            }
        }
    }
    return new index_1.BaseItem();
}
exports.createBaseItemFromDiscriminatorValue = createBaseItemFromDiscriminatorValue;
