"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createBaseItemVersionFromDiscriminatorValue = void 0;
const index_1 = require("./index");
function createBaseItemVersionFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.baseItemVersion":
                    return new index_1.BaseItemVersion();
            }
        }
    }
    return new index_1.BaseItemVersion();
}
exports.createBaseItemVersionFromDiscriminatorValue = createBaseItemVersionFromDiscriminatorValue;
