"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createChangeTrackedEntityFromDiscriminatorValue = void 0;
const index_1 = require("./index");
function createChangeTrackedEntityFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.changeTrackedEntity":
                    return new index_1.ChangeTrackedEntity();
            }
        }
    }
    return new index_1.ChangeTrackedEntity();
}
exports.createChangeTrackedEntityFromDiscriminatorValue = createChangeTrackedEntityFromDiscriminatorValue;
