"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createCommsOperationFromDiscriminatorValue = void 0;
const index_1 = require("./index");
function createCommsOperationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.commsOperation":
                    return new index_1.CommsOperation();
            }
        }
    }
    return new index_1.CommsOperation();
}
exports.createCommsOperationFromDiscriminatorValue = createCommsOperationFromDiscriminatorValue;
