"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createConversationMemberFromDiscriminatorValue = void 0;
const index_1 = require("./index");
function createConversationMemberFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.conversationMember":
                    return new index_1.ConversationMember();
            }
        }
    }
    return new index_1.ConversationMember();
}
exports.createConversationMemberFromDiscriminatorValue = createConversationMemberFromDiscriminatorValue;
