"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createDeviceCompliancePolicyFromDiscriminatorValue = void 0;
const index_1 = require("./index");
function createDeviceCompliancePolicyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.deviceCompliancePolicy":
                    return new index_1.DeviceCompliancePolicy();
            }
        }
    }
    return new index_1.DeviceCompliancePolicy();
}
exports.createDeviceCompliancePolicyFromDiscriminatorValue = createDeviceCompliancePolicyFromDiscriminatorValue;
