"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createDeviceEnrollmentConfigurationFromDiscriminatorValue = void 0;
const index_1 = require("./index");
function createDeviceEnrollmentConfigurationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.deviceEnrollmentConfiguration":
                    return new index_1.DeviceEnrollmentConfiguration();
            }
        }
    }
    return new index_1.DeviceEnrollmentConfiguration();
}
exports.createDeviceEnrollmentConfigurationFromDiscriminatorValue = createDeviceEnrollmentConfigurationFromDiscriminatorValue;
