"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createDirectoryObjectFromDiscriminatorValue = void 0;
const index_1 = require("./index");
function createDirectoryObjectFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.directoryObject":
                    return new index_1.DirectoryObject();
            }
        }
    }
    return new index_1.DirectoryObject();
}
exports.createDirectoryObjectFromDiscriminatorValue = createDirectoryObjectFromDiscriminatorValue;
