"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createExtensionFromDiscriminatorValue = void 0;
const index_1 = require("./index");
function createExtensionFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.extension":
                    return new index_1.Extension();
            }
        }
    }
    return new index_1.Extension();
}
exports.createExtensionFromDiscriminatorValue = createExtensionFromDiscriminatorValue;
