"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createIdentityProviderBaseFromDiscriminatorValue = void 0;
const index_1 = require("./index");
function createIdentityProviderBaseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.identityProviderBase":
                    return new index_1.IdentityProviderBase();
            }
        }
    }
    return new index_1.IdentityProviderBase();
}
exports.createIdentityProviderBaseFromDiscriminatorValue = createIdentityProviderBaseFromDiscriminatorValue;
