"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createIdentityUserFlowFromDiscriminatorValue = void 0;
const index_1 = require("./index");
function createIdentityUserFlowFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.identityUserFlow":
                    return new index_1.IdentityUserFlow();
            }
        }
    }
    return new index_1.IdentityUserFlow();
}
exports.createIdentityUserFlowFromDiscriminatorValue = createIdentityUserFlowFromDiscriminatorValue;
