"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createLongRunningOperationFromDiscriminatorValue = void 0;
const index_1 = require("./index");
function createLongRunningOperationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.longRunningOperation":
                    return new index_1.LongRunningOperation();
            }
        }
    }
    return new index_1.LongRunningOperation();
}
exports.createLongRunningOperationFromDiscriminatorValue = createLongRunningOperationFromDiscriminatorValue;
