"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createMailFolderFromDiscriminatorValue = void 0;
const index_1 = require("./index");
function createMailFolderFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.mailFolder":
                    return new index_1.MailFolder();
            }
        }
    }
    return new index_1.MailFolder();
}
exports.createMailFolderFromDiscriminatorValue = createMailFolderFromDiscriminatorValue;
