"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createManagedAppPolicyFromDiscriminatorValue = void 0;
const index_1 = require("./index");
function createManagedAppPolicyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.managedAppPolicy":
                    return new index_1.ManagedAppPolicy();
            }
        }
    }
    return new index_1.ManagedAppPolicy();
}
exports.createManagedAppPolicyFromDiscriminatorValue = createManagedAppPolicyFromDiscriminatorValue;
