"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createManagedEBookFromDiscriminatorValue = void 0;
const index_1 = require("./index");
function createManagedEBookFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.managedEBook":
                    return new index_1.ManagedEBook();
            }
        }
    }
    return new index_1.ManagedEBook();
}
exports.createManagedEBookFromDiscriminatorValue = createManagedEBookFromDiscriminatorValue;
