"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createMobileAppFromDiscriminatorValue = void 0;
const index_1 = require("./index");
function createMobileAppFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.mobileApp":
                    return new index_1.MobileApp();
            }
        }
    }
    return new index_1.MobileApp();
}
exports.createMobileAppFromDiscriminatorValue = createMobileAppFromDiscriminatorValue;
