"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createNamedLocationFromDiscriminatorValue = void 0;
const index_1 = require("./index");
function createNamedLocationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.namedLocation":
                    return new index_1.NamedLocation();
            }
        }
    }
    return new index_1.NamedLocation();
}
exports.createNamedLocationFromDiscriminatorValue = createNamedLocationFromDiscriminatorValue;
