"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createOperationFromDiscriminatorValue = void 0;
const index_1 = require("./index");
function createOperationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.operation":
                    return new index_1.Operation();
            }
        }
    }
    return new index_1.Operation();
}
exports.createOperationFromDiscriminatorValue = createOperationFromDiscriminatorValue;
