"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createOutlookItemFromDiscriminatorValue = void 0;
const index_1 = require("./index");
function createOutlookItemFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.outlookItem":
                    return new index_1.OutlookItem();
            }
        }
    }
    return new index_1.OutlookItem();
}
exports.createOutlookItemFromDiscriminatorValue = createOutlookItemFromDiscriminatorValue;
