"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createPlaceFromDiscriminatorValue = void 0;
const index_1 = require("./index");
function createPlaceFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.place":
                    return new index_1.Place();
            }
        }
    }
    return new index_1.Place();
}
exports.createPlaceFromDiscriminatorValue = createPlaceFromDiscriminatorValue;
