"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createPolicyBaseFromDiscriminatorValue = void 0;
const index_1 = require("./index");
function createPolicyBaseFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.policyBase":
                    return new index_1.PolicyBase();
            }
        }
    }
    return new index_1.PolicyBase();
}
exports.createPolicyBaseFromDiscriminatorValue = createPolicyBaseFromDiscriminatorValue;
