"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createPrintOperationFromDiscriminatorValue = void 0;
const index_1 = require("./index");
function createPrintOperationFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.printOperation":
                    return new index_1.PrintOperation();
            }
        }
    }
    return new index_1.PrintOperation();
}
exports.createPrintOperationFromDiscriminatorValue = createPrintOperationFromDiscriminatorValue;
