"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createRequestFromDiscriminatorValue = void 0;
const index_1 = require("./index");
function createRequestFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.request":
                    return new index_1.Request();
            }
        }
    }
    return new index_1.Request();
}
exports.createRequestFromDiscriminatorValue = createRequestFromDiscriminatorValue;
