"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createRoleAssignmentFromDiscriminatorValue = void 0;
const index_1 = require("./index");
function createRoleAssignmentFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.roleAssignment":
                    return new index_1.RoleAssignment();
            }
        }
    }
    return new index_1.RoleAssignment();
}
exports.createRoleAssignmentFromDiscriminatorValue = createRoleAssignmentFromDiscriminatorValue;
