"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createRoleDefinitionFromDiscriminatorValue = void 0;
const index_1 = require("./index");
function createRoleDefinitionFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.roleDefinition":
                    return new index_1.RoleDefinition();
            }
        }
    }
    return new index_1.RoleDefinition();
}
exports.createRoleDefinitionFromDiscriminatorValue = createRoleDefinitionFromDiscriminatorValue;
