"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createScheduleChangeRequestFromDiscriminatorValue = void 0;
const index_1 = require("./index");
function createScheduleChangeRequestFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.scheduleChangeRequest":
                    return new index_1.ScheduleChangeRequest();
            }
        }
    }
    return new index_1.ScheduleChangeRequest();
}
exports.createScheduleChangeRequestFromDiscriminatorValue = createScheduleChangeRequestFromDiscriminatorValue;
