"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createSignInFromDiscriminatorValue = void 0;
const index_1 = require("./index");
function createSignInFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.signIn":
                    return new index_1.SignIn();
            }
        }
    }
    return new index_1.SignIn();
}
exports.createSignInFromDiscriminatorValue = createSignInFromDiscriminatorValue;
