"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createStsPolicyFromDiscriminatorValue = void 0;
const index_1 = require("./index");
function createStsPolicyFromDiscriminatorValue(parseNode) {
    if (!parseNode)
        throw new Error("parseNode cannot be undefined");
    const mappingValueNode = parseNode.getChildNode("@odata.type");
    if (mappingValueNode) {
        const mappingValue = mappingValueNode.getStringValue();
        if (mappingValue) {
            switch (mappingValue) {
                case "#microsoft.graph.stsPolicy":
                    return new index_1.StsPolicy();
            }
        }
    }
    return new index_1.StsPolicy();
}
exports.createStsPolicyFromDiscriminatorValue = createStsPolicyFromDiscriminatorValue;
