"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CurrencyColumn = void 0;
class CurrencyColumn {
    /**
     * Instantiates a new currencyColumn and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "locale": n => { this.locale = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the locale property value. Specifies the locale from which to infer the currency symbol.
     * @returns a string
     */
    get locale() {
        return this._locale;
    }
    ;
    /**
     * Sets the locale property value. Specifies the locale from which to infer the currency symbol.
     * @param value Value to set for the locale property.
     */
    set locale(value) {
        this._locale = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("locale", this.locale);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.CurrencyColumn = CurrencyColumn;
