"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataPolicyOperation = void 0;
const dataPolicyOperationStatus_1 = require("./dataPolicyOperationStatus");
const index_1 = require("./index");
/** Provides operations to manage the collection of dataPolicyOperation entities. */
class DataPolicyOperation extends index_1.Entity {
    /**
     * Instantiates a new dataPolicyOperation and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the completedDateTime property value. Represents when the request for this data policy operation was completed, in UTC time, using the ISO 8601 format. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Null until the operation completes.
     * @returns a Date
     */
    get completedDateTime() {
        return this._completedDateTime;
    }
    ;
    /**
     * Sets the completedDateTime property value. Represents when the request for this data policy operation was completed, in UTC time, using the ISO 8601 format. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Null until the operation completes.
     * @param value Value to set for the completedDateTime property.
     */
    set completedDateTime(value) {
        this._completedDateTime = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "completedDateTime": n => { this.completedDateTime = n.getDateValue(); }, "progress": n => { this.progress = n.getNumberValue(); }, "status": n => { this.status = n.getEnumValue(dataPolicyOperationStatus_1.DataPolicyOperationStatus); }, "storageLocation": n => { this.storageLocation = n.getStringValue(); }, "submittedDateTime": n => { this.submittedDateTime = n.getDateValue(); }, "userId": n => { this.userId = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the progress property value. Specifies the progress of an operation.
     * @returns a double
     */
    get progress() {
        return this._progress;
    }
    ;
    /**
     * Sets the progress property value. Specifies the progress of an operation.
     * @param value Value to set for the progress property.
     */
    set progress(value) {
        this._progress = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeDateValue("completedDateTime", this.completedDateTime);
        writer.writeNumberValue("progress", this.progress);
        writer.writeEnumValue("status", this.status);
        writer.writeStringValue("storageLocation", this.storageLocation);
        writer.writeDateValue("submittedDateTime", this.submittedDateTime);
        writer.writeStringValue("userId", this.userId);
    }
    ;
    /**
     * Gets the status property value. Possible values are: notStarted, running, complete, failed, unknownFutureValue.
     * @returns a dataPolicyOperationStatus
     */
    get status() {
        return this._status;
    }
    ;
    /**
     * Sets the status property value. Possible values are: notStarted, running, complete, failed, unknownFutureValue.
     * @param value Value to set for the status property.
     */
    set status(value) {
        this._status = value;
    }
    ;
    /**
     * Gets the storageLocation property value. The URL location to where data is being exported for export requests.
     * @returns a string
     */
    get storageLocation() {
        return this._storageLocation;
    }
    ;
    /**
     * Sets the storageLocation property value. The URL location to where data is being exported for export requests.
     * @param value Value to set for the storageLocation property.
     */
    set storageLocation(value) {
        this._storageLocation = value;
    }
    ;
    /**
     * Gets the submittedDateTime property value. Represents when the request for this data operation was submitted, in UTC time, using the ISO 8601 format. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @returns a Date
     */
    get submittedDateTime() {
        return this._submittedDateTime;
    }
    ;
    /**
     * Sets the submittedDateTime property value. Represents when the request for this data operation was submitted, in UTC time, using the ISO 8601 format. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @param value Value to set for the submittedDateTime property.
     */
    set submittedDateTime(value) {
        this._submittedDateTime = value;
    }
    ;
    /**
     * Gets the userId property value. The id for the user on whom the operation is performed.
     * @returns a string
     */
    get userId() {
        return this._userId;
    }
    ;
    /**
     * Sets the userId property value. The id for the user on whom the operation is performed.
     * @param value Value to set for the userId property.
     */
    set userId(value) {
        this._userId = value;
    }
    ;
}
exports.DataPolicyOperation = DataPolicyOperation;
