import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class DataSubject implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** Email of the data subject. */
    private _email?;
    /** First name of the data subject. */
    private _firstName?;
    /** Last Name of the data subject. */
    private _lastName?;
    /** The country/region of residency. The residency information is uesed only for internal reporting but not for the content search. */
    private _residency?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Instantiates a new dataSubject and sets the default values.
     */
    constructor();
    /**
     * Gets the email property value. Email of the data subject.
     * @returns a string
     */
    get email(): string | undefined;
    /**
     * Sets the email property value. Email of the data subject.
     * @param value Value to set for the email property.
     */
    set email(value: string | undefined);
    /**
     * Gets the firstName property value. First name of the data subject.
     * @returns a string
     */
    get firstName(): string | undefined;
    /**
     * Sets the firstName property value. First name of the data subject.
     * @param value Value to set for the firstName property.
     */
    set firstName(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the lastName property value. Last Name of the data subject.
     * @returns a string
     */
    get lastName(): string | undefined;
    /**
     * Sets the lastName property value. Last Name of the data subject.
     * @param value Value to set for the lastName property.
     */
    set lastName(value: string | undefined);
    /**
     * Gets the residency property value. The country/region of residency. The residency information is uesed only for internal reporting but not for the content search.
     * @returns a string
     */
    get residency(): string | undefined;
    /**
     * Sets the residency property value. The country/region of residency. The residency information is uesed only for internal reporting but not for the content search.
     * @param value Value to set for the residency property.
     */
    set residency(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
