"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataSubject = void 0;
class DataSubject {
    /**
     * Instantiates a new dataSubject and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the email property value. Email of the data subject.
     * @returns a string
     */
    get email() {
        return this._email;
    }
    ;
    /**
     * Sets the email property value. Email of the data subject.
     * @param value Value to set for the email property.
     */
    set email(value) {
        this._email = value;
    }
    ;
    /**
     * Gets the firstName property value. First name of the data subject.
     * @returns a string
     */
    get firstName() {
        return this._firstName;
    }
    ;
    /**
     * Sets the firstName property value. First name of the data subject.
     * @param value Value to set for the firstName property.
     */
    set firstName(value) {
        this._firstName = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "email": n => { this.email = n.getStringValue(); },
            "firstName": n => { this.firstName = n.getStringValue(); },
            "lastName": n => { this.lastName = n.getStringValue(); },
            "residency": n => { this.residency = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the lastName property value. Last Name of the data subject.
     * @returns a string
     */
    get lastName() {
        return this._lastName;
    }
    ;
    /**
     * Sets the lastName property value. Last Name of the data subject.
     * @param value Value to set for the lastName property.
     */
    set lastName(value) {
        this._lastName = value;
    }
    ;
    /**
     * Gets the residency property value. The country/region of residency. The residency information is uesed only for internal reporting but not for the content search.
     * @returns a string
     */
    get residency() {
        return this._residency;
    }
    ;
    /**
     * Sets the residency property value. The country/region of residency. The residency information is uesed only for internal reporting but not for the content search.
     * @param value Value to set for the residency property.
     */
    set residency(value) {
        this._residency = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("email", this.email);
        writer.writeStringValue("firstName", this.firstName);
        writer.writeStringValue("lastName", this.lastName);
        writer.writeStringValue("residency", this.residency);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.DataSubject = DataSubject;
