import { Entity } from './index';
import { PermissionClassificationType } from './permissionClassificationType';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to call the instantiate method. */
export declare class DelegatedPermissionClassification extends Entity implements Parsable {
    /** The classification value being given. Possible value: low. Does not support $filter. */
    private _classification?;
    /** The unique identifier (id) for the delegated permission listed in the publishedPermissionScopes collection of the servicePrincipal. Required on create. Does not support $filter. */
    private _permissionId?;
    /** The claim value (value) for the delegated permission listed in the publishedPermissionScopes collection of the servicePrincipal. Does not support $filter. */
    private _permissionName?;
    /**
     * Gets the classification property value. The classification value being given. Possible value: low. Does not support $filter.
     * @returns a permissionClassificationType
     */
    get classification(): PermissionClassificationType | undefined;
    /**
     * Sets the classification property value. The classification value being given. Possible value: low. Does not support $filter.
     * @param value Value to set for the classification property.
     */
    set classification(value: PermissionClassificationType | undefined);
    /**
     * Instantiates a new delegatedPermissionClassification and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the permissionId property value. The unique identifier (id) for the delegated permission listed in the publishedPermissionScopes collection of the servicePrincipal. Required on create. Does not support $filter.
     * @returns a string
     */
    get permissionId(): string | undefined;
    /**
     * Sets the permissionId property value. The unique identifier (id) for the delegated permission listed in the publishedPermissionScopes collection of the servicePrincipal. Required on create. Does not support $filter.
     * @param value Value to set for the permissionId property.
     */
    set permissionId(value: string | undefined);
    /**
     * Gets the permissionName property value. The claim value (value) for the delegated permission listed in the publishedPermissionScopes collection of the servicePrincipal. Does not support $filter.
     * @returns a string
     */
    get permissionName(): string | undefined;
    /**
     * Sets the permissionName property value. The claim value (value) for the delegated permission listed in the publishedPermissionScopes collection of the servicePrincipal. Does not support $filter.
     * @param value Value to set for the permissionName property.
     */
    set permissionName(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
