import { Entity, ManagedDevice } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** A managed or unmanaged app that is installed on a managed device. Unmanaged apps will only appear for devices marked as corporate owned. */
export declare class DetectedApp extends Entity implements Parsable {
    /** The number of devices that have installed this application */
    private _deviceCount?;
    /** Name of the discovered application. Read-only */
    private _displayName?;
    /** The devices that have the discovered application installed */
    private _managedDevices?;
    /** Discovered application size in bytes. Read-only */
    private _sizeInByte?;
    /** Version of the discovered application. Read-only */
    private _version?;
    /**
     * Instantiates a new detectedApp and sets the default values.
     */
    constructor();
    /**
     * Gets the deviceCount property value. The number of devices that have installed this application
     * @returns a integer
     */
    get deviceCount(): number | undefined;
    /**
     * Sets the deviceCount property value. The number of devices that have installed this application
     * @param value Value to set for the deviceCount property.
     */
    set deviceCount(value: number | undefined);
    /**
     * Gets the displayName property value. Name of the discovered application. Read-only
     * @returns a string
     */
    get displayName(): string | undefined;
    /**
     * Sets the displayName property value. Name of the discovered application. Read-only
     * @param value Value to set for the displayName property.
     */
    set displayName(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the managedDevices property value. The devices that have the discovered application installed
     * @returns a managedDevice
     */
    get managedDevices(): ManagedDevice[] | undefined;
    /**
     * Sets the managedDevices property value. The devices that have the discovered application installed
     * @param value Value to set for the managedDevices property.
     */
    set managedDevices(value: ManagedDevice[] | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the sizeInByte property value. Discovered application size in bytes. Read-only
     * @returns a int64
     */
    get sizeInByte(): number | undefined;
    /**
     * Sets the sizeInByte property value. Discovered application size in bytes. Read-only
     * @param value Value to set for the sizeInByte property.
     */
    set sizeInByte(value: number | undefined);
    /**
     * Gets the version property value. Version of the discovered application. Read-only
     * @returns a string
     */
    get version(): string | undefined;
    /**
     * Sets the version property value. Version of the discovered application. Read-only
     * @param value Value to set for the version property.
     */
    set version(value: string | undefined);
}
