"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DetectedApp = void 0;
const createManagedDeviceFromDiscriminatorValue_1 = require("./createManagedDeviceFromDiscriminatorValue");
const index_1 = require("./index");
/** A managed or unmanaged app that is installed on a managed device. Unmanaged apps will only appear for devices marked as corporate owned. */
class DetectedApp extends index_1.Entity {
    /**
     * Instantiates a new detectedApp and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the deviceCount property value. The number of devices that have installed this application
     * @returns a integer
     */
    get deviceCount() {
        return this._deviceCount;
    }
    ;
    /**
     * Sets the deviceCount property value. The number of devices that have installed this application
     * @param value Value to set for the deviceCount property.
     */
    set deviceCount(value) {
        this._deviceCount = value;
    }
    ;
    /**
     * Gets the displayName property value. Name of the discovered application. Read-only
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. Name of the discovered application. Read-only
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "deviceCount": n => { this.deviceCount = n.getNumberValue(); }, "displayName": n => { this.displayName = n.getStringValue(); }, "managedDevices": n => { this.managedDevices = n.getCollectionOfObjectValues(createManagedDeviceFromDiscriminatorValue_1.createManagedDeviceFromDiscriminatorValue); }, "sizeInByte": n => { this.sizeInByte = n.getNumberValue(); }, "version": n => { this.version = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the managedDevices property value. The devices that have the discovered application installed
     * @returns a managedDevice
     */
    get managedDevices() {
        return this._managedDevices;
    }
    ;
    /**
     * Sets the managedDevices property value. The devices that have the discovered application installed
     * @param value Value to set for the managedDevices property.
     */
    set managedDevices(value) {
        this._managedDevices = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeNumberValue("deviceCount", this.deviceCount);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeCollectionOfObjectValues("managedDevices", this.managedDevices);
        writer.writeNumberValue("sizeInByte", this.sizeInByte);
        writer.writeStringValue("version", this.version);
    }
    ;
    /**
     * Gets the sizeInByte property value. Discovered application size in bytes. Read-only
     * @returns a int64
     */
    get sizeInByte() {
        return this._sizeInByte;
    }
    ;
    /**
     * Sets the sizeInByte property value. Discovered application size in bytes. Read-only
     * @param value Value to set for the sizeInByte property.
     */
    set sizeInByte(value) {
        this._sizeInByte = value;
    }
    ;
    /**
     * Gets the version property value. Version of the discovered application. Read-only
     * @returns a string
     */
    get version() {
        return this._version;
    }
    ;
    /**
     * Sets the version property value. Version of the discovered application. Read-only
     * @param value Value to set for the version property.
     */
    set version(value) {
        this._version = value;
    }
    ;
}
exports.DetectedApp = DetectedApp;
