"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceActionResult = void 0;
const actionState_1 = require("./actionState");
/** Device action result */
class DeviceActionResult {
    /**
     * Instantiates a new deviceActionResult and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the actionName property value. Action name
     * @returns a string
     */
    get actionName() {
        return this._actionName;
    }
    ;
    /**
     * Sets the actionName property value. Action name
     * @param value Value to set for the actionName property.
     */
    set actionName(value) {
        this._actionName = value;
    }
    ;
    /**
     * Gets the actionState property value. State of the action. Possible values are: none, pending, canceled, active, done, failed, notSupported.
     * @returns a actionState
     */
    get actionState() {
        return this._actionState;
    }
    ;
    /**
     * Sets the actionState property value. State of the action. Possible values are: none, pending, canceled, active, done, failed, notSupported.
     * @param value Value to set for the actionState property.
     */
    set actionState(value) {
        this._actionState = value;
    }
    ;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "actionName": n => { this.actionName = n.getStringValue(); },
            "actionState": n => { this.actionState = n.getEnumValue(actionState_1.ActionState); },
            "lastUpdatedDateTime": n => { this.lastUpdatedDateTime = n.getDateValue(); },
            "startDateTime": n => { this.startDateTime = n.getDateValue(); },
        };
    }
    ;
    /**
     * Gets the lastUpdatedDateTime property value. Time the action state was last updated
     * @returns a Date
     */
    get lastUpdatedDateTime() {
        return this._lastUpdatedDateTime;
    }
    ;
    /**
     * Sets the lastUpdatedDateTime property value. Time the action state was last updated
     * @param value Value to set for the lastUpdatedDateTime property.
     */
    set lastUpdatedDateTime(value) {
        this._lastUpdatedDateTime = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("actionName", this.actionName);
        writer.writeEnumValue("actionState", this.actionState);
        writer.writeDateValue("lastUpdatedDateTime", this.lastUpdatedDateTime);
        writer.writeDateValue("startDateTime", this.startDateTime);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the startDateTime property value. Time the action was initiated
     * @returns a Date
     */
    get startDateTime() {
        return this._startDateTime;
    }
    ;
    /**
     * Sets the startDateTime property value. Time the action was initiated
     * @param value Value to set for the startDateTime property.
     */
    set startDateTime(value) {
        this._startDateTime = value;
    }
    ;
}
exports.DeviceActionResult = DeviceActionResult;
