"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceAndAppManagementRoleAssignment = void 0;
const index_1 = require("./index");
/** The Role Assignment resource. Role assignments tie together a role definition with members and scopes. There can be one or more role assignments per role. This applies to custom and built-in roles. */
class DeviceAndAppManagementRoleAssignment extends index_1.RoleAssignment {
    /**
     * Instantiates a new deviceAndAppManagementRoleAssignment and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "members": n => { this.members = n.getCollectionOfPrimitiveValues(); } });
    }
    ;
    /**
     * Gets the members property value. The list of ids of role member security groups. These are IDs from Azure Active Directory.
     * @returns a string
     */
    get members() {
        return this._members;
    }
    ;
    /**
     * Sets the members property value. The list of ids of role member security groups. These are IDs from Azure Active Directory.
     * @param value Value to set for the members property.
     */
    set members(value) {
        this._members = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfPrimitiveValues("members", this.members);
    }
    ;
}
exports.DeviceAndAppManagementRoleAssignment = DeviceAndAppManagementRoleAssignment;
