"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceAppManagement = void 0;
const createAndroidManagedAppProtectionFromDiscriminatorValue_1 = require("./createAndroidManagedAppProtectionFromDiscriminatorValue");
const createDefaultManagedAppProtectionFromDiscriminatorValue_1 = require("./createDefaultManagedAppProtectionFromDiscriminatorValue");
const createIosManagedAppProtectionFromDiscriminatorValue_1 = require("./createIosManagedAppProtectionFromDiscriminatorValue");
const createManagedAppPolicyFromDiscriminatorValue_1 = require("./createManagedAppPolicyFromDiscriminatorValue");
const createManagedAppRegistrationFromDiscriminatorValue_1 = require("./createManagedAppRegistrationFromDiscriminatorValue");
const createManagedAppStatusFromDiscriminatorValue_1 = require("./createManagedAppStatusFromDiscriminatorValue");
const createManagedDeviceMobileAppConfigurationFromDiscriminatorValue_1 = require("./createManagedDeviceMobileAppConfigurationFromDiscriminatorValue");
const createManagedEBookFromDiscriminatorValue_1 = require("./createManagedEBookFromDiscriminatorValue");
const createMdmWindowsInformationProtectionPolicyFromDiscriminatorValue_1 = require("./createMdmWindowsInformationProtectionPolicyFromDiscriminatorValue");
const createMobileAppCategoryFromDiscriminatorValue_1 = require("./createMobileAppCategoryFromDiscriminatorValue");
const createMobileAppFromDiscriminatorValue_1 = require("./createMobileAppFromDiscriminatorValue");
const createTargetedManagedAppConfigurationFromDiscriminatorValue_1 = require("./createTargetedManagedAppConfigurationFromDiscriminatorValue");
const createVppTokenFromDiscriminatorValue_1 = require("./createVppTokenFromDiscriminatorValue");
const createWindowsInformationProtectionPolicyFromDiscriminatorValue_1 = require("./createWindowsInformationProtectionPolicyFromDiscriminatorValue");
const index_1 = require("./index");
/** Singleton entity that acts as a container for all device app management functionality. */
class DeviceAppManagement extends index_1.Entity {
    /**
     * Instantiates a new deviceAppManagement and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the androidManagedAppProtections property value. Android managed app policies.
     * @returns a androidManagedAppProtection
     */
    get androidManagedAppProtections() {
        return this._androidManagedAppProtections;
    }
    ;
    /**
     * Sets the androidManagedAppProtections property value. Android managed app policies.
     * @param value Value to set for the androidManagedAppProtections property.
     */
    set androidManagedAppProtections(value) {
        this._androidManagedAppProtections = value;
    }
    ;
    ;
    /**
     * Gets the defaultManagedAppProtections property value. Default managed app policies.
     * @returns a defaultManagedAppProtection
     */
    get defaultManagedAppProtections() {
        return this._defaultManagedAppProtections;
    }
    ;
    /**
     * Sets the defaultManagedAppProtections property value. Default managed app policies.
     * @param value Value to set for the defaultManagedAppProtections property.
     */
    set defaultManagedAppProtections(value) {
        this._defaultManagedAppProtections = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "androidManagedAppProtections": n => { this.androidManagedAppProtections = n.getCollectionOfObjectValues(createAndroidManagedAppProtectionFromDiscriminatorValue_1.createAndroidManagedAppProtectionFromDiscriminatorValue); }, "defaultManagedAppProtections": n => { this.defaultManagedAppProtections = n.getCollectionOfObjectValues(createDefaultManagedAppProtectionFromDiscriminatorValue_1.createDefaultManagedAppProtectionFromDiscriminatorValue); }, "iosManagedAppProtections": n => { this.iosManagedAppProtections = n.getCollectionOfObjectValues(createIosManagedAppProtectionFromDiscriminatorValue_1.createIosManagedAppProtectionFromDiscriminatorValue); }, "isEnabledForMicrosoftStoreForBusiness": n => { this.isEnabledForMicrosoftStoreForBusiness = n.getBooleanValue(); }, "managedAppPolicies": n => { this.managedAppPolicies = n.getCollectionOfObjectValues(createManagedAppPolicyFromDiscriminatorValue_1.createManagedAppPolicyFromDiscriminatorValue); }, "managedAppRegistrations": n => { this.managedAppRegistrations = n.getCollectionOfObjectValues(createManagedAppRegistrationFromDiscriminatorValue_1.createManagedAppRegistrationFromDiscriminatorValue); }, "managedAppStatuses": n => { this.managedAppStatuses = n.getCollectionOfObjectValues(createManagedAppStatusFromDiscriminatorValue_1.createManagedAppStatusFromDiscriminatorValue); }, "managedEBooks": n => { this.managedEBooks = n.getCollectionOfObjectValues(createManagedEBookFromDiscriminatorValue_1.createManagedEBookFromDiscriminatorValue); }, "mdmWindowsInformationProtectionPolicies": n => { this.mdmWindowsInformationProtectionPolicies = n.getCollectionOfObjectValues(createMdmWindowsInformationProtectionPolicyFromDiscriminatorValue_1.createMdmWindowsInformationProtectionPolicyFromDiscriminatorValue); }, "microsoftStoreForBusinessLanguage": n => { this.microsoftStoreForBusinessLanguage = n.getStringValue(); }, "microsoftStoreForBusinessLastCompletedApplicationSyncTime": n => { this.microsoftStoreForBusinessLastCompletedApplicationSyncTime = n.getDateValue(); }, "microsoftStoreForBusinessLastSuccessfulSyncDateTime": n => { this.microsoftStoreForBusinessLastSuccessfulSyncDateTime = n.getDateValue(); }, "mobileAppCategories": n => { this.mobileAppCategories = n.getCollectionOfObjectValues(createMobileAppCategoryFromDiscriminatorValue_1.createMobileAppCategoryFromDiscriminatorValue); }, "mobileAppConfigurations": n => { this.mobileAppConfigurations = n.getCollectionOfObjectValues(createManagedDeviceMobileAppConfigurationFromDiscriminatorValue_1.createManagedDeviceMobileAppConfigurationFromDiscriminatorValue); }, "mobileApps": n => { this.mobileApps = n.getCollectionOfObjectValues(createMobileAppFromDiscriminatorValue_1.createMobileAppFromDiscriminatorValue); }, "targetedManagedAppConfigurations": n => { this.targetedManagedAppConfigurations = n.getCollectionOfObjectValues(createTargetedManagedAppConfigurationFromDiscriminatorValue_1.createTargetedManagedAppConfigurationFromDiscriminatorValue); }, "vppTokens": n => { this.vppTokens = n.getCollectionOfObjectValues(createVppTokenFromDiscriminatorValue_1.createVppTokenFromDiscriminatorValue); }, "windowsInformationProtectionPolicies": n => { this.windowsInformationProtectionPolicies = n.getCollectionOfObjectValues(createWindowsInformationProtectionPolicyFromDiscriminatorValue_1.createWindowsInformationProtectionPolicyFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the iosManagedAppProtections property value. iOS managed app policies.
     * @returns a iosManagedAppProtection
     */
    get iosManagedAppProtections() {
        return this._iosManagedAppProtections;
    }
    ;
    /**
     * Sets the iosManagedAppProtections property value. iOS managed app policies.
     * @param value Value to set for the iosManagedAppProtections property.
     */
    set iosManagedAppProtections(value) {
        this._iosManagedAppProtections = value;
    }
    ;
    /**
     * Gets the isEnabledForMicrosoftStoreForBusiness property value. Whether the account is enabled for syncing applications from the Microsoft Store for Business.
     * @returns a boolean
     */
    get isEnabledForMicrosoftStoreForBusiness() {
        return this._isEnabledForMicrosoftStoreForBusiness;
    }
    ;
    /**
     * Sets the isEnabledForMicrosoftStoreForBusiness property value. Whether the account is enabled for syncing applications from the Microsoft Store for Business.
     * @param value Value to set for the isEnabledForMicrosoftStoreForBusiness property.
     */
    set isEnabledForMicrosoftStoreForBusiness(value) {
        this._isEnabledForMicrosoftStoreForBusiness = value;
    }
    ;
    /**
     * Gets the managedAppPolicies property value. Managed app policies.
     * @returns a managedAppPolicy
     */
    get managedAppPolicies() {
        return this._managedAppPolicies;
    }
    ;
    /**
     * Sets the managedAppPolicies property value. Managed app policies.
     * @param value Value to set for the managedAppPolicies property.
     */
    set managedAppPolicies(value) {
        this._managedAppPolicies = value;
    }
    ;
    /**
     * Gets the managedAppRegistrations property value. The managed app registrations.
     * @returns a managedAppRegistration
     */
    get managedAppRegistrations() {
        return this._managedAppRegistrations;
    }
    ;
    /**
     * Sets the managedAppRegistrations property value. The managed app registrations.
     * @param value Value to set for the managedAppRegistrations property.
     */
    set managedAppRegistrations(value) {
        this._managedAppRegistrations = value;
    }
    ;
    /**
     * Gets the managedAppStatuses property value. The managed app statuses.
     * @returns a managedAppStatus
     */
    get managedAppStatuses() {
        return this._managedAppStatuses;
    }
    ;
    /**
     * Sets the managedAppStatuses property value. The managed app statuses.
     * @param value Value to set for the managedAppStatuses property.
     */
    set managedAppStatuses(value) {
        this._managedAppStatuses = value;
    }
    ;
    /**
     * Gets the managedEBooks property value. The Managed eBook.
     * @returns a managedEBook
     */
    get managedEBooks() {
        return this._managedEBooks;
    }
    ;
    /**
     * Sets the managedEBooks property value. The Managed eBook.
     * @param value Value to set for the managedEBooks property.
     */
    set managedEBooks(value) {
        this._managedEBooks = value;
    }
    ;
    /**
     * Gets the mdmWindowsInformationProtectionPolicies property value. Windows information protection for apps running on devices which are MDM enrolled.
     * @returns a mdmWindowsInformationProtectionPolicy
     */
    get mdmWindowsInformationProtectionPolicies() {
        return this._mdmWindowsInformationProtectionPolicies;
    }
    ;
    /**
     * Sets the mdmWindowsInformationProtectionPolicies property value. Windows information protection for apps running on devices which are MDM enrolled.
     * @param value Value to set for the mdmWindowsInformationProtectionPolicies property.
     */
    set mdmWindowsInformationProtectionPolicies(value) {
        this._mdmWindowsInformationProtectionPolicies = value;
    }
    ;
    /**
     * Gets the microsoftStoreForBusinessLanguage property value. The locale information used to sync applications from the Microsoft Store for Business. Cultures that are specific to a country/region. The names of these cultures follow RFC 4646 (Windows Vista and later). The format is -<country/regioncode2>, where  is a lowercase two-letter code derived from ISO 639-1 and <country/regioncode2> is an uppercase two-letter code derived from ISO 3166. For example, en-US for English (United States) is a specific culture.
     * @returns a string
     */
    get microsoftStoreForBusinessLanguage() {
        return this._microsoftStoreForBusinessLanguage;
    }
    ;
    /**
     * Sets the microsoftStoreForBusinessLanguage property value. The locale information used to sync applications from the Microsoft Store for Business. Cultures that are specific to a country/region. The names of these cultures follow RFC 4646 (Windows Vista and later). The format is -<country/regioncode2>, where  is a lowercase two-letter code derived from ISO 639-1 and <country/regioncode2> is an uppercase two-letter code derived from ISO 3166. For example, en-US for English (United States) is a specific culture.
     * @param value Value to set for the microsoftStoreForBusinessLanguage property.
     */
    set microsoftStoreForBusinessLanguage(value) {
        this._microsoftStoreForBusinessLanguage = value;
    }
    ;
    /**
     * Gets the microsoftStoreForBusinessLastCompletedApplicationSyncTime property value. The last time an application sync from the Microsoft Store for Business was completed.
     * @returns a Date
     */
    get microsoftStoreForBusinessLastCompletedApplicationSyncTime() {
        return this._microsoftStoreForBusinessLastCompletedApplicationSyncTime;
    }
    ;
    /**
     * Sets the microsoftStoreForBusinessLastCompletedApplicationSyncTime property value. The last time an application sync from the Microsoft Store for Business was completed.
     * @param value Value to set for the microsoftStoreForBusinessLastCompletedApplicationSyncTime property.
     */
    set microsoftStoreForBusinessLastCompletedApplicationSyncTime(value) {
        this._microsoftStoreForBusinessLastCompletedApplicationSyncTime = value;
    }
    ;
    /**
     * Gets the microsoftStoreForBusinessLastSuccessfulSyncDateTime property value. The last time the apps from the Microsoft Store for Business were synced successfully for the account.
     * @returns a Date
     */
    get microsoftStoreForBusinessLastSuccessfulSyncDateTime() {
        return this._microsoftStoreForBusinessLastSuccessfulSyncDateTime;
    }
    ;
    /**
     * Sets the microsoftStoreForBusinessLastSuccessfulSyncDateTime property value. The last time the apps from the Microsoft Store for Business were synced successfully for the account.
     * @param value Value to set for the microsoftStoreForBusinessLastSuccessfulSyncDateTime property.
     */
    set microsoftStoreForBusinessLastSuccessfulSyncDateTime(value) {
        this._microsoftStoreForBusinessLastSuccessfulSyncDateTime = value;
    }
    ;
    /**
     * Gets the mobileAppCategories property value. The mobile app categories.
     * @returns a mobileAppCategory
     */
    get mobileAppCategories() {
        return this._mobileAppCategories;
    }
    ;
    /**
     * Sets the mobileAppCategories property value. The mobile app categories.
     * @param value Value to set for the mobileAppCategories property.
     */
    set mobileAppCategories(value) {
        this._mobileAppCategories = value;
    }
    ;
    /**
     * Gets the mobileAppConfigurations property value. The Managed Device Mobile Application Configurations.
     * @returns a managedDeviceMobileAppConfiguration
     */
    get mobileAppConfigurations() {
        return this._mobileAppConfigurations;
    }
    ;
    /**
     * Sets the mobileAppConfigurations property value. The Managed Device Mobile Application Configurations.
     * @param value Value to set for the mobileAppConfigurations property.
     */
    set mobileAppConfigurations(value) {
        this._mobileAppConfigurations = value;
    }
    ;
    /**
     * Gets the mobileApps property value. The mobile apps.
     * @returns a mobileApp
     */
    get mobileApps() {
        return this._mobileApps;
    }
    ;
    /**
     * Sets the mobileApps property value. The mobile apps.
     * @param value Value to set for the mobileApps property.
     */
    set mobileApps(value) {
        this._mobileApps = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("androidManagedAppProtections", this.androidManagedAppProtections);
        writer.writeCollectionOfObjectValues("defaultManagedAppProtections", this.defaultManagedAppProtections);
        writer.writeCollectionOfObjectValues("iosManagedAppProtections", this.iosManagedAppProtections);
        writer.writeBooleanValue("isEnabledForMicrosoftStoreForBusiness", this.isEnabledForMicrosoftStoreForBusiness);
        writer.writeCollectionOfObjectValues("managedAppPolicies", this.managedAppPolicies);
        writer.writeCollectionOfObjectValues("managedAppRegistrations", this.managedAppRegistrations);
        writer.writeCollectionOfObjectValues("managedAppStatuses", this.managedAppStatuses);
        writer.writeCollectionOfObjectValues("managedEBooks", this.managedEBooks);
        writer.writeCollectionOfObjectValues("mdmWindowsInformationProtectionPolicies", this.mdmWindowsInformationProtectionPolicies);
        writer.writeStringValue("microsoftStoreForBusinessLanguage", this.microsoftStoreForBusinessLanguage);
        writer.writeDateValue("microsoftStoreForBusinessLastCompletedApplicationSyncTime", this.microsoftStoreForBusinessLastCompletedApplicationSyncTime);
        writer.writeDateValue("microsoftStoreForBusinessLastSuccessfulSyncDateTime", this.microsoftStoreForBusinessLastSuccessfulSyncDateTime);
        writer.writeCollectionOfObjectValues("mobileAppCategories", this.mobileAppCategories);
        writer.writeCollectionOfObjectValues("mobileAppConfigurations", this.mobileAppConfigurations);
        writer.writeCollectionOfObjectValues("mobileApps", this.mobileApps);
        writer.writeCollectionOfObjectValues("targetedManagedAppConfigurations", this.targetedManagedAppConfigurations);
        writer.writeCollectionOfObjectValues("vppTokens", this.vppTokens);
        writer.writeCollectionOfObjectValues("windowsInformationProtectionPolicies", this.windowsInformationProtectionPolicies);
    }
    ;
    /**
     * Gets the targetedManagedAppConfigurations property value. Targeted managed app configurations.
     * @returns a targetedManagedAppConfiguration
     */
    get targetedManagedAppConfigurations() {
        return this._targetedManagedAppConfigurations;
    }
    ;
    /**
     * Sets the targetedManagedAppConfigurations property value. Targeted managed app configurations.
     * @param value Value to set for the targetedManagedAppConfigurations property.
     */
    set targetedManagedAppConfigurations(value) {
        this._targetedManagedAppConfigurations = value;
    }
    ;
    /**
     * Gets the vppTokens property value. List of Vpp tokens for this organization.
     * @returns a vppToken
     */
    get vppTokens() {
        return this._vppTokens;
    }
    ;
    /**
     * Sets the vppTokens property value. List of Vpp tokens for this organization.
     * @param value Value to set for the vppTokens property.
     */
    set vppTokens(value) {
        this._vppTokens = value;
    }
    ;
    /**
     * Gets the windowsInformationProtectionPolicies property value. Windows information protection for apps running on devices which are not MDM enrolled.
     * @returns a windowsInformationProtectionPolicy
     */
    get windowsInformationProtectionPolicies() {
        return this._windowsInformationProtectionPolicies;
    }
    ;
    /**
     * Sets the windowsInformationProtectionPolicies property value. Windows information protection for apps running on devices which are not MDM enrolled.
     * @param value Value to set for the windowsInformationProtectionPolicies property.
     */
    set windowsInformationProtectionPolicies(value) {
        this._windowsInformationProtectionPolicies = value;
    }
    ;
}
exports.DeviceAppManagement = DeviceAppManagement;
