"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceCompliancePolicy = void 0;
const createDeviceComplianceDeviceOverviewFromDiscriminatorValue_1 = require("./createDeviceComplianceDeviceOverviewFromDiscriminatorValue");
const createDeviceComplianceDeviceStatusFromDiscriminatorValue_1 = require("./createDeviceComplianceDeviceStatusFromDiscriminatorValue");
const createDeviceCompliancePolicyAssignmentFromDiscriminatorValue_1 = require("./createDeviceCompliancePolicyAssignmentFromDiscriminatorValue");
const createDeviceComplianceScheduledActionForRuleFromDiscriminatorValue_1 = require("./createDeviceComplianceScheduledActionForRuleFromDiscriminatorValue");
const createDeviceComplianceUserOverviewFromDiscriminatorValue_1 = require("./createDeviceComplianceUserOverviewFromDiscriminatorValue");
const createDeviceComplianceUserStatusFromDiscriminatorValue_1 = require("./createDeviceComplianceUserStatusFromDiscriminatorValue");
const createSettingStateDeviceSummaryFromDiscriminatorValue_1 = require("./createSettingStateDeviceSummaryFromDiscriminatorValue");
const index_1 = require("./index");
/** This is the base class for Compliance policy. Compliance policies are platform specific and individual per-platform compliance policies inherit from here.  */
class DeviceCompliancePolicy extends index_1.Entity {
    /**
     * Instantiates a new deviceCompliancePolicy and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the assignments property value. The collection of assignments for this compliance policy.
     * @returns a deviceCompliancePolicyAssignment
     */
    get assignments() {
        return this._assignments;
    }
    ;
    /**
     * Sets the assignments property value. The collection of assignments for this compliance policy.
     * @param value Value to set for the assignments property.
     */
    set assignments(value) {
        this._assignments = value;
    }
    ;
    ;
    /**
     * Gets the createdDateTime property value. DateTime the object was created.
     * @returns a Date
     */
    get createdDateTime() {
        return this._createdDateTime;
    }
    ;
    /**
     * Sets the createdDateTime property value. DateTime the object was created.
     * @param value Value to set for the createdDateTime property.
     */
    set createdDateTime(value) {
        this._createdDateTime = value;
    }
    ;
    /**
     * Gets the description property value. Admin provided description of the Device Configuration.
     * @returns a string
     */
    get description() {
        return this._description;
    }
    ;
    /**
     * Sets the description property value. Admin provided description of the Device Configuration.
     * @param value Value to set for the description property.
     */
    set description(value) {
        this._description = value;
    }
    ;
    /**
     * Gets the deviceSettingStateSummaries property value. Compliance Setting State Device Summary
     * @returns a settingStateDeviceSummary
     */
    get deviceSettingStateSummaries() {
        return this._deviceSettingStateSummaries;
    }
    ;
    /**
     * Sets the deviceSettingStateSummaries property value. Compliance Setting State Device Summary
     * @param value Value to set for the deviceSettingStateSummaries property.
     */
    set deviceSettingStateSummaries(value) {
        this._deviceSettingStateSummaries = value;
    }
    ;
    /**
     * Gets the deviceStatuses property value. List of DeviceComplianceDeviceStatus.
     * @returns a deviceComplianceDeviceStatus
     */
    get deviceStatuses() {
        return this._deviceStatuses;
    }
    ;
    /**
     * Sets the deviceStatuses property value. List of DeviceComplianceDeviceStatus.
     * @param value Value to set for the deviceStatuses property.
     */
    set deviceStatuses(value) {
        this._deviceStatuses = value;
    }
    ;
    /**
     * Gets the deviceStatusOverview property value. Device compliance devices status overview
     * @returns a deviceComplianceDeviceOverview
     */
    get deviceStatusOverview() {
        return this._deviceStatusOverview;
    }
    ;
    /**
     * Sets the deviceStatusOverview property value. Device compliance devices status overview
     * @param value Value to set for the deviceStatusOverview property.
     */
    set deviceStatusOverview(value) {
        this._deviceStatusOverview = value;
    }
    ;
    /**
     * Gets the displayName property value. Admin provided name of the device configuration.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. Admin provided name of the device configuration.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "assignments": n => { this.assignments = n.getCollectionOfObjectValues(createDeviceCompliancePolicyAssignmentFromDiscriminatorValue_1.createDeviceCompliancePolicyAssignmentFromDiscriminatorValue); }, "createdDateTime": n => { this.createdDateTime = n.getDateValue(); }, "description": n => { this.description = n.getStringValue(); }, "deviceSettingStateSummaries": n => { this.deviceSettingStateSummaries = n.getCollectionOfObjectValues(createSettingStateDeviceSummaryFromDiscriminatorValue_1.createSettingStateDeviceSummaryFromDiscriminatorValue); }, "deviceStatuses": n => { this.deviceStatuses = n.getCollectionOfObjectValues(createDeviceComplianceDeviceStatusFromDiscriminatorValue_1.createDeviceComplianceDeviceStatusFromDiscriminatorValue); }, "deviceStatusOverview": n => { this.deviceStatusOverview = n.getObjectValue(createDeviceComplianceDeviceOverviewFromDiscriminatorValue_1.createDeviceComplianceDeviceOverviewFromDiscriminatorValue); }, "displayName": n => { this.displayName = n.getStringValue(); }, "lastModifiedDateTime": n => { this.lastModifiedDateTime = n.getDateValue(); }, "scheduledActionsForRule": n => { this.scheduledActionsForRule = n.getCollectionOfObjectValues(createDeviceComplianceScheduledActionForRuleFromDiscriminatorValue_1.createDeviceComplianceScheduledActionForRuleFromDiscriminatorValue); }, "userStatuses": n => { this.userStatuses = n.getCollectionOfObjectValues(createDeviceComplianceUserStatusFromDiscriminatorValue_1.createDeviceComplianceUserStatusFromDiscriminatorValue); }, "userStatusOverview": n => { this.userStatusOverview = n.getObjectValue(createDeviceComplianceUserOverviewFromDiscriminatorValue_1.createDeviceComplianceUserOverviewFromDiscriminatorValue); }, "version": n => { this.version = n.getNumberValue(); } });
    }
    ;
    /**
     * Gets the lastModifiedDateTime property value. DateTime the object was last modified.
     * @returns a Date
     */
    get lastModifiedDateTime() {
        return this._lastModifiedDateTime;
    }
    ;
    /**
     * Sets the lastModifiedDateTime property value. DateTime the object was last modified.
     * @param value Value to set for the lastModifiedDateTime property.
     */
    set lastModifiedDateTime(value) {
        this._lastModifiedDateTime = value;
    }
    ;
    /**
     * Gets the scheduledActionsForRule property value. The list of scheduled action for this rule
     * @returns a deviceComplianceScheduledActionForRule
     */
    get scheduledActionsForRule() {
        return this._scheduledActionsForRule;
    }
    ;
    /**
     * Sets the scheduledActionsForRule property value. The list of scheduled action for this rule
     * @param value Value to set for the scheduledActionsForRule property.
     */
    set scheduledActionsForRule(value) {
        this._scheduledActionsForRule = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("assignments", this.assignments);
        writer.writeDateValue("createdDateTime", this.createdDateTime);
        writer.writeStringValue("description", this.description);
        writer.writeCollectionOfObjectValues("deviceSettingStateSummaries", this.deviceSettingStateSummaries);
        writer.writeCollectionOfObjectValues("deviceStatuses", this.deviceStatuses);
        writer.writeObjectValue("deviceStatusOverview", this.deviceStatusOverview);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeDateValue("lastModifiedDateTime", this.lastModifiedDateTime);
        writer.writeCollectionOfObjectValues("scheduledActionsForRule", this.scheduledActionsForRule);
        writer.writeCollectionOfObjectValues("userStatuses", this.userStatuses);
        writer.writeObjectValue("userStatusOverview", this.userStatusOverview);
        writer.writeNumberValue("version", this.version);
    }
    ;
    /**
     * Gets the userStatuses property value. List of DeviceComplianceUserStatus.
     * @returns a deviceComplianceUserStatus
     */
    get userStatuses() {
        return this._userStatuses;
    }
    ;
    /**
     * Sets the userStatuses property value. List of DeviceComplianceUserStatus.
     * @param value Value to set for the userStatuses property.
     */
    set userStatuses(value) {
        this._userStatuses = value;
    }
    ;
    /**
     * Gets the userStatusOverview property value. Device compliance users status overview
     * @returns a deviceComplianceUserOverview
     */
    get userStatusOverview() {
        return this._userStatusOverview;
    }
    ;
    /**
     * Sets the userStatusOverview property value. Device compliance users status overview
     * @param value Value to set for the userStatusOverview property.
     */
    set userStatusOverview(value) {
        this._userStatusOverview = value;
    }
    ;
    /**
     * Gets the version property value. Version of the device configuration.
     * @returns a integer
     */
    get version() {
        return this._version;
    }
    ;
    /**
     * Sets the version property value. Version of the device configuration.
     * @param value Value to set for the version property.
     */
    set version(value) {
        this._version = value;
    }
    ;
}
exports.DeviceCompliancePolicy = DeviceCompliancePolicy;
