import { DeviceComplianceSettingState, Entity } from './index';
import { PolicyPlatformType } from './policyPlatformType';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Device Compilance Policy Setting State summary across the account. */
export declare class DeviceCompliancePolicySettingStateSummary extends Entity implements Parsable {
    /** Number of compliant devices */
    private _compliantDeviceCount?;
    /** Number of conflict devices */
    private _conflictDeviceCount?;
    /** Not yet documented */
    private _deviceComplianceSettingStates?;
    /** Number of error devices */
    private _errorDeviceCount?;
    /** Number of NonCompliant devices */
    private _nonCompliantDeviceCount?;
    /** Number of not applicable devices */
    private _notApplicableDeviceCount?;
    /** Setting platform. Possible values are: android, androidForWork, iOS, macOS, windowsPhone81, windows81AndLater, windows10AndLater, androidWorkProfile, windows10XProfile, androidAOSP, all. */
    private _platformType?;
    /** Number of remediated devices */
    private _remediatedDeviceCount?;
    /** The setting class name and property name. */
    private _setting?;
    /** Name of the setting. */
    private _settingName?;
    /** Number of unknown devices */
    private _unknownDeviceCount?;
    /**
     * Gets the compliantDeviceCount property value. Number of compliant devices
     * @returns a integer
     */
    get compliantDeviceCount(): number | undefined;
    /**
     * Sets the compliantDeviceCount property value. Number of compliant devices
     * @param value Value to set for the compliantDeviceCount property.
     */
    set compliantDeviceCount(value: number | undefined);
    /**
     * Gets the conflictDeviceCount property value. Number of conflict devices
     * @returns a integer
     */
    get conflictDeviceCount(): number | undefined;
    /**
     * Sets the conflictDeviceCount property value. Number of conflict devices
     * @param value Value to set for the conflictDeviceCount property.
     */
    set conflictDeviceCount(value: number | undefined);
    /**
     * Instantiates a new deviceCompliancePolicySettingStateSummary and sets the default values.
     */
    constructor();
    /**
     * Gets the deviceComplianceSettingStates property value. Not yet documented
     * @returns a deviceComplianceSettingState
     */
    get deviceComplianceSettingStates(): DeviceComplianceSettingState[] | undefined;
    /**
     * Sets the deviceComplianceSettingStates property value. Not yet documented
     * @param value Value to set for the deviceComplianceSettingStates property.
     */
    set deviceComplianceSettingStates(value: DeviceComplianceSettingState[] | undefined);
    /**
     * Gets the errorDeviceCount property value. Number of error devices
     * @returns a integer
     */
    get errorDeviceCount(): number | undefined;
    /**
     * Sets the errorDeviceCount property value. Number of error devices
     * @param value Value to set for the errorDeviceCount property.
     */
    set errorDeviceCount(value: number | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the nonCompliantDeviceCount property value. Number of NonCompliant devices
     * @returns a integer
     */
    get nonCompliantDeviceCount(): number | undefined;
    /**
     * Sets the nonCompliantDeviceCount property value. Number of NonCompliant devices
     * @param value Value to set for the nonCompliantDeviceCount property.
     */
    set nonCompliantDeviceCount(value: number | undefined);
    /**
     * Gets the notApplicableDeviceCount property value. Number of not applicable devices
     * @returns a integer
     */
    get notApplicableDeviceCount(): number | undefined;
    /**
     * Sets the notApplicableDeviceCount property value. Number of not applicable devices
     * @param value Value to set for the notApplicableDeviceCount property.
     */
    set notApplicableDeviceCount(value: number | undefined);
    /**
     * Gets the platformType property value. Setting platform. Possible values are: android, androidForWork, iOS, macOS, windowsPhone81, windows81AndLater, windows10AndLater, androidWorkProfile, windows10XProfile, androidAOSP, all.
     * @returns a policyPlatformType
     */
    get platformType(): PolicyPlatformType | undefined;
    /**
     * Sets the platformType property value. Setting platform. Possible values are: android, androidForWork, iOS, macOS, windowsPhone81, windows81AndLater, windows10AndLater, androidWorkProfile, windows10XProfile, androidAOSP, all.
     * @param value Value to set for the platformType property.
     */
    set platformType(value: PolicyPlatformType | undefined);
    /**
     * Gets the remediatedDeviceCount property value. Number of remediated devices
     * @returns a integer
     */
    get remediatedDeviceCount(): number | undefined;
    /**
     * Sets the remediatedDeviceCount property value. Number of remediated devices
     * @param value Value to set for the remediatedDeviceCount property.
     */
    set remediatedDeviceCount(value: number | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the setting property value. The setting class name and property name.
     * @returns a string
     */
    get setting(): string | undefined;
    /**
     * Sets the setting property value. The setting class name and property name.
     * @param value Value to set for the setting property.
     */
    set setting(value: string | undefined);
    /**
     * Gets the settingName property value. Name of the setting.
     * @returns a string
     */
    get settingName(): string | undefined;
    /**
     * Sets the settingName property value. Name of the setting.
     * @param value Value to set for the settingName property.
     */
    set settingName(value: string | undefined);
    /**
     * Gets the unknownDeviceCount property value. Number of unknown devices
     * @returns a integer
     */
    get unknownDeviceCount(): number | undefined;
    /**
     * Sets the unknownDeviceCount property value. Number of unknown devices
     * @param value Value to set for the unknownDeviceCount property.
     */
    set unknownDeviceCount(value: number | undefined);
}
