"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceCompliancePolicyState = void 0;
const complianceStatus_1 = require("./complianceStatus");
const createDeviceCompliancePolicySettingStateFromDiscriminatorValue_1 = require("./createDeviceCompliancePolicySettingStateFromDiscriminatorValue");
const index_1 = require("./index");
const policyPlatformType_1 = require("./policyPlatformType");
/** Device Compliance Policy State for a given device. */
class DeviceCompliancePolicyState extends index_1.Entity {
    /**
     * Instantiates a new deviceCompliancePolicyState and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the displayName property value. The name of the policy for this policyBase
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. The name of the policy for this policyBase
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "displayName": n => { this.displayName = n.getStringValue(); }, "platformType": n => { this.platformType = n.getEnumValue(policyPlatformType_1.PolicyPlatformType); }, "settingCount": n => { this.settingCount = n.getNumberValue(); }, "settingStates": n => { this.settingStates = n.getCollectionOfObjectValues(createDeviceCompliancePolicySettingStateFromDiscriminatorValue_1.createDeviceCompliancePolicySettingStateFromDiscriminatorValue); }, "state": n => { this.state = n.getEnumValue(complianceStatus_1.ComplianceStatus); }, "version": n => { this.version = n.getNumberValue(); } });
    }
    ;
    /**
     * Gets the platformType property value. Platform type that the policy applies to
     * @returns a policyPlatformType
     */
    get platformType() {
        return this._platformType;
    }
    ;
    /**
     * Sets the platformType property value. Platform type that the policy applies to
     * @param value Value to set for the platformType property.
     */
    set platformType(value) {
        this._platformType = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeEnumValue("platformType", this.platformType);
        writer.writeNumberValue("settingCount", this.settingCount);
        writer.writeCollectionOfObjectValues("settingStates", this.settingStates);
        writer.writeEnumValue("state", this.state);
        writer.writeNumberValue("version", this.version);
    }
    ;
    /**
     * Gets the settingCount property value. Count of how many setting a policy holds
     * @returns a integer
     */
    get settingCount() {
        return this._settingCount;
    }
    ;
    /**
     * Sets the settingCount property value. Count of how many setting a policy holds
     * @param value Value to set for the settingCount property.
     */
    set settingCount(value) {
        this._settingCount = value;
    }
    ;
    /**
     * Gets the settingStates property value. The settingStates property
     * @returns a deviceCompliancePolicySettingState
     */
    get settingStates() {
        return this._settingStates;
    }
    ;
    /**
     * Sets the settingStates property value. The settingStates property
     * @param value Value to set for the settingStates property.
     */
    set settingStates(value) {
        this._settingStates = value;
    }
    ;
    /**
     * Gets the state property value. The compliance state of the policy
     * @returns a complianceStatus
     */
    get state() {
        return this._state;
    }
    ;
    /**
     * Sets the state property value. The compliance state of the policy
     * @param value Value to set for the state property.
     */
    set state(value) {
        this._state = value;
    }
    ;
    /**
     * Gets the version property value. The version of the policy
     * @returns a integer
     */
    get version() {
        return this._version;
    }
    ;
    /**
     * Sets the version property value. The version of the policy
     * @param value Value to set for the version property.
     */
    set version(value) {
        this._version = value;
    }
    ;
}
exports.DeviceCompliancePolicyState = DeviceCompliancePolicyState;
