"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceComplianceScheduledActionForRule = void 0;
const createDeviceComplianceActionItemFromDiscriminatorValue_1 = require("./createDeviceComplianceActionItemFromDiscriminatorValue");
const index_1 = require("./index");
/** Scheduled Action for Rule */
class DeviceComplianceScheduledActionForRule extends index_1.Entity {
    /**
     * Instantiates a new deviceComplianceScheduledActionForRule and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "ruleName": n => { this.ruleName = n.getStringValue(); }, "scheduledActionConfigurations": n => { this.scheduledActionConfigurations = n.getCollectionOfObjectValues(createDeviceComplianceActionItemFromDiscriminatorValue_1.createDeviceComplianceActionItemFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the ruleName property value. Name of the rule which this scheduled action applies to. Currently scheduled actions are created per policy instead of per rule, thus RuleName is always set to default value PasswordRequired.
     * @returns a string
     */
    get ruleName() {
        return this._ruleName;
    }
    ;
    /**
     * Sets the ruleName property value. Name of the rule which this scheduled action applies to. Currently scheduled actions are created per policy instead of per rule, thus RuleName is always set to default value PasswordRequired.
     * @param value Value to set for the ruleName property.
     */
    set ruleName(value) {
        this._ruleName = value;
    }
    ;
    /**
     * Gets the scheduledActionConfigurations property value. The list of scheduled action configurations for this compliance policy. Compliance policy must have one and only one block scheduled action.
     * @returns a deviceComplianceActionItem
     */
    get scheduledActionConfigurations() {
        return this._scheduledActionConfigurations;
    }
    ;
    /**
     * Sets the scheduledActionConfigurations property value. The list of scheduled action configurations for this compliance policy. Compliance policy must have one and only one block scheduled action.
     * @param value Value to set for the scheduledActionConfigurations property.
     */
    set scheduledActionConfigurations(value) {
        this._scheduledActionConfigurations = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("ruleName", this.ruleName);
        writer.writeCollectionOfObjectValues("scheduledActionConfigurations", this.scheduledActionConfigurations);
    }
    ;
}
exports.DeviceComplianceScheduledActionForRule = DeviceComplianceScheduledActionForRule;
