"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceComplianceSettingState = void 0;
const complianceStatus_1 = require("./complianceStatus");
const index_1 = require("./index");
/** Device compliance setting State for a given device. */
class DeviceComplianceSettingState extends index_1.Entity {
    /**
     * Instantiates a new deviceComplianceSettingState and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the complianceGracePeriodExpirationDateTime property value. The DateTime when device compliance grace period expires
     * @returns a Date
     */
    get complianceGracePeriodExpirationDateTime() {
        return this._complianceGracePeriodExpirationDateTime;
    }
    ;
    /**
     * Sets the complianceGracePeriodExpirationDateTime property value. The DateTime when device compliance grace period expires
     * @param value Value to set for the complianceGracePeriodExpirationDateTime property.
     */
    set complianceGracePeriodExpirationDateTime(value) {
        this._complianceGracePeriodExpirationDateTime = value;
    }
    ;
    ;
    /**
     * Gets the deviceId property value. The Device Id that is being reported
     * @returns a string
     */
    get deviceId() {
        return this._deviceId;
    }
    ;
    /**
     * Sets the deviceId property value. The Device Id that is being reported
     * @param value Value to set for the deviceId property.
     */
    set deviceId(value) {
        this._deviceId = value;
    }
    ;
    /**
     * Gets the deviceModel property value. The device model that is being reported
     * @returns a string
     */
    get deviceModel() {
        return this._deviceModel;
    }
    ;
    /**
     * Sets the deviceModel property value. The device model that is being reported
     * @param value Value to set for the deviceModel property.
     */
    set deviceModel(value) {
        this._deviceModel = value;
    }
    ;
    /**
     * Gets the deviceName property value. The Device Name that is being reported
     * @returns a string
     */
    get deviceName() {
        return this._deviceName;
    }
    ;
    /**
     * Sets the deviceName property value. The Device Name that is being reported
     * @param value Value to set for the deviceName property.
     */
    set deviceName(value) {
        this._deviceName = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "complianceGracePeriodExpirationDateTime": n => { this.complianceGracePeriodExpirationDateTime = n.getDateValue(); }, "deviceId": n => { this.deviceId = n.getStringValue(); }, "deviceModel": n => { this.deviceModel = n.getStringValue(); }, "deviceName": n => { this.deviceName = n.getStringValue(); }, "setting": n => { this.setting = n.getStringValue(); }, "settingName": n => { this.settingName = n.getStringValue(); }, "state": n => { this.state = n.getEnumValue(complianceStatus_1.ComplianceStatus); }, "userEmail": n => { this.userEmail = n.getStringValue(); }, "userId": n => { this.userId = n.getStringValue(); }, "userName": n => { this.userName = n.getStringValue(); }, "userPrincipalName": n => { this.userPrincipalName = n.getStringValue(); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeDateValue("complianceGracePeriodExpirationDateTime", this.complianceGracePeriodExpirationDateTime);
        writer.writeStringValue("deviceId", this.deviceId);
        writer.writeStringValue("deviceModel", this.deviceModel);
        writer.writeStringValue("deviceName", this.deviceName);
        writer.writeStringValue("setting", this.setting);
        writer.writeStringValue("settingName", this.settingName);
        writer.writeEnumValue("state", this.state);
        writer.writeStringValue("userEmail", this.userEmail);
        writer.writeStringValue("userId", this.userId);
        writer.writeStringValue("userName", this.userName);
        writer.writeStringValue("userPrincipalName", this.userPrincipalName);
    }
    ;
    /**
     * Gets the setting property value. The setting class name and property name.
     * @returns a string
     */
    get setting() {
        return this._setting;
    }
    ;
    /**
     * Sets the setting property value. The setting class name and property name.
     * @param value Value to set for the setting property.
     */
    set setting(value) {
        this._setting = value;
    }
    ;
    /**
     * Gets the settingName property value. The Setting Name that is being reported
     * @returns a string
     */
    get settingName() {
        return this._settingName;
    }
    ;
    /**
     * Sets the settingName property value. The Setting Name that is being reported
     * @param value Value to set for the settingName property.
     */
    set settingName(value) {
        this._settingName = value;
    }
    ;
    /**
     * Gets the state property value. The compliance state of the setting. Possible values are: unknown, notApplicable, compliant, remediated, nonCompliant, error, conflict, notAssigned.
     * @returns a complianceStatus
     */
    get state() {
        return this._state;
    }
    ;
    /**
     * Sets the state property value. The compliance state of the setting. Possible values are: unknown, notApplicable, compliant, remediated, nonCompliant, error, conflict, notAssigned.
     * @param value Value to set for the state property.
     */
    set state(value) {
        this._state = value;
    }
    ;
    /**
     * Gets the userEmail property value. The User email address that is being reported
     * @returns a string
     */
    get userEmail() {
        return this._userEmail;
    }
    ;
    /**
     * Sets the userEmail property value. The User email address that is being reported
     * @param value Value to set for the userEmail property.
     */
    set userEmail(value) {
        this._userEmail = value;
    }
    ;
    /**
     * Gets the userId property value. The user Id that is being reported
     * @returns a string
     */
    get userId() {
        return this._userId;
    }
    ;
    /**
     * Sets the userId property value. The user Id that is being reported
     * @param value Value to set for the userId property.
     */
    set userId(value) {
        this._userId = value;
    }
    ;
    /**
     * Gets the userName property value. The User Name that is being reported
     * @returns a string
     */
    get userName() {
        return this._userName;
    }
    ;
    /**
     * Sets the userName property value. The User Name that is being reported
     * @param value Value to set for the userName property.
     */
    set userName(value) {
        this._userName = value;
    }
    ;
    /**
     * Gets the userPrincipalName property value. The User PrincipalName that is being reported
     * @returns a string
     */
    get userPrincipalName() {
        return this._userPrincipalName;
    }
    ;
    /**
     * Sets the userPrincipalName property value. The User PrincipalName that is being reported
     * @param value Value to set for the userPrincipalName property.
     */
    set userPrincipalName(value) {
        this._userPrincipalName = value;
    }
    ;
}
exports.DeviceComplianceSettingState = DeviceComplianceSettingState;
