import { DeviceConfigurationAssignment, DeviceConfigurationDeviceOverview, DeviceConfigurationDeviceStatus, DeviceConfigurationUserOverview, DeviceConfigurationUserStatus, Entity, SettingStateDeviceSummary } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Device Configuration. */
export declare class DeviceConfiguration extends Entity implements Parsable {
    /** The list of assignments for the device configuration profile. */
    private _assignments?;
    /** DateTime the object was created. */
    private _createdDateTime?;
    /** Admin provided description of the Device Configuration. */
    private _description?;
    /** Device Configuration Setting State Device Summary */
    private _deviceSettingStateSummaries?;
    /** Device configuration installation status by device. */
    private _deviceStatuses?;
    /** Device Configuration devices status overview */
    private _deviceStatusOverview?;
    /** Admin provided name of the device configuration. */
    private _displayName?;
    /** DateTime the object was last modified. */
    private _lastModifiedDateTime?;
    /** Device configuration installation status by user. */
    private _userStatuses?;
    /** Device Configuration users status overview */
    private _userStatusOverview?;
    /** Version of the device configuration. */
    private _version?;
    /**
     * Gets the assignments property value. The list of assignments for the device configuration profile.
     * @returns a deviceConfigurationAssignment
     */
    get assignments(): DeviceConfigurationAssignment[] | undefined;
    /**
     * Sets the assignments property value. The list of assignments for the device configuration profile.
     * @param value Value to set for the assignments property.
     */
    set assignments(value: DeviceConfigurationAssignment[] | undefined);
    /**
     * Instantiates a new deviceConfiguration and sets the default values.
     */
    constructor();
    /**
     * Gets the createdDateTime property value. DateTime the object was created.
     * @returns a Date
     */
    get createdDateTime(): Date | undefined;
    /**
     * Sets the createdDateTime property value. DateTime the object was created.
     * @param value Value to set for the createdDateTime property.
     */
    set createdDateTime(value: Date | undefined);
    /**
     * Gets the description property value. Admin provided description of the Device Configuration.
     * @returns a string
     */
    get description(): string | undefined;
    /**
     * Sets the description property value. Admin provided description of the Device Configuration.
     * @param value Value to set for the description property.
     */
    set description(value: string | undefined);
    /**
     * Gets the deviceSettingStateSummaries property value. Device Configuration Setting State Device Summary
     * @returns a settingStateDeviceSummary
     */
    get deviceSettingStateSummaries(): SettingStateDeviceSummary[] | undefined;
    /**
     * Sets the deviceSettingStateSummaries property value. Device Configuration Setting State Device Summary
     * @param value Value to set for the deviceSettingStateSummaries property.
     */
    set deviceSettingStateSummaries(value: SettingStateDeviceSummary[] | undefined);
    /**
     * Gets the deviceStatuses property value. Device configuration installation status by device.
     * @returns a deviceConfigurationDeviceStatus
     */
    get deviceStatuses(): DeviceConfigurationDeviceStatus[] | undefined;
    /**
     * Sets the deviceStatuses property value. Device configuration installation status by device.
     * @param value Value to set for the deviceStatuses property.
     */
    set deviceStatuses(value: DeviceConfigurationDeviceStatus[] | undefined);
    /**
     * Gets the deviceStatusOverview property value. Device Configuration devices status overview
     * @returns a deviceConfigurationDeviceOverview
     */
    get deviceStatusOverview(): DeviceConfigurationDeviceOverview | undefined;
    /**
     * Sets the deviceStatusOverview property value. Device Configuration devices status overview
     * @param value Value to set for the deviceStatusOverview property.
     */
    set deviceStatusOverview(value: DeviceConfigurationDeviceOverview | undefined);
    /**
     * Gets the displayName property value. Admin provided name of the device configuration.
     * @returns a string
     */
    get displayName(): string | undefined;
    /**
     * Sets the displayName property value. Admin provided name of the device configuration.
     * @param value Value to set for the displayName property.
     */
    set displayName(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the lastModifiedDateTime property value. DateTime the object was last modified.
     * @returns a Date
     */
    get lastModifiedDateTime(): Date | undefined;
    /**
     * Sets the lastModifiedDateTime property value. DateTime the object was last modified.
     * @param value Value to set for the lastModifiedDateTime property.
     */
    set lastModifiedDateTime(value: Date | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the userStatuses property value. Device configuration installation status by user.
     * @returns a deviceConfigurationUserStatus
     */
    get userStatuses(): DeviceConfigurationUserStatus[] | undefined;
    /**
     * Sets the userStatuses property value. Device configuration installation status by user.
     * @param value Value to set for the userStatuses property.
     */
    set userStatuses(value: DeviceConfigurationUserStatus[] | undefined);
    /**
     * Gets the userStatusOverview property value. Device Configuration users status overview
     * @returns a deviceConfigurationUserOverview
     */
    get userStatusOverview(): DeviceConfigurationUserOverview | undefined;
    /**
     * Sets the userStatusOverview property value. Device Configuration users status overview
     * @param value Value to set for the userStatusOverview property.
     */
    set userStatusOverview(value: DeviceConfigurationUserOverview | undefined);
    /**
     * Gets the version property value. Version of the device configuration.
     * @returns a integer
     */
    get version(): number | undefined;
    /**
     * Sets the version property value. Version of the device configuration.
     * @param value Value to set for the version property.
     */
    set version(value: number | undefined);
}
