import { DeviceAndAppManagementAssignmentTarget, Entity } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** The device configuration assignment entity assigns an AAD group to a specific device configuration. */
export declare class DeviceConfigurationAssignment extends Entity implements Parsable {
    /** The assignment target for the device configuration. */
    private _target?;
    /**
     * Instantiates a new deviceConfigurationAssignment and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the target property value. The assignment target for the device configuration.
     * @returns a deviceAndAppManagementAssignmentTarget
     */
    get target(): DeviceAndAppManagementAssignmentTarget | undefined;
    /**
     * Sets the target property value. The assignment target for the device configuration.
     * @param value Value to set for the target property.
     */
    set target(value: DeviceAndAppManagementAssignmentTarget | undefined);
}
