"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceConfigurationDeviceOverview = void 0;
const index_1 = require("./index");
/** Provides operations to manage the deviceManagement singleton. */
class DeviceConfigurationDeviceOverview extends index_1.Entity {
    /**
     * Instantiates a new deviceConfigurationDeviceOverview and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the configurationVersion property value. Version of the policy for that overview
     * @returns a integer
     */
    get configurationVersion() {
        return this._configurationVersion;
    }
    ;
    /**
     * Sets the configurationVersion property value. Version of the policy for that overview
     * @param value Value to set for the configurationVersion property.
     */
    set configurationVersion(value) {
        this._configurationVersion = value;
    }
    ;
    ;
    /**
     * Gets the errorCount property value. Number of error devices
     * @returns a integer
     */
    get errorCount() {
        return this._errorCount;
    }
    ;
    /**
     * Sets the errorCount property value. Number of error devices
     * @param value Value to set for the errorCount property.
     */
    set errorCount(value) {
        this._errorCount = value;
    }
    ;
    /**
     * Gets the failedCount property value. Number of failed devices
     * @returns a integer
     */
    get failedCount() {
        return this._failedCount;
    }
    ;
    /**
     * Sets the failedCount property value. Number of failed devices
     * @param value Value to set for the failedCount property.
     */
    set failedCount(value) {
        this._failedCount = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "configurationVersion": n => { this.configurationVersion = n.getNumberValue(); }, "errorCount": n => { this.errorCount = n.getNumberValue(); }, "failedCount": n => { this.failedCount = n.getNumberValue(); }, "lastUpdateDateTime": n => { this.lastUpdateDateTime = n.getDateValue(); }, "notApplicableCount": n => { this.notApplicableCount = n.getNumberValue(); }, "pendingCount": n => { this.pendingCount = n.getNumberValue(); }, "successCount": n => { this.successCount = n.getNumberValue(); } });
    }
    ;
    /**
     * Gets the lastUpdateDateTime property value. Last update time
     * @returns a Date
     */
    get lastUpdateDateTime() {
        return this._lastUpdateDateTime;
    }
    ;
    /**
     * Sets the lastUpdateDateTime property value. Last update time
     * @param value Value to set for the lastUpdateDateTime property.
     */
    set lastUpdateDateTime(value) {
        this._lastUpdateDateTime = value;
    }
    ;
    /**
     * Gets the notApplicableCount property value. Number of not applicable devices
     * @returns a integer
     */
    get notApplicableCount() {
        return this._notApplicableCount;
    }
    ;
    /**
     * Sets the notApplicableCount property value. Number of not applicable devices
     * @param value Value to set for the notApplicableCount property.
     */
    set notApplicableCount(value) {
        this._notApplicableCount = value;
    }
    ;
    /**
     * Gets the pendingCount property value. Number of pending devices
     * @returns a integer
     */
    get pendingCount() {
        return this._pendingCount;
    }
    ;
    /**
     * Sets the pendingCount property value. Number of pending devices
     * @param value Value to set for the pendingCount property.
     */
    set pendingCount(value) {
        this._pendingCount = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeNumberValue("configurationVersion", this.configurationVersion);
        writer.writeNumberValue("errorCount", this.errorCount);
        writer.writeNumberValue("failedCount", this.failedCount);
        writer.writeDateValue("lastUpdateDateTime", this.lastUpdateDateTime);
        writer.writeNumberValue("notApplicableCount", this.notApplicableCount);
        writer.writeNumberValue("pendingCount", this.pendingCount);
        writer.writeNumberValue("successCount", this.successCount);
    }
    ;
    /**
     * Gets the successCount property value. Number of succeeded devices
     * @returns a integer
     */
    get successCount() {
        return this._successCount;
    }
    ;
    /**
     * Sets the successCount property value. Number of succeeded devices
     * @param value Value to set for the successCount property.
     */
    set successCount(value) {
        this._successCount = value;
    }
    ;
}
exports.DeviceConfigurationDeviceOverview = DeviceConfigurationDeviceOverview;
