"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceConfigurationDeviceStateSummary = void 0;
const index_1 = require("./index");
/** Provides operations to manage the deviceManagement singleton. */
class DeviceConfigurationDeviceStateSummary extends index_1.Entity {
    /**
     * Instantiates a new deviceConfigurationDeviceStateSummary and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the compliantDeviceCount property value. Number of compliant devices
     * @returns a integer
     */
    get compliantDeviceCount() {
        return this._compliantDeviceCount;
    }
    ;
    /**
     * Sets the compliantDeviceCount property value. Number of compliant devices
     * @param value Value to set for the compliantDeviceCount property.
     */
    set compliantDeviceCount(value) {
        this._compliantDeviceCount = value;
    }
    ;
    /**
     * Gets the conflictDeviceCount property value. Number of conflict devices
     * @returns a integer
     */
    get conflictDeviceCount() {
        return this._conflictDeviceCount;
    }
    ;
    /**
     * Sets the conflictDeviceCount property value. Number of conflict devices
     * @param value Value to set for the conflictDeviceCount property.
     */
    set conflictDeviceCount(value) {
        this._conflictDeviceCount = value;
    }
    ;
    ;
    /**
     * Gets the errorDeviceCount property value. Number of error devices
     * @returns a integer
     */
    get errorDeviceCount() {
        return this._errorDeviceCount;
    }
    ;
    /**
     * Sets the errorDeviceCount property value. Number of error devices
     * @param value Value to set for the errorDeviceCount property.
     */
    set errorDeviceCount(value) {
        this._errorDeviceCount = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "compliantDeviceCount": n => { this.compliantDeviceCount = n.getNumberValue(); }, "conflictDeviceCount": n => { this.conflictDeviceCount = n.getNumberValue(); }, "errorDeviceCount": n => { this.errorDeviceCount = n.getNumberValue(); }, "nonCompliantDeviceCount": n => { this.nonCompliantDeviceCount = n.getNumberValue(); }, "notApplicableDeviceCount": n => { this.notApplicableDeviceCount = n.getNumberValue(); }, "remediatedDeviceCount": n => { this.remediatedDeviceCount = n.getNumberValue(); }, "unknownDeviceCount": n => { this.unknownDeviceCount = n.getNumberValue(); } });
    }
    ;
    /**
     * Gets the nonCompliantDeviceCount property value. Number of NonCompliant devices
     * @returns a integer
     */
    get nonCompliantDeviceCount() {
        return this._nonCompliantDeviceCount;
    }
    ;
    /**
     * Sets the nonCompliantDeviceCount property value. Number of NonCompliant devices
     * @param value Value to set for the nonCompliantDeviceCount property.
     */
    set nonCompliantDeviceCount(value) {
        this._nonCompliantDeviceCount = value;
    }
    ;
    /**
     * Gets the notApplicableDeviceCount property value. Number of not applicable devices
     * @returns a integer
     */
    get notApplicableDeviceCount() {
        return this._notApplicableDeviceCount;
    }
    ;
    /**
     * Sets the notApplicableDeviceCount property value. Number of not applicable devices
     * @param value Value to set for the notApplicableDeviceCount property.
     */
    set notApplicableDeviceCount(value) {
        this._notApplicableDeviceCount = value;
    }
    ;
    /**
     * Gets the remediatedDeviceCount property value. Number of remediated devices
     * @returns a integer
     */
    get remediatedDeviceCount() {
        return this._remediatedDeviceCount;
    }
    ;
    /**
     * Sets the remediatedDeviceCount property value. Number of remediated devices
     * @param value Value to set for the remediatedDeviceCount property.
     */
    set remediatedDeviceCount(value) {
        this._remediatedDeviceCount = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeNumberValue("compliantDeviceCount", this.compliantDeviceCount);
        writer.writeNumberValue("conflictDeviceCount", this.conflictDeviceCount);
        writer.writeNumberValue("errorDeviceCount", this.errorDeviceCount);
        writer.writeNumberValue("nonCompliantDeviceCount", this.nonCompliantDeviceCount);
        writer.writeNumberValue("notApplicableDeviceCount", this.notApplicableDeviceCount);
        writer.writeNumberValue("remediatedDeviceCount", this.remediatedDeviceCount);
        writer.writeNumberValue("unknownDeviceCount", this.unknownDeviceCount);
    }
    ;
    /**
     * Gets the unknownDeviceCount property value. Number of unknown devices
     * @returns a integer
     */
    get unknownDeviceCount() {
        return this._unknownDeviceCount;
    }
    ;
    /**
     * Sets the unknownDeviceCount property value. Number of unknown devices
     * @param value Value to set for the unknownDeviceCount property.
     */
    set unknownDeviceCount(value) {
        this._unknownDeviceCount = value;
    }
    ;
}
exports.DeviceConfigurationDeviceStateSummary = DeviceConfigurationDeviceStateSummary;
