"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceConfigurationDeviceStatus = void 0;
const complianceStatus_1 = require("./complianceStatus");
const index_1 = require("./index");
/** Provides operations to manage the deviceManagement singleton. */
class DeviceConfigurationDeviceStatus extends index_1.Entity {
    /**
     * Instantiates a new deviceConfigurationDeviceStatus and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the complianceGracePeriodExpirationDateTime property value. The DateTime when device compliance grace period expires
     * @returns a Date
     */
    get complianceGracePeriodExpirationDateTime() {
        return this._complianceGracePeriodExpirationDateTime;
    }
    ;
    /**
     * Sets the complianceGracePeriodExpirationDateTime property value. The DateTime when device compliance grace period expires
     * @param value Value to set for the complianceGracePeriodExpirationDateTime property.
     */
    set complianceGracePeriodExpirationDateTime(value) {
        this._complianceGracePeriodExpirationDateTime = value;
    }
    ;
    ;
    /**
     * Gets the deviceDisplayName property value. Device name of the DevicePolicyStatus.
     * @returns a string
     */
    get deviceDisplayName() {
        return this._deviceDisplayName;
    }
    ;
    /**
     * Sets the deviceDisplayName property value. Device name of the DevicePolicyStatus.
     * @param value Value to set for the deviceDisplayName property.
     */
    set deviceDisplayName(value) {
        this._deviceDisplayName = value;
    }
    ;
    /**
     * Gets the deviceModel property value. The device model that is being reported
     * @returns a string
     */
    get deviceModel() {
        return this._deviceModel;
    }
    ;
    /**
     * Sets the deviceModel property value. The device model that is being reported
     * @param value Value to set for the deviceModel property.
     */
    set deviceModel(value) {
        this._deviceModel = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "complianceGracePeriodExpirationDateTime": n => { this.complianceGracePeriodExpirationDateTime = n.getDateValue(); }, "deviceDisplayName": n => { this.deviceDisplayName = n.getStringValue(); }, "deviceModel": n => { this.deviceModel = n.getStringValue(); }, "lastReportedDateTime": n => { this.lastReportedDateTime = n.getDateValue(); }, "status": n => { this.status = n.getEnumValue(complianceStatus_1.ComplianceStatus); }, "userName": n => { this.userName = n.getStringValue(); }, "userPrincipalName": n => { this.userPrincipalName = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the lastReportedDateTime property value. Last modified date time of the policy report.
     * @returns a Date
     */
    get lastReportedDateTime() {
        return this._lastReportedDateTime;
    }
    ;
    /**
     * Sets the lastReportedDateTime property value. Last modified date time of the policy report.
     * @param value Value to set for the lastReportedDateTime property.
     */
    set lastReportedDateTime(value) {
        this._lastReportedDateTime = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeDateValue("complianceGracePeriodExpirationDateTime", this.complianceGracePeriodExpirationDateTime);
        writer.writeStringValue("deviceDisplayName", this.deviceDisplayName);
        writer.writeStringValue("deviceModel", this.deviceModel);
        writer.writeDateValue("lastReportedDateTime", this.lastReportedDateTime);
        writer.writeEnumValue("status", this.status);
        writer.writeStringValue("userName", this.userName);
        writer.writeStringValue("userPrincipalName", this.userPrincipalName);
    }
    ;
    /**
     * Gets the status property value. Compliance status of the policy report. Possible values are: unknown, notApplicable, compliant, remediated, nonCompliant, error, conflict, notAssigned.
     * @returns a complianceStatus
     */
    get status() {
        return this._status;
    }
    ;
    /**
     * Sets the status property value. Compliance status of the policy report. Possible values are: unknown, notApplicable, compliant, remediated, nonCompliant, error, conflict, notAssigned.
     * @param value Value to set for the status property.
     */
    set status(value) {
        this._status = value;
    }
    ;
    /**
     * Gets the userName property value. The User Name that is being reported
     * @returns a string
     */
    get userName() {
        return this._userName;
    }
    ;
    /**
     * Sets the userName property value. The User Name that is being reported
     * @param value Value to set for the userName property.
     */
    set userName(value) {
        this._userName = value;
    }
    ;
    /**
     * Gets the userPrincipalName property value. UserPrincipalName.
     * @returns a string
     */
    get userPrincipalName() {
        return this._userPrincipalName;
    }
    ;
    /**
     * Sets the userPrincipalName property value. UserPrincipalName.
     * @param value Value to set for the userPrincipalName property.
     */
    set userPrincipalName(value) {
        this._userPrincipalName = value;
    }
    ;
}
exports.DeviceConfigurationDeviceStatus = DeviceConfigurationDeviceStatus;
