import { ComplianceStatus } from './complianceStatus';
import { DeviceConfigurationSettingState, Entity } from './index';
import { PolicyPlatformType } from './policyPlatformType';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Device Configuration State for a given device. */
export declare class DeviceConfigurationState extends Entity implements Parsable {
    /** The name of the policy for this policyBase */
    private _displayName?;
    /** Platform type that the policy applies to */
    private _platformType?;
    /** Count of how many setting a policy holds */
    private _settingCount?;
    /** The settingStates property */
    private _settingStates?;
    /** The compliance state of the policy */
    private _state?;
    /** The version of the policy */
    private _version?;
    /**
     * Instantiates a new deviceConfigurationState and sets the default values.
     */
    constructor();
    /**
     * Gets the displayName property value. The name of the policy for this policyBase
     * @returns a string
     */
    get displayName(): string | undefined;
    /**
     * Sets the displayName property value. The name of the policy for this policyBase
     * @param value Value to set for the displayName property.
     */
    set displayName(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the platformType property value. Platform type that the policy applies to
     * @returns a policyPlatformType
     */
    get platformType(): PolicyPlatformType | undefined;
    /**
     * Sets the platformType property value. Platform type that the policy applies to
     * @param value Value to set for the platformType property.
     */
    set platformType(value: PolicyPlatformType | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the settingCount property value. Count of how many setting a policy holds
     * @returns a integer
     */
    get settingCount(): number | undefined;
    /**
     * Sets the settingCount property value. Count of how many setting a policy holds
     * @param value Value to set for the settingCount property.
     */
    set settingCount(value: number | undefined);
    /**
     * Gets the settingStates property value. The settingStates property
     * @returns a deviceConfigurationSettingState
     */
    get settingStates(): DeviceConfigurationSettingState[] | undefined;
    /**
     * Sets the settingStates property value. The settingStates property
     * @param value Value to set for the settingStates property.
     */
    set settingStates(value: DeviceConfigurationSettingState[] | undefined);
    /**
     * Gets the state property value. The compliance state of the policy
     * @returns a complianceStatus
     */
    get state(): ComplianceStatus | undefined;
    /**
     * Sets the state property value. The compliance state of the policy
     * @param value Value to set for the state property.
     */
    set state(value: ComplianceStatus | undefined);
    /**
     * Gets the version property value. The version of the policy
     * @returns a integer
     */
    get version(): number | undefined;
    /**
     * Sets the version property value. The version of the policy
     * @param value Value to set for the version property.
     */
    set version(value: number | undefined);
}
