import { Entity } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the deviceManagement singleton. */
export declare class DeviceConfigurationUserOverview extends Entity implements Parsable {
    /** Version of the policy for that overview */
    private _configurationVersion?;
    /** Number of error Users */
    private _errorCount?;
    /** Number of failed Users */
    private _failedCount?;
    /** Last update time */
    private _lastUpdateDateTime?;
    /** Number of not applicable users */
    private _notApplicableCount?;
    /** Number of pending Users */
    private _pendingCount?;
    /** Number of succeeded Users */
    private _successCount?;
    /**
     * Gets the configurationVersion property value. Version of the policy for that overview
     * @returns a integer
     */
    get configurationVersion(): number | undefined;
    /**
     * Sets the configurationVersion property value. Version of the policy for that overview
     * @param value Value to set for the configurationVersion property.
     */
    set configurationVersion(value: number | undefined);
    /**
     * Instantiates a new deviceConfigurationUserOverview and sets the default values.
     */
    constructor();
    /**
     * Gets the errorCount property value. Number of error Users
     * @returns a integer
     */
    get errorCount(): number | undefined;
    /**
     * Sets the errorCount property value. Number of error Users
     * @param value Value to set for the errorCount property.
     */
    set errorCount(value: number | undefined);
    /**
     * Gets the failedCount property value. Number of failed Users
     * @returns a integer
     */
    get failedCount(): number | undefined;
    /**
     * Sets the failedCount property value. Number of failed Users
     * @param value Value to set for the failedCount property.
     */
    set failedCount(value: number | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the lastUpdateDateTime property value. Last update time
     * @returns a Date
     */
    get lastUpdateDateTime(): Date | undefined;
    /**
     * Sets the lastUpdateDateTime property value. Last update time
     * @param value Value to set for the lastUpdateDateTime property.
     */
    set lastUpdateDateTime(value: Date | undefined);
    /**
     * Gets the notApplicableCount property value. Number of not applicable users
     * @returns a integer
     */
    get notApplicableCount(): number | undefined;
    /**
     * Sets the notApplicableCount property value. Number of not applicable users
     * @param value Value to set for the notApplicableCount property.
     */
    set notApplicableCount(value: number | undefined);
    /**
     * Gets the pendingCount property value. Number of pending Users
     * @returns a integer
     */
    get pendingCount(): number | undefined;
    /**
     * Sets the pendingCount property value. Number of pending Users
     * @param value Value to set for the pendingCount property.
     */
    set pendingCount(value: number | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the successCount property value. Number of succeeded Users
     * @returns a integer
     */
    get successCount(): number | undefined;
    /**
     * Sets the successCount property value. Number of succeeded Users
     * @param value Value to set for the successCount property.
     */
    set successCount(value: number | undefined);
}
