import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class DeviceDetail implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** Indicates the browser information of the used for signing-in. */
    private _browser?;
    /** Refers to the UniqueID of the device used for signing-in. */
    private _deviceId?;
    /** Refers to the name of the device used for signing-in. */
    private _displayName?;
    /** Indicates whether the device is compliant or not. */
    private _isCompliant?;
    /** Indicates if the device is managed or not. */
    private _isManaged?;
    /** Indicates the OS name and version used for signing-in. */
    private _operatingSystem?;
    /** Indicates information on whether the signed-in device is Workplace Joined, AzureAD Joined, Domain Joined. */
    private _trustType?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the browser property value. Indicates the browser information of the used for signing-in.
     * @returns a string
     */
    get browser(): string | undefined;
    /**
     * Sets the browser property value. Indicates the browser information of the used for signing-in.
     * @param value Value to set for the browser property.
     */
    set browser(value: string | undefined);
    /**
     * Instantiates a new deviceDetail and sets the default values.
     */
    constructor();
    /**
     * Gets the deviceId property value. Refers to the UniqueID of the device used for signing-in.
     * @returns a string
     */
    get deviceId(): string | undefined;
    /**
     * Sets the deviceId property value. Refers to the UniqueID of the device used for signing-in.
     * @param value Value to set for the deviceId property.
     */
    set deviceId(value: string | undefined);
    /**
     * Gets the displayName property value. Refers to the name of the device used for signing-in.
     * @returns a string
     */
    get displayName(): string | undefined;
    /**
     * Sets the displayName property value. Refers to the name of the device used for signing-in.
     * @param value Value to set for the displayName property.
     */
    set displayName(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the isCompliant property value. Indicates whether the device is compliant or not.
     * @returns a boolean
     */
    get isCompliant(): boolean | undefined;
    /**
     * Sets the isCompliant property value. Indicates whether the device is compliant or not.
     * @param value Value to set for the isCompliant property.
     */
    set isCompliant(value: boolean | undefined);
    /**
     * Gets the isManaged property value. Indicates if the device is managed or not.
     * @returns a boolean
     */
    get isManaged(): boolean | undefined;
    /**
     * Sets the isManaged property value. Indicates if the device is managed or not.
     * @param value Value to set for the isManaged property.
     */
    set isManaged(value: boolean | undefined);
    /**
     * Gets the operatingSystem property value. Indicates the OS name and version used for signing-in.
     * @returns a string
     */
    get operatingSystem(): string | undefined;
    /**
     * Sets the operatingSystem property value. Indicates the OS name and version used for signing-in.
     * @param value Value to set for the operatingSystem property.
     */
    set operatingSystem(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the trustType property value. Indicates information on whether the signed-in device is Workplace Joined, AzureAD Joined, Domain Joined.
     * @returns a string
     */
    get trustType(): string | undefined;
    /**
     * Sets the trustType property value. Indicates information on whether the signed-in device is Workplace Joined, AzureAD Joined, Domain Joined.
     * @param value Value to set for the trustType property.
     */
    set trustType(value: string | undefined);
}
