"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceHealthAttestationState = void 0;
class DeviceHealthAttestationState {
    /**
     * Instantiates a new deviceHealthAttestationState and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the attestationIdentityKey property value. TWhen an Attestation Identity Key (AIK) is present on a device, it indicates that the device has an endorsement key (EK) certificate.
     * @returns a string
     */
    get attestationIdentityKey() {
        return this._attestationIdentityKey;
    }
    ;
    /**
     * Sets the attestationIdentityKey property value. TWhen an Attestation Identity Key (AIK) is present on a device, it indicates that the device has an endorsement key (EK) certificate.
     * @param value Value to set for the attestationIdentityKey property.
     */
    set attestationIdentityKey(value) {
        this._attestationIdentityKey = value;
    }
    ;
    /**
     * Gets the bitLockerStatus property value. On or Off of BitLocker Drive Encryption
     * @returns a string
     */
    get bitLockerStatus() {
        return this._bitLockerStatus;
    }
    ;
    /**
     * Sets the bitLockerStatus property value. On or Off of BitLocker Drive Encryption
     * @param value Value to set for the bitLockerStatus property.
     */
    set bitLockerStatus(value) {
        this._bitLockerStatus = value;
    }
    ;
    /**
     * Gets the bootAppSecurityVersion property value. The security version number of the Boot Application
     * @returns a string
     */
    get bootAppSecurityVersion() {
        return this._bootAppSecurityVersion;
    }
    ;
    /**
     * Sets the bootAppSecurityVersion property value. The security version number of the Boot Application
     * @param value Value to set for the bootAppSecurityVersion property.
     */
    set bootAppSecurityVersion(value) {
        this._bootAppSecurityVersion = value;
    }
    ;
    /**
     * Gets the bootDebugging property value. When bootDebugging is enabled, the device is used in development and testing
     * @returns a string
     */
    get bootDebugging() {
        return this._bootDebugging;
    }
    ;
    /**
     * Sets the bootDebugging property value. When bootDebugging is enabled, the device is used in development and testing
     * @param value Value to set for the bootDebugging property.
     */
    set bootDebugging(value) {
        this._bootDebugging = value;
    }
    ;
    /**
     * Gets the bootManagerSecurityVersion property value. The security version number of the Boot Application
     * @returns a string
     */
    get bootManagerSecurityVersion() {
        return this._bootManagerSecurityVersion;
    }
    ;
    /**
     * Sets the bootManagerSecurityVersion property value. The security version number of the Boot Application
     * @param value Value to set for the bootManagerSecurityVersion property.
     */
    set bootManagerSecurityVersion(value) {
        this._bootManagerSecurityVersion = value;
    }
    ;
    /**
     * Gets the bootManagerVersion property value. The version of the Boot Manager
     * @returns a string
     */
    get bootManagerVersion() {
        return this._bootManagerVersion;
    }
    ;
    /**
     * Sets the bootManagerVersion property value. The version of the Boot Manager
     * @param value Value to set for the bootManagerVersion property.
     */
    set bootManagerVersion(value) {
        this._bootManagerVersion = value;
    }
    ;
    /**
     * Gets the bootRevisionListInfo property value. The Boot Revision List that was loaded during initial boot on the attested device
     * @returns a string
     */
    get bootRevisionListInfo() {
        return this._bootRevisionListInfo;
    }
    ;
    /**
     * Sets the bootRevisionListInfo property value. The Boot Revision List that was loaded during initial boot on the attested device
     * @param value Value to set for the bootRevisionListInfo property.
     */
    set bootRevisionListInfo(value) {
        this._bootRevisionListInfo = value;
    }
    ;
    /**
     * Gets the codeIntegrity property value. When code integrity is enabled, code execution is restricted to integrity verified code
     * @returns a string
     */
    get codeIntegrity() {
        return this._codeIntegrity;
    }
    ;
    /**
     * Sets the codeIntegrity property value. When code integrity is enabled, code execution is restricted to integrity verified code
     * @param value Value to set for the codeIntegrity property.
     */
    set codeIntegrity(value) {
        this._codeIntegrity = value;
    }
    ;
    /**
     * Gets the codeIntegrityCheckVersion property value. The version of the Boot Manager
     * @returns a string
     */
    get codeIntegrityCheckVersion() {
        return this._codeIntegrityCheckVersion;
    }
    ;
    /**
     * Sets the codeIntegrityCheckVersion property value. The version of the Boot Manager
     * @param value Value to set for the codeIntegrityCheckVersion property.
     */
    set codeIntegrityCheckVersion(value) {
        this._codeIntegrityCheckVersion = value;
    }
    ;
    /**
     * Gets the codeIntegrityPolicy property value. The Code Integrity policy that is controlling the security of the boot environment
     * @returns a string
     */
    get codeIntegrityPolicy() {
        return this._codeIntegrityPolicy;
    }
    ;
    /**
     * Sets the codeIntegrityPolicy property value. The Code Integrity policy that is controlling the security of the boot environment
     * @param value Value to set for the codeIntegrityPolicy property.
     */
    set codeIntegrityPolicy(value) {
        this._codeIntegrityPolicy = value;
    }
    ;
    ;
    /**
     * Gets the contentNamespaceUrl property value. The DHA report version. (Namespace version)
     * @returns a string
     */
    get contentNamespaceUrl() {
        return this._contentNamespaceUrl;
    }
    ;
    /**
     * Sets the contentNamespaceUrl property value. The DHA report version. (Namespace version)
     * @param value Value to set for the contentNamespaceUrl property.
     */
    set contentNamespaceUrl(value) {
        this._contentNamespaceUrl = value;
    }
    ;
    /**
     * Gets the contentVersion property value. The HealthAttestation state schema version
     * @returns a string
     */
    get contentVersion() {
        return this._contentVersion;
    }
    ;
    /**
     * Sets the contentVersion property value. The HealthAttestation state schema version
     * @param value Value to set for the contentVersion property.
     */
    set contentVersion(value) {
        this._contentVersion = value;
    }
    ;
    /**
     * Gets the dataExcutionPolicy property value. DEP Policy defines a set of hardware and software technologies that perform additional checks on memory
     * @returns a string
     */
    get dataExcutionPolicy() {
        return this._dataExcutionPolicy;
    }
    ;
    /**
     * Sets the dataExcutionPolicy property value. DEP Policy defines a set of hardware and software technologies that perform additional checks on memory
     * @param value Value to set for the dataExcutionPolicy property.
     */
    set dataExcutionPolicy(value) {
        this._dataExcutionPolicy = value;
    }
    ;
    /**
     * Gets the deviceHealthAttestationStatus property value. The DHA report version. (Namespace version)
     * @returns a string
     */
    get deviceHealthAttestationStatus() {
        return this._deviceHealthAttestationStatus;
    }
    ;
    /**
     * Sets the deviceHealthAttestationStatus property value. The DHA report version. (Namespace version)
     * @param value Value to set for the deviceHealthAttestationStatus property.
     */
    set deviceHealthAttestationStatus(value) {
        this._deviceHealthAttestationStatus = value;
    }
    ;
    /**
     * Gets the earlyLaunchAntiMalwareDriverProtection property value. ELAM provides protection for the computers in your network when they start up
     * @returns a string
     */
    get earlyLaunchAntiMalwareDriverProtection() {
        return this._earlyLaunchAntiMalwareDriverProtection;
    }
    ;
    /**
     * Sets the earlyLaunchAntiMalwareDriverProtection property value. ELAM provides protection for the computers in your network when they start up
     * @param value Value to set for the earlyLaunchAntiMalwareDriverProtection property.
     */
    set earlyLaunchAntiMalwareDriverProtection(value) {
        this._earlyLaunchAntiMalwareDriverProtection = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "attestationIdentityKey": n => { this.attestationIdentityKey = n.getStringValue(); },
            "bitLockerStatus": n => { this.bitLockerStatus = n.getStringValue(); },
            "bootAppSecurityVersion": n => { this.bootAppSecurityVersion = n.getStringValue(); },
            "bootDebugging": n => { this.bootDebugging = n.getStringValue(); },
            "bootManagerSecurityVersion": n => { this.bootManagerSecurityVersion = n.getStringValue(); },
            "bootManagerVersion": n => { this.bootManagerVersion = n.getStringValue(); },
            "bootRevisionListInfo": n => { this.bootRevisionListInfo = n.getStringValue(); },
            "codeIntegrity": n => { this.codeIntegrity = n.getStringValue(); },
            "codeIntegrityCheckVersion": n => { this.codeIntegrityCheckVersion = n.getStringValue(); },
            "codeIntegrityPolicy": n => { this.codeIntegrityPolicy = n.getStringValue(); },
            "contentNamespaceUrl": n => { this.contentNamespaceUrl = n.getStringValue(); },
            "contentVersion": n => { this.contentVersion = n.getStringValue(); },
            "dataExcutionPolicy": n => { this.dataExcutionPolicy = n.getStringValue(); },
            "deviceHealthAttestationStatus": n => { this.deviceHealthAttestationStatus = n.getStringValue(); },
            "earlyLaunchAntiMalwareDriverProtection": n => { this.earlyLaunchAntiMalwareDriverProtection = n.getStringValue(); },
            "healthAttestationSupportedStatus": n => { this.healthAttestationSupportedStatus = n.getStringValue(); },
            "healthStatusMismatchInfo": n => { this.healthStatusMismatchInfo = n.getStringValue(); },
            "issuedDateTime": n => { this.issuedDateTime = n.getDateValue(); },
            "lastUpdateDateTime": n => { this.lastUpdateDateTime = n.getStringValue(); },
            "operatingSystemKernelDebugging": n => { this.operatingSystemKernelDebugging = n.getStringValue(); },
            "operatingSystemRevListInfo": n => { this.operatingSystemRevListInfo = n.getStringValue(); },
            "pcr0": n => { this.pcr0 = n.getStringValue(); },
            "pcrHashAlgorithm": n => { this.pcrHashAlgorithm = n.getStringValue(); },
            "resetCount": n => { this.resetCount = n.getNumberValue(); },
            "restartCount": n => { this.restartCount = n.getNumberValue(); },
            "safeMode": n => { this.safeMode = n.getStringValue(); },
            "secureBoot": n => { this.secureBoot = n.getStringValue(); },
            "secureBootConfigurationPolicyFingerPrint": n => { this.secureBootConfigurationPolicyFingerPrint = n.getStringValue(); },
            "testSigning": n => { this.testSigning = n.getStringValue(); },
            "tpmVersion": n => { this.tpmVersion = n.getStringValue(); },
            "virtualSecureMode": n => { this.virtualSecureMode = n.getStringValue(); },
            "windowsPE": n => { this.windowsPE = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the healthAttestationSupportedStatus property value. This attribute indicates if DHA is supported for the device
     * @returns a string
     */
    get healthAttestationSupportedStatus() {
        return this._healthAttestationSupportedStatus;
    }
    ;
    /**
     * Sets the healthAttestationSupportedStatus property value. This attribute indicates if DHA is supported for the device
     * @param value Value to set for the healthAttestationSupportedStatus property.
     */
    set healthAttestationSupportedStatus(value) {
        this._healthAttestationSupportedStatus = value;
    }
    ;
    /**
     * Gets the healthStatusMismatchInfo property value. This attribute appears if DHA-Service detects an integrity issue
     * @returns a string
     */
    get healthStatusMismatchInfo() {
        return this._healthStatusMismatchInfo;
    }
    ;
    /**
     * Sets the healthStatusMismatchInfo property value. This attribute appears if DHA-Service detects an integrity issue
     * @param value Value to set for the healthStatusMismatchInfo property.
     */
    set healthStatusMismatchInfo(value) {
        this._healthStatusMismatchInfo = value;
    }
    ;
    /**
     * Gets the issuedDateTime property value. The DateTime when device was evaluated or issued to MDM
     * @returns a Date
     */
    get issuedDateTime() {
        return this._issuedDateTime;
    }
    ;
    /**
     * Sets the issuedDateTime property value. The DateTime when device was evaluated or issued to MDM
     * @param value Value to set for the issuedDateTime property.
     */
    set issuedDateTime(value) {
        this._issuedDateTime = value;
    }
    ;
    /**
     * Gets the lastUpdateDateTime property value. The Timestamp of the last update.
     * @returns a string
     */
    get lastUpdateDateTime() {
        return this._lastUpdateDateTime;
    }
    ;
    /**
     * Sets the lastUpdateDateTime property value. The Timestamp of the last update.
     * @param value Value to set for the lastUpdateDateTime property.
     */
    set lastUpdateDateTime(value) {
        this._lastUpdateDateTime = value;
    }
    ;
    /**
     * Gets the operatingSystemKernelDebugging property value. When operatingSystemKernelDebugging is enabled, the device is used in development and testing
     * @returns a string
     */
    get operatingSystemKernelDebugging() {
        return this._operatingSystemKernelDebugging;
    }
    ;
    /**
     * Sets the operatingSystemKernelDebugging property value. When operatingSystemKernelDebugging is enabled, the device is used in development and testing
     * @param value Value to set for the operatingSystemKernelDebugging property.
     */
    set operatingSystemKernelDebugging(value) {
        this._operatingSystemKernelDebugging = value;
    }
    ;
    /**
     * Gets the operatingSystemRevListInfo property value. The Operating System Revision List that was loaded during initial boot on the attested device
     * @returns a string
     */
    get operatingSystemRevListInfo() {
        return this._operatingSystemRevListInfo;
    }
    ;
    /**
     * Sets the operatingSystemRevListInfo property value. The Operating System Revision List that was loaded during initial boot on the attested device
     * @param value Value to set for the operatingSystemRevListInfo property.
     */
    set operatingSystemRevListInfo(value) {
        this._operatingSystemRevListInfo = value;
    }
    ;
    /**
     * Gets the pcr0 property value. The measurement that is captured in PCR[0]
     * @returns a string
     */
    get pcr0() {
        return this._pcr0;
    }
    ;
    /**
     * Sets the pcr0 property value. The measurement that is captured in PCR[0]
     * @param value Value to set for the pcr0 property.
     */
    set pcr0(value) {
        this._pcr0 = value;
    }
    ;
    /**
     * Gets the pcrHashAlgorithm property value. Informational attribute that identifies the HASH algorithm that was used by TPM
     * @returns a string
     */
    get pcrHashAlgorithm() {
        return this._pcrHashAlgorithm;
    }
    ;
    /**
     * Sets the pcrHashAlgorithm property value. Informational attribute that identifies the HASH algorithm that was used by TPM
     * @param value Value to set for the pcrHashAlgorithm property.
     */
    set pcrHashAlgorithm(value) {
        this._pcrHashAlgorithm = value;
    }
    ;
    /**
     * Gets the resetCount property value. The number of times a PC device has hibernated or resumed
     * @returns a int64
     */
    get resetCount() {
        return this._resetCount;
    }
    ;
    /**
     * Sets the resetCount property value. The number of times a PC device has hibernated or resumed
     * @param value Value to set for the resetCount property.
     */
    set resetCount(value) {
        this._resetCount = value;
    }
    ;
    /**
     * Gets the restartCount property value. The number of times a PC device has rebooted
     * @returns a int64
     */
    get restartCount() {
        return this._restartCount;
    }
    ;
    /**
     * Sets the restartCount property value. The number of times a PC device has rebooted
     * @param value Value to set for the restartCount property.
     */
    set restartCount(value) {
        this._restartCount = value;
    }
    ;
    /**
     * Gets the safeMode property value. Safe mode is a troubleshooting option for Windows that starts your computer in a limited state
     * @returns a string
     */
    get safeMode() {
        return this._safeMode;
    }
    ;
    /**
     * Sets the safeMode property value. Safe mode is a troubleshooting option for Windows that starts your computer in a limited state
     * @param value Value to set for the safeMode property.
     */
    set safeMode(value) {
        this._safeMode = value;
    }
    ;
    /**
     * Gets the secureBoot property value. When Secure Boot is enabled, the core components must have the correct cryptographic signatures
     * @returns a string
     */
    get secureBoot() {
        return this._secureBoot;
    }
    ;
    /**
     * Sets the secureBoot property value. When Secure Boot is enabled, the core components must have the correct cryptographic signatures
     * @param value Value to set for the secureBoot property.
     */
    set secureBoot(value) {
        this._secureBoot = value;
    }
    ;
    /**
     * Gets the secureBootConfigurationPolicyFingerPrint property value. Fingerprint of the Custom Secure Boot Configuration Policy
     * @returns a string
     */
    get secureBootConfigurationPolicyFingerPrint() {
        return this._secureBootConfigurationPolicyFingerPrint;
    }
    ;
    /**
     * Sets the secureBootConfigurationPolicyFingerPrint property value. Fingerprint of the Custom Secure Boot Configuration Policy
     * @param value Value to set for the secureBootConfigurationPolicyFingerPrint property.
     */
    set secureBootConfigurationPolicyFingerPrint(value) {
        this._secureBootConfigurationPolicyFingerPrint = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("attestationIdentityKey", this.attestationIdentityKey);
        writer.writeStringValue("bitLockerStatus", this.bitLockerStatus);
        writer.writeStringValue("bootAppSecurityVersion", this.bootAppSecurityVersion);
        writer.writeStringValue("bootDebugging", this.bootDebugging);
        writer.writeStringValue("bootManagerSecurityVersion", this.bootManagerSecurityVersion);
        writer.writeStringValue("bootManagerVersion", this.bootManagerVersion);
        writer.writeStringValue("bootRevisionListInfo", this.bootRevisionListInfo);
        writer.writeStringValue("codeIntegrity", this.codeIntegrity);
        writer.writeStringValue("codeIntegrityCheckVersion", this.codeIntegrityCheckVersion);
        writer.writeStringValue("codeIntegrityPolicy", this.codeIntegrityPolicy);
        writer.writeStringValue("contentNamespaceUrl", this.contentNamespaceUrl);
        writer.writeStringValue("contentVersion", this.contentVersion);
        writer.writeStringValue("dataExcutionPolicy", this.dataExcutionPolicy);
        writer.writeStringValue("deviceHealthAttestationStatus", this.deviceHealthAttestationStatus);
        writer.writeStringValue("earlyLaunchAntiMalwareDriverProtection", this.earlyLaunchAntiMalwareDriverProtection);
        writer.writeStringValue("healthAttestationSupportedStatus", this.healthAttestationSupportedStatus);
        writer.writeStringValue("healthStatusMismatchInfo", this.healthStatusMismatchInfo);
        writer.writeDateValue("issuedDateTime", this.issuedDateTime);
        writer.writeStringValue("lastUpdateDateTime", this.lastUpdateDateTime);
        writer.writeStringValue("operatingSystemKernelDebugging", this.operatingSystemKernelDebugging);
        writer.writeStringValue("operatingSystemRevListInfo", this.operatingSystemRevListInfo);
        writer.writeStringValue("pcr0", this.pcr0);
        writer.writeStringValue("pcrHashAlgorithm", this.pcrHashAlgorithm);
        writer.writeNumberValue("resetCount", this.resetCount);
        writer.writeNumberValue("restartCount", this.restartCount);
        writer.writeStringValue("safeMode", this.safeMode);
        writer.writeStringValue("secureBoot", this.secureBoot);
        writer.writeStringValue("secureBootConfigurationPolicyFingerPrint", this.secureBootConfigurationPolicyFingerPrint);
        writer.writeStringValue("testSigning", this.testSigning);
        writer.writeStringValue("tpmVersion", this.tpmVersion);
        writer.writeStringValue("virtualSecureMode", this.virtualSecureMode);
        writer.writeStringValue("windowsPE", this.windowsPE);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the testSigning property value. When test signing is allowed, the device does not enforce signature validation during boot
     * @returns a string
     */
    get testSigning() {
        return this._testSigning;
    }
    ;
    /**
     * Sets the testSigning property value. When test signing is allowed, the device does not enforce signature validation during boot
     * @param value Value to set for the testSigning property.
     */
    set testSigning(value) {
        this._testSigning = value;
    }
    ;
    /**
     * Gets the tpmVersion property value. The security version number of the Boot Application
     * @returns a string
     */
    get tpmVersion() {
        return this._tpmVersion;
    }
    ;
    /**
     * Sets the tpmVersion property value. The security version number of the Boot Application
     * @param value Value to set for the tpmVersion property.
     */
    set tpmVersion(value) {
        this._tpmVersion = value;
    }
    ;
    /**
     * Gets the virtualSecureMode property value. VSM is a container that protects high value assets from a compromised kernel
     * @returns a string
     */
    get virtualSecureMode() {
        return this._virtualSecureMode;
    }
    ;
    /**
     * Sets the virtualSecureMode property value. VSM is a container that protects high value assets from a compromised kernel
     * @param value Value to set for the virtualSecureMode property.
     */
    set virtualSecureMode(value) {
        this._virtualSecureMode = value;
    }
    ;
    /**
     * Gets the windowsPE property value. Operating system running with limited services that is used to prepare a computer for Windows
     * @returns a string
     */
    get windowsPE() {
        return this._windowsPE;
    }
    ;
    /**
     * Sets the windowsPE property value. Operating system running with limited services that is used to prepare a computer for Windows
     * @param value Value to set for the windowsPE property.
     */
    set windowsPE(value) {
        this._windowsPE = value;
    }
    ;
}
exports.DeviceHealthAttestationState = DeviceHealthAttestationState;
