import { DeviceManagementExportJob, Entity } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Singleton entity that acts as a container for all reports functionality. */
export declare class DeviceManagementReports extends Entity implements Parsable {
    /** Entity representing a job to export a report */
    private _exportJobs?;
    /**
     * Instantiates a new deviceManagementReports and sets the default values.
     */
    constructor();
    /**
     * Gets the exportJobs property value. Entity representing a job to export a report
     * @returns a deviceManagementExportJob
     */
    get exportJobs(): DeviceManagementExportJob[] | undefined;
    /**
     * Sets the exportJobs property value. Entity representing a job to export a report
     * @param value Value to set for the exportJobs property.
     */
    set exportJobs(value: DeviceManagementExportJob[] | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
