import { Entity } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Event representing an general failure. */
export declare class DeviceManagementTroubleshootingEvent extends Entity implements Parsable {
    /** Id used for tracing the failure in the service. */
    private _correlationId?;
    /** Time when the event occurred . */
    private _eventDateTime?;
    /**
     * Instantiates a new deviceManagementTroubleshootingEvent and sets the default values.
     */
    constructor();
    /**
     * Gets the correlationId property value. Id used for tracing the failure in the service.
     * @returns a string
     */
    get correlationId(): string | undefined;
    /**
     * Sets the correlationId property value. Id used for tracing the failure in the service.
     * @param value Value to set for the correlationId property.
     */
    set correlationId(value: string | undefined);
    /**
     * Gets the eventDateTime property value. Time when the event occurred .
     * @returns a Date
     */
    get eventDateTime(): Date | undefined;
    /**
     * Sets the eventDateTime property value. Time when the event occurred .
     * @param value Value to set for the eventDateTime property.
     */
    set eventDateTime(value: Date | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
