import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Device operating system summary. */
export declare class DeviceOperatingSystemSummary implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** Number of android device count. */
    private _androidCount?;
    /** Number of iOS device count. */
    private _iosCount?;
    /** Number of Mac OS X device count. */
    private _macOSCount?;
    /** Number of unknown device count. */
    private _unknownCount?;
    /** Number of Windows device count. */
    private _windowsCount?;
    /** Number of Windows mobile device count. */
    private _windowsMobileCount?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the androidCount property value. Number of android device count.
     * @returns a integer
     */
    get androidCount(): number | undefined;
    /**
     * Sets the androidCount property value. Number of android device count.
     * @param value Value to set for the androidCount property.
     */
    set androidCount(value: number | undefined);
    /**
     * Instantiates a new deviceOperatingSystemSummary and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the iosCount property value. Number of iOS device count.
     * @returns a integer
     */
    get iosCount(): number | undefined;
    /**
     * Sets the iosCount property value. Number of iOS device count.
     * @param value Value to set for the iosCount property.
     */
    set iosCount(value: number | undefined);
    /**
     * Gets the macOSCount property value. Number of Mac OS X device count.
     * @returns a integer
     */
    get macOSCount(): number | undefined;
    /**
     * Sets the macOSCount property value. Number of Mac OS X device count.
     * @param value Value to set for the macOSCount property.
     */
    set macOSCount(value: number | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the unknownCount property value. Number of unknown device count.
     * @returns a integer
     */
    get unknownCount(): number | undefined;
    /**
     * Sets the unknownCount property value. Number of unknown device count.
     * @param value Value to set for the unknownCount property.
     */
    set unknownCount(value: number | undefined);
    /**
     * Gets the windowsCount property value. Number of Windows device count.
     * @returns a integer
     */
    get windowsCount(): number | undefined;
    /**
     * Sets the windowsCount property value. Number of Windows device count.
     * @param value Value to set for the windowsCount property.
     */
    set windowsCount(value: number | undefined);
    /**
     * Gets the windowsMobileCount property value. Number of Windows mobile device count.
     * @returns a integer
     */
    get windowsMobileCount(): number | undefined;
    /**
     * Sets the windowsMobileCount property value. Number of Windows mobile device count.
     * @param value Value to set for the windowsMobileCount property.
     */
    set windowsMobileCount(value: number | undefined);
}
