"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceOperatingSystemSummary = void 0;
/** Device operating system summary. */
class DeviceOperatingSystemSummary {
    /**
     * Instantiates a new deviceOperatingSystemSummary and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the androidCount property value. Number of android device count.
     * @returns a integer
     */
    get androidCount() {
        return this._androidCount;
    }
    ;
    /**
     * Sets the androidCount property value. Number of android device count.
     * @param value Value to set for the androidCount property.
     */
    set androidCount(value) {
        this._androidCount = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "androidCount": n => { this.androidCount = n.getNumberValue(); },
            "iosCount": n => { this.iosCount = n.getNumberValue(); },
            "macOSCount": n => { this.macOSCount = n.getNumberValue(); },
            "unknownCount": n => { this.unknownCount = n.getNumberValue(); },
            "windowsCount": n => { this.windowsCount = n.getNumberValue(); },
            "windowsMobileCount": n => { this.windowsMobileCount = n.getNumberValue(); },
        };
    }
    ;
    /**
     * Gets the iosCount property value. Number of iOS device count.
     * @returns a integer
     */
    get iosCount() {
        return this._iosCount;
    }
    ;
    /**
     * Sets the iosCount property value. Number of iOS device count.
     * @param value Value to set for the iosCount property.
     */
    set iosCount(value) {
        this._iosCount = value;
    }
    ;
    /**
     * Gets the macOSCount property value. Number of Mac OS X device count.
     * @returns a integer
     */
    get macOSCount() {
        return this._macOSCount;
    }
    ;
    /**
     * Sets the macOSCount property value. Number of Mac OS X device count.
     * @param value Value to set for the macOSCount property.
     */
    set macOSCount(value) {
        this._macOSCount = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeNumberValue("androidCount", this.androidCount);
        writer.writeNumberValue("iosCount", this.iosCount);
        writer.writeNumberValue("macOSCount", this.macOSCount);
        writer.writeNumberValue("unknownCount", this.unknownCount);
        writer.writeNumberValue("windowsCount", this.windowsCount);
        writer.writeNumberValue("windowsMobileCount", this.windowsMobileCount);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the unknownCount property value. Number of unknown device count.
     * @returns a integer
     */
    get unknownCount() {
        return this._unknownCount;
    }
    ;
    /**
     * Sets the unknownCount property value. Number of unknown device count.
     * @param value Value to set for the unknownCount property.
     */
    set unknownCount(value) {
        this._unknownCount = value;
    }
    ;
    /**
     * Gets the windowsCount property value. Number of Windows device count.
     * @returns a integer
     */
    get windowsCount() {
        return this._windowsCount;
    }
    ;
    /**
     * Sets the windowsCount property value. Number of Windows device count.
     * @param value Value to set for the windowsCount property.
     */
    set windowsCount(value) {
        this._windowsCount = value;
    }
    ;
    /**
     * Gets the windowsMobileCount property value. Number of Windows mobile device count.
     * @returns a integer
     */
    get windowsMobileCount() {
        return this._windowsMobileCount;
    }
    ;
    /**
     * Sets the windowsMobileCount property value. Number of Windows mobile device count.
     * @param value Value to set for the windowsMobileCount property.
     */
    set windowsMobileCount(value) {
        this._windowsMobileCount = value;
    }
    ;
}
exports.DeviceOperatingSystemSummary = DeviceOperatingSystemSummary;
