import { AdministrativeUnit, DirectoryObject, Entity, IdentityProviderBase } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the directory singleton. */
export declare class Directory extends Entity implements Parsable {
    /** Conceptual container for user and group directory objects. */
    private _administrativeUnits?;
    /** Recently deleted items. Read-only. Nullable. */
    private _deletedItems?;
    /** Configure domain federation with organizations whose identity provider (IdP) supports either the SAML or WS-Fed protocol. */
    private _federationConfigurations?;
    /**
     * Gets the administrativeUnits property value. Conceptual container for user and group directory objects.
     * @returns a administrativeUnit
     */
    get administrativeUnits(): AdministrativeUnit[] | undefined;
    /**
     * Sets the administrativeUnits property value. Conceptual container for user and group directory objects.
     * @param value Value to set for the administrativeUnits property.
     */
    set administrativeUnits(value: AdministrativeUnit[] | undefined);
    /**
     * Instantiates a new directory and sets the default values.
     */
    constructor();
    /**
     * Gets the deletedItems property value. Recently deleted items. Read-only. Nullable.
     * @returns a directoryObject
     */
    get deletedItems(): DirectoryObject[] | undefined;
    /**
     * Sets the deletedItems property value. Recently deleted items. Read-only. Nullable.
     * @param value Value to set for the deletedItems property.
     */
    set deletedItems(value: DirectoryObject[] | undefined);
    /**
     * Gets the federationConfigurations property value. Configure domain federation with organizations whose identity provider (IdP) supports either the SAML or WS-Fed protocol.
     * @returns a identityProviderBase
     */
    get federationConfigurations(): IdentityProviderBase[] | undefined;
    /**
     * Sets the federationConfigurations property value. Configure domain federation with organizations whose identity provider (IdP) supports either the SAML or WS-Fed protocol.
     * @param value Value to set for the federationConfigurations property.
     */
    set federationConfigurations(value: IdentityProviderBase[] | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
