"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Directory = void 0;
const createAdministrativeUnitFromDiscriminatorValue_1 = require("./createAdministrativeUnitFromDiscriminatorValue");
const createDirectoryObjectFromDiscriminatorValue_1 = require("./createDirectoryObjectFromDiscriminatorValue");
const createIdentityProviderBaseFromDiscriminatorValue_1 = require("./createIdentityProviderBaseFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the directory singleton. */
class Directory extends index_1.Entity {
    /**
     * Instantiates a new directory and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the administrativeUnits property value. Conceptual container for user and group directory objects.
     * @returns a administrativeUnit
     */
    get administrativeUnits() {
        return this._administrativeUnits;
    }
    ;
    /**
     * Sets the administrativeUnits property value. Conceptual container for user and group directory objects.
     * @param value Value to set for the administrativeUnits property.
     */
    set administrativeUnits(value) {
        this._administrativeUnits = value;
    }
    ;
    ;
    /**
     * Gets the deletedItems property value. Recently deleted items. Read-only. Nullable.
     * @returns a directoryObject
     */
    get deletedItems() {
        return this._deletedItems;
    }
    ;
    /**
     * Sets the deletedItems property value. Recently deleted items. Read-only. Nullable.
     * @param value Value to set for the deletedItems property.
     */
    set deletedItems(value) {
        this._deletedItems = value;
    }
    ;
    /**
     * Gets the federationConfigurations property value. Configure domain federation with organizations whose identity provider (IdP) supports either the SAML or WS-Fed protocol.
     * @returns a identityProviderBase
     */
    get federationConfigurations() {
        return this._federationConfigurations;
    }
    ;
    /**
     * Sets the federationConfigurations property value. Configure domain federation with organizations whose identity provider (IdP) supports either the SAML or WS-Fed protocol.
     * @param value Value to set for the federationConfigurations property.
     */
    set federationConfigurations(value) {
        this._federationConfigurations = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "administrativeUnits": n => { this.administrativeUnits = n.getCollectionOfObjectValues(createAdministrativeUnitFromDiscriminatorValue_1.createAdministrativeUnitFromDiscriminatorValue); }, "deletedItems": n => { this.deletedItems = n.getCollectionOfObjectValues(createDirectoryObjectFromDiscriminatorValue_1.createDirectoryObjectFromDiscriminatorValue); }, "federationConfigurations": n => { this.federationConfigurations = n.getCollectionOfObjectValues(createIdentityProviderBaseFromDiscriminatorValue_1.createIdentityProviderBaseFromDiscriminatorValue); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("administrativeUnits", this.administrativeUnits);
        writer.writeCollectionOfObjectValues("deletedItems", this.deletedItems);
        writer.writeCollectionOfObjectValues("federationConfigurations", this.federationConfigurations);
    }
    ;
}
exports.Directory = Directory;
