"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DirectoryObject = void 0;
const index_1 = require("./index");
/** Provides operations to manage the collection of application entities. */
class DirectoryObject extends index_1.Entity {
    /**
     * Instantiates a new directoryObject and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the deletedDateTime property value. Date and time when this object was deleted. Always null when the object hasn't been deleted.
     * @returns a Date
     */
    get deletedDateTime() {
        return this._deletedDateTime;
    }
    ;
    /**
     * Sets the deletedDateTime property value. Date and time when this object was deleted. Always null when the object hasn't been deleted.
     * @param value Value to set for the deletedDateTime property.
     */
    set deletedDateTime(value) {
        this._deletedDateTime = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "deletedDateTime": n => { this.deletedDateTime = n.getDateValue(); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeDateValue("deletedDateTime", this.deletedDateTime);
    }
    ;
}
exports.DirectoryObject = DirectoryObject;
