"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DirectoryRole = void 0;
const createDirectoryObjectFromDiscriminatorValue_1 = require("./createDirectoryObjectFromDiscriminatorValue");
const createScopedRoleMembershipFromDiscriminatorValue_1 = require("./createScopedRoleMembershipFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the collection of directoryRole entities. */
class DirectoryRole extends index_1.DirectoryObject {
    /**
     * Instantiates a new directoryRole and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the description property value. The description for the directory role. Read-only. Supports $filter (eq), $search, $select.
     * @returns a string
     */
    get description() {
        return this._description;
    }
    ;
    /**
     * Sets the description property value. The description for the directory role. Read-only. Supports $filter (eq), $search, $select.
     * @param value Value to set for the description property.
     */
    set description(value) {
        this._description = value;
    }
    ;
    /**
     * Gets the displayName property value. The display name for the directory role. Read-only. Supports $filter (eq), $search, $select.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. The display name for the directory role. Read-only. Supports $filter (eq), $search, $select.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "description": n => { this.description = n.getStringValue(); }, "displayName": n => { this.displayName = n.getStringValue(); }, "members": n => { this.members = n.getCollectionOfObjectValues(createDirectoryObjectFromDiscriminatorValue_1.createDirectoryObjectFromDiscriminatorValue); }, "roleTemplateId": n => { this.roleTemplateId = n.getStringValue(); }, "scopedMembers": n => { this.scopedMembers = n.getCollectionOfObjectValues(createScopedRoleMembershipFromDiscriminatorValue_1.createScopedRoleMembershipFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the members property value. Users that are members of this directory role. HTTP Methods: GET, POST, DELETE. Read-only. Nullable. Supports $expand.
     * @returns a directoryObject
     */
    get members() {
        return this._members;
    }
    ;
    /**
     * Sets the members property value. Users that are members of this directory role. HTTP Methods: GET, POST, DELETE. Read-only. Nullable. Supports $expand.
     * @param value Value to set for the members property.
     */
    set members(value) {
        this._members = value;
    }
    ;
    /**
     * Gets the roleTemplateId property value. The id of the directoryRoleTemplate that this role is based on. The property must be specified when activating a directory role in a tenant with a POST operation. After the directory role has been activated, the property is read only. Supports $filter (eq), $select.
     * @returns a string
     */
    get roleTemplateId() {
        return this._roleTemplateId;
    }
    ;
    /**
     * Sets the roleTemplateId property value. The id of the directoryRoleTemplate that this role is based on. The property must be specified when activating a directory role in a tenant with a POST operation. After the directory role has been activated, the property is read only. Supports $filter (eq), $select.
     * @param value Value to set for the roleTemplateId property.
     */
    set roleTemplateId(value) {
        this._roleTemplateId = value;
    }
    ;
    /**
     * Gets the scopedMembers property value. Members of this directory role that are scoped to administrative units. Read-only. Nullable.
     * @returns a scopedRoleMembership
     */
    get scopedMembers() {
        return this._scopedMembers;
    }
    ;
    /**
     * Sets the scopedMembers property value. Members of this directory role that are scoped to administrative units. Read-only. Nullable.
     * @param value Value to set for the scopedMembers property.
     */
    set scopedMembers(value) {
        this._scopedMembers = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("description", this.description);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeCollectionOfObjectValues("members", this.members);
        writer.writeStringValue("roleTemplateId", this.roleTemplateId);
        writer.writeCollectionOfObjectValues("scopedMembers", this.scopedMembers);
    }
    ;
}
exports.DirectoryRole = DirectoryRole;
