import { ColumnDefinition, ContentTypeInfo, DocumentSetContent } from './index';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class DocumentSet implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** Content types allowed in document set. */
    private _allowedContentTypes?;
    /** Default contents of document set. */
    private _defaultContents?;
    /** Indicates whether to add the name of the document set to each file name. */
    private _propagateWelcomePageChanges?;
    /** The sharedColumns property */
    private _sharedColumns?;
    /** Add the name of the Document Set to each file name. */
    private _shouldPrefixNameToFile?;
    /** The welcomePageColumns property */
    private _welcomePageColumns?;
    /** Welcome page absolute URL. */
    private _welcomePageUrl?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the allowedContentTypes property value. Content types allowed in document set.
     * @returns a contentTypeInfo
     */
    get allowedContentTypes(): ContentTypeInfo[] | undefined;
    /**
     * Sets the allowedContentTypes property value. Content types allowed in document set.
     * @param value Value to set for the allowedContentTypes property.
     */
    set allowedContentTypes(value: ContentTypeInfo[] | undefined);
    /**
     * Instantiates a new documentSet and sets the default values.
     */
    constructor();
    /**
     * Gets the defaultContents property value. Default contents of document set.
     * @returns a documentSetContent
     */
    get defaultContents(): DocumentSetContent[] | undefined;
    /**
     * Sets the defaultContents property value. Default contents of document set.
     * @param value Value to set for the defaultContents property.
     */
    set defaultContents(value: DocumentSetContent[] | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the propagateWelcomePageChanges property value. Indicates whether to add the name of the document set to each file name.
     * @returns a boolean
     */
    get propagateWelcomePageChanges(): boolean | undefined;
    /**
     * Sets the propagateWelcomePageChanges property value. Indicates whether to add the name of the document set to each file name.
     * @param value Value to set for the propagateWelcomePageChanges property.
     */
    set propagateWelcomePageChanges(value: boolean | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the sharedColumns property value. The sharedColumns property
     * @returns a columnDefinition
     */
    get sharedColumns(): ColumnDefinition[] | undefined;
    /**
     * Sets the sharedColumns property value. The sharedColumns property
     * @param value Value to set for the sharedColumns property.
     */
    set sharedColumns(value: ColumnDefinition[] | undefined);
    /**
     * Gets the shouldPrefixNameToFile property value. Add the name of the Document Set to each file name.
     * @returns a boolean
     */
    get shouldPrefixNameToFile(): boolean | undefined;
    /**
     * Sets the shouldPrefixNameToFile property value. Add the name of the Document Set to each file name.
     * @param value Value to set for the shouldPrefixNameToFile property.
     */
    set shouldPrefixNameToFile(value: boolean | undefined);
    /**
     * Gets the welcomePageColumns property value. The welcomePageColumns property
     * @returns a columnDefinition
     */
    get welcomePageColumns(): ColumnDefinition[] | undefined;
    /**
     * Sets the welcomePageColumns property value. The welcomePageColumns property
     * @param value Value to set for the welcomePageColumns property.
     */
    set welcomePageColumns(value: ColumnDefinition[] | undefined);
    /**
     * Gets the welcomePageUrl property value. Welcome page absolute URL.
     * @returns a string
     */
    get welcomePageUrl(): string | undefined;
    /**
     * Sets the welcomePageUrl property value. Welcome page absolute URL.
     * @param value Value to set for the welcomePageUrl property.
     */
    set welcomePageUrl(value: string | undefined);
}
