import { ContentTypeInfo } from './index';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class DocumentSetContent implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** Content type information of the file. */
    private _contentType?;
    /** Name of the file in resource folder that should be added as a default content or a template in the document set */
    private _fileName?;
    /** Folder name in which the file will be placed when a new document set is created in the library. */
    private _folderName?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Instantiates a new documentSetContent and sets the default values.
     */
    constructor();
    /**
     * Gets the contentType property value. Content type information of the file.
     * @returns a contentTypeInfo
     */
    get contentType(): ContentTypeInfo | undefined;
    /**
     * Sets the contentType property value. Content type information of the file.
     * @param value Value to set for the contentType property.
     */
    set contentType(value: ContentTypeInfo | undefined);
    /**
     * Gets the fileName property value. Name of the file in resource folder that should be added as a default content or a template in the document set
     * @returns a string
     */
    get fileName(): string | undefined;
    /**
     * Sets the fileName property value. Name of the file in resource folder that should be added as a default content or a template in the document set
     * @param value Value to set for the fileName property.
     */
    set fileName(value: string | undefined);
    /**
     * Gets the folderName property value. Folder name in which the file will be placed when a new document set is created in the library.
     * @returns a string
     */
    get folderName(): string | undefined;
    /**
     * Sets the folderName property value. Folder name in which the file will be placed when a new document set is created in the library.
     * @param value Value to set for the folderName property.
     */
    set folderName(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
