import { BaseItemVersion } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Casts the previous resource to user. */
export declare class DriveItemVersion extends BaseItemVersion implements Parsable {
    /** The content property */
    private _content?;
    /** Indicates the size of the content stream for this version of the item. */
    private _size?;
    /**
     * Instantiates a new driveItemVersion and sets the default values.
     */
    constructor();
    /**
     * Gets the content property value. The content property
     * @returns a binary
     */
    get content(): string | undefined;
    /**
     * Sets the content property value. The content property
     * @param value Value to set for the content property.
     */
    set content(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the size property value. Indicates the size of the content stream for this version of the item.
     * @returns a int64
     */
    get size(): number | undefined;
    /**
     * Sets the size property value. Indicates the size of the content stream for this version of the item.
     * @param value Value to set for the size property.
     */
    set size(value: number | undefined);
}
