"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DriveRecipient = void 0;
class DriveRecipient {
    /**
     * Instantiates a new driveRecipient and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the alias property value. The alias of the domain object, for cases where an email address is unavailable (e.g. security groups).
     * @returns a string
     */
    get alias() {
        return this._alias;
    }
    ;
    /**
     * Sets the alias property value. The alias of the domain object, for cases where an email address is unavailable (e.g. security groups).
     * @param value Value to set for the alias property.
     */
    set alias(value) {
        this._alias = value;
    }
    ;
    ;
    /**
     * Gets the email property value. The email address for the recipient, if the recipient has an associated email address.
     * @returns a string
     */
    get email() {
        return this._email;
    }
    ;
    /**
     * Sets the email property value. The email address for the recipient, if the recipient has an associated email address.
     * @param value Value to set for the email property.
     */
    set email(value) {
        this._email = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "alias": n => { this.alias = n.getStringValue(); },
            "email": n => { this.email = n.getStringValue(); },
            "objectId": n => { this.objectId = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the objectId property value. The unique identifier for the recipient in the directory.
     * @returns a string
     */
    get objectId() {
        return this._objectId;
    }
    ;
    /**
     * Sets the objectId property value. The unique identifier for the recipient in the directory.
     * @param value Value to set for the objectId property.
     */
    set objectId(value) {
        this._objectId = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("alias", this.alias);
        writer.writeStringValue("email", this.email);
        writer.writeStringValue("objectId", this.objectId);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.DriveRecipient = DriveRecipient;
