"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EBookInstallSummary = void 0;
const index_1 = require("./index");
/** Contains properties for the installation summary of a book for a device. */
class EBookInstallSummary extends index_1.Entity {
    /**
     * Instantiates a new eBookInstallSummary and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the failedDeviceCount property value. Number of Devices that have failed to install this book.
     * @returns a integer
     */
    get failedDeviceCount() {
        return this._failedDeviceCount;
    }
    ;
    /**
     * Sets the failedDeviceCount property value. Number of Devices that have failed to install this book.
     * @param value Value to set for the failedDeviceCount property.
     */
    set failedDeviceCount(value) {
        this._failedDeviceCount = value;
    }
    ;
    /**
     * Gets the failedUserCount property value. Number of Users that have 1 or more device that failed to install this book.
     * @returns a integer
     */
    get failedUserCount() {
        return this._failedUserCount;
    }
    ;
    /**
     * Sets the failedUserCount property value. Number of Users that have 1 or more device that failed to install this book.
     * @param value Value to set for the failedUserCount property.
     */
    set failedUserCount(value) {
        this._failedUserCount = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "failedDeviceCount": n => { this.failedDeviceCount = n.getNumberValue(); }, "failedUserCount": n => { this.failedUserCount = n.getNumberValue(); }, "installedDeviceCount": n => { this.installedDeviceCount = n.getNumberValue(); }, "installedUserCount": n => { this.installedUserCount = n.getNumberValue(); }, "notInstalledDeviceCount": n => { this.notInstalledDeviceCount = n.getNumberValue(); }, "notInstalledUserCount": n => { this.notInstalledUserCount = n.getNumberValue(); } });
    }
    ;
    /**
     * Gets the installedDeviceCount property value. Number of Devices that have successfully installed this book.
     * @returns a integer
     */
    get installedDeviceCount() {
        return this._installedDeviceCount;
    }
    ;
    /**
     * Sets the installedDeviceCount property value. Number of Devices that have successfully installed this book.
     * @param value Value to set for the installedDeviceCount property.
     */
    set installedDeviceCount(value) {
        this._installedDeviceCount = value;
    }
    ;
    /**
     * Gets the installedUserCount property value. Number of Users whose devices have all succeeded to install this book.
     * @returns a integer
     */
    get installedUserCount() {
        return this._installedUserCount;
    }
    ;
    /**
     * Sets the installedUserCount property value. Number of Users whose devices have all succeeded to install this book.
     * @param value Value to set for the installedUserCount property.
     */
    set installedUserCount(value) {
        this._installedUserCount = value;
    }
    ;
    /**
     * Gets the notInstalledDeviceCount property value. Number of Devices that does not have this book installed.
     * @returns a integer
     */
    get notInstalledDeviceCount() {
        return this._notInstalledDeviceCount;
    }
    ;
    /**
     * Sets the notInstalledDeviceCount property value. Number of Devices that does not have this book installed.
     * @param value Value to set for the notInstalledDeviceCount property.
     */
    set notInstalledDeviceCount(value) {
        this._notInstalledDeviceCount = value;
    }
    ;
    /**
     * Gets the notInstalledUserCount property value. Number of Users that did not install this book.
     * @returns a integer
     */
    get notInstalledUserCount() {
        return this._notInstalledUserCount;
    }
    ;
    /**
     * Sets the notInstalledUserCount property value. Number of Users that did not install this book.
     * @param value Value to set for the notInstalledUserCount property.
     */
    set notInstalledUserCount(value) {
        this._notInstalledUserCount = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeNumberValue("failedDeviceCount", this.failedDeviceCount);
        writer.writeNumberValue("failedUserCount", this.failedUserCount);
        writer.writeNumberValue("installedDeviceCount", this.installedDeviceCount);
        writer.writeNumberValue("installedUserCount", this.installedUserCount);
        writer.writeNumberValue("notInstalledDeviceCount", this.notInstalledDeviceCount);
        writer.writeNumberValue("notInstalledUserCount", this.notInstalledUserCount);
    }
    ;
}
exports.EBookInstallSummary = EBookInstallSummary;
