"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EducationAssignment = void 0;
const createEducationAssignmentGradeTypeFromDiscriminatorValue_1 = require("./createEducationAssignmentGradeTypeFromDiscriminatorValue");
const createEducationAssignmentRecipientFromDiscriminatorValue_1 = require("./createEducationAssignmentRecipientFromDiscriminatorValue");
const createEducationAssignmentResourceFromDiscriminatorValue_1 = require("./createEducationAssignmentResourceFromDiscriminatorValue");
const createEducationCategoryFromDiscriminatorValue_1 = require("./createEducationCategoryFromDiscriminatorValue");
const createEducationItemBodyFromDiscriminatorValue_1 = require("./createEducationItemBodyFromDiscriminatorValue");
const createEducationRubricFromDiscriminatorValue_1 = require("./createEducationRubricFromDiscriminatorValue");
const createEducationSubmissionFromDiscriminatorValue_1 = require("./createEducationSubmissionFromDiscriminatorValue");
const createIdentitySetFromDiscriminatorValue_1 = require("./createIdentitySetFromDiscriminatorValue");
const educationAddedStudentAction_1 = require("./educationAddedStudentAction");
const educationAddToCalendarOptions_1 = require("./educationAddToCalendarOptions");
const educationAssignmentStatus_1 = require("./educationAssignmentStatus");
const index_1 = require("./index");
/** Provides operations to manage the educationRoot singleton. */
class EducationAssignment extends index_1.Entity {
    /**
     * Instantiates a new educationAssignment and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the addedStudentAction property value. Optional field to control the assignment behavior for students who are added after the assignment is published. If not specified, defaults to none value. Currently supports only two values: none or assignIfOpen.
     * @returns a educationAddedStudentAction
     */
    get addedStudentAction() {
        return this._addedStudentAction;
    }
    ;
    /**
     * Sets the addedStudentAction property value. Optional field to control the assignment behavior for students who are added after the assignment is published. If not specified, defaults to none value. Currently supports only two values: none or assignIfOpen.
     * @param value Value to set for the addedStudentAction property.
     */
    set addedStudentAction(value) {
        this._addedStudentAction = value;
    }
    ;
    /**
     * Gets the addToCalendarAction property value. Optional field to control the assignment behavior  for adding assignments to students' and teachers' calendars when the assignment is published. The possible values are: none, studentsAndPublisher, studentsAndTeamOwners, unknownFutureValue, and studentsOnly. Note that you must use the Prefer: include-unknown-enum-members request header to get the following value(s) in this evolvable enum: studentsOnly. The default value is none.
     * @returns a educationAddToCalendarOptions
     */
    get addToCalendarAction() {
        return this._addToCalendarAction;
    }
    ;
    /**
     * Sets the addToCalendarAction property value. Optional field to control the assignment behavior  for adding assignments to students' and teachers' calendars when the assignment is published. The possible values are: none, studentsAndPublisher, studentsAndTeamOwners, unknownFutureValue, and studentsOnly. Note that you must use the Prefer: include-unknown-enum-members request header to get the following value(s) in this evolvable enum: studentsOnly. The default value is none.
     * @param value Value to set for the addToCalendarAction property.
     */
    set addToCalendarAction(value) {
        this._addToCalendarAction = value;
    }
    ;
    /**
     * Gets the allowLateSubmissions property value. Identifies whether students can submit after the due date. If this property is not specified during create, it defaults to true.
     * @returns a boolean
     */
    get allowLateSubmissions() {
        return this._allowLateSubmissions;
    }
    ;
    /**
     * Sets the allowLateSubmissions property value. Identifies whether students can submit after the due date. If this property is not specified during create, it defaults to true.
     * @param value Value to set for the allowLateSubmissions property.
     */
    set allowLateSubmissions(value) {
        this._allowLateSubmissions = value;
    }
    ;
    /**
     * Gets the allowStudentsToAddResourcesToSubmission property value. Identifies whether students can add their own resources to a submission or if they can only modify resources added by the teacher.
     * @returns a boolean
     */
    get allowStudentsToAddResourcesToSubmission() {
        return this._allowStudentsToAddResourcesToSubmission;
    }
    ;
    /**
     * Sets the allowStudentsToAddResourcesToSubmission property value. Identifies whether students can add their own resources to a submission or if they can only modify resources added by the teacher.
     * @param value Value to set for the allowStudentsToAddResourcesToSubmission property.
     */
    set allowStudentsToAddResourcesToSubmission(value) {
        this._allowStudentsToAddResourcesToSubmission = value;
    }
    ;
    /**
     * Gets the assignDateTime property value. The date when the assignment should become active.  If in the future, the assignment is not shown to the student until this date.  The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @returns a Date
     */
    get assignDateTime() {
        return this._assignDateTime;
    }
    ;
    /**
     * Sets the assignDateTime property value. The date when the assignment should become active.  If in the future, the assignment is not shown to the student until this date.  The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @param value Value to set for the assignDateTime property.
     */
    set assignDateTime(value) {
        this._assignDateTime = value;
    }
    ;
    /**
     * Gets the assignedDateTime property value. The moment that the assignment was published to students and the assignment shows up on the students timeline.  The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @returns a Date
     */
    get assignedDateTime() {
        return this._assignedDateTime;
    }
    ;
    /**
     * Sets the assignedDateTime property value. The moment that the assignment was published to students and the assignment shows up on the students timeline.  The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @param value Value to set for the assignedDateTime property.
     */
    set assignedDateTime(value) {
        this._assignedDateTime = value;
    }
    ;
    /**
     * Gets the assignTo property value. Which users, or whole class should receive a submission object once the assignment is published.
     * @returns a educationAssignmentRecipient
     */
    get assignTo() {
        return this._assignTo;
    }
    ;
    /**
     * Sets the assignTo property value. Which users, or whole class should receive a submission object once the assignment is published.
     * @param value Value to set for the assignTo property.
     */
    set assignTo(value) {
        this._assignTo = value;
    }
    ;
    /**
     * Gets the categories property value. When set, enables users to easily find assignments of a given type.  Read-only. Nullable.
     * @returns a educationCategory
     */
    get categories() {
        return this._categories;
    }
    ;
    /**
     * Sets the categories property value. When set, enables users to easily find assignments of a given type.  Read-only. Nullable.
     * @param value Value to set for the categories property.
     */
    set categories(value) {
        this._categories = value;
    }
    ;
    /**
     * Gets the classId property value. Class which this assignment belongs.
     * @returns a string
     */
    get classId() {
        return this._classId;
    }
    ;
    /**
     * Sets the classId property value. Class which this assignment belongs.
     * @param value Value to set for the classId property.
     */
    set classId(value) {
        this._classId = value;
    }
    ;
    /**
     * Gets the closeDateTime property value. Date when the assignment will be closed for submissions. This is an optional field that can be null if the assignment does not allowLateSubmissions or when the closeDateTime is the same as the dueDateTime. But if specified, then the closeDateTime must be greater than or equal to the dueDateTime. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @returns a Date
     */
    get closeDateTime() {
        return this._closeDateTime;
    }
    ;
    /**
     * Sets the closeDateTime property value. Date when the assignment will be closed for submissions. This is an optional field that can be null if the assignment does not allowLateSubmissions or when the closeDateTime is the same as the dueDateTime. But if specified, then the closeDateTime must be greater than or equal to the dueDateTime. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @param value Value to set for the closeDateTime property.
     */
    set closeDateTime(value) {
        this._closeDateTime = value;
    }
    ;
    ;
    /**
     * Gets the createdBy property value. Who created the assignment.
     * @returns a identitySet
     */
    get createdBy() {
        return this._createdBy;
    }
    ;
    /**
     * Sets the createdBy property value. Who created the assignment.
     * @param value Value to set for the createdBy property.
     */
    set createdBy(value) {
        this._createdBy = value;
    }
    ;
    /**
     * Gets the createdDateTime property value. Moment when the assignment was created.  The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @returns a Date
     */
    get createdDateTime() {
        return this._createdDateTime;
    }
    ;
    /**
     * Sets the createdDateTime property value. Moment when the assignment was created.  The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @param value Value to set for the createdDateTime property.
     */
    set createdDateTime(value) {
        this._createdDateTime = value;
    }
    ;
    /**
     * Gets the displayName property value. Name of the assignment.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. Name of the assignment.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * Gets the dueDateTime property value. Date when the students assignment is due.  The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @returns a Date
     */
    get dueDateTime() {
        return this._dueDateTime;
    }
    ;
    /**
     * Sets the dueDateTime property value. Date when the students assignment is due.  The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @param value Value to set for the dueDateTime property.
     */
    set dueDateTime(value) {
        this._dueDateTime = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "addedStudentAction": n => { this.addedStudentAction = n.getEnumValue(educationAddedStudentAction_1.EducationAddedStudentAction); }, "addToCalendarAction": n => { this.addToCalendarAction = n.getEnumValue(educationAddToCalendarOptions_1.EducationAddToCalendarOptions); }, "allowLateSubmissions": n => { this.allowLateSubmissions = n.getBooleanValue(); }, "allowStudentsToAddResourcesToSubmission": n => { this.allowStudentsToAddResourcesToSubmission = n.getBooleanValue(); }, "assignDateTime": n => { this.assignDateTime = n.getDateValue(); }, "assignedDateTime": n => { this.assignedDateTime = n.getDateValue(); }, "assignTo": n => { this.assignTo = n.getObjectValue(createEducationAssignmentRecipientFromDiscriminatorValue_1.createEducationAssignmentRecipientFromDiscriminatorValue); }, "categories": n => { this.categories = n.getCollectionOfObjectValues(createEducationCategoryFromDiscriminatorValue_1.createEducationCategoryFromDiscriminatorValue); }, "classId": n => { this.classId = n.getStringValue(); }, "closeDateTime": n => { this.closeDateTime = n.getDateValue(); }, "createdBy": n => { this.createdBy = n.getObjectValue(createIdentitySetFromDiscriminatorValue_1.createIdentitySetFromDiscriminatorValue); }, "createdDateTime": n => { this.createdDateTime = n.getDateValue(); }, "displayName": n => { this.displayName = n.getStringValue(); }, "dueDateTime": n => { this.dueDateTime = n.getDateValue(); }, "grading": n => { this.grading = n.getObjectValue(createEducationAssignmentGradeTypeFromDiscriminatorValue_1.createEducationAssignmentGradeTypeFromDiscriminatorValue); }, "instructions": n => { this.instructions = n.getObjectValue(createEducationItemBodyFromDiscriminatorValue_1.createEducationItemBodyFromDiscriminatorValue); }, "lastModifiedBy": n => { this.lastModifiedBy = n.getObjectValue(createIdentitySetFromDiscriminatorValue_1.createIdentitySetFromDiscriminatorValue); }, "lastModifiedDateTime": n => { this.lastModifiedDateTime = n.getDateValue(); }, "notificationChannelUrl": n => { this.notificationChannelUrl = n.getStringValue(); }, "resources": n => { this.resources = n.getCollectionOfObjectValues(createEducationAssignmentResourceFromDiscriminatorValue_1.createEducationAssignmentResourceFromDiscriminatorValue); }, "resourcesFolderUrl": n => { this.resourcesFolderUrl = n.getStringValue(); }, "rubric": n => { this.rubric = n.getObjectValue(createEducationRubricFromDiscriminatorValue_1.createEducationRubricFromDiscriminatorValue); }, "status": n => { this.status = n.getEnumValue(educationAssignmentStatus_1.EducationAssignmentStatus); }, "submissions": n => { this.submissions = n.getCollectionOfObjectValues(createEducationSubmissionFromDiscriminatorValue_1.createEducationSubmissionFromDiscriminatorValue); }, "webUrl": n => { this.webUrl = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the grading property value. How the assignment will be graded.
     * @returns a educationAssignmentGradeType
     */
    get grading() {
        return this._grading;
    }
    ;
    /**
     * Sets the grading property value. How the assignment will be graded.
     * @param value Value to set for the grading property.
     */
    set grading(value) {
        this._grading = value;
    }
    ;
    /**
     * Gets the instructions property value. Instructions for the assignment.  This along with the display name tell the student what to do.
     * @returns a educationItemBody
     */
    get instructions() {
        return this._instructions;
    }
    ;
    /**
     * Sets the instructions property value. Instructions for the assignment.  This along with the display name tell the student what to do.
     * @param value Value to set for the instructions property.
     */
    set instructions(value) {
        this._instructions = value;
    }
    ;
    /**
     * Gets the lastModifiedBy property value. Who last modified the assignment.
     * @returns a identitySet
     */
    get lastModifiedBy() {
        return this._lastModifiedBy;
    }
    ;
    /**
     * Sets the lastModifiedBy property value. Who last modified the assignment.
     * @param value Value to set for the lastModifiedBy property.
     */
    set lastModifiedBy(value) {
        this._lastModifiedBy = value;
    }
    ;
    /**
     * Gets the lastModifiedDateTime property value. Moment when the assignment was last modified.  The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @returns a Date
     */
    get lastModifiedDateTime() {
        return this._lastModifiedDateTime;
    }
    ;
    /**
     * Sets the lastModifiedDateTime property value. Moment when the assignment was last modified.  The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @param value Value to set for the lastModifiedDateTime property.
     */
    set lastModifiedDateTime(value) {
        this._lastModifiedDateTime = value;
    }
    ;
    /**
     * Gets the notificationChannelUrl property value. Optional field to specify the URL of the channel to post the assignment publish notification. If not specified or null, defaults to the General channel. This field only applies to assignments where the assignTo value is educationAssignmentClassRecipient. Updating the notificationChannelUrl is not allowed after the assignment has been published.
     * @returns a string
     */
    get notificationChannelUrl() {
        return this._notificationChannelUrl;
    }
    ;
    /**
     * Sets the notificationChannelUrl property value. Optional field to specify the URL of the channel to post the assignment publish notification. If not specified or null, defaults to the General channel. This field only applies to assignments where the assignTo value is educationAssignmentClassRecipient. Updating the notificationChannelUrl is not allowed after the assignment has been published.
     * @param value Value to set for the notificationChannelUrl property.
     */
    set notificationChannelUrl(value) {
        this._notificationChannelUrl = value;
    }
    ;
    /**
     * Gets the resources property value. Learning objects that are associated with this assignment.  Only teachers can modify this list. Nullable.
     * @returns a educationAssignmentResource
     */
    get resources() {
        return this._resources;
    }
    ;
    /**
     * Sets the resources property value. Learning objects that are associated with this assignment.  Only teachers can modify this list. Nullable.
     * @param value Value to set for the resources property.
     */
    set resources(value) {
        this._resources = value;
    }
    ;
    /**
     * Gets the resourcesFolderUrl property value. Folder URL where all the file resources for this assignment are stored.
     * @returns a string
     */
    get resourcesFolderUrl() {
        return this._resourcesFolderUrl;
    }
    ;
    /**
     * Sets the resourcesFolderUrl property value. Folder URL where all the file resources for this assignment are stored.
     * @param value Value to set for the resourcesFolderUrl property.
     */
    set resourcesFolderUrl(value) {
        this._resourcesFolderUrl = value;
    }
    ;
    /**
     * Gets the rubric property value. When set, the grading rubric attached to this assignment.
     * @returns a educationRubric
     */
    get rubric() {
        return this._rubric;
    }
    ;
    /**
     * Sets the rubric property value. When set, the grading rubric attached to this assignment.
     * @param value Value to set for the rubric property.
     */
    set rubric(value) {
        this._rubric = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeEnumValue("addedStudentAction", this.addedStudentAction);
        writer.writeEnumValue("addToCalendarAction", this.addToCalendarAction);
        writer.writeBooleanValue("allowLateSubmissions", this.allowLateSubmissions);
        writer.writeBooleanValue("allowStudentsToAddResourcesToSubmission", this.allowStudentsToAddResourcesToSubmission);
        writer.writeDateValue("assignDateTime", this.assignDateTime);
        writer.writeDateValue("assignedDateTime", this.assignedDateTime);
        writer.writeObjectValue("assignTo", this.assignTo);
        writer.writeCollectionOfObjectValues("categories", this.categories);
        writer.writeStringValue("classId", this.classId);
        writer.writeDateValue("closeDateTime", this.closeDateTime);
        writer.writeObjectValue("createdBy", this.createdBy);
        writer.writeDateValue("createdDateTime", this.createdDateTime);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeDateValue("dueDateTime", this.dueDateTime);
        writer.writeObjectValue("grading", this.grading);
        writer.writeObjectValue("instructions", this.instructions);
        writer.writeObjectValue("lastModifiedBy", this.lastModifiedBy);
        writer.writeDateValue("lastModifiedDateTime", this.lastModifiedDateTime);
        writer.writeStringValue("notificationChannelUrl", this.notificationChannelUrl);
        writer.writeCollectionOfObjectValues("resources", this.resources);
        writer.writeStringValue("resourcesFolderUrl", this.resourcesFolderUrl);
        writer.writeObjectValue("rubric", this.rubric);
        writer.writeEnumValue("status", this.status);
        writer.writeCollectionOfObjectValues("submissions", this.submissions);
        writer.writeStringValue("webUrl", this.webUrl);
    }
    ;
    /**
     * Gets the status property value. Status of the Assignment.  You can not PATCH this value.  Possible values are: draft, scheduled, published, assigned.
     * @returns a educationAssignmentStatus
     */
    get status() {
        return this._status;
    }
    ;
    /**
     * Sets the status property value. Status of the Assignment.  You can not PATCH this value.  Possible values are: draft, scheduled, published, assigned.
     * @param value Value to set for the status property.
     */
    set status(value) {
        this._status = value;
    }
    ;
    /**
     * Gets the submissions property value. Once published, there is a submission object for each student representing their work and grade.  Read-only. Nullable.
     * @returns a educationSubmission
     */
    get submissions() {
        return this._submissions;
    }
    ;
    /**
     * Sets the submissions property value. Once published, there is a submission object for each student representing their work and grade.  Read-only. Nullable.
     * @param value Value to set for the submissions property.
     */
    set submissions(value) {
        this._submissions = value;
    }
    ;
    /**
     * Gets the webUrl property value. The deep link URL for the given assignment.
     * @returns a string
     */
    get webUrl() {
        return this._webUrl;
    }
    ;
    /**
     * Sets the webUrl property value. The deep link URL for the given assignment.
     * @param value Value to set for the webUrl property.
     */
    set webUrl(value) {
        this._webUrl = value;
    }
    ;
}
exports.EducationAssignment = EducationAssignment;
