"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EducationAssignmentDefaults = void 0;
const educationAddedStudentAction_1 = require("./educationAddedStudentAction");
const educationAddToCalendarOptions_1 = require("./educationAddToCalendarOptions");
const index_1 = require("./index");
/** Provides operations to manage the educationRoot singleton. */
class EducationAssignmentDefaults extends index_1.Entity {
    /**
     * Instantiates a new educationAssignmentDefaults and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the addedStudentAction property value. Class-level default behavior for handling students who are added after the assignment is published. Possible values are: none, assignIfOpen.
     * @returns a educationAddedStudentAction
     */
    get addedStudentAction() {
        return this._addedStudentAction;
    }
    ;
    /**
     * Sets the addedStudentAction property value. Class-level default behavior for handling students who are added after the assignment is published. Possible values are: none, assignIfOpen.
     * @param value Value to set for the addedStudentAction property.
     */
    set addedStudentAction(value) {
        this._addedStudentAction = value;
    }
    ;
    /**
     * Gets the addToCalendarAction property value. Optional field to control adding assignments to students' and teachers' calendars when the assignment is published. The possible values are: none, studentsAndPublisher, studentsAndTeamOwners, unknownFutureValue, and studentsOnly. Note that you must use the Prefer: include-unknown-enum-members request header to get the following value(s) in this evolvable enum: studentsOnly. The default value is none.
     * @returns a educationAddToCalendarOptions
     */
    get addToCalendarAction() {
        return this._addToCalendarAction;
    }
    ;
    /**
     * Sets the addToCalendarAction property value. Optional field to control adding assignments to students' and teachers' calendars when the assignment is published. The possible values are: none, studentsAndPublisher, studentsAndTeamOwners, unknownFutureValue, and studentsOnly. Note that you must use the Prefer: include-unknown-enum-members request header to get the following value(s) in this evolvable enum: studentsOnly. The default value is none.
     * @param value Value to set for the addToCalendarAction property.
     */
    set addToCalendarAction(value) {
        this._addToCalendarAction = value;
    }
    ;
    ;
    /**
     * Gets the dueTime property value. Class-level default value for due time field. Default value is 23:59:00.
     * @returns a TimeOnly
     */
    get dueTime() {
        return this._dueTime;
    }
    ;
    /**
     * Sets the dueTime property value. Class-level default value for due time field. Default value is 23:59:00.
     * @param value Value to set for the dueTime property.
     */
    set dueTime(value) {
        this._dueTime = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "addedStudentAction": n => { this.addedStudentAction = n.getEnumValue(educationAddedStudentAction_1.EducationAddedStudentAction); }, "addToCalendarAction": n => { this.addToCalendarAction = n.getEnumValue(educationAddToCalendarOptions_1.EducationAddToCalendarOptions); }, "dueTime": n => { this.dueTime = n.getTimeOnlyValue(); }, "notificationChannelUrl": n => { this.notificationChannelUrl = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the notificationChannelUrl property value. Default Teams channel to which notifications will be sent. Default value is null.
     * @returns a string
     */
    get notificationChannelUrl() {
        return this._notificationChannelUrl;
    }
    ;
    /**
     * Sets the notificationChannelUrl property value. Default Teams channel to which notifications will be sent. Default value is null.
     * @param value Value to set for the notificationChannelUrl property.
     */
    set notificationChannelUrl(value) {
        this._notificationChannelUrl = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeEnumValue("addedStudentAction", this.addedStudentAction);
        writer.writeEnumValue("addToCalendarAction", this.addToCalendarAction);
        writer.writeTimeOnlyValue("dueTime", this.dueTime);
        writer.writeStringValue("notificationChannelUrl", this.notificationChannelUrl);
    }
    ;
}
exports.EducationAssignmentDefaults = EducationAssignmentDefaults;
