import { EducationResource, Entity } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the educationRoot singleton. */
export declare class EducationAssignmentResource extends Entity implements Parsable {
    /** Indicates whether this resource should be copied to each student submission for modification and submission. Required */
    private _distributeForStudentWork?;
    /** Resource object that has been associated with this assignment. */
    private _resource?;
    /**
     * Instantiates a new educationAssignmentResource and sets the default values.
     */
    constructor();
    /**
     * Gets the distributeForStudentWork property value. Indicates whether this resource should be copied to each student submission for modification and submission. Required
     * @returns a boolean
     */
    get distributeForStudentWork(): boolean | undefined;
    /**
     * Sets the distributeForStudentWork property value. Indicates whether this resource should be copied to each student submission for modification and submission. Required
     * @param value Value to set for the distributeForStudentWork property.
     */
    set distributeForStudentWork(value: boolean | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the resource property value. Resource object that has been associated with this assignment.
     * @returns a educationResource
     */
    get resource(): EducationResource | undefined;
    /**
     * Sets the resource property value. Resource object that has been associated with this assignment.
     * @param value Value to set for the resource property.
     */
    set resource(value: EducationResource | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
