"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EducationAssignmentSettings = void 0;
const index_1 = require("./index");
/** Provides operations to manage the educationRoot singleton. */
class EducationAssignmentSettings extends index_1.Entity {
    /**
     * Instantiates a new educationAssignmentSettings and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "submissionAnimationDisabled": n => { this.submissionAnimationDisabled = n.getBooleanValue(); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeBooleanValue("submissionAnimationDisabled", this.submissionAnimationDisabled);
    }
    ;
    /**
     * Gets the submissionAnimationDisabled property value. Indicates whether turn-in celebration animation will be shown. A value of true indicates that the animation will not be shown. Default value is false.
     * @returns a boolean
     */
    get submissionAnimationDisabled() {
        return this._submissionAnimationDisabled;
    }
    ;
    /**
     * Sets the submissionAnimationDisabled property value. Indicates whether turn-in celebration animation will be shown. A value of true indicates that the animation will not be shown. Default value is false.
     * @param value Value to set for the submissionAnimationDisabled property.
     */
    set submissionAnimationDisabled(value) {
        this._submissionAnimationDisabled = value;
    }
    ;
}
exports.EducationAssignmentSettings = EducationAssignmentSettings;
