"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EducationClass = void 0;
const createEducationAssignmentDefaultsFromDiscriminatorValue_1 = require("./createEducationAssignmentDefaultsFromDiscriminatorValue");
const createEducationAssignmentFromDiscriminatorValue_1 = require("./createEducationAssignmentFromDiscriminatorValue");
const createEducationAssignmentSettingsFromDiscriminatorValue_1 = require("./createEducationAssignmentSettingsFromDiscriminatorValue");
const createEducationCategoryFromDiscriminatorValue_1 = require("./createEducationCategoryFromDiscriminatorValue");
const createEducationCourseFromDiscriminatorValue_1 = require("./createEducationCourseFromDiscriminatorValue");
const createEducationSchoolFromDiscriminatorValue_1 = require("./createEducationSchoolFromDiscriminatorValue");
const createEducationTermFromDiscriminatorValue_1 = require("./createEducationTermFromDiscriminatorValue");
const createEducationUserFromDiscriminatorValue_1 = require("./createEducationUserFromDiscriminatorValue");
const createGroupFromDiscriminatorValue_1 = require("./createGroupFromDiscriminatorValue");
const createIdentitySetFromDiscriminatorValue_1 = require("./createIdentitySetFromDiscriminatorValue");
const educationExternalSource_1 = require("./educationExternalSource");
const index_1 = require("./index");
/** Provides operations to manage the educationRoot singleton. */
class EducationClass extends index_1.Entity {
    /**
     * Instantiates a new educationClass and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the assignmentCategories property value. All categories associated with this class. Nullable.
     * @returns a educationCategory
     */
    get assignmentCategories() {
        return this._assignmentCategories;
    }
    ;
    /**
     * Sets the assignmentCategories property value. All categories associated with this class. Nullable.
     * @param value Value to set for the assignmentCategories property.
     */
    set assignmentCategories(value) {
        this._assignmentCategories = value;
    }
    ;
    /**
     * Gets the assignmentDefaults property value. Specifies class-level defaults respected by new assignments created in the class.
     * @returns a educationAssignmentDefaults
     */
    get assignmentDefaults() {
        return this._assignmentDefaults;
    }
    ;
    /**
     * Sets the assignmentDefaults property value. Specifies class-level defaults respected by new assignments created in the class.
     * @param value Value to set for the assignmentDefaults property.
     */
    set assignmentDefaults(value) {
        this._assignmentDefaults = value;
    }
    ;
    /**
     * Gets the assignments property value. All assignments associated with this class. Nullable.
     * @returns a educationAssignment
     */
    get assignments() {
        return this._assignments;
    }
    ;
    /**
     * Sets the assignments property value. All assignments associated with this class. Nullable.
     * @param value Value to set for the assignments property.
     */
    set assignments(value) {
        this._assignments = value;
    }
    ;
    /**
     * Gets the assignmentSettings property value. Specifies class-level assignments settings.
     * @returns a educationAssignmentSettings
     */
    get assignmentSettings() {
        return this._assignmentSettings;
    }
    ;
    /**
     * Sets the assignmentSettings property value. Specifies class-level assignments settings.
     * @param value Value to set for the assignmentSettings property.
     */
    set assignmentSettings(value) {
        this._assignmentSettings = value;
    }
    ;
    /**
     * Gets the classCode property value. Class code used by the school to identify the class.
     * @returns a string
     */
    get classCode() {
        return this._classCode;
    }
    ;
    /**
     * Sets the classCode property value. Class code used by the school to identify the class.
     * @param value Value to set for the classCode property.
     */
    set classCode(value) {
        this._classCode = value;
    }
    ;
    ;
    /**
     * Gets the course property value. Course information for the class.
     * @returns a educationCourse
     */
    get course() {
        return this._course;
    }
    ;
    /**
     * Sets the course property value. Course information for the class.
     * @param value Value to set for the course property.
     */
    set course(value) {
        this._course = value;
    }
    ;
    /**
     * Gets the createdBy property value. Entity who created the class.
     * @returns a identitySet
     */
    get createdBy() {
        return this._createdBy;
    }
    ;
    /**
     * Sets the createdBy property value. Entity who created the class.
     * @param value Value to set for the createdBy property.
     */
    set createdBy(value) {
        this._createdBy = value;
    }
    ;
    /**
     * Gets the description property value. Description of the class.
     * @returns a string
     */
    get description() {
        return this._description;
    }
    ;
    /**
     * Sets the description property value. Description of the class.
     * @param value Value to set for the description property.
     */
    set description(value) {
        this._description = value;
    }
    ;
    /**
     * Gets the displayName property value. Name of the class.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. Name of the class.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * Gets the externalId property value. ID of the class from the syncing system.
     * @returns a string
     */
    get externalId() {
        return this._externalId;
    }
    ;
    /**
     * Sets the externalId property value. ID of the class from the syncing system.
     * @param value Value to set for the externalId property.
     */
    set externalId(value) {
        this._externalId = value;
    }
    ;
    /**
     * Gets the externalName property value. Name of the class in the syncing system.
     * @returns a string
     */
    get externalName() {
        return this._externalName;
    }
    ;
    /**
     * Sets the externalName property value. Name of the class in the syncing system.
     * @param value Value to set for the externalName property.
     */
    set externalName(value) {
        this._externalName = value;
    }
    ;
    /**
     * Gets the externalSource property value. The type of external source this resource was generated from (automatically determined from externalSourceDetail). Possible values are: sis, lms, or manual.
     * @returns a educationExternalSource
     */
    get externalSource() {
        return this._externalSource;
    }
    ;
    /**
     * Sets the externalSource property value. The type of external source this resource was generated from (automatically determined from externalSourceDetail). Possible values are: sis, lms, or manual.
     * @param value Value to set for the externalSource property.
     */
    set externalSource(value) {
        this._externalSource = value;
    }
    ;
    /**
     * Gets the externalSourceDetail property value. The name of the external source this resources was generated from.
     * @returns a string
     */
    get externalSourceDetail() {
        return this._externalSourceDetail;
    }
    ;
    /**
     * Sets the externalSourceDetail property value. The name of the external source this resources was generated from.
     * @param value Value to set for the externalSourceDetail property.
     */
    set externalSourceDetail(value) {
        this._externalSourceDetail = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "assignmentCategories": n => { this.assignmentCategories = n.getCollectionOfObjectValues(createEducationCategoryFromDiscriminatorValue_1.createEducationCategoryFromDiscriminatorValue); }, "assignmentDefaults": n => { this.assignmentDefaults = n.getObjectValue(createEducationAssignmentDefaultsFromDiscriminatorValue_1.createEducationAssignmentDefaultsFromDiscriminatorValue); }, "assignments": n => { this.assignments = n.getCollectionOfObjectValues(createEducationAssignmentFromDiscriminatorValue_1.createEducationAssignmentFromDiscriminatorValue); }, "assignmentSettings": n => { this.assignmentSettings = n.getObjectValue(createEducationAssignmentSettingsFromDiscriminatorValue_1.createEducationAssignmentSettingsFromDiscriminatorValue); }, "classCode": n => { this.classCode = n.getStringValue(); }, "course": n => { this.course = n.getObjectValue(createEducationCourseFromDiscriminatorValue_1.createEducationCourseFromDiscriminatorValue); }, "createdBy": n => { this.createdBy = n.getObjectValue(createIdentitySetFromDiscriminatorValue_1.createIdentitySetFromDiscriminatorValue); }, "description": n => { this.description = n.getStringValue(); }, "displayName": n => { this.displayName = n.getStringValue(); }, "externalId": n => { this.externalId = n.getStringValue(); }, "externalName": n => { this.externalName = n.getStringValue(); }, "externalSource": n => { this.externalSource = n.getEnumValue(educationExternalSource_1.EducationExternalSource); }, "externalSourceDetail": n => { this.externalSourceDetail = n.getStringValue(); }, "grade": n => { this.grade = n.getStringValue(); }, "group": n => { this.group = n.getObjectValue(createGroupFromDiscriminatorValue_1.createGroupFromDiscriminatorValue); }, "mailNickname": n => { this.mailNickname = n.getStringValue(); }, "members": n => { this.members = n.getCollectionOfObjectValues(createEducationUserFromDiscriminatorValue_1.createEducationUserFromDiscriminatorValue); }, "schools": n => { this.schools = n.getCollectionOfObjectValues(createEducationSchoolFromDiscriminatorValue_1.createEducationSchoolFromDiscriminatorValue); }, "teachers": n => { this.teachers = n.getCollectionOfObjectValues(createEducationUserFromDiscriminatorValue_1.createEducationUserFromDiscriminatorValue); }, "term": n => { this.term = n.getObjectValue(createEducationTermFromDiscriminatorValue_1.createEducationTermFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the grade property value. Grade level of the class.
     * @returns a string
     */
    get grade() {
        return this._grade;
    }
    ;
    /**
     * Sets the grade property value. Grade level of the class.
     * @param value Value to set for the grade property.
     */
    set grade(value) {
        this._grade = value;
    }
    ;
    /**
     * Gets the group property value. The underlying Microsoft 365 group object.
     * @returns a group
     */
    get group() {
        return this._group;
    }
    ;
    /**
     * Sets the group property value. The underlying Microsoft 365 group object.
     * @param value Value to set for the group property.
     */
    set group(value) {
        this._group = value;
    }
    ;
    /**
     * Gets the mailNickname property value. Mail name for sending email to all members, if this is enabled.
     * @returns a string
     */
    get mailNickname() {
        return this._mailNickname;
    }
    ;
    /**
     * Sets the mailNickname property value. Mail name for sending email to all members, if this is enabled.
     * @param value Value to set for the mailNickname property.
     */
    set mailNickname(value) {
        this._mailNickname = value;
    }
    ;
    /**
     * Gets the members property value. All users in the class. Nullable.
     * @returns a educationUser
     */
    get members() {
        return this._members;
    }
    ;
    /**
     * Sets the members property value. All users in the class. Nullable.
     * @param value Value to set for the members property.
     */
    set members(value) {
        this._members = value;
    }
    ;
    /**
     * Gets the schools property value. All schools that this class is associated with. Nullable.
     * @returns a educationSchool
     */
    get schools() {
        return this._schools;
    }
    ;
    /**
     * Sets the schools property value. All schools that this class is associated with. Nullable.
     * @param value Value to set for the schools property.
     */
    set schools(value) {
        this._schools = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("assignmentCategories", this.assignmentCategories);
        writer.writeObjectValue("assignmentDefaults", this.assignmentDefaults);
        writer.writeCollectionOfObjectValues("assignments", this.assignments);
        writer.writeObjectValue("assignmentSettings", this.assignmentSettings);
        writer.writeStringValue("classCode", this.classCode);
        writer.writeObjectValue("course", this.course);
        writer.writeObjectValue("createdBy", this.createdBy);
        writer.writeStringValue("description", this.description);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeStringValue("externalId", this.externalId);
        writer.writeStringValue("externalName", this.externalName);
        writer.writeEnumValue("externalSource", this.externalSource);
        writer.writeStringValue("externalSourceDetail", this.externalSourceDetail);
        writer.writeStringValue("grade", this.grade);
        writer.writeObjectValue("group", this.group);
        writer.writeStringValue("mailNickname", this.mailNickname);
        writer.writeCollectionOfObjectValues("members", this.members);
        writer.writeCollectionOfObjectValues("schools", this.schools);
        writer.writeCollectionOfObjectValues("teachers", this.teachers);
        writer.writeObjectValue("term", this.term);
    }
    ;
    /**
     * Gets the teachers property value. All teachers in the class. Nullable.
     * @returns a educationUser
     */
    get teachers() {
        return this._teachers;
    }
    ;
    /**
     * Sets the teachers property value. All teachers in the class. Nullable.
     * @param value Value to set for the teachers property.
     */
    set teachers(value) {
        this._teachers = value;
    }
    ;
    /**
     * Gets the term property value. Term for the class.
     * @returns a educationTerm
     */
    get term() {
        return this._term;
    }
    ;
    /**
     * Sets the term property value. Term for the class.
     * @param value Value to set for the term property.
     */
    set term(value) {
        this._term = value;
    }
    ;
}
exports.EducationClass = EducationClass;
