"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EducationCourse = void 0;
class EducationCourse {
    /**
     * Instantiates a new educationCourse and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the courseNumber property value. Unique identifier for the course.
     * @returns a string
     */
    get courseNumber() {
        return this._courseNumber;
    }
    ;
    /**
     * Sets the courseNumber property value. Unique identifier for the course.
     * @param value Value to set for the courseNumber property.
     */
    set courseNumber(value) {
        this._courseNumber = value;
    }
    ;
    /**
     * Gets the description property value. Description of the course.
     * @returns a string
     */
    get description() {
        return this._description;
    }
    ;
    /**
     * Sets the description property value. Description of the course.
     * @param value Value to set for the description property.
     */
    set description(value) {
        this._description = value;
    }
    ;
    /**
     * Gets the displayName property value. Name of the course.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. Name of the course.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * Gets the externalId property value. ID of the course from the syncing system.
     * @returns a string
     */
    get externalId() {
        return this._externalId;
    }
    ;
    /**
     * Sets the externalId property value. ID of the course from the syncing system.
     * @param value Value to set for the externalId property.
     */
    set externalId(value) {
        this._externalId = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "courseNumber": n => { this.courseNumber = n.getStringValue(); },
            "description": n => { this.description = n.getStringValue(); },
            "displayName": n => { this.displayName = n.getStringValue(); },
            "externalId": n => { this.externalId = n.getStringValue(); },
            "subject": n => { this.subject = n.getStringValue(); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("courseNumber", this.courseNumber);
        writer.writeStringValue("description", this.description);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeStringValue("externalId", this.externalId);
        writer.writeStringValue("subject", this.subject);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the subject property value. Subject of the course.
     * @returns a string
     */
    get subject() {
        return this._subject;
    }
    ;
    /**
     * Sets the subject property value. Subject of the course.
     * @param value Value to set for the subject property.
     */
    set subject(value) {
        this._subject = value;
    }
    ;
}
exports.EducationCourse = EducationCourse;
