"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EducationRubric = void 0;
const createEducationAssignmentGradeTypeFromDiscriminatorValue_1 = require("./createEducationAssignmentGradeTypeFromDiscriminatorValue");
const createEducationItemBodyFromDiscriminatorValue_1 = require("./createEducationItemBodyFromDiscriminatorValue");
const createIdentitySetFromDiscriminatorValue_1 = require("./createIdentitySetFromDiscriminatorValue");
const createRubricLevelFromDiscriminatorValue_1 = require("./createRubricLevelFromDiscriminatorValue");
const createRubricQualityFromDiscriminatorValue_1 = require("./createRubricQualityFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the educationRoot singleton. */
class EducationRubric extends index_1.Entity {
    /**
     * Instantiates a new educationRubric and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the createdBy property value. The user who created this resource.
     * @returns a identitySet
     */
    get createdBy() {
        return this._createdBy;
    }
    ;
    /**
     * Sets the createdBy property value. The user who created this resource.
     * @param value Value to set for the createdBy property.
     */
    set createdBy(value) {
        this._createdBy = value;
    }
    ;
    /**
     * Gets the createdDateTime property value. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @returns a Date
     */
    get createdDateTime() {
        return this._createdDateTime;
    }
    ;
    /**
     * Sets the createdDateTime property value. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @param value Value to set for the createdDateTime property.
     */
    set createdDateTime(value) {
        this._createdDateTime = value;
    }
    ;
    /**
     * Gets the description property value. The description of this rubric.
     * @returns a educationItemBody
     */
    get description() {
        return this._description;
    }
    ;
    /**
     * Sets the description property value. The description of this rubric.
     * @param value Value to set for the description property.
     */
    set description(value) {
        this._description = value;
    }
    ;
    /**
     * Gets the displayName property value. The name of this rubric.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. The name of this rubric.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "createdBy": n => { this.createdBy = n.getObjectValue(createIdentitySetFromDiscriminatorValue_1.createIdentitySetFromDiscriminatorValue); }, "createdDateTime": n => { this.createdDateTime = n.getDateValue(); }, "description": n => { this.description = n.getObjectValue(createEducationItemBodyFromDiscriminatorValue_1.createEducationItemBodyFromDiscriminatorValue); }, "displayName": n => { this.displayName = n.getStringValue(); }, "grading": n => { this.grading = n.getObjectValue(createEducationAssignmentGradeTypeFromDiscriminatorValue_1.createEducationAssignmentGradeTypeFromDiscriminatorValue); }, "lastModifiedBy": n => { this.lastModifiedBy = n.getObjectValue(createIdentitySetFromDiscriminatorValue_1.createIdentitySetFromDiscriminatorValue); }, "lastModifiedDateTime": n => { this.lastModifiedDateTime = n.getDateValue(); }, "levels": n => { this.levels = n.getCollectionOfObjectValues(createRubricLevelFromDiscriminatorValue_1.createRubricLevelFromDiscriminatorValue); }, "qualities": n => { this.qualities = n.getCollectionOfObjectValues(createRubricQualityFromDiscriminatorValue_1.createRubricQualityFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the grading property value. The grading type of this rubric -- null for a no-points rubric, or educationAssignmentPointsGradeType for a points rubric.
     * @returns a educationAssignmentGradeType
     */
    get grading() {
        return this._grading;
    }
    ;
    /**
     * Sets the grading property value. The grading type of this rubric -- null for a no-points rubric, or educationAssignmentPointsGradeType for a points rubric.
     * @param value Value to set for the grading property.
     */
    set grading(value) {
        this._grading = value;
    }
    ;
    /**
     * Gets the lastModifiedBy property value. The last user to modify the resource.
     * @returns a identitySet
     */
    get lastModifiedBy() {
        return this._lastModifiedBy;
    }
    ;
    /**
     * Sets the lastModifiedBy property value. The last user to modify the resource.
     * @param value Value to set for the lastModifiedBy property.
     */
    set lastModifiedBy(value) {
        this._lastModifiedBy = value;
    }
    ;
    /**
     * Gets the lastModifiedDateTime property value. Moment in time when the resource was last modified.  The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @returns a Date
     */
    get lastModifiedDateTime() {
        return this._lastModifiedDateTime;
    }
    ;
    /**
     * Sets the lastModifiedDateTime property value. Moment in time when the resource was last modified.  The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @param value Value to set for the lastModifiedDateTime property.
     */
    set lastModifiedDateTime(value) {
        this._lastModifiedDateTime = value;
    }
    ;
    /**
     * Gets the levels property value. The collection of levels making up this rubric.
     * @returns a rubricLevel
     */
    get levels() {
        return this._levels;
    }
    ;
    /**
     * Sets the levels property value. The collection of levels making up this rubric.
     * @param value Value to set for the levels property.
     */
    set levels(value) {
        this._levels = value;
    }
    ;
    /**
     * Gets the qualities property value. The collection of qualities making up this rubric.
     * @returns a rubricQuality
     */
    get qualities() {
        return this._qualities;
    }
    ;
    /**
     * Sets the qualities property value. The collection of qualities making up this rubric.
     * @param value Value to set for the qualities property.
     */
    set qualities(value) {
        this._qualities = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("createdBy", this.createdBy);
        writer.writeDateValue("createdDateTime", this.createdDateTime);
        writer.writeObjectValue("description", this.description);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeObjectValue("grading", this.grading);
        writer.writeObjectValue("lastModifiedBy", this.lastModifiedBy);
        writer.writeDateValue("lastModifiedDateTime", this.lastModifiedDateTime);
        writer.writeCollectionOfObjectValues("levels", this.levels);
        writer.writeCollectionOfObjectValues("qualities", this.qualities);
    }
    ;
}
exports.EducationRubric = EducationRubric;
