import { EducationGender } from './educationGender';
import { AdditionalDataHolder, DateOnly, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class EducationStudent implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** Birth date of the student. */
    private _birthDate?;
    /** ID of the student in the source system. */
    private _externalId?;
    /** Possible values are: female, male, other. */
    private _gender?;
    /** Current grade level of the student. */
    private _grade?;
    /** Year the student is graduating from the school. */
    private _graduationYear?;
    /** Student Number. */
    private _studentNumber?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the birthDate property value. Birth date of the student.
     * @returns a DateOnly
     */
    get birthDate(): DateOnly | undefined;
    /**
     * Sets the birthDate property value. Birth date of the student.
     * @param value Value to set for the birthDate property.
     */
    set birthDate(value: DateOnly | undefined);
    /**
     * Instantiates a new educationStudent and sets the default values.
     */
    constructor();
    /**
     * Gets the externalId property value. ID of the student in the source system.
     * @returns a string
     */
    get externalId(): string | undefined;
    /**
     * Sets the externalId property value. ID of the student in the source system.
     * @param value Value to set for the externalId property.
     */
    set externalId(value: string | undefined);
    /**
     * Gets the gender property value. Possible values are: female, male, other.
     * @returns a educationGender
     */
    get gender(): EducationGender | undefined;
    /**
     * Sets the gender property value. Possible values are: female, male, other.
     * @param value Value to set for the gender property.
     */
    set gender(value: EducationGender | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the grade property value. Current grade level of the student.
     * @returns a string
     */
    get grade(): string | undefined;
    /**
     * Sets the grade property value. Current grade level of the student.
     * @param value Value to set for the grade property.
     */
    set grade(value: string | undefined);
    /**
     * Gets the graduationYear property value. Year the student is graduating from the school.
     * @returns a string
     */
    get graduationYear(): string | undefined;
    /**
     * Sets the graduationYear property value. Year the student is graduating from the school.
     * @param value Value to set for the graduationYear property.
     */
    set graduationYear(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the studentNumber property value. Student Number.
     * @returns a string
     */
    get studentNumber(): string | undefined;
    /**
     * Sets the studentNumber property value. Student Number.
     * @param value Value to set for the studentNumber property.
     */
    set studentNumber(value: string | undefined);
}
