"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EducationStudent = void 0;
const educationGender_1 = require("./educationGender");
class EducationStudent {
    /**
     * Instantiates a new educationStudent and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the birthDate property value. Birth date of the student.
     * @returns a DateOnly
     */
    get birthDate() {
        return this._birthDate;
    }
    ;
    /**
     * Sets the birthDate property value. Birth date of the student.
     * @param value Value to set for the birthDate property.
     */
    set birthDate(value) {
        this._birthDate = value;
    }
    ;
    ;
    /**
     * Gets the externalId property value. ID of the student in the source system.
     * @returns a string
     */
    get externalId() {
        return this._externalId;
    }
    ;
    /**
     * Sets the externalId property value. ID of the student in the source system.
     * @param value Value to set for the externalId property.
     */
    set externalId(value) {
        this._externalId = value;
    }
    ;
    /**
     * Gets the gender property value. Possible values are: female, male, other.
     * @returns a educationGender
     */
    get gender() {
        return this._gender;
    }
    ;
    /**
     * Sets the gender property value. Possible values are: female, male, other.
     * @param value Value to set for the gender property.
     */
    set gender(value) {
        this._gender = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "birthDate": n => { this.birthDate = n.getDateOnlyValue(); },
            "externalId": n => { this.externalId = n.getStringValue(); },
            "gender": n => { this.gender = n.getEnumValue(educationGender_1.EducationGender); },
            "grade": n => { this.grade = n.getStringValue(); },
            "graduationYear": n => { this.graduationYear = n.getStringValue(); },
            "studentNumber": n => { this.studentNumber = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the grade property value. Current grade level of the student.
     * @returns a string
     */
    get grade() {
        return this._grade;
    }
    ;
    /**
     * Sets the grade property value. Current grade level of the student.
     * @param value Value to set for the grade property.
     */
    set grade(value) {
        this._grade = value;
    }
    ;
    /**
     * Gets the graduationYear property value. Year the student is graduating from the school.
     * @returns a string
     */
    get graduationYear() {
        return this._graduationYear;
    }
    ;
    /**
     * Sets the graduationYear property value. Year the student is graduating from the school.
     * @param value Value to set for the graduationYear property.
     */
    set graduationYear(value) {
        this._graduationYear = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeDateOnlyValue("birthDate", this.birthDate);
        writer.writeStringValue("externalId", this.externalId);
        writer.writeEnumValue("gender", this.gender);
        writer.writeStringValue("grade", this.grade);
        writer.writeStringValue("graduationYear", this.graduationYear);
        writer.writeStringValue("studentNumber", this.studentNumber);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the studentNumber property value. Student Number.
     * @returns a string
     */
    get studentNumber() {
        return this._studentNumber;
    }
    ;
    /**
     * Sets the studentNumber property value. Student Number.
     * @param value Value to set for the studentNumber property.
     */
    set studentNumber(value) {
        this._studentNumber = value;
    }
    ;
}
exports.EducationStudent = EducationStudent;
