import { EducationResource, Entity } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the educationRoot singleton. */
export declare class EducationSubmissionResource extends Entity implements Parsable {
    /** Pointer to the assignment from which this resource was copied. If this is null, the student uploaded the resource. */
    private _assignmentResourceUrl?;
    /** Resource object. */
    private _resource?;
    /**
     * Gets the assignmentResourceUrl property value. Pointer to the assignment from which this resource was copied. If this is null, the student uploaded the resource.
     * @returns a string
     */
    get assignmentResourceUrl(): string | undefined;
    /**
     * Sets the assignmentResourceUrl property value. Pointer to the assignment from which this resource was copied. If this is null, the student uploaded the resource.
     * @param value Value to set for the assignmentResourceUrl property.
     */
    set assignmentResourceUrl(value: string | undefined);
    /**
     * Instantiates a new educationSubmissionResource and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the resource property value. Resource object.
     * @returns a educationResource
     */
    get resource(): EducationResource | undefined;
    /**
     * Sets the resource property value. Resource object.
     * @param value Value to set for the resource property.
     */
    set resource(value: EducationResource | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
