"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EducationTerm = void 0;
class EducationTerm {
    /**
     * Instantiates a new educationTerm and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the displayName property value. Display name of the term.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. Display name of the term.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * Gets the endDate property value. End of the term.
     * @returns a DateOnly
     */
    get endDate() {
        return this._endDate;
    }
    ;
    /**
     * Sets the endDate property value. End of the term.
     * @param value Value to set for the endDate property.
     */
    set endDate(value) {
        this._endDate = value;
    }
    ;
    /**
     * Gets the externalId property value. ID of term in the syncing system.
     * @returns a string
     */
    get externalId() {
        return this._externalId;
    }
    ;
    /**
     * Sets the externalId property value. ID of term in the syncing system.
     * @param value Value to set for the externalId property.
     */
    set externalId(value) {
        this._externalId = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "displayName": n => { this.displayName = n.getStringValue(); },
            "endDate": n => { this.endDate = n.getDateOnlyValue(); },
            "externalId": n => { this.externalId = n.getStringValue(); },
            "startDate": n => { this.startDate = n.getDateOnlyValue(); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("displayName", this.displayName);
        writer.writeDateOnlyValue("endDate", this.endDate);
        writer.writeStringValue("externalId", this.externalId);
        writer.writeDateOnlyValue("startDate", this.startDate);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the startDate property value. Start of the term.
     * @returns a DateOnly
     */
    get startDate() {
        return this._startDate;
    }
    ;
    /**
     * Sets the startDate property value. Start of the term.
     * @param value Value to set for the startDate property.
     */
    set startDate(value) {
        this._startDate = value;
    }
    ;
}
exports.EducationTerm = EducationTerm;
