"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EducationUser = void 0;
const createAssignedLicenseFromDiscriminatorValue_1 = require("./createAssignedLicenseFromDiscriminatorValue");
const createAssignedPlanFromDiscriminatorValue_1 = require("./createAssignedPlanFromDiscriminatorValue");
const createEducationAssignmentFromDiscriminatorValue_1 = require("./createEducationAssignmentFromDiscriminatorValue");
const createEducationClassFromDiscriminatorValue_1 = require("./createEducationClassFromDiscriminatorValue");
const createEducationOnPremisesInfoFromDiscriminatorValue_1 = require("./createEducationOnPremisesInfoFromDiscriminatorValue");
const createEducationRubricFromDiscriminatorValue_1 = require("./createEducationRubricFromDiscriminatorValue");
const createEducationSchoolFromDiscriminatorValue_1 = require("./createEducationSchoolFromDiscriminatorValue");
const createEducationStudentFromDiscriminatorValue_1 = require("./createEducationStudentFromDiscriminatorValue");
const createEducationTeacherFromDiscriminatorValue_1 = require("./createEducationTeacherFromDiscriminatorValue");
const createIdentitySetFromDiscriminatorValue_1 = require("./createIdentitySetFromDiscriminatorValue");
const createPasswordProfileFromDiscriminatorValue_1 = require("./createPasswordProfileFromDiscriminatorValue");
const createPhysicalAddressFromDiscriminatorValue_1 = require("./createPhysicalAddressFromDiscriminatorValue");
const createProvisionedPlanFromDiscriminatorValue_1 = require("./createProvisionedPlanFromDiscriminatorValue");
const createRelatedContactFromDiscriminatorValue_1 = require("./createRelatedContactFromDiscriminatorValue");
const createUserFromDiscriminatorValue_1 = require("./createUserFromDiscriminatorValue");
const educationExternalSource_1 = require("./educationExternalSource");
const educationUserRole_1 = require("./educationUserRole");
const index_1 = require("./index");
/** Provides operations to manage the educationRoot singleton. */
class EducationUser extends index_1.Entity {
    /**
     * Instantiates a new educationUser and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the accountEnabled property value. True if the account is enabled; otherwise, false. This property is required when a user is created. Supports /$filter.
     * @returns a boolean
     */
    get accountEnabled() {
        return this._accountEnabled;
    }
    ;
    /**
     * Sets the accountEnabled property value. True if the account is enabled; otherwise, false. This property is required when a user is created. Supports /$filter.
     * @param value Value to set for the accountEnabled property.
     */
    set accountEnabled(value) {
        this._accountEnabled = value;
    }
    ;
    /**
     * Gets the assignedLicenses property value. The licenses that are assigned to the user. Not nullable.
     * @returns a assignedLicense
     */
    get assignedLicenses() {
        return this._assignedLicenses;
    }
    ;
    /**
     * Sets the assignedLicenses property value. The licenses that are assigned to the user. Not nullable.
     * @param value Value to set for the assignedLicenses property.
     */
    set assignedLicenses(value) {
        this._assignedLicenses = value;
    }
    ;
    /**
     * Gets the assignedPlans property value. The plans that are assigned to the user. Read-only. Not nullable.
     * @returns a assignedPlan
     */
    get assignedPlans() {
        return this._assignedPlans;
    }
    ;
    /**
     * Sets the assignedPlans property value. The plans that are assigned to the user. Read-only. Not nullable.
     * @param value Value to set for the assignedPlans property.
     */
    set assignedPlans(value) {
        this._assignedPlans = value;
    }
    ;
    /**
     * Gets the assignments property value. List of assignments for the user. Nullable.
     * @returns a educationAssignment
     */
    get assignments() {
        return this._assignments;
    }
    ;
    /**
     * Sets the assignments property value. List of assignments for the user. Nullable.
     * @param value Value to set for the assignments property.
     */
    set assignments(value) {
        this._assignments = value;
    }
    ;
    /**
     * Gets the businessPhones property value. The telephone numbers for the user. Note: Although this is a string collection, only one number can be set for this property.
     * @returns a string
     */
    get businessPhones() {
        return this._businessPhones;
    }
    ;
    /**
     * Sets the businessPhones property value. The telephone numbers for the user. Note: Although this is a string collection, only one number can be set for this property.
     * @param value Value to set for the businessPhones property.
     */
    set businessPhones(value) {
        this._businessPhones = value;
    }
    ;
    /**
     * Gets the classes property value. Classes to which the user belongs. Nullable.
     * @returns a educationClass
     */
    get classes() {
        return this._classes;
    }
    ;
    /**
     * Sets the classes property value. Classes to which the user belongs. Nullable.
     * @param value Value to set for the classes property.
     */
    set classes(value) {
        this._classes = value;
    }
    ;
    ;
    /**
     * Gets the createdBy property value. Entity who created the user.
     * @returns a identitySet
     */
    get createdBy() {
        return this._createdBy;
    }
    ;
    /**
     * Sets the createdBy property value. Entity who created the user.
     * @param value Value to set for the createdBy property.
     */
    set createdBy(value) {
        this._createdBy = value;
    }
    ;
    /**
     * Gets the department property value. The name for the department in which the user works. Supports /$filter.
     * @returns a string
     */
    get department() {
        return this._department;
    }
    ;
    /**
     * Sets the department property value. The name for the department in which the user works. Supports /$filter.
     * @param value Value to set for the department property.
     */
    set department(value) {
        this._department = value;
    }
    ;
    /**
     * Gets the displayName property value. The name displayed in the address book for the user. Supports $filter and $orderby.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. The name displayed in the address book for the user. Supports $filter and $orderby.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * Gets the externalSource property value. The type of external source this resource was generated from (automatically determined from externalSourceDetail). Possible values are: sis, lms, or manual.
     * @returns a educationExternalSource
     */
    get externalSource() {
        return this._externalSource;
    }
    ;
    /**
     * Sets the externalSource property value. The type of external source this resource was generated from (automatically determined from externalSourceDetail). Possible values are: sis, lms, or manual.
     * @param value Value to set for the externalSource property.
     */
    set externalSource(value) {
        this._externalSource = value;
    }
    ;
    /**
     * Gets the externalSourceDetail property value. The name of the external source this resources was generated from.
     * @returns a string
     */
    get externalSourceDetail() {
        return this._externalSourceDetail;
    }
    ;
    /**
     * Sets the externalSourceDetail property value. The name of the external source this resources was generated from.
     * @param value Value to set for the externalSourceDetail property.
     */
    set externalSourceDetail(value) {
        this._externalSourceDetail = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "accountEnabled": n => { this.accountEnabled = n.getBooleanValue(); }, "assignedLicenses": n => { this.assignedLicenses = n.getCollectionOfObjectValues(createAssignedLicenseFromDiscriminatorValue_1.createAssignedLicenseFromDiscriminatorValue); }, "assignedPlans": n => { this.assignedPlans = n.getCollectionOfObjectValues(createAssignedPlanFromDiscriminatorValue_1.createAssignedPlanFromDiscriminatorValue); }, "assignments": n => { this.assignments = n.getCollectionOfObjectValues(createEducationAssignmentFromDiscriminatorValue_1.createEducationAssignmentFromDiscriminatorValue); }, "businessPhones": n => { this.businessPhones = n.getCollectionOfPrimitiveValues(); }, "classes": n => { this.classes = n.getCollectionOfObjectValues(createEducationClassFromDiscriminatorValue_1.createEducationClassFromDiscriminatorValue); }, "createdBy": n => { this.createdBy = n.getObjectValue(createIdentitySetFromDiscriminatorValue_1.createIdentitySetFromDiscriminatorValue); }, "department": n => { this.department = n.getStringValue(); }, "displayName": n => { this.displayName = n.getStringValue(); }, "externalSource": n => { this.externalSource = n.getEnumValue(educationExternalSource_1.EducationExternalSource); }, "externalSourceDetail": n => { this.externalSourceDetail = n.getStringValue(); }, "givenName": n => { this.givenName = n.getStringValue(); }, "mail": n => { this.mail = n.getStringValue(); }, "mailingAddress": n => { this.mailingAddress = n.getObjectValue(createPhysicalAddressFromDiscriminatorValue_1.createPhysicalAddressFromDiscriminatorValue); }, "mailNickname": n => { this.mailNickname = n.getStringValue(); }, "middleName": n => { this.middleName = n.getStringValue(); }, "mobilePhone": n => { this.mobilePhone = n.getStringValue(); }, "officeLocation": n => { this.officeLocation = n.getStringValue(); }, "onPremisesInfo": n => { this.onPremisesInfo = n.getObjectValue(createEducationOnPremisesInfoFromDiscriminatorValue_1.createEducationOnPremisesInfoFromDiscriminatorValue); }, "passwordPolicies": n => { this.passwordPolicies = n.getStringValue(); }, "passwordProfile": n => { this.passwordProfile = n.getObjectValue(createPasswordProfileFromDiscriminatorValue_1.createPasswordProfileFromDiscriminatorValue); }, "preferredLanguage": n => { this.preferredLanguage = n.getStringValue(); }, "primaryRole": n => { this.primaryRole = n.getEnumValue(educationUserRole_1.EducationUserRole); }, "provisionedPlans": n => { this.provisionedPlans = n.getCollectionOfObjectValues(createProvisionedPlanFromDiscriminatorValue_1.createProvisionedPlanFromDiscriminatorValue); }, "refreshTokensValidFromDateTime": n => { this.refreshTokensValidFromDateTime = n.getDateValue(); }, "relatedContacts": n => { this.relatedContacts = n.getCollectionOfObjectValues(createRelatedContactFromDiscriminatorValue_1.createRelatedContactFromDiscriminatorValue); }, "residenceAddress": n => { this.residenceAddress = n.getObjectValue(createPhysicalAddressFromDiscriminatorValue_1.createPhysicalAddressFromDiscriminatorValue); }, "rubrics": n => { this.rubrics = n.getCollectionOfObjectValues(createEducationRubricFromDiscriminatorValue_1.createEducationRubricFromDiscriminatorValue); }, "schools": n => { this.schools = n.getCollectionOfObjectValues(createEducationSchoolFromDiscriminatorValue_1.createEducationSchoolFromDiscriminatorValue); }, "showInAddressList": n => { this.showInAddressList = n.getBooleanValue(); }, "student": n => { this.student = n.getObjectValue(createEducationStudentFromDiscriminatorValue_1.createEducationStudentFromDiscriminatorValue); }, "surname": n => { this.surname = n.getStringValue(); }, "taughtClasses": n => { this.taughtClasses = n.getCollectionOfObjectValues(createEducationClassFromDiscriminatorValue_1.createEducationClassFromDiscriminatorValue); }, "teacher": n => { this.teacher = n.getObjectValue(createEducationTeacherFromDiscriminatorValue_1.createEducationTeacherFromDiscriminatorValue); }, "usageLocation": n => { this.usageLocation = n.getStringValue(); }, "user": n => { this.user = n.getObjectValue(createUserFromDiscriminatorValue_1.createUserFromDiscriminatorValue); }, "userPrincipalName": n => { this.userPrincipalName = n.getStringValue(); }, "userType": n => { this.userType = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the givenName property value. The given name (first name) of the user. Supports /$filter.
     * @returns a string
     */
    get givenName() {
        return this._givenName;
    }
    ;
    /**
     * Sets the givenName property value. The given name (first name) of the user. Supports /$filter.
     * @param value Value to set for the givenName property.
     */
    set givenName(value) {
        this._givenName = value;
    }
    ;
    /**
     * Gets the mail property value. The SMTP address for the user; for example, 'jeff@contoso.onmicrosoft.com'. Read-Only. Supports /$filter.
     * @returns a string
     */
    get mail() {
        return this._mail;
    }
    ;
    /**
     * Sets the mail property value. The SMTP address for the user; for example, 'jeff@contoso.onmicrosoft.com'. Read-Only. Supports /$filter.
     * @param value Value to set for the mail property.
     */
    set mail(value) {
        this._mail = value;
    }
    ;
    /**
     * Gets the mailingAddress property value. Mail address of user. Note: type and postOfficeBox are not supported for educationUser resources.
     * @returns a physicalAddress
     */
    get mailingAddress() {
        return this._mailingAddress;
    }
    ;
    /**
     * Sets the mailingAddress property value. Mail address of user. Note: type and postOfficeBox are not supported for educationUser resources.
     * @param value Value to set for the mailingAddress property.
     */
    set mailingAddress(value) {
        this._mailingAddress = value;
    }
    ;
    /**
     * Gets the mailNickname property value. The mail alias for the user. This property must be specified when a user is created. Supports /$filter.
     * @returns a string
     */
    get mailNickname() {
        return this._mailNickname;
    }
    ;
    /**
     * Sets the mailNickname property value. The mail alias for the user. This property must be specified when a user is created. Supports /$filter.
     * @param value Value to set for the mailNickname property.
     */
    set mailNickname(value) {
        this._mailNickname = value;
    }
    ;
    /**
     * Gets the middleName property value. The middle name of user.
     * @returns a string
     */
    get middleName() {
        return this._middleName;
    }
    ;
    /**
     * Sets the middleName property value. The middle name of user.
     * @param value Value to set for the middleName property.
     */
    set middleName(value) {
        this._middleName = value;
    }
    ;
    /**
     * Gets the mobilePhone property value. The primary cellular telephone number for the user.
     * @returns a string
     */
    get mobilePhone() {
        return this._mobilePhone;
    }
    ;
    /**
     * Sets the mobilePhone property value. The primary cellular telephone number for the user.
     * @param value Value to set for the mobilePhone property.
     */
    set mobilePhone(value) {
        this._mobilePhone = value;
    }
    ;
    /**
     * Gets the officeLocation property value. The officeLocation property
     * @returns a string
     */
    get officeLocation() {
        return this._officeLocation;
    }
    ;
    /**
     * Sets the officeLocation property value. The officeLocation property
     * @param value Value to set for the officeLocation property.
     */
    set officeLocation(value) {
        this._officeLocation = value;
    }
    ;
    /**
     * Gets the onPremisesInfo property value. Additional information used to associate the AAD user with it's Active Directory counterpart.
     * @returns a educationOnPremisesInfo
     */
    get onPremisesInfo() {
        return this._onPremisesInfo;
    }
    ;
    /**
     * Sets the onPremisesInfo property value. Additional information used to associate the AAD user with it's Active Directory counterpart.
     * @param value Value to set for the onPremisesInfo property.
     */
    set onPremisesInfo(value) {
        this._onPremisesInfo = value;
    }
    ;
    /**
     * Gets the passwordPolicies property value. Specifies password policies for the user. See standard [user] resource for additional details.
     * @returns a string
     */
    get passwordPolicies() {
        return this._passwordPolicies;
    }
    ;
    /**
     * Sets the passwordPolicies property value. Specifies password policies for the user. See standard [user] resource for additional details.
     * @param value Value to set for the passwordPolicies property.
     */
    set passwordPolicies(value) {
        this._passwordPolicies = value;
    }
    ;
    /**
     * Gets the passwordProfile property value. Specifies the password profile for the user. The profile contains the user's password. This property is required when a user is created. See standard [user] resource for additional details.
     * @returns a passwordProfile
     */
    get passwordProfile() {
        return this._passwordProfile;
    }
    ;
    /**
     * Sets the passwordProfile property value. Specifies the password profile for the user. The profile contains the user's password. This property is required when a user is created. See standard [user] resource for additional details.
     * @param value Value to set for the passwordProfile property.
     */
    set passwordProfile(value) {
        this._passwordProfile = value;
    }
    ;
    /**
     * Gets the preferredLanguage property value. The preferred language for the user. Should follow ISO 639-1 Code; for example, 'en-US'.
     * @returns a string
     */
    get preferredLanguage() {
        return this._preferredLanguage;
    }
    ;
    /**
     * Sets the preferredLanguage property value. The preferred language for the user. Should follow ISO 639-1 Code; for example, 'en-US'.
     * @param value Value to set for the preferredLanguage property.
     */
    set preferredLanguage(value) {
        this._preferredLanguage = value;
    }
    ;
    /**
     * Gets the primaryRole property value. Default role for a user. The user's role might be different in an individual class. Possible values are: student, teacher, faculty. Supports /$filter.
     * @returns a educationUserRole
     */
    get primaryRole() {
        return this._primaryRole;
    }
    ;
    /**
     * Sets the primaryRole property value. Default role for a user. The user's role might be different in an individual class. Possible values are: student, teacher, faculty. Supports /$filter.
     * @param value Value to set for the primaryRole property.
     */
    set primaryRole(value) {
        this._primaryRole = value;
    }
    ;
    /**
     * Gets the provisionedPlans property value. The plans that are provisioned for the user. Read-only. Not nullable.
     * @returns a provisionedPlan
     */
    get provisionedPlans() {
        return this._provisionedPlans;
    }
    ;
    /**
     * Sets the provisionedPlans property value. The plans that are provisioned for the user. Read-only. Not nullable.
     * @param value Value to set for the provisionedPlans property.
     */
    set provisionedPlans(value) {
        this._provisionedPlans = value;
    }
    ;
    /**
     * Gets the refreshTokensValidFromDateTime property value. The refreshTokensValidFromDateTime property
     * @returns a Date
     */
    get refreshTokensValidFromDateTime() {
        return this._refreshTokensValidFromDateTime;
    }
    ;
    /**
     * Sets the refreshTokensValidFromDateTime property value. The refreshTokensValidFromDateTime property
     * @param value Value to set for the refreshTokensValidFromDateTime property.
     */
    set refreshTokensValidFromDateTime(value) {
        this._refreshTokensValidFromDateTime = value;
    }
    ;
    /**
     * Gets the relatedContacts property value. Related records related to the user. Possible relationships are parent, relative, aide, doctor, guardian, child, other, unknownFutureValue
     * @returns a relatedContact
     */
    get relatedContacts() {
        return this._relatedContacts;
    }
    ;
    /**
     * Sets the relatedContacts property value. Related records related to the user. Possible relationships are parent, relative, aide, doctor, guardian, child, other, unknownFutureValue
     * @param value Value to set for the relatedContacts property.
     */
    set relatedContacts(value) {
        this._relatedContacts = value;
    }
    ;
    /**
     * Gets the residenceAddress property value. Address where user lives. Note: type and postOfficeBox are not supported for educationUser resources.
     * @returns a physicalAddress
     */
    get residenceAddress() {
        return this._residenceAddress;
    }
    ;
    /**
     * Sets the residenceAddress property value. Address where user lives. Note: type and postOfficeBox are not supported for educationUser resources.
     * @param value Value to set for the residenceAddress property.
     */
    set residenceAddress(value) {
        this._residenceAddress = value;
    }
    ;
    /**
     * Gets the rubrics property value. When set, the grading rubric attached to the assignment.
     * @returns a educationRubric
     */
    get rubrics() {
        return this._rubrics;
    }
    ;
    /**
     * Sets the rubrics property value. When set, the grading rubric attached to the assignment.
     * @param value Value to set for the rubrics property.
     */
    set rubrics(value) {
        this._rubrics = value;
    }
    ;
    /**
     * Gets the schools property value. Schools to which the user belongs. Nullable.
     * @returns a educationSchool
     */
    get schools() {
        return this._schools;
    }
    ;
    /**
     * Sets the schools property value. Schools to which the user belongs. Nullable.
     * @param value Value to set for the schools property.
     */
    set schools(value) {
        this._schools = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeBooleanValue("accountEnabled", this.accountEnabled);
        writer.writeCollectionOfObjectValues("assignedLicenses", this.assignedLicenses);
        writer.writeCollectionOfObjectValues("assignedPlans", this.assignedPlans);
        writer.writeCollectionOfObjectValues("assignments", this.assignments);
        writer.writeCollectionOfPrimitiveValues("businessPhones", this.businessPhones);
        writer.writeCollectionOfObjectValues("classes", this.classes);
        writer.writeObjectValue("createdBy", this.createdBy);
        writer.writeStringValue("department", this.department);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeEnumValue("externalSource", this.externalSource);
        writer.writeStringValue("externalSourceDetail", this.externalSourceDetail);
        writer.writeStringValue("givenName", this.givenName);
        writer.writeStringValue("mail", this.mail);
        writer.writeObjectValue("mailingAddress", this.mailingAddress);
        writer.writeStringValue("mailNickname", this.mailNickname);
        writer.writeStringValue("middleName", this.middleName);
        writer.writeStringValue("mobilePhone", this.mobilePhone);
        writer.writeStringValue("officeLocation", this.officeLocation);
        writer.writeObjectValue("onPremisesInfo", this.onPremisesInfo);
        writer.writeStringValue("passwordPolicies", this.passwordPolicies);
        writer.writeObjectValue("passwordProfile", this.passwordProfile);
        writer.writeStringValue("preferredLanguage", this.preferredLanguage);
        writer.writeEnumValue("primaryRole", this.primaryRole);
        writer.writeCollectionOfObjectValues("provisionedPlans", this.provisionedPlans);
        writer.writeDateValue("refreshTokensValidFromDateTime", this.refreshTokensValidFromDateTime);
        writer.writeCollectionOfObjectValues("relatedContacts", this.relatedContacts);
        writer.writeObjectValue("residenceAddress", this.residenceAddress);
        writer.writeCollectionOfObjectValues("rubrics", this.rubrics);
        writer.writeCollectionOfObjectValues("schools", this.schools);
        writer.writeBooleanValue("showInAddressList", this.showInAddressList);
        writer.writeObjectValue("student", this.student);
        writer.writeStringValue("surname", this.surname);
        writer.writeCollectionOfObjectValues("taughtClasses", this.taughtClasses);
        writer.writeObjectValue("teacher", this.teacher);
        writer.writeStringValue("usageLocation", this.usageLocation);
        writer.writeObjectValue("user", this.user);
        writer.writeStringValue("userPrincipalName", this.userPrincipalName);
        writer.writeStringValue("userType", this.userType);
    }
    ;
    /**
     * Gets the showInAddressList property value. True if the Outlook Global Address List should contain this user; otherwise, false. If not set, this will be treated as true. For users invited through the invitation manager, this property will be set to false.
     * @returns a boolean
     */
    get showInAddressList() {
        return this._showInAddressList;
    }
    ;
    /**
     * Sets the showInAddressList property value. True if the Outlook Global Address List should contain this user; otherwise, false. If not set, this will be treated as true. For users invited through the invitation manager, this property will be set to false.
     * @param value Value to set for the showInAddressList property.
     */
    set showInAddressList(value) {
        this._showInAddressList = value;
    }
    ;
    /**
     * Gets the student property value. If the primary role is student, this block will contain student specific data.
     * @returns a educationStudent
     */
    get student() {
        return this._student;
    }
    ;
    /**
     * Sets the student property value. If the primary role is student, this block will contain student specific data.
     * @param value Value to set for the student property.
     */
    set student(value) {
        this._student = value;
    }
    ;
    /**
     * Gets the surname property value. The user's surname (family name or last name). Supports /$filter.
     * @returns a string
     */
    get surname() {
        return this._surname;
    }
    ;
    /**
     * Sets the surname property value. The user's surname (family name or last name). Supports /$filter.
     * @param value Value to set for the surname property.
     */
    set surname(value) {
        this._surname = value;
    }
    ;
    /**
     * Gets the taughtClasses property value. Classes for which the user is a teacher.
     * @returns a educationClass
     */
    get taughtClasses() {
        return this._taughtClasses;
    }
    ;
    /**
     * Sets the taughtClasses property value. Classes for which the user is a teacher.
     * @param value Value to set for the taughtClasses property.
     */
    set taughtClasses(value) {
        this._taughtClasses = value;
    }
    ;
    /**
     * Gets the teacher property value. If the primary role is teacher, this block will contain teacher specific data.
     * @returns a educationTeacher
     */
    get teacher() {
        return this._teacher;
    }
    ;
    /**
     * Sets the teacher property value. If the primary role is teacher, this block will contain teacher specific data.
     * @param value Value to set for the teacher property.
     */
    set teacher(value) {
        this._teacher = value;
    }
    ;
    /**
     * Gets the usageLocation property value. A two-letter country code ([ISO 3166 Alpha-2]). Required for users who will be assigned licenses. Not nullable. Supports /$filter.
     * @returns a string
     */
    get usageLocation() {
        return this._usageLocation;
    }
    ;
    /**
     * Sets the usageLocation property value. A two-letter country code ([ISO 3166 Alpha-2]). Required for users who will be assigned licenses. Not nullable. Supports /$filter.
     * @param value Value to set for the usageLocation property.
     */
    set usageLocation(value) {
        this._usageLocation = value;
    }
    ;
    /**
     * Gets the user property value. The directory user that corresponds to this user.
     * @returns a user
     */
    get user() {
        return this._user;
    }
    ;
    /**
     * Sets the user property value. The directory user that corresponds to this user.
     * @param value Value to set for the user property.
     */
    set user(value) {
        this._user = value;
    }
    ;
    /**
     * Gets the userPrincipalName property value. The user principal name (UPN) for the user. Supports $filter and $orderby. See standard [user] resource for additional details.
     * @returns a string
     */
    get userPrincipalName() {
        return this._userPrincipalName;
    }
    ;
    /**
     * Sets the userPrincipalName property value. The user principal name (UPN) for the user. Supports $filter and $orderby. See standard [user] resource for additional details.
     * @param value Value to set for the userPrincipalName property.
     */
    set userPrincipalName(value) {
        this._userPrincipalName = value;
    }
    ;
    /**
     * Gets the userType property value. A string value that can be used to classify user types in your directory, such as 'Member' and 'Guest'. Supports /$filter.
     * @returns a string
     */
    get userType() {
        return this._userType;
    }
    ;
    /**
     * Sets the userType property value. A string value that can be used to classify user types in your directory, such as 'Member' and 'Guest'. Supports /$filter.
     * @param value Value to set for the userType property.
     */
    set userType(value) {
        this._userType = value;
    }
    ;
}
exports.EducationUser = EducationUser;
