import { DirectoryObject } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to call the instantiate method. */
export declare class Endpoint extends DirectoryObject implements Parsable {
    /** Describes the capability that is associated with this resource. (e.g. Messages, Conversations, etc.) Not nullable. Read-only. */
    private _capability?;
    /** Application id of the publishing underlying service. Not nullable. Read-only. */
    private _providerId?;
    /** Name of the publishing underlying service. Read-only. */
    private _providerName?;
    /** For Microsoft 365 groups, this is set to a well-known name for the resource (e.g. Yammer.FeedURL etc.). Not nullable. Read-only. */
    private _providerResourceId?;
    /** URL of the published resource. Not nullable. Read-only. */
    private _uri?;
    /**
     * Gets the capability property value. Describes the capability that is associated with this resource. (e.g. Messages, Conversations, etc.) Not nullable. Read-only.
     * @returns a string
     */
    get capability(): string | undefined;
    /**
     * Sets the capability property value. Describes the capability that is associated with this resource. (e.g. Messages, Conversations, etc.) Not nullable. Read-only.
     * @param value Value to set for the capability property.
     */
    set capability(value: string | undefined);
    /**
     * Instantiates a new endpoint and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the providerId property value. Application id of the publishing underlying service. Not nullable. Read-only.
     * @returns a string
     */
    get providerId(): string | undefined;
    /**
     * Sets the providerId property value. Application id of the publishing underlying service. Not nullable. Read-only.
     * @param value Value to set for the providerId property.
     */
    set providerId(value: string | undefined);
    /**
     * Gets the providerName property value. Name of the publishing underlying service. Read-only.
     * @returns a string
     */
    get providerName(): string | undefined;
    /**
     * Sets the providerName property value. Name of the publishing underlying service. Read-only.
     * @param value Value to set for the providerName property.
     */
    set providerName(value: string | undefined);
    /**
     * Gets the providerResourceId property value. For Microsoft 365 groups, this is set to a well-known name for the resource (e.g. Yammer.FeedURL etc.). Not nullable. Read-only.
     * @returns a string
     */
    get providerResourceId(): string | undefined;
    /**
     * Sets the providerResourceId property value. For Microsoft 365 groups, this is set to a well-known name for the resource (e.g. Yammer.FeedURL etc.). Not nullable. Read-only.
     * @param value Value to set for the providerResourceId property.
     */
    set providerResourceId(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the uri property value. URL of the published resource. Not nullable. Read-only.
     * @returns a string
     */
    get uri(): string | undefined;
    /**
     * Sets the uri property value. URL of the published resource. Not nullable. Read-only.
     * @param value Value to set for the uri property.
     */
    set uri(value: string | undefined);
}
