"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EntitlementManagement = void 0;
const createAccessPackageAssignmentFromDiscriminatorValue_1 = require("./createAccessPackageAssignmentFromDiscriminatorValue");
const createAccessPackageAssignmentPolicyFromDiscriminatorValue_1 = require("./createAccessPackageAssignmentPolicyFromDiscriminatorValue");
const createAccessPackageAssignmentRequestFromDiscriminatorValue_1 = require("./createAccessPackageAssignmentRequestFromDiscriminatorValue");
const createAccessPackageCatalogFromDiscriminatorValue_1 = require("./createAccessPackageCatalogFromDiscriminatorValue");
const createAccessPackageFromDiscriminatorValue_1 = require("./createAccessPackageFromDiscriminatorValue");
const createApprovalFromDiscriminatorValue_1 = require("./createApprovalFromDiscriminatorValue");
const createConnectedOrganizationFromDiscriminatorValue_1 = require("./createConnectedOrganizationFromDiscriminatorValue");
const createEntitlementManagementSettingsFromDiscriminatorValue_1 = require("./createEntitlementManagementSettingsFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the identityGovernance singleton. */
class EntitlementManagement extends index_1.Entity {
    /**
     * Instantiates a new entitlementManagement and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the accessPackageAssignmentApprovals property value. Approval stages for assignment requests.
     * @returns a approval
     */
    get accessPackageAssignmentApprovals() {
        return this._accessPackageAssignmentApprovals;
    }
    ;
    /**
     * Sets the accessPackageAssignmentApprovals property value. Approval stages for assignment requests.
     * @param value Value to set for the accessPackageAssignmentApprovals property.
     */
    set accessPackageAssignmentApprovals(value) {
        this._accessPackageAssignmentApprovals = value;
    }
    ;
    /**
     * Gets the accessPackages property value. Represents access package objects.
     * @returns a accessPackage
     */
    get accessPackages() {
        return this._accessPackages;
    }
    ;
    /**
     * Sets the accessPackages property value. Represents access package objects.
     * @param value Value to set for the accessPackages property.
     */
    set accessPackages(value) {
        this._accessPackages = value;
    }
    ;
    /**
     * Gets the assignmentPolicies property value. Access package assignment policies.
     * @returns a accessPackageAssignmentPolicy
     */
    get assignmentPolicies() {
        return this._assignmentPolicies;
    }
    ;
    /**
     * Sets the assignmentPolicies property value. Access package assignment policies.
     * @param value Value to set for the assignmentPolicies property.
     */
    set assignmentPolicies(value) {
        this._assignmentPolicies = value;
    }
    ;
    /**
     * Gets the assignmentRequests property value. Represents access package assignment requests created by or on behalf of a user.
     * @returns a accessPackageAssignmentRequest
     */
    get assignmentRequests() {
        return this._assignmentRequests;
    }
    ;
    /**
     * Sets the assignmentRequests property value. Represents access package assignment requests created by or on behalf of a user.
     * @param value Value to set for the assignmentRequests property.
     */
    set assignmentRequests(value) {
        this._assignmentRequests = value;
    }
    ;
    /**
     * Gets the assignments property value. Represents the grant of an access package to a subject (user or group).
     * @returns a accessPackageAssignment
     */
    get assignments() {
        return this._assignments;
    }
    ;
    /**
     * Sets the assignments property value. Represents the grant of an access package to a subject (user or group).
     * @param value Value to set for the assignments property.
     */
    set assignments(value) {
        this._assignments = value;
    }
    ;
    /**
     * Gets the catalogs property value. Represents a collection of access packages.
     * @returns a accessPackageCatalog
     */
    get catalogs() {
        return this._catalogs;
    }
    ;
    /**
     * Sets the catalogs property value. Represents a collection of access packages.
     * @param value Value to set for the catalogs property.
     */
    set catalogs(value) {
        this._catalogs = value;
    }
    ;
    /**
     * Gets the connectedOrganizations property value. Represents references to a directory or domain of another organization whose users can request access.
     * @returns a connectedOrganization
     */
    get connectedOrganizations() {
        return this._connectedOrganizations;
    }
    ;
    /**
     * Sets the connectedOrganizations property value. Represents references to a directory or domain of another organization whose users can request access.
     * @param value Value to set for the connectedOrganizations property.
     */
    set connectedOrganizations(value) {
        this._connectedOrganizations = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "accessPackageAssignmentApprovals": n => { this.accessPackageAssignmentApprovals = n.getCollectionOfObjectValues(createApprovalFromDiscriminatorValue_1.createApprovalFromDiscriminatorValue); }, "accessPackages": n => { this.accessPackages = n.getCollectionOfObjectValues(createAccessPackageFromDiscriminatorValue_1.createAccessPackageFromDiscriminatorValue); }, "assignmentPolicies": n => { this.assignmentPolicies = n.getCollectionOfObjectValues(createAccessPackageAssignmentPolicyFromDiscriminatorValue_1.createAccessPackageAssignmentPolicyFromDiscriminatorValue); }, "assignmentRequests": n => { this.assignmentRequests = n.getCollectionOfObjectValues(createAccessPackageAssignmentRequestFromDiscriminatorValue_1.createAccessPackageAssignmentRequestFromDiscriminatorValue); }, "assignments": n => { this.assignments = n.getCollectionOfObjectValues(createAccessPackageAssignmentFromDiscriminatorValue_1.createAccessPackageAssignmentFromDiscriminatorValue); }, "catalogs": n => { this.catalogs = n.getCollectionOfObjectValues(createAccessPackageCatalogFromDiscriminatorValue_1.createAccessPackageCatalogFromDiscriminatorValue); }, "connectedOrganizations": n => { this.connectedOrganizations = n.getCollectionOfObjectValues(createConnectedOrganizationFromDiscriminatorValue_1.createConnectedOrganizationFromDiscriminatorValue); }, "settings": n => { this.settings = n.getObjectValue(createEntitlementManagementSettingsFromDiscriminatorValue_1.createEntitlementManagementSettingsFromDiscriminatorValue); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("accessPackageAssignmentApprovals", this.accessPackageAssignmentApprovals);
        writer.writeCollectionOfObjectValues("accessPackages", this.accessPackages);
        writer.writeCollectionOfObjectValues("assignmentPolicies", this.assignmentPolicies);
        writer.writeCollectionOfObjectValues("assignmentRequests", this.assignmentRequests);
        writer.writeCollectionOfObjectValues("assignments", this.assignments);
        writer.writeCollectionOfObjectValues("catalogs", this.catalogs);
        writer.writeCollectionOfObjectValues("connectedOrganizations", this.connectedOrganizations);
        writer.writeObjectValue("settings", this.settings);
    }
    ;
    /**
     * Gets the settings property value. Represents the settings that control the behavior of Azure AD entitlement management.
     * @returns a entitlementManagementSettings
     */
    get settings() {
        return this._settings;
    }
    ;
    /**
     * Sets the settings property value. Represents the settings that control the behavior of Azure AD entitlement management.
     * @param value Value to set for the settings property.
     */
    set settings(value) {
        this._settings = value;
    }
    ;
}
exports.EntitlementManagement = EntitlementManagement;
