import { AccessPackageExternalUserLifecycleAction } from './accessPackageExternalUserLifecycleAction';
import { Entity } from './index';
import { Duration, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the identityGovernance singleton. */
export declare class EntitlementManagementSettings extends Entity implements Parsable {
    /** If externalUserLifecycleAction is blockSignInAndDelete, the duration, typically a number of days, after an external user is blocked from sign in before their account is deleted. */
    private _durationUntilExternalUserDeletedAfterBlocked?;
    /** One of None, BlockSignIn, or BlockSignInAndDelete. */
    private _externalUserLifecycleAction?;
    /**
     * Instantiates a new entitlementManagementSettings and sets the default values.
     */
    constructor();
    /**
     * Gets the durationUntilExternalUserDeletedAfterBlocked property value. If externalUserLifecycleAction is blockSignInAndDelete, the duration, typically a number of days, after an external user is blocked from sign in before their account is deleted.
     * @returns a Duration
     */
    get durationUntilExternalUserDeletedAfterBlocked(): Duration | undefined;
    /**
     * Sets the durationUntilExternalUserDeletedAfterBlocked property value. If externalUserLifecycleAction is blockSignInAndDelete, the duration, typically a number of days, after an external user is blocked from sign in before their account is deleted.
     * @param value Value to set for the durationUntilExternalUserDeletedAfterBlocked property.
     */
    set durationUntilExternalUserDeletedAfterBlocked(value: Duration | undefined);
    /**
     * Gets the externalUserLifecycleAction property value. One of None, BlockSignIn, or BlockSignInAndDelete.
     * @returns a accessPackageExternalUserLifecycleAction
     */
    get externalUserLifecycleAction(): AccessPackageExternalUserLifecycleAction | undefined;
    /**
     * Sets the externalUserLifecycleAction property value. One of None, BlockSignIn, or BlockSignInAndDelete.
     * @param value Value to set for the externalUserLifecycleAction property.
     */
    set externalUserLifecycleAction(value: AccessPackageExternalUserLifecycleAction | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
