"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExcludeTarget = void 0;
const authenticationMethodTargetType_1 = require("./authenticationMethodTargetType");
class ExcludeTarget {
    /**
     * Instantiates a new excludeTarget and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "id": n => { this.id = n.getStringValue(); },
            "targetType": n => { this.targetType = n.getEnumValue(authenticationMethodTargetType_1.AuthenticationMethodTargetType); },
        };
    }
    ;
    /**
     * Gets the id property value. The object identifier of an Azure AD user or group.
     * @returns a string
     */
    get id() {
        return this._id;
    }
    ;
    /**
     * Sets the id property value. The object identifier of an Azure AD user or group.
     * @param value Value to set for the id property.
     */
    set id(value) {
        this._id = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("id", this.id);
        writer.writeEnumValue("targetType", this.targetType);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the targetType property value. The type of the authentication method target. Possible values are: user, group, unknownFutureValue.
     * @returns a authenticationMethodTargetType
     */
    get targetType() {
        return this._targetType;
    }
    ;
    /**
     * Sets the targetType property value. The type of the authentication method target. Possible values are: user, group, unknownFutureValue.
     * @param value Value to set for the targetType property.
     */
    set targetType(value) {
        this._targetType = value;
    }
    ;
}
exports.ExcludeTarget = ExcludeTarget;
