"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConnectionOperation = void 0;
const __1 = require("../");
const createPublicErrorFromDiscriminatorValue_1 = require("../createPublicErrorFromDiscriminatorValue");
const connectionOperationStatus_1 = require("./connectionOperationStatus");
/** Provides operations to manage the collection of externalConnection entities. */
class ConnectionOperation extends __1.Entity {
    /**
     * Instantiates a new connectionOperation and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the error property value. If status is failed, provides more information about the error that caused the failure.
     * @returns a publicError
     */
    get error_escaped() {
        return this._error_escaped;
    }
    ;
    /**
     * Sets the error property value. If status is failed, provides more information about the error that caused the failure.
     * @param value Value to set for the error_escaped property.
     */
    set error_escaped(value) {
        this._error_escaped = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "error": n => { this.error_escaped = n.getObjectValue(createPublicErrorFromDiscriminatorValue_1.createPublicErrorFromDiscriminatorValue); }, "status": n => { this.status = n.getEnumValue(connectionOperationStatus_1.ConnectionOperationStatus); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("error", this.error_escaped);
        writer.writeEnumValue("status", this.status);
    }
    ;
    /**
     * Gets the status property value. Indicates the status of the asynchronous operation. Possible values are: unspecified, inprogress, completed, failed.
     * @returns a connectionOperationStatus
     */
    get status() {
        return this._status;
    }
    ;
    /**
     * Sets the status property value. Indicates the status of the asynchronous operation. Possible values are: unspecified, inprogress, completed, failed.
     * @param value Value to set for the status property.
     */
    set status(value) {
        this._status = value;
    }
    ;
}
exports.ConnectionOperation = ConnectionOperation;
