"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConnectionOperationCollectionResponse = void 0;
const createConnectionOperationFromDiscriminatorValue_1 = require("./createConnectionOperationFromDiscriminatorValue");
class ConnectionOperationCollectionResponse {
    /**
     * Instantiates a new ConnectionOperationCollectionResponse and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "@odata.nextLink": n => { this.nextLink = n.getStringValue(); },
            "value": n => { this.value = n.getCollectionOfObjectValues(createConnectionOperationFromDiscriminatorValue_1.createConnectionOperationFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Gets the @odata.nextLink property value. The nextLink property
     * @returns a string
     */
    get nextLink() {
        return this._nextLink;
    }
    ;
    /**
     * Sets the @odata.nextLink property value. The nextLink property
     * @param value Value to set for the nextLink property.
     */
    set nextLink(value) {
        this._nextLink = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("@odata.nextLink", this.nextLink);
        writer.writeCollectionOfObjectValues("value", this.value);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the value property value. The value property
     * @returns a connectionOperation
     */
    get value() {
        return this._value;
    }
    ;
    /**
     * Sets the value property value. The value property
     * @param value Value to set for the value property.
     */
    set value(value) {
        this._value = value;
    }
    ;
}
exports.ConnectionOperationCollectionResponse = ConnectionOperationCollectionResponse;
