import { Entity } from '../';
import { Identity } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the collection of externalConnection entities. */
export declare class ExternalGroup extends Entity implements Parsable {
    /** The description of the external group. Optional. */
    private _description?;
    /** The friendly name of the external group. Optional. */
    private _displayName?;
    /** A member added to an externalGroup. You can add Azure Active Directory users, Azure Active Directory groups, or other externalGroups as members. */
    private _members?;
    /**
     * Instantiates a new externalGroup and sets the default values.
     */
    constructor();
    /**
     * Gets the description property value. The description of the external group. Optional.
     * @returns a string
     */
    get description(): string | undefined;
    /**
     * Sets the description property value. The description of the external group. Optional.
     * @param value Value to set for the description property.
     */
    set description(value: string | undefined);
    /**
     * Gets the displayName property value. The friendly name of the external group. Optional.
     * @returns a string
     */
    get displayName(): string | undefined;
    /**
     * Sets the displayName property value. The friendly name of the external group. Optional.
     * @param value Value to set for the displayName property.
     */
    set displayName(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the members property value. A member added to an externalGroup. You can add Azure Active Directory users, Azure Active Directory groups, or other externalGroups as members.
     * @returns a identity
     */
    get members(): Identity[] | undefined;
    /**
     * Sets the members property value. A member added to an externalGroup. You can add Azure Active Directory users, Azure Active Directory groups, or other externalGroups as members.
     * @param value Value to set for the members property.
     */
    set members(value: Identity[] | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
