import { Entity } from '../';
import { Acl, ExternalItemContent, Properties } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the collection of externalConnection entities. */
export declare class ExternalItem extends Entity implements Parsable {
    /** An array of access control entries. Each entry specifies the access granted to a user or group. Required. */
    private _acl?;
    /** A plain-text  representation of the contents of the item. The text in this property is full-text indexed. Optional. */
    private _content?;
    /** A property bag with the properties of the item. The properties MUST conform to the schema defined for the externalConnection. Required. */
    private _properties?;
    /**
     * Gets the acl property value. An array of access control entries. Each entry specifies the access granted to a user or group. Required.
     * @returns a acl
     */
    get acl(): Acl[] | undefined;
    /**
     * Sets the acl property value. An array of access control entries. Each entry specifies the access granted to a user or group. Required.
     * @param value Value to set for the acl property.
     */
    set acl(value: Acl[] | undefined);
    /**
     * Instantiates a new externalItem and sets the default values.
     */
    constructor();
    /**
     * Gets the content property value. A plain-text  representation of the contents of the item. The text in this property is full-text indexed. Optional.
     * @returns a externalItemContent
     */
    get content(): ExternalItemContent | undefined;
    /**
     * Sets the content property value. A plain-text  representation of the contents of the item. The text in this property is full-text indexed. Optional.
     * @param value Value to set for the content property.
     */
    set content(value: ExternalItemContent | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the properties property value. A property bag with the properties of the item. The properties MUST conform to the schema defined for the externalConnection. Required.
     * @returns a properties
     */
    get properties(): Properties | undefined;
    /**
     * Sets the properties property value. A property bag with the properties of the item. The properties MUST conform to the schema defined for the externalConnection. Required.
     * @param value Value to set for the properties property.
     */
    set properties(value: Properties | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
