"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExternalItem = void 0;
const __1 = require("../");
const createAclFromDiscriminatorValue_1 = require("./createAclFromDiscriminatorValue");
const createExternalItemContentFromDiscriminatorValue_1 = require("./createExternalItemContentFromDiscriminatorValue");
const createPropertiesFromDiscriminatorValue_1 = require("./createPropertiesFromDiscriminatorValue");
/** Provides operations to manage the collection of externalConnection entities. */
class ExternalItem extends __1.Entity {
    /**
     * Instantiates a new externalItem and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the acl property value. An array of access control entries. Each entry specifies the access granted to a user or group. Required.
     * @returns a acl
     */
    get acl() {
        return this._acl;
    }
    ;
    /**
     * Sets the acl property value. An array of access control entries. Each entry specifies the access granted to a user or group. Required.
     * @param value Value to set for the acl property.
     */
    set acl(value) {
        this._acl = value;
    }
    ;
    ;
    /**
     * Gets the content property value. A plain-text  representation of the contents of the item. The text in this property is full-text indexed. Optional.
     * @returns a externalItemContent
     */
    get content() {
        return this._content;
    }
    ;
    /**
     * Sets the content property value. A plain-text  representation of the contents of the item. The text in this property is full-text indexed. Optional.
     * @param value Value to set for the content property.
     */
    set content(value) {
        this._content = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "acl": n => { this.acl = n.getCollectionOfObjectValues(createAclFromDiscriminatorValue_1.createAclFromDiscriminatorValue); }, "content": n => { this.content = n.getObjectValue(createExternalItemContentFromDiscriminatorValue_1.createExternalItemContentFromDiscriminatorValue); }, "properties": n => { this.properties = n.getObjectValue(createPropertiesFromDiscriminatorValue_1.createPropertiesFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the properties property value. A property bag with the properties of the item. The properties MUST conform to the schema defined for the externalConnection. Required.
     * @returns a properties
     */
    get properties() {
        return this._properties;
    }
    ;
    /**
     * Sets the properties property value. A property bag with the properties of the item. The properties MUST conform to the schema defined for the externalConnection. Required.
     * @param value Value to set for the properties property.
     */
    set properties(value) {
        this._properties = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("acl", this.acl);
        writer.writeObjectValue("content", this.content);
        writer.writeObjectValue("properties", this.properties);
    }
    ;
}
exports.ExternalItem = ExternalItem;
