"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Identity = void 0;
const __1 = require("../");
const identityType_1 = require("./identityType");
/** Provides operations to manage the collection of externalConnection entities. */
class Identity extends __1.Entity {
    /**
     * Instantiates a new identity and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "type": n => { this.type = n.getEnumValue(identityType_1.IdentityType); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeEnumValue("type", this.type);
    }
    ;
    /**
     * Gets the type property value. The type of identity. Possible values are: user or group for Azure AD identities and externalgroup for groups in an external system.
     * @returns a identityType
     */
    get type() {
        return this._type;
    }
    ;
    /**
     * Sets the type property value. The type of identity. Possible values are: user or group for Azure AD identities and externalgroup for groups in an external system.
     * @param value Value to set for the type property.
     */
    set type(value) {
        this._type = value;
    }
    ;
}
exports.Identity = Identity;
