import { Entity } from '../';
import { Property } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the collection of externalConnection entities. */
export declare class Schema extends Entity implements Parsable {
    /** Must be set to microsoft.graph.externalItem. Required. */
    private _baseType?;
    /** The properties defined for the items in the connection. The minimum number of properties is one, the maximum is 128. */
    private _properties?;
    /**
     * Gets the baseType property value. Must be set to microsoft.graph.externalItem. Required.
     * @returns a string
     */
    get baseType(): string | undefined;
    /**
     * Sets the baseType property value. Must be set to microsoft.graph.externalItem. Required.
     * @param value Value to set for the baseType property.
     */
    set baseType(value: string | undefined);
    /**
     * Instantiates a new schema and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the properties property value. The properties defined for the items in the connection. The minimum number of properties is one, the maximum is 128.
     * @returns a property
     */
    get properties(): Property[] | undefined;
    /**
     * Sets the properties property value. The properties defined for the items in the connection. The minimum number of properties is one, the maximum is 128.
     * @param value Value to set for the properties property.
     */
    set properties(value: Property[] | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
