"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExternalLink = void 0;
class ExternalLink {
    /**
     * Instantiates a new externalLink and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "href": n => { this.href = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the href property value. The url of the link.
     * @returns a string
     */
    get href() {
        return this._href;
    }
    ;
    /**
     * Sets the href property value. The url of the link.
     * @param value Value to set for the href property.
     */
    set href(value) {
        this._href = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("href", this.href);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.ExternalLink = ExternalLink;
