"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.File = void 0;
const createHashesFromDiscriminatorValue_1 = require("./createHashesFromDiscriminatorValue");
class File {
    /**
     * Instantiates a new file and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "hashes": n => { this.hashes = n.getObjectValue(createHashesFromDiscriminatorValue_1.createHashesFromDiscriminatorValue); },
            "mimeType": n => { this.mimeType = n.getStringValue(); },
            "processingMetadata": n => { this.processingMetadata = n.getBooleanValue(); },
        };
    }
    ;
    /**
     * Gets the hashes property value. Hashes of the file's binary content, if available. Read-only.
     * @returns a hashes
     */
    get hashes() {
        return this._hashes;
    }
    ;
    /**
     * Sets the hashes property value. Hashes of the file's binary content, if available. Read-only.
     * @param value Value to set for the hashes property.
     */
    set hashes(value) {
        this._hashes = value;
    }
    ;
    /**
     * Gets the mimeType property value. The MIME type for the file. This is determined by logic on the server and might not be the value provided when the file was uploaded. Read-only.
     * @returns a string
     */
    get mimeType() {
        return this._mimeType;
    }
    ;
    /**
     * Sets the mimeType property value. The MIME type for the file. This is determined by logic on the server and might not be the value provided when the file was uploaded. Read-only.
     * @param value Value to set for the mimeType property.
     */
    set mimeType(value) {
        this._mimeType = value;
    }
    ;
    /**
     * Gets the processingMetadata property value. The processingMetadata property
     * @returns a boolean
     */
    get processingMetadata() {
        return this._processingMetadata;
    }
    ;
    /**
     * Sets the processingMetadata property value. The processingMetadata property
     * @param value Value to set for the processingMetadata property.
     */
    set processingMetadata(value) {
        this._processingMetadata = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeObjectValue("hashes", this.hashes);
        writer.writeStringValue("mimeType", this.mimeType);
        writer.writeBooleanValue("processingMetadata", this.processingMetadata);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.File = File;
