"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FileHash = void 0;
const fileHashType_1 = require("./fileHashType");
class FileHash {
    /**
     * Instantiates a new fileHash and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "hashType": n => { this.hashType = n.getEnumValue(fileHashType_1.FileHashType); },
            "hashValue": n => { this.hashValue = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the hashType property value. File hash type. Possible values are: unknown, sha1, sha256, md5, authenticodeHash256, lsHash, ctph, peSha1, peSha256.
     * @returns a fileHashType
     */
    get hashType() {
        return this._hashType;
    }
    ;
    /**
     * Sets the hashType property value. File hash type. Possible values are: unknown, sha1, sha256, md5, authenticodeHash256, lsHash, ctph, peSha1, peSha256.
     * @param value Value to set for the hashType property.
     */
    set hashType(value) {
        this._hashType = value;
    }
    ;
    /**
     * Gets the hashValue property value. Value of the file hash.
     * @returns a string
     */
    get hashValue() {
        return this._hashValue;
    }
    ;
    /**
     * Sets the hashValue property value. Value of the file hash.
     * @param value Value to set for the hashValue property.
     */
    set hashValue(value) {
        this._hashValue = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeEnumValue("hashType", this.hashType);
        writer.writeStringValue("hashValue", this.hashValue);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.FileHash = FileHash;
