"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FileSecurityState = void 0;
const createFileHashFromDiscriminatorValue_1 = require("./createFileHashFromDiscriminatorValue");
class FileSecurityState {
    /**
     * Instantiates a new fileSecurityState and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the fileHash property value. Complex type containing file hashes (cryptographic and location-sensitive).
     * @returns a fileHash
     */
    get fileHash() {
        return this._fileHash;
    }
    ;
    /**
     * Sets the fileHash property value. Complex type containing file hashes (cryptographic and location-sensitive).
     * @param value Value to set for the fileHash property.
     */
    set fileHash(value) {
        this._fileHash = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "fileHash": n => { this.fileHash = n.getObjectValue(createFileHashFromDiscriminatorValue_1.createFileHashFromDiscriminatorValue); },
            "name": n => { this.name = n.getStringValue(); },
            "path": n => { this.path = n.getStringValue(); },
            "riskScore": n => { this.riskScore = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the name property value. File name (without path).
     * @returns a string
     */
    get name() {
        return this._name;
    }
    ;
    /**
     * Sets the name property value. File name (without path).
     * @param value Value to set for the name property.
     */
    set name(value) {
        this._name = value;
    }
    ;
    /**
     * Gets the path property value. Full file path of the file/imageFile.
     * @returns a string
     */
    get path() {
        return this._path;
    }
    ;
    /**
     * Sets the path property value. Full file path of the file/imageFile.
     * @param value Value to set for the path property.
     */
    set path(value) {
        this._path = value;
    }
    ;
    /**
     * Gets the riskScore property value. Provider generated/calculated risk score of the alert file. Recommended value range of 0-1, which equates to a percentage.
     * @returns a string
     */
    get riskScore() {
        return this._riskScore;
    }
    ;
    /**
     * Sets the riskScore property value. Provider generated/calculated risk score of the alert file. Recommended value range of 0-1, which equates to a percentage.
     * @param value Value to set for the riskScore property.
     */
    set riskScore(value) {
        this._riskScore = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeObjectValue("fileHash", this.fileHash);
        writer.writeStringValue("name", this.name);
        writer.writeStringValue("path", this.path);
        writer.writeStringValue("riskScore", this.riskScore);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.FileSecurityState = FileSecurityState;
