"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Folder = void 0;
const createFolderViewFromDiscriminatorValue_1 = require("./createFolderViewFromDiscriminatorValue");
class Folder {
    /**
     * Instantiates a new folder and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the childCount property value. Number of children contained immediately within this container.
     * @returns a integer
     */
    get childCount() {
        return this._childCount;
    }
    ;
    /**
     * Sets the childCount property value. Number of children contained immediately within this container.
     * @param value Value to set for the childCount property.
     */
    set childCount(value) {
        this._childCount = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "childCount": n => { this.childCount = n.getNumberValue(); },
            "view": n => { this.view = n.getObjectValue(createFolderViewFromDiscriminatorValue_1.createFolderViewFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeNumberValue("childCount", this.childCount);
        writer.writeObjectValue("view", this.view);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the view property value. A collection of properties defining the recommended view for the folder.
     * @returns a folderView
     */
    get view() {
        return this._view;
    }
    ;
    /**
     * Sets the view property value. A collection of properties defining the recommended view for the folder.
     * @param value Value to set for the view property.
     */
    set view(value) {
        this._view = value;
    }
    ;
}
exports.Folder = Folder;
