import { FollowupFlagStatus } from './followupFlagStatus';
import { DateTimeTimeZone } from './index';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class FollowupFlag implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The date and time that the follow-up was finished. */
    private _completedDateTime?;
    /** The date and time that the follow up is to be finished. Note: To set the due date, you must also specify the startDateTime; otherwise, you will get a 400 Bad Request response. */
    private _dueDateTime?;
    /** The status for follow-up for an item. Possible values are notFlagged, complete, and flagged. */
    private _flagStatus?;
    /** The date and time that the follow-up is to begin. */
    private _startDateTime?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the completedDateTime property value. The date and time that the follow-up was finished.
     * @returns a dateTimeTimeZone
     */
    get completedDateTime(): DateTimeTimeZone | undefined;
    /**
     * Sets the completedDateTime property value. The date and time that the follow-up was finished.
     * @param value Value to set for the completedDateTime property.
     */
    set completedDateTime(value: DateTimeTimeZone | undefined);
    /**
     * Instantiates a new followupFlag and sets the default values.
     */
    constructor();
    /**
     * Gets the dueDateTime property value. The date and time that the follow up is to be finished. Note: To set the due date, you must also specify the startDateTime; otherwise, you will get a 400 Bad Request response.
     * @returns a dateTimeTimeZone
     */
    get dueDateTime(): DateTimeTimeZone | undefined;
    /**
     * Sets the dueDateTime property value. The date and time that the follow up is to be finished. Note: To set the due date, you must also specify the startDateTime; otherwise, you will get a 400 Bad Request response.
     * @param value Value to set for the dueDateTime property.
     */
    set dueDateTime(value: DateTimeTimeZone | undefined);
    /**
     * Gets the flagStatus property value. The status for follow-up for an item. Possible values are notFlagged, complete, and flagged.
     * @returns a followupFlagStatus
     */
    get flagStatus(): FollowupFlagStatus | undefined;
    /**
     * Sets the flagStatus property value. The status for follow-up for an item. Possible values are notFlagged, complete, and flagged.
     * @param value Value to set for the flagStatus property.
     */
    set flagStatus(value: FollowupFlagStatus | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the startDateTime property value. The date and time that the follow-up is to begin.
     * @returns a dateTimeTimeZone
     */
    get startDateTime(): DateTimeTimeZone | undefined;
    /**
     * Sets the startDateTime property value. The date and time that the follow-up is to begin.
     * @param value Value to set for the startDateTime property.
     */
    set startDateTime(value: DateTimeTimeZone | undefined);
}
