import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class GeoCoordinates implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** Optional. The altitude (height), in feet,  above sea level for the item. Read-only. */
    private _altitude?;
    /** Optional. The latitude, in decimal, for the item. Writable on OneDrive Personal. */
    private _latitude?;
    /** Optional. The longitude, in decimal, for the item. Writable on OneDrive Personal. */
    private _longitude?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the altitude property value. Optional. The altitude (height), in feet,  above sea level for the item. Read-only.
     * @returns a double
     */
    get altitude(): number | undefined;
    /**
     * Sets the altitude property value. Optional. The altitude (height), in feet,  above sea level for the item. Read-only.
     * @param value Value to set for the altitude property.
     */
    set altitude(value: number | undefined);
    /**
     * Instantiates a new geoCoordinates and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the latitude property value. Optional. The latitude, in decimal, for the item. Writable on OneDrive Personal.
     * @returns a double
     */
    get latitude(): number | undefined;
    /**
     * Sets the latitude property value. Optional. The latitude, in decimal, for the item. Writable on OneDrive Personal.
     * @param value Value to set for the latitude property.
     */
    set latitude(value: number | undefined);
    /**
     * Gets the longitude property value. Optional. The longitude, in decimal, for the item. Writable on OneDrive Personal.
     * @returns a double
     */
    get longitude(): number | undefined;
    /**
     * Sets the longitude property value. Optional. The longitude, in decimal, for the item. Writable on OneDrive Personal.
     * @param value Value to set for the longitude property.
     */
    set longitude(value: number | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
