"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GeoCoordinates = void 0;
class GeoCoordinates {
    /**
     * Instantiates a new geoCoordinates and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the altitude property value. Optional. The altitude (height), in feet,  above sea level for the item. Read-only.
     * @returns a double
     */
    get altitude() {
        return this._altitude;
    }
    ;
    /**
     * Sets the altitude property value. Optional. The altitude (height), in feet,  above sea level for the item. Read-only.
     * @param value Value to set for the altitude property.
     */
    set altitude(value) {
        this._altitude = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "altitude": n => { this.altitude = n.getNumberValue(); },
            "latitude": n => { this.latitude = n.getNumberValue(); },
            "longitude": n => { this.longitude = n.getNumberValue(); },
        };
    }
    ;
    /**
     * Gets the latitude property value. Optional. The latitude, in decimal, for the item. Writable on OneDrive Personal.
     * @returns a double
     */
    get latitude() {
        return this._latitude;
    }
    ;
    /**
     * Sets the latitude property value. Optional. The latitude, in decimal, for the item. Writable on OneDrive Personal.
     * @param value Value to set for the latitude property.
     */
    set latitude(value) {
        this._latitude = value;
    }
    ;
    /**
     * Gets the longitude property value. Optional. The longitude, in decimal, for the item. Writable on OneDrive Personal.
     * @returns a double
     */
    get longitude() {
        return this._longitude;
    }
    ;
    /**
     * Sets the longitude property value. Optional. The longitude, in decimal, for the item. Writable on OneDrive Personal.
     * @param value Value to set for the longitude property.
     */
    set longitude(value) {
        this._longitude = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeNumberValue("altitude", this.altitude);
        writer.writeNumberValue("latitude", this.latitude);
        writer.writeNumberValue("longitude", this.longitude);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.GeoCoordinates = GeoCoordinates;
