"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Group = void 0;
const createAppRoleAssignmentFromDiscriminatorValue_1 = require("./createAppRoleAssignmentFromDiscriminatorValue");
const createAssignedLabelFromDiscriminatorValue_1 = require("./createAssignedLabelFromDiscriminatorValue");
const createAssignedLicenseFromDiscriminatorValue_1 = require("./createAssignedLicenseFromDiscriminatorValue");
const createCalendarFromDiscriminatorValue_1 = require("./createCalendarFromDiscriminatorValue");
const createConversationFromDiscriminatorValue_1 = require("./createConversationFromDiscriminatorValue");
const createConversationThreadFromDiscriminatorValue_1 = require("./createConversationThreadFromDiscriminatorValue");
const createDirectoryObjectFromDiscriminatorValue_1 = require("./createDirectoryObjectFromDiscriminatorValue");
const createDriveFromDiscriminatorValue_1 = require("./createDriveFromDiscriminatorValue");
const createEventFromDiscriminatorValue_1 = require("./createEventFromDiscriminatorValue");
const createExtensionFromDiscriminatorValue_1 = require("./createExtensionFromDiscriminatorValue");
const createGroupLifecyclePolicyFromDiscriminatorValue_1 = require("./createGroupLifecyclePolicyFromDiscriminatorValue");
const createGroupSettingFromDiscriminatorValue_1 = require("./createGroupSettingFromDiscriminatorValue");
const createLicenseProcessingStateFromDiscriminatorValue_1 = require("./createLicenseProcessingStateFromDiscriminatorValue");
const createOnenoteFromDiscriminatorValue_1 = require("./createOnenoteFromDiscriminatorValue");
const createOnPremisesProvisioningErrorFromDiscriminatorValue_1 = require("./createOnPremisesProvisioningErrorFromDiscriminatorValue");
const createPlannerGroupFromDiscriminatorValue_1 = require("./createPlannerGroupFromDiscriminatorValue");
const createProfilePhotoFromDiscriminatorValue_1 = require("./createProfilePhotoFromDiscriminatorValue");
const createResourceSpecificPermissionGrantFromDiscriminatorValue_1 = require("./createResourceSpecificPermissionGrantFromDiscriminatorValue");
const createSiteFromDiscriminatorValue_1 = require("./createSiteFromDiscriminatorValue");
const createTeamFromDiscriminatorValue_1 = require("./createTeamFromDiscriminatorValue");
const index_1 = require("./index");
/** Casts the previous resource to user. */
class Group extends index_1.DirectoryObject {
    /**
     * Instantiates a new group and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the acceptedSenders property value. The list of users or groups that are allowed to create post's or calendar events in this group. If this list is non-empty then only users or groups listed here are allowed to post.
     * @returns a directoryObject
     */
    get acceptedSenders() {
        return this._acceptedSenders;
    }
    ;
    /**
     * Sets the acceptedSenders property value. The list of users or groups that are allowed to create post's or calendar events in this group. If this list is non-empty then only users or groups listed here are allowed to post.
     * @param value Value to set for the acceptedSenders property.
     */
    set acceptedSenders(value) {
        this._acceptedSenders = value;
    }
    ;
    /**
     * Gets the allowExternalSenders property value. Indicates if people external to the organization can send messages to the group. Default value is false. Returned only on $select. Supported only on the Get group API (GET /groups/{ID}).
     * @returns a boolean
     */
    get allowExternalSenders() {
        return this._allowExternalSenders;
    }
    ;
    /**
     * Sets the allowExternalSenders property value. Indicates if people external to the organization can send messages to the group. Default value is false. Returned only on $select. Supported only on the Get group API (GET /groups/{ID}).
     * @param value Value to set for the allowExternalSenders property.
     */
    set allowExternalSenders(value) {
        this._allowExternalSenders = value;
    }
    ;
    /**
     * Gets the appRoleAssignments property value. Represents the app roles a group has been granted for an application. Supports $expand.
     * @returns a appRoleAssignment
     */
    get appRoleAssignments() {
        return this._appRoleAssignments;
    }
    ;
    /**
     * Sets the appRoleAssignments property value. Represents the app roles a group has been granted for an application. Supports $expand.
     * @param value Value to set for the appRoleAssignments property.
     */
    set appRoleAssignments(value) {
        this._appRoleAssignments = value;
    }
    ;
    /**
     * Gets the assignedLabels property value. The list of sensitivity label pairs (label ID, label name) associated with a Microsoft 365 group. Returned only on $select.
     * @returns a assignedLabel
     */
    get assignedLabels() {
        return this._assignedLabels;
    }
    ;
    /**
     * Sets the assignedLabels property value. The list of sensitivity label pairs (label ID, label name) associated with a Microsoft 365 group. Returned only on $select.
     * @param value Value to set for the assignedLabels property.
     */
    set assignedLabels(value) {
        this._assignedLabels = value;
    }
    ;
    /**
     * Gets the assignedLicenses property value. The licenses that are assigned to the group. Returned only on $select. Supports $filter (eq). Read-only.
     * @returns a assignedLicense
     */
    get assignedLicenses() {
        return this._assignedLicenses;
    }
    ;
    /**
     * Sets the assignedLicenses property value. The licenses that are assigned to the group. Returned only on $select. Supports $filter (eq). Read-only.
     * @param value Value to set for the assignedLicenses property.
     */
    set assignedLicenses(value) {
        this._assignedLicenses = value;
    }
    ;
    /**
     * Gets the autoSubscribeNewMembers property value. Indicates if new members added to the group will be auto-subscribed to receive email notifications. You can set this property in a PATCH request for the group; do not set it in the initial POST request that creates the group. Default value is false. Returned only on $select. Supported only on the Get group API (GET /groups/{ID}).
     * @returns a boolean
     */
    get autoSubscribeNewMembers() {
        return this._autoSubscribeNewMembers;
    }
    ;
    /**
     * Sets the autoSubscribeNewMembers property value. Indicates if new members added to the group will be auto-subscribed to receive email notifications. You can set this property in a PATCH request for the group; do not set it in the initial POST request that creates the group. Default value is false. Returned only on $select. Supported only on the Get group API (GET /groups/{ID}).
     * @param value Value to set for the autoSubscribeNewMembers property.
     */
    set autoSubscribeNewMembers(value) {
        this._autoSubscribeNewMembers = value;
    }
    ;
    /**
     * Gets the calendar property value. The group's calendar. Read-only.
     * @returns a calendar
     */
    get calendar() {
        return this._calendar;
    }
    ;
    /**
     * Sets the calendar property value. The group's calendar. Read-only.
     * @param value Value to set for the calendar property.
     */
    set calendar(value) {
        this._calendar = value;
    }
    ;
    /**
     * Gets the calendarView property value. The calendar view for the calendar. Read-only.
     * @returns a event
     */
    get calendarView() {
        return this._calendarView;
    }
    ;
    /**
     * Sets the calendarView property value. The calendar view for the calendar. Read-only.
     * @param value Value to set for the calendarView property.
     */
    set calendarView(value) {
        this._calendarView = value;
    }
    ;
    /**
     * Gets the classification property value. Describes a classification for the group (such as low, medium or high business impact). Valid values for this property are defined by creating a ClassificationList setting value, based on the template definition.Returned by default. Supports $filter (eq, ne, not, ge, le, startsWith).
     * @returns a string
     */
    get classification() {
        return this._classification;
    }
    ;
    /**
     * Sets the classification property value. Describes a classification for the group (such as low, medium or high business impact). Valid values for this property are defined by creating a ClassificationList setting value, based on the template definition.Returned by default. Supports $filter (eq, ne, not, ge, le, startsWith).
     * @param value Value to set for the classification property.
     */
    set classification(value) {
        this._classification = value;
    }
    ;
    ;
    /**
     * Gets the conversations property value. The group's conversations.
     * @returns a conversation
     */
    get conversations() {
        return this._conversations;
    }
    ;
    /**
     * Sets the conversations property value. The group's conversations.
     * @param value Value to set for the conversations property.
     */
    set conversations(value) {
        this._conversations = value;
    }
    ;
    /**
     * Gets the createdDateTime property value. Timestamp of when the group was created. The value cannot be modified and is automatically populated when the group is created. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Returned by default. Supports $filter (eq, ne, not, ge, le, in). Read-only.
     * @returns a Date
     */
    get createdDateTime() {
        return this._createdDateTime;
    }
    ;
    /**
     * Sets the createdDateTime property value. Timestamp of when the group was created. The value cannot be modified and is automatically populated when the group is created. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Returned by default. Supports $filter (eq, ne, not, ge, le, in). Read-only.
     * @param value Value to set for the createdDateTime property.
     */
    set createdDateTime(value) {
        this._createdDateTime = value;
    }
    ;
    /**
     * Gets the createdOnBehalfOf property value. The user (or application) that created the group. Note: This is not set if the user is an administrator. Read-only.
     * @returns a directoryObject
     */
    get createdOnBehalfOf() {
        return this._createdOnBehalfOf;
    }
    ;
    /**
     * Sets the createdOnBehalfOf property value. The user (or application) that created the group. Note: This is not set if the user is an administrator. Read-only.
     * @param value Value to set for the createdOnBehalfOf property.
     */
    set createdOnBehalfOf(value) {
        this._createdOnBehalfOf = value;
    }
    ;
    /**
     * Gets the description property value. An optional description for the group. Returned by default. Supports $filter (eq, ne, not, ge, le, startsWith) and $search.
     * @returns a string
     */
    get description() {
        return this._description;
    }
    ;
    /**
     * Sets the description property value. An optional description for the group. Returned by default. Supports $filter (eq, ne, not, ge, le, startsWith) and $search.
     * @param value Value to set for the description property.
     */
    set description(value) {
        this._description = value;
    }
    ;
    /**
     * Gets the displayName property value. The display name for the group. Required. Returned by default. Supports $filter (eq, ne, not, ge, le, in, startsWith, and eq on null values), $search, and $orderBy.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. The display name for the group. Required. Returned by default. Supports $filter (eq, ne, not, ge, le, in, startsWith, and eq on null values), $search, and $orderBy.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * Gets the drive property value. The group's default drive. Read-only.
     * @returns a drive
     */
    get drive() {
        return this._drive;
    }
    ;
    /**
     * Sets the drive property value. The group's default drive. Read-only.
     * @param value Value to set for the drive property.
     */
    set drive(value) {
        this._drive = value;
    }
    ;
    /**
     * Gets the drives property value. The group's drives. Read-only.
     * @returns a drive
     */
    get drives() {
        return this._drives;
    }
    ;
    /**
     * Sets the drives property value. The group's drives. Read-only.
     * @param value Value to set for the drives property.
     */
    set drives(value) {
        this._drives = value;
    }
    ;
    /**
     * Gets the events property value. The group's events.
     * @returns a event
     */
    get events() {
        return this._events;
    }
    ;
    /**
     * Sets the events property value. The group's events.
     * @param value Value to set for the events property.
     */
    set events(value) {
        this._events = value;
    }
    ;
    /**
     * Gets the expirationDateTime property value. Timestamp of when the group is set to expire. The value cannot be modified and is automatically populated when the group is created. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Returned by default. Supports $filter (eq, ne, not, ge, le, in). Read-only.
     * @returns a Date
     */
    get expirationDateTime() {
        return this._expirationDateTime;
    }
    ;
    /**
     * Sets the expirationDateTime property value. Timestamp of when the group is set to expire. The value cannot be modified and is automatically populated when the group is created. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Returned by default. Supports $filter (eq, ne, not, ge, le, in). Read-only.
     * @param value Value to set for the expirationDateTime property.
     */
    set expirationDateTime(value) {
        this._expirationDateTime = value;
    }
    ;
    /**
     * Gets the extensions property value. The collection of open extensions defined for the group. Read-only. Nullable.
     * @returns a extension
     */
    get extensions() {
        return this._extensions;
    }
    ;
    /**
     * Sets the extensions property value. The collection of open extensions defined for the group. Read-only. Nullable.
     * @param value Value to set for the extensions property.
     */
    set extensions(value) {
        this._extensions = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "acceptedSenders": n => { this.acceptedSenders = n.getCollectionOfObjectValues(createDirectoryObjectFromDiscriminatorValue_1.createDirectoryObjectFromDiscriminatorValue); }, "allowExternalSenders": n => { this.allowExternalSenders = n.getBooleanValue(); }, "appRoleAssignments": n => { this.appRoleAssignments = n.getCollectionOfObjectValues(createAppRoleAssignmentFromDiscriminatorValue_1.createAppRoleAssignmentFromDiscriminatorValue); }, "assignedLabels": n => { this.assignedLabels = n.getCollectionOfObjectValues(createAssignedLabelFromDiscriminatorValue_1.createAssignedLabelFromDiscriminatorValue); }, "assignedLicenses": n => { this.assignedLicenses = n.getCollectionOfObjectValues(createAssignedLicenseFromDiscriminatorValue_1.createAssignedLicenseFromDiscriminatorValue); }, "autoSubscribeNewMembers": n => { this.autoSubscribeNewMembers = n.getBooleanValue(); }, "calendar": n => { this.calendar = n.getObjectValue(createCalendarFromDiscriminatorValue_1.createCalendarFromDiscriminatorValue); }, "calendarView": n => { this.calendarView = n.getCollectionOfObjectValues(createEventFromDiscriminatorValue_1.createEventFromDiscriminatorValue); }, "classification": n => { this.classification = n.getStringValue(); }, "conversations": n => { this.conversations = n.getCollectionOfObjectValues(createConversationFromDiscriminatorValue_1.createConversationFromDiscriminatorValue); }, "createdDateTime": n => { this.createdDateTime = n.getDateValue(); }, "createdOnBehalfOf": n => { this.createdOnBehalfOf = n.getObjectValue(createDirectoryObjectFromDiscriminatorValue_1.createDirectoryObjectFromDiscriminatorValue); }, "description": n => { this.description = n.getStringValue(); }, "displayName": n => { this.displayName = n.getStringValue(); }, "drive": n => { this.drive = n.getObjectValue(createDriveFromDiscriminatorValue_1.createDriveFromDiscriminatorValue); }, "drives": n => { this.drives = n.getCollectionOfObjectValues(createDriveFromDiscriminatorValue_1.createDriveFromDiscriminatorValue); }, "events": n => { this.events = n.getCollectionOfObjectValues(createEventFromDiscriminatorValue_1.createEventFromDiscriminatorValue); }, "expirationDateTime": n => { this.expirationDateTime = n.getDateValue(); }, "extensions": n => { this.extensions = n.getCollectionOfObjectValues(createExtensionFromDiscriminatorValue_1.createExtensionFromDiscriminatorValue); }, "groupLifecyclePolicies": n => { this.groupLifecyclePolicies = n.getCollectionOfObjectValues(createGroupLifecyclePolicyFromDiscriminatorValue_1.createGroupLifecyclePolicyFromDiscriminatorValue); }, "groupTypes": n => { this.groupTypes = n.getCollectionOfPrimitiveValues(); }, "hasMembersWithLicenseErrors": n => { this.hasMembersWithLicenseErrors = n.getBooleanValue(); }, "hideFromAddressLists": n => { this.hideFromAddressLists = n.getBooleanValue(); }, "hideFromOutlookClients": n => { this.hideFromOutlookClients = n.getBooleanValue(); }, "isArchived": n => { this.isArchived = n.getBooleanValue(); }, "isAssignableToRole": n => { this.isAssignableToRole = n.getBooleanValue(); }, "isSubscribedByMail": n => { this.isSubscribedByMail = n.getBooleanValue(); }, "licenseProcessingState": n => { this.licenseProcessingState = n.getObjectValue(createLicenseProcessingStateFromDiscriminatorValue_1.createLicenseProcessingStateFromDiscriminatorValue); }, "mail": n => { this.mail = n.getStringValue(); }, "mailEnabled": n => { this.mailEnabled = n.getBooleanValue(); }, "mailNickname": n => { this.mailNickname = n.getStringValue(); }, "memberOf": n => { this.memberOf = n.getCollectionOfObjectValues(createDirectoryObjectFromDiscriminatorValue_1.createDirectoryObjectFromDiscriminatorValue); }, "members": n => { this.members = n.getCollectionOfObjectValues(createDirectoryObjectFromDiscriminatorValue_1.createDirectoryObjectFromDiscriminatorValue); }, "membershipRule": n => { this.membershipRule = n.getStringValue(); }, "membershipRuleProcessingState": n => { this.membershipRuleProcessingState = n.getStringValue(); }, "membersWithLicenseErrors": n => { this.membersWithLicenseErrors = n.getCollectionOfObjectValues(createDirectoryObjectFromDiscriminatorValue_1.createDirectoryObjectFromDiscriminatorValue); }, "onenote": n => { this.onenote = n.getObjectValue(createOnenoteFromDiscriminatorValue_1.createOnenoteFromDiscriminatorValue); }, "onPremisesDomainName": n => { this.onPremisesDomainName = n.getStringValue(); }, "onPremisesLastSyncDateTime": n => { this.onPremisesLastSyncDateTime = n.getDateValue(); }, "onPremisesNetBiosName": n => { this.onPremisesNetBiosName = n.getStringValue(); }, "onPremisesProvisioningErrors": n => { this.onPremisesProvisioningErrors = n.getCollectionOfObjectValues(createOnPremisesProvisioningErrorFromDiscriminatorValue_1.createOnPremisesProvisioningErrorFromDiscriminatorValue); }, "onPremisesSamAccountName": n => { this.onPremisesSamAccountName = n.getStringValue(); }, "onPremisesSecurityIdentifier": n => { this.onPremisesSecurityIdentifier = n.getStringValue(); }, "onPremisesSyncEnabled": n => { this.onPremisesSyncEnabled = n.getBooleanValue(); }, "owners": n => { this.owners = n.getCollectionOfObjectValues(createDirectoryObjectFromDiscriminatorValue_1.createDirectoryObjectFromDiscriminatorValue); }, "permissionGrants": n => { this.permissionGrants = n.getCollectionOfObjectValues(createResourceSpecificPermissionGrantFromDiscriminatorValue_1.createResourceSpecificPermissionGrantFromDiscriminatorValue); }, "photo": n => { this.photo = n.getObjectValue(createProfilePhotoFromDiscriminatorValue_1.createProfilePhotoFromDiscriminatorValue); }, "photos": n => { this.photos = n.getCollectionOfObjectValues(createProfilePhotoFromDiscriminatorValue_1.createProfilePhotoFromDiscriminatorValue); }, "planner": n => { this.planner = n.getObjectValue(createPlannerGroupFromDiscriminatorValue_1.createPlannerGroupFromDiscriminatorValue); }, "preferredDataLocation": n => { this.preferredDataLocation = n.getStringValue(); }, "preferredLanguage": n => { this.preferredLanguage = n.getStringValue(); }, "proxyAddresses": n => { this.proxyAddresses = n.getCollectionOfPrimitiveValues(); }, "rejectedSenders": n => { this.rejectedSenders = n.getCollectionOfObjectValues(createDirectoryObjectFromDiscriminatorValue_1.createDirectoryObjectFromDiscriminatorValue); }, "renewedDateTime": n => { this.renewedDateTime = n.getDateValue(); }, "securityEnabled": n => { this.securityEnabled = n.getBooleanValue(); }, "securityIdentifier": n => { this.securityIdentifier = n.getStringValue(); }, "settings": n => { this.settings = n.getCollectionOfObjectValues(createGroupSettingFromDiscriminatorValue_1.createGroupSettingFromDiscriminatorValue); }, "sites": n => { this.sites = n.getCollectionOfObjectValues(createSiteFromDiscriminatorValue_1.createSiteFromDiscriminatorValue); }, "team": n => { this.team = n.getObjectValue(createTeamFromDiscriminatorValue_1.createTeamFromDiscriminatorValue); }, "theme": n => { this.theme = n.getStringValue(); }, "threads": n => { this.threads = n.getCollectionOfObjectValues(createConversationThreadFromDiscriminatorValue_1.createConversationThreadFromDiscriminatorValue); }, "transitiveMemberOf": n => { this.transitiveMemberOf = n.getCollectionOfObjectValues(createDirectoryObjectFromDiscriminatorValue_1.createDirectoryObjectFromDiscriminatorValue); }, "transitiveMembers": n => { this.transitiveMembers = n.getCollectionOfObjectValues(createDirectoryObjectFromDiscriminatorValue_1.createDirectoryObjectFromDiscriminatorValue); }, "unseenCount": n => { this.unseenCount = n.getNumberValue(); }, "visibility": n => { this.visibility = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the groupLifecyclePolicies property value. The collection of lifecycle policies for this group. Read-only. Nullable.
     * @returns a groupLifecyclePolicy
     */
    get groupLifecyclePolicies() {
        return this._groupLifecyclePolicies;
    }
    ;
    /**
     * Sets the groupLifecyclePolicies property value. The collection of lifecycle policies for this group. Read-only. Nullable.
     * @param value Value to set for the groupLifecyclePolicies property.
     */
    set groupLifecyclePolicies(value) {
        this._groupLifecyclePolicies = value;
    }
    ;
    /**
     * Gets the groupTypes property value. Specifies the group type and its membership. If the collection contains Unified, the group is a Microsoft 365 group; otherwise, it's either a security group or distribution group. For details, see groups overview.If the collection includes DynamicMembership, the group has dynamic membership; otherwise, membership is static. Returned by default. Supports $filter (eq, not).
     * @returns a string
     */
    get groupTypes() {
        return this._groupTypes;
    }
    ;
    /**
     * Sets the groupTypes property value. Specifies the group type and its membership. If the collection contains Unified, the group is a Microsoft 365 group; otherwise, it's either a security group or distribution group. For details, see groups overview.If the collection includes DynamicMembership, the group has dynamic membership; otherwise, membership is static. Returned by default. Supports $filter (eq, not).
     * @param value Value to set for the groupTypes property.
     */
    set groupTypes(value) {
        this._groupTypes = value;
    }
    ;
    /**
     * Gets the hasMembersWithLicenseErrors property value. Indicates whether there are members in this group that have license errors from its group-based license assignment. This property is never returned on a GET operation. You can use it as a $filter argument to get groups that have members with license errors (that is, filter for this property being true).  Supports $filter (eq).
     * @returns a boolean
     */
    get hasMembersWithLicenseErrors() {
        return this._hasMembersWithLicenseErrors;
    }
    ;
    /**
     * Sets the hasMembersWithLicenseErrors property value. Indicates whether there are members in this group that have license errors from its group-based license assignment. This property is never returned on a GET operation. You can use it as a $filter argument to get groups that have members with license errors (that is, filter for this property being true).  Supports $filter (eq).
     * @param value Value to set for the hasMembersWithLicenseErrors property.
     */
    set hasMembersWithLicenseErrors(value) {
        this._hasMembersWithLicenseErrors = value;
    }
    ;
    /**
     * Gets the hideFromAddressLists property value. true if the group is not displayed in certain parts of the Outlook user interface: in the Address Book, in address lists for selecting message recipients, and in the Browse Groups dialog for searching groups; false otherwise. Default value is false. Returned only on $select. Supported only on the Get group API (GET /groups/{ID}).
     * @returns a boolean
     */
    get hideFromAddressLists() {
        return this._hideFromAddressLists;
    }
    ;
    /**
     * Sets the hideFromAddressLists property value. true if the group is not displayed in certain parts of the Outlook user interface: in the Address Book, in address lists for selecting message recipients, and in the Browse Groups dialog for searching groups; false otherwise. Default value is false. Returned only on $select. Supported only on the Get group API (GET /groups/{ID}).
     * @param value Value to set for the hideFromAddressLists property.
     */
    set hideFromAddressLists(value) {
        this._hideFromAddressLists = value;
    }
    ;
    /**
     * Gets the hideFromOutlookClients property value. true if the group is not displayed in Outlook clients, such as Outlook for Windows and Outlook on the web, false otherwise. Default value is false. Returned only on $select. Supported only on the Get group API (GET /groups/{ID}).
     * @returns a boolean
     */
    get hideFromOutlookClients() {
        return this._hideFromOutlookClients;
    }
    ;
    /**
     * Sets the hideFromOutlookClients property value. true if the group is not displayed in Outlook clients, such as Outlook for Windows and Outlook on the web, false otherwise. Default value is false. Returned only on $select. Supported only on the Get group API (GET /groups/{ID}).
     * @param value Value to set for the hideFromOutlookClients property.
     */
    set hideFromOutlookClients(value) {
        this._hideFromOutlookClients = value;
    }
    ;
    /**
     * Gets the isArchived property value. When a group is associated with a team, this property determines whether the team is in read-only mode.
     * @returns a boolean
     */
    get isArchived() {
        return this._isArchived;
    }
    ;
    /**
     * Sets the isArchived property value. When a group is associated with a team, this property determines whether the team is in read-only mode.
     * @param value Value to set for the isArchived property.
     */
    set isArchived(value) {
        this._isArchived = value;
    }
    ;
    /**
     * Gets the isAssignableToRole property value. Indicates whether this group can be assigned to an Azure Active Directory role. Optional. This property can only be set while creating the group and is immutable. If set to true, the securityEnabled property must also be set to true and the group cannot be a dynamic group (that is, groupTypes cannot contain DynamicMembership). Only callers in Global administrator and Privileged role administrator roles can set this property. The caller must be assigned the RoleManagement.ReadWrite.Directory permission to set this property or update the membership of such groups. For more, see Using a group to manage Azure AD role assignmentsReturned by default. Supports $filter (eq, ne, not).
     * @returns a boolean
     */
    get isAssignableToRole() {
        return this._isAssignableToRole;
    }
    ;
    /**
     * Sets the isAssignableToRole property value. Indicates whether this group can be assigned to an Azure Active Directory role. Optional. This property can only be set while creating the group and is immutable. If set to true, the securityEnabled property must also be set to true and the group cannot be a dynamic group (that is, groupTypes cannot contain DynamicMembership). Only callers in Global administrator and Privileged role administrator roles can set this property. The caller must be assigned the RoleManagement.ReadWrite.Directory permission to set this property or update the membership of such groups. For more, see Using a group to manage Azure AD role assignmentsReturned by default. Supports $filter (eq, ne, not).
     * @param value Value to set for the isAssignableToRole property.
     */
    set isAssignableToRole(value) {
        this._isAssignableToRole = value;
    }
    ;
    /**
     * Gets the isSubscribedByMail property value. Indicates whether the signed-in user is subscribed to receive email conversations. Default value is true. Returned only on $select. Supported only on the Get group API (GET /groups/{ID}).
     * @returns a boolean
     */
    get isSubscribedByMail() {
        return this._isSubscribedByMail;
    }
    ;
    /**
     * Sets the isSubscribedByMail property value. Indicates whether the signed-in user is subscribed to receive email conversations. Default value is true. Returned only on $select. Supported only on the Get group API (GET /groups/{ID}).
     * @param value Value to set for the isSubscribedByMail property.
     */
    set isSubscribedByMail(value) {
        this._isSubscribedByMail = value;
    }
    ;
    /**
     * Gets the licenseProcessingState property value. Indicates status of the group license assignment to all members of the group. Possible values: QueuedForProcessing, ProcessingInProgress, and ProcessingComplete. Returned only on $select. Read-only.
     * @returns a licenseProcessingState
     */
    get licenseProcessingState() {
        return this._licenseProcessingState;
    }
    ;
    /**
     * Sets the licenseProcessingState property value. Indicates status of the group license assignment to all members of the group. Possible values: QueuedForProcessing, ProcessingInProgress, and ProcessingComplete. Returned only on $select. Read-only.
     * @param value Value to set for the licenseProcessingState property.
     */
    set licenseProcessingState(value) {
        this._licenseProcessingState = value;
    }
    ;
    /**
     * Gets the mail property value. The SMTP address for the group, for example, 'serviceadmins@contoso.onmicrosoft.com'. Returned by default. Read-only. Supports $filter (eq, ne, not, ge, le, in, startsWith, and eq on null values).
     * @returns a string
     */
    get mail() {
        return this._mail;
    }
    ;
    /**
     * Sets the mail property value. The SMTP address for the group, for example, 'serviceadmins@contoso.onmicrosoft.com'. Returned by default. Read-only. Supports $filter (eq, ne, not, ge, le, in, startsWith, and eq on null values).
     * @param value Value to set for the mail property.
     */
    set mail(value) {
        this._mail = value;
    }
    ;
    /**
     * Gets the mailEnabled property value. Specifies whether the group is mail-enabled. Required. Returned by default. Supports $filter (eq, ne, not, and eq on null values).
     * @returns a boolean
     */
    get mailEnabled() {
        return this._mailEnabled;
    }
    ;
    /**
     * Sets the mailEnabled property value. Specifies whether the group is mail-enabled. Required. Returned by default. Supports $filter (eq, ne, not, and eq on null values).
     * @param value Value to set for the mailEnabled property.
     */
    set mailEnabled(value) {
        this._mailEnabled = value;
    }
    ;
    /**
     * Gets the mailNickname property value. The mail alias for the group, unique for Microsoft 365 groups in the organization. Maximum length is 64 characters. This property can contain only characters in the ASCII character set 0 - 127 except the following: @ () / [] ' ; : . <> , SPACE. Returned by default. Supports $filter (eq, ne, not, ge, le, in, startsWith).
     * @returns a string
     */
    get mailNickname() {
        return this._mailNickname;
    }
    ;
    /**
     * Sets the mailNickname property value. The mail alias for the group, unique for Microsoft 365 groups in the organization. Maximum length is 64 characters. This property can contain only characters in the ASCII character set 0 - 127 except the following: @ () / [] ' ; : . <> , SPACE. Returned by default. Supports $filter (eq, ne, not, ge, le, in, startsWith).
     * @param value Value to set for the mailNickname property.
     */
    set mailNickname(value) {
        this._mailNickname = value;
    }
    ;
    /**
     * Gets the memberOf property value. Groups and administrative units that this group is a member of. HTTP Methods: GET (supported for all groups). Read-only. Nullable. Supports $expand.
     * @returns a directoryObject
     */
    get memberOf() {
        return this._memberOf;
    }
    ;
    /**
     * Sets the memberOf property value. Groups and administrative units that this group is a member of. HTTP Methods: GET (supported for all groups). Read-only. Nullable. Supports $expand.
     * @param value Value to set for the memberOf property.
     */
    set memberOf(value) {
        this._memberOf = value;
    }
    ;
    /**
     * Gets the members property value. Members of this group, who can be users, devices, other groups, or service principals. Supports the List members, Add member, and Remove member operations. Nullable. Supports $expand including nested $select. For example, /groups?$filter=startsWith(displayName,'Role')&$select=id,displayName&$expand=members($select=id,userPrincipalName,displayName).
     * @returns a directoryObject
     */
    get members() {
        return this._members;
    }
    ;
    /**
     * Sets the members property value. Members of this group, who can be users, devices, other groups, or service principals. Supports the List members, Add member, and Remove member operations. Nullable. Supports $expand including nested $select. For example, /groups?$filter=startsWith(displayName,'Role')&$select=id,displayName&$expand=members($select=id,userPrincipalName,displayName).
     * @param value Value to set for the members property.
     */
    set members(value) {
        this._members = value;
    }
    ;
    /**
     * Gets the membershipRule property value. The rule that determines members for this group if the group is a dynamic group (groupTypes contains DynamicMembership). For more information about the syntax of the membership rule, see Membership Rules syntax. Returned by default. Supports $filter (eq, ne, not, ge, le, startsWith).
     * @returns a string
     */
    get membershipRule() {
        return this._membershipRule;
    }
    ;
    /**
     * Sets the membershipRule property value. The rule that determines members for this group if the group is a dynamic group (groupTypes contains DynamicMembership). For more information about the syntax of the membership rule, see Membership Rules syntax. Returned by default. Supports $filter (eq, ne, not, ge, le, startsWith).
     * @param value Value to set for the membershipRule property.
     */
    set membershipRule(value) {
        this._membershipRule = value;
    }
    ;
    /**
     * Gets the membershipRuleProcessingState property value. Indicates whether the dynamic membership processing is on or paused. Possible values are On or Paused. Returned by default. Supports $filter (eq, ne, not, in).
     * @returns a string
     */
    get membershipRuleProcessingState() {
        return this._membershipRuleProcessingState;
    }
    ;
    /**
     * Sets the membershipRuleProcessingState property value. Indicates whether the dynamic membership processing is on or paused. Possible values are On or Paused. Returned by default. Supports $filter (eq, ne, not, in).
     * @param value Value to set for the membershipRuleProcessingState property.
     */
    set membershipRuleProcessingState(value) {
        this._membershipRuleProcessingState = value;
    }
    ;
    /**
     * Gets the membersWithLicenseErrors property value. A list of group members with license errors from this group-based license assignment. Read-only.
     * @returns a directoryObject
     */
    get membersWithLicenseErrors() {
        return this._membersWithLicenseErrors;
    }
    ;
    /**
     * Sets the membersWithLicenseErrors property value. A list of group members with license errors from this group-based license assignment. Read-only.
     * @param value Value to set for the membersWithLicenseErrors property.
     */
    set membersWithLicenseErrors(value) {
        this._membersWithLicenseErrors = value;
    }
    ;
    /**
     * Gets the onenote property value. Read-only.
     * @returns a onenote
     */
    get onenote() {
        return this._onenote;
    }
    ;
    /**
     * Sets the onenote property value. Read-only.
     * @param value Value to set for the onenote property.
     */
    set onenote(value) {
        this._onenote = value;
    }
    ;
    /**
     * Gets the onPremisesDomainName property value. Contains the on-premises domain FQDN, also called dnsDomainName synchronized from the on-premises directory. The property is only populated for customers who are synchronizing their on-premises directory to Azure Active Directory via Azure AD Connect.Returned by default. Read-only.
     * @returns a string
     */
    get onPremisesDomainName() {
        return this._onPremisesDomainName;
    }
    ;
    /**
     * Sets the onPremisesDomainName property value. Contains the on-premises domain FQDN, also called dnsDomainName synchronized from the on-premises directory. The property is only populated for customers who are synchronizing their on-premises directory to Azure Active Directory via Azure AD Connect.Returned by default. Read-only.
     * @param value Value to set for the onPremisesDomainName property.
     */
    set onPremisesDomainName(value) {
        this._onPremisesDomainName = value;
    }
    ;
    /**
     * Gets the onPremisesLastSyncDateTime property value. Indicates the last time at which the group was synced with the on-premises directory.The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Returned by default. Read-only. Supports $filter (eq, ne, not, ge, le, in).
     * @returns a Date
     */
    get onPremisesLastSyncDateTime() {
        return this._onPremisesLastSyncDateTime;
    }
    ;
    /**
     * Sets the onPremisesLastSyncDateTime property value. Indicates the last time at which the group was synced with the on-premises directory.The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Returned by default. Read-only. Supports $filter (eq, ne, not, ge, le, in).
     * @param value Value to set for the onPremisesLastSyncDateTime property.
     */
    set onPremisesLastSyncDateTime(value) {
        this._onPremisesLastSyncDateTime = value;
    }
    ;
    /**
     * Gets the onPremisesNetBiosName property value. Contains the on-premises netBios name synchronized from the on-premises directory. The property is only populated for customers who are synchronizing their on-premises directory to Azure Active Directory via Azure AD Connect.Returned by default. Read-only.
     * @returns a string
     */
    get onPremisesNetBiosName() {
        return this._onPremisesNetBiosName;
    }
    ;
    /**
     * Sets the onPremisesNetBiosName property value. Contains the on-premises netBios name synchronized from the on-premises directory. The property is only populated for customers who are synchronizing their on-premises directory to Azure Active Directory via Azure AD Connect.Returned by default. Read-only.
     * @param value Value to set for the onPremisesNetBiosName property.
     */
    set onPremisesNetBiosName(value) {
        this._onPremisesNetBiosName = value;
    }
    ;
    /**
     * Gets the onPremisesProvisioningErrors property value. Errors when using Microsoft synchronization product during provisioning. Returned by default. Supports $filter (eq, not).
     * @returns a onPremisesProvisioningError
     */
    get onPremisesProvisioningErrors() {
        return this._onPremisesProvisioningErrors;
    }
    ;
    /**
     * Sets the onPremisesProvisioningErrors property value. Errors when using Microsoft synchronization product during provisioning. Returned by default. Supports $filter (eq, not).
     * @param value Value to set for the onPremisesProvisioningErrors property.
     */
    set onPremisesProvisioningErrors(value) {
        this._onPremisesProvisioningErrors = value;
    }
    ;
    /**
     * Gets the onPremisesSamAccountName property value. Contains the on-premises SAM account name synchronized from the on-premises directory. The property is only populated for customers who are synchronizing their on-premises directory to Azure Active Directory via Azure AD Connect.Returned by default. Supports $filter (eq, ne, not, ge, le, in, startsWith). Read-only.
     * @returns a string
     */
    get onPremisesSamAccountName() {
        return this._onPremisesSamAccountName;
    }
    ;
    /**
     * Sets the onPremisesSamAccountName property value. Contains the on-premises SAM account name synchronized from the on-premises directory. The property is only populated for customers who are synchronizing their on-premises directory to Azure Active Directory via Azure AD Connect.Returned by default. Supports $filter (eq, ne, not, ge, le, in, startsWith). Read-only.
     * @param value Value to set for the onPremisesSamAccountName property.
     */
    set onPremisesSamAccountName(value) {
        this._onPremisesSamAccountName = value;
    }
    ;
    /**
     * Gets the onPremisesSecurityIdentifier property value. Contains the on-premises security identifier (SID) for the group that was synchronized from on-premises to the cloud. Returned by default. Supports $filter (eq including on null values). Read-only.
     * @returns a string
     */
    get onPremisesSecurityIdentifier() {
        return this._onPremisesSecurityIdentifier;
    }
    ;
    /**
     * Sets the onPremisesSecurityIdentifier property value. Contains the on-premises security identifier (SID) for the group that was synchronized from on-premises to the cloud. Returned by default. Supports $filter (eq including on null values). Read-only.
     * @param value Value to set for the onPremisesSecurityIdentifier property.
     */
    set onPremisesSecurityIdentifier(value) {
        this._onPremisesSecurityIdentifier = value;
    }
    ;
    /**
     * Gets the onPremisesSyncEnabled property value. true if this group is synced from an on-premises directory; false if this group was originally synced from an on-premises directory but is no longer synced; null if this object has never been synced from an on-premises directory (default). Returned by default. Read-only. Supports $filter (eq, ne, not, in, and eq on null values).
     * @returns a boolean
     */
    get onPremisesSyncEnabled() {
        return this._onPremisesSyncEnabled;
    }
    ;
    /**
     * Sets the onPremisesSyncEnabled property value. true if this group is synced from an on-premises directory; false if this group was originally synced from an on-premises directory but is no longer synced; null if this object has never been synced from an on-premises directory (default). Returned by default. Read-only. Supports $filter (eq, ne, not, in, and eq on null values).
     * @param value Value to set for the onPremisesSyncEnabled property.
     */
    set onPremisesSyncEnabled(value) {
        this._onPremisesSyncEnabled = value;
    }
    ;
    /**
     * Gets the owners property value. The owners of the group who can be users or service principals. Nullable. If this property is not specified when creating a Microsoft 365 group, the calling user is automatically assigned as the group owner. Supports $expand including nested $select. For example, /groups?$filter=startsWith(displayName,'Role')&$select=id,displayName&$expand=owners($select=id,userPrincipalName,displayName).
     * @returns a directoryObject
     */
    get owners() {
        return this._owners;
    }
    ;
    /**
     * Sets the owners property value. The owners of the group who can be users or service principals. Nullable. If this property is not specified when creating a Microsoft 365 group, the calling user is automatically assigned as the group owner. Supports $expand including nested $select. For example, /groups?$filter=startsWith(displayName,'Role')&$select=id,displayName&$expand=owners($select=id,userPrincipalName,displayName).
     * @param value Value to set for the owners property.
     */
    set owners(value) {
        this._owners = value;
    }
    ;
    /**
     * Gets the permissionGrants property value. The permissions that have been granted for a group to a specific application. Supports $expand.
     * @returns a resourceSpecificPermissionGrant
     */
    get permissionGrants() {
        return this._permissionGrants;
    }
    ;
    /**
     * Sets the permissionGrants property value. The permissions that have been granted for a group to a specific application. Supports $expand.
     * @param value Value to set for the permissionGrants property.
     */
    set permissionGrants(value) {
        this._permissionGrants = value;
    }
    ;
    /**
     * Gets the photo property value. The group's profile photo.
     * @returns a profilePhoto
     */
    get photo() {
        return this._photo;
    }
    ;
    /**
     * Sets the photo property value. The group's profile photo.
     * @param value Value to set for the photo property.
     */
    set photo(value) {
        this._photo = value;
    }
    ;
    /**
     * Gets the photos property value. The profile photos owned by the group. Read-only. Nullable.
     * @returns a profilePhoto
     */
    get photos() {
        return this._photos;
    }
    ;
    /**
     * Sets the photos property value. The profile photos owned by the group. Read-only. Nullable.
     * @param value Value to set for the photos property.
     */
    set photos(value) {
        this._photos = value;
    }
    ;
    /**
     * Gets the planner property value. Selective Planner services available to the group. Read-only. Nullable.
     * @returns a plannerGroup
     */
    get planner() {
        return this._planner;
    }
    ;
    /**
     * Sets the planner property value. Selective Planner services available to the group. Read-only. Nullable.
     * @param value Value to set for the planner property.
     */
    set planner(value) {
        this._planner = value;
    }
    ;
    /**
     * Gets the preferredDataLocation property value. The preferred data location for the Microsoft 365 group. By default, the group inherits the group creator's preferred data location. To set this property, the calling user must be assigned one of the following Azure AD roles:  Global Administrator  User Account Administrator Directory Writer  Exchange Administrator  SharePoint Administrator  For more information about this property, see OneDrive Online Multi-Geo. Nullable. Returned by default.
     * @returns a string
     */
    get preferredDataLocation() {
        return this._preferredDataLocation;
    }
    ;
    /**
     * Sets the preferredDataLocation property value. The preferred data location for the Microsoft 365 group. By default, the group inherits the group creator's preferred data location. To set this property, the calling user must be assigned one of the following Azure AD roles:  Global Administrator  User Account Administrator Directory Writer  Exchange Administrator  SharePoint Administrator  For more information about this property, see OneDrive Online Multi-Geo. Nullable. Returned by default.
     * @param value Value to set for the preferredDataLocation property.
     */
    set preferredDataLocation(value) {
        this._preferredDataLocation = value;
    }
    ;
    /**
     * Gets the preferredLanguage property value. The preferred language for a Microsoft 365 group. Should follow ISO 639-1 Code; for example en-US. Returned by default. Supports $filter (eq, ne, not, ge, le, in, startsWith, and eq on null values).
     * @returns a string
     */
    get preferredLanguage() {
        return this._preferredLanguage;
    }
    ;
    /**
     * Sets the preferredLanguage property value. The preferred language for a Microsoft 365 group. Should follow ISO 639-1 Code; for example en-US. Returned by default. Supports $filter (eq, ne, not, ge, le, in, startsWith, and eq on null values).
     * @param value Value to set for the preferredLanguage property.
     */
    set preferredLanguage(value) {
        this._preferredLanguage = value;
    }
    ;
    /**
     * Gets the proxyAddresses property value. Email addresses for the group that direct to the same group mailbox. For example: ['SMTP: bob@contoso.com', 'smtp: bob@sales.contoso.com']. The any operator is required for filter expressions on multi-valued properties. Returned by default. Read-only. Not nullable. Supports $filter (eq, not, ge, le, startsWith, endsWith, and counting empty collections).
     * @returns a string
     */
    get proxyAddresses() {
        return this._proxyAddresses;
    }
    ;
    /**
     * Sets the proxyAddresses property value. Email addresses for the group that direct to the same group mailbox. For example: ['SMTP: bob@contoso.com', 'smtp: bob@sales.contoso.com']. The any operator is required for filter expressions on multi-valued properties. Returned by default. Read-only. Not nullable. Supports $filter (eq, not, ge, le, startsWith, endsWith, and counting empty collections).
     * @param value Value to set for the proxyAddresses property.
     */
    set proxyAddresses(value) {
        this._proxyAddresses = value;
    }
    ;
    /**
     * Gets the rejectedSenders property value. The list of users or groups that are not allowed to create posts or calendar events in this group. Nullable
     * @returns a directoryObject
     */
    get rejectedSenders() {
        return this._rejectedSenders;
    }
    ;
    /**
     * Sets the rejectedSenders property value. The list of users or groups that are not allowed to create posts or calendar events in this group. Nullable
     * @param value Value to set for the rejectedSenders property.
     */
    set rejectedSenders(value) {
        this._rejectedSenders = value;
    }
    ;
    /**
     * Gets the renewedDateTime property value. Timestamp of when the group was last renewed. This cannot be modified directly and is only updated via the renew service action. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Returned by default. Supports $filter (eq, ne, not, ge, le, in). Read-only.
     * @returns a Date
     */
    get renewedDateTime() {
        return this._renewedDateTime;
    }
    ;
    /**
     * Sets the renewedDateTime property value. Timestamp of when the group was last renewed. This cannot be modified directly and is only updated via the renew service action. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Returned by default. Supports $filter (eq, ne, not, ge, le, in). Read-only.
     * @param value Value to set for the renewedDateTime property.
     */
    set renewedDateTime(value) {
        this._renewedDateTime = value;
    }
    ;
    /**
     * Gets the securityEnabled property value. Specifies whether the group is a security group. Required.Returned by default. Supports $filter (eq, ne, not, in).
     * @returns a boolean
     */
    get securityEnabled() {
        return this._securityEnabled;
    }
    ;
    /**
     * Sets the securityEnabled property value. Specifies whether the group is a security group. Required.Returned by default. Supports $filter (eq, ne, not, in).
     * @param value Value to set for the securityEnabled property.
     */
    set securityEnabled(value) {
        this._securityEnabled = value;
    }
    ;
    /**
     * Gets the securityIdentifier property value. Security identifier of the group, used in Windows scenarios. Returned by default.
     * @returns a string
     */
    get securityIdentifier() {
        return this._securityIdentifier;
    }
    ;
    /**
     * Sets the securityIdentifier property value. Security identifier of the group, used in Windows scenarios. Returned by default.
     * @param value Value to set for the securityIdentifier property.
     */
    set securityIdentifier(value) {
        this._securityIdentifier = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("acceptedSenders", this.acceptedSenders);
        writer.writeBooleanValue("allowExternalSenders", this.allowExternalSenders);
        writer.writeCollectionOfObjectValues("appRoleAssignments", this.appRoleAssignments);
        writer.writeCollectionOfObjectValues("assignedLabels", this.assignedLabels);
        writer.writeCollectionOfObjectValues("assignedLicenses", this.assignedLicenses);
        writer.writeBooleanValue("autoSubscribeNewMembers", this.autoSubscribeNewMembers);
        writer.writeObjectValue("calendar", this.calendar);
        writer.writeCollectionOfObjectValues("calendarView", this.calendarView);
        writer.writeStringValue("classification", this.classification);
        writer.writeCollectionOfObjectValues("conversations", this.conversations);
        writer.writeDateValue("createdDateTime", this.createdDateTime);
        writer.writeObjectValue("createdOnBehalfOf", this.createdOnBehalfOf);
        writer.writeStringValue("description", this.description);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeObjectValue("drive", this.drive);
        writer.writeCollectionOfObjectValues("drives", this.drives);
        writer.writeCollectionOfObjectValues("events", this.events);
        writer.writeDateValue("expirationDateTime", this.expirationDateTime);
        writer.writeCollectionOfObjectValues("extensions", this.extensions);
        writer.writeCollectionOfObjectValues("groupLifecyclePolicies", this.groupLifecyclePolicies);
        writer.writeCollectionOfPrimitiveValues("groupTypes", this.groupTypes);
        writer.writeBooleanValue("hasMembersWithLicenseErrors", this.hasMembersWithLicenseErrors);
        writer.writeBooleanValue("hideFromAddressLists", this.hideFromAddressLists);
        writer.writeBooleanValue("hideFromOutlookClients", this.hideFromOutlookClients);
        writer.writeBooleanValue("isArchived", this.isArchived);
        writer.writeBooleanValue("isAssignableToRole", this.isAssignableToRole);
        writer.writeBooleanValue("isSubscribedByMail", this.isSubscribedByMail);
        writer.writeObjectValue("licenseProcessingState", this.licenseProcessingState);
        writer.writeStringValue("mail", this.mail);
        writer.writeBooleanValue("mailEnabled", this.mailEnabled);
        writer.writeStringValue("mailNickname", this.mailNickname);
        writer.writeCollectionOfObjectValues("memberOf", this.memberOf);
        writer.writeCollectionOfObjectValues("members", this.members);
        writer.writeStringValue("membershipRule", this.membershipRule);
        writer.writeStringValue("membershipRuleProcessingState", this.membershipRuleProcessingState);
        writer.writeCollectionOfObjectValues("membersWithLicenseErrors", this.membersWithLicenseErrors);
        writer.writeObjectValue("onenote", this.onenote);
        writer.writeStringValue("onPremisesDomainName", this.onPremisesDomainName);
        writer.writeDateValue("onPremisesLastSyncDateTime", this.onPremisesLastSyncDateTime);
        writer.writeStringValue("onPremisesNetBiosName", this.onPremisesNetBiosName);
        writer.writeCollectionOfObjectValues("onPremisesProvisioningErrors", this.onPremisesProvisioningErrors);
        writer.writeStringValue("onPremisesSamAccountName", this.onPremisesSamAccountName);
        writer.writeStringValue("onPremisesSecurityIdentifier", this.onPremisesSecurityIdentifier);
        writer.writeBooleanValue("onPremisesSyncEnabled", this.onPremisesSyncEnabled);
        writer.writeCollectionOfObjectValues("owners", this.owners);
        writer.writeCollectionOfObjectValues("permissionGrants", this.permissionGrants);
        writer.writeObjectValue("photo", this.photo);
        writer.writeCollectionOfObjectValues("photos", this.photos);
        writer.writeObjectValue("planner", this.planner);
        writer.writeStringValue("preferredDataLocation", this.preferredDataLocation);
        writer.writeStringValue("preferredLanguage", this.preferredLanguage);
        writer.writeCollectionOfPrimitiveValues("proxyAddresses", this.proxyAddresses);
        writer.writeCollectionOfObjectValues("rejectedSenders", this.rejectedSenders);
        writer.writeDateValue("renewedDateTime", this.renewedDateTime);
        writer.writeBooleanValue("securityEnabled", this.securityEnabled);
        writer.writeStringValue("securityIdentifier", this.securityIdentifier);
        writer.writeCollectionOfObjectValues("settings", this.settings);
        writer.writeCollectionOfObjectValues("sites", this.sites);
        writer.writeObjectValue("team", this.team);
        writer.writeStringValue("theme", this.theme);
        writer.writeCollectionOfObjectValues("threads", this.threads);
        writer.writeCollectionOfObjectValues("transitiveMemberOf", this.transitiveMemberOf);
        writer.writeCollectionOfObjectValues("transitiveMembers", this.transitiveMembers);
        writer.writeNumberValue("unseenCount", this.unseenCount);
        writer.writeStringValue("visibility", this.visibility);
    }
    ;
    /**
     * Gets the settings property value. Settings that can govern this group's behavior, like whether members can invite guest users to the group. Nullable.
     * @returns a groupSetting
     */
    get settings() {
        return this._settings;
    }
    ;
    /**
     * Sets the settings property value. Settings that can govern this group's behavior, like whether members can invite guest users to the group. Nullable.
     * @param value Value to set for the settings property.
     */
    set settings(value) {
        this._settings = value;
    }
    ;
    /**
     * Gets the sites property value. The list of SharePoint sites in this group. Access the default site with /sites/root.
     * @returns a site
     */
    get sites() {
        return this._sites;
    }
    ;
    /**
     * Sets the sites property value. The list of SharePoint sites in this group. Access the default site with /sites/root.
     * @param value Value to set for the sites property.
     */
    set sites(value) {
        this._sites = value;
    }
    ;
    /**
     * Gets the team property value. The team associated with this group.
     * @returns a team
     */
    get team() {
        return this._team;
    }
    ;
    /**
     * Sets the team property value. The team associated with this group.
     * @param value Value to set for the team property.
     */
    set team(value) {
        this._team = value;
    }
    ;
    /**
     * Gets the theme property value. Specifies a Microsoft 365 group's color theme. Possible values are Teal, Purple, Green, Blue, Pink, Orange or Red. Returned by default.
     * @returns a string
     */
    get theme() {
        return this._theme;
    }
    ;
    /**
     * Sets the theme property value. Specifies a Microsoft 365 group's color theme. Possible values are Teal, Purple, Green, Blue, Pink, Orange or Red. Returned by default.
     * @param value Value to set for the theme property.
     */
    set theme(value) {
        this._theme = value;
    }
    ;
    /**
     * Gets the threads property value. The group's conversation threads. Nullable.
     * @returns a conversationThread
     */
    get threads() {
        return this._threads;
    }
    ;
    /**
     * Sets the threads property value. The group's conversation threads. Nullable.
     * @param value Value to set for the threads property.
     */
    set threads(value) {
        this._threads = value;
    }
    ;
    /**
     * Gets the transitiveMemberOf property value. The transitiveMemberOf property
     * @returns a directoryObject
     */
    get transitiveMemberOf() {
        return this._transitiveMemberOf;
    }
    ;
    /**
     * Sets the transitiveMemberOf property value. The transitiveMemberOf property
     * @param value Value to set for the transitiveMemberOf property.
     */
    set transitiveMemberOf(value) {
        this._transitiveMemberOf = value;
    }
    ;
    /**
     * Gets the transitiveMembers property value. The transitiveMembers property
     * @returns a directoryObject
     */
    get transitiveMembers() {
        return this._transitiveMembers;
    }
    ;
    /**
     * Sets the transitiveMembers property value. The transitiveMembers property
     * @param value Value to set for the transitiveMembers property.
     */
    set transitiveMembers(value) {
        this._transitiveMembers = value;
    }
    ;
    /**
     * Gets the unseenCount property value. Count of conversations that have received new posts since the signed-in user last visited the group. This property is the same as unseenConversationsCount.Returned only on $select. Supported only on the Get group API (GET /groups/{ID}).
     * @returns a integer
     */
    get unseenCount() {
        return this._unseenCount;
    }
    ;
    /**
     * Sets the unseenCount property value. Count of conversations that have received new posts since the signed-in user last visited the group. This property is the same as unseenConversationsCount.Returned only on $select. Supported only on the Get group API (GET /groups/{ID}).
     * @param value Value to set for the unseenCount property.
     */
    set unseenCount(value) {
        this._unseenCount = value;
    }
    ;
    /**
     * Gets the visibility property value. Specifies the group join policy and group content visibility for groups. Possible values are: Private, Public, or Hiddenmembership. Hiddenmembership can be set only for Microsoft 365 groups, when the groups are created. It can't be updated later. Other values of visibility can be updated after group creation. If visibility value is not specified during group creation on Microsoft Graph, a security group is created as Private by default and Microsoft 365 group is Public. Groups assignable to roles are always Private. See group visibility options to learn more. Returned by default. Nullable.
     * @returns a string
     */
    get visibility() {
        return this._visibility;
    }
    ;
    /**
     * Sets the visibility property value. Specifies the group join policy and group content visibility for groups. Possible values are: Private, Public, or Hiddenmembership. Hiddenmembership can be set only for Microsoft 365 groups, when the groups are created. It can't be updated later. Other values of visibility can be updated after group creation. If visibility value is not specified during group creation on Microsoft Graph, a security group is created as Private by default and Microsoft 365 group is Public. Groups assignable to roles are always Private. See group visibility options to learn more. Returned by default. Nullable.
     * @param value Value to set for the visibility property.
     */
    set visibility(value) {
        this._visibility = value;
    }
    ;
}
exports.Group = Group;
