"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GroupSetting = void 0;
const createSettingValueFromDiscriminatorValue_1 = require("./createSettingValueFromDiscriminatorValue");
const index_1 = require("./index");
/** Casts the previous resource to user. */
class GroupSetting extends index_1.Entity {
    /**
     * Instantiates a new groupSetting and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the displayName property value. Display name of this group of settings, which comes from the associated template.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. Display name of this group of settings, which comes from the associated template.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "displayName": n => { this.displayName = n.getStringValue(); }, "templateId": n => { this.templateId = n.getStringValue(); }, "values": n => { this.values = n.getCollectionOfObjectValues(createSettingValueFromDiscriminatorValue_1.createSettingValueFromDiscriminatorValue); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeStringValue("templateId", this.templateId);
        writer.writeCollectionOfObjectValues("values", this.values);
    }
    ;
    /**
     * Gets the templateId property value. Unique identifier for the tenant-level groupSettingTemplates object that's been customized for this group-level settings object. Read-only.
     * @returns a string
     */
    get templateId() {
        return this._templateId;
    }
    ;
    /**
     * Sets the templateId property value. Unique identifier for the tenant-level groupSettingTemplates object that's been customized for this group-level settings object. Read-only.
     * @param value Value to set for the templateId property.
     */
    set templateId(value) {
        this._templateId = value;
    }
    ;
    /**
     * Gets the values property value. Collection of name-value pairs corresponding to the name and defaultValue properties in the referenced groupSettingTemplates object.
     * @returns a settingValue
     */
    get values() {
        return this._values;
    }
    ;
    /**
     * Sets the values property value. Collection of name-value pairs corresponding to the name and defaultValue properties in the referenced groupSettingTemplates object.
     * @param value Value to set for the values property.
     */
    set values(value) {
        this._values = value;
    }
    ;
}
exports.GroupSetting = GroupSetting;
