"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GroupSettingTemplate = void 0;
const createSettingTemplateValueFromDiscriminatorValue_1 = require("./createSettingTemplateValueFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the collection of groupSettingTemplate entities. */
class GroupSettingTemplate extends index_1.DirectoryObject {
    /**
     * Instantiates a new groupSettingTemplate and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the description property value. Description of the template.
     * @returns a string
     */
    get description() {
        return this._description;
    }
    ;
    /**
     * Sets the description property value. Description of the template.
     * @param value Value to set for the description property.
     */
    set description(value) {
        this._description = value;
    }
    ;
    /**
     * Gets the displayName property value. Display name of the template. The template named Group.Unified can be used to configure tenant-wide Microsoft 365 group settings, while the template named Group.Unified.Guest can be used to configure group-specific settings.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. Display name of the template. The template named Group.Unified can be used to configure tenant-wide Microsoft 365 group settings, while the template named Group.Unified.Guest can be used to configure group-specific settings.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "description": n => { this.description = n.getStringValue(); }, "displayName": n => { this.displayName = n.getStringValue(); }, "values": n => { this.values = n.getCollectionOfObjectValues(createSettingTemplateValueFromDiscriminatorValue_1.createSettingTemplateValueFromDiscriminatorValue); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("description", this.description);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeCollectionOfObjectValues("values", this.values);
    }
    ;
    /**
     * Gets the values property value. Collection of settingTemplateValues that list the set of available settings, defaults and types that make up this template.
     * @returns a settingTemplateValue
     */
    get values() {
        return this._values;
    }
    ;
    /**
     * Sets the values property value. Collection of settingTemplateValues that list the set of available settings, defaults and types that make up this template.
     * @param value Value to set for the values property.
     */
    set values(value) {
        this._values = value;
    }
    ;
}
exports.GroupSettingTemplate = GroupSettingTemplate;
