import { B2xIdentityUserFlow, ConditionalAccessRoot, Entity, IdentityApiConnector, IdentityProviderBase, IdentityUserFlowAttribute } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the identityContainer singleton. */
export declare class IdentityContainer extends Entity implements Parsable {
    /** Represents entry point for API connectors. */
    private _apiConnectors?;
    /** Represents entry point for B2X and self-service sign-up identity userflows. */
    private _b2xUserFlows?;
    /** the entry point for the Conditional Access (CA) object model. */
    private _conditionalAccess?;
    /** Represents entry point for identity provider base. */
    private _identityProviders?;
    /** Represents entry point for identity userflow attributes. */
    private _userFlowAttributes?;
    /**
     * Gets the apiConnectors property value. Represents entry point for API connectors.
     * @returns a identityApiConnector
     */
    get apiConnectors(): IdentityApiConnector[] | undefined;
    /**
     * Sets the apiConnectors property value. Represents entry point for API connectors.
     * @param value Value to set for the apiConnectors property.
     */
    set apiConnectors(value: IdentityApiConnector[] | undefined);
    /**
     * Gets the b2xUserFlows property value. Represents entry point for B2X and self-service sign-up identity userflows.
     * @returns a b2xIdentityUserFlow
     */
    get b2xUserFlows(): B2xIdentityUserFlow[] | undefined;
    /**
     * Sets the b2xUserFlows property value. Represents entry point for B2X and self-service sign-up identity userflows.
     * @param value Value to set for the b2xUserFlows property.
     */
    set b2xUserFlows(value: B2xIdentityUserFlow[] | undefined);
    /**
     * Gets the conditionalAccess property value. the entry point for the Conditional Access (CA) object model.
     * @returns a conditionalAccessRoot
     */
    get conditionalAccess(): ConditionalAccessRoot | undefined;
    /**
     * Sets the conditionalAccess property value. the entry point for the Conditional Access (CA) object model.
     * @param value Value to set for the conditionalAccess property.
     */
    set conditionalAccess(value: ConditionalAccessRoot | undefined);
    /**
     * Instantiates a new identityContainer and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the identityProviders property value. Represents entry point for identity provider base.
     * @returns a identityProviderBase
     */
    get identityProviders(): IdentityProviderBase[] | undefined;
    /**
     * Sets the identityProviders property value. Represents entry point for identity provider base.
     * @param value Value to set for the identityProviders property.
     */
    set identityProviders(value: IdentityProviderBase[] | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the userFlowAttributes property value. Represents entry point for identity userflow attributes.
     * @returns a identityUserFlowAttribute
     */
    get userFlowAttributes(): IdentityUserFlowAttribute[] | undefined;
    /**
     * Sets the userFlowAttributes property value. Represents entry point for identity userflow attributes.
     * @param value Value to set for the userFlowAttributes property.
     */
    set userFlowAttributes(value: IdentityUserFlowAttribute[] | undefined);
}
