"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IdentityProtectionRoot = void 0;
const createRiskDetectionFromDiscriminatorValue_1 = require("./createRiskDetectionFromDiscriminatorValue");
const createRiskyUserFromDiscriminatorValue_1 = require("./createRiskyUserFromDiscriminatorValue");
class IdentityProtectionRoot {
    /**
     * Instantiates a new IdentityProtectionRoot and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "riskDetections": n => { this.riskDetections = n.getCollectionOfObjectValues(createRiskDetectionFromDiscriminatorValue_1.createRiskDetectionFromDiscriminatorValue); },
            "riskyUsers": n => { this.riskyUsers = n.getCollectionOfObjectValues(createRiskyUserFromDiscriminatorValue_1.createRiskyUserFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Gets the riskDetections property value. Risk detection in Azure AD Identity Protection and the associated information about the detection.
     * @returns a riskDetection
     */
    get riskDetections() {
        return this._riskDetections;
    }
    ;
    /**
     * Sets the riskDetections property value. Risk detection in Azure AD Identity Protection and the associated information about the detection.
     * @param value Value to set for the riskDetections property.
     */
    set riskDetections(value) {
        this._riskDetections = value;
    }
    ;
    /**
     * Gets the riskyUsers property value. Users that are flagged as at-risk by Azure AD Identity Protection.
     * @returns a riskyUser
     */
    get riskyUsers() {
        return this._riskyUsers;
    }
    ;
    /**
     * Sets the riskyUsers property value. Users that are flagged as at-risk by Azure AD Identity Protection.
     * @param value Value to set for the riskyUsers property.
     */
    set riskyUsers(value) {
        this._riskyUsers = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeCollectionOfObjectValues("riskDetections", this.riskDetections);
        writer.writeCollectionOfObjectValues("riskyUsers", this.riskyUsers);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.IdentityProtectionRoot = IdentityProtectionRoot;
