"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IdentityProviderBase = void 0;
const index_1 = require("./index");
/** Provides operations to manage the collection of domain entities. */
class IdentityProviderBase extends index_1.Entity {
    /**
     * Instantiates a new identityProviderBase and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the displayName property value. The display name of the identity provider.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. The display name of the identity provider.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "displayName": n => { this.displayName = n.getStringValue(); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("displayName", this.displayName);
    }
    ;
}
exports.IdentityProviderBase = IdentityProviderBase;
