"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IdentitySecurityDefaultsEnforcementPolicy = void 0;
const index_1 = require("./index");
/** Provides operations to manage the policyRoot singleton. */
class IdentitySecurityDefaultsEnforcementPolicy extends index_1.PolicyBase {
    /**
     * Instantiates a new identitySecurityDefaultsEnforcementPolicy and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "isEnabled": n => { this.isEnabled = n.getBooleanValue(); } });
    }
    ;
    /**
     * Gets the isEnabled property value. If set to true, Azure Active Directory security defaults is enabled for the tenant.
     * @returns a boolean
     */
    get isEnabled() {
        return this._isEnabled;
    }
    ;
    /**
     * Sets the isEnabled property value. If set to true, Azure Active Directory security defaults is enabled for the tenant.
     * @param value Value to set for the isEnabled property.
     */
    set isEnabled(value) {
        this._isEnabled = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeBooleanValue("isEnabled", this.isEnabled);
    }
    ;
}
exports.IdentitySecurityDefaultsEnforcementPolicy = IdentitySecurityDefaultsEnforcementPolicy;
