"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IdentitySet = void 0;
const createIdentityFromDiscriminatorValue_1 = require("./createIdentityFromDiscriminatorValue");
class IdentitySet {
    /**
     * Instantiates a new identitySet and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the application property value. The Identity of the Application. This property is read-only.
     * @returns a identity
     */
    get application() {
        return this._application;
    }
    ;
    /**
     * Sets the application property value. The Identity of the Application. This property is read-only.
     * @param value Value to set for the application property.
     */
    set application(value) {
        this._application = value;
    }
    ;
    ;
    /**
     * Gets the device property value. The Identity of the Device. This property is read-only.
     * @returns a identity
     */
    get device() {
        return this._device;
    }
    ;
    /**
     * Sets the device property value. The Identity of the Device. This property is read-only.
     * @param value Value to set for the device property.
     */
    set device(value) {
        this._device = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "application": n => { this.application = n.getObjectValue(createIdentityFromDiscriminatorValue_1.createIdentityFromDiscriminatorValue); },
            "device": n => { this.device = n.getObjectValue(createIdentityFromDiscriminatorValue_1.createIdentityFromDiscriminatorValue); },
            "user": n => { this.user = n.getObjectValue(createIdentityFromDiscriminatorValue_1.createIdentityFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeObjectValue("application", this.application);
        writer.writeObjectValue("device", this.device);
        writer.writeObjectValue("user", this.user);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the user property value. The Identity of the User. This property is read-only.
     * @returns a identity
     */
    get user() {
        return this._user;
    }
    ;
    /**
     * Sets the user property value. The Identity of the User. This property is read-only.
     * @param value Value to set for the user property.
     */
    set user(value) {
        this._user = value;
    }
    ;
}
exports.IdentitySet = IdentitySet;
