"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IdentityUserFlowAttribute = void 0;
const identityUserFlowAttributeDataType_1 = require("./identityUserFlowAttributeDataType");
const identityUserFlowAttributeType_1 = require("./identityUserFlowAttributeType");
const index_1 = require("./index");
/** Provides operations to manage the identityContainer singleton. */
class IdentityUserFlowAttribute extends index_1.Entity {
    /**
     * Instantiates a new identityUserFlowAttribute and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the dataType property value. The data type of the user flow attribute. This cannot be modified after the custom user flow attribute is created. The supported values for dataType are: string , boolean , int64 , stringCollection , dateTime.
     * @returns a identityUserFlowAttributeDataType
     */
    get dataType() {
        return this._dataType;
    }
    ;
    /**
     * Sets the dataType property value. The data type of the user flow attribute. This cannot be modified after the custom user flow attribute is created. The supported values for dataType are: string , boolean , int64 , stringCollection , dateTime.
     * @param value Value to set for the dataType property.
     */
    set dataType(value) {
        this._dataType = value;
    }
    ;
    /**
     * Gets the description property value. The description of the user flow attribute that's shown to the user at the time of sign-up.
     * @returns a string
     */
    get description() {
        return this._description;
    }
    ;
    /**
     * Sets the description property value. The description of the user flow attribute that's shown to the user at the time of sign-up.
     * @param value Value to set for the description property.
     */
    set description(value) {
        this._description = value;
    }
    ;
    /**
     * Gets the displayName property value. The display name of the user flow attribute.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. The display name of the user flow attribute.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "dataType": n => { this.dataType = n.getEnumValue(identityUserFlowAttributeDataType_1.IdentityUserFlowAttributeDataType); }, "description": n => { this.description = n.getStringValue(); }, "displayName": n => { this.displayName = n.getStringValue(); }, "userFlowAttributeType": n => { this.userFlowAttributeType = n.getEnumValue(identityUserFlowAttributeType_1.IdentityUserFlowAttributeType); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeEnumValue("dataType", this.dataType);
        writer.writeStringValue("description", this.description);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeEnumValue("userFlowAttributeType", this.userFlowAttributeType);
    }
    ;
    /**
     * Gets the userFlowAttributeType property value. The type of the user flow attribute. This is a read-only attribute that is automatically set. Depending on the type of attribute, the values for this property will be builtIn, custom, or required.
     * @returns a identityUserFlowAttributeType
     */
    get userFlowAttributeType() {
        return this._userFlowAttributeType;
    }
    ;
    /**
     * Sets the userFlowAttributeType property value. The type of the user flow attribute. This is a read-only attribute that is automatically set. Depending on the type of attribute, the values for this property will be builtIn, custom, or required.
     * @param value Value to set for the userFlowAttributeType property.
     */
    set userFlowAttributeType(value) {
        this._userFlowAttributeType = value;
    }
    ;
}
exports.IdentityUserFlowAttribute = IdentityUserFlowAttribute;
