import { Entity, ImportedWindowsAutopilotDeviceIdentityState } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Imported windows autopilot devices. */
export declare class ImportedWindowsAutopilotDeviceIdentity extends Entity implements Parsable {
    /** UPN of the user the device will be assigned */
    private _assignedUserPrincipalName?;
    /** Group Tag of the Windows autopilot device. */
    private _groupTag?;
    /** Hardware Blob of the Windows autopilot device. */
    private _hardwareIdentifier?;
    /** The Import Id of the Windows autopilot device. */
    private _importId?;
    /** Product Key of the Windows autopilot device. */
    private _productKey?;
    /** Serial number of the Windows autopilot device. */
    private _serialNumber?;
    /** Current state of the imported device. */
    private _state?;
    /**
     * Gets the assignedUserPrincipalName property value. UPN of the user the device will be assigned
     * @returns a string
     */
    get assignedUserPrincipalName(): string | undefined;
    /**
     * Sets the assignedUserPrincipalName property value. UPN of the user the device will be assigned
     * @param value Value to set for the assignedUserPrincipalName property.
     */
    set assignedUserPrincipalName(value: string | undefined);
    /**
     * Instantiates a new importedWindowsAutopilotDeviceIdentity and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the groupTag property value. Group Tag of the Windows autopilot device.
     * @returns a string
     */
    get groupTag(): string | undefined;
    /**
     * Sets the groupTag property value. Group Tag of the Windows autopilot device.
     * @param value Value to set for the groupTag property.
     */
    set groupTag(value: string | undefined);
    /**
     * Gets the hardwareIdentifier property value. Hardware Blob of the Windows autopilot device.
     * @returns a binary
     */
    get hardwareIdentifier(): string | undefined;
    /**
     * Sets the hardwareIdentifier property value. Hardware Blob of the Windows autopilot device.
     * @param value Value to set for the hardwareIdentifier property.
     */
    set hardwareIdentifier(value: string | undefined);
    /**
     * Gets the importId property value. The Import Id of the Windows autopilot device.
     * @returns a string
     */
    get importId(): string | undefined;
    /**
     * Sets the importId property value. The Import Id of the Windows autopilot device.
     * @param value Value to set for the importId property.
     */
    set importId(value: string | undefined);
    /**
     * Gets the productKey property value. Product Key of the Windows autopilot device.
     * @returns a string
     */
    get productKey(): string | undefined;
    /**
     * Sets the productKey property value. Product Key of the Windows autopilot device.
     * @param value Value to set for the productKey property.
     */
    set productKey(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the serialNumber property value. Serial number of the Windows autopilot device.
     * @returns a string
     */
    get serialNumber(): string | undefined;
    /**
     * Sets the serialNumber property value. Serial number of the Windows autopilot device.
     * @param value Value to set for the serialNumber property.
     */
    set serialNumber(value: string | undefined);
    /**
     * Gets the state property value. Current state of the imported device.
     * @returns a importedWindowsAutopilotDeviceIdentityState
     */
    get state(): ImportedWindowsAutopilotDeviceIdentityState | undefined;
    /**
     * Sets the state property value. Current state of the imported device.
     * @param value Value to set for the state property.
     */
    set state(value: ImportedWindowsAutopilotDeviceIdentityState | undefined);
}
