"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImportedWindowsAutopilotDeviceIdentity = void 0;
const createImportedWindowsAutopilotDeviceIdentityStateFromDiscriminatorValue_1 = require("./createImportedWindowsAutopilotDeviceIdentityStateFromDiscriminatorValue");
const index_1 = require("./index");
/** Imported windows autopilot devices. */
class ImportedWindowsAutopilotDeviceIdentity extends index_1.Entity {
    /**
     * Instantiates a new importedWindowsAutopilotDeviceIdentity and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the assignedUserPrincipalName property value. UPN of the user the device will be assigned
     * @returns a string
     */
    get assignedUserPrincipalName() {
        return this._assignedUserPrincipalName;
    }
    ;
    /**
     * Sets the assignedUserPrincipalName property value. UPN of the user the device will be assigned
     * @param value Value to set for the assignedUserPrincipalName property.
     */
    set assignedUserPrincipalName(value) {
        this._assignedUserPrincipalName = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "assignedUserPrincipalName": n => { this.assignedUserPrincipalName = n.getStringValue(); }, "groupTag": n => { this.groupTag = n.getStringValue(); }, "hardwareIdentifier": n => { this.hardwareIdentifier = n.getStringValue(); }, "importId": n => { this.importId = n.getStringValue(); }, "productKey": n => { this.productKey = n.getStringValue(); }, "serialNumber": n => { this.serialNumber = n.getStringValue(); }, "state": n => { this.state = n.getObjectValue(createImportedWindowsAutopilotDeviceIdentityStateFromDiscriminatorValue_1.createImportedWindowsAutopilotDeviceIdentityStateFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the groupTag property value. Group Tag of the Windows autopilot device.
     * @returns a string
     */
    get groupTag() {
        return this._groupTag;
    }
    ;
    /**
     * Sets the groupTag property value. Group Tag of the Windows autopilot device.
     * @param value Value to set for the groupTag property.
     */
    set groupTag(value) {
        this._groupTag = value;
    }
    ;
    /**
     * Gets the hardwareIdentifier property value. Hardware Blob of the Windows autopilot device.
     * @returns a binary
     */
    get hardwareIdentifier() {
        return this._hardwareIdentifier;
    }
    ;
    /**
     * Sets the hardwareIdentifier property value. Hardware Blob of the Windows autopilot device.
     * @param value Value to set for the hardwareIdentifier property.
     */
    set hardwareIdentifier(value) {
        this._hardwareIdentifier = value;
    }
    ;
    /**
     * Gets the importId property value. The Import Id of the Windows autopilot device.
     * @returns a string
     */
    get importId() {
        return this._importId;
    }
    ;
    /**
     * Sets the importId property value. The Import Id of the Windows autopilot device.
     * @param value Value to set for the importId property.
     */
    set importId(value) {
        this._importId = value;
    }
    ;
    /**
     * Gets the productKey property value. Product Key of the Windows autopilot device.
     * @returns a string
     */
    get productKey() {
        return this._productKey;
    }
    ;
    /**
     * Sets the productKey property value. Product Key of the Windows autopilot device.
     * @param value Value to set for the productKey property.
     */
    set productKey(value) {
        this._productKey = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("assignedUserPrincipalName", this.assignedUserPrincipalName);
        writer.writeStringValue("groupTag", this.groupTag);
        writer.writeStringValue("hardwareIdentifier", this.hardwareIdentifier);
        writer.writeStringValue("importId", this.importId);
        writer.writeStringValue("productKey", this.productKey);
        writer.writeStringValue("serialNumber", this.serialNumber);
        writer.writeObjectValue("state", this.state);
    }
    ;
    /**
     * Gets the serialNumber property value. Serial number of the Windows autopilot device.
     * @returns a string
     */
    get serialNumber() {
        return this._serialNumber;
    }
    ;
    /**
     * Sets the serialNumber property value. Serial number of the Windows autopilot device.
     * @param value Value to set for the serialNumber property.
     */
    set serialNumber(value) {
        this._serialNumber = value;
    }
    ;
    /**
     * Gets the state property value. Current state of the imported device.
     * @returns a importedWindowsAutopilotDeviceIdentityState
     */
    get state() {
        return this._state;
    }
    ;
    /**
     * Sets the state property value. Current state of the imported device.
     * @param value Value to set for the state property.
     */
    set state(value) {
        this._state = value;
    }
    ;
}
exports.ImportedWindowsAutopilotDeviceIdentity = ImportedWindowsAutopilotDeviceIdentity;
