"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IncompleteData = void 0;
class IncompleteData {
    /**
     * Instantiates a new incompleteData and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "missingDataBeforeDateTime": n => { this.missingDataBeforeDateTime = n.getDateValue(); },
            "wasThrottled": n => { this.wasThrottled = n.getBooleanValue(); },
        };
    }
    ;
    /**
     * Gets the missingDataBeforeDateTime property value. The service does not have source data before the specified time.
     * @returns a Date
     */
    get missingDataBeforeDateTime() {
        return this._missingDataBeforeDateTime;
    }
    ;
    /**
     * Sets the missingDataBeforeDateTime property value. The service does not have source data before the specified time.
     * @param value Value to set for the missingDataBeforeDateTime property.
     */
    set missingDataBeforeDateTime(value) {
        this._missingDataBeforeDateTime = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeDateValue("missingDataBeforeDateTime", this.missingDataBeforeDateTime);
        writer.writeBooleanValue("wasThrottled", this.wasThrottled);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the wasThrottled property value. Some data was not recorded due to excessive activity.
     * @returns a boolean
     */
    get wasThrottled() {
        return this._wasThrottled;
    }
    ;
    /**
     * Sets the wasThrottled property value. Some data was not recorded due to excessive activity.
     * @param value Value to set for the wasThrottled property.
     */
    set wasThrottled(value) {
        this._wasThrottled = value;
    }
    ;
}
exports.IncompleteData = IncompleteData;
