"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InferenceClassification = void 0;
const createInferenceClassificationOverrideFromDiscriminatorValue_1 = require("./createInferenceClassificationOverrideFromDiscriminatorValue");
const index_1 = require("./index");
/** Casts the previous resource to user. */
class InferenceClassification extends index_1.Entity {
    /**
     * Instantiates a new inferenceClassification and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "overrides": n => { this.overrides = n.getCollectionOfObjectValues(createInferenceClassificationOverrideFromDiscriminatorValue_1.createInferenceClassificationOverrideFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the overrides property value. A set of overrides for a user to always classify messages from specific senders in certain ways: focused, or other. Read-only. Nullable.
     * @returns a inferenceClassificationOverride
     */
    get overrides() {
        return this._overrides;
    }
    ;
    /**
     * Sets the overrides property value. A set of overrides for a user to always classify messages from specific senders in certain ways: focused, or other. Read-only. Nullable.
     * @param value Value to set for the overrides property.
     */
    set overrides(value) {
        this._overrides = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("overrides", this.overrides);
    }
    ;
}
exports.InferenceClassification = InferenceClassification;
