"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InferenceClassificationOverride = void 0;
const createEmailAddressFromDiscriminatorValue_1 = require("./createEmailAddressFromDiscriminatorValue");
const index_1 = require("./index");
const inferenceClassificationType_1 = require("./inferenceClassificationType");
/** Casts the previous resource to user. */
class InferenceClassificationOverride extends index_1.Entity {
    /**
     * Instantiates a new inferenceClassificationOverride and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the classifyAs property value. Specifies how incoming messages from a specific sender should always be classified as. Possible values are: focused, other.
     * @returns a inferenceClassificationType
     */
    get classifyAs() {
        return this._classifyAs;
    }
    ;
    /**
     * Sets the classifyAs property value. Specifies how incoming messages from a specific sender should always be classified as. Possible values are: focused, other.
     * @param value Value to set for the classifyAs property.
     */
    set classifyAs(value) {
        this._classifyAs = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "classifyAs": n => { this.classifyAs = n.getEnumValue(inferenceClassificationType_1.InferenceClassificationType); }, "senderEmailAddress": n => { this.senderEmailAddress = n.getObjectValue(createEmailAddressFromDiscriminatorValue_1.createEmailAddressFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the senderEmailAddress property value. The email address information of the sender for whom the override is created.
     * @returns a emailAddress
     */
    get senderEmailAddress() {
        return this._senderEmailAddress;
    }
    ;
    /**
     * Sets the senderEmailAddress property value. The email address information of the sender for whom the override is created.
     * @param value Value to set for the senderEmailAddress property.
     */
    set senderEmailAddress(value) {
        this._senderEmailAddress = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeEnumValue("classifyAs", this.classifyAs);
        writer.writeObjectValue("senderEmailAddress", this.senderEmailAddress);
    }
    ;
}
exports.InferenceClassificationOverride = InferenceClassificationOverride;
