"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Initiator = void 0;
const index_1 = require("./index");
const initiatorType_1 = require("./initiatorType");
/** Provides operations to manage the auditLogRoot singleton. */
class Initiator extends index_1.Identity {
    /**
     * Instantiates a new initiator and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "initiatorType": n => { this.initiatorType = n.getEnumValue(initiatorType_1.InitiatorType); } });
    }
    ;
    /**
     * Gets the initiatorType property value. Type of initiator. Possible values are: user, application, system, unknownFutureValue.
     * @returns a initiatorType
     */
    get initiatorType() {
        return this._initiatorType;
    }
    ;
    /**
     * Sets the initiatorType property value. Type of initiator. Possible values are: user, application, system, unknownFutureValue.
     * @param value Value to set for the initiatorType property.
     */
    set initiatorType(value) {
        this._initiatorType = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeEnumValue("initiatorType", this.initiatorType);
    }
    ;
}
exports.Initiator = Initiator;
