import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class InsightIdentity implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The email address of the user who shared the item. */
    private _address?;
    /** The display name of the user who shared the item. */
    private _displayName?;
    /** The id of the user who shared the item. */
    private _id?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the address property value. The email address of the user who shared the item.
     * @returns a string
     */
    get address(): string | undefined;
    /**
     * Sets the address property value. The email address of the user who shared the item.
     * @param value Value to set for the address property.
     */
    set address(value: string | undefined);
    /**
     * Instantiates a new insightIdentity and sets the default values.
     */
    constructor();
    /**
     * Gets the displayName property value. The display name of the user who shared the item.
     * @returns a string
     */
    get displayName(): string | undefined;
    /**
     * Sets the displayName property value. The display name of the user who shared the item.
     * @param value Value to set for the displayName property.
     */
    set displayName(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the id property value. The id of the user who shared the item.
     * @returns a string
     */
    get id(): string | undefined;
    /**
     * Sets the id property value. The id of the user who shared the item.
     * @param value Value to set for the id property.
     */
    set id(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
