"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IntegerRange = void 0;
class IntegerRange {
    /**
     * Instantiates a new integerRange and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the end property value. The inclusive upper bound of the integer range.
     * @returns a int64
     */
    get end() {
        return this._end;
    }
    ;
    /**
     * Sets the end property value. The inclusive upper bound of the integer range.
     * @param value Value to set for the end property.
     */
    set end(value) {
        this._end = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "end": n => { this.end = n.getNumberValue(); },
            "start": n => { this.start = n.getNumberValue(); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeNumberValue("end", this.end);
        writer.writeNumberValue("start", this.start);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the start property value. The inclusive lower bound of the integer range.
     * @returns a int64
     */
    get start() {
        return this._start;
    }
    ;
    /**
     * Sets the start property value. The inclusive lower bound of the integer range.
     * @param value Value to set for the start property.
     */
    set start(value) {
        this._start = value;
    }
    ;
}
exports.IntegerRange = IntegerRange;
