"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IntuneBrand = void 0;
const createMimeContentFromDiscriminatorValue_1 = require("./createMimeContentFromDiscriminatorValue");
const createRgbColorFromDiscriminatorValue_1 = require("./createRgbColorFromDiscriminatorValue");
/** intuneBrand contains data which is used in customizing the appearance of the Company Portal applications as well as the end user web portal. */
class IntuneBrand {
    /**
     * Instantiates a new intuneBrand and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the contactITEmailAddress property value. Email address of the person/organization responsible for IT support.
     * @returns a string
     */
    get contactITEmailAddress() {
        return this._contactITEmailAddress;
    }
    ;
    /**
     * Sets the contactITEmailAddress property value. Email address of the person/organization responsible for IT support.
     * @param value Value to set for the contactITEmailAddress property.
     */
    set contactITEmailAddress(value) {
        this._contactITEmailAddress = value;
    }
    ;
    /**
     * Gets the contactITName property value. Name of the person/organization responsible for IT support.
     * @returns a string
     */
    get contactITName() {
        return this._contactITName;
    }
    ;
    /**
     * Sets the contactITName property value. Name of the person/organization responsible for IT support.
     * @param value Value to set for the contactITName property.
     */
    set contactITName(value) {
        this._contactITName = value;
    }
    ;
    /**
     * Gets the contactITNotes property value. Text comments regarding the person/organization responsible for IT support.
     * @returns a string
     */
    get contactITNotes() {
        return this._contactITNotes;
    }
    ;
    /**
     * Sets the contactITNotes property value. Text comments regarding the person/organization responsible for IT support.
     * @param value Value to set for the contactITNotes property.
     */
    set contactITNotes(value) {
        this._contactITNotes = value;
    }
    ;
    /**
     * Gets the contactITPhoneNumber property value. Phone number of the person/organization responsible for IT support.
     * @returns a string
     */
    get contactITPhoneNumber() {
        return this._contactITPhoneNumber;
    }
    ;
    /**
     * Sets the contactITPhoneNumber property value. Phone number of the person/organization responsible for IT support.
     * @param value Value to set for the contactITPhoneNumber property.
     */
    set contactITPhoneNumber(value) {
        this._contactITPhoneNumber = value;
    }
    ;
    /**
     * Gets the darkBackgroundLogo property value. Logo image displayed in Company Portal apps which have a dark background behind the logo.
     * @returns a mimeContent
     */
    get darkBackgroundLogo() {
        return this._darkBackgroundLogo;
    }
    ;
    /**
     * Sets the darkBackgroundLogo property value. Logo image displayed in Company Portal apps which have a dark background behind the logo.
     * @param value Value to set for the darkBackgroundLogo property.
     */
    set darkBackgroundLogo(value) {
        this._darkBackgroundLogo = value;
    }
    ;
    /**
     * Gets the displayName property value. Company/organization name that is displayed to end users.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. Company/organization name that is displayed to end users.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "contactITEmailAddress": n => { this.contactITEmailAddress = n.getStringValue(); },
            "contactITName": n => { this.contactITName = n.getStringValue(); },
            "contactITNotes": n => { this.contactITNotes = n.getStringValue(); },
            "contactITPhoneNumber": n => { this.contactITPhoneNumber = n.getStringValue(); },
            "darkBackgroundLogo": n => { this.darkBackgroundLogo = n.getObjectValue(createMimeContentFromDiscriminatorValue_1.createMimeContentFromDiscriminatorValue); },
            "displayName": n => { this.displayName = n.getStringValue(); },
            "lightBackgroundLogo": n => { this.lightBackgroundLogo = n.getObjectValue(createMimeContentFromDiscriminatorValue_1.createMimeContentFromDiscriminatorValue); },
            "onlineSupportSiteName": n => { this.onlineSupportSiteName = n.getStringValue(); },
            "onlineSupportSiteUrl": n => { this.onlineSupportSiteUrl = n.getStringValue(); },
            "privacyUrl": n => { this.privacyUrl = n.getStringValue(); },
            "showDisplayNameNextToLogo": n => { this.showDisplayNameNextToLogo = n.getBooleanValue(); },
            "showLogo": n => { this.showLogo = n.getBooleanValue(); },
            "showNameNextToLogo": n => { this.showNameNextToLogo = n.getBooleanValue(); },
            "themeColor": n => { this.themeColor = n.getObjectValue(createRgbColorFromDiscriminatorValue_1.createRgbColorFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Gets the lightBackgroundLogo property value. Logo image displayed in Company Portal apps which have a light background behind the logo.
     * @returns a mimeContent
     */
    get lightBackgroundLogo() {
        return this._lightBackgroundLogo;
    }
    ;
    /**
     * Sets the lightBackgroundLogo property value. Logo image displayed in Company Portal apps which have a light background behind the logo.
     * @param value Value to set for the lightBackgroundLogo property.
     */
    set lightBackgroundLogo(value) {
        this._lightBackgroundLogo = value;
    }
    ;
    /**
     * Gets the onlineSupportSiteName property value. Display name of the company/organization’s IT helpdesk site.
     * @returns a string
     */
    get onlineSupportSiteName() {
        return this._onlineSupportSiteName;
    }
    ;
    /**
     * Sets the onlineSupportSiteName property value. Display name of the company/organization’s IT helpdesk site.
     * @param value Value to set for the onlineSupportSiteName property.
     */
    set onlineSupportSiteName(value) {
        this._onlineSupportSiteName = value;
    }
    ;
    /**
     * Gets the onlineSupportSiteUrl property value. URL to the company/organization’s IT helpdesk site.
     * @returns a string
     */
    get onlineSupportSiteUrl() {
        return this._onlineSupportSiteUrl;
    }
    ;
    /**
     * Sets the onlineSupportSiteUrl property value. URL to the company/organization’s IT helpdesk site.
     * @param value Value to set for the onlineSupportSiteUrl property.
     */
    set onlineSupportSiteUrl(value) {
        this._onlineSupportSiteUrl = value;
    }
    ;
    /**
     * Gets the privacyUrl property value. URL to the company/organization’s privacy policy.
     * @returns a string
     */
    get privacyUrl() {
        return this._privacyUrl;
    }
    ;
    /**
     * Sets the privacyUrl property value. URL to the company/organization’s privacy policy.
     * @param value Value to set for the privacyUrl property.
     */
    set privacyUrl(value) {
        this._privacyUrl = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("contactITEmailAddress", this.contactITEmailAddress);
        writer.writeStringValue("contactITName", this.contactITName);
        writer.writeStringValue("contactITNotes", this.contactITNotes);
        writer.writeStringValue("contactITPhoneNumber", this.contactITPhoneNumber);
        writer.writeObjectValue("darkBackgroundLogo", this.darkBackgroundLogo);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeObjectValue("lightBackgroundLogo", this.lightBackgroundLogo);
        writer.writeStringValue("onlineSupportSiteName", this.onlineSupportSiteName);
        writer.writeStringValue("onlineSupportSiteUrl", this.onlineSupportSiteUrl);
        writer.writeStringValue("privacyUrl", this.privacyUrl);
        writer.writeBooleanValue("showDisplayNameNextToLogo", this.showDisplayNameNextToLogo);
        writer.writeBooleanValue("showLogo", this.showLogo);
        writer.writeBooleanValue("showNameNextToLogo", this.showNameNextToLogo);
        writer.writeObjectValue("themeColor", this.themeColor);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the showDisplayNameNextToLogo property value. Boolean that represents whether the administrator-supplied display name will be shown next to the logo image.
     * @returns a boolean
     */
    get showDisplayNameNextToLogo() {
        return this._showDisplayNameNextToLogo;
    }
    ;
    /**
     * Sets the showDisplayNameNextToLogo property value. Boolean that represents whether the administrator-supplied display name will be shown next to the logo image.
     * @param value Value to set for the showDisplayNameNextToLogo property.
     */
    set showDisplayNameNextToLogo(value) {
        this._showDisplayNameNextToLogo = value;
    }
    ;
    /**
     * Gets the showLogo property value. Boolean that represents whether the administrator-supplied logo images are shown or not shown.
     * @returns a boolean
     */
    get showLogo() {
        return this._showLogo;
    }
    ;
    /**
     * Sets the showLogo property value. Boolean that represents whether the administrator-supplied logo images are shown or not shown.
     * @param value Value to set for the showLogo property.
     */
    set showLogo(value) {
        this._showLogo = value;
    }
    ;
    /**
     * Gets the showNameNextToLogo property value. Boolean that represents whether the administrator-supplied display name will be shown next to the logo image.
     * @returns a boolean
     */
    get showNameNextToLogo() {
        return this._showNameNextToLogo;
    }
    ;
    /**
     * Sets the showNameNextToLogo property value. Boolean that represents whether the administrator-supplied display name will be shown next to the logo image.
     * @param value Value to set for the showNameNextToLogo property.
     */
    set showNameNextToLogo(value) {
        this._showNameNextToLogo = value;
    }
    ;
    /**
     * Gets the themeColor property value. Primary theme color used in the Company Portal applications and web portal.
     * @returns a rgbColor
     */
    get themeColor() {
        return this._themeColor;
    }
    ;
    /**
     * Sets the themeColor property value. Primary theme color used in the Company Portal applications and web portal.
     * @param value Value to set for the themeColor property.
     */
    set themeColor(value) {
        this._themeColor = value;
    }
    ;
}
exports.IntuneBrand = IntuneBrand;
