import { IdentitySet } from './index';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class InvitationParticipantInfo implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The hidden property */
    private _hidden?;
    /** The identity property */
    private _identity?;
    /** Optional. The ID of the target participant. */
    private _participantId?;
    /** The removeFromDefaultAudioRoutingGroup property */
    private _removeFromDefaultAudioRoutingGroup?;
    /** Optional. The call which the target identity is currently a part of. For peer-to-peer case, the call will be dropped once the participant is added successfully. */
    private _replacesCallId?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Instantiates a new invitationParticipantInfo and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the hidden property value. The hidden property
     * @returns a boolean
     */
    get hidden(): boolean | undefined;
    /**
     * Sets the hidden property value. The hidden property
     * @param value Value to set for the hidden property.
     */
    set hidden(value: boolean | undefined);
    /**
     * Gets the identity property value. The identity property
     * @returns a identitySet
     */
    get identity(): IdentitySet | undefined;
    /**
     * Sets the identity property value. The identity property
     * @param value Value to set for the identity property.
     */
    set identity(value: IdentitySet | undefined);
    /**
     * Gets the participantId property value. Optional. The ID of the target participant.
     * @returns a string
     */
    get participantId(): string | undefined;
    /**
     * Sets the participantId property value. Optional. The ID of the target participant.
     * @param value Value to set for the participantId property.
     */
    set participantId(value: string | undefined);
    /**
     * Gets the removeFromDefaultAudioRoutingGroup property value. The removeFromDefaultAudioRoutingGroup property
     * @returns a boolean
     */
    get removeFromDefaultAudioRoutingGroup(): boolean | undefined;
    /**
     * Sets the removeFromDefaultAudioRoutingGroup property value. The removeFromDefaultAudioRoutingGroup property
     * @param value Value to set for the removeFromDefaultAudioRoutingGroup property.
     */
    set removeFromDefaultAudioRoutingGroup(value: boolean | undefined);
    /**
     * Gets the replacesCallId property value. Optional. The call which the target identity is currently a part of. For peer-to-peer case, the call will be dropped once the participant is added successfully.
     * @returns a string
     */
    get replacesCallId(): string | undefined;
    /**
     * Sets the replacesCallId property value. Optional. The call which the target identity is currently a part of. For peer-to-peer case, the call will be dropped once the participant is added successfully.
     * @param value Value to set for the replacesCallId property.
     */
    set replacesCallId(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
