import { CommsOperation, InvitationParticipantInfo } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to call the invite method. */
export declare class InviteParticipantsOperation extends CommsOperation implements Parsable {
    /** The participants to invite. */
    private _participants?;
    /**
     * Instantiates a new inviteParticipantsOperation and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the participants property value. The participants to invite.
     * @returns a invitationParticipantInfo
     */
    get participants(): InvitationParticipantInfo[] | undefined;
    /**
     * Sets the participants property value. The participants to invite.
     * @param value Value to set for the participants property.
     */
    set participants(value: InvitationParticipantInfo[] | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
