"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InviteParticipantsOperation = void 0;
const createInvitationParticipantInfoFromDiscriminatorValue_1 = require("./createInvitationParticipantInfoFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to call the invite method. */
class InviteParticipantsOperation extends index_1.CommsOperation {
    /**
     * Instantiates a new inviteParticipantsOperation and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "participants": n => { this.participants = n.getCollectionOfObjectValues(createInvitationParticipantInfoFromDiscriminatorValue_1.createInvitationParticipantInfoFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the participants property value. The participants to invite.
     * @returns a invitationParticipantInfo
     */
    get participants() {
        return this._participants;
    }
    ;
    /**
     * Sets the participants property value. The participants to invite.
     * @param value Value to set for the participants property.
     */
    set participants(value) {
        this._participants = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("participants", this.participants);
    }
    ;
}
exports.InviteParticipantsOperation = InviteParticipantsOperation;
