"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InvitedUserMessageInfo = void 0;
const createRecipientFromDiscriminatorValue_1 = require("./createRecipientFromDiscriminatorValue");
class InvitedUserMessageInfo {
    /**
     * Instantiates a new invitedUserMessageInfo and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the ccRecipients property value. Additional recipients the invitation message should be sent to. Currently only 1 additional recipient is supported.
     * @returns a recipient
     */
    get ccRecipients() {
        return this._ccRecipients;
    }
    ;
    /**
     * Sets the ccRecipients property value. Additional recipients the invitation message should be sent to. Currently only 1 additional recipient is supported.
     * @param value Value to set for the ccRecipients property.
     */
    set ccRecipients(value) {
        this._ccRecipients = value;
    }
    ;
    ;
    /**
     * Gets the customizedMessageBody property value. Customized message body you want to send if you don't want the default message.
     * @returns a string
     */
    get customizedMessageBody() {
        return this._customizedMessageBody;
    }
    ;
    /**
     * Sets the customizedMessageBody property value. Customized message body you want to send if you don't want the default message.
     * @param value Value to set for the customizedMessageBody property.
     */
    set customizedMessageBody(value) {
        this._customizedMessageBody = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "ccRecipients": n => { this.ccRecipients = n.getCollectionOfObjectValues(createRecipientFromDiscriminatorValue_1.createRecipientFromDiscriminatorValue); },
            "customizedMessageBody": n => { this.customizedMessageBody = n.getStringValue(); },
            "messageLanguage": n => { this.messageLanguage = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the messageLanguage property value. The language you want to send the default message in. If the customizedMessageBody is specified, this property is ignored, and the message is sent using the customizedMessageBody. The language format should be in ISO 639. The default is en-US.
     * @returns a string
     */
    get messageLanguage() {
        return this._messageLanguage;
    }
    ;
    /**
     * Sets the messageLanguage property value. The language you want to send the default message in. If the customizedMessageBody is specified, this property is ignored, and the message is sent using the customizedMessageBody. The language format should be in ISO 639. The default is en-US.
     * @param value Value to set for the messageLanguage property.
     */
    set messageLanguage(value) {
        this._messageLanguage = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeCollectionOfObjectValues("ccRecipients", this.ccRecipients);
        writer.writeStringValue("customizedMessageBody", this.customizedMessageBody);
        writer.writeStringValue("messageLanguage", this.messageLanguage);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.InvitedUserMessageInfo = InvitedUserMessageInfo;
