import { AccessAction, DriveItem, Entity, IdentitySet } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Casts the previous resource to user. */
export declare class ItemActivity extends Entity implements Parsable {
    /** An item was accessed. */
    private _access?;
    /** Details about when the activity took place. Read-only. */
    private _activityDateTime?;
    /** Identity of who performed the action. Read-only. */
    private _actor?;
    /** Exposes the driveItem that was the target of this activity. */
    private _driveItem?;
    /**
     * Gets the access property value. An item was accessed.
     * @returns a accessAction
     */
    get access(): AccessAction | undefined;
    /**
     * Sets the access property value. An item was accessed.
     * @param value Value to set for the access property.
     */
    set access(value: AccessAction | undefined);
    /**
     * Gets the activityDateTime property value. Details about when the activity took place. Read-only.
     * @returns a Date
     */
    get activityDateTime(): Date | undefined;
    /**
     * Sets the activityDateTime property value. Details about when the activity took place. Read-only.
     * @param value Value to set for the activityDateTime property.
     */
    set activityDateTime(value: Date | undefined);
    /**
     * Gets the actor property value. Identity of who performed the action. Read-only.
     * @returns a identitySet
     */
    get actor(): IdentitySet | undefined;
    /**
     * Sets the actor property value. Identity of who performed the action. Read-only.
     * @param value Value to set for the actor property.
     */
    set actor(value: IdentitySet | undefined);
    /**
     * Instantiates a new itemActivity and sets the default values.
     */
    constructor();
    /**
     * Gets the driveItem property value. Exposes the driveItem that was the target of this activity.
     * @returns a driveItem
     */
    get driveItem(): DriveItem | undefined;
    /**
     * Sets the driveItem property value. Exposes the driveItem that was the target of this activity.
     * @param value Value to set for the driveItem property.
     */
    set driveItem(value: DriveItem | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
