import { Entity, IncompleteData, ItemActionStat, ItemActivity } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Casts the previous resource to user. */
export declare class ItemActivityStat extends Entity implements Parsable {
    /** Statistics about the access actions in this interval. Read-only. */
    private _access?;
    /** Exposes the itemActivities represented in this itemActivityStat resource. */
    private _activities?;
    /** Statistics about the create actions in this interval. Read-only. */
    private _create?;
    /** Statistics about the delete actions in this interval. Read-only. */
    private _delete?;
    /** Statistics about the edit actions in this interval. Read-only. */
    private _edit?;
    /** When the interval ends. Read-only. */
    private _endDateTime?;
    /** Indicates that the statistics in this interval are based on incomplete data. Read-only. */
    private _incompleteData?;
    /** Indicates whether the item is 'trending.' Read-only. */
    private _isTrending?;
    /** Statistics about the move actions in this interval. Read-only. */
    private _move?;
    /** When the interval starts. Read-only. */
    private _startDateTime?;
    /**
     * Gets the access property value. Statistics about the access actions in this interval. Read-only.
     * @returns a itemActionStat
     */
    get access(): ItemActionStat | undefined;
    /**
     * Sets the access property value. Statistics about the access actions in this interval. Read-only.
     * @param value Value to set for the access property.
     */
    set access(value: ItemActionStat | undefined);
    /**
     * Gets the activities property value. Exposes the itemActivities represented in this itemActivityStat resource.
     * @returns a itemActivity
     */
    get activities(): ItemActivity[] | undefined;
    /**
     * Sets the activities property value. Exposes the itemActivities represented in this itemActivityStat resource.
     * @param value Value to set for the activities property.
     */
    set activities(value: ItemActivity[] | undefined);
    /**
     * Instantiates a new itemActivityStat and sets the default values.
     */
    constructor();
    /**
     * Gets the create property value. Statistics about the create actions in this interval. Read-only.
     * @returns a itemActionStat
     */
    get create(): ItemActionStat | undefined;
    /**
     * Sets the create property value. Statistics about the create actions in this interval. Read-only.
     * @param value Value to set for the create property.
     */
    set create(value: ItemActionStat | undefined);
    /**
     * Gets the delete property value. Statistics about the delete actions in this interval. Read-only.
     * @returns a itemActionStat
     */
    get delete(): ItemActionStat | undefined;
    /**
     * Sets the delete property value. Statistics about the delete actions in this interval. Read-only.
     * @param value Value to set for the delete property.
     */
    set delete(value: ItemActionStat | undefined);
    /**
     * Gets the edit property value. Statistics about the edit actions in this interval. Read-only.
     * @returns a itemActionStat
     */
    get edit(): ItemActionStat | undefined;
    /**
     * Sets the edit property value. Statistics about the edit actions in this interval. Read-only.
     * @param value Value to set for the edit property.
     */
    set edit(value: ItemActionStat | undefined);
    /**
     * Gets the endDateTime property value. When the interval ends. Read-only.
     * @returns a Date
     */
    get endDateTime(): Date | undefined;
    /**
     * Sets the endDateTime property value. When the interval ends. Read-only.
     * @param value Value to set for the endDateTime property.
     */
    set endDateTime(value: Date | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the incompleteData property value. Indicates that the statistics in this interval are based on incomplete data. Read-only.
     * @returns a incompleteData
     */
    get incompleteData(): IncompleteData | undefined;
    /**
     * Sets the incompleteData property value. Indicates that the statistics in this interval are based on incomplete data. Read-only.
     * @param value Value to set for the incompleteData property.
     */
    set incompleteData(value: IncompleteData | undefined);
    /**
     * Gets the isTrending property value. Indicates whether the item is 'trending.' Read-only.
     * @returns a boolean
     */
    get isTrending(): boolean | undefined;
    /**
     * Sets the isTrending property value. Indicates whether the item is 'trending.' Read-only.
     * @param value Value to set for the isTrending property.
     */
    set isTrending(value: boolean | undefined);
    /**
     * Gets the move property value. Statistics about the move actions in this interval. Read-only.
     * @returns a itemActionStat
     */
    get move(): ItemActionStat | undefined;
    /**
     * Sets the move property value. Statistics about the move actions in this interval. Read-only.
     * @param value Value to set for the move property.
     */
    set move(value: ItemActionStat | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the startDateTime property value. When the interval starts. Read-only.
     * @returns a Date
     */
    get startDateTime(): Date | undefined;
    /**
     * Sets the startDateTime property value. When the interval starts. Read-only.
     * @param value Value to set for the startDateTime property.
     */
    set startDateTime(value: Date | undefined);
}
