"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ItemActivityStat = void 0;
const createIncompleteDataFromDiscriminatorValue_1 = require("./createIncompleteDataFromDiscriminatorValue");
const createItemActionStatFromDiscriminatorValue_1 = require("./createItemActionStatFromDiscriminatorValue");
const createItemActivityFromDiscriminatorValue_1 = require("./createItemActivityFromDiscriminatorValue");
const index_1 = require("./index");
/** Casts the previous resource to user. */
class ItemActivityStat extends index_1.Entity {
    /**
     * Instantiates a new itemActivityStat and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the access property value. Statistics about the access actions in this interval. Read-only.
     * @returns a itemActionStat
     */
    get access() {
        return this._access;
    }
    ;
    /**
     * Sets the access property value. Statistics about the access actions in this interval. Read-only.
     * @param value Value to set for the access property.
     */
    set access(value) {
        this._access = value;
    }
    ;
    /**
     * Gets the activities property value. Exposes the itemActivities represented in this itemActivityStat resource.
     * @returns a itemActivity
     */
    get activities() {
        return this._activities;
    }
    ;
    /**
     * Sets the activities property value. Exposes the itemActivities represented in this itemActivityStat resource.
     * @param value Value to set for the activities property.
     */
    set activities(value) {
        this._activities = value;
    }
    ;
    ;
    /**
     * Gets the create property value. Statistics about the create actions in this interval. Read-only.
     * @returns a itemActionStat
     */
    get create() {
        return this._create;
    }
    ;
    /**
     * Sets the create property value. Statistics about the create actions in this interval. Read-only.
     * @param value Value to set for the create property.
     */
    set create(value) {
        this._create = value;
    }
    ;
    /**
     * Gets the delete property value. Statistics about the delete actions in this interval. Read-only.
     * @returns a itemActionStat
     */
    get delete() {
        return this._delete;
    }
    ;
    /**
     * Sets the delete property value. Statistics about the delete actions in this interval. Read-only.
     * @param value Value to set for the delete property.
     */
    set delete(value) {
        this._delete = value;
    }
    ;
    /**
     * Gets the edit property value. Statistics about the edit actions in this interval. Read-only.
     * @returns a itemActionStat
     */
    get edit() {
        return this._edit;
    }
    ;
    /**
     * Sets the edit property value. Statistics about the edit actions in this interval. Read-only.
     * @param value Value to set for the edit property.
     */
    set edit(value) {
        this._edit = value;
    }
    ;
    /**
     * Gets the endDateTime property value. When the interval ends. Read-only.
     * @returns a Date
     */
    get endDateTime() {
        return this._endDateTime;
    }
    ;
    /**
     * Sets the endDateTime property value. When the interval ends. Read-only.
     * @param value Value to set for the endDateTime property.
     */
    set endDateTime(value) {
        this._endDateTime = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "access": n => { this.access = n.getObjectValue(createItemActionStatFromDiscriminatorValue_1.createItemActionStatFromDiscriminatorValue); }, "activities": n => { this.activities = n.getCollectionOfObjectValues(createItemActivityFromDiscriminatorValue_1.createItemActivityFromDiscriminatorValue); }, "create": n => { this.create = n.getObjectValue(createItemActionStatFromDiscriminatorValue_1.createItemActionStatFromDiscriminatorValue); }, "delete": n => { this.delete = n.getObjectValue(createItemActionStatFromDiscriminatorValue_1.createItemActionStatFromDiscriminatorValue); }, "edit": n => { this.edit = n.getObjectValue(createItemActionStatFromDiscriminatorValue_1.createItemActionStatFromDiscriminatorValue); }, "endDateTime": n => { this.endDateTime = n.getDateValue(); }, "incompleteData": n => { this.incompleteData = n.getObjectValue(createIncompleteDataFromDiscriminatorValue_1.createIncompleteDataFromDiscriminatorValue); }, "isTrending": n => { this.isTrending = n.getBooleanValue(); }, "move": n => { this.move = n.getObjectValue(createItemActionStatFromDiscriminatorValue_1.createItemActionStatFromDiscriminatorValue); }, "startDateTime": n => { this.startDateTime = n.getDateValue(); } });
    }
    ;
    /**
     * Gets the incompleteData property value. Indicates that the statistics in this interval are based on incomplete data. Read-only.
     * @returns a incompleteData
     */
    get incompleteData() {
        return this._incompleteData;
    }
    ;
    /**
     * Sets the incompleteData property value. Indicates that the statistics in this interval are based on incomplete data. Read-only.
     * @param value Value to set for the incompleteData property.
     */
    set incompleteData(value) {
        this._incompleteData = value;
    }
    ;
    /**
     * Gets the isTrending property value. Indicates whether the item is 'trending.' Read-only.
     * @returns a boolean
     */
    get isTrending() {
        return this._isTrending;
    }
    ;
    /**
     * Sets the isTrending property value. Indicates whether the item is 'trending.' Read-only.
     * @param value Value to set for the isTrending property.
     */
    set isTrending(value) {
        this._isTrending = value;
    }
    ;
    /**
     * Gets the move property value. Statistics about the move actions in this interval. Read-only.
     * @returns a itemActionStat
     */
    get move() {
        return this._move;
    }
    ;
    /**
     * Sets the move property value. Statistics about the move actions in this interval. Read-only.
     * @param value Value to set for the move property.
     */
    set move(value) {
        this._move = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("access", this.access);
        writer.writeCollectionOfObjectValues("activities", this.activities);
        writer.writeObjectValue("create", this.create);
        writer.writeObjectValue("delete", this.delete);
        writer.writeObjectValue("edit", this.edit);
        writer.writeDateValue("endDateTime", this.endDateTime);
        writer.writeObjectValue("incompleteData", this.incompleteData);
        writer.writeBooleanValue("isTrending", this.isTrending);
        writer.writeObjectValue("move", this.move);
        writer.writeDateValue("startDateTime", this.startDateTime);
    }
    ;
    /**
     * Gets the startDateTime property value. When the interval starts. Read-only.
     * @returns a Date
     */
    get startDateTime() {
        return this._startDateTime;
    }
    ;
    /**
     * Sets the startDateTime property value. When the interval starts. Read-only.
     * @param value Value to set for the startDateTime property.
     */
    set startDateTime(value) {
        this._startDateTime = value;
    }
    ;
}
exports.ItemActivityStat = ItemActivityStat;
