"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ItemPreviewInfo = void 0;
class ItemPreviewInfo {
    /**
     * Instantiates a new ItemPreviewInfo and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "getUrl": n => { this.getUrl = n.getStringValue(); },
            "postParameters": n => { this.postParameters = n.getStringValue(); },
            "postUrl": n => { this.postUrl = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the getUrl property value. The getUrl property
     * @returns a string
     */
    get getUrl() {
        return this._getUrl;
    }
    ;
    /**
     * Sets the getUrl property value. The getUrl property
     * @param value Value to set for the getUrl property.
     */
    set getUrl(value) {
        this._getUrl = value;
    }
    ;
    /**
     * Gets the postParameters property value. The postParameters property
     * @returns a string
     */
    get postParameters() {
        return this._postParameters;
    }
    ;
    /**
     * Sets the postParameters property value. The postParameters property
     * @param value Value to set for the postParameters property.
     */
    set postParameters(value) {
        this._postParameters = value;
    }
    ;
    /**
     * Gets the postUrl property value. The postUrl property
     * @returns a string
     */
    get postUrl() {
        return this._postUrl;
    }
    ;
    /**
     * Sets the postUrl property value. The postUrl property
     * @param value Value to set for the postUrl property.
     */
    set postUrl(value) {
        this._postUrl = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("getUrl", this.getUrl);
        writer.writeStringValue("postParameters", this.postParameters);
        writer.writeStringValue("postUrl", this.postUrl);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.ItemPreviewInfo = ItemPreviewInfo;
