"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LicenseDetails = void 0;
const createServicePlanInfoFromDiscriminatorValue_1 = require("./createServicePlanInfoFromDiscriminatorValue");
const index_1 = require("./index");
/** Casts the previous resource to user. */
class LicenseDetails extends index_1.Entity {
    /**
     * Instantiates a new licenseDetails and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "servicePlans": n => { this.servicePlans = n.getCollectionOfObjectValues(createServicePlanInfoFromDiscriminatorValue_1.createServicePlanInfoFromDiscriminatorValue); }, "skuId": n => { this.skuId = n.getStringValue(); }, "skuPartNumber": n => { this.skuPartNumber = n.getStringValue(); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("servicePlans", this.servicePlans);
        writer.writeStringValue("skuId", this.skuId);
        writer.writeStringValue("skuPartNumber", this.skuPartNumber);
    }
    ;
    /**
     * Gets the servicePlans property value. Information about the service plans assigned with the license. Read-only, Not nullable
     * @returns a servicePlanInfo
     */
    get servicePlans() {
        return this._servicePlans;
    }
    ;
    /**
     * Sets the servicePlans property value. Information about the service plans assigned with the license. Read-only, Not nullable
     * @param value Value to set for the servicePlans property.
     */
    set servicePlans(value) {
        this._servicePlans = value;
    }
    ;
    /**
     * Gets the skuId property value. Unique identifier (GUID) for the service SKU. Equal to the skuId property on the related SubscribedSku object. Read-only
     * @returns a string
     */
    get skuId() {
        return this._skuId;
    }
    ;
    /**
     * Sets the skuId property value. Unique identifier (GUID) for the service SKU. Equal to the skuId property on the related SubscribedSku object. Read-only
     * @param value Value to set for the skuId property.
     */
    set skuId(value) {
        this._skuId = value;
    }
    ;
    /**
     * Gets the skuPartNumber property value. Unique SKU display name. Equal to the skuPartNumber on the related SubscribedSku object; for example: 'AAD_Premium'. Read-only
     * @returns a string
     */
    get skuPartNumber() {
        return this._skuPartNumber;
    }
    ;
    /**
     * Sets the skuPartNumber property value. Unique SKU display name. Equal to the skuPartNumber on the related SubscribedSku object; for example: 'AAD_Premium'. Read-only
     * @param value Value to set for the skuPartNumber property.
     */
    set skuPartNumber(value) {
        this._skuPartNumber = value;
    }
    ;
}
exports.LicenseDetails = LicenseDetails;
