"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LicenseUnitsDetail = void 0;
class LicenseUnitsDetail {
    /**
     * Instantiates a new licenseUnitsDetail and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the enabled property value. The number of units that are enabled for the active subscription of the service SKU.
     * @returns a integer
     */
    get enabled() {
        return this._enabled;
    }
    ;
    /**
     * Sets the enabled property value. The number of units that are enabled for the active subscription of the service SKU.
     * @param value Value to set for the enabled property.
     */
    set enabled(value) {
        this._enabled = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "enabled": n => { this.enabled = n.getNumberValue(); },
            "suspended": n => { this.suspended = n.getNumberValue(); },
            "warning": n => { this.warning = n.getNumberValue(); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeNumberValue("enabled", this.enabled);
        writer.writeNumberValue("suspended", this.suspended);
        writer.writeNumberValue("warning", this.warning);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the suspended property value. The number of units that are suspended because the subscription of the service SKU has been cancelled. The units cannot be assigned but can still be reactivated before they are deleted.
     * @returns a integer
     */
    get suspended() {
        return this._suspended;
    }
    ;
    /**
     * Sets the suspended property value. The number of units that are suspended because the subscription of the service SKU has been cancelled. The units cannot be assigned but can still be reactivated before they are deleted.
     * @param value Value to set for the suspended property.
     */
    set suspended(value) {
        this._suspended = value;
    }
    ;
    /**
     * Gets the warning property value. The number of units that are in warning status. When the subscription of the service SKU has expired, the customer has a grace period to renew their subscription before it is cancelled (moved to a suspended state).
     * @returns a integer
     */
    get warning() {
        return this._warning;
    }
    ;
    /**
     * Sets the warning property value. The number of units that are in warning status. When the subscription of the service SKU has expired, the customer has a grace period to renew their subscription before it is cancelled (moved to a suspended state).
     * @param value Value to set for the warning property.
     */
    set warning(value) {
        this._warning = value;
    }
    ;
}
exports.LicenseUnitsDetail = LicenseUnitsDetail;
