"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ListItem = void 0;
const createContentTypeInfoFromDiscriminatorValue_1 = require("./createContentTypeInfoFromDiscriminatorValue");
const createDriveItemFromDiscriminatorValue_1 = require("./createDriveItemFromDiscriminatorValue");
const createFieldValueSetFromDiscriminatorValue_1 = require("./createFieldValueSetFromDiscriminatorValue");
const createItemAnalyticsFromDiscriminatorValue_1 = require("./createItemAnalyticsFromDiscriminatorValue");
const createListItemVersionFromDiscriminatorValue_1 = require("./createListItemVersionFromDiscriminatorValue");
const createSharepointIdsFromDiscriminatorValue_1 = require("./createSharepointIdsFromDiscriminatorValue");
const index_1 = require("./index");
/** Casts the previous resource to user. */
class ListItem extends index_1.BaseItem {
    /**
     * Instantiates a new listItem and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the analytics property value. Analytics about the view activities that took place on this item.
     * @returns a itemAnalytics
     */
    get analytics() {
        return this._analytics;
    }
    ;
    /**
     * Sets the analytics property value. Analytics about the view activities that took place on this item.
     * @param value Value to set for the analytics property.
     */
    set analytics(value) {
        this._analytics = value;
    }
    ;
    ;
    /**
     * Gets the contentType property value. The content type of this list item
     * @returns a contentTypeInfo
     */
    get contentType() {
        return this._contentType;
    }
    ;
    /**
     * Sets the contentType property value. The content type of this list item
     * @param value Value to set for the contentType property.
     */
    set contentType(value) {
        this._contentType = value;
    }
    ;
    /**
     * Gets the driveItem property value. For document libraries, the driveItem relationship exposes the listItem as a [driveItem][]
     * @returns a driveItem
     */
    get driveItem() {
        return this._driveItem;
    }
    ;
    /**
     * Sets the driveItem property value. For document libraries, the driveItem relationship exposes the listItem as a [driveItem][]
     * @param value Value to set for the driveItem property.
     */
    set driveItem(value) {
        this._driveItem = value;
    }
    ;
    /**
     * Gets the fields property value. The values of the columns set on this list item.
     * @returns a fieldValueSet
     */
    get fields() {
        return this._fields;
    }
    ;
    /**
     * Sets the fields property value. The values of the columns set on this list item.
     * @param value Value to set for the fields property.
     */
    set fields(value) {
        this._fields = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "analytics": n => { this.analytics = n.getObjectValue(createItemAnalyticsFromDiscriminatorValue_1.createItemAnalyticsFromDiscriminatorValue); }, "contentType": n => { this.contentType = n.getObjectValue(createContentTypeInfoFromDiscriminatorValue_1.createContentTypeInfoFromDiscriminatorValue); }, "driveItem": n => { this.driveItem = n.getObjectValue(createDriveItemFromDiscriminatorValue_1.createDriveItemFromDiscriminatorValue); }, "fields": n => { this.fields = n.getObjectValue(createFieldValueSetFromDiscriminatorValue_1.createFieldValueSetFromDiscriminatorValue); }, "sharepointIds": n => { this.sharepointIds = n.getObjectValue(createSharepointIdsFromDiscriminatorValue_1.createSharepointIdsFromDiscriminatorValue); }, "versions": n => { this.versions = n.getCollectionOfObjectValues(createListItemVersionFromDiscriminatorValue_1.createListItemVersionFromDiscriminatorValue); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("analytics", this.analytics);
        writer.writeObjectValue("contentType", this.contentType);
        writer.writeObjectValue("driveItem", this.driveItem);
        writer.writeObjectValue("fields", this.fields);
        writer.writeObjectValue("sharepointIds", this.sharepointIds);
        writer.writeCollectionOfObjectValues("versions", this.versions);
    }
    ;
    /**
     * Gets the sharepointIds property value. Returns identifiers useful for SharePoint REST compatibility. Read-only.
     * @returns a sharepointIds
     */
    get sharepointIds() {
        return this._sharepointIds;
    }
    ;
    /**
     * Sets the sharepointIds property value. Returns identifiers useful for SharePoint REST compatibility. Read-only.
     * @param value Value to set for the sharepointIds property.
     */
    set sharepointIds(value) {
        this._sharepointIds = value;
    }
    ;
    /**
     * Gets the versions property value. The list of previous versions of the list item.
     * @returns a listItemVersion
     */
    get versions() {
        return this._versions;
    }
    ;
    /**
     * Sets the versions property value. The list of previous versions of the list item.
     * @param value Value to set for the versions property.
     */
    set versions(value) {
        this._versions = value;
    }
    ;
}
exports.ListItem = ListItem;
