"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LobbyBypassSettings = void 0;
const lobbyBypassScope_1 = require("./lobbyBypassScope");
class LobbyBypassSettings {
    /**
     * Instantiates a new lobbyBypassSettings and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "isDialInBypassEnabled": n => { this.isDialInBypassEnabled = n.getBooleanValue(); },
            "scope": n => { this.scope = n.getEnumValue(lobbyBypassScope_1.LobbyBypassScope); },
        };
    }
    ;
    /**
     * Gets the isDialInBypassEnabled property value. Specifies whether or not to always let dial-in callers bypass the lobby. Optional.
     * @returns a boolean
     */
    get isDialInBypassEnabled() {
        return this._isDialInBypassEnabled;
    }
    ;
    /**
     * Sets the isDialInBypassEnabled property value. Specifies whether or not to always let dial-in callers bypass the lobby. Optional.
     * @param value Value to set for the isDialInBypassEnabled property.
     */
    set isDialInBypassEnabled(value) {
        this._isDialInBypassEnabled = value;
    }
    ;
    /**
     * Gets the scope property value. Specifies the type of participants that are automatically admitted into a meeting, bypassing the lobby. Optional.
     * @returns a lobbyBypassScope
     */
    get scope() {
        return this._scope;
    }
    ;
    /**
     * Sets the scope property value. Specifies the type of participants that are automatically admitted into a meeting, bypassing the lobby. Optional.
     * @param value Value to set for the scope property.
     */
    set scope(value) {
        this._scope = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeBooleanValue("isDialInBypassEnabled", this.isDialInBypassEnabled);
        writer.writeEnumValue("scope", this.scope);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.LobbyBypassSettings = LobbyBypassSettings;
