import { Entity } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** The text content of a Notification Message Template for the specified locale. */
export declare class LocalizedNotificationMessage extends Entity implements Parsable {
    /** Flag to indicate whether or not this is the default locale for language fallback. This flag can only be set. To unset, set this property to true on another Localized Notification Message. */
    private _isDefault?;
    /** DateTime the object was last modified. */
    private _lastModifiedDateTime?;
    /** The Locale for which this message is destined. */
    private _locale?;
    /** The Message Template content. */
    private _messageTemplate?;
    /** The Message Template Subject. */
    private _subject?;
    /**
     * Instantiates a new localizedNotificationMessage and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the isDefault property value. Flag to indicate whether or not this is the default locale for language fallback. This flag can only be set. To unset, set this property to true on another Localized Notification Message.
     * @returns a boolean
     */
    get isDefault(): boolean | undefined;
    /**
     * Sets the isDefault property value. Flag to indicate whether or not this is the default locale for language fallback. This flag can only be set. To unset, set this property to true on another Localized Notification Message.
     * @param value Value to set for the isDefault property.
     */
    set isDefault(value: boolean | undefined);
    /**
     * Gets the lastModifiedDateTime property value. DateTime the object was last modified.
     * @returns a Date
     */
    get lastModifiedDateTime(): Date | undefined;
    /**
     * Sets the lastModifiedDateTime property value. DateTime the object was last modified.
     * @param value Value to set for the lastModifiedDateTime property.
     */
    set lastModifiedDateTime(value: Date | undefined);
    /**
     * Gets the locale property value. The Locale for which this message is destined.
     * @returns a string
     */
    get locale(): string | undefined;
    /**
     * Sets the locale property value. The Locale for which this message is destined.
     * @param value Value to set for the locale property.
     */
    set locale(value: string | undefined);
    /**
     * Gets the messageTemplate property value. The Message Template content.
     * @returns a string
     */
    get messageTemplate(): string | undefined;
    /**
     * Sets the messageTemplate property value. The Message Template content.
     * @param value Value to set for the messageTemplate property.
     */
    set messageTemplate(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the subject property value. The Message Template Subject.
     * @returns a string
     */
    get subject(): string | undefined;
    /**
     * Sets the subject property value. The Message Template Subject.
     * @param value Value to set for the subject property.
     */
    set subject(value: string | undefined);
}
