"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LocalizedNotificationMessage = void 0;
const index_1 = require("./index");
/** The text content of a Notification Message Template for the specified locale. */
class LocalizedNotificationMessage extends index_1.Entity {
    /**
     * Instantiates a new localizedNotificationMessage and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "isDefault": n => { this.isDefault = n.getBooleanValue(); }, "lastModifiedDateTime": n => { this.lastModifiedDateTime = n.getDateValue(); }, "locale": n => { this.locale = n.getStringValue(); }, "messageTemplate": n => { this.messageTemplate = n.getStringValue(); }, "subject": n => { this.subject = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the isDefault property value. Flag to indicate whether or not this is the default locale for language fallback. This flag can only be set. To unset, set this property to true on another Localized Notification Message.
     * @returns a boolean
     */
    get isDefault() {
        return this._isDefault;
    }
    ;
    /**
     * Sets the isDefault property value. Flag to indicate whether or not this is the default locale for language fallback. This flag can only be set. To unset, set this property to true on another Localized Notification Message.
     * @param value Value to set for the isDefault property.
     */
    set isDefault(value) {
        this._isDefault = value;
    }
    ;
    /**
     * Gets the lastModifiedDateTime property value. DateTime the object was last modified.
     * @returns a Date
     */
    get lastModifiedDateTime() {
        return this._lastModifiedDateTime;
    }
    ;
    /**
     * Sets the lastModifiedDateTime property value. DateTime the object was last modified.
     * @param value Value to set for the lastModifiedDateTime property.
     */
    set lastModifiedDateTime(value) {
        this._lastModifiedDateTime = value;
    }
    ;
    /**
     * Gets the locale property value. The Locale for which this message is destined.
     * @returns a string
     */
    get locale() {
        return this._locale;
    }
    ;
    /**
     * Sets the locale property value. The Locale for which this message is destined.
     * @param value Value to set for the locale property.
     */
    set locale(value) {
        this._locale = value;
    }
    ;
    /**
     * Gets the messageTemplate property value. The Message Template content.
     * @returns a string
     */
    get messageTemplate() {
        return this._messageTemplate;
    }
    ;
    /**
     * Sets the messageTemplate property value. The Message Template content.
     * @param value Value to set for the messageTemplate property.
     */
    set messageTemplate(value) {
        this._messageTemplate = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeBooleanValue("isDefault", this.isDefault);
        writer.writeDateValue("lastModifiedDateTime", this.lastModifiedDateTime);
        writer.writeStringValue("locale", this.locale);
        writer.writeStringValue("messageTemplate", this.messageTemplate);
        writer.writeStringValue("subject", this.subject);
    }
    ;
    /**
     * Gets the subject property value. The Message Template Subject.
     * @returns a string
     */
    get subject() {
        return this._subject;
    }
    ;
    /**
     * Sets the subject property value. The Message Template Subject.
     * @param value Value to set for the subject property.
     */
    set subject(value) {
        this._subject = value;
    }
    ;
}
exports.LocalizedNotificationMessage = LocalizedNotificationMessage;
