"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LocationConstraint = void 0;
const createLocationConstraintItemFromDiscriminatorValue_1 = require("./createLocationConstraintItemFromDiscriminatorValue");
class LocationConstraint {
    /**
     * Instantiates a new locationConstraint and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "isRequired": n => { this.isRequired = n.getBooleanValue(); },
            "locations": n => { this.locations = n.getCollectionOfObjectValues(createLocationConstraintItemFromDiscriminatorValue_1.createLocationConstraintItemFromDiscriminatorValue); },
            "suggestLocation": n => { this.suggestLocation = n.getBooleanValue(); },
        };
    }
    ;
    /**
     * Gets the isRequired property value. The client requests the service to include in the response a meeting location for the meeting. If this is true and all the resources are busy, findMeetingTimes will not return any meeting time suggestions. If this is false and all the resources are busy, findMeetingTimes would still look for meeting times without locations.
     * @returns a boolean
     */
    get isRequired() {
        return this._isRequired;
    }
    ;
    /**
     * Sets the isRequired property value. The client requests the service to include in the response a meeting location for the meeting. If this is true and all the resources are busy, findMeetingTimes will not return any meeting time suggestions. If this is false and all the resources are busy, findMeetingTimes would still look for meeting times without locations.
     * @param value Value to set for the isRequired property.
     */
    set isRequired(value) {
        this._isRequired = value;
    }
    ;
    /**
     * Gets the locations property value. Constraint information for one or more locations that the client requests for the meeting.
     * @returns a locationConstraintItem
     */
    get locations() {
        return this._locations;
    }
    ;
    /**
     * Sets the locations property value. Constraint information for one or more locations that the client requests for the meeting.
     * @param value Value to set for the locations property.
     */
    set locations(value) {
        this._locations = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeBooleanValue("isRequired", this.isRequired);
        writer.writeCollectionOfObjectValues("locations", this.locations);
        writer.writeBooleanValue("suggestLocation", this.suggestLocation);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the suggestLocation property value. The client requests the service to suggest one or more meeting locations.
     * @returns a boolean
     */
    get suggestLocation() {
        return this._suggestLocation;
    }
    ;
    /**
     * Sets the suggestLocation property value. The client requests the service to suggest one or more meeting locations.
     * @param value Value to set for the suggestLocation property.
     */
    set suggestLocation(value) {
        this._suggestLocation = value;
    }
    ;
}
exports.LocationConstraint = LocationConstraint;
