import { Entity } from './index';
import { LongRunningOperationStatus } from './longRunningOperationStatus';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Casts the previous resource to user. */
export declare class LongRunningOperation extends Entity implements Parsable {
    /** The createdDateTime property */
    private _createdDateTime?;
    /** The lastActionDateTime property */
    private _lastActionDateTime?;
    /** The resourceLocation property */
    private _resourceLocation?;
    /** The status property */
    private _status?;
    /** The statusDetail property */
    private _statusDetail?;
    /**
     * Instantiates a new longRunningOperation and sets the default values.
     */
    constructor();
    /**
     * Gets the createdDateTime property value. The createdDateTime property
     * @returns a Date
     */
    get createdDateTime(): Date | undefined;
    /**
     * Sets the createdDateTime property value. The createdDateTime property
     * @param value Value to set for the createdDateTime property.
     */
    set createdDateTime(value: Date | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the lastActionDateTime property value. The lastActionDateTime property
     * @returns a Date
     */
    get lastActionDateTime(): Date | undefined;
    /**
     * Sets the lastActionDateTime property value. The lastActionDateTime property
     * @param value Value to set for the lastActionDateTime property.
     */
    set lastActionDateTime(value: Date | undefined);
    /**
     * Gets the resourceLocation property value. The resourceLocation property
     * @returns a string
     */
    get resourceLocation(): string | undefined;
    /**
     * Sets the resourceLocation property value. The resourceLocation property
     * @param value Value to set for the resourceLocation property.
     */
    set resourceLocation(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the status property value. The status property
     * @returns a longRunningOperationStatus
     */
    get status(): LongRunningOperationStatus | undefined;
    /**
     * Sets the status property value. The status property
     * @param value Value to set for the status property.
     */
    set status(value: LongRunningOperationStatus | undefined);
    /**
     * Gets the statusDetail property value. The statusDetail property
     * @returns a string
     */
    get statusDetail(): string | undefined;
    /**
     * Sets the statusDetail property value. The statusDetail property
     * @param value Value to set for the statusDetail property.
     */
    set statusDetail(value: string | undefined);
}
