"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MailTips = void 0;
const createAutomaticRepliesMailTipsFromDiscriminatorValue_1 = require("./createAutomaticRepliesMailTipsFromDiscriminatorValue");
const createEmailAddressFromDiscriminatorValue_1 = require("./createEmailAddressFromDiscriminatorValue");
const createMailTipsErrorFromDiscriminatorValue_1 = require("./createMailTipsErrorFromDiscriminatorValue");
const createRecipientFromDiscriminatorValue_1 = require("./createRecipientFromDiscriminatorValue");
const recipientScopeType_1 = require("./recipientScopeType");
class MailTips {
    /**
     * Instantiates a new mailTips and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the automaticReplies property value. Mail tips for automatic reply if it has been set up by the recipient.
     * @returns a automaticRepliesMailTips
     */
    get automaticReplies() {
        return this._automaticReplies;
    }
    ;
    /**
     * Sets the automaticReplies property value. Mail tips for automatic reply if it has been set up by the recipient.
     * @param value Value to set for the automaticReplies property.
     */
    set automaticReplies(value) {
        this._automaticReplies = value;
    }
    ;
    ;
    /**
     * Gets the customMailTip property value. A custom mail tip that can be set on the recipient's mailbox.
     * @returns a string
     */
    get customMailTip() {
        return this._customMailTip;
    }
    ;
    /**
     * Sets the customMailTip property value. A custom mail tip that can be set on the recipient's mailbox.
     * @param value Value to set for the customMailTip property.
     */
    set customMailTip(value) {
        this._customMailTip = value;
    }
    ;
    /**
     * Gets the deliveryRestricted property value. Whether the recipient's mailbox is restricted, for example, accepting messages from only a predefined list of senders, rejecting messages from a predefined list of senders, or accepting messages from only authenticated senders.
     * @returns a boolean
     */
    get deliveryRestricted() {
        return this._deliveryRestricted;
    }
    ;
    /**
     * Sets the deliveryRestricted property value. Whether the recipient's mailbox is restricted, for example, accepting messages from only a predefined list of senders, rejecting messages from a predefined list of senders, or accepting messages from only authenticated senders.
     * @param value Value to set for the deliveryRestricted property.
     */
    set deliveryRestricted(value) {
        this._deliveryRestricted = value;
    }
    ;
    /**
     * Gets the emailAddress property value. The email address of the recipient to get mailtips for.
     * @returns a emailAddress
     */
    get emailAddress() {
        return this._emailAddress;
    }
    ;
    /**
     * Sets the emailAddress property value. The email address of the recipient to get mailtips for.
     * @param value Value to set for the emailAddress property.
     */
    set emailAddress(value) {
        this._emailAddress = value;
    }
    ;
    /**
     * Gets the error property value. Errors that occur during the getMailTips action.
     * @returns a mailTipsError
     */
    get error_escaped() {
        return this._error_escaped;
    }
    ;
    /**
     * Sets the error property value. Errors that occur during the getMailTips action.
     * @param value Value to set for the error_escaped property.
     */
    set error_escaped(value) {
        this._error_escaped = value;
    }
    ;
    /**
     * Gets the externalMemberCount property value. The number of external members if the recipient is a distribution list.
     * @returns a integer
     */
    get externalMemberCount() {
        return this._externalMemberCount;
    }
    ;
    /**
     * Sets the externalMemberCount property value. The number of external members if the recipient is a distribution list.
     * @param value Value to set for the externalMemberCount property.
     */
    set externalMemberCount(value) {
        this._externalMemberCount = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "automaticReplies": n => { this.automaticReplies = n.getObjectValue(createAutomaticRepliesMailTipsFromDiscriminatorValue_1.createAutomaticRepliesMailTipsFromDiscriminatorValue); },
            "customMailTip": n => { this.customMailTip = n.getStringValue(); },
            "deliveryRestricted": n => { this.deliveryRestricted = n.getBooleanValue(); },
            "emailAddress": n => { this.emailAddress = n.getObjectValue(createEmailAddressFromDiscriminatorValue_1.createEmailAddressFromDiscriminatorValue); },
            "error": n => { this.error_escaped = n.getObjectValue(createMailTipsErrorFromDiscriminatorValue_1.createMailTipsErrorFromDiscriminatorValue); },
            "externalMemberCount": n => { this.externalMemberCount = n.getNumberValue(); },
            "isModerated": n => { this.isModerated = n.getBooleanValue(); },
            "mailboxFull": n => { this.mailboxFull = n.getBooleanValue(); },
            "maxMessageSize": n => { this.maxMessageSize = n.getNumberValue(); },
            "recipientScope": n => { this.recipientScope = n.getEnumValue(recipientScopeType_1.RecipientScopeType); },
            "recipientSuggestions": n => { this.recipientSuggestions = n.getCollectionOfObjectValues(createRecipientFromDiscriminatorValue_1.createRecipientFromDiscriminatorValue); },
            "totalMemberCount": n => { this.totalMemberCount = n.getNumberValue(); },
        };
    }
    ;
    /**
     * Gets the isModerated property value. Whether sending messages to the recipient requires approval. For example, if the recipient is a large distribution list and a moderator has been set up to approve messages sent to that distribution list, or if sending messages to a recipient requires approval of the recipient's manager.
     * @returns a boolean
     */
    get isModerated() {
        return this._isModerated;
    }
    ;
    /**
     * Sets the isModerated property value. Whether sending messages to the recipient requires approval. For example, if the recipient is a large distribution list and a moderator has been set up to approve messages sent to that distribution list, or if sending messages to a recipient requires approval of the recipient's manager.
     * @param value Value to set for the isModerated property.
     */
    set isModerated(value) {
        this._isModerated = value;
    }
    ;
    /**
     * Gets the mailboxFull property value. The mailbox full status of the recipient.
     * @returns a boolean
     */
    get mailboxFull() {
        return this._mailboxFull;
    }
    ;
    /**
     * Sets the mailboxFull property value. The mailbox full status of the recipient.
     * @param value Value to set for the mailboxFull property.
     */
    set mailboxFull(value) {
        this._mailboxFull = value;
    }
    ;
    /**
     * Gets the maxMessageSize property value. The maximum message size that has been configured for the recipient's organization or mailbox.
     * @returns a integer
     */
    get maxMessageSize() {
        return this._maxMessageSize;
    }
    ;
    /**
     * Sets the maxMessageSize property value. The maximum message size that has been configured for the recipient's organization or mailbox.
     * @param value Value to set for the maxMessageSize property.
     */
    set maxMessageSize(value) {
        this._maxMessageSize = value;
    }
    ;
    /**
     * Gets the recipientScope property value. The scope of the recipient. Possible values are: none, internal, external, externalPartner, externalNonParther. For example, an administrator can set another organization to be its 'partner'. The scope is useful if an administrator wants certain mailtips to be accessible to certain scopes. It's also useful to senders to inform them that their message may leave the organization, helping them make the correct decisions about wording, tone and content.
     * @returns a recipientScopeType
     */
    get recipientScope() {
        return this._recipientScope;
    }
    ;
    /**
     * Sets the recipientScope property value. The scope of the recipient. Possible values are: none, internal, external, externalPartner, externalNonParther. For example, an administrator can set another organization to be its 'partner'. The scope is useful if an administrator wants certain mailtips to be accessible to certain scopes. It's also useful to senders to inform them that their message may leave the organization, helping them make the correct decisions about wording, tone and content.
     * @param value Value to set for the recipientScope property.
     */
    set recipientScope(value) {
        this._recipientScope = value;
    }
    ;
    /**
     * Gets the recipientSuggestions property value. Recipients suggested based on previous contexts where they appear in the same message.
     * @returns a recipient
     */
    get recipientSuggestions() {
        return this._recipientSuggestions;
    }
    ;
    /**
     * Sets the recipientSuggestions property value. Recipients suggested based on previous contexts where they appear in the same message.
     * @param value Value to set for the recipientSuggestions property.
     */
    set recipientSuggestions(value) {
        this._recipientSuggestions = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeObjectValue("automaticReplies", this.automaticReplies);
        writer.writeStringValue("customMailTip", this.customMailTip);
        writer.writeBooleanValue("deliveryRestricted", this.deliveryRestricted);
        writer.writeObjectValue("emailAddress", this.emailAddress);
        writer.writeObjectValue("error", this.error_escaped);
        writer.writeNumberValue("externalMemberCount", this.externalMemberCount);
        writer.writeBooleanValue("isModerated", this.isModerated);
        writer.writeBooleanValue("mailboxFull", this.mailboxFull);
        writer.writeNumberValue("maxMessageSize", this.maxMessageSize);
        writer.writeEnumValue("recipientScope", this.recipientScope);
        writer.writeCollectionOfObjectValues("recipientSuggestions", this.recipientSuggestions);
        writer.writeNumberValue("totalMemberCount", this.totalMemberCount);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the totalMemberCount property value. The number of members if the recipient is a distribution list.
     * @returns a integer
     */
    get totalMemberCount() {
        return this._totalMemberCount;
    }
    ;
    /**
     * Sets the totalMemberCount property value. The number of members if the recipient is a distribution list.
     * @param value Value to set for the totalMemberCount property.
     */
    set totalMemberCount(value) {
        this._totalMemberCount = value;
    }
    ;
}
exports.MailTips = MailTips;
