"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MailboxSettings = void 0;
const createAutomaticRepliesSettingFromDiscriminatorValue_1 = require("./createAutomaticRepliesSettingFromDiscriminatorValue");
const createLocaleInfoFromDiscriminatorValue_1 = require("./createLocaleInfoFromDiscriminatorValue");
const createWorkingHoursFromDiscriminatorValue_1 = require("./createWorkingHoursFromDiscriminatorValue");
const delegateMeetingMessageDeliveryOptions_1 = require("./delegateMeetingMessageDeliveryOptions");
const userPurpose_1 = require("./userPurpose");
class MailboxSettings {
    /**
     * Instantiates a new mailboxSettings and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the archiveFolder property value. Folder ID of an archive folder for the user. Read only.
     * @returns a string
     */
    get archiveFolder() {
        return this._archiveFolder;
    }
    ;
    /**
     * Sets the archiveFolder property value. Folder ID of an archive folder for the user. Read only.
     * @param value Value to set for the archiveFolder property.
     */
    set archiveFolder(value) {
        this._archiveFolder = value;
    }
    ;
    /**
     * Gets the automaticRepliesSetting property value. Configuration settings to automatically notify the sender of an incoming email with a message from the signed-in user.
     * @returns a automaticRepliesSetting
     */
    get automaticRepliesSetting() {
        return this._automaticRepliesSetting;
    }
    ;
    /**
     * Sets the automaticRepliesSetting property value. Configuration settings to automatically notify the sender of an incoming email with a message from the signed-in user.
     * @param value Value to set for the automaticRepliesSetting property.
     */
    set automaticRepliesSetting(value) {
        this._automaticRepliesSetting = value;
    }
    ;
    ;
    /**
     * Gets the dateFormat property value. The date format for the user's mailbox.
     * @returns a string
     */
    get dateFormat() {
        return this._dateFormat;
    }
    ;
    /**
     * Sets the dateFormat property value. The date format for the user's mailbox.
     * @param value Value to set for the dateFormat property.
     */
    set dateFormat(value) {
        this._dateFormat = value;
    }
    ;
    /**
     * Gets the delegateMeetingMessageDeliveryOptions property value. If the user has a calendar delegate, this specifies whether the delegate, mailbox owner, or both receive meeting messages and meeting responses. Possible values are: sendToDelegateAndInformationToPrincipal, sendToDelegateAndPrincipal, sendToDelegateOnly. The default is sendToDelegateOnly.
     * @returns a delegateMeetingMessageDeliveryOptions
     */
    get delegateMeetingMessageDeliveryOptions() {
        return this._delegateMeetingMessageDeliveryOptions;
    }
    ;
    /**
     * Sets the delegateMeetingMessageDeliveryOptions property value. If the user has a calendar delegate, this specifies whether the delegate, mailbox owner, or both receive meeting messages and meeting responses. Possible values are: sendToDelegateAndInformationToPrincipal, sendToDelegateAndPrincipal, sendToDelegateOnly. The default is sendToDelegateOnly.
     * @param value Value to set for the delegateMeetingMessageDeliveryOptions property.
     */
    set delegateMeetingMessageDeliveryOptions(value) {
        this._delegateMeetingMessageDeliveryOptions = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "archiveFolder": n => { this.archiveFolder = n.getStringValue(); },
            "automaticRepliesSetting": n => { this.automaticRepliesSetting = n.getObjectValue(createAutomaticRepliesSettingFromDiscriminatorValue_1.createAutomaticRepliesSettingFromDiscriminatorValue); },
            "dateFormat": n => { this.dateFormat = n.getStringValue(); },
            "delegateMeetingMessageDeliveryOptions": n => { this.delegateMeetingMessageDeliveryOptions = n.getEnumValue(delegateMeetingMessageDeliveryOptions_1.DelegateMeetingMessageDeliveryOptions); },
            "language": n => { this.language = n.getObjectValue(createLocaleInfoFromDiscriminatorValue_1.createLocaleInfoFromDiscriminatorValue); },
            "timeFormat": n => { this.timeFormat = n.getStringValue(); },
            "timeZone": n => { this.timeZone = n.getStringValue(); },
            "userPurpose": n => { this.userPurpose = n.getEnumValue(userPurpose_1.UserPurpose); },
            "workingHours": n => { this.workingHours = n.getObjectValue(createWorkingHoursFromDiscriminatorValue_1.createWorkingHoursFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Gets the language property value. The locale information for the user, including the preferred language and country/region.
     * @returns a localeInfo
     */
    get language() {
        return this._language;
    }
    ;
    /**
     * Sets the language property value. The locale information for the user, including the preferred language and country/region.
     * @param value Value to set for the language property.
     */
    set language(value) {
        this._language = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("archiveFolder", this.archiveFolder);
        writer.writeObjectValue("automaticRepliesSetting", this.automaticRepliesSetting);
        writer.writeStringValue("dateFormat", this.dateFormat);
        writer.writeEnumValue("delegateMeetingMessageDeliveryOptions", this.delegateMeetingMessageDeliveryOptions);
        writer.writeObjectValue("language", this.language);
        writer.writeStringValue("timeFormat", this.timeFormat);
        writer.writeStringValue("timeZone", this.timeZone);
        writer.writeEnumValue("userPurpose", this.userPurpose);
        writer.writeObjectValue("workingHours", this.workingHours);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the timeFormat property value. The time format for the user's mailbox.
     * @returns a string
     */
    get timeFormat() {
        return this._timeFormat;
    }
    ;
    /**
     * Sets the timeFormat property value. The time format for the user's mailbox.
     * @param value Value to set for the timeFormat property.
     */
    set timeFormat(value) {
        this._timeFormat = value;
    }
    ;
    /**
     * Gets the timeZone property value. The default time zone for the user's mailbox.
     * @returns a string
     */
    get timeZone() {
        return this._timeZone;
    }
    ;
    /**
     * Sets the timeZone property value. The default time zone for the user's mailbox.
     * @param value Value to set for the timeZone property.
     */
    set timeZone(value) {
        this._timeZone = value;
    }
    ;
    /**
     * Gets the userPurpose property value. The purpose of the mailbox. Used to differentiate a mailbox for a single user from a shared mailbox and equipment mailbox in Exchange Online. Read only.
     * @returns a userPurpose
     */
    get userPurpose() {
        return this._userPurpose;
    }
    ;
    /**
     * Sets the userPurpose property value. The purpose of the mailbox. Used to differentiate a mailbox for a single user from a shared mailbox and equipment mailbox in Exchange Online. Read only.
     * @param value Value to set for the userPurpose property.
     */
    set userPurpose(value) {
        this._userPurpose = value;
    }
    ;
    /**
     * Gets the workingHours property value. The days of the week and hours in a specific time zone that the user works.
     * @returns a workingHours
     */
    get workingHours() {
        return this._workingHours;
    }
    ;
    /**
     * Sets the workingHours property value. The days of the week and hours in a specific time zone that the user works.
     * @param value Value to set for the workingHours property.
     */
    set workingHours(value) {
        this._workingHours = value;
    }
    ;
}
exports.MailboxSettings = MailboxSettings;
