import { MobileApp } from './index';
import { ManagedAppAvailability } from './managedAppAvailability';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Abstract class that contains properties and inherited properties for apps that you can manage with an Intune app protection policy. */
export declare class ManagedApp extends MobileApp implements Parsable {
    /** The Application's availability. Possible values are: global, lineOfBusiness. */
    private _appAvailability?;
    /** The Application's version. */
    private _version?;
    /**
     * Gets the appAvailability property value. The Application's availability. Possible values are: global, lineOfBusiness.
     * @returns a managedAppAvailability
     */
    get appAvailability(): ManagedAppAvailability | undefined;
    /**
     * Sets the appAvailability property value. The Application's availability. Possible values are: global, lineOfBusiness.
     * @param value Value to set for the appAvailability property.
     */
    set appAvailability(value: ManagedAppAvailability | undefined);
    /**
     * Instantiates a new managedApp and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the version property value. The Application's version.
     * @returns a string
     */
    get version(): string | undefined;
    /**
     * Sets the version property value. The Application's version.
     * @param value Value to set for the version property.
     */
    set version(value: string | undefined);
}
