"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ManagedApp = void 0;
const index_1 = require("./index");
const managedAppAvailability_1 = require("./managedAppAvailability");
/** Abstract class that contains properties and inherited properties for apps that you can manage with an Intune app protection policy. */
class ManagedApp extends index_1.MobileApp {
    /**
     * Instantiates a new managedApp and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the appAvailability property value. The Application's availability. Possible values are: global, lineOfBusiness.
     * @returns a managedAppAvailability
     */
    get appAvailability() {
        return this._appAvailability;
    }
    ;
    /**
     * Sets the appAvailability property value. The Application's availability. Possible values are: global, lineOfBusiness.
     * @param value Value to set for the appAvailability property.
     */
    set appAvailability(value) {
        this._appAvailability = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "appAvailability": n => { this.appAvailability = n.getEnumValue(managedAppAvailability_1.ManagedAppAvailability); }, "version": n => { this.version = n.getStringValue(); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeEnumValue("appAvailability", this.appAvailability);
        writer.writeStringValue("version", this.version);
    }
    ;
    /**
     * Gets the version property value. The Application's version.
     * @returns a string
     */
    get version() {
        return this._version;
    }
    ;
    /**
     * Sets the version property value. The Application's version.
     * @param value Value to set for the version property.
     */
    set version(value) {
        this._version = value;
    }
    ;
}
exports.ManagedApp = ManagedApp;
