"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ManagedAppConfiguration = void 0;
const createKeyValuePairFromDiscriminatorValue_1 = require("./createKeyValuePairFromDiscriminatorValue");
const index_1 = require("./index");
/** Configuration used to deliver a set of custom settings as-is to apps for users to whom the configuration is scoped */
class ManagedAppConfiguration extends index_1.ManagedAppPolicy {
    /**
     * Instantiates a new managedAppConfiguration and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the customSettings property value. A set of string key and string value pairs to be sent to apps for users to whom the configuration is scoped, unalterned by this service
     * @returns a keyValuePair
     */
    get customSettings() {
        return this._customSettings;
    }
    ;
    /**
     * Sets the customSettings property value. A set of string key and string value pairs to be sent to apps for users to whom the configuration is scoped, unalterned by this service
     * @param value Value to set for the customSettings property.
     */
    set customSettings(value) {
        this._customSettings = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "customSettings": n => { this.customSettings = n.getCollectionOfObjectValues(createKeyValuePairFromDiscriminatorValue_1.createKeyValuePairFromDiscriminatorValue); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("customSettings", this.customSettings);
    }
    ;
}
exports.ManagedAppConfiguration = ManagedAppConfiguration;
