"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ManagedAppDataEncryptionType = void 0;
/** Provides operations to manage the deviceAppManagement singleton. */
var ManagedAppDataEncryptionType;
(function (ManagedAppDataEncryptionType) {
    /** App data is encrypted based on the default settings on the device. */
    ManagedAppDataEncryptionType["UseDeviceSettings"] = "useDeviceSettings";
    /** App data is encrypted when the device is restarted. */
    ManagedAppDataEncryptionType["AfterDeviceRestart"] = "afterDeviceRestart";
    /** App data associated with this policy is encrypted when the device is locked, except data in files that are open */
    ManagedAppDataEncryptionType["WhenDeviceLockedExceptOpenFiles"] = "whenDeviceLockedExceptOpenFiles";
    /** App data associated with this policy is encrypted when the device is locked */
    ManagedAppDataEncryptionType["WhenDeviceLocked"] = "whenDeviceLocked";
})(ManagedAppDataEncryptionType = exports.ManagedAppDataEncryptionType || (exports.ManagedAppDataEncryptionType = {}));
