"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ManagedAppDiagnosticStatus = void 0;
/** Represents diagnostics status. */
class ManagedAppDiagnosticStatus {
    /**
     * Instantiates a new managedAppDiagnosticStatus and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "mitigationInstruction": n => { this.mitigationInstruction = n.getStringValue(); },
            "state": n => { this.state = n.getStringValue(); },
            "validationName": n => { this.validationName = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the mitigationInstruction property value. Instruction on how to mitigate a failed validation
     * @returns a string
     */
    get mitigationInstruction() {
        return this._mitigationInstruction;
    }
    ;
    /**
     * Sets the mitigationInstruction property value. Instruction on how to mitigate a failed validation
     * @param value Value to set for the mitigationInstruction property.
     */
    set mitigationInstruction(value) {
        this._mitigationInstruction = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("mitigationInstruction", this.mitigationInstruction);
        writer.writeStringValue("state", this.state);
        writer.writeStringValue("validationName", this.validationName);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the state property value. The state of the operation
     * @returns a string
     */
    get state() {
        return this._state;
    }
    ;
    /**
     * Sets the state property value. The state of the operation
     * @param value Value to set for the state property.
     */
    set state(value) {
        this._state = value;
    }
    ;
    /**
     * Gets the validationName property value. The validation friendly name
     * @returns a string
     */
    get validationName() {
        return this._validationName;
    }
    ;
    /**
     * Sets the validationName property value. The validation friendly name
     * @param value Value to set for the validationName property.
     */
    set validationName(value) {
        this._validationName = value;
    }
    ;
}
exports.ManagedAppDiagnosticStatus = ManagedAppDiagnosticStatus;
