import { Entity } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Represents an operation applied against an app registration. */
export declare class ManagedAppOperation extends Entity implements Parsable {
    /** The operation name. */
    private _displayName?;
    /** The last time the app operation was modified. */
    private _lastModifiedDateTime?;
    /** The current state of the operation */
    private _state?;
    /** Version of the entity. */
    private _version?;
    /**
     * Instantiates a new managedAppOperation and sets the default values.
     */
    constructor();
    /**
     * Gets the displayName property value. The operation name.
     * @returns a string
     */
    get displayName(): string | undefined;
    /**
     * Sets the displayName property value. The operation name.
     * @param value Value to set for the displayName property.
     */
    set displayName(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the lastModifiedDateTime property value. The last time the app operation was modified.
     * @returns a Date
     */
    get lastModifiedDateTime(): Date | undefined;
    /**
     * Sets the lastModifiedDateTime property value. The last time the app operation was modified.
     * @param value Value to set for the lastModifiedDateTime property.
     */
    set lastModifiedDateTime(value: Date | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the state property value. The current state of the operation
     * @returns a string
     */
    get state(): string | undefined;
    /**
     * Sets the state property value. The current state of the operation
     * @param value Value to set for the state property.
     */
    set state(value: string | undefined);
    /**
     * Gets the version property value. Version of the entity.
     * @returns a string
     */
    get version(): string | undefined;
    /**
     * Sets the version property value. Version of the entity.
     * @param value Value to set for the version property.
     */
    set version(value: string | undefined);
}
