"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ManagedAppStatus = void 0;
const index_1 = require("./index");
/** Represents app protection and configuration status for the organization. */
class ManagedAppStatus extends index_1.Entity {
    /**
     * Instantiates a new managedAppStatus and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the displayName property value. Friendly name of the status report.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. Friendly name of the status report.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "displayName": n => { this.displayName = n.getStringValue(); }, "version": n => { this.version = n.getStringValue(); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeStringValue("version", this.version);
    }
    ;
    /**
     * Gets the version property value. Version of the entity.
     * @returns a string
     */
    get version() {
        return this._version;
    }
    ;
    /**
     * Sets the version property value. Version of the entity.
     * @param value Value to set for the version property.
     */
    set version(value) {
        this._version = value;
    }
    ;
}
exports.ManagedAppStatus = ManagedAppStatus;
