"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ManagedDevice = void 0;
const complianceState_1 = require("./complianceState");
const createConfigurationManagerClientEnabledFeaturesFromDiscriminatorValue_1 = require("./createConfigurationManagerClientEnabledFeaturesFromDiscriminatorValue");
const createDeviceActionResultFromDiscriminatorValue_1 = require("./createDeviceActionResultFromDiscriminatorValue");
const createDeviceCategoryFromDiscriminatorValue_1 = require("./createDeviceCategoryFromDiscriminatorValue");
const createDeviceCompliancePolicyStateFromDiscriminatorValue_1 = require("./createDeviceCompliancePolicyStateFromDiscriminatorValue");
const createDeviceConfigurationStateFromDiscriminatorValue_1 = require("./createDeviceConfigurationStateFromDiscriminatorValue");
const createDeviceHealthAttestationStateFromDiscriminatorValue_1 = require("./createDeviceHealthAttestationStateFromDiscriminatorValue");
const deviceEnrollmentType_1 = require("./deviceEnrollmentType");
const deviceManagementExchangeAccessState_1 = require("./deviceManagementExchangeAccessState");
const deviceManagementExchangeAccessStateReason_1 = require("./deviceManagementExchangeAccessStateReason");
const deviceRegistrationState_1 = require("./deviceRegistrationState");
const index_1 = require("./index");
const managedDeviceOwnerType_1 = require("./managedDeviceOwnerType");
const managedDevicePartnerReportedHealthState_1 = require("./managedDevicePartnerReportedHealthState");
const managementAgentType_1 = require("./managementAgentType");
/** Devices that are managed or pre-enrolled through Intune */
class ManagedDevice extends index_1.Entity {
    /**
     * Instantiates a new managedDevice and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the activationLockBypassCode property value. Code that allows the Activation Lock on a device to be bypassed. This property is read-only.
     * @returns a string
     */
    get activationLockBypassCode() {
        return this._activationLockBypassCode;
    }
    ;
    /**
     * Sets the activationLockBypassCode property value. Code that allows the Activation Lock on a device to be bypassed. This property is read-only.
     * @param value Value to set for the activationLockBypassCode property.
     */
    set activationLockBypassCode(value) {
        this._activationLockBypassCode = value;
    }
    ;
    /**
     * Gets the androidSecurityPatchLevel property value. Android security patch level. This property is read-only.
     * @returns a string
     */
    get androidSecurityPatchLevel() {
        return this._androidSecurityPatchLevel;
    }
    ;
    /**
     * Sets the androidSecurityPatchLevel property value. Android security patch level. This property is read-only.
     * @param value Value to set for the androidSecurityPatchLevel property.
     */
    set androidSecurityPatchLevel(value) {
        this._androidSecurityPatchLevel = value;
    }
    ;
    /**
     * Gets the azureADDeviceId property value. The unique identifier for the Azure Active Directory device. Read only. This property is read-only.
     * @returns a string
     */
    get azureADDeviceId() {
        return this._azureADDeviceId;
    }
    ;
    /**
     * Sets the azureADDeviceId property value. The unique identifier for the Azure Active Directory device. Read only. This property is read-only.
     * @param value Value to set for the azureADDeviceId property.
     */
    set azureADDeviceId(value) {
        this._azureADDeviceId = value;
    }
    ;
    /**
     * Gets the azureADRegistered property value. Whether the device is Azure Active Directory registered. This property is read-only.
     * @returns a boolean
     */
    get azureADRegistered() {
        return this._azureADRegistered;
    }
    ;
    /**
     * Sets the azureADRegistered property value. Whether the device is Azure Active Directory registered. This property is read-only.
     * @param value Value to set for the azureADRegistered property.
     */
    set azureADRegistered(value) {
        this._azureADRegistered = value;
    }
    ;
    /**
     * Gets the complianceGracePeriodExpirationDateTime property value. The DateTime when device compliance grace period expires. This property is read-only.
     * @returns a Date
     */
    get complianceGracePeriodExpirationDateTime() {
        return this._complianceGracePeriodExpirationDateTime;
    }
    ;
    /**
     * Sets the complianceGracePeriodExpirationDateTime property value. The DateTime when device compliance grace period expires. This property is read-only.
     * @param value Value to set for the complianceGracePeriodExpirationDateTime property.
     */
    set complianceGracePeriodExpirationDateTime(value) {
        this._complianceGracePeriodExpirationDateTime = value;
    }
    ;
    /**
     * Gets the complianceState property value. Compliance state of the device. This property is read-only. Possible values are: unknown, compliant, noncompliant, conflict, error, inGracePeriod, configManager.
     * @returns a complianceState
     */
    get complianceState() {
        return this._complianceState;
    }
    ;
    /**
     * Sets the complianceState property value. Compliance state of the device. This property is read-only. Possible values are: unknown, compliant, noncompliant, conflict, error, inGracePeriod, configManager.
     * @param value Value to set for the complianceState property.
     */
    set complianceState(value) {
        this._complianceState = value;
    }
    ;
    /**
     * Gets the configurationManagerClientEnabledFeatures property value. ConfigrMgr client enabled features. This property is read-only.
     * @returns a configurationManagerClientEnabledFeatures
     */
    get configurationManagerClientEnabledFeatures() {
        return this._configurationManagerClientEnabledFeatures;
    }
    ;
    /**
     * Sets the configurationManagerClientEnabledFeatures property value. ConfigrMgr client enabled features. This property is read-only.
     * @param value Value to set for the configurationManagerClientEnabledFeatures property.
     */
    set configurationManagerClientEnabledFeatures(value) {
        this._configurationManagerClientEnabledFeatures = value;
    }
    ;
    ;
    /**
     * Gets the deviceActionResults property value. List of ComplexType deviceActionResult objects. This property is read-only.
     * @returns a deviceActionResult
     */
    get deviceActionResults() {
        return this._deviceActionResults;
    }
    ;
    /**
     * Sets the deviceActionResults property value. List of ComplexType deviceActionResult objects. This property is read-only.
     * @param value Value to set for the deviceActionResults property.
     */
    set deviceActionResults(value) {
        this._deviceActionResults = value;
    }
    ;
    /**
     * Gets the deviceCategory property value. Device category
     * @returns a deviceCategory
     */
    get deviceCategory() {
        return this._deviceCategory;
    }
    ;
    /**
     * Sets the deviceCategory property value. Device category
     * @param value Value to set for the deviceCategory property.
     */
    set deviceCategory(value) {
        this._deviceCategory = value;
    }
    ;
    /**
     * Gets the deviceCategoryDisplayName property value. Device category display name. This property is read-only.
     * @returns a string
     */
    get deviceCategoryDisplayName() {
        return this._deviceCategoryDisplayName;
    }
    ;
    /**
     * Sets the deviceCategoryDisplayName property value. Device category display name. This property is read-only.
     * @param value Value to set for the deviceCategoryDisplayName property.
     */
    set deviceCategoryDisplayName(value) {
        this._deviceCategoryDisplayName = value;
    }
    ;
    /**
     * Gets the deviceCompliancePolicyStates property value. Device compliance policy states for this device.
     * @returns a deviceCompliancePolicyState
     */
    get deviceCompliancePolicyStates() {
        return this._deviceCompliancePolicyStates;
    }
    ;
    /**
     * Sets the deviceCompliancePolicyStates property value. Device compliance policy states for this device.
     * @param value Value to set for the deviceCompliancePolicyStates property.
     */
    set deviceCompliancePolicyStates(value) {
        this._deviceCompliancePolicyStates = value;
    }
    ;
    /**
     * Gets the deviceConfigurationStates property value. Device configuration states for this device.
     * @returns a deviceConfigurationState
     */
    get deviceConfigurationStates() {
        return this._deviceConfigurationStates;
    }
    ;
    /**
     * Sets the deviceConfigurationStates property value. Device configuration states for this device.
     * @param value Value to set for the deviceConfigurationStates property.
     */
    set deviceConfigurationStates(value) {
        this._deviceConfigurationStates = value;
    }
    ;
    /**
     * Gets the deviceEnrollmentType property value. Enrollment type of the device. This property is read-only. Possible values are: unknown, userEnrollment, deviceEnrollmentManager, appleBulkWithUser, appleBulkWithoutUser, windowsAzureADJoin, windowsBulkUserless, windowsAutoEnrollment, windowsBulkAzureDomainJoin, windowsCoManagement, windowsAzureADJoinUsingDeviceAuth, appleUserEnrollment, appleUserEnrollmentWithServiceAccount, azureAdJoinUsingAzureVmExtension, androidEnterpriseDedicatedDevice, androidEnterpriseFullyManaged, androidEnterpriseCorporateWorkProfile.
     * @returns a deviceEnrollmentType
     */
    get deviceEnrollmentType() {
        return this._deviceEnrollmentType;
    }
    ;
    /**
     * Sets the deviceEnrollmentType property value. Enrollment type of the device. This property is read-only. Possible values are: unknown, userEnrollment, deviceEnrollmentManager, appleBulkWithUser, appleBulkWithoutUser, windowsAzureADJoin, windowsBulkUserless, windowsAutoEnrollment, windowsBulkAzureDomainJoin, windowsCoManagement, windowsAzureADJoinUsingDeviceAuth, appleUserEnrollment, appleUserEnrollmentWithServiceAccount, azureAdJoinUsingAzureVmExtension, androidEnterpriseDedicatedDevice, androidEnterpriseFullyManaged, androidEnterpriseCorporateWorkProfile.
     * @param value Value to set for the deviceEnrollmentType property.
     */
    set deviceEnrollmentType(value) {
        this._deviceEnrollmentType = value;
    }
    ;
    /**
     * Gets the deviceHealthAttestationState property value. The device health attestation state. This property is read-only.
     * @returns a deviceHealthAttestationState
     */
    get deviceHealthAttestationState() {
        return this._deviceHealthAttestationState;
    }
    ;
    /**
     * Sets the deviceHealthAttestationState property value. The device health attestation state. This property is read-only.
     * @param value Value to set for the deviceHealthAttestationState property.
     */
    set deviceHealthAttestationState(value) {
        this._deviceHealthAttestationState = value;
    }
    ;
    /**
     * Gets the deviceName property value. Name of the device. This property is read-only.
     * @returns a string
     */
    get deviceName() {
        return this._deviceName;
    }
    ;
    /**
     * Sets the deviceName property value. Name of the device. This property is read-only.
     * @param value Value to set for the deviceName property.
     */
    set deviceName(value) {
        this._deviceName = value;
    }
    ;
    /**
     * Gets the deviceRegistrationState property value. Device registration state. This property is read-only. Possible values are: notRegistered, registered, revoked, keyConflict, approvalPending, certificateReset, notRegisteredPendingEnrollment, unknown.
     * @returns a deviceRegistrationState
     */
    get deviceRegistrationState() {
        return this._deviceRegistrationState;
    }
    ;
    /**
     * Sets the deviceRegistrationState property value. Device registration state. This property is read-only. Possible values are: notRegistered, registered, revoked, keyConflict, approvalPending, certificateReset, notRegisteredPendingEnrollment, unknown.
     * @param value Value to set for the deviceRegistrationState property.
     */
    set deviceRegistrationState(value) {
        this._deviceRegistrationState = value;
    }
    ;
    /**
     * Gets the easActivated property value. Whether the device is Exchange ActiveSync activated. This property is read-only.
     * @returns a boolean
     */
    get easActivated() {
        return this._easActivated;
    }
    ;
    /**
     * Sets the easActivated property value. Whether the device is Exchange ActiveSync activated. This property is read-only.
     * @param value Value to set for the easActivated property.
     */
    set easActivated(value) {
        this._easActivated = value;
    }
    ;
    /**
     * Gets the easActivationDateTime property value. Exchange ActivationSync activation time of the device. This property is read-only.
     * @returns a Date
     */
    get easActivationDateTime() {
        return this._easActivationDateTime;
    }
    ;
    /**
     * Sets the easActivationDateTime property value. Exchange ActivationSync activation time of the device. This property is read-only.
     * @param value Value to set for the easActivationDateTime property.
     */
    set easActivationDateTime(value) {
        this._easActivationDateTime = value;
    }
    ;
    /**
     * Gets the easDeviceId property value. Exchange ActiveSync Id of the device. This property is read-only.
     * @returns a string
     */
    get easDeviceId() {
        return this._easDeviceId;
    }
    ;
    /**
     * Sets the easDeviceId property value. Exchange ActiveSync Id of the device. This property is read-only.
     * @param value Value to set for the easDeviceId property.
     */
    set easDeviceId(value) {
        this._easDeviceId = value;
    }
    ;
    /**
     * Gets the emailAddress property value. Email(s) for the user associated with the device. This property is read-only.
     * @returns a string
     */
    get emailAddress() {
        return this._emailAddress;
    }
    ;
    /**
     * Sets the emailAddress property value. Email(s) for the user associated with the device. This property is read-only.
     * @param value Value to set for the emailAddress property.
     */
    set emailAddress(value) {
        this._emailAddress = value;
    }
    ;
    /**
     * Gets the enrolledDateTime property value. Enrollment time of the device. This property is read-only.
     * @returns a Date
     */
    get enrolledDateTime() {
        return this._enrolledDateTime;
    }
    ;
    /**
     * Sets the enrolledDateTime property value. Enrollment time of the device. This property is read-only.
     * @param value Value to set for the enrolledDateTime property.
     */
    set enrolledDateTime(value) {
        this._enrolledDateTime = value;
    }
    ;
    /**
     * Gets the ethernetMacAddress property value. Ethernet MAC. This property is read-only.
     * @returns a string
     */
    get ethernetMacAddress() {
        return this._ethernetMacAddress;
    }
    ;
    /**
     * Sets the ethernetMacAddress property value. Ethernet MAC. This property is read-only.
     * @param value Value to set for the ethernetMacAddress property.
     */
    set ethernetMacAddress(value) {
        this._ethernetMacAddress = value;
    }
    ;
    /**
     * Gets the exchangeAccessState property value. The Access State of the device in Exchange. This property is read-only. Possible values are: none, unknown, allowed, blocked, quarantined.
     * @returns a deviceManagementExchangeAccessState
     */
    get exchangeAccessState() {
        return this._exchangeAccessState;
    }
    ;
    /**
     * Sets the exchangeAccessState property value. The Access State of the device in Exchange. This property is read-only. Possible values are: none, unknown, allowed, blocked, quarantined.
     * @param value Value to set for the exchangeAccessState property.
     */
    set exchangeAccessState(value) {
        this._exchangeAccessState = value;
    }
    ;
    /**
     * Gets the exchangeAccessStateReason property value. The reason for the device's access state in Exchange. This property is read-only. Possible values are: none, unknown, exchangeGlobalRule, exchangeIndividualRule, exchangeDeviceRule, exchangeUpgrade, exchangeMailboxPolicy, other, compliant, notCompliant, notEnrolled, unknownLocation, mfaRequired, azureADBlockDueToAccessPolicy, compromisedPassword, deviceNotKnownWithManagedApp.
     * @returns a deviceManagementExchangeAccessStateReason
     */
    get exchangeAccessStateReason() {
        return this._exchangeAccessStateReason;
    }
    ;
    /**
     * Sets the exchangeAccessStateReason property value. The reason for the device's access state in Exchange. This property is read-only. Possible values are: none, unknown, exchangeGlobalRule, exchangeIndividualRule, exchangeDeviceRule, exchangeUpgrade, exchangeMailboxPolicy, other, compliant, notCompliant, notEnrolled, unknownLocation, mfaRequired, azureADBlockDueToAccessPolicy, compromisedPassword, deviceNotKnownWithManagedApp.
     * @param value Value to set for the exchangeAccessStateReason property.
     */
    set exchangeAccessStateReason(value) {
        this._exchangeAccessStateReason = value;
    }
    ;
    /**
     * Gets the exchangeLastSuccessfulSyncDateTime property value. Last time the device contacted Exchange. This property is read-only.
     * @returns a Date
     */
    get exchangeLastSuccessfulSyncDateTime() {
        return this._exchangeLastSuccessfulSyncDateTime;
    }
    ;
    /**
     * Sets the exchangeLastSuccessfulSyncDateTime property value. Last time the device contacted Exchange. This property is read-only.
     * @param value Value to set for the exchangeLastSuccessfulSyncDateTime property.
     */
    set exchangeLastSuccessfulSyncDateTime(value) {
        this._exchangeLastSuccessfulSyncDateTime = value;
    }
    ;
    /**
     * Gets the freeStorageSpaceInBytes property value. Free Storage in Bytes. This property is read-only.
     * @returns a int64
     */
    get freeStorageSpaceInBytes() {
        return this._freeStorageSpaceInBytes;
    }
    ;
    /**
     * Sets the freeStorageSpaceInBytes property value. Free Storage in Bytes. This property is read-only.
     * @param value Value to set for the freeStorageSpaceInBytes property.
     */
    set freeStorageSpaceInBytes(value) {
        this._freeStorageSpaceInBytes = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "activationLockBypassCode": n => { this.activationLockBypassCode = n.getStringValue(); }, "androidSecurityPatchLevel": n => { this.androidSecurityPatchLevel = n.getStringValue(); }, "azureADDeviceId": n => { this.azureADDeviceId = n.getStringValue(); }, "azureADRegistered": n => { this.azureADRegistered = n.getBooleanValue(); }, "complianceGracePeriodExpirationDateTime": n => { this.complianceGracePeriodExpirationDateTime = n.getDateValue(); }, "complianceState": n => { this.complianceState = n.getEnumValue(complianceState_1.ComplianceState); }, "configurationManagerClientEnabledFeatures": n => { this.configurationManagerClientEnabledFeatures = n.getObjectValue(createConfigurationManagerClientEnabledFeaturesFromDiscriminatorValue_1.createConfigurationManagerClientEnabledFeaturesFromDiscriminatorValue); }, "deviceActionResults": n => { this.deviceActionResults = n.getCollectionOfObjectValues(createDeviceActionResultFromDiscriminatorValue_1.createDeviceActionResultFromDiscriminatorValue); }, "deviceCategory": n => { this.deviceCategory = n.getObjectValue(createDeviceCategoryFromDiscriminatorValue_1.createDeviceCategoryFromDiscriminatorValue); }, "deviceCategoryDisplayName": n => { this.deviceCategoryDisplayName = n.getStringValue(); }, "deviceCompliancePolicyStates": n => { this.deviceCompliancePolicyStates = n.getCollectionOfObjectValues(createDeviceCompliancePolicyStateFromDiscriminatorValue_1.createDeviceCompliancePolicyStateFromDiscriminatorValue); }, "deviceConfigurationStates": n => { this.deviceConfigurationStates = n.getCollectionOfObjectValues(createDeviceConfigurationStateFromDiscriminatorValue_1.createDeviceConfigurationStateFromDiscriminatorValue); }, "deviceEnrollmentType": n => { this.deviceEnrollmentType = n.getEnumValue(deviceEnrollmentType_1.DeviceEnrollmentType); }, "deviceHealthAttestationState": n => { this.deviceHealthAttestationState = n.getObjectValue(createDeviceHealthAttestationStateFromDiscriminatorValue_1.createDeviceHealthAttestationStateFromDiscriminatorValue); }, "deviceName": n => { this.deviceName = n.getStringValue(); }, "deviceRegistrationState": n => { this.deviceRegistrationState = n.getEnumValue(deviceRegistrationState_1.DeviceRegistrationState); }, "easActivated": n => { this.easActivated = n.getBooleanValue(); }, "easActivationDateTime": n => { this.easActivationDateTime = n.getDateValue(); }, "easDeviceId": n => { this.easDeviceId = n.getStringValue(); }, "emailAddress": n => { this.emailAddress = n.getStringValue(); }, "enrolledDateTime": n => { this.enrolledDateTime = n.getDateValue(); }, "ethernetMacAddress": n => { this.ethernetMacAddress = n.getStringValue(); }, "exchangeAccessState": n => { this.exchangeAccessState = n.getEnumValue(deviceManagementExchangeAccessState_1.DeviceManagementExchangeAccessState); }, "exchangeAccessStateReason": n => { this.exchangeAccessStateReason = n.getEnumValue(deviceManagementExchangeAccessStateReason_1.DeviceManagementExchangeAccessStateReason); }, "exchangeLastSuccessfulSyncDateTime": n => { this.exchangeLastSuccessfulSyncDateTime = n.getDateValue(); }, "freeStorageSpaceInBytes": n => { this.freeStorageSpaceInBytes = n.getNumberValue(); }, "iccid": n => { this.iccid = n.getStringValue(); }, "imei": n => { this.imei = n.getStringValue(); }, "isEncrypted": n => { this.isEncrypted = n.getBooleanValue(); }, "isSupervised": n => { this.isSupervised = n.getBooleanValue(); }, "jailBroken": n => { this.jailBroken = n.getStringValue(); }, "lastSyncDateTime": n => { this.lastSyncDateTime = n.getDateValue(); }, "managedDeviceName": n => { this.managedDeviceName = n.getStringValue(); }, "managedDeviceOwnerType": n => { this.managedDeviceOwnerType = n.getEnumValue(managedDeviceOwnerType_1.ManagedDeviceOwnerType); }, "managementAgent": n => { this.managementAgent = n.getEnumValue(managementAgentType_1.ManagementAgentType); }, "manufacturer": n => { this.manufacturer = n.getStringValue(); }, "meid": n => { this.meid = n.getStringValue(); }, "model": n => { this.model = n.getStringValue(); }, "notes": n => { this.notes = n.getStringValue(); }, "operatingSystem": n => { this.operatingSystem = n.getStringValue(); }, "osVersion": n => { this.osVersion = n.getStringValue(); }, "partnerReportedThreatState": n => { this.partnerReportedThreatState = n.getEnumValue(managedDevicePartnerReportedHealthState_1.ManagedDevicePartnerReportedHealthState); }, "phoneNumber": n => { this.phoneNumber = n.getStringValue(); }, "physicalMemoryInBytes": n => { this.physicalMemoryInBytes = n.getNumberValue(); }, "remoteAssistanceSessionErrorDetails": n => { this.remoteAssistanceSessionErrorDetails = n.getStringValue(); }, "remoteAssistanceSessionUrl": n => { this.remoteAssistanceSessionUrl = n.getStringValue(); }, "serialNumber": n => { this.serialNumber = n.getStringValue(); }, "subscriberCarrier": n => { this.subscriberCarrier = n.getStringValue(); }, "totalStorageSpaceInBytes": n => { this.totalStorageSpaceInBytes = n.getNumberValue(); }, "udid": n => { this.udid = n.getStringValue(); }, "userDisplayName": n => { this.userDisplayName = n.getStringValue(); }, "userId": n => { this.userId = n.getStringValue(); }, "userPrincipalName": n => { this.userPrincipalName = n.getStringValue(); }, "wiFiMacAddress": n => { this.wiFiMacAddress = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the iccid property value. Integrated Circuit Card Identifier, it is A SIM card's unique identification number. This property is read-only.
     * @returns a string
     */
    get iccid() {
        return this._iccid;
    }
    ;
    /**
     * Sets the iccid property value. Integrated Circuit Card Identifier, it is A SIM card's unique identification number. This property is read-only.
     * @param value Value to set for the iccid property.
     */
    set iccid(value) {
        this._iccid = value;
    }
    ;
    /**
     * Gets the imei property value. IMEI. This property is read-only.
     * @returns a string
     */
    get imei() {
        return this._imei;
    }
    ;
    /**
     * Sets the imei property value. IMEI. This property is read-only.
     * @param value Value to set for the imei property.
     */
    set imei(value) {
        this._imei = value;
    }
    ;
    /**
     * Gets the isEncrypted property value. Device encryption status. This property is read-only.
     * @returns a boolean
     */
    get isEncrypted() {
        return this._isEncrypted;
    }
    ;
    /**
     * Sets the isEncrypted property value. Device encryption status. This property is read-only.
     * @param value Value to set for the isEncrypted property.
     */
    set isEncrypted(value) {
        this._isEncrypted = value;
    }
    ;
    /**
     * Gets the isSupervised property value. Device supervised status. This property is read-only.
     * @returns a boolean
     */
    get isSupervised() {
        return this._isSupervised;
    }
    ;
    /**
     * Sets the isSupervised property value. Device supervised status. This property is read-only.
     * @param value Value to set for the isSupervised property.
     */
    set isSupervised(value) {
        this._isSupervised = value;
    }
    ;
    /**
     * Gets the jailBroken property value. whether the device is jail broken or rooted. This property is read-only.
     * @returns a string
     */
    get jailBroken() {
        return this._jailBroken;
    }
    ;
    /**
     * Sets the jailBroken property value. whether the device is jail broken or rooted. This property is read-only.
     * @param value Value to set for the jailBroken property.
     */
    set jailBroken(value) {
        this._jailBroken = value;
    }
    ;
    /**
     * Gets the lastSyncDateTime property value. The date and time that the device last completed a successful sync with Intune. This property is read-only.
     * @returns a Date
     */
    get lastSyncDateTime() {
        return this._lastSyncDateTime;
    }
    ;
    /**
     * Sets the lastSyncDateTime property value. The date and time that the device last completed a successful sync with Intune. This property is read-only.
     * @param value Value to set for the lastSyncDateTime property.
     */
    set lastSyncDateTime(value) {
        this._lastSyncDateTime = value;
    }
    ;
    /**
     * Gets the managedDeviceName property value. Automatically generated name to identify a device. Can be overwritten to a user friendly name.
     * @returns a string
     */
    get managedDeviceName() {
        return this._managedDeviceName;
    }
    ;
    /**
     * Sets the managedDeviceName property value. Automatically generated name to identify a device. Can be overwritten to a user friendly name.
     * @param value Value to set for the managedDeviceName property.
     */
    set managedDeviceName(value) {
        this._managedDeviceName = value;
    }
    ;
    /**
     * Gets the managedDeviceOwnerType property value. Ownership of the device. Can be 'company' or 'personal'. Possible values are: unknown, company, personal.
     * @returns a managedDeviceOwnerType
     */
    get managedDeviceOwnerType() {
        return this._managedDeviceOwnerType;
    }
    ;
    /**
     * Sets the managedDeviceOwnerType property value. Ownership of the device. Can be 'company' or 'personal'. Possible values are: unknown, company, personal.
     * @param value Value to set for the managedDeviceOwnerType property.
     */
    set managedDeviceOwnerType(value) {
        this._managedDeviceOwnerType = value;
    }
    ;
    /**
     * Gets the managementAgent property value. Management channel of the device. Intune, EAS, etc. This property is read-only. Possible values are: eas, mdm, easMdm, intuneClient, easIntuneClient, configurationManagerClient, configurationManagerClientMdm, configurationManagerClientMdmEas, unknown, jamf, googleCloudDevicePolicyController, microsoft365ManagedMdm, msSense, intuneAosp.
     * @returns a managementAgentType
     */
    get managementAgent() {
        return this._managementAgent;
    }
    ;
    /**
     * Sets the managementAgent property value. Management channel of the device. Intune, EAS, etc. This property is read-only. Possible values are: eas, mdm, easMdm, intuneClient, easIntuneClient, configurationManagerClient, configurationManagerClientMdm, configurationManagerClientMdmEas, unknown, jamf, googleCloudDevicePolicyController, microsoft365ManagedMdm, msSense, intuneAosp.
     * @param value Value to set for the managementAgent property.
     */
    set managementAgent(value) {
        this._managementAgent = value;
    }
    ;
    /**
     * Gets the manufacturer property value. Manufacturer of the device. This property is read-only.
     * @returns a string
     */
    get manufacturer() {
        return this._manufacturer;
    }
    ;
    /**
     * Sets the manufacturer property value. Manufacturer of the device. This property is read-only.
     * @param value Value to set for the manufacturer property.
     */
    set manufacturer(value) {
        this._manufacturer = value;
    }
    ;
    /**
     * Gets the meid property value. MEID. This property is read-only.
     * @returns a string
     */
    get meid() {
        return this._meid;
    }
    ;
    /**
     * Sets the meid property value. MEID. This property is read-only.
     * @param value Value to set for the meid property.
     */
    set meid(value) {
        this._meid = value;
    }
    ;
    /**
     * Gets the model property value. Model of the device. This property is read-only.
     * @returns a string
     */
    get model() {
        return this._model;
    }
    ;
    /**
     * Sets the model property value. Model of the device. This property is read-only.
     * @param value Value to set for the model property.
     */
    set model(value) {
        this._model = value;
    }
    ;
    /**
     * Gets the notes property value. Notes on the device created by IT Admin
     * @returns a string
     */
    get notes() {
        return this._notes;
    }
    ;
    /**
     * Sets the notes property value. Notes on the device created by IT Admin
     * @param value Value to set for the notes property.
     */
    set notes(value) {
        this._notes = value;
    }
    ;
    /**
     * Gets the operatingSystem property value. Operating system of the device. Windows, iOS, etc. This property is read-only.
     * @returns a string
     */
    get operatingSystem() {
        return this._operatingSystem;
    }
    ;
    /**
     * Sets the operatingSystem property value. Operating system of the device. Windows, iOS, etc. This property is read-only.
     * @param value Value to set for the operatingSystem property.
     */
    set operatingSystem(value) {
        this._operatingSystem = value;
    }
    ;
    /**
     * Gets the osVersion property value. Operating system version of the device. This property is read-only.
     * @returns a string
     */
    get osVersion() {
        return this._osVersion;
    }
    ;
    /**
     * Sets the osVersion property value. Operating system version of the device. This property is read-only.
     * @param value Value to set for the osVersion property.
     */
    set osVersion(value) {
        this._osVersion = value;
    }
    ;
    /**
     * Gets the partnerReportedThreatState property value. Indicates the threat state of a device when a Mobile Threat Defense partner is in use by the account and device. Read Only. This property is read-only. Possible values are: unknown, activated, deactivated, secured, lowSeverity, mediumSeverity, highSeverity, unresponsive, compromised, misconfigured.
     * @returns a managedDevicePartnerReportedHealthState
     */
    get partnerReportedThreatState() {
        return this._partnerReportedThreatState;
    }
    ;
    /**
     * Sets the partnerReportedThreatState property value. Indicates the threat state of a device when a Mobile Threat Defense partner is in use by the account and device. Read Only. This property is read-only. Possible values are: unknown, activated, deactivated, secured, lowSeverity, mediumSeverity, highSeverity, unresponsive, compromised, misconfigured.
     * @param value Value to set for the partnerReportedThreatState property.
     */
    set partnerReportedThreatState(value) {
        this._partnerReportedThreatState = value;
    }
    ;
    /**
     * Gets the phoneNumber property value. Phone number of the device. This property is read-only.
     * @returns a string
     */
    get phoneNumber() {
        return this._phoneNumber;
    }
    ;
    /**
     * Sets the phoneNumber property value. Phone number of the device. This property is read-only.
     * @param value Value to set for the phoneNumber property.
     */
    set phoneNumber(value) {
        this._phoneNumber = value;
    }
    ;
    /**
     * Gets the physicalMemoryInBytes property value. Total Memory in Bytes. This property is read-only.
     * @returns a int64
     */
    get physicalMemoryInBytes() {
        return this._physicalMemoryInBytes;
    }
    ;
    /**
     * Sets the physicalMemoryInBytes property value. Total Memory in Bytes. This property is read-only.
     * @param value Value to set for the physicalMemoryInBytes property.
     */
    set physicalMemoryInBytes(value) {
        this._physicalMemoryInBytes = value;
    }
    ;
    /**
     * Gets the remoteAssistanceSessionErrorDetails property value. An error string that identifies issues when creating Remote Assistance session objects. This property is read-only.
     * @returns a string
     */
    get remoteAssistanceSessionErrorDetails() {
        return this._remoteAssistanceSessionErrorDetails;
    }
    ;
    /**
     * Sets the remoteAssistanceSessionErrorDetails property value. An error string that identifies issues when creating Remote Assistance session objects. This property is read-only.
     * @param value Value to set for the remoteAssistanceSessionErrorDetails property.
     */
    set remoteAssistanceSessionErrorDetails(value) {
        this._remoteAssistanceSessionErrorDetails = value;
    }
    ;
    /**
     * Gets the remoteAssistanceSessionUrl property value. Url that allows a Remote Assistance session to be established with the device. This property is read-only.
     * @returns a string
     */
    get remoteAssistanceSessionUrl() {
        return this._remoteAssistanceSessionUrl;
    }
    ;
    /**
     * Sets the remoteAssistanceSessionUrl property value. Url that allows a Remote Assistance session to be established with the device. This property is read-only.
     * @param value Value to set for the remoteAssistanceSessionUrl property.
     */
    set remoteAssistanceSessionUrl(value) {
        this._remoteAssistanceSessionUrl = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("activationLockBypassCode", this.activationLockBypassCode);
        writer.writeStringValue("androidSecurityPatchLevel", this.androidSecurityPatchLevel);
        writer.writeStringValue("azureADDeviceId", this.azureADDeviceId);
        writer.writeBooleanValue("azureADRegistered", this.azureADRegistered);
        writer.writeDateValue("complianceGracePeriodExpirationDateTime", this.complianceGracePeriodExpirationDateTime);
        writer.writeEnumValue("complianceState", this.complianceState);
        writer.writeObjectValue("configurationManagerClientEnabledFeatures", this.configurationManagerClientEnabledFeatures);
        writer.writeCollectionOfObjectValues("deviceActionResults", this.deviceActionResults);
        writer.writeObjectValue("deviceCategory", this.deviceCategory);
        writer.writeStringValue("deviceCategoryDisplayName", this.deviceCategoryDisplayName);
        writer.writeCollectionOfObjectValues("deviceCompliancePolicyStates", this.deviceCompliancePolicyStates);
        writer.writeCollectionOfObjectValues("deviceConfigurationStates", this.deviceConfigurationStates);
        writer.writeEnumValue("deviceEnrollmentType", this.deviceEnrollmentType);
        writer.writeObjectValue("deviceHealthAttestationState", this.deviceHealthAttestationState);
        writer.writeStringValue("deviceName", this.deviceName);
        writer.writeEnumValue("deviceRegistrationState", this.deviceRegistrationState);
        writer.writeBooleanValue("easActivated", this.easActivated);
        writer.writeDateValue("easActivationDateTime", this.easActivationDateTime);
        writer.writeStringValue("easDeviceId", this.easDeviceId);
        writer.writeStringValue("emailAddress", this.emailAddress);
        writer.writeDateValue("enrolledDateTime", this.enrolledDateTime);
        writer.writeStringValue("ethernetMacAddress", this.ethernetMacAddress);
        writer.writeEnumValue("exchangeAccessState", this.exchangeAccessState);
        writer.writeEnumValue("exchangeAccessStateReason", this.exchangeAccessStateReason);
        writer.writeDateValue("exchangeLastSuccessfulSyncDateTime", this.exchangeLastSuccessfulSyncDateTime);
        writer.writeNumberValue("freeStorageSpaceInBytes", this.freeStorageSpaceInBytes);
        writer.writeStringValue("iccid", this.iccid);
        writer.writeStringValue("imei", this.imei);
        writer.writeBooleanValue("isEncrypted", this.isEncrypted);
        writer.writeBooleanValue("isSupervised", this.isSupervised);
        writer.writeStringValue("jailBroken", this.jailBroken);
        writer.writeDateValue("lastSyncDateTime", this.lastSyncDateTime);
        writer.writeStringValue("managedDeviceName", this.managedDeviceName);
        writer.writeEnumValue("managedDeviceOwnerType", this.managedDeviceOwnerType);
        writer.writeEnumValue("managementAgent", this.managementAgent);
        writer.writeStringValue("manufacturer", this.manufacturer);
        writer.writeStringValue("meid", this.meid);
        writer.writeStringValue("model", this.model);
        writer.writeStringValue("notes", this.notes);
        writer.writeStringValue("operatingSystem", this.operatingSystem);
        writer.writeStringValue("osVersion", this.osVersion);
        writer.writeEnumValue("partnerReportedThreatState", this.partnerReportedThreatState);
        writer.writeStringValue("phoneNumber", this.phoneNumber);
        writer.writeNumberValue("physicalMemoryInBytes", this.physicalMemoryInBytes);
        writer.writeStringValue("remoteAssistanceSessionErrorDetails", this.remoteAssistanceSessionErrorDetails);
        writer.writeStringValue("remoteAssistanceSessionUrl", this.remoteAssistanceSessionUrl);
        writer.writeStringValue("serialNumber", this.serialNumber);
        writer.writeStringValue("subscriberCarrier", this.subscriberCarrier);
        writer.writeNumberValue("totalStorageSpaceInBytes", this.totalStorageSpaceInBytes);
        writer.writeStringValue("udid", this.udid);
        writer.writeStringValue("userDisplayName", this.userDisplayName);
        writer.writeStringValue("userId", this.userId);
        writer.writeStringValue("userPrincipalName", this.userPrincipalName);
        writer.writeStringValue("wiFiMacAddress", this.wiFiMacAddress);
    }
    ;
    /**
     * Gets the serialNumber property value. SerialNumber. This property is read-only.
     * @returns a string
     */
    get serialNumber() {
        return this._serialNumber;
    }
    ;
    /**
     * Sets the serialNumber property value. SerialNumber. This property is read-only.
     * @param value Value to set for the serialNumber property.
     */
    set serialNumber(value) {
        this._serialNumber = value;
    }
    ;
    /**
     * Gets the subscriberCarrier property value. Subscriber Carrier. This property is read-only.
     * @returns a string
     */
    get subscriberCarrier() {
        return this._subscriberCarrier;
    }
    ;
    /**
     * Sets the subscriberCarrier property value. Subscriber Carrier. This property is read-only.
     * @param value Value to set for the subscriberCarrier property.
     */
    set subscriberCarrier(value) {
        this._subscriberCarrier = value;
    }
    ;
    /**
     * Gets the totalStorageSpaceInBytes property value. Total Storage in Bytes. This property is read-only.
     * @returns a int64
     */
    get totalStorageSpaceInBytes() {
        return this._totalStorageSpaceInBytes;
    }
    ;
    /**
     * Sets the totalStorageSpaceInBytes property value. Total Storage in Bytes. This property is read-only.
     * @param value Value to set for the totalStorageSpaceInBytes property.
     */
    set totalStorageSpaceInBytes(value) {
        this._totalStorageSpaceInBytes = value;
    }
    ;
    /**
     * Gets the udid property value. Unique Device Identifier for iOS and macOS devices. This property is read-only.
     * @returns a string
     */
    get udid() {
        return this._udid;
    }
    ;
    /**
     * Sets the udid property value. Unique Device Identifier for iOS and macOS devices. This property is read-only.
     * @param value Value to set for the udid property.
     */
    set udid(value) {
        this._udid = value;
    }
    ;
    /**
     * Gets the userDisplayName property value. User display name. This property is read-only.
     * @returns a string
     */
    get userDisplayName() {
        return this._userDisplayName;
    }
    ;
    /**
     * Sets the userDisplayName property value. User display name. This property is read-only.
     * @param value Value to set for the userDisplayName property.
     */
    set userDisplayName(value) {
        this._userDisplayName = value;
    }
    ;
    /**
     * Gets the userId property value. Unique Identifier for the user associated with the device. This property is read-only.
     * @returns a string
     */
    get userId() {
        return this._userId;
    }
    ;
    /**
     * Sets the userId property value. Unique Identifier for the user associated with the device. This property is read-only.
     * @param value Value to set for the userId property.
     */
    set userId(value) {
        this._userId = value;
    }
    ;
    /**
     * Gets the userPrincipalName property value. Device user principal name. This property is read-only.
     * @returns a string
     */
    get userPrincipalName() {
        return this._userPrincipalName;
    }
    ;
    /**
     * Sets the userPrincipalName property value. Device user principal name. This property is read-only.
     * @param value Value to set for the userPrincipalName property.
     */
    set userPrincipalName(value) {
        this._userPrincipalName = value;
    }
    ;
    /**
     * Gets the wiFiMacAddress property value. Wi-Fi MAC. This property is read-only.
     * @returns a string
     */
    get wiFiMacAddress() {
        return this._wiFiMacAddress;
    }
    ;
    /**
     * Sets the wiFiMacAddress property value. Wi-Fi MAC. This property is read-only.
     * @param value Value to set for the wiFiMacAddress property.
     */
    set wiFiMacAddress(value) {
        this._wiFiMacAddress = value;
    }
    ;
}
exports.ManagedDevice = ManagedDevice;
