import { Entity, ManagedDeviceMobileAppConfigurationAssignment, ManagedDeviceMobileAppConfigurationDeviceStatus, ManagedDeviceMobileAppConfigurationDeviceSummary, ManagedDeviceMobileAppConfigurationUserStatus, ManagedDeviceMobileAppConfigurationUserSummary } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** An abstract class for Mobile app configuration for enrolled devices. */
export declare class ManagedDeviceMobileAppConfiguration extends Entity implements Parsable {
    /** The list of group assignemenets for app configration. */
    private _assignments?;
    /** DateTime the object was created. */
    private _createdDateTime?;
    /** Admin provided description of the Device Configuration. */
    private _description?;
    /** List of ManagedDeviceMobileAppConfigurationDeviceStatus. */
    private _deviceStatuses?;
    /** App configuration device status summary. */
    private _deviceStatusSummary?;
    /** Admin provided name of the device configuration. */
    private _displayName?;
    /** DateTime the object was last modified. */
    private _lastModifiedDateTime?;
    /** the associated app. */
    private _targetedMobileApps?;
    /** List of ManagedDeviceMobileAppConfigurationUserStatus. */
    private _userStatuses?;
    /** App configuration user status summary. */
    private _userStatusSummary?;
    /** Version of the device configuration. */
    private _version?;
    /**
     * Gets the assignments property value. The list of group assignemenets for app configration.
     * @returns a managedDeviceMobileAppConfigurationAssignment
     */
    get assignments(): ManagedDeviceMobileAppConfigurationAssignment[] | undefined;
    /**
     * Sets the assignments property value. The list of group assignemenets for app configration.
     * @param value Value to set for the assignments property.
     */
    set assignments(value: ManagedDeviceMobileAppConfigurationAssignment[] | undefined);
    /**
     * Instantiates a new managedDeviceMobileAppConfiguration and sets the default values.
     */
    constructor();
    /**
     * Gets the createdDateTime property value. DateTime the object was created.
     * @returns a Date
     */
    get createdDateTime(): Date | undefined;
    /**
     * Sets the createdDateTime property value. DateTime the object was created.
     * @param value Value to set for the createdDateTime property.
     */
    set createdDateTime(value: Date | undefined);
    /**
     * Gets the description property value. Admin provided description of the Device Configuration.
     * @returns a string
     */
    get description(): string | undefined;
    /**
     * Sets the description property value. Admin provided description of the Device Configuration.
     * @param value Value to set for the description property.
     */
    set description(value: string | undefined);
    /**
     * Gets the deviceStatuses property value. List of ManagedDeviceMobileAppConfigurationDeviceStatus.
     * @returns a managedDeviceMobileAppConfigurationDeviceStatus
     */
    get deviceStatuses(): ManagedDeviceMobileAppConfigurationDeviceStatus[] | undefined;
    /**
     * Sets the deviceStatuses property value. List of ManagedDeviceMobileAppConfigurationDeviceStatus.
     * @param value Value to set for the deviceStatuses property.
     */
    set deviceStatuses(value: ManagedDeviceMobileAppConfigurationDeviceStatus[] | undefined);
    /**
     * Gets the deviceStatusSummary property value. App configuration device status summary.
     * @returns a managedDeviceMobileAppConfigurationDeviceSummary
     */
    get deviceStatusSummary(): ManagedDeviceMobileAppConfigurationDeviceSummary | undefined;
    /**
     * Sets the deviceStatusSummary property value. App configuration device status summary.
     * @param value Value to set for the deviceStatusSummary property.
     */
    set deviceStatusSummary(value: ManagedDeviceMobileAppConfigurationDeviceSummary | undefined);
    /**
     * Gets the displayName property value. Admin provided name of the device configuration.
     * @returns a string
     */
    get displayName(): string | undefined;
    /**
     * Sets the displayName property value. Admin provided name of the device configuration.
     * @param value Value to set for the displayName property.
     */
    set displayName(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the lastModifiedDateTime property value. DateTime the object was last modified.
     * @returns a Date
     */
    get lastModifiedDateTime(): Date | undefined;
    /**
     * Sets the lastModifiedDateTime property value. DateTime the object was last modified.
     * @param value Value to set for the lastModifiedDateTime property.
     */
    set lastModifiedDateTime(value: Date | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the targetedMobileApps property value. the associated app.
     * @returns a string
     */
    get targetedMobileApps(): string[] | undefined;
    /**
     * Sets the targetedMobileApps property value. the associated app.
     * @param value Value to set for the targetedMobileApps property.
     */
    set targetedMobileApps(value: string[] | undefined);
    /**
     * Gets the userStatuses property value. List of ManagedDeviceMobileAppConfigurationUserStatus.
     * @returns a managedDeviceMobileAppConfigurationUserStatus
     */
    get userStatuses(): ManagedDeviceMobileAppConfigurationUserStatus[] | undefined;
    /**
     * Sets the userStatuses property value. List of ManagedDeviceMobileAppConfigurationUserStatus.
     * @param value Value to set for the userStatuses property.
     */
    set userStatuses(value: ManagedDeviceMobileAppConfigurationUserStatus[] | undefined);
    /**
     * Gets the userStatusSummary property value. App configuration user status summary.
     * @returns a managedDeviceMobileAppConfigurationUserSummary
     */
    get userStatusSummary(): ManagedDeviceMobileAppConfigurationUserSummary | undefined;
    /**
     * Sets the userStatusSummary property value. App configuration user status summary.
     * @param value Value to set for the userStatusSummary property.
     */
    set userStatusSummary(value: ManagedDeviceMobileAppConfigurationUserSummary | undefined);
    /**
     * Gets the version property value. Version of the device configuration.
     * @returns a integer
     */
    get version(): number | undefined;
    /**
     * Sets the version property value. Version of the device configuration.
     * @param value Value to set for the version property.
     */
    set version(value: number | undefined);
}
