"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ManagedDeviceMobileAppConfiguration = void 0;
const createManagedDeviceMobileAppConfigurationAssignmentFromDiscriminatorValue_1 = require("./createManagedDeviceMobileAppConfigurationAssignmentFromDiscriminatorValue");
const createManagedDeviceMobileAppConfigurationDeviceStatusFromDiscriminatorValue_1 = require("./createManagedDeviceMobileAppConfigurationDeviceStatusFromDiscriminatorValue");
const createManagedDeviceMobileAppConfigurationDeviceSummaryFromDiscriminatorValue_1 = require("./createManagedDeviceMobileAppConfigurationDeviceSummaryFromDiscriminatorValue");
const createManagedDeviceMobileAppConfigurationUserStatusFromDiscriminatorValue_1 = require("./createManagedDeviceMobileAppConfigurationUserStatusFromDiscriminatorValue");
const createManagedDeviceMobileAppConfigurationUserSummaryFromDiscriminatorValue_1 = require("./createManagedDeviceMobileAppConfigurationUserSummaryFromDiscriminatorValue");
const index_1 = require("./index");
/** An abstract class for Mobile app configuration for enrolled devices. */
class ManagedDeviceMobileAppConfiguration extends index_1.Entity {
    /**
     * Instantiates a new managedDeviceMobileAppConfiguration and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the assignments property value. The list of group assignemenets for app configration.
     * @returns a managedDeviceMobileAppConfigurationAssignment
     */
    get assignments() {
        return this._assignments;
    }
    ;
    /**
     * Sets the assignments property value. The list of group assignemenets for app configration.
     * @param value Value to set for the assignments property.
     */
    set assignments(value) {
        this._assignments = value;
    }
    ;
    ;
    /**
     * Gets the createdDateTime property value. DateTime the object was created.
     * @returns a Date
     */
    get createdDateTime() {
        return this._createdDateTime;
    }
    ;
    /**
     * Sets the createdDateTime property value. DateTime the object was created.
     * @param value Value to set for the createdDateTime property.
     */
    set createdDateTime(value) {
        this._createdDateTime = value;
    }
    ;
    /**
     * Gets the description property value. Admin provided description of the Device Configuration.
     * @returns a string
     */
    get description() {
        return this._description;
    }
    ;
    /**
     * Sets the description property value. Admin provided description of the Device Configuration.
     * @param value Value to set for the description property.
     */
    set description(value) {
        this._description = value;
    }
    ;
    /**
     * Gets the deviceStatuses property value. List of ManagedDeviceMobileAppConfigurationDeviceStatus.
     * @returns a managedDeviceMobileAppConfigurationDeviceStatus
     */
    get deviceStatuses() {
        return this._deviceStatuses;
    }
    ;
    /**
     * Sets the deviceStatuses property value. List of ManagedDeviceMobileAppConfigurationDeviceStatus.
     * @param value Value to set for the deviceStatuses property.
     */
    set deviceStatuses(value) {
        this._deviceStatuses = value;
    }
    ;
    /**
     * Gets the deviceStatusSummary property value. App configuration device status summary.
     * @returns a managedDeviceMobileAppConfigurationDeviceSummary
     */
    get deviceStatusSummary() {
        return this._deviceStatusSummary;
    }
    ;
    /**
     * Sets the deviceStatusSummary property value. App configuration device status summary.
     * @param value Value to set for the deviceStatusSummary property.
     */
    set deviceStatusSummary(value) {
        this._deviceStatusSummary = value;
    }
    ;
    /**
     * Gets the displayName property value. Admin provided name of the device configuration.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. Admin provided name of the device configuration.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "assignments": n => { this.assignments = n.getCollectionOfObjectValues(createManagedDeviceMobileAppConfigurationAssignmentFromDiscriminatorValue_1.createManagedDeviceMobileAppConfigurationAssignmentFromDiscriminatorValue); }, "createdDateTime": n => { this.createdDateTime = n.getDateValue(); }, "description": n => { this.description = n.getStringValue(); }, "deviceStatuses": n => { this.deviceStatuses = n.getCollectionOfObjectValues(createManagedDeviceMobileAppConfigurationDeviceStatusFromDiscriminatorValue_1.createManagedDeviceMobileAppConfigurationDeviceStatusFromDiscriminatorValue); }, "deviceStatusSummary": n => { this.deviceStatusSummary = n.getObjectValue(createManagedDeviceMobileAppConfigurationDeviceSummaryFromDiscriminatorValue_1.createManagedDeviceMobileAppConfigurationDeviceSummaryFromDiscriminatorValue); }, "displayName": n => { this.displayName = n.getStringValue(); }, "lastModifiedDateTime": n => { this.lastModifiedDateTime = n.getDateValue(); }, "targetedMobileApps": n => { this.targetedMobileApps = n.getCollectionOfPrimitiveValues(); }, "userStatuses": n => { this.userStatuses = n.getCollectionOfObjectValues(createManagedDeviceMobileAppConfigurationUserStatusFromDiscriminatorValue_1.createManagedDeviceMobileAppConfigurationUserStatusFromDiscriminatorValue); }, "userStatusSummary": n => { this.userStatusSummary = n.getObjectValue(createManagedDeviceMobileAppConfigurationUserSummaryFromDiscriminatorValue_1.createManagedDeviceMobileAppConfigurationUserSummaryFromDiscriminatorValue); }, "version": n => { this.version = n.getNumberValue(); } });
    }
    ;
    /**
     * Gets the lastModifiedDateTime property value. DateTime the object was last modified.
     * @returns a Date
     */
    get lastModifiedDateTime() {
        return this._lastModifiedDateTime;
    }
    ;
    /**
     * Sets the lastModifiedDateTime property value. DateTime the object was last modified.
     * @param value Value to set for the lastModifiedDateTime property.
     */
    set lastModifiedDateTime(value) {
        this._lastModifiedDateTime = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("assignments", this.assignments);
        writer.writeDateValue("createdDateTime", this.createdDateTime);
        writer.writeStringValue("description", this.description);
        writer.writeCollectionOfObjectValues("deviceStatuses", this.deviceStatuses);
        writer.writeObjectValue("deviceStatusSummary", this.deviceStatusSummary);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeDateValue("lastModifiedDateTime", this.lastModifiedDateTime);
        writer.writeCollectionOfPrimitiveValues("targetedMobileApps", this.targetedMobileApps);
        writer.writeCollectionOfObjectValues("userStatuses", this.userStatuses);
        writer.writeObjectValue("userStatusSummary", this.userStatusSummary);
        writer.writeNumberValue("version", this.version);
    }
    ;
    /**
     * Gets the targetedMobileApps property value. the associated app.
     * @returns a string
     */
    get targetedMobileApps() {
        return this._targetedMobileApps;
    }
    ;
    /**
     * Sets the targetedMobileApps property value. the associated app.
     * @param value Value to set for the targetedMobileApps property.
     */
    set targetedMobileApps(value) {
        this._targetedMobileApps = value;
    }
    ;
    /**
     * Gets the userStatuses property value. List of ManagedDeviceMobileAppConfigurationUserStatus.
     * @returns a managedDeviceMobileAppConfigurationUserStatus
     */
    get userStatuses() {
        return this._userStatuses;
    }
    ;
    /**
     * Sets the userStatuses property value. List of ManagedDeviceMobileAppConfigurationUserStatus.
     * @param value Value to set for the userStatuses property.
     */
    set userStatuses(value) {
        this._userStatuses = value;
    }
    ;
    /**
     * Gets the userStatusSummary property value. App configuration user status summary.
     * @returns a managedDeviceMobileAppConfigurationUserSummary
     */
    get userStatusSummary() {
        return this._userStatusSummary;
    }
    ;
    /**
     * Sets the userStatusSummary property value. App configuration user status summary.
     * @param value Value to set for the userStatusSummary property.
     */
    set userStatusSummary(value) {
        this._userStatusSummary = value;
    }
    ;
    /**
     * Gets the version property value. Version of the device configuration.
     * @returns a integer
     */
    get version() {
        return this._version;
    }
    ;
    /**
     * Sets the version property value. Version of the device configuration.
     * @param value Value to set for the version property.
     */
    set version(value) {
        this._version = value;
    }
    ;
}
exports.ManagedDeviceMobileAppConfiguration = ManagedDeviceMobileAppConfiguration;
