import { DeviceExchangeAccessStateSummary, DeviceOperatingSystemSummary, Entity } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Summary data for managed devices */
export declare class ManagedDeviceOverview extends Entity implements Parsable {
    /** Distribution of Exchange Access State in Intune */
    private _deviceExchangeAccessStateSummary?;
    /** Device operating system summary. */
    private _deviceOperatingSystemSummary?;
    /** The number of devices enrolled in both MDM and EAS */
    private _dualEnrolledDeviceCount?;
    /** Total enrolled device count. Does not include PC devices managed via Intune PC Agent */
    private _enrolledDeviceCount?;
    /** The number of devices enrolled in MDM */
    private _mdmEnrolledCount?;
    /**
     * Instantiates a new managedDeviceOverview and sets the default values.
     */
    constructor();
    /**
     * Gets the deviceExchangeAccessStateSummary property value. Distribution of Exchange Access State in Intune
     * @returns a deviceExchangeAccessStateSummary
     */
    get deviceExchangeAccessStateSummary(): DeviceExchangeAccessStateSummary | undefined;
    /**
     * Sets the deviceExchangeAccessStateSummary property value. Distribution of Exchange Access State in Intune
     * @param value Value to set for the deviceExchangeAccessStateSummary property.
     */
    set deviceExchangeAccessStateSummary(value: DeviceExchangeAccessStateSummary | undefined);
    /**
     * Gets the deviceOperatingSystemSummary property value. Device operating system summary.
     * @returns a deviceOperatingSystemSummary
     */
    get deviceOperatingSystemSummary(): DeviceOperatingSystemSummary | undefined;
    /**
     * Sets the deviceOperatingSystemSummary property value. Device operating system summary.
     * @param value Value to set for the deviceOperatingSystemSummary property.
     */
    set deviceOperatingSystemSummary(value: DeviceOperatingSystemSummary | undefined);
    /**
     * Gets the dualEnrolledDeviceCount property value. The number of devices enrolled in both MDM and EAS
     * @returns a integer
     */
    get dualEnrolledDeviceCount(): number | undefined;
    /**
     * Sets the dualEnrolledDeviceCount property value. The number of devices enrolled in both MDM and EAS
     * @param value Value to set for the dualEnrolledDeviceCount property.
     */
    set dualEnrolledDeviceCount(value: number | undefined);
    /**
     * Gets the enrolledDeviceCount property value. Total enrolled device count. Does not include PC devices managed via Intune PC Agent
     * @returns a integer
     */
    get enrolledDeviceCount(): number | undefined;
    /**
     * Sets the enrolledDeviceCount property value. Total enrolled device count. Does not include PC devices managed via Intune PC Agent
     * @param value Value to set for the enrolledDeviceCount property.
     */
    set enrolledDeviceCount(value: number | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the mdmEnrolledCount property value. The number of devices enrolled in MDM
     * @returns a integer
     */
    get mdmEnrolledCount(): number | undefined;
    /**
     * Sets the mdmEnrolledCount property value. The number of devices enrolled in MDM
     * @param value Value to set for the mdmEnrolledCount property.
     */
    set mdmEnrolledCount(value: number | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
