"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ManagedDeviceOverview = void 0;
const createDeviceExchangeAccessStateSummaryFromDiscriminatorValue_1 = require("./createDeviceExchangeAccessStateSummaryFromDiscriminatorValue");
const createDeviceOperatingSystemSummaryFromDiscriminatorValue_1 = require("./createDeviceOperatingSystemSummaryFromDiscriminatorValue");
const index_1 = require("./index");
/** Summary data for managed devices */
class ManagedDeviceOverview extends index_1.Entity {
    /**
     * Instantiates a new managedDeviceOverview and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the deviceExchangeAccessStateSummary property value. Distribution of Exchange Access State in Intune
     * @returns a deviceExchangeAccessStateSummary
     */
    get deviceExchangeAccessStateSummary() {
        return this._deviceExchangeAccessStateSummary;
    }
    ;
    /**
     * Sets the deviceExchangeAccessStateSummary property value. Distribution of Exchange Access State in Intune
     * @param value Value to set for the deviceExchangeAccessStateSummary property.
     */
    set deviceExchangeAccessStateSummary(value) {
        this._deviceExchangeAccessStateSummary = value;
    }
    ;
    /**
     * Gets the deviceOperatingSystemSummary property value. Device operating system summary.
     * @returns a deviceOperatingSystemSummary
     */
    get deviceOperatingSystemSummary() {
        return this._deviceOperatingSystemSummary;
    }
    ;
    /**
     * Sets the deviceOperatingSystemSummary property value. Device operating system summary.
     * @param value Value to set for the deviceOperatingSystemSummary property.
     */
    set deviceOperatingSystemSummary(value) {
        this._deviceOperatingSystemSummary = value;
    }
    ;
    /**
     * Gets the dualEnrolledDeviceCount property value. The number of devices enrolled in both MDM and EAS
     * @returns a integer
     */
    get dualEnrolledDeviceCount() {
        return this._dualEnrolledDeviceCount;
    }
    ;
    /**
     * Sets the dualEnrolledDeviceCount property value. The number of devices enrolled in both MDM and EAS
     * @param value Value to set for the dualEnrolledDeviceCount property.
     */
    set dualEnrolledDeviceCount(value) {
        this._dualEnrolledDeviceCount = value;
    }
    ;
    /**
     * Gets the enrolledDeviceCount property value. Total enrolled device count. Does not include PC devices managed via Intune PC Agent
     * @returns a integer
     */
    get enrolledDeviceCount() {
        return this._enrolledDeviceCount;
    }
    ;
    /**
     * Sets the enrolledDeviceCount property value. Total enrolled device count. Does not include PC devices managed via Intune PC Agent
     * @param value Value to set for the enrolledDeviceCount property.
     */
    set enrolledDeviceCount(value) {
        this._enrolledDeviceCount = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "deviceExchangeAccessStateSummary": n => { this.deviceExchangeAccessStateSummary = n.getObjectValue(createDeviceExchangeAccessStateSummaryFromDiscriminatorValue_1.createDeviceExchangeAccessStateSummaryFromDiscriminatorValue); }, "deviceOperatingSystemSummary": n => { this.deviceOperatingSystemSummary = n.getObjectValue(createDeviceOperatingSystemSummaryFromDiscriminatorValue_1.createDeviceOperatingSystemSummaryFromDiscriminatorValue); }, "dualEnrolledDeviceCount": n => { this.dualEnrolledDeviceCount = n.getNumberValue(); }, "enrolledDeviceCount": n => { this.enrolledDeviceCount = n.getNumberValue(); }, "mdmEnrolledCount": n => { this.mdmEnrolledCount = n.getNumberValue(); } });
    }
    ;
    /**
     * Gets the mdmEnrolledCount property value. The number of devices enrolled in MDM
     * @returns a integer
     */
    get mdmEnrolledCount() {
        return this._mdmEnrolledCount;
    }
    ;
    /**
     * Sets the mdmEnrolledCount property value. The number of devices enrolled in MDM
     * @param value Value to set for the mdmEnrolledCount property.
     */
    set mdmEnrolledCount(value) {
        this._mdmEnrolledCount = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("deviceExchangeAccessStateSummary", this.deviceExchangeAccessStateSummary);
        writer.writeObjectValue("deviceOperatingSystemSummary", this.deviceOperatingSystemSummary);
        writer.writeNumberValue("dualEnrolledDeviceCount", this.dualEnrolledDeviceCount);
        writer.writeNumberValue("enrolledDeviceCount", this.enrolledDeviceCount);
        writer.writeNumberValue("mdmEnrolledCount", this.mdmEnrolledCount);
    }
    ;
}
exports.ManagedDeviceOverview = ManagedDeviceOverview;
