"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ManagedEBookAssignment = void 0;
const createDeviceAndAppManagementAssignmentTargetFromDiscriminatorValue_1 = require("./createDeviceAndAppManagementAssignmentTargetFromDiscriminatorValue");
const index_1 = require("./index");
const installIntent_1 = require("./installIntent");
/** Contains properties used to assign a eBook to a group. */
class ManagedEBookAssignment extends index_1.Entity {
    /**
     * Instantiates a new managedEBookAssignment and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "installIntent": n => { this.installIntent = n.getEnumValue(installIntent_1.InstallIntent); }, "target": n => { this.target = n.getObjectValue(createDeviceAndAppManagementAssignmentTargetFromDiscriminatorValue_1.createDeviceAndAppManagementAssignmentTargetFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the installIntent property value. The install intent for eBook. Possible values are: available, required, uninstall, availableWithoutEnrollment.
     * @returns a installIntent
     */
    get installIntent() {
        return this._installIntent;
    }
    ;
    /**
     * Sets the installIntent property value. The install intent for eBook. Possible values are: available, required, uninstall, availableWithoutEnrollment.
     * @param value Value to set for the installIntent property.
     */
    set installIntent(value) {
        this._installIntent = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeEnumValue("installIntent", this.installIntent);
        writer.writeObjectValue("target", this.target);
    }
    ;
    /**
     * Gets the target property value. The assignment target for eBook.
     * @returns a deviceAndAppManagementAssignmentTarget
     */
    get target() {
        return this._target;
    }
    ;
    /**
     * Sets the target property value. The assignment target for eBook.
     * @param value Value to set for the target property.
     */
    set target(value) {
        this._target = value;
    }
    ;
}
exports.ManagedEBookAssignment = ManagedEBookAssignment;
