import { Entity, MobileAppIdentifier } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** The identifier for the deployment an app. */
export declare class ManagedMobileApp extends Entity implements Parsable {
    /** The identifier for an app with it's operating system type. */
    private _mobileAppIdentifier?;
    /** Version of the entity. */
    private _version?;
    /**
     * Instantiates a new managedMobileApp and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the mobileAppIdentifier property value. The identifier for an app with it's operating system type.
     * @returns a mobileAppIdentifier
     */
    get mobileAppIdentifier(): MobileAppIdentifier | undefined;
    /**
     * Sets the mobileAppIdentifier property value. The identifier for an app with it's operating system type.
     * @param value Value to set for the mobileAppIdentifier property.
     */
    set mobileAppIdentifier(value: MobileAppIdentifier | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the version property value. Version of the entity.
     * @returns a string
     */
    get version(): string | undefined;
    /**
     * Sets the version property value. Version of the entity.
     * @param value Value to set for the version property.
     */
    set version(value: string | undefined);
}
