"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ManagedMobileLobApp = void 0;
const createMobileAppContentFromDiscriminatorValue_1 = require("./createMobileAppContentFromDiscriminatorValue");
const index_1 = require("./index");
/** An abstract base class containing properties for all managed mobile line of business apps. */
class ManagedMobileLobApp extends index_1.ManagedApp {
    /**
     * Instantiates a new managedMobileLobApp and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the committedContentVersion property value. The internal committed content version.
     * @returns a string
     */
    get committedContentVersion() {
        return this._committedContentVersion;
    }
    ;
    /**
     * Sets the committedContentVersion property value. The internal committed content version.
     * @param value Value to set for the committedContentVersion property.
     */
    set committedContentVersion(value) {
        this._committedContentVersion = value;
    }
    ;
    ;
    /**
     * Gets the contentVersions property value. The list of content versions for this app.
     * @returns a mobileAppContent
     */
    get contentVersions() {
        return this._contentVersions;
    }
    ;
    /**
     * Sets the contentVersions property value. The list of content versions for this app.
     * @param value Value to set for the contentVersions property.
     */
    set contentVersions(value) {
        this._contentVersions = value;
    }
    ;
    /**
     * Gets the fileName property value. The name of the main Lob application file.
     * @returns a string
     */
    get fileName() {
        return this._fileName;
    }
    ;
    /**
     * Sets the fileName property value. The name of the main Lob application file.
     * @param value Value to set for the fileName property.
     */
    set fileName(value) {
        this._fileName = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "committedContentVersion": n => { this.committedContentVersion = n.getStringValue(); }, "contentVersions": n => { this.contentVersions = n.getCollectionOfObjectValues(createMobileAppContentFromDiscriminatorValue_1.createMobileAppContentFromDiscriminatorValue); }, "fileName": n => { this.fileName = n.getStringValue(); }, "size": n => { this.size = n.getNumberValue(); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("committedContentVersion", this.committedContentVersion);
        writer.writeCollectionOfObjectValues("contentVersions", this.contentVersions);
        writer.writeStringValue("fileName", this.fileName);
        writer.writeNumberValue("size", this.size);
    }
    ;
    /**
     * Gets the size property value. The total size, including all uploaded files.
     * @returns a int64
     */
    get size() {
        return this._size;
    }
    ;
    /**
     * Sets the size property value. The total size, including all uploaded files.
     * @param value Value to set for the size property.
     */
    set size(value) {
        this._size = value;
    }
    ;
}
exports.ManagedMobileLobApp = ManagedMobileLobApp;
