import { AttendanceRecord, Entity } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the cloudCommunications singleton. */
export declare class MeetingAttendanceReport extends Entity implements Parsable {
    /** List of attendance records of an attendance report. Read-only. */
    private _attendanceRecords?;
    /** UTC time when the meeting ended. Read-only. */
    private _meetingEndDateTime?;
    /** UTC time when the meeting started. Read-only. */
    private _meetingStartDateTime?;
    /** Total number of participants. Read-only. */
    private _totalParticipantCount?;
    /**
     * Gets the attendanceRecords property value. List of attendance records of an attendance report. Read-only.
     * @returns a attendanceRecord
     */
    get attendanceRecords(): AttendanceRecord[] | undefined;
    /**
     * Sets the attendanceRecords property value. List of attendance records of an attendance report. Read-only.
     * @param value Value to set for the attendanceRecords property.
     */
    set attendanceRecords(value: AttendanceRecord[] | undefined);
    /**
     * Instantiates a new meetingAttendanceReport and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the meetingEndDateTime property value. UTC time when the meeting ended. Read-only.
     * @returns a Date
     */
    get meetingEndDateTime(): Date | undefined;
    /**
     * Sets the meetingEndDateTime property value. UTC time when the meeting ended. Read-only.
     * @param value Value to set for the meetingEndDateTime property.
     */
    set meetingEndDateTime(value: Date | undefined);
    /**
     * Gets the meetingStartDateTime property value. UTC time when the meeting started. Read-only.
     * @returns a Date
     */
    get meetingStartDateTime(): Date | undefined;
    /**
     * Sets the meetingStartDateTime property value. UTC time when the meeting started. Read-only.
     * @param value Value to set for the meetingStartDateTime property.
     */
    set meetingStartDateTime(value: Date | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the totalParticipantCount property value. Total number of participants. Read-only.
     * @returns a integer
     */
    get totalParticipantCount(): number | undefined;
    /**
     * Sets the totalParticipantCount property value. Total number of participants. Read-only.
     * @param value Value to set for the totalParticipantCount property.
     */
    set totalParticipantCount(value: number | undefined);
}
