"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MeetingAttendanceReport = void 0;
const createAttendanceRecordFromDiscriminatorValue_1 = require("./createAttendanceRecordFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the cloudCommunications singleton. */
class MeetingAttendanceReport extends index_1.Entity {
    /**
     * Instantiates a new meetingAttendanceReport and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the attendanceRecords property value. List of attendance records of an attendance report. Read-only.
     * @returns a attendanceRecord
     */
    get attendanceRecords() {
        return this._attendanceRecords;
    }
    ;
    /**
     * Sets the attendanceRecords property value. List of attendance records of an attendance report. Read-only.
     * @param value Value to set for the attendanceRecords property.
     */
    set attendanceRecords(value) {
        this._attendanceRecords = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "attendanceRecords": n => { this.attendanceRecords = n.getCollectionOfObjectValues(createAttendanceRecordFromDiscriminatorValue_1.createAttendanceRecordFromDiscriminatorValue); }, "meetingEndDateTime": n => { this.meetingEndDateTime = n.getDateValue(); }, "meetingStartDateTime": n => { this.meetingStartDateTime = n.getDateValue(); }, "totalParticipantCount": n => { this.totalParticipantCount = n.getNumberValue(); } });
    }
    ;
    /**
     * Gets the meetingEndDateTime property value. UTC time when the meeting ended. Read-only.
     * @returns a Date
     */
    get meetingEndDateTime() {
        return this._meetingEndDateTime;
    }
    ;
    /**
     * Sets the meetingEndDateTime property value. UTC time when the meeting ended. Read-only.
     * @param value Value to set for the meetingEndDateTime property.
     */
    set meetingEndDateTime(value) {
        this._meetingEndDateTime = value;
    }
    ;
    /**
     * Gets the meetingStartDateTime property value. UTC time when the meeting started. Read-only.
     * @returns a Date
     */
    get meetingStartDateTime() {
        return this._meetingStartDateTime;
    }
    ;
    /**
     * Sets the meetingStartDateTime property value. UTC time when the meeting started. Read-only.
     * @param value Value to set for the meetingStartDateTime property.
     */
    set meetingStartDateTime(value) {
        this._meetingStartDateTime = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("attendanceRecords", this.attendanceRecords);
        writer.writeDateValue("meetingEndDateTime", this.meetingEndDateTime);
        writer.writeDateValue("meetingStartDateTime", this.meetingStartDateTime);
        writer.writeNumberValue("totalParticipantCount", this.totalParticipantCount);
    }
    ;
    /**
     * Gets the totalParticipantCount property value. Total number of participants. Read-only.
     * @returns a integer
     */
    get totalParticipantCount() {
        return this._totalParticipantCount;
    }
    ;
    /**
     * Sets the totalParticipantCount property value. Total number of participants. Read-only.
     * @param value Value to set for the totalParticipantCount property.
     */
    set totalParticipantCount(value) {
        this._totalParticipantCount = value;
    }
    ;
}
exports.MeetingAttendanceReport = MeetingAttendanceReport;
