import { IdentitySet } from './index';
import { OnlineMeetingRole } from './onlineMeetingRole';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class MeetingParticipantInfo implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** Identity information of the participant. */
    private _identity?;
    /** Specifies the participant's role in the meeting. */
    private _role?;
    /** User principal name of the participant. */
    private _upn?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Instantiates a new meetingParticipantInfo and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the identity property value. Identity information of the participant.
     * @returns a identitySet
     */
    get identity(): IdentitySet | undefined;
    /**
     * Sets the identity property value. Identity information of the participant.
     * @param value Value to set for the identity property.
     */
    set identity(value: IdentitySet | undefined);
    /**
     * Gets the role property value. Specifies the participant's role in the meeting.
     * @returns a onlineMeetingRole
     */
    get role(): OnlineMeetingRole | undefined;
    /**
     * Sets the role property value. Specifies the participant's role in the meeting.
     * @param value Value to set for the role property.
     */
    set role(value: OnlineMeetingRole | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the upn property value. User principal name of the participant.
     * @returns a string
     */
    get upn(): string | undefined;
    /**
     * Sets the upn property value. User principal name of the participant.
     * @param value Value to set for the upn property.
     */
    set upn(value: string | undefined);
}
