"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MeetingParticipants = void 0;
const createMeetingParticipantInfoFromDiscriminatorValue_1 = require("./createMeetingParticipantInfoFromDiscriminatorValue");
class MeetingParticipants {
    /**
     * Instantiates a new meetingParticipants and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the attendees property value. Information of the meeting attendees.
     * @returns a meetingParticipantInfo
     */
    get attendees() {
        return this._attendees;
    }
    ;
    /**
     * Sets the attendees property value. Information of the meeting attendees.
     * @param value Value to set for the attendees property.
     */
    set attendees(value) {
        this._attendees = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "attendees": n => { this.attendees = n.getCollectionOfObjectValues(createMeetingParticipantInfoFromDiscriminatorValue_1.createMeetingParticipantInfoFromDiscriminatorValue); },
            "organizer": n => { this.organizer = n.getObjectValue(createMeetingParticipantInfoFromDiscriminatorValue_1.createMeetingParticipantInfoFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Gets the organizer property value. Information of the meeting organizer.
     * @returns a meetingParticipantInfo
     */
    get organizer() {
        return this._organizer;
    }
    ;
    /**
     * Sets the organizer property value. Information of the meeting organizer.
     * @param value Value to set for the organizer property.
     */
    set organizer(value) {
        this._organizer = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeCollectionOfObjectValues("attendees", this.attendees);
        writer.writeObjectValue("organizer", this.organizer);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.MeetingParticipants = MeetingParticipants;
