import { FreeBusyStatus } from './freeBusyStatus';
import { AttendeeAvailability, Location, TimeSlot } from './index';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class MeetingTimeSuggestion implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** An array that shows the availability status of each attendee for this meeting suggestion. */
    private _attendeeAvailability?;
    /** A percentage that represents the likelhood of all the attendees attending. */
    private _confidence?;
    /** An array that specifies the name and geographic location of each meeting location for this meeting suggestion. */
    private _locations?;
    /** A time period suggested for the meeting. */
    private _meetingTimeSlot?;
    /** Order of meeting time suggestions sorted by their computed confidence value from high to low, then by chronology if there are suggestions with the same confidence. */
    private _order?;
    /** Availability of the meeting organizer for this meeting suggestion. Possible values are: free, tentative, busy, oof, workingElsewhere, unknown. */
    private _organizerAvailability?;
    /** Reason for suggesting the meeting time. */
    private _suggestionReason?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the attendeeAvailability property value. An array that shows the availability status of each attendee for this meeting suggestion.
     * @returns a attendeeAvailability
     */
    get attendeeAvailability(): AttendeeAvailability[] | undefined;
    /**
     * Sets the attendeeAvailability property value. An array that shows the availability status of each attendee for this meeting suggestion.
     * @param value Value to set for the attendeeAvailability property.
     */
    set attendeeAvailability(value: AttendeeAvailability[] | undefined);
    /**
     * Gets the confidence property value. A percentage that represents the likelhood of all the attendees attending.
     * @returns a double
     */
    get confidence(): number | undefined;
    /**
     * Sets the confidence property value. A percentage that represents the likelhood of all the attendees attending.
     * @param value Value to set for the confidence property.
     */
    set confidence(value: number | undefined);
    /**
     * Instantiates a new meetingTimeSuggestion and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the locations property value. An array that specifies the name and geographic location of each meeting location for this meeting suggestion.
     * @returns a location
     */
    get locations(): Location[] | undefined;
    /**
     * Sets the locations property value. An array that specifies the name and geographic location of each meeting location for this meeting suggestion.
     * @param value Value to set for the locations property.
     */
    set locations(value: Location[] | undefined);
    /**
     * Gets the meetingTimeSlot property value. A time period suggested for the meeting.
     * @returns a timeSlot
     */
    get meetingTimeSlot(): TimeSlot | undefined;
    /**
     * Sets the meetingTimeSlot property value. A time period suggested for the meeting.
     * @param value Value to set for the meetingTimeSlot property.
     */
    set meetingTimeSlot(value: TimeSlot | undefined);
    /**
     * Gets the order property value. Order of meeting time suggestions sorted by their computed confidence value from high to low, then by chronology if there are suggestions with the same confidence.
     * @returns a integer
     */
    get order(): number | undefined;
    /**
     * Sets the order property value. Order of meeting time suggestions sorted by their computed confidence value from high to low, then by chronology if there are suggestions with the same confidence.
     * @param value Value to set for the order property.
     */
    set order(value: number | undefined);
    /**
     * Gets the organizerAvailability property value. Availability of the meeting organizer for this meeting suggestion. Possible values are: free, tentative, busy, oof, workingElsewhere, unknown.
     * @returns a freeBusyStatus
     */
    get organizerAvailability(): FreeBusyStatus | undefined;
    /**
     * Sets the organizerAvailability property value. Availability of the meeting organizer for this meeting suggestion. Possible values are: free, tentative, busy, oof, workingElsewhere, unknown.
     * @param value Value to set for the organizerAvailability property.
     */
    set organizerAvailability(value: FreeBusyStatus | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the suggestionReason property value. Reason for suggesting the meeting time.
     * @returns a string
     */
    get suggestionReason(): string | undefined;
    /**
     * Sets the suggestionReason property value. Reason for suggesting the meeting time.
     * @param value Value to set for the suggestionReason property.
     */
    set suggestionReason(value: string | undefined);
}
