"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MeetingTimeSuggestion = void 0;
const createAttendeeAvailabilityFromDiscriminatorValue_1 = require("./createAttendeeAvailabilityFromDiscriminatorValue");
const createLocationFromDiscriminatorValue_1 = require("./createLocationFromDiscriminatorValue");
const createTimeSlotFromDiscriminatorValue_1 = require("./createTimeSlotFromDiscriminatorValue");
const freeBusyStatus_1 = require("./freeBusyStatus");
class MeetingTimeSuggestion {
    /**
     * Instantiates a new meetingTimeSuggestion and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the attendeeAvailability property value. An array that shows the availability status of each attendee for this meeting suggestion.
     * @returns a attendeeAvailability
     */
    get attendeeAvailability() {
        return this._attendeeAvailability;
    }
    ;
    /**
     * Sets the attendeeAvailability property value. An array that shows the availability status of each attendee for this meeting suggestion.
     * @param value Value to set for the attendeeAvailability property.
     */
    set attendeeAvailability(value) {
        this._attendeeAvailability = value;
    }
    ;
    /**
     * Gets the confidence property value. A percentage that represents the likelhood of all the attendees attending.
     * @returns a double
     */
    get confidence() {
        return this._confidence;
    }
    ;
    /**
     * Sets the confidence property value. A percentage that represents the likelhood of all the attendees attending.
     * @param value Value to set for the confidence property.
     */
    set confidence(value) {
        this._confidence = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "attendeeAvailability": n => { this.attendeeAvailability = n.getCollectionOfObjectValues(createAttendeeAvailabilityFromDiscriminatorValue_1.createAttendeeAvailabilityFromDiscriminatorValue); },
            "confidence": n => { this.confidence = n.getNumberValue(); },
            "locations": n => { this.locations = n.getCollectionOfObjectValues(createLocationFromDiscriminatorValue_1.createLocationFromDiscriminatorValue); },
            "meetingTimeSlot": n => { this.meetingTimeSlot = n.getObjectValue(createTimeSlotFromDiscriminatorValue_1.createTimeSlotFromDiscriminatorValue); },
            "order": n => { this.order = n.getNumberValue(); },
            "organizerAvailability": n => { this.organizerAvailability = n.getEnumValue(freeBusyStatus_1.FreeBusyStatus); },
            "suggestionReason": n => { this.suggestionReason = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the locations property value. An array that specifies the name and geographic location of each meeting location for this meeting suggestion.
     * @returns a location
     */
    get locations() {
        return this._locations;
    }
    ;
    /**
     * Sets the locations property value. An array that specifies the name and geographic location of each meeting location for this meeting suggestion.
     * @param value Value to set for the locations property.
     */
    set locations(value) {
        this._locations = value;
    }
    ;
    /**
     * Gets the meetingTimeSlot property value. A time period suggested for the meeting.
     * @returns a timeSlot
     */
    get meetingTimeSlot() {
        return this._meetingTimeSlot;
    }
    ;
    /**
     * Sets the meetingTimeSlot property value. A time period suggested for the meeting.
     * @param value Value to set for the meetingTimeSlot property.
     */
    set meetingTimeSlot(value) {
        this._meetingTimeSlot = value;
    }
    ;
    /**
     * Gets the order property value. Order of meeting time suggestions sorted by their computed confidence value from high to low, then by chronology if there are suggestions with the same confidence.
     * @returns a integer
     */
    get order() {
        return this._order;
    }
    ;
    /**
     * Sets the order property value. Order of meeting time suggestions sorted by their computed confidence value from high to low, then by chronology if there are suggestions with the same confidence.
     * @param value Value to set for the order property.
     */
    set order(value) {
        this._order = value;
    }
    ;
    /**
     * Gets the organizerAvailability property value. Availability of the meeting organizer for this meeting suggestion. Possible values are: free, tentative, busy, oof, workingElsewhere, unknown.
     * @returns a freeBusyStatus
     */
    get organizerAvailability() {
        return this._organizerAvailability;
    }
    ;
    /**
     * Sets the organizerAvailability property value. Availability of the meeting organizer for this meeting suggestion. Possible values are: free, tentative, busy, oof, workingElsewhere, unknown.
     * @param value Value to set for the organizerAvailability property.
     */
    set organizerAvailability(value) {
        this._organizerAvailability = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeCollectionOfObjectValues("attendeeAvailability", this.attendeeAvailability);
        writer.writeNumberValue("confidence", this.confidence);
        writer.writeCollectionOfObjectValues("locations", this.locations);
        writer.writeObjectValue("meetingTimeSlot", this.meetingTimeSlot);
        writer.writeNumberValue("order", this.order);
        writer.writeEnumValue("organizerAvailability", this.organizerAvailability);
        writer.writeStringValue("suggestionReason", this.suggestionReason);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the suggestionReason property value. Reason for suggesting the meeting time.
     * @returns a string
     */
    get suggestionReason() {
        return this._suggestionReason;
    }
    ;
    /**
     * Sets the suggestionReason property value. Reason for suggesting the meeting time.
     * @param value Value to set for the suggestionReason property.
     */
    set suggestionReason(value) {
        this._suggestionReason = value;
    }
    ;
}
exports.MeetingTimeSuggestion = MeetingTimeSuggestion;
