"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MeetingTimeSuggestionsResult = void 0;
const createMeetingTimeSuggestionFromDiscriminatorValue_1 = require("./createMeetingTimeSuggestionFromDiscriminatorValue");
class MeetingTimeSuggestionsResult {
    /**
     * Instantiates a new MeetingTimeSuggestionsResult and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the emptySuggestionsReason property value. A reason for not returning any meeting suggestions. Possible values are: attendeesUnavailable, attendeesUnavailableOrUnknown, locationsUnavailable, organizerUnavailable, or unknown. This property is an empty string if the meetingTimeSuggestions property does include any meeting suggestions.
     * @returns a string
     */
    get emptySuggestionsReason() {
        return this._emptySuggestionsReason;
    }
    ;
    /**
     * Sets the emptySuggestionsReason property value. A reason for not returning any meeting suggestions. Possible values are: attendeesUnavailable, attendeesUnavailableOrUnknown, locationsUnavailable, organizerUnavailable, or unknown. This property is an empty string if the meetingTimeSuggestions property does include any meeting suggestions.
     * @param value Value to set for the emptySuggestionsReason property.
     */
    set emptySuggestionsReason(value) {
        this._emptySuggestionsReason = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "emptySuggestionsReason": n => { this.emptySuggestionsReason = n.getStringValue(); },
            "meetingTimeSuggestions": n => { this.meetingTimeSuggestions = n.getCollectionOfObjectValues(createMeetingTimeSuggestionFromDiscriminatorValue_1.createMeetingTimeSuggestionFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Gets the meetingTimeSuggestions property value. An array of meeting suggestions.
     * @returns a meetingTimeSuggestion
     */
    get meetingTimeSuggestions() {
        return this._meetingTimeSuggestions;
    }
    ;
    /**
     * Sets the meetingTimeSuggestions property value. An array of meeting suggestions.
     * @param value Value to set for the meetingTimeSuggestions property.
     */
    set meetingTimeSuggestions(value) {
        this._meetingTimeSuggestions = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("emptySuggestionsReason", this.emptySuggestionsReason);
        writer.writeCollectionOfObjectValues("meetingTimeSuggestions", this.meetingTimeSuggestions);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.MeetingTimeSuggestionsResult = MeetingTimeSuggestionsResult;
