"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Message = void 0;
const createAttachmentFromDiscriminatorValue_1 = require("./createAttachmentFromDiscriminatorValue");
const createExtensionFromDiscriminatorValue_1 = require("./createExtensionFromDiscriminatorValue");
const createFollowupFlagFromDiscriminatorValue_1 = require("./createFollowupFlagFromDiscriminatorValue");
const createInternetMessageHeaderFromDiscriminatorValue_1 = require("./createInternetMessageHeaderFromDiscriminatorValue");
const createItemBodyFromDiscriminatorValue_1 = require("./createItemBodyFromDiscriminatorValue");
const createMultiValueLegacyExtendedPropertyFromDiscriminatorValue_1 = require("./createMultiValueLegacyExtendedPropertyFromDiscriminatorValue");
const createRecipientFromDiscriminatorValue_1 = require("./createRecipientFromDiscriminatorValue");
const createSingleValueLegacyExtendedPropertyFromDiscriminatorValue_1 = require("./createSingleValueLegacyExtendedPropertyFromDiscriminatorValue");
const importance_1 = require("./importance");
const index_1 = require("./index");
const inferenceClassificationType_1 = require("./inferenceClassificationType");
/** Casts the previous resource to user. */
class Message extends index_1.OutlookItem {
    /**
     * Instantiates a new message and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the attachments property value. The fileAttachment and itemAttachment attachments for the message.
     * @returns a attachment
     */
    get attachments() {
        return this._attachments;
    }
    ;
    /**
     * Sets the attachments property value. The fileAttachment and itemAttachment attachments for the message.
     * @param value Value to set for the attachments property.
     */
    set attachments(value) {
        this._attachments = value;
    }
    ;
    /**
     * Gets the bccRecipients property value. The Bcc: recipients for the message.
     * @returns a recipient
     */
    get bccRecipients() {
        return this._bccRecipients;
    }
    ;
    /**
     * Sets the bccRecipients property value. The Bcc: recipients for the message.
     * @param value Value to set for the bccRecipients property.
     */
    set bccRecipients(value) {
        this._bccRecipients = value;
    }
    ;
    /**
     * Gets the body property value. The body of the message. It can be in HTML or text format. Find out about safe HTML in a message body.
     * @returns a itemBody
     */
    get body() {
        return this._body;
    }
    ;
    /**
     * Sets the body property value. The body of the message. It can be in HTML or text format. Find out about safe HTML in a message body.
     * @param value Value to set for the body property.
     */
    set body(value) {
        this._body = value;
    }
    ;
    /**
     * Gets the bodyPreview property value. The first 255 characters of the message body. It is in text format. If the message contains instances of mention, this property would contain a concatenation of these mentions as well.
     * @returns a string
     */
    get bodyPreview() {
        return this._bodyPreview;
    }
    ;
    /**
     * Sets the bodyPreview property value. The first 255 characters of the message body. It is in text format. If the message contains instances of mention, this property would contain a concatenation of these mentions as well.
     * @param value Value to set for the bodyPreview property.
     */
    set bodyPreview(value) {
        this._bodyPreview = value;
    }
    ;
    /**
     * Gets the ccRecipients property value. The Cc: recipients for the message.
     * @returns a recipient
     */
    get ccRecipients() {
        return this._ccRecipients;
    }
    ;
    /**
     * Sets the ccRecipients property value. The Cc: recipients for the message.
     * @param value Value to set for the ccRecipients property.
     */
    set ccRecipients(value) {
        this._ccRecipients = value;
    }
    ;
    ;
    /**
     * Gets the conversationId property value. The ID of the conversation the email belongs to.
     * @returns a string
     */
    get conversationId() {
        return this._conversationId;
    }
    ;
    /**
     * Sets the conversationId property value. The ID of the conversation the email belongs to.
     * @param value Value to set for the conversationId property.
     */
    set conversationId(value) {
        this._conversationId = value;
    }
    ;
    /**
     * Gets the conversationIndex property value. Indicates the position of the message within the conversation.
     * @returns a binary
     */
    get conversationIndex() {
        return this._conversationIndex;
    }
    ;
    /**
     * Sets the conversationIndex property value. Indicates the position of the message within the conversation.
     * @param value Value to set for the conversationIndex property.
     */
    set conversationIndex(value) {
        this._conversationIndex = value;
    }
    ;
    /**
     * Gets the extensions property value. The collection of open extensions defined for the message. Nullable.
     * @returns a extension
     */
    get extensions() {
        return this._extensions;
    }
    ;
    /**
     * Sets the extensions property value. The collection of open extensions defined for the message. Nullable.
     * @param value Value to set for the extensions property.
     */
    set extensions(value) {
        this._extensions = value;
    }
    ;
    /**
     * Gets the flag property value. The flag value that indicates the status, start date, due date, or completion date for the message.
     * @returns a followupFlag
     */
    get flag() {
        return this._flag;
    }
    ;
    /**
     * Sets the flag property value. The flag value that indicates the status, start date, due date, or completion date for the message.
     * @param value Value to set for the flag property.
     */
    set flag(value) {
        this._flag = value;
    }
    ;
    /**
     * Gets the from property value. The owner of the mailbox from which the message is sent. In most cases, this value is the same as the sender property, except for sharing or delegation scenarios. The value must correspond to the actual mailbox used. Find out more about setting the from and sender properties of a message.
     * @returns a recipient
     */
    get from() {
        return this._from;
    }
    ;
    /**
     * Sets the from property value. The owner of the mailbox from which the message is sent. In most cases, this value is the same as the sender property, except for sharing or delegation scenarios. The value must correspond to the actual mailbox used. Find out more about setting the from and sender properties of a message.
     * @param value Value to set for the from property.
     */
    set from(value) {
        this._from = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "attachments": n => { this.attachments = n.getCollectionOfObjectValues(createAttachmentFromDiscriminatorValue_1.createAttachmentFromDiscriminatorValue); }, "bccRecipients": n => { this.bccRecipients = n.getCollectionOfObjectValues(createRecipientFromDiscriminatorValue_1.createRecipientFromDiscriminatorValue); }, "body": n => { this.body = n.getObjectValue(createItemBodyFromDiscriminatorValue_1.createItemBodyFromDiscriminatorValue); }, "bodyPreview": n => { this.bodyPreview = n.getStringValue(); }, "ccRecipients": n => { this.ccRecipients = n.getCollectionOfObjectValues(createRecipientFromDiscriminatorValue_1.createRecipientFromDiscriminatorValue); }, "conversationId": n => { this.conversationId = n.getStringValue(); }, "conversationIndex": n => { this.conversationIndex = n.getStringValue(); }, "extensions": n => { this.extensions = n.getCollectionOfObjectValues(createExtensionFromDiscriminatorValue_1.createExtensionFromDiscriminatorValue); }, "flag": n => { this.flag = n.getObjectValue(createFollowupFlagFromDiscriminatorValue_1.createFollowupFlagFromDiscriminatorValue); }, "from": n => { this.from = n.getObjectValue(createRecipientFromDiscriminatorValue_1.createRecipientFromDiscriminatorValue); }, "hasAttachments": n => { this.hasAttachments = n.getBooleanValue(); }, "importance": n => { this.importance = n.getEnumValue(importance_1.Importance); }, "inferenceClassification": n => { this.inferenceClassification = n.getEnumValue(inferenceClassificationType_1.InferenceClassificationType); }, "internetMessageHeaders": n => { this.internetMessageHeaders = n.getCollectionOfObjectValues(createInternetMessageHeaderFromDiscriminatorValue_1.createInternetMessageHeaderFromDiscriminatorValue); }, "internetMessageId": n => { this.internetMessageId = n.getStringValue(); }, "isDeliveryReceiptRequested": n => { this.isDeliveryReceiptRequested = n.getBooleanValue(); }, "isDraft": n => { this.isDraft = n.getBooleanValue(); }, "isRead": n => { this.isRead = n.getBooleanValue(); }, "isReadReceiptRequested": n => { this.isReadReceiptRequested = n.getBooleanValue(); }, "multiValueExtendedProperties": n => { this.multiValueExtendedProperties = n.getCollectionOfObjectValues(createMultiValueLegacyExtendedPropertyFromDiscriminatorValue_1.createMultiValueLegacyExtendedPropertyFromDiscriminatorValue); }, "parentFolderId": n => { this.parentFolderId = n.getStringValue(); }, "receivedDateTime": n => { this.receivedDateTime = n.getDateValue(); }, "replyTo": n => { this.replyTo = n.getCollectionOfObjectValues(createRecipientFromDiscriminatorValue_1.createRecipientFromDiscriminatorValue); }, "sender": n => { this.sender = n.getObjectValue(createRecipientFromDiscriminatorValue_1.createRecipientFromDiscriminatorValue); }, "sentDateTime": n => { this.sentDateTime = n.getDateValue(); }, "singleValueExtendedProperties": n => { this.singleValueExtendedProperties = n.getCollectionOfObjectValues(createSingleValueLegacyExtendedPropertyFromDiscriminatorValue_1.createSingleValueLegacyExtendedPropertyFromDiscriminatorValue); }, "subject": n => { this.subject = n.getStringValue(); }, "toRecipients": n => { this.toRecipients = n.getCollectionOfObjectValues(createRecipientFromDiscriminatorValue_1.createRecipientFromDiscriminatorValue); }, "uniqueBody": n => { this.uniqueBody = n.getObjectValue(createItemBodyFromDiscriminatorValue_1.createItemBodyFromDiscriminatorValue); }, "webLink": n => { this.webLink = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the hasAttachments property value. Indicates whether the message has attachments. This property doesn't include inline attachments, so if a message contains only inline attachments, this property is false. To verify the existence of inline attachments, parse the body property to look for a src attribute, such as <IMG src='cid:image001.jpg@01D26CD8.6C05F070'>.
     * @returns a boolean
     */
    get hasAttachments() {
        return this._hasAttachments;
    }
    ;
    /**
     * Sets the hasAttachments property value. Indicates whether the message has attachments. This property doesn't include inline attachments, so if a message contains only inline attachments, this property is false. To verify the existence of inline attachments, parse the body property to look for a src attribute, such as <IMG src='cid:image001.jpg@01D26CD8.6C05F070'>.
     * @param value Value to set for the hasAttachments property.
     */
    set hasAttachments(value) {
        this._hasAttachments = value;
    }
    ;
    /**
     * Gets the importance property value. The importance property
     * @returns a importance
     */
    get importance() {
        return this._importance;
    }
    ;
    /**
     * Sets the importance property value. The importance property
     * @param value Value to set for the importance property.
     */
    set importance(value) {
        this._importance = value;
    }
    ;
    /**
     * Gets the inferenceClassification property value. The inferenceClassification property
     * @returns a inferenceClassificationType
     */
    get inferenceClassification() {
        return this._inferenceClassification;
    }
    ;
    /**
     * Sets the inferenceClassification property value. The inferenceClassification property
     * @param value Value to set for the inferenceClassification property.
     */
    set inferenceClassification(value) {
        this._inferenceClassification = value;
    }
    ;
    /**
     * Gets the internetMessageHeaders property value. The internetMessageHeaders property
     * @returns a internetMessageHeader
     */
    get internetMessageHeaders() {
        return this._internetMessageHeaders;
    }
    ;
    /**
     * Sets the internetMessageHeaders property value. The internetMessageHeaders property
     * @param value Value to set for the internetMessageHeaders property.
     */
    set internetMessageHeaders(value) {
        this._internetMessageHeaders = value;
    }
    ;
    /**
     * Gets the internetMessageId property value. The internetMessageId property
     * @returns a string
     */
    get internetMessageId() {
        return this._internetMessageId;
    }
    ;
    /**
     * Sets the internetMessageId property value. The internetMessageId property
     * @param value Value to set for the internetMessageId property.
     */
    set internetMessageId(value) {
        this._internetMessageId = value;
    }
    ;
    /**
     * Gets the isDeliveryReceiptRequested property value. The isDeliveryReceiptRequested property
     * @returns a boolean
     */
    get isDeliveryReceiptRequested() {
        return this._isDeliveryReceiptRequested;
    }
    ;
    /**
     * Sets the isDeliveryReceiptRequested property value. The isDeliveryReceiptRequested property
     * @param value Value to set for the isDeliveryReceiptRequested property.
     */
    set isDeliveryReceiptRequested(value) {
        this._isDeliveryReceiptRequested = value;
    }
    ;
    /**
     * Gets the isDraft property value. The isDraft property
     * @returns a boolean
     */
    get isDraft() {
        return this._isDraft;
    }
    ;
    /**
     * Sets the isDraft property value. The isDraft property
     * @param value Value to set for the isDraft property.
     */
    set isDraft(value) {
        this._isDraft = value;
    }
    ;
    /**
     * Gets the isRead property value. The isRead property
     * @returns a boolean
     */
    get isRead() {
        return this._isRead;
    }
    ;
    /**
     * Sets the isRead property value. The isRead property
     * @param value Value to set for the isRead property.
     */
    set isRead(value) {
        this._isRead = value;
    }
    ;
    /**
     * Gets the isReadReceiptRequested property value. The isReadReceiptRequested property
     * @returns a boolean
     */
    get isReadReceiptRequested() {
        return this._isReadReceiptRequested;
    }
    ;
    /**
     * Sets the isReadReceiptRequested property value. The isReadReceiptRequested property
     * @param value Value to set for the isReadReceiptRequested property.
     */
    set isReadReceiptRequested(value) {
        this._isReadReceiptRequested = value;
    }
    ;
    /**
     * Gets the multiValueExtendedProperties property value. The collection of multi-value extended properties defined for the message. Nullable.
     * @returns a multiValueLegacyExtendedProperty
     */
    get multiValueExtendedProperties() {
        return this._multiValueExtendedProperties;
    }
    ;
    /**
     * Sets the multiValueExtendedProperties property value. The collection of multi-value extended properties defined for the message. Nullable.
     * @param value Value to set for the multiValueExtendedProperties property.
     */
    set multiValueExtendedProperties(value) {
        this._multiValueExtendedProperties = value;
    }
    ;
    /**
     * Gets the parentFolderId property value. The parentFolderId property
     * @returns a string
     */
    get parentFolderId() {
        return this._parentFolderId;
    }
    ;
    /**
     * Sets the parentFolderId property value. The parentFolderId property
     * @param value Value to set for the parentFolderId property.
     */
    set parentFolderId(value) {
        this._parentFolderId = value;
    }
    ;
    /**
     * Gets the receivedDateTime property value. The receivedDateTime property
     * @returns a Date
     */
    get receivedDateTime() {
        return this._receivedDateTime;
    }
    ;
    /**
     * Sets the receivedDateTime property value. The receivedDateTime property
     * @param value Value to set for the receivedDateTime property.
     */
    set receivedDateTime(value) {
        this._receivedDateTime = value;
    }
    ;
    /**
     * Gets the replyTo property value. The replyTo property
     * @returns a recipient
     */
    get replyTo() {
        return this._replyTo;
    }
    ;
    /**
     * Sets the replyTo property value. The replyTo property
     * @param value Value to set for the replyTo property.
     */
    set replyTo(value) {
        this._replyTo = value;
    }
    ;
    /**
     * Gets the sender property value. The sender property
     * @returns a recipient
     */
    get sender() {
        return this._sender;
    }
    ;
    /**
     * Sets the sender property value. The sender property
     * @param value Value to set for the sender property.
     */
    set sender(value) {
        this._sender = value;
    }
    ;
    /**
     * Gets the sentDateTime property value. The sentDateTime property
     * @returns a Date
     */
    get sentDateTime() {
        return this._sentDateTime;
    }
    ;
    /**
     * Sets the sentDateTime property value. The sentDateTime property
     * @param value Value to set for the sentDateTime property.
     */
    set sentDateTime(value) {
        this._sentDateTime = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("attachments", this.attachments);
        writer.writeCollectionOfObjectValues("bccRecipients", this.bccRecipients);
        writer.writeObjectValue("body", this.body);
        writer.writeStringValue("bodyPreview", this.bodyPreview);
        writer.writeCollectionOfObjectValues("ccRecipients", this.ccRecipients);
        writer.writeStringValue("conversationId", this.conversationId);
        writer.writeStringValue("conversationIndex", this.conversationIndex);
        writer.writeCollectionOfObjectValues("extensions", this.extensions);
        writer.writeObjectValue("flag", this.flag);
        writer.writeObjectValue("from", this.from);
        writer.writeBooleanValue("hasAttachments", this.hasAttachments);
        writer.writeEnumValue("importance", this.importance);
        writer.writeEnumValue("inferenceClassification", this.inferenceClassification);
        writer.writeCollectionOfObjectValues("internetMessageHeaders", this.internetMessageHeaders);
        writer.writeStringValue("internetMessageId", this.internetMessageId);
        writer.writeBooleanValue("isDeliveryReceiptRequested", this.isDeliveryReceiptRequested);
        writer.writeBooleanValue("isDraft", this.isDraft);
        writer.writeBooleanValue("isRead", this.isRead);
        writer.writeBooleanValue("isReadReceiptRequested", this.isReadReceiptRequested);
        writer.writeCollectionOfObjectValues("multiValueExtendedProperties", this.multiValueExtendedProperties);
        writer.writeStringValue("parentFolderId", this.parentFolderId);
        writer.writeDateValue("receivedDateTime", this.receivedDateTime);
        writer.writeCollectionOfObjectValues("replyTo", this.replyTo);
        writer.writeObjectValue("sender", this.sender);
        writer.writeDateValue("sentDateTime", this.sentDateTime);
        writer.writeCollectionOfObjectValues("singleValueExtendedProperties", this.singleValueExtendedProperties);
        writer.writeStringValue("subject", this.subject);
        writer.writeCollectionOfObjectValues("toRecipients", this.toRecipients);
        writer.writeObjectValue("uniqueBody", this.uniqueBody);
        writer.writeStringValue("webLink", this.webLink);
    }
    ;
    /**
     * Gets the singleValueExtendedProperties property value. The collection of single-value extended properties defined for the message. Nullable.
     * @returns a singleValueLegacyExtendedProperty
     */
    get singleValueExtendedProperties() {
        return this._singleValueExtendedProperties;
    }
    ;
    /**
     * Sets the singleValueExtendedProperties property value. The collection of single-value extended properties defined for the message. Nullable.
     * @param value Value to set for the singleValueExtendedProperties property.
     */
    set singleValueExtendedProperties(value) {
        this._singleValueExtendedProperties = value;
    }
    ;
    /**
     * Gets the subject property value. The subject property
     * @returns a string
     */
    get subject() {
        return this._subject;
    }
    ;
    /**
     * Sets the subject property value. The subject property
     * @param value Value to set for the subject property.
     */
    set subject(value) {
        this._subject = value;
    }
    ;
    /**
     * Gets the toRecipients property value. The toRecipients property
     * @returns a recipient
     */
    get toRecipients() {
        return this._toRecipients;
    }
    ;
    /**
     * Sets the toRecipients property value. The toRecipients property
     * @param value Value to set for the toRecipients property.
     */
    set toRecipients(value) {
        this._toRecipients = value;
    }
    ;
    /**
     * Gets the uniqueBody property value. The uniqueBody property
     * @returns a itemBody
     */
    get uniqueBody() {
        return this._uniqueBody;
    }
    ;
    /**
     * Sets the uniqueBody property value. The uniqueBody property
     * @param value Value to set for the uniqueBody property.
     */
    set uniqueBody(value) {
        this._uniqueBody = value;
    }
    ;
    /**
     * Gets the webLink property value. The webLink property
     * @returns a string
     */
    get webLink() {
        return this._webLink;
    }
    ;
    /**
     * Sets the webLink property value. The webLink property
     * @param value Value to set for the webLink property.
     */
    set webLink(value) {
        this._webLink = value;
    }
    ;
}
exports.Message = Message;
