import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class MessageSecurityState implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The connectingIP property */
    private _connectingIP?;
    /** The deliveryAction property */
    private _deliveryAction?;
    /** The deliveryLocation property */
    private _deliveryLocation?;
    /** The directionality property */
    private _directionality?;
    /** The internetMessageId property */
    private _internetMessageId?;
    /** The messageFingerprint property */
    private _messageFingerprint?;
    /** The messageReceivedDateTime property */
    private _messageReceivedDateTime?;
    /** The messageSubject property */
    private _messageSubject?;
    /** The networkMessageId property */
    private _networkMessageId?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the connectingIP property value. The connectingIP property
     * @returns a string
     */
    get connectingIP(): string | undefined;
    /**
     * Sets the connectingIP property value. The connectingIP property
     * @param value Value to set for the connectingIP property.
     */
    set connectingIP(value: string | undefined);
    /**
     * Instantiates a new messageSecurityState and sets the default values.
     */
    constructor();
    /**
     * Gets the deliveryAction property value. The deliveryAction property
     * @returns a string
     */
    get deliveryAction(): string | undefined;
    /**
     * Sets the deliveryAction property value. The deliveryAction property
     * @param value Value to set for the deliveryAction property.
     */
    set deliveryAction(value: string | undefined);
    /**
     * Gets the deliveryLocation property value. The deliveryLocation property
     * @returns a string
     */
    get deliveryLocation(): string | undefined;
    /**
     * Sets the deliveryLocation property value. The deliveryLocation property
     * @param value Value to set for the deliveryLocation property.
     */
    set deliveryLocation(value: string | undefined);
    /**
     * Gets the directionality property value. The directionality property
     * @returns a string
     */
    get directionality(): string | undefined;
    /**
     * Sets the directionality property value. The directionality property
     * @param value Value to set for the directionality property.
     */
    set directionality(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the internetMessageId property value. The internetMessageId property
     * @returns a string
     */
    get internetMessageId(): string | undefined;
    /**
     * Sets the internetMessageId property value. The internetMessageId property
     * @param value Value to set for the internetMessageId property.
     */
    set internetMessageId(value: string | undefined);
    /**
     * Gets the messageFingerprint property value. The messageFingerprint property
     * @returns a string
     */
    get messageFingerprint(): string | undefined;
    /**
     * Sets the messageFingerprint property value. The messageFingerprint property
     * @param value Value to set for the messageFingerprint property.
     */
    set messageFingerprint(value: string | undefined);
    /**
     * Gets the messageReceivedDateTime property value. The messageReceivedDateTime property
     * @returns a Date
     */
    get messageReceivedDateTime(): Date | undefined;
    /**
     * Sets the messageReceivedDateTime property value. The messageReceivedDateTime property
     * @param value Value to set for the messageReceivedDateTime property.
     */
    set messageReceivedDateTime(value: Date | undefined);
    /**
     * Gets the messageSubject property value. The messageSubject property
     * @returns a string
     */
    get messageSubject(): string | undefined;
    /**
     * Sets the messageSubject property value. The messageSubject property
     * @param value Value to set for the messageSubject property.
     */
    set messageSubject(value: string | undefined);
    /**
     * Gets the networkMessageId property value. The networkMessageId property
     * @returns a string
     */
    get networkMessageId(): string | undefined;
    /**
     * Sets the networkMessageId property value. The networkMessageId property
     * @param value Value to set for the networkMessageId property.
     */
    set networkMessageId(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
