"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MicrosoftAuthenticatorAuthenticationMethod = void 0;
const createDeviceFromDiscriminatorValue_1 = require("./createDeviceFromDiscriminatorValue");
const index_1 = require("./index");
/** Casts the previous resource to user. */
class MicrosoftAuthenticatorAuthenticationMethod extends index_1.AuthenticationMethod {
    /**
     * Instantiates a new microsoftAuthenticatorAuthenticationMethod and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the createdDateTime property value. The date and time that this app was registered. This property is null if the device is not registered for passwordless Phone Sign-In.
     * @returns a Date
     */
    get createdDateTime() {
        return this._createdDateTime;
    }
    ;
    /**
     * Sets the createdDateTime property value. The date and time that this app was registered. This property is null if the device is not registered for passwordless Phone Sign-In.
     * @param value Value to set for the createdDateTime property.
     */
    set createdDateTime(value) {
        this._createdDateTime = value;
    }
    ;
    /**
     * Gets the device property value. The registered device on which Microsoft Authenticator resides. This property is null if the device is not registered for passwordless Phone Sign-In.
     * @returns a device
     */
    get device() {
        return this._device;
    }
    ;
    /**
     * Sets the device property value. The registered device on which Microsoft Authenticator resides. This property is null if the device is not registered for passwordless Phone Sign-In.
     * @param value Value to set for the device property.
     */
    set device(value) {
        this._device = value;
    }
    ;
    /**
     * Gets the deviceTag property value. Tags containing app metadata.
     * @returns a string
     */
    get deviceTag() {
        return this._deviceTag;
    }
    ;
    /**
     * Sets the deviceTag property value. Tags containing app metadata.
     * @param value Value to set for the deviceTag property.
     */
    set deviceTag(value) {
        this._deviceTag = value;
    }
    ;
    /**
     * Gets the displayName property value. The name of the device on which this app is registered.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. The name of the device on which this app is registered.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "createdDateTime": n => { this.createdDateTime = n.getDateValue(); }, "device": n => { this.device = n.getObjectValue(createDeviceFromDiscriminatorValue_1.createDeviceFromDiscriminatorValue); }, "deviceTag": n => { this.deviceTag = n.getStringValue(); }, "displayName": n => { this.displayName = n.getStringValue(); }, "phoneAppVersion": n => { this.phoneAppVersion = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the phoneAppVersion property value. Numerical version of this instance of the Authenticator app.
     * @returns a string
     */
    get phoneAppVersion() {
        return this._phoneAppVersion;
    }
    ;
    /**
     * Sets the phoneAppVersion property value. Numerical version of this instance of the Authenticator app.
     * @param value Value to set for the phoneAppVersion property.
     */
    set phoneAppVersion(value) {
        this._phoneAppVersion = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeDateValue("createdDateTime", this.createdDateTime);
        writer.writeObjectValue("device", this.device);
        writer.writeStringValue("deviceTag", this.deviceTag);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeStringValue("phoneAppVersion", this.phoneAppVersion);
    }
    ;
}
exports.MicrosoftAuthenticatorAuthenticationMethod = MicrosoftAuthenticatorAuthenticationMethod;
