import { DeviceAndAppManagementAssignmentTarget, Entity, MobileAppAssignmentSettings } from './index';
import { InstallIntent } from './installIntent';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** A class containing the properties used for Group Assignment of a Mobile App. */
export declare class MobileAppAssignment extends Entity implements Parsable {
    /** The install intent defined by the admin. Possible values are: available, required, uninstall, availableWithoutEnrollment. */
    private _intent?;
    /** The settings for target assignment defined by the admin. */
    private _settings?;
    /** The target group assignment defined by the admin. */
    private _target?;
    /**
     * Instantiates a new mobileAppAssignment and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the intent property value. The install intent defined by the admin. Possible values are: available, required, uninstall, availableWithoutEnrollment.
     * @returns a installIntent
     */
    get intent(): InstallIntent | undefined;
    /**
     * Sets the intent property value. The install intent defined by the admin. Possible values are: available, required, uninstall, availableWithoutEnrollment.
     * @param value Value to set for the intent property.
     */
    set intent(value: InstallIntent | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the settings property value. The settings for target assignment defined by the admin.
     * @returns a mobileAppAssignmentSettings
     */
    get settings(): MobileAppAssignmentSettings | undefined;
    /**
     * Sets the settings property value. The settings for target assignment defined by the admin.
     * @param value Value to set for the settings property.
     */
    set settings(value: MobileAppAssignmentSettings | undefined);
    /**
     * Gets the target property value. The target group assignment defined by the admin.
     * @returns a deviceAndAppManagementAssignmentTarget
     */
    get target(): DeviceAndAppManagementAssignmentTarget | undefined;
    /**
     * Sets the target property value. The target group assignment defined by the admin.
     * @param value Value to set for the target property.
     */
    set target(value: DeviceAndAppManagementAssignmentTarget | undefined);
}
