"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MobileAppAssignment = void 0;
const createDeviceAndAppManagementAssignmentTargetFromDiscriminatorValue_1 = require("./createDeviceAndAppManagementAssignmentTargetFromDiscriminatorValue");
const createMobileAppAssignmentSettingsFromDiscriminatorValue_1 = require("./createMobileAppAssignmentSettingsFromDiscriminatorValue");
const index_1 = require("./index");
const installIntent_1 = require("./installIntent");
/** A class containing the properties used for Group Assignment of a Mobile App. */
class MobileAppAssignment extends index_1.Entity {
    /**
     * Instantiates a new mobileAppAssignment and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "intent": n => { this.intent = n.getEnumValue(installIntent_1.InstallIntent); }, "settings": n => { this.settings = n.getObjectValue(createMobileAppAssignmentSettingsFromDiscriminatorValue_1.createMobileAppAssignmentSettingsFromDiscriminatorValue); }, "target": n => { this.target = n.getObjectValue(createDeviceAndAppManagementAssignmentTargetFromDiscriminatorValue_1.createDeviceAndAppManagementAssignmentTargetFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the intent property value. The install intent defined by the admin. Possible values are: available, required, uninstall, availableWithoutEnrollment.
     * @returns a installIntent
     */
    get intent() {
        return this._intent;
    }
    ;
    /**
     * Sets the intent property value. The install intent defined by the admin. Possible values are: available, required, uninstall, availableWithoutEnrollment.
     * @param value Value to set for the intent property.
     */
    set intent(value) {
        this._intent = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeEnumValue("intent", this.intent);
        writer.writeObjectValue("settings", this.settings);
        writer.writeObjectValue("target", this.target);
    }
    ;
    /**
     * Gets the settings property value. The settings for target assignment defined by the admin.
     * @returns a mobileAppAssignmentSettings
     */
    get settings() {
        return this._settings;
    }
    ;
    /**
     * Sets the settings property value. The settings for target assignment defined by the admin.
     * @param value Value to set for the settings property.
     */
    set settings(value) {
        this._settings = value;
    }
    ;
    /**
     * Gets the target property value. The target group assignment defined by the admin.
     * @returns a deviceAndAppManagementAssignmentTarget
     */
    get target() {
        return this._target;
    }
    ;
    /**
     * Sets the target property value. The target group assignment defined by the admin.
     * @param value Value to set for the target property.
     */
    set target(value) {
        this._target = value;
    }
    ;
}
exports.MobileAppAssignment = MobileAppAssignment;
