import { Entity, MobileAppContentFile } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Contains content properties for a specific app version. Each mobileAppContent can have multiple mobileAppContentFile. */
export declare class MobileAppContent extends Entity implements Parsable {
    /** The list of files for this app content version. */
    private _files?;
    /**
     * Instantiates a new mobileAppContent and sets the default values.
     */
    constructor();
    /**
     * Gets the files property value. The list of files for this app content version.
     * @returns a mobileAppContentFile
     */
    get files(): MobileAppContentFile[] | undefined;
    /**
     * Sets the files property value. The list of files for this app content version.
     * @param value Value to set for the files property.
     */
    set files(value: MobileAppContentFile[] | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
