"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MobileAppContent = void 0;
const createMobileAppContentFileFromDiscriminatorValue_1 = require("./createMobileAppContentFileFromDiscriminatorValue");
const index_1 = require("./index");
/** Contains content properties for a specific app version. Each mobileAppContent can have multiple mobileAppContentFile. */
class MobileAppContent extends index_1.Entity {
    /**
     * Instantiates a new mobileAppContent and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the files property value. The list of files for this app content version.
     * @returns a mobileAppContentFile
     */
    get files() {
        return this._files;
    }
    ;
    /**
     * Sets the files property value. The list of files for this app content version.
     * @param value Value to set for the files property.
     */
    set files(value) {
        this._files = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "files": n => { this.files = n.getCollectionOfObjectValues(createMobileAppContentFileFromDiscriminatorValue_1.createMobileAppContentFileFromDiscriminatorValue); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("files", this.files);
    }
    ;
}
exports.MobileAppContent = MobileAppContent;
