import { Entity } from './index';
import { MobileAppContentFileUploadState } from './mobileAppContentFileUploadState';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Contains properties for a single installer file that is associated with a given mobileAppContent version. */
export declare class MobileAppContentFile extends Entity implements Parsable {
    /** The Azure Storage URI. */
    private _azureStorageUri?;
    /** The time the Azure storage Uri expires. */
    private _azureStorageUriExpirationDateTime?;
    /** The time the file was created. */
    private _createdDateTime?;
    /** A value indicating whether the file is committed. */
    private _isCommitted?;
    /** The manifest information. */
    private _manifest?;
    /** the file name. */
    private _name?;
    /** The size of the file prior to encryption. */
    private _size?;
    /** The size of the file after encryption. */
    private _sizeEncrypted?;
    /** The state of the current upload request. Possible values are: success, transientError, error, unknown, azureStorageUriRequestSuccess, azureStorageUriRequestPending, azureStorageUriRequestFailed, azureStorageUriRequestTimedOut, azureStorageUriRenewalSuccess, azureStorageUriRenewalPending, azureStorageUriRenewalFailed, azureStorageUriRenewalTimedOut, commitFileSuccess, commitFilePending, commitFileFailed, commitFileTimedOut. */
    private _uploadState?;
    /**
     * Gets the azureStorageUri property value. The Azure Storage URI.
     * @returns a string
     */
    get azureStorageUri(): string | undefined;
    /**
     * Sets the azureStorageUri property value. The Azure Storage URI.
     * @param value Value to set for the azureStorageUri property.
     */
    set azureStorageUri(value: string | undefined);
    /**
     * Gets the azureStorageUriExpirationDateTime property value. The time the Azure storage Uri expires.
     * @returns a Date
     */
    get azureStorageUriExpirationDateTime(): Date | undefined;
    /**
     * Sets the azureStorageUriExpirationDateTime property value. The time the Azure storage Uri expires.
     * @param value Value to set for the azureStorageUriExpirationDateTime property.
     */
    set azureStorageUriExpirationDateTime(value: Date | undefined);
    /**
     * Instantiates a new mobileAppContentFile and sets the default values.
     */
    constructor();
    /**
     * Gets the createdDateTime property value. The time the file was created.
     * @returns a Date
     */
    get createdDateTime(): Date | undefined;
    /**
     * Sets the createdDateTime property value. The time the file was created.
     * @param value Value to set for the createdDateTime property.
     */
    set createdDateTime(value: Date | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the isCommitted property value. A value indicating whether the file is committed.
     * @returns a boolean
     */
    get isCommitted(): boolean | undefined;
    /**
     * Sets the isCommitted property value. A value indicating whether the file is committed.
     * @param value Value to set for the isCommitted property.
     */
    set isCommitted(value: boolean | undefined);
    /**
     * Gets the manifest property value. The manifest information.
     * @returns a binary
     */
    get manifest(): string | undefined;
    /**
     * Sets the manifest property value. The manifest information.
     * @param value Value to set for the manifest property.
     */
    set manifest(value: string | undefined);
    /**
     * Gets the name property value. the file name.
     * @returns a string
     */
    get name(): string | undefined;
    /**
     * Sets the name property value. the file name.
     * @param value Value to set for the name property.
     */
    set name(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the size property value. The size of the file prior to encryption.
     * @returns a int64
     */
    get size(): number | undefined;
    /**
     * Sets the size property value. The size of the file prior to encryption.
     * @param value Value to set for the size property.
     */
    set size(value: number | undefined);
    /**
     * Gets the sizeEncrypted property value. The size of the file after encryption.
     * @returns a int64
     */
    get sizeEncrypted(): number | undefined;
    /**
     * Sets the sizeEncrypted property value. The size of the file after encryption.
     * @param value Value to set for the sizeEncrypted property.
     */
    set sizeEncrypted(value: number | undefined);
    /**
     * Gets the uploadState property value. The state of the current upload request. Possible values are: success, transientError, error, unknown, azureStorageUriRequestSuccess, azureStorageUriRequestPending, azureStorageUriRequestFailed, azureStorageUriRequestTimedOut, azureStorageUriRenewalSuccess, azureStorageUriRenewalPending, azureStorageUriRenewalFailed, azureStorageUriRenewalTimedOut, commitFileSuccess, commitFilePending, commitFileFailed, commitFileTimedOut.
     * @returns a mobileAppContentFileUploadState
     */
    get uploadState(): MobileAppContentFileUploadState | undefined;
    /**
     * Sets the uploadState property value. The state of the current upload request. Possible values are: success, transientError, error, unknown, azureStorageUriRequestSuccess, azureStorageUriRequestPending, azureStorageUriRequestFailed, azureStorageUriRequestTimedOut, azureStorageUriRenewalSuccess, azureStorageUriRenewalPending, azureStorageUriRenewalFailed, azureStorageUriRenewalTimedOut, commitFileSuccess, commitFilePending, commitFileFailed, commitFileTimedOut.
     * @param value Value to set for the uploadState property.
     */
    set uploadState(value: MobileAppContentFileUploadState | undefined);
}
