"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MobileAppContentFile = void 0;
const index_1 = require("./index");
const mobileAppContentFileUploadState_1 = require("./mobileAppContentFileUploadState");
/** Contains properties for a single installer file that is associated with a given mobileAppContent version. */
class MobileAppContentFile extends index_1.Entity {
    /**
     * Instantiates a new mobileAppContentFile and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the azureStorageUri property value. The Azure Storage URI.
     * @returns a string
     */
    get azureStorageUri() {
        return this._azureStorageUri;
    }
    ;
    /**
     * Sets the azureStorageUri property value. The Azure Storage URI.
     * @param value Value to set for the azureStorageUri property.
     */
    set azureStorageUri(value) {
        this._azureStorageUri = value;
    }
    ;
    /**
     * Gets the azureStorageUriExpirationDateTime property value. The time the Azure storage Uri expires.
     * @returns a Date
     */
    get azureStorageUriExpirationDateTime() {
        return this._azureStorageUriExpirationDateTime;
    }
    ;
    /**
     * Sets the azureStorageUriExpirationDateTime property value. The time the Azure storage Uri expires.
     * @param value Value to set for the azureStorageUriExpirationDateTime property.
     */
    set azureStorageUriExpirationDateTime(value) {
        this._azureStorageUriExpirationDateTime = value;
    }
    ;
    ;
    /**
     * Gets the createdDateTime property value. The time the file was created.
     * @returns a Date
     */
    get createdDateTime() {
        return this._createdDateTime;
    }
    ;
    /**
     * Sets the createdDateTime property value. The time the file was created.
     * @param value Value to set for the createdDateTime property.
     */
    set createdDateTime(value) {
        this._createdDateTime = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "azureStorageUri": n => { this.azureStorageUri = n.getStringValue(); }, "azureStorageUriExpirationDateTime": n => { this.azureStorageUriExpirationDateTime = n.getDateValue(); }, "createdDateTime": n => { this.createdDateTime = n.getDateValue(); }, "isCommitted": n => { this.isCommitted = n.getBooleanValue(); }, "manifest": n => { this.manifest = n.getStringValue(); }, "name": n => { this.name = n.getStringValue(); }, "size": n => { this.size = n.getNumberValue(); }, "sizeEncrypted": n => { this.sizeEncrypted = n.getNumberValue(); }, "uploadState": n => { this.uploadState = n.getEnumValue(mobileAppContentFileUploadState_1.MobileAppContentFileUploadState); } });
    }
    ;
    /**
     * Gets the isCommitted property value. A value indicating whether the file is committed.
     * @returns a boolean
     */
    get isCommitted() {
        return this._isCommitted;
    }
    ;
    /**
     * Sets the isCommitted property value. A value indicating whether the file is committed.
     * @param value Value to set for the isCommitted property.
     */
    set isCommitted(value) {
        this._isCommitted = value;
    }
    ;
    /**
     * Gets the manifest property value. The manifest information.
     * @returns a binary
     */
    get manifest() {
        return this._manifest;
    }
    ;
    /**
     * Sets the manifest property value. The manifest information.
     * @param value Value to set for the manifest property.
     */
    set manifest(value) {
        this._manifest = value;
    }
    ;
    /**
     * Gets the name property value. the file name.
     * @returns a string
     */
    get name() {
        return this._name;
    }
    ;
    /**
     * Sets the name property value. the file name.
     * @param value Value to set for the name property.
     */
    set name(value) {
        this._name = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("azureStorageUri", this.azureStorageUri);
        writer.writeDateValue("azureStorageUriExpirationDateTime", this.azureStorageUriExpirationDateTime);
        writer.writeDateValue("createdDateTime", this.createdDateTime);
        writer.writeBooleanValue("isCommitted", this.isCommitted);
        writer.writeStringValue("manifest", this.manifest);
        writer.writeStringValue("name", this.name);
        writer.writeNumberValue("size", this.size);
        writer.writeNumberValue("sizeEncrypted", this.sizeEncrypted);
        writer.writeEnumValue("uploadState", this.uploadState);
    }
    ;
    /**
     * Gets the size property value. The size of the file prior to encryption.
     * @returns a int64
     */
    get size() {
        return this._size;
    }
    ;
    /**
     * Sets the size property value. The size of the file prior to encryption.
     * @param value Value to set for the size property.
     */
    set size(value) {
        this._size = value;
    }
    ;
    /**
     * Gets the sizeEncrypted property value. The size of the file after encryption.
     * @returns a int64
     */
    get sizeEncrypted() {
        return this._sizeEncrypted;
    }
    ;
    /**
     * Sets the sizeEncrypted property value. The size of the file after encryption.
     * @param value Value to set for the sizeEncrypted property.
     */
    set sizeEncrypted(value) {
        this._sizeEncrypted = value;
    }
    ;
    /**
     * Gets the uploadState property value. The state of the current upload request. Possible values are: success, transientError, error, unknown, azureStorageUriRequestSuccess, azureStorageUriRequestPending, azureStorageUriRequestFailed, azureStorageUriRequestTimedOut, azureStorageUriRenewalSuccess, azureStorageUriRenewalPending, azureStorageUriRenewalFailed, azureStorageUriRenewalTimedOut, commitFileSuccess, commitFilePending, commitFileFailed, commitFileTimedOut.
     * @returns a mobileAppContentFileUploadState
     */
    get uploadState() {
        return this._uploadState;
    }
    ;
    /**
     * Sets the uploadState property value. The state of the current upload request. Possible values are: success, transientError, error, unknown, azureStorageUriRequestSuccess, azureStorageUriRequestPending, azureStorageUriRequestFailed, azureStorageUriRequestTimedOut, azureStorageUriRenewalSuccess, azureStorageUriRenewalPending, azureStorageUriRenewalFailed, azureStorageUriRenewalTimedOut, commitFileSuccess, commitFilePending, commitFileFailed, commitFileTimedOut.
     * @param value Value to set for the uploadState property.
     */
    set uploadState(value) {
        this._uploadState = value;
    }
    ;
}
exports.MobileAppContentFile = MobileAppContentFile;
