import { MobileApp, MobileAppContent } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** An abstract base class containing properties for all mobile line of business apps. */
export declare class MobileLobApp extends MobileApp implements Parsable {
    /** The internal committed content version. */
    private _committedContentVersion?;
    /** The list of content versions for this app. */
    private _contentVersions?;
    /** The name of the main Lob application file. */
    private _fileName?;
    /** The total size, including all uploaded files. */
    private _size?;
    /**
     * Gets the committedContentVersion property value. The internal committed content version.
     * @returns a string
     */
    get committedContentVersion(): string | undefined;
    /**
     * Sets the committedContentVersion property value. The internal committed content version.
     * @param value Value to set for the committedContentVersion property.
     */
    set committedContentVersion(value: string | undefined);
    /**
     * Instantiates a new mobileLobApp and sets the default values.
     */
    constructor();
    /**
     * Gets the contentVersions property value. The list of content versions for this app.
     * @returns a mobileAppContent
     */
    get contentVersions(): MobileAppContent[] | undefined;
    /**
     * Sets the contentVersions property value. The list of content versions for this app.
     * @param value Value to set for the contentVersions property.
     */
    set contentVersions(value: MobileAppContent[] | undefined);
    /**
     * Gets the fileName property value. The name of the main Lob application file.
     * @returns a string
     */
    get fileName(): string | undefined;
    /**
     * Sets the fileName property value. The name of the main Lob application file.
     * @param value Value to set for the fileName property.
     */
    set fileName(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the size property value. The total size, including all uploaded files.
     * @returns a int64
     */
    get size(): number | undefined;
    /**
     * Sets the size property value. The total size, including all uploaded files.
     * @param value Value to set for the size property.
     */
    set size(value: number | undefined);
}
