"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MobileThreatDefenseConnector = void 0;
const index_1 = require("./index");
const mobileThreatPartnerTenantState_1 = require("./mobileThreatPartnerTenantState");
/** Entity which represents a connection to Mobile threat defense partner. */
class MobileThreatDefenseConnector extends index_1.Entity {
    /**
     * Instantiates a new mobileThreatDefenseConnector and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the androidDeviceBlockedOnMissingPartnerData property value. For Android, set whether Intune must receive data from the data sync partner prior to marking a device compliant
     * @returns a boolean
     */
    get androidDeviceBlockedOnMissingPartnerData() {
        return this._androidDeviceBlockedOnMissingPartnerData;
    }
    ;
    /**
     * Sets the androidDeviceBlockedOnMissingPartnerData property value. For Android, set whether Intune must receive data from the data sync partner prior to marking a device compliant
     * @param value Value to set for the androidDeviceBlockedOnMissingPartnerData property.
     */
    set androidDeviceBlockedOnMissingPartnerData(value) {
        this._androidDeviceBlockedOnMissingPartnerData = value;
    }
    ;
    /**
     * Gets the androidEnabled property value. For Android, set whether data from the data sync partner should be used during compliance evaluations
     * @returns a boolean
     */
    get androidEnabled() {
        return this._androidEnabled;
    }
    ;
    /**
     * Sets the androidEnabled property value. For Android, set whether data from the data sync partner should be used during compliance evaluations
     * @param value Value to set for the androidEnabled property.
     */
    set androidEnabled(value) {
        this._androidEnabled = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "androidDeviceBlockedOnMissingPartnerData": n => { this.androidDeviceBlockedOnMissingPartnerData = n.getBooleanValue(); }, "androidEnabled": n => { this.androidEnabled = n.getBooleanValue(); }, "iosDeviceBlockedOnMissingPartnerData": n => { this.iosDeviceBlockedOnMissingPartnerData = n.getBooleanValue(); }, "iosEnabled": n => { this.iosEnabled = n.getBooleanValue(); }, "lastHeartbeatDateTime": n => { this.lastHeartbeatDateTime = n.getDateValue(); }, "partnerState": n => { this.partnerState = n.getEnumValue(mobileThreatPartnerTenantState_1.MobileThreatPartnerTenantState); }, "partnerUnresponsivenessThresholdInDays": n => { this.partnerUnresponsivenessThresholdInDays = n.getNumberValue(); }, "partnerUnsupportedOsVersionBlocked": n => { this.partnerUnsupportedOsVersionBlocked = n.getBooleanValue(); } });
    }
    ;
    /**
     * Gets the iosDeviceBlockedOnMissingPartnerData property value. For IOS, set whether Intune must receive data from the data sync partner prior to marking a device compliant
     * @returns a boolean
     */
    get iosDeviceBlockedOnMissingPartnerData() {
        return this._iosDeviceBlockedOnMissingPartnerData;
    }
    ;
    /**
     * Sets the iosDeviceBlockedOnMissingPartnerData property value. For IOS, set whether Intune must receive data from the data sync partner prior to marking a device compliant
     * @param value Value to set for the iosDeviceBlockedOnMissingPartnerData property.
     */
    set iosDeviceBlockedOnMissingPartnerData(value) {
        this._iosDeviceBlockedOnMissingPartnerData = value;
    }
    ;
    /**
     * Gets the iosEnabled property value. For IOS, get or set whether data from the data sync partner should be used during compliance evaluations
     * @returns a boolean
     */
    get iosEnabled() {
        return this._iosEnabled;
    }
    ;
    /**
     * Sets the iosEnabled property value. For IOS, get or set whether data from the data sync partner should be used during compliance evaluations
     * @param value Value to set for the iosEnabled property.
     */
    set iosEnabled(value) {
        this._iosEnabled = value;
    }
    ;
    /**
     * Gets the lastHeartbeatDateTime property value. DateTime of last Heartbeat recieved from the Data Sync Partner
     * @returns a Date
     */
    get lastHeartbeatDateTime() {
        return this._lastHeartbeatDateTime;
    }
    ;
    /**
     * Sets the lastHeartbeatDateTime property value. DateTime of last Heartbeat recieved from the Data Sync Partner
     * @param value Value to set for the lastHeartbeatDateTime property.
     */
    set lastHeartbeatDateTime(value) {
        this._lastHeartbeatDateTime = value;
    }
    ;
    /**
     * Gets the partnerState property value. Data Sync Partner state for this account. Possible values are: unavailable, available, enabled, unresponsive.
     * @returns a mobileThreatPartnerTenantState
     */
    get partnerState() {
        return this._partnerState;
    }
    ;
    /**
     * Sets the partnerState property value. Data Sync Partner state for this account. Possible values are: unavailable, available, enabled, unresponsive.
     * @param value Value to set for the partnerState property.
     */
    set partnerState(value) {
        this._partnerState = value;
    }
    ;
    /**
     * Gets the partnerUnresponsivenessThresholdInDays property value. Get or Set days the per tenant tolerance to unresponsiveness for this partner integration
     * @returns a integer
     */
    get partnerUnresponsivenessThresholdInDays() {
        return this._partnerUnresponsivenessThresholdInDays;
    }
    ;
    /**
     * Sets the partnerUnresponsivenessThresholdInDays property value. Get or Set days the per tenant tolerance to unresponsiveness for this partner integration
     * @param value Value to set for the partnerUnresponsivenessThresholdInDays property.
     */
    set partnerUnresponsivenessThresholdInDays(value) {
        this._partnerUnresponsivenessThresholdInDays = value;
    }
    ;
    /**
     * Gets the partnerUnsupportedOsVersionBlocked property value. Get or set whether to block devices on the enabled platforms that do not meet the minimum version requirements of the Data Sync Partner
     * @returns a boolean
     */
    get partnerUnsupportedOsVersionBlocked() {
        return this._partnerUnsupportedOsVersionBlocked;
    }
    ;
    /**
     * Sets the partnerUnsupportedOsVersionBlocked property value. Get or set whether to block devices on the enabled platforms that do not meet the minimum version requirements of the Data Sync Partner
     * @param value Value to set for the partnerUnsupportedOsVersionBlocked property.
     */
    set partnerUnsupportedOsVersionBlocked(value) {
        this._partnerUnsupportedOsVersionBlocked = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeBooleanValue("androidDeviceBlockedOnMissingPartnerData", this.androidDeviceBlockedOnMissingPartnerData);
        writer.writeBooleanValue("androidEnabled", this.androidEnabled);
        writer.writeBooleanValue("iosDeviceBlockedOnMissingPartnerData", this.iosDeviceBlockedOnMissingPartnerData);
        writer.writeBooleanValue("iosEnabled", this.iosEnabled);
        writer.writeDateValue("lastHeartbeatDateTime", this.lastHeartbeatDateTime);
        writer.writeEnumValue("partnerState", this.partnerState);
        writer.writeNumberValue("partnerUnresponsivenessThresholdInDays", this.partnerUnresponsivenessThresholdInDays);
        writer.writeBooleanValue("partnerUnsupportedOsVersionBlocked", this.partnerUnsupportedOsVersionBlocked);
    }
    ;
}
exports.MobileThreatDefenseConnector = MobileThreatDefenseConnector;
