"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ModifiedProperty = void 0;
class ModifiedProperty {
    /**
     * Instantiates a new modifiedProperty and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the displayName property value. Name of property that was modified.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. Name of property that was modified.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "displayName": n => { this.displayName = n.getStringValue(); },
            "newValue": n => { this.newValue = n.getStringValue(); },
            "oldValue": n => { this.oldValue = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the newValue property value. New property value.
     * @returns a string
     */
    get newValue() {
        return this._newValue;
    }
    ;
    /**
     * Sets the newValue property value. New property value.
     * @param value Value to set for the newValue property.
     */
    set newValue(value) {
        this._newValue = value;
    }
    ;
    /**
     * Gets the oldValue property value. Old property value.
     * @returns a string
     */
    get oldValue() {
        return this._oldValue;
    }
    ;
    /**
     * Sets the oldValue property value. Old property value.
     * @param value Value to set for the oldValue property.
     */
    set oldValue(value) {
        this._oldValue = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("displayName", this.displayName);
        writer.writeStringValue("newValue", this.newValue);
        writer.writeStringValue("oldValue", this.oldValue);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.ModifiedProperty = ModifiedProperty;
