import { Entity } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Casts the previous resource to user. */
export declare class MultiValueLegacyExtendedProperty extends Entity implements Parsable {
    /** A collection of property values. */
    private _value?;
    /**
     * Instantiates a new multiValueLegacyExtendedProperty and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the value property value. A collection of property values.
     * @returns a string
     */
    get value(): string[] | undefined;
    /**
     * Sets the value property value. A collection of property values.
     * @param value Value to set for the value property.
     */
    set value(value: string[] | undefined);
}
