"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotebookLinks = void 0;
const createExternalLinkFromDiscriminatorValue_1 = require("./createExternalLinkFromDiscriminatorValue");
class NotebookLinks {
    /**
     * Instantiates a new notebookLinks and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "oneNoteClientUrl": n => { this.oneNoteClientUrl = n.getObjectValue(createExternalLinkFromDiscriminatorValue_1.createExternalLinkFromDiscriminatorValue); },
            "oneNoteWebUrl": n => { this.oneNoteWebUrl = n.getObjectValue(createExternalLinkFromDiscriminatorValue_1.createExternalLinkFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Gets the oneNoteClientUrl property value. Opens the notebook in the OneNote native client if it's installed.
     * @returns a externalLink
     */
    get oneNoteClientUrl() {
        return this._oneNoteClientUrl;
    }
    ;
    /**
     * Sets the oneNoteClientUrl property value. Opens the notebook in the OneNote native client if it's installed.
     * @param value Value to set for the oneNoteClientUrl property.
     */
    set oneNoteClientUrl(value) {
        this._oneNoteClientUrl = value;
    }
    ;
    /**
     * Gets the oneNoteWebUrl property value. Opens the notebook in OneNote on the web.
     * @returns a externalLink
     */
    get oneNoteWebUrl() {
        return this._oneNoteWebUrl;
    }
    ;
    /**
     * Sets the oneNoteWebUrl property value. Opens the notebook in OneNote on the web.
     * @param value Value to set for the oneNoteWebUrl property.
     */
    set oneNoteWebUrl(value) {
        this._oneNoteWebUrl = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeObjectValue("oneNoteClientUrl", this.oneNoteClientUrl);
        writer.writeObjectValue("oneNoteWebUrl", this.oneNoteWebUrl);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.NotebookLinks = NotebookLinks;
