"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NumberColumn = void 0;
class NumberColumn {
    /**
     * Instantiates a new numberColumn and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the decimalPlaces property value. How many decimal places to display. See below for information about the possible values.
     * @returns a string
     */
    get decimalPlaces() {
        return this._decimalPlaces;
    }
    ;
    /**
     * Sets the decimalPlaces property value. How many decimal places to display. See below for information about the possible values.
     * @param value Value to set for the decimalPlaces property.
     */
    set decimalPlaces(value) {
        this._decimalPlaces = value;
    }
    ;
    /**
     * Gets the displayAs property value. How the value should be presented in the UX. Must be one of number or percentage. If unspecified, treated as number.
     * @returns a string
     */
    get displayAs() {
        return this._displayAs;
    }
    ;
    /**
     * Sets the displayAs property value. How the value should be presented in the UX. Must be one of number or percentage. If unspecified, treated as number.
     * @param value Value to set for the displayAs property.
     */
    set displayAs(value) {
        this._displayAs = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "decimalPlaces": n => { this.decimalPlaces = n.getStringValue(); },
            "displayAs": n => { this.displayAs = n.getStringValue(); },
            "maximum": n => { this.maximum = n.getNumberValue(); },
            "minimum": n => { this.minimum = n.getNumberValue(); },
        };
    }
    ;
    /**
     * Gets the maximum property value. The maximum permitted value.
     * @returns a double
     */
    get maximum() {
        return this._maximum;
    }
    ;
    /**
     * Sets the maximum property value. The maximum permitted value.
     * @param value Value to set for the maximum property.
     */
    set maximum(value) {
        this._maximum = value;
    }
    ;
    /**
     * Gets the minimum property value. The minimum permitted value.
     * @returns a double
     */
    get minimum() {
        return this._minimum;
    }
    ;
    /**
     * Sets the minimum property value. The minimum permitted value.
     * @param value Value to set for the minimum property.
     */
    set minimum(value) {
        this._minimum = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("decimalPlaces", this.decimalPlaces);
        writer.writeStringValue("displayAs", this.displayAs);
        writer.writeNumberValue("maximum", this.maximum);
        writer.writeNumberValue("minimum", this.minimum);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.NumberColumn = NumberColumn;
