"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OAuth2PermissionGrant = void 0;
const index_1 = require("./index");
/** Provides operations to call the instantiate method. */
class OAuth2PermissionGrant extends index_1.Entity {
    /**
     * Instantiates a new oAuth2PermissionGrant and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the clientId property value. The id of the client service principal for the application which is authorized to act on behalf of a signed-in user when accessing an API. Required. Supports $filter (eq only).
     * @returns a string
     */
    get clientId() {
        return this._clientId;
    }
    ;
    /**
     * Sets the clientId property value. The id of the client service principal for the application which is authorized to act on behalf of a signed-in user when accessing an API. Required. Supports $filter (eq only).
     * @param value Value to set for the clientId property.
     */
    set clientId(value) {
        this._clientId = value;
    }
    ;
    /**
     * Gets the consentType property value. Indicates whether authorization is granted for the client application to impersonate all users or only a specific user. AllPrincipals indicates authorization to impersonate all users. Principal indicates authorization to impersonate a specific user. Consent on behalf of all users can be granted by an administrator. Non-admin users may be authorized to consent on behalf of themselves in some cases, for some delegated permissions. Required. Supports $filter (eq only).
     * @returns a string
     */
    get consentType() {
        return this._consentType;
    }
    ;
    /**
     * Sets the consentType property value. Indicates whether authorization is granted for the client application to impersonate all users or only a specific user. AllPrincipals indicates authorization to impersonate all users. Principal indicates authorization to impersonate a specific user. Consent on behalf of all users can be granted by an administrator. Non-admin users may be authorized to consent on behalf of themselves in some cases, for some delegated permissions. Required. Supports $filter (eq only).
     * @param value Value to set for the consentType property.
     */
    set consentType(value) {
        this._consentType = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "clientId": n => { this.clientId = n.getStringValue(); }, "consentType": n => { this.consentType = n.getStringValue(); }, "principalId": n => { this.principalId = n.getStringValue(); }, "resourceId": n => { this.resourceId = n.getStringValue(); }, "scope": n => { this.scope = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the principalId property value. The id of the user on behalf of whom the client is authorized to access the resource, when consentType is Principal. If consentType is AllPrincipals this value is null. Required when consentType is Principal.
     * @returns a string
     */
    get principalId() {
        return this._principalId;
    }
    ;
    /**
     * Sets the principalId property value. The id of the user on behalf of whom the client is authorized to access the resource, when consentType is Principal. If consentType is AllPrincipals this value is null. Required when consentType is Principal.
     * @param value Value to set for the principalId property.
     */
    set principalId(value) {
        this._principalId = value;
    }
    ;
    /**
     * Gets the resourceId property value. The id of the resource service principal to which access is authorized. This identifies the API which the client is authorized to attempt to call on behalf of a signed-in user.
     * @returns a string
     */
    get resourceId() {
        return this._resourceId;
    }
    ;
    /**
     * Sets the resourceId property value. The id of the resource service principal to which access is authorized. This identifies the API which the client is authorized to attempt to call on behalf of a signed-in user.
     * @param value Value to set for the resourceId property.
     */
    set resourceId(value) {
        this._resourceId = value;
    }
    ;
    /**
     * Gets the scope property value. A space-separated list of the claim values for delegated permissions which should be included in access tokens for the resource application (the API). For example, openid User.Read GroupMember.Read.All. Each claim value should match the value field of one of the delegated permissions defined by the API, listed in the publishedPermissionScopes property of the resource service principal.
     * @returns a string
     */
    get scope() {
        return this._scope;
    }
    ;
    /**
     * Sets the scope property value. A space-separated list of the claim values for delegated permissions which should be included in access tokens for the resource application (the API). For example, openid User.Read GroupMember.Read.All. Each claim value should match the value field of one of the delegated permissions defined by the API, listed in the publishedPermissionScopes property of the resource service principal.
     * @param value Value to set for the scope property.
     */
    set scope(value) {
        this._scope = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("clientId", this.clientId);
        writer.writeStringValue("consentType", this.consentType);
        writer.writeStringValue("principalId", this.principalId);
        writer.writeStringValue("resourceId", this.resourceId);
        writer.writeStringValue("scope", this.scope);
    }
    ;
}
exports.OAuth2PermissionGrant = OAuth2PermissionGrant;
