import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class InnerError implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** Client request Id as sent by the client application. */
    private _clientRequestId?;
    /** Date when the error occured. */
    private _date?;
    /** Request Id as tracked internally by the service */
    private _requestId?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the client-request-id property value. Client request Id as sent by the client application.
     * @returns a string
     */
    get clientRequestId(): string | undefined;
    /**
     * Sets the client-request-id property value. Client request Id as sent by the client application.
     * @param value Value to set for the clientRequestId property.
     */
    set clientRequestId(value: string | undefined);
    /**
     * Instantiates a new InnerError and sets the default values.
     */
    constructor();
    /**
     * Gets the date property value. Date when the error occured.
     * @returns a Date
     */
    get date(): Date | undefined;
    /**
     * Sets the date property value. Date when the error occured.
     * @param value Value to set for the Date property.
     */
    set date(value: Date | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the request-id property value. Request Id as tracked internally by the service
     * @returns a string
     */
    get requestId(): string | undefined;
    /**
     * Sets the request-id property value. Request Id as tracked internally by the service
     * @param value Value to set for the requestId property.
     */
    set requestId(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
