import { ErrorDetails, InnerError } from './index';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class MainError implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The code property */
    private _code?;
    /** The details property */
    private _details?;
    /** The innererror property */
    private _innererror?;
    /** The message property */
    private _message?;
    /** The target property */
    private _target?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the code property value. The code property
     * @returns a string
     */
    get code(): string | undefined;
    /**
     * Sets the code property value. The code property
     * @param value Value to set for the code property.
     */
    set code(value: string | undefined);
    /**
     * Instantiates a new MainError and sets the default values.
     */
    constructor();
    /**
     * Gets the details property value. The details property
     * @returns a ErrorDetails
     */
    get details(): ErrorDetails[] | undefined;
    /**
     * Sets the details property value. The details property
     * @param value Value to set for the details property.
     */
    set details(value: ErrorDetails[] | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the innererror property value. The innererror property
     * @returns a InnerError
     */
    get innererror(): InnerError | undefined;
    /**
     * Sets the innererror property value. The innererror property
     * @param value Value to set for the innererror property.
     */
    set innererror(value: InnerError | undefined);
    /**
     * Gets the message property value. The message property
     * @returns a string
     */
    get message(): string | undefined;
    /**
     * Sets the message property value. The message property
     * @param value Value to set for the message property.
     */
    set message(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the target property value. The target property
     * @returns a string
     */
    get target(): string | undefined;
    /**
     * Sets the target property value. The target property
     * @param value Value to set for the target property.
     */
    set target(value: string | undefined);
}
