"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OfferShiftRequest = void 0;
const index_1 = require("./index");
/** Casts the previous resource to user. */
class OfferShiftRequest extends index_1.ScheduleChangeRequest {
    /**
     * Instantiates a new offerShiftRequest and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "recipientActionDateTime": n => { this.recipientActionDateTime = n.getDateValue(); }, "recipientActionMessage": n => { this.recipientActionMessage = n.getStringValue(); }, "recipientUserId": n => { this.recipientUserId = n.getStringValue(); }, "senderShiftId": n => { this.senderShiftId = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the recipientActionDateTime property value. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @returns a Date
     */
    get recipientActionDateTime() {
        return this._recipientActionDateTime;
    }
    ;
    /**
     * Sets the recipientActionDateTime property value. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @param value Value to set for the recipientActionDateTime property.
     */
    set recipientActionDateTime(value) {
        this._recipientActionDateTime = value;
    }
    ;
    /**
     * Gets the recipientActionMessage property value. Custom message sent by recipient of the offer shift request.
     * @returns a string
     */
    get recipientActionMessage() {
        return this._recipientActionMessage;
    }
    ;
    /**
     * Sets the recipientActionMessage property value. Custom message sent by recipient of the offer shift request.
     * @param value Value to set for the recipientActionMessage property.
     */
    set recipientActionMessage(value) {
        this._recipientActionMessage = value;
    }
    ;
    /**
     * Gets the recipientUserId property value. User id of the recipient of the offer shift request.
     * @returns a string
     */
    get recipientUserId() {
        return this._recipientUserId;
    }
    ;
    /**
     * Sets the recipientUserId property value. User id of the recipient of the offer shift request.
     * @param value Value to set for the recipientUserId property.
     */
    set recipientUserId(value) {
        this._recipientUserId = value;
    }
    ;
    /**
     * Gets the senderShiftId property value. User id of the sender of the offer shift request.
     * @returns a string
     */
    get senderShiftId() {
        return this._senderShiftId;
    }
    ;
    /**
     * Sets the senderShiftId property value. User id of the sender of the offer shift request.
     * @param value Value to set for the senderShiftId property.
     */
    set senderShiftId(value) {
        this._senderShiftId = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeDateValue("recipientActionDateTime", this.recipientActionDateTime);
        writer.writeStringValue("recipientActionMessage", this.recipientActionMessage);
        writer.writeStringValue("recipientUserId", this.recipientUserId);
        writer.writeStringValue("senderShiftId", this.senderShiftId);
    }
    ;
}
exports.OfferShiftRequest = OfferShiftRequest;
