import { Entity, SharedInsight, Trending, UsedInsight } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Casts the previous resource to user. */
export declare class OfficeGraphInsights extends Entity implements Parsable {
    /** Access this property from the derived type itemInsights. */
    private _shared?;
    /** Access this property from the derived type itemInsights. */
    private _trending?;
    /** Access this property from the derived type itemInsights. */
    private _used?;
    /**
     * Instantiates a new officeGraphInsights and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the shared property value. Access this property from the derived type itemInsights.
     * @returns a sharedInsight
     */
    get shared(): SharedInsight[] | undefined;
    /**
     * Sets the shared property value. Access this property from the derived type itemInsights.
     * @param value Value to set for the shared property.
     */
    set shared(value: SharedInsight[] | undefined);
    /**
     * Gets the trending property value. Access this property from the derived type itemInsights.
     * @returns a trending
     */
    get trending(): Trending[] | undefined;
    /**
     * Sets the trending property value. Access this property from the derived type itemInsights.
     * @param value Value to set for the trending property.
     */
    set trending(value: Trending[] | undefined);
    /**
     * Gets the used property value. Access this property from the derived type itemInsights.
     * @returns a usedInsight
     */
    get used(): UsedInsight[] | undefined;
    /**
     * Sets the used property value. Access this property from the derived type itemInsights.
     * @param value Value to set for the used property.
     */
    set used(value: UsedInsight[] | undefined);
}
