"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OnPremisesConditionalAccessSettings = void 0;
const index_1 = require("./index");
/** Singleton entity which represents the Exchange OnPremises Conditional Access Settings for a tenant. */
class OnPremisesConditionalAccessSettings extends index_1.Entity {
    /**
     * Instantiates a new onPremisesConditionalAccessSettings and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the enabled property value. Indicates if on premises conditional access is enabled for this organization
     * @returns a boolean
     */
    get enabled() {
        return this._enabled;
    }
    ;
    /**
     * Sets the enabled property value. Indicates if on premises conditional access is enabled for this organization
     * @param value Value to set for the enabled property.
     */
    set enabled(value) {
        this._enabled = value;
    }
    ;
    /**
     * Gets the excludedGroups property value. User groups that will be exempt by on premises conditional access. All users in these groups will be exempt from the conditional access policy.
     * @returns a string
     */
    get excludedGroups() {
        return this._excludedGroups;
    }
    ;
    /**
     * Sets the excludedGroups property value. User groups that will be exempt by on premises conditional access. All users in these groups will be exempt from the conditional access policy.
     * @param value Value to set for the excludedGroups property.
     */
    set excludedGroups(value) {
        this._excludedGroups = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "enabled": n => { this.enabled = n.getBooleanValue(); }, "excludedGroups": n => { this.excludedGroups = n.getCollectionOfPrimitiveValues(); }, "includedGroups": n => { this.includedGroups = n.getCollectionOfPrimitiveValues(); }, "overrideDefaultRule": n => { this.overrideDefaultRule = n.getBooleanValue(); } });
    }
    ;
    /**
     * Gets the includedGroups property value. User groups that will be targeted by on premises conditional access. All users in these groups will be required to have mobile device managed and compliant for mail access.
     * @returns a string
     */
    get includedGroups() {
        return this._includedGroups;
    }
    ;
    /**
     * Sets the includedGroups property value. User groups that will be targeted by on premises conditional access. All users in these groups will be required to have mobile device managed and compliant for mail access.
     * @param value Value to set for the includedGroups property.
     */
    set includedGroups(value) {
        this._includedGroups = value;
    }
    ;
    /**
     * Gets the overrideDefaultRule property value. Override the default access rule when allowing a device to ensure access is granted.
     * @returns a boolean
     */
    get overrideDefaultRule() {
        return this._overrideDefaultRule;
    }
    ;
    /**
     * Sets the overrideDefaultRule property value. Override the default access rule when allowing a device to ensure access is granted.
     * @param value Value to set for the overrideDefaultRule property.
     */
    set overrideDefaultRule(value) {
        this._overrideDefaultRule = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeBooleanValue("enabled", this.enabled);
        writer.writeCollectionOfPrimitiveValues("excludedGroups", this.excludedGroups);
        writer.writeCollectionOfPrimitiveValues("includedGroups", this.includedGroups);
        writer.writeBooleanValue("overrideDefaultRule", this.overrideDefaultRule);
    }
    ;
}
exports.OnPremisesConditionalAccessSettings = OnPremisesConditionalAccessSettings;
