import { Entity } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Casts the previous resource to user. */
export declare class OnenoteEntityBaseModel extends Entity implements Parsable {
    /** The endpoint where you can get details about the page. Read-only. */
    private _self?;
    /**
     * Instantiates a new onenoteEntityBaseModel and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the self property value. The endpoint where you can get details about the page. Read-only.
     * @returns a string
     */
    get self(): string | undefined;
    /**
     * Sets the self property value. The endpoint where you can get details about the page. Read-only.
     * @param value Value to set for the self property.
     */
    set self(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
