"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OnenoteEntityHierarchyModel = void 0;
const createIdentitySetFromDiscriminatorValue_1 = require("./createIdentitySetFromDiscriminatorValue");
const index_1 = require("./index");
/** Casts the previous resource to user. */
class OnenoteEntityHierarchyModel extends index_1.OnenoteEntitySchemaObjectModel {
    /**
     * Instantiates a new onenoteEntityHierarchyModel and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the createdBy property value. Identity of the user, device, and application which created the item. Read-only.
     * @returns a identitySet
     */
    get createdBy() {
        return this._createdBy;
    }
    ;
    /**
     * Sets the createdBy property value. Identity of the user, device, and application which created the item. Read-only.
     * @param value Value to set for the createdBy property.
     */
    set createdBy(value) {
        this._createdBy = value;
    }
    ;
    /**
     * Gets the displayName property value. The name of the notebook.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. The name of the notebook.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "createdBy": n => { this.createdBy = n.getObjectValue(createIdentitySetFromDiscriminatorValue_1.createIdentitySetFromDiscriminatorValue); }, "displayName": n => { this.displayName = n.getStringValue(); }, "lastModifiedBy": n => { this.lastModifiedBy = n.getObjectValue(createIdentitySetFromDiscriminatorValue_1.createIdentitySetFromDiscriminatorValue); }, "lastModifiedDateTime": n => { this.lastModifiedDateTime = n.getDateValue(); } });
    }
    ;
    /**
     * Gets the lastModifiedBy property value. Identity of the user, device, and application which created the item. Read-only.
     * @returns a identitySet
     */
    get lastModifiedBy() {
        return this._lastModifiedBy;
    }
    ;
    /**
     * Sets the lastModifiedBy property value. Identity of the user, device, and application which created the item. Read-only.
     * @param value Value to set for the lastModifiedBy property.
     */
    set lastModifiedBy(value) {
        this._lastModifiedBy = value;
    }
    ;
    /**
     * Gets the lastModifiedDateTime property value. The date and time when the notebook was last modified. The timestamp represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Read-only.
     * @returns a Date
     */
    get lastModifiedDateTime() {
        return this._lastModifiedDateTime;
    }
    ;
    /**
     * Sets the lastModifiedDateTime property value. The date and time when the notebook was last modified. The timestamp represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Read-only.
     * @param value Value to set for the lastModifiedDateTime property.
     */
    set lastModifiedDateTime(value) {
        this._lastModifiedDateTime = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("createdBy", this.createdBy);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeObjectValue("lastModifiedBy", this.lastModifiedBy);
        writer.writeDateValue("lastModifiedDateTime", this.lastModifiedDateTime);
    }
    ;
}
exports.OnenoteEntityHierarchyModel = OnenoteEntityHierarchyModel;
