import { OnenoteOperationError, Operation } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Casts the previous resource to user. */
export declare class OnenoteOperation extends Operation implements Parsable {
    /** The error returned by the operation. */
    private _error_escaped?;
    /** The operation percent complete if the operation is still in running status. */
    private _percentComplete?;
    /** The resource id. */
    private _resourceId?;
    /** The resource URI for the object. For example, the resource URI for a copied page or section. */
    private _resourceLocation?;
    /**
     * Instantiates a new onenoteOperation and sets the default values.
     */
    constructor();
    /**
     * Gets the error property value. The error returned by the operation.
     * @returns a onenoteOperationError
     */
    get error_escaped(): OnenoteOperationError | undefined;
    /**
     * Sets the error property value. The error returned by the operation.
     * @param value Value to set for the error_escaped property.
     */
    set error_escaped(value: OnenoteOperationError | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the percentComplete property value. The operation percent complete if the operation is still in running status.
     * @returns a string
     */
    get percentComplete(): string | undefined;
    /**
     * Sets the percentComplete property value. The operation percent complete if the operation is still in running status.
     * @param value Value to set for the percentComplete property.
     */
    set percentComplete(value: string | undefined);
    /**
     * Gets the resourceId property value. The resource id.
     * @returns a string
     */
    get resourceId(): string | undefined;
    /**
     * Sets the resourceId property value. The resource id.
     * @param value Value to set for the resourceId property.
     */
    set resourceId(value: string | undefined);
    /**
     * Gets the resourceLocation property value. The resource URI for the object. For example, the resource URI for a copied page or section.
     * @returns a string
     */
    get resourceLocation(): string | undefined;
    /**
     * Sets the resourceLocation property value. The resource URI for the object. For example, the resource URI for a copied page or section.
     * @param value Value to set for the resourceLocation property.
     */
    set resourceLocation(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
