"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OnenoteOperation = void 0;
const createOnenoteOperationErrorFromDiscriminatorValue_1 = require("./createOnenoteOperationErrorFromDiscriminatorValue");
const index_1 = require("./index");
/** Casts the previous resource to user. */
class OnenoteOperation extends index_1.Operation {
    /**
     * Instantiates a new onenoteOperation and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the error property value. The error returned by the operation.
     * @returns a onenoteOperationError
     */
    get error_escaped() {
        return this._error_escaped;
    }
    ;
    /**
     * Sets the error property value. The error returned by the operation.
     * @param value Value to set for the error_escaped property.
     */
    set error_escaped(value) {
        this._error_escaped = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "error": n => { this.error_escaped = n.getObjectValue(createOnenoteOperationErrorFromDiscriminatorValue_1.createOnenoteOperationErrorFromDiscriminatorValue); }, "percentComplete": n => { this.percentComplete = n.getStringValue(); }, "resourceId": n => { this.resourceId = n.getStringValue(); }, "resourceLocation": n => { this.resourceLocation = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the percentComplete property value. The operation percent complete if the operation is still in running status.
     * @returns a string
     */
    get percentComplete() {
        return this._percentComplete;
    }
    ;
    /**
     * Sets the percentComplete property value. The operation percent complete if the operation is still in running status.
     * @param value Value to set for the percentComplete property.
     */
    set percentComplete(value) {
        this._percentComplete = value;
    }
    ;
    /**
     * Gets the resourceId property value. The resource id.
     * @returns a string
     */
    get resourceId() {
        return this._resourceId;
    }
    ;
    /**
     * Sets the resourceId property value. The resource id.
     * @param value Value to set for the resourceId property.
     */
    set resourceId(value) {
        this._resourceId = value;
    }
    ;
    /**
     * Gets the resourceLocation property value. The resource URI for the object. For example, the resource URI for a copied page or section.
     * @returns a string
     */
    get resourceLocation() {
        return this._resourceLocation;
    }
    ;
    /**
     * Sets the resourceLocation property value. The resource URI for the object. For example, the resource URI for a copied page or section.
     * @param value Value to set for the resourceLocation property.
     */
    set resourceLocation(value) {
        this._resourceLocation = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("error", this.error_escaped);
        writer.writeStringValue("percentComplete", this.percentComplete);
        writer.writeStringValue("resourceId", this.resourceId);
        writer.writeStringValue("resourceLocation", this.resourceLocation);
    }
    ;
}
exports.OnenoteOperation = OnenoteOperation;
