"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OnenotePage = void 0;
const createNotebookFromDiscriminatorValue_1 = require("./createNotebookFromDiscriminatorValue");
const createOnenoteSectionFromDiscriminatorValue_1 = require("./createOnenoteSectionFromDiscriminatorValue");
const createPageLinksFromDiscriminatorValue_1 = require("./createPageLinksFromDiscriminatorValue");
const index_1 = require("./index");
/** Casts the previous resource to user. */
class OnenotePage extends index_1.OnenoteEntitySchemaObjectModel {
    /**
     * Instantiates a new onenotePage and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the content property value. The page's HTML content.
     * @returns a binary
     */
    get content() {
        return this._content;
    }
    ;
    /**
     * Sets the content property value. The page's HTML content.
     * @param value Value to set for the content property.
     */
    set content(value) {
        this._content = value;
    }
    ;
    /**
     * Gets the contentUrl property value. The URL for the page's HTML content.  Read-only.
     * @returns a string
     */
    get contentUrl() {
        return this._contentUrl;
    }
    ;
    /**
     * Sets the contentUrl property value. The URL for the page's HTML content.  Read-only.
     * @param value Value to set for the contentUrl property.
     */
    set contentUrl(value) {
        this._contentUrl = value;
    }
    ;
    /**
     * Gets the createdByAppId property value. The unique identifier of the application that created the page. Read-only.
     * @returns a string
     */
    get createdByAppId() {
        return this._createdByAppId;
    }
    ;
    /**
     * Sets the createdByAppId property value. The unique identifier of the application that created the page. Read-only.
     * @param value Value to set for the createdByAppId property.
     */
    set createdByAppId(value) {
        this._createdByAppId = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "content": n => { this.content = n.getStringValue(); }, "contentUrl": n => { this.contentUrl = n.getStringValue(); }, "createdByAppId": n => { this.createdByAppId = n.getStringValue(); }, "lastModifiedDateTime": n => { this.lastModifiedDateTime = n.getDateValue(); }, "level": n => { this.level = n.getNumberValue(); }, "links": n => { this.links = n.getObjectValue(createPageLinksFromDiscriminatorValue_1.createPageLinksFromDiscriminatorValue); }, "order": n => { this.order = n.getNumberValue(); }, "parentNotebook": n => { this.parentNotebook = n.getObjectValue(createNotebookFromDiscriminatorValue_1.createNotebookFromDiscriminatorValue); }, "parentSection": n => { this.parentSection = n.getObjectValue(createOnenoteSectionFromDiscriminatorValue_1.createOnenoteSectionFromDiscriminatorValue); }, "title": n => { this.title = n.getStringValue(); }, "userTags": n => { this.userTags = n.getCollectionOfPrimitiveValues(); } });
    }
    ;
    /**
     * Gets the lastModifiedDateTime property value. The date and time when the page was last modified. The timestamp represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Read-only.
     * @returns a Date
     */
    get lastModifiedDateTime() {
        return this._lastModifiedDateTime;
    }
    ;
    /**
     * Sets the lastModifiedDateTime property value. The date and time when the page was last modified. The timestamp represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Read-only.
     * @param value Value to set for the lastModifiedDateTime property.
     */
    set lastModifiedDateTime(value) {
        this._lastModifiedDateTime = value;
    }
    ;
    /**
     * Gets the level property value. The indentation level of the page. Read-only.
     * @returns a integer
     */
    get level() {
        return this._level;
    }
    ;
    /**
     * Sets the level property value. The indentation level of the page. Read-only.
     * @param value Value to set for the level property.
     */
    set level(value) {
        this._level = value;
    }
    ;
    /**
     * Gets the links property value. Links for opening the page. The oneNoteClientURL link opens the page in the OneNote native client if it 's installed. The oneNoteWebUrl link opens the page in OneNote on the web. Read-only.
     * @returns a pageLinks
     */
    get links() {
        return this._links;
    }
    ;
    /**
     * Sets the links property value. Links for opening the page. The oneNoteClientURL link opens the page in the OneNote native client if it 's installed. The oneNoteWebUrl link opens the page in OneNote on the web. Read-only.
     * @param value Value to set for the links property.
     */
    set links(value) {
        this._links = value;
    }
    ;
    /**
     * Gets the order property value. The order of the page within its parent section. Read-only.
     * @returns a integer
     */
    get order() {
        return this._order;
    }
    ;
    /**
     * Sets the order property value. The order of the page within its parent section. Read-only.
     * @param value Value to set for the order property.
     */
    set order(value) {
        this._order = value;
    }
    ;
    /**
     * Gets the parentNotebook property value. The notebook that contains the page.  Read-only.
     * @returns a notebook
     */
    get parentNotebook() {
        return this._parentNotebook;
    }
    ;
    /**
     * Sets the parentNotebook property value. The notebook that contains the page.  Read-only.
     * @param value Value to set for the parentNotebook property.
     */
    set parentNotebook(value) {
        this._parentNotebook = value;
    }
    ;
    /**
     * Gets the parentSection property value. The section that contains the page. Read-only.
     * @returns a onenoteSection
     */
    get parentSection() {
        return this._parentSection;
    }
    ;
    /**
     * Sets the parentSection property value. The section that contains the page. Read-only.
     * @param value Value to set for the parentSection property.
     */
    set parentSection(value) {
        this._parentSection = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("content", this.content);
        writer.writeStringValue("contentUrl", this.contentUrl);
        writer.writeStringValue("createdByAppId", this.createdByAppId);
        writer.writeDateValue("lastModifiedDateTime", this.lastModifiedDateTime);
        writer.writeNumberValue("level", this.level);
        writer.writeObjectValue("links", this.links);
        writer.writeNumberValue("order", this.order);
        writer.writeObjectValue("parentNotebook", this.parentNotebook);
        writer.writeObjectValue("parentSection", this.parentSection);
        writer.writeStringValue("title", this.title);
        writer.writeCollectionOfPrimitiveValues("userTags", this.userTags);
    }
    ;
    /**
     * Gets the title property value. The title of the page.
     * @returns a string
     */
    get title() {
        return this._title;
    }
    ;
    /**
     * Sets the title property value. The title of the page.
     * @param value Value to set for the title property.
     */
    set title(value) {
        this._title = value;
    }
    ;
    /**
     * Gets the userTags property value. The userTags property
     * @returns a string
     */
    get userTags() {
        return this._userTags;
    }
    ;
    /**
     * Sets the userTags property value. The userTags property
     * @param value Value to set for the userTags property.
     */
    set userTags(value) {
        this._userTags = value;
    }
    ;
}
exports.OnenotePage = OnenotePage;
