"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OnenotePagePreview = void 0;
const createOnenotePagePreviewLinksFromDiscriminatorValue_1 = require("./createOnenotePagePreviewLinksFromDiscriminatorValue");
class OnenotePagePreview {
    /**
     * Instantiates a new OnenotePagePreview and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "links": n => { this.links = n.getObjectValue(createOnenotePagePreviewLinksFromDiscriminatorValue_1.createOnenotePagePreviewLinksFromDiscriminatorValue); },
            "previewText": n => { this.previewText = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the links property value. The links property
     * @returns a onenotePagePreviewLinks
     */
    get links() {
        return this._links;
    }
    ;
    /**
     * Sets the links property value. The links property
     * @param value Value to set for the links property.
     */
    set links(value) {
        this._links = value;
    }
    ;
    /**
     * Gets the previewText property value. The previewText property
     * @returns a string
     */
    get previewText() {
        return this._previewText;
    }
    ;
    /**
     * Sets the previewText property value. The previewText property
     * @param value Value to set for the previewText property.
     */
    set previewText(value) {
        this._previewText = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeObjectValue("links", this.links);
        writer.writeStringValue("previewText", this.previewText);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.OnenotePagePreview = OnenotePagePreview;
