import { OnenotePatchActionType } from './onenotePatchActionType';
import { OnenotePatchInsertPosition } from './onenotePatchInsertPosition';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class OnenotePatchContentCommand implements AdditionalDataHolder, Parsable {
    /** The action to perform on the target element. Possible values are: replace, append, delete, insert, or prepend. */
    private _action?;
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** A string of well-formed HTML to add to the page, and any image or file binary data. If the content contains binary data, the request must be sent using the multipart/form-data content type with a 'Commands' part. */
    private _content?;
    /** The location to add the supplied content, relative to the target element. Possible values are: after (default) or before. */
    private _position?;
    /** The element to update. Must be the #<data-id> or the generated {id} of the element, or the body or title keyword. */
    private _target?;
    /**
     * Gets the action property value. The action to perform on the target element. Possible values are: replace, append, delete, insert, or prepend.
     * @returns a onenotePatchActionType
     */
    get action(): OnenotePatchActionType | undefined;
    /**
     * Sets the action property value. The action to perform on the target element. Possible values are: replace, append, delete, insert, or prepend.
     * @param value Value to set for the action property.
     */
    set action(value: OnenotePatchActionType | undefined);
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Instantiates a new onenotePatchContentCommand and sets the default values.
     */
    constructor();
    /**
     * Gets the content property value. A string of well-formed HTML to add to the page, and any image or file binary data. If the content contains binary data, the request must be sent using the multipart/form-data content type with a 'Commands' part.
     * @returns a string
     */
    get content(): string | undefined;
    /**
     * Sets the content property value. A string of well-formed HTML to add to the page, and any image or file binary data. If the content contains binary data, the request must be sent using the multipart/form-data content type with a 'Commands' part.
     * @param value Value to set for the content property.
     */
    set content(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the position property value. The location to add the supplied content, relative to the target element. Possible values are: after (default) or before.
     * @returns a onenotePatchInsertPosition
     */
    get position(): OnenotePatchInsertPosition | undefined;
    /**
     * Sets the position property value. The location to add the supplied content, relative to the target element. Possible values are: after (default) or before.
     * @param value Value to set for the position property.
     */
    set position(value: OnenotePatchInsertPosition | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the target property value. The element to update. Must be the #<data-id> or the generated {id} of the element, or the body or title keyword.
     * @returns a string
     */
    get target(): string | undefined;
    /**
     * Sets the target property value. The element to update. Must be the #<data-id> or the generated {id} of the element, or the body or title keyword.
     * @param value Value to set for the target property.
     */
    set target(value: string | undefined);
}
