import { Notebook, OnenoteEntityHierarchyModel, OnenotePage, SectionGroup, SectionLinks } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Casts the previous resource to user. */
export declare class OnenoteSection extends OnenoteEntityHierarchyModel implements Parsable {
    /** Indicates whether this is the user's default section. Read-only. */
    private _isDefault?;
    /** Links for opening the section. The oneNoteClientURL link opens the section in the OneNote native client if it's installed. The oneNoteWebURL link opens the section in OneNote on the web. */
    private _links?;
    /** The collection of pages in the section.  Read-only. Nullable. */
    private _pages?;
    /** The pages endpoint where you can get details for all the pages in the section. Read-only. */
    private _pagesUrl?;
    /** The notebook that contains the section.  Read-only. */
    private _parentNotebook?;
    /** The section group that contains the section.  Read-only. */
    private _parentSectionGroup?;
    /**
     * Instantiates a new onenoteSection and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the isDefault property value. Indicates whether this is the user's default section. Read-only.
     * @returns a boolean
     */
    get isDefault(): boolean | undefined;
    /**
     * Sets the isDefault property value. Indicates whether this is the user's default section. Read-only.
     * @param value Value to set for the isDefault property.
     */
    set isDefault(value: boolean | undefined);
    /**
     * Gets the links property value. Links for opening the section. The oneNoteClientURL link opens the section in the OneNote native client if it's installed. The oneNoteWebURL link opens the section in OneNote on the web.
     * @returns a sectionLinks
     */
    get links(): SectionLinks | undefined;
    /**
     * Sets the links property value. Links for opening the section. The oneNoteClientURL link opens the section in the OneNote native client if it's installed. The oneNoteWebURL link opens the section in OneNote on the web.
     * @param value Value to set for the links property.
     */
    set links(value: SectionLinks | undefined);
    /**
     * Gets the pages property value. The collection of pages in the section.  Read-only. Nullable.
     * @returns a onenotePage
     */
    get pages(): OnenotePage[] | undefined;
    /**
     * Sets the pages property value. The collection of pages in the section.  Read-only. Nullable.
     * @param value Value to set for the pages property.
     */
    set pages(value: OnenotePage[] | undefined);
    /**
     * Gets the pagesUrl property value. The pages endpoint where you can get details for all the pages in the section. Read-only.
     * @returns a string
     */
    get pagesUrl(): string | undefined;
    /**
     * Sets the pagesUrl property value. The pages endpoint where you can get details for all the pages in the section. Read-only.
     * @param value Value to set for the pagesUrl property.
     */
    set pagesUrl(value: string | undefined);
    /**
     * Gets the parentNotebook property value. The notebook that contains the section.  Read-only.
     * @returns a notebook
     */
    get parentNotebook(): Notebook | undefined;
    /**
     * Sets the parentNotebook property value. The notebook that contains the section.  Read-only.
     * @param value Value to set for the parentNotebook property.
     */
    set parentNotebook(value: Notebook | undefined);
    /**
     * Gets the parentSectionGroup property value. The section group that contains the section.  Read-only.
     * @returns a sectionGroup
     */
    get parentSectionGroup(): SectionGroup | undefined;
    /**
     * Sets the parentSectionGroup property value. The section group that contains the section.  Read-only.
     * @param value Value to set for the parentSectionGroup property.
     */
    set parentSectionGroup(value: SectionGroup | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
