"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OnenoteSection = void 0;
const createNotebookFromDiscriminatorValue_1 = require("./createNotebookFromDiscriminatorValue");
const createOnenotePageFromDiscriminatorValue_1 = require("./createOnenotePageFromDiscriminatorValue");
const createSectionGroupFromDiscriminatorValue_1 = require("./createSectionGroupFromDiscriminatorValue");
const createSectionLinksFromDiscriminatorValue_1 = require("./createSectionLinksFromDiscriminatorValue");
const index_1 = require("./index");
/** Casts the previous resource to user. */
class OnenoteSection extends index_1.OnenoteEntityHierarchyModel {
    /**
     * Instantiates a new onenoteSection and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "isDefault": n => { this.isDefault = n.getBooleanValue(); }, "links": n => { this.links = n.getObjectValue(createSectionLinksFromDiscriminatorValue_1.createSectionLinksFromDiscriminatorValue); }, "pages": n => { this.pages = n.getCollectionOfObjectValues(createOnenotePageFromDiscriminatorValue_1.createOnenotePageFromDiscriminatorValue); }, "pagesUrl": n => { this.pagesUrl = n.getStringValue(); }, "parentNotebook": n => { this.parentNotebook = n.getObjectValue(createNotebookFromDiscriminatorValue_1.createNotebookFromDiscriminatorValue); }, "parentSectionGroup": n => { this.parentSectionGroup = n.getObjectValue(createSectionGroupFromDiscriminatorValue_1.createSectionGroupFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the isDefault property value. Indicates whether this is the user's default section. Read-only.
     * @returns a boolean
     */
    get isDefault() {
        return this._isDefault;
    }
    ;
    /**
     * Sets the isDefault property value. Indicates whether this is the user's default section. Read-only.
     * @param value Value to set for the isDefault property.
     */
    set isDefault(value) {
        this._isDefault = value;
    }
    ;
    /**
     * Gets the links property value. Links for opening the section. The oneNoteClientURL link opens the section in the OneNote native client if it's installed. The oneNoteWebURL link opens the section in OneNote on the web.
     * @returns a sectionLinks
     */
    get links() {
        return this._links;
    }
    ;
    /**
     * Sets the links property value. Links for opening the section. The oneNoteClientURL link opens the section in the OneNote native client if it's installed. The oneNoteWebURL link opens the section in OneNote on the web.
     * @param value Value to set for the links property.
     */
    set links(value) {
        this._links = value;
    }
    ;
    /**
     * Gets the pages property value. The collection of pages in the section.  Read-only. Nullable.
     * @returns a onenotePage
     */
    get pages() {
        return this._pages;
    }
    ;
    /**
     * Sets the pages property value. The collection of pages in the section.  Read-only. Nullable.
     * @param value Value to set for the pages property.
     */
    set pages(value) {
        this._pages = value;
    }
    ;
    /**
     * Gets the pagesUrl property value. The pages endpoint where you can get details for all the pages in the section. Read-only.
     * @returns a string
     */
    get pagesUrl() {
        return this._pagesUrl;
    }
    ;
    /**
     * Sets the pagesUrl property value. The pages endpoint where you can get details for all the pages in the section. Read-only.
     * @param value Value to set for the pagesUrl property.
     */
    set pagesUrl(value) {
        this._pagesUrl = value;
    }
    ;
    /**
     * Gets the parentNotebook property value. The notebook that contains the section.  Read-only.
     * @returns a notebook
     */
    get parentNotebook() {
        return this._parentNotebook;
    }
    ;
    /**
     * Sets the parentNotebook property value. The notebook that contains the section.  Read-only.
     * @param value Value to set for the parentNotebook property.
     */
    set parentNotebook(value) {
        this._parentNotebook = value;
    }
    ;
    /**
     * Gets the parentSectionGroup property value. The section group that contains the section.  Read-only.
     * @returns a sectionGroup
     */
    get parentSectionGroup() {
        return this._parentSectionGroup;
    }
    ;
    /**
     * Sets the parentSectionGroup property value. The section group that contains the section.  Read-only.
     * @param value Value to set for the parentSectionGroup property.
     */
    set parentSectionGroup(value) {
        this._parentSectionGroup = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeBooleanValue("isDefault", this.isDefault);
        writer.writeObjectValue("links", this.links);
        writer.writeCollectionOfObjectValues("pages", this.pages);
        writer.writeStringValue("pagesUrl", this.pagesUrl);
        writer.writeObjectValue("parentNotebook", this.parentNotebook);
        writer.writeObjectValue("parentSectionGroup", this.parentSectionGroup);
    }
    ;
}
exports.OnenoteSection = OnenoteSection;
