"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OnlineMeeting = void 0;
const createAudioConferencingFromDiscriminatorValue_1 = require("./createAudioConferencingFromDiscriminatorValue");
const createBroadcastMeetingSettingsFromDiscriminatorValue_1 = require("./createBroadcastMeetingSettingsFromDiscriminatorValue");
const createChatInfoFromDiscriminatorValue_1 = require("./createChatInfoFromDiscriminatorValue");
const createItemBodyFromDiscriminatorValue_1 = require("./createItemBodyFromDiscriminatorValue");
const createLobbyBypassSettingsFromDiscriminatorValue_1 = require("./createLobbyBypassSettingsFromDiscriminatorValue");
const createMeetingAttendanceReportFromDiscriminatorValue_1 = require("./createMeetingAttendanceReportFromDiscriminatorValue");
const createMeetingParticipantsFromDiscriminatorValue_1 = require("./createMeetingParticipantsFromDiscriminatorValue");
const index_1 = require("./index");
const meetingChatMode_1 = require("./meetingChatMode");
const onlineMeetingPresenters_1 = require("./onlineMeetingPresenters");
/** Provides operations to manage the cloudCommunications singleton. */
class OnlineMeeting extends index_1.Entity {
    /**
     * Instantiates a new onlineMeeting and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the allowAttendeeToEnableCamera property value. Indicates whether attendees can turn on their camera.
     * @returns a boolean
     */
    get allowAttendeeToEnableCamera() {
        return this._allowAttendeeToEnableCamera;
    }
    ;
    /**
     * Sets the allowAttendeeToEnableCamera property value. Indicates whether attendees can turn on their camera.
     * @param value Value to set for the allowAttendeeToEnableCamera property.
     */
    set allowAttendeeToEnableCamera(value) {
        this._allowAttendeeToEnableCamera = value;
    }
    ;
    /**
     * Gets the allowAttendeeToEnableMic property value. Indicates whether attendees can turn on their microphone.
     * @returns a boolean
     */
    get allowAttendeeToEnableMic() {
        return this._allowAttendeeToEnableMic;
    }
    ;
    /**
     * Sets the allowAttendeeToEnableMic property value. Indicates whether attendees can turn on their microphone.
     * @param value Value to set for the allowAttendeeToEnableMic property.
     */
    set allowAttendeeToEnableMic(value) {
        this._allowAttendeeToEnableMic = value;
    }
    ;
    /**
     * Gets the allowedPresenters property value. Specifies who can be a presenter in a meeting.
     * @returns a onlineMeetingPresenters
     */
    get allowedPresenters() {
        return this._allowedPresenters;
    }
    ;
    /**
     * Sets the allowedPresenters property value. Specifies who can be a presenter in a meeting.
     * @param value Value to set for the allowedPresenters property.
     */
    set allowedPresenters(value) {
        this._allowedPresenters = value;
    }
    ;
    /**
     * Gets the allowMeetingChat property value. Specifies the mode of meeting chat.
     * @returns a meetingChatMode
     */
    get allowMeetingChat() {
        return this._allowMeetingChat;
    }
    ;
    /**
     * Sets the allowMeetingChat property value. Specifies the mode of meeting chat.
     * @param value Value to set for the allowMeetingChat property.
     */
    set allowMeetingChat(value) {
        this._allowMeetingChat = value;
    }
    ;
    /**
     * Gets the allowTeamworkReactions property value. Indicates if Teams reactions are enabled for the meeting.
     * @returns a boolean
     */
    get allowTeamworkReactions() {
        return this._allowTeamworkReactions;
    }
    ;
    /**
     * Sets the allowTeamworkReactions property value. Indicates if Teams reactions are enabled for the meeting.
     * @param value Value to set for the allowTeamworkReactions property.
     */
    set allowTeamworkReactions(value) {
        this._allowTeamworkReactions = value;
    }
    ;
    /**
     * Gets the attendanceReports property value. The attendance reports of an online meeting. Read-only.
     * @returns a meetingAttendanceReport
     */
    get attendanceReports() {
        return this._attendanceReports;
    }
    ;
    /**
     * Sets the attendanceReports property value. The attendance reports of an online meeting. Read-only.
     * @param value Value to set for the attendanceReports property.
     */
    set attendanceReports(value) {
        this._attendanceReports = value;
    }
    ;
    /**
     * Gets the attendeeReport property value. The content stream of the attendee report of a Teams live event. Read-only.
     * @returns a binary
     */
    get attendeeReport() {
        return this._attendeeReport;
    }
    ;
    /**
     * Sets the attendeeReport property value. The content stream of the attendee report of a Teams live event. Read-only.
     * @param value Value to set for the attendeeReport property.
     */
    set attendeeReport(value) {
        this._attendeeReport = value;
    }
    ;
    /**
     * Gets the audioConferencing property value. The phone access (dial-in) information for an online meeting. Read-only.
     * @returns a audioConferencing
     */
    get audioConferencing() {
        return this._audioConferencing;
    }
    ;
    /**
     * Sets the audioConferencing property value. The phone access (dial-in) information for an online meeting. Read-only.
     * @param value Value to set for the audioConferencing property.
     */
    set audioConferencing(value) {
        this._audioConferencing = value;
    }
    ;
    /**
     * Gets the broadcastSettings property value. Settings related to a live event.
     * @returns a broadcastMeetingSettings
     */
    get broadcastSettings() {
        return this._broadcastSettings;
    }
    ;
    /**
     * Sets the broadcastSettings property value. Settings related to a live event.
     * @param value Value to set for the broadcastSettings property.
     */
    set broadcastSettings(value) {
        this._broadcastSettings = value;
    }
    ;
    /**
     * Gets the chatInfo property value. The chat information associated with this online meeting.
     * @returns a chatInfo
     */
    get chatInfo() {
        return this._chatInfo;
    }
    ;
    /**
     * Sets the chatInfo property value. The chat information associated with this online meeting.
     * @param value Value to set for the chatInfo property.
     */
    set chatInfo(value) {
        this._chatInfo = value;
    }
    ;
    ;
    /**
     * Gets the creationDateTime property value. The meeting creation time in UTC. Read-only.
     * @returns a Date
     */
    get creationDateTime() {
        return this._creationDateTime;
    }
    ;
    /**
     * Sets the creationDateTime property value. The meeting creation time in UTC. Read-only.
     * @param value Value to set for the creationDateTime property.
     */
    set creationDateTime(value) {
        this._creationDateTime = value;
    }
    ;
    /**
     * Gets the endDateTime property value. The meeting end time in UTC.
     * @returns a Date
     */
    get endDateTime() {
        return this._endDateTime;
    }
    ;
    /**
     * Sets the endDateTime property value. The meeting end time in UTC.
     * @param value Value to set for the endDateTime property.
     */
    set endDateTime(value) {
        this._endDateTime = value;
    }
    ;
    /**
     * Gets the externalId property value. The external ID. A custom ID. Optional.
     * @returns a string
     */
    get externalId() {
        return this._externalId;
    }
    ;
    /**
     * Sets the externalId property value. The external ID. A custom ID. Optional.
     * @param value Value to set for the externalId property.
     */
    set externalId(value) {
        this._externalId = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "allowAttendeeToEnableCamera": n => { this.allowAttendeeToEnableCamera = n.getBooleanValue(); }, "allowAttendeeToEnableMic": n => { this.allowAttendeeToEnableMic = n.getBooleanValue(); }, "allowedPresenters": n => { this.allowedPresenters = n.getEnumValue(onlineMeetingPresenters_1.OnlineMeetingPresenters); }, "allowMeetingChat": n => { this.allowMeetingChat = n.getEnumValue(meetingChatMode_1.MeetingChatMode); }, "allowTeamworkReactions": n => { this.allowTeamworkReactions = n.getBooleanValue(); }, "attendanceReports": n => { this.attendanceReports = n.getCollectionOfObjectValues(createMeetingAttendanceReportFromDiscriminatorValue_1.createMeetingAttendanceReportFromDiscriminatorValue); }, "attendeeReport": n => { this.attendeeReport = n.getStringValue(); }, "audioConferencing": n => { this.audioConferencing = n.getObjectValue(createAudioConferencingFromDiscriminatorValue_1.createAudioConferencingFromDiscriminatorValue); }, "broadcastSettings": n => { this.broadcastSettings = n.getObjectValue(createBroadcastMeetingSettingsFromDiscriminatorValue_1.createBroadcastMeetingSettingsFromDiscriminatorValue); }, "chatInfo": n => { this.chatInfo = n.getObjectValue(createChatInfoFromDiscriminatorValue_1.createChatInfoFromDiscriminatorValue); }, "creationDateTime": n => { this.creationDateTime = n.getDateValue(); }, "endDateTime": n => { this.endDateTime = n.getDateValue(); }, "externalId": n => { this.externalId = n.getStringValue(); }, "isBroadcast": n => { this.isBroadcast = n.getBooleanValue(); }, "isEntryExitAnnounced": n => { this.isEntryExitAnnounced = n.getBooleanValue(); }, "joinInformation": n => { this.joinInformation = n.getObjectValue(createItemBodyFromDiscriminatorValue_1.createItemBodyFromDiscriminatorValue); }, "joinWebUrl": n => { this.joinWebUrl = n.getStringValue(); }, "lobbyBypassSettings": n => { this.lobbyBypassSettings = n.getObjectValue(createLobbyBypassSettingsFromDiscriminatorValue_1.createLobbyBypassSettingsFromDiscriminatorValue); }, "participants": n => { this.participants = n.getObjectValue(createMeetingParticipantsFromDiscriminatorValue_1.createMeetingParticipantsFromDiscriminatorValue); }, "recordAutomatically": n => { this.recordAutomatically = n.getBooleanValue(); }, "startDateTime": n => { this.startDateTime = n.getDateValue(); }, "subject": n => { this.subject = n.getStringValue(); }, "videoTeleconferenceId": n => { this.videoTeleconferenceId = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the isBroadcast property value. Indicates whether this is a Teams live event.
     * @returns a boolean
     */
    get isBroadcast() {
        return this._isBroadcast;
    }
    ;
    /**
     * Sets the isBroadcast property value. Indicates whether this is a Teams live event.
     * @param value Value to set for the isBroadcast property.
     */
    set isBroadcast(value) {
        this._isBroadcast = value;
    }
    ;
    /**
     * Gets the isEntryExitAnnounced property value. Indicates whether to announce when callers join or leave.
     * @returns a boolean
     */
    get isEntryExitAnnounced() {
        return this._isEntryExitAnnounced;
    }
    ;
    /**
     * Sets the isEntryExitAnnounced property value. Indicates whether to announce when callers join or leave.
     * @param value Value to set for the isEntryExitAnnounced property.
     */
    set isEntryExitAnnounced(value) {
        this._isEntryExitAnnounced = value;
    }
    ;
    /**
     * Gets the joinInformation property value. The join information in the language and locale variant specified in 'Accept-Language' request HTTP header. Read-only.
     * @returns a itemBody
     */
    get joinInformation() {
        return this._joinInformation;
    }
    ;
    /**
     * Sets the joinInformation property value. The join information in the language and locale variant specified in 'Accept-Language' request HTTP header. Read-only.
     * @param value Value to set for the joinInformation property.
     */
    set joinInformation(value) {
        this._joinInformation = value;
    }
    ;
    /**
     * Gets the joinWebUrl property value. The join URL of the online meeting. Read-only.
     * @returns a string
     */
    get joinWebUrl() {
        return this._joinWebUrl;
    }
    ;
    /**
     * Sets the joinWebUrl property value. The join URL of the online meeting. Read-only.
     * @param value Value to set for the joinWebUrl property.
     */
    set joinWebUrl(value) {
        this._joinWebUrl = value;
    }
    ;
    /**
     * Gets the lobbyBypassSettings property value. Specifies which participants can bypass the meeting lobby.
     * @returns a lobbyBypassSettings
     */
    get lobbyBypassSettings() {
        return this._lobbyBypassSettings;
    }
    ;
    /**
     * Sets the lobbyBypassSettings property value. Specifies which participants can bypass the meeting lobby.
     * @param value Value to set for the lobbyBypassSettings property.
     */
    set lobbyBypassSettings(value) {
        this._lobbyBypassSettings = value;
    }
    ;
    /**
     * Gets the participants property value. The participants associated with the online meeting. This includes the organizer and the attendees.
     * @returns a meetingParticipants
     */
    get participants() {
        return this._participants;
    }
    ;
    /**
     * Sets the participants property value. The participants associated with the online meeting. This includes the organizer and the attendees.
     * @param value Value to set for the participants property.
     */
    set participants(value) {
        this._participants = value;
    }
    ;
    /**
     * Gets the recordAutomatically property value. Indicates whether to record the meeting automatically.
     * @returns a boolean
     */
    get recordAutomatically() {
        return this._recordAutomatically;
    }
    ;
    /**
     * Sets the recordAutomatically property value. Indicates whether to record the meeting automatically.
     * @param value Value to set for the recordAutomatically property.
     */
    set recordAutomatically(value) {
        this._recordAutomatically = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeBooleanValue("allowAttendeeToEnableCamera", this.allowAttendeeToEnableCamera);
        writer.writeBooleanValue("allowAttendeeToEnableMic", this.allowAttendeeToEnableMic);
        writer.writeEnumValue("allowedPresenters", this.allowedPresenters);
        writer.writeEnumValue("allowMeetingChat", this.allowMeetingChat);
        writer.writeBooleanValue("allowTeamworkReactions", this.allowTeamworkReactions);
        writer.writeCollectionOfObjectValues("attendanceReports", this.attendanceReports);
        writer.writeStringValue("attendeeReport", this.attendeeReport);
        writer.writeObjectValue("audioConferencing", this.audioConferencing);
        writer.writeObjectValue("broadcastSettings", this.broadcastSettings);
        writer.writeObjectValue("chatInfo", this.chatInfo);
        writer.writeDateValue("creationDateTime", this.creationDateTime);
        writer.writeDateValue("endDateTime", this.endDateTime);
        writer.writeStringValue("externalId", this.externalId);
        writer.writeBooleanValue("isBroadcast", this.isBroadcast);
        writer.writeBooleanValue("isEntryExitAnnounced", this.isEntryExitAnnounced);
        writer.writeObjectValue("joinInformation", this.joinInformation);
        writer.writeStringValue("joinWebUrl", this.joinWebUrl);
        writer.writeObjectValue("lobbyBypassSettings", this.lobbyBypassSettings);
        writer.writeObjectValue("participants", this.participants);
        writer.writeBooleanValue("recordAutomatically", this.recordAutomatically);
        writer.writeDateValue("startDateTime", this.startDateTime);
        writer.writeStringValue("subject", this.subject);
        writer.writeStringValue("videoTeleconferenceId", this.videoTeleconferenceId);
    }
    ;
    /**
     * Gets the startDateTime property value. The meeting start time in UTC.
     * @returns a Date
     */
    get startDateTime() {
        return this._startDateTime;
    }
    ;
    /**
     * Sets the startDateTime property value. The meeting start time in UTC.
     * @param value Value to set for the startDateTime property.
     */
    set startDateTime(value) {
        this._startDateTime = value;
    }
    ;
    /**
     * Gets the subject property value. The subject of the online meeting.
     * @returns a string
     */
    get subject() {
        return this._subject;
    }
    ;
    /**
     * Sets the subject property value. The subject of the online meeting.
     * @param value Value to set for the subject property.
     */
    set subject(value) {
        this._subject = value;
    }
    ;
    /**
     * Gets the videoTeleconferenceId property value. The video teleconferencing ID. Read-only.
     * @returns a string
     */
    get videoTeleconferenceId() {
        return this._videoTeleconferenceId;
    }
    ;
    /**
     * Sets the videoTeleconferenceId property value. The video teleconferencing ID. Read-only.
     * @param value Value to set for the videoTeleconferenceId property.
     */
    set videoTeleconferenceId(value) {
        this._videoTeleconferenceId = value;
    }
    ;
}
exports.OnlineMeeting = OnlineMeeting;
