import { ShiftItem } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Casts the previous resource to user. */
export declare class OpenShiftItem extends ShiftItem implements Parsable {
    /** Count of the number of slots for the given open shift. */
    private _openSlotCount?;
    /**
     * Instantiates a new openShiftItem and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the openSlotCount property value. Count of the number of slots for the given open shift.
     * @returns a integer
     */
    get openSlotCount(): number | undefined;
    /**
     * Sets the openSlotCount property value. Count of the number of slots for the given open shift.
     * @param value Value to set for the openSlotCount property.
     */
    set openSlotCount(value: number | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
