import { OptionalClaim } from './index';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class OptionalClaims implements AdditionalDataHolder, Parsable {
    /** The optional claims returned in the JWT access token. */
    private _accessToken?;
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The optional claims returned in the JWT ID token. */
    private _idToken?;
    /** The optional claims returned in the SAML token. */
    private _saml2Token?;
    /**
     * Gets the accessToken property value. The optional claims returned in the JWT access token.
     * @returns a optionalClaim
     */
    get accessToken(): OptionalClaim[] | undefined;
    /**
     * Sets the accessToken property value. The optional claims returned in the JWT access token.
     * @param value Value to set for the accessToken property.
     */
    set accessToken(value: OptionalClaim[] | undefined);
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Instantiates a new optionalClaims and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the idToken property value. The optional claims returned in the JWT ID token.
     * @returns a optionalClaim
     */
    get idToken(): OptionalClaim[] | undefined;
    /**
     * Sets the idToken property value. The optional claims returned in the JWT ID token.
     * @param value Value to set for the idToken property.
     */
    set idToken(value: OptionalClaim[] | undefined);
    /**
     * Gets the saml2Token property value. The optional claims returned in the SAML token.
     * @returns a optionalClaim
     */
    get saml2Token(): OptionalClaim[] | undefined;
    /**
     * Sets the saml2Token property value. The optional claims returned in the SAML token.
     * @param value Value to set for the saml2Token property.
     */
    set saml2Token(value: OptionalClaim[] | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
