"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OptionalClaims = void 0;
const createOptionalClaimFromDiscriminatorValue_1 = require("./createOptionalClaimFromDiscriminatorValue");
class OptionalClaims {
    /**
     * Instantiates a new optionalClaims and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the accessToken property value. The optional claims returned in the JWT access token.
     * @returns a optionalClaim
     */
    get accessToken() {
        return this._accessToken;
    }
    ;
    /**
     * Sets the accessToken property value. The optional claims returned in the JWT access token.
     * @param value Value to set for the accessToken property.
     */
    set accessToken(value) {
        this._accessToken = value;
    }
    ;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "accessToken": n => { this.accessToken = n.getCollectionOfObjectValues(createOptionalClaimFromDiscriminatorValue_1.createOptionalClaimFromDiscriminatorValue); },
            "idToken": n => { this.idToken = n.getCollectionOfObjectValues(createOptionalClaimFromDiscriminatorValue_1.createOptionalClaimFromDiscriminatorValue); },
            "saml2Token": n => { this.saml2Token = n.getCollectionOfObjectValues(createOptionalClaimFromDiscriminatorValue_1.createOptionalClaimFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Gets the idToken property value. The optional claims returned in the JWT ID token.
     * @returns a optionalClaim
     */
    get idToken() {
        return this._idToken;
    }
    ;
    /**
     * Sets the idToken property value. The optional claims returned in the JWT ID token.
     * @param value Value to set for the idToken property.
     */
    set idToken(value) {
        this._idToken = value;
    }
    ;
    /**
     * Gets the saml2Token property value. The optional claims returned in the SAML token.
     * @returns a optionalClaim
     */
    get saml2Token() {
        return this._saml2Token;
    }
    ;
    /**
     * Sets the saml2Token property value. The optional claims returned in the SAML token.
     * @param value Value to set for the saml2Token property.
     */
    set saml2Token(value) {
        this._saml2Token = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeCollectionOfObjectValues("accessToken", this.accessToken);
        writer.writeCollectionOfObjectValues("idToken", this.idToken);
        writer.writeCollectionOfObjectValues("saml2Token", this.saml2Token);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.OptionalClaims = OptionalClaims;
