"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OrganizationalBranding = void 0;
const createOrganizationalBrandingLocalizationFromDiscriminatorValue_1 = require("./createOrganizationalBrandingLocalizationFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the organizationalBranding singleton. */
class OrganizationalBranding extends index_1.OrganizationalBrandingProperties {
    /**
     * Instantiates a new organizationalBranding and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "localizations": n => { this.localizations = n.getCollectionOfObjectValues(createOrganizationalBrandingLocalizationFromDiscriminatorValue_1.createOrganizationalBrandingLocalizationFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the localizations property value. Add different branding based on a locale.
     * @returns a organizationalBrandingLocalization
     */
    get localizations() {
        return this._localizations;
    }
    ;
    /**
     * Sets the localizations property value. Add different branding based on a locale.
     * @param value Value to set for the localizations property.
     */
    set localizations(value) {
        this._localizations = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("localizations", this.localizations);
    }
    ;
}
exports.OrganizationalBranding = OrganizationalBranding;
