"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OutlookCategory = void 0;
const categoryColor_1 = require("./categoryColor");
const index_1 = require("./index");
/** Casts the previous resource to user. */
class OutlookCategory extends index_1.Entity {
    /**
     * Instantiates a new outlookCategory and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the color property value. A pre-set color constant that characterizes a category, and that is mapped to one of 25 predefined colors. See the note below.
     * @returns a categoryColor
     */
    get color() {
        return this._color;
    }
    ;
    /**
     * Sets the color property value. A pre-set color constant that characterizes a category, and that is mapped to one of 25 predefined colors. See the note below.
     * @param value Value to set for the color property.
     */
    set color(value) {
        this._color = value;
    }
    ;
    ;
    /**
     * Gets the displayName property value. A unique name that identifies a category in the user's mailbox. After a category is created, the name cannot be changed. Read-only.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. A unique name that identifies a category in the user's mailbox. After a category is created, the name cannot be changed. Read-only.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "color": n => { this.color = n.getEnumValue(categoryColor_1.CategoryColor); }, "displayName": n => { this.displayName = n.getStringValue(); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeEnumValue("color", this.color);
        writer.writeStringValue("displayName", this.displayName);
    }
    ;
}
exports.OutlookCategory = OutlookCategory;
