import { ExternalLink } from './index';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class PageLinks implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** Opens the page in the OneNote native client if it's installed. */
    private _oneNoteClientUrl?;
    /** Opens the page in OneNote on the web. */
    private _oneNoteWebUrl?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Instantiates a new pageLinks and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the oneNoteClientUrl property value. Opens the page in the OneNote native client if it's installed.
     * @returns a externalLink
     */
    get oneNoteClientUrl(): ExternalLink | undefined;
    /**
     * Sets the oneNoteClientUrl property value. Opens the page in the OneNote native client if it's installed.
     * @param value Value to set for the oneNoteClientUrl property.
     */
    set oneNoteClientUrl(value: ExternalLink | undefined);
    /**
     * Gets the oneNoteWebUrl property value. Opens the page in OneNote on the web.
     * @returns a externalLink
     */
    get oneNoteWebUrl(): ExternalLink | undefined;
    /**
     * Sets the oneNoteWebUrl property value. Opens the page in OneNote on the web.
     * @param value Value to set for the oneNoteWebUrl property.
     */
    set oneNoteWebUrl(value: ExternalLink | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
