"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Participant = void 0;
const createMediaStreamFromDiscriminatorValue_1 = require("./createMediaStreamFromDiscriminatorValue");
const createParticipantInfoFromDiscriminatorValue_1 = require("./createParticipantInfoFromDiscriminatorValue");
const createRecordingInfoFromDiscriminatorValue_1 = require("./createRecordingInfoFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the cloudCommunications singleton. */
class Participant extends index_1.Entity {
    /**
     * Instantiates a new participant and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "info": n => { this.info = n.getObjectValue(createParticipantInfoFromDiscriminatorValue_1.createParticipantInfoFromDiscriminatorValue); }, "isInLobby": n => { this.isInLobby = n.getBooleanValue(); }, "isMuted": n => { this.isMuted = n.getBooleanValue(); }, "mediaStreams": n => { this.mediaStreams = n.getCollectionOfObjectValues(createMediaStreamFromDiscriminatorValue_1.createMediaStreamFromDiscriminatorValue); }, "metadata": n => { this.metadata = n.getStringValue(); }, "recordingInfo": n => { this.recordingInfo = n.getObjectValue(createRecordingInfoFromDiscriminatorValue_1.createRecordingInfoFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the info property value. The info property
     * @returns a participantInfo
     */
    get info() {
        return this._info;
    }
    ;
    /**
     * Sets the info property value. The info property
     * @param value Value to set for the info property.
     */
    set info(value) {
        this._info = value;
    }
    ;
    /**
     * Gets the isInLobby property value. true if the participant is in lobby.
     * @returns a boolean
     */
    get isInLobby() {
        return this._isInLobby;
    }
    ;
    /**
     * Sets the isInLobby property value. true if the participant is in lobby.
     * @param value Value to set for the isInLobby property.
     */
    set isInLobby(value) {
        this._isInLobby = value;
    }
    ;
    /**
     * Gets the isMuted property value. true if the participant is muted (client or server muted).
     * @returns a boolean
     */
    get isMuted() {
        return this._isMuted;
    }
    ;
    /**
     * Sets the isMuted property value. true if the participant is muted (client or server muted).
     * @param value Value to set for the isMuted property.
     */
    set isMuted(value) {
        this._isMuted = value;
    }
    ;
    /**
     * Gets the mediaStreams property value. The list of media streams.
     * @returns a mediaStream
     */
    get mediaStreams() {
        return this._mediaStreams;
    }
    ;
    /**
     * Sets the mediaStreams property value. The list of media streams.
     * @param value Value to set for the mediaStreams property.
     */
    set mediaStreams(value) {
        this._mediaStreams = value;
    }
    ;
    /**
     * Gets the metadata property value. A blob of data provided by the participant in the roster.
     * @returns a string
     */
    get metadata() {
        return this._metadata;
    }
    ;
    /**
     * Sets the metadata property value. A blob of data provided by the participant in the roster.
     * @param value Value to set for the metadata property.
     */
    set metadata(value) {
        this._metadata = value;
    }
    ;
    /**
     * Gets the recordingInfo property value. Information on whether the participant has recording capability.
     * @returns a recordingInfo
     */
    get recordingInfo() {
        return this._recordingInfo;
    }
    ;
    /**
     * Sets the recordingInfo property value. Information on whether the participant has recording capability.
     * @param value Value to set for the recordingInfo property.
     */
    set recordingInfo(value) {
        this._recordingInfo = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("info", this.info);
        writer.writeBooleanValue("isInLobby", this.isInLobby);
        writer.writeBooleanValue("isMuted", this.isMuted);
        writer.writeCollectionOfObjectValues("mediaStreams", this.mediaStreams);
        writer.writeStringValue("metadata", this.metadata);
        writer.writeObjectValue("recordingInfo", this.recordingInfo);
    }
    ;
}
exports.Participant = Participant;
