import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class PasswordCredential implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** Do not use. */
    private _customKeyIdentifier?;
    /** Friendly name for the password. Optional. */
    private _displayName?;
    /** The date and time at which the password expires represented using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Optional. */
    private _endDateTime?;
    /** Contains the first three characters of the password. Read-only. */
    private _hint?;
    /** The unique identifier for the password. */
    private _keyId?;
    /** Read-only; Contains the strong passwords generated by Azure AD that are 16-64 characters in length. The generated password value is only returned during the initial POST request to addPassword. There is no way to retrieve this password in the future. */
    private _secretText?;
    /** The date and time at which the password becomes valid. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Optional. */
    private _startDateTime?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Instantiates a new passwordCredential and sets the default values.
     */
    constructor();
    /**
     * Gets the customKeyIdentifier property value. Do not use.
     * @returns a binary
     */
    get customKeyIdentifier(): string | undefined;
    /**
     * Sets the customKeyIdentifier property value. Do not use.
     * @param value Value to set for the customKeyIdentifier property.
     */
    set customKeyIdentifier(value: string | undefined);
    /**
     * Gets the displayName property value. Friendly name for the password. Optional.
     * @returns a string
     */
    get displayName(): string | undefined;
    /**
     * Sets the displayName property value. Friendly name for the password. Optional.
     * @param value Value to set for the displayName property.
     */
    set displayName(value: string | undefined);
    /**
     * Gets the endDateTime property value. The date and time at which the password expires represented using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Optional.
     * @returns a Date
     */
    get endDateTime(): Date | undefined;
    /**
     * Sets the endDateTime property value. The date and time at which the password expires represented using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Optional.
     * @param value Value to set for the endDateTime property.
     */
    set endDateTime(value: Date | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the hint property value. Contains the first three characters of the password. Read-only.
     * @returns a string
     */
    get hint(): string | undefined;
    /**
     * Sets the hint property value. Contains the first three characters of the password. Read-only.
     * @param value Value to set for the hint property.
     */
    set hint(value: string | undefined);
    /**
     * Gets the keyId property value. The unique identifier for the password.
     * @returns a string
     */
    get keyId(): string | undefined;
    /**
     * Sets the keyId property value. The unique identifier for the password.
     * @param value Value to set for the keyId property.
     */
    set keyId(value: string | undefined);
    /**
     * Gets the secretText property value. Read-only; Contains the strong passwords generated by Azure AD that are 16-64 characters in length. The generated password value is only returned during the initial POST request to addPassword. There is no way to retrieve this password in the future.
     * @returns a string
     */
    get secretText(): string | undefined;
    /**
     * Sets the secretText property value. Read-only; Contains the strong passwords generated by Azure AD that are 16-64 characters in length. The generated password value is only returned during the initial POST request to addPassword. There is no way to retrieve this password in the future.
     * @param value Value to set for the secretText property.
     */
    set secretText(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the startDateTime property value. The date and time at which the password becomes valid. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Optional.
     * @returns a Date
     */
    get startDateTime(): Date | undefined;
    /**
     * Sets the startDateTime property value. The date and time at which the password becomes valid. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Optional.
     * @param value Value to set for the startDateTime property.
     */
    set startDateTime(value: Date | undefined);
}
