"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PendingContentUpdate = void 0;
class PendingContentUpdate {
    /**
     * Instantiates a new pendingContentUpdate and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "queuedDateTime": n => { this.queuedDateTime = n.getDateValue(); },
        };
    }
    ;
    /**
     * Gets the queuedDateTime property value. Date and time the pending binary operation was queued in UTC time. Read-only.
     * @returns a Date
     */
    get queuedDateTime() {
        return this._queuedDateTime;
    }
    ;
    /**
     * Sets the queuedDateTime property value. Date and time the pending binary operation was queued in UTC time. Read-only.
     * @param value Value to set for the queuedDateTime property.
     */
    set queuedDateTime(value) {
        this._queuedDateTime = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeDateValue("queuedDateTime", this.queuedDateTime);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.PendingContentUpdate = PendingContentUpdate;
