"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PendingOperations = void 0;
const createPendingContentUpdateFromDiscriminatorValue_1 = require("./createPendingContentUpdateFromDiscriminatorValue");
class PendingOperations {
    /**
     * Instantiates a new pendingOperations and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "pendingContentUpdate": n => { this.pendingContentUpdate = n.getObjectValue(createPendingContentUpdateFromDiscriminatorValue_1.createPendingContentUpdateFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Gets the pendingContentUpdate property value. A property that indicates that an operation that might update the binary content of a file is pending completion.
     * @returns a pendingContentUpdate
     */
    get pendingContentUpdate() {
        return this._pendingContentUpdate;
    }
    ;
    /**
     * Sets the pendingContentUpdate property value. A property that indicates that an operation that might update the binary content of a file is pending completion.
     * @param value Value to set for the pendingContentUpdate property.
     */
    set pendingContentUpdate(value) {
        this._pendingContentUpdate = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeObjectValue("pendingContentUpdate", this.pendingContentUpdate);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.PendingOperations = PendingOperations;
