"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Permission = void 0;
const createIdentitySetFromDiscriminatorValue_1 = require("./createIdentitySetFromDiscriminatorValue");
const createItemReferenceFromDiscriminatorValue_1 = require("./createItemReferenceFromDiscriminatorValue");
const createSharePointIdentitySetFromDiscriminatorValue_1 = require("./createSharePointIdentitySetFromDiscriminatorValue");
const createSharingInvitationFromDiscriminatorValue_1 = require("./createSharingInvitationFromDiscriminatorValue");
const createSharingLinkFromDiscriminatorValue_1 = require("./createSharingLinkFromDiscriminatorValue");
const index_1 = require("./index");
/** Casts the previous resource to user. */
class Permission extends index_1.Entity {
    /**
     * Instantiates a new permission and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the expirationDateTime property value. A format of yyyy-MM-ddTHH:mm:ssZ of DateTimeOffset indicates the expiration time of the permission. DateTime.MinValue indicates there is no expiration set for this permission. Optional.
     * @returns a Date
     */
    get expirationDateTime() {
        return this._expirationDateTime;
    }
    ;
    /**
     * Sets the expirationDateTime property value. A format of yyyy-MM-ddTHH:mm:ssZ of DateTimeOffset indicates the expiration time of the permission. DateTime.MinValue indicates there is no expiration set for this permission. Optional.
     * @param value Value to set for the expirationDateTime property.
     */
    set expirationDateTime(value) {
        this._expirationDateTime = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "expirationDateTime": n => { this.expirationDateTime = n.getDateValue(); }, "grantedTo": n => { this.grantedTo = n.getObjectValue(createIdentitySetFromDiscriminatorValue_1.createIdentitySetFromDiscriminatorValue); }, "grantedToIdentities": n => { this.grantedToIdentities = n.getCollectionOfObjectValues(createIdentitySetFromDiscriminatorValue_1.createIdentitySetFromDiscriminatorValue); }, "grantedToIdentitiesV2": n => { this.grantedToIdentitiesV2 = n.getCollectionOfObjectValues(createSharePointIdentitySetFromDiscriminatorValue_1.createSharePointIdentitySetFromDiscriminatorValue); }, "grantedToV2": n => { this.grantedToV2 = n.getObjectValue(createSharePointIdentitySetFromDiscriminatorValue_1.createSharePointIdentitySetFromDiscriminatorValue); }, "hasPassword": n => { this.hasPassword = n.getBooleanValue(); }, "inheritedFrom": n => { this.inheritedFrom = n.getObjectValue(createItemReferenceFromDiscriminatorValue_1.createItemReferenceFromDiscriminatorValue); }, "invitation": n => { this.invitation = n.getObjectValue(createSharingInvitationFromDiscriminatorValue_1.createSharingInvitationFromDiscriminatorValue); }, "link": n => { this.link = n.getObjectValue(createSharingLinkFromDiscriminatorValue_1.createSharingLinkFromDiscriminatorValue); }, "roles": n => { this.roles = n.getCollectionOfPrimitiveValues(); }, "shareId": n => { this.shareId = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the grantedTo property value. The grantedTo property
     * @returns a identitySet
     */
    get grantedTo() {
        return this._grantedTo;
    }
    ;
    /**
     * Sets the grantedTo property value. The grantedTo property
     * @param value Value to set for the grantedTo property.
     */
    set grantedTo(value) {
        this._grantedTo = value;
    }
    ;
    /**
     * Gets the grantedToIdentities property value. The grantedToIdentities property
     * @returns a identitySet
     */
    get grantedToIdentities() {
        return this._grantedToIdentities;
    }
    ;
    /**
     * Sets the grantedToIdentities property value. The grantedToIdentities property
     * @param value Value to set for the grantedToIdentities property.
     */
    set grantedToIdentities(value) {
        this._grantedToIdentities = value;
    }
    ;
    /**
     * Gets the grantedToIdentitiesV2 property value. For link type permissions, the details of the users to whom permission was granted. Read-only.
     * @returns a sharePointIdentitySet
     */
    get grantedToIdentitiesV2() {
        return this._grantedToIdentitiesV2;
    }
    ;
    /**
     * Sets the grantedToIdentitiesV2 property value. For link type permissions, the details of the users to whom permission was granted. Read-only.
     * @param value Value to set for the grantedToIdentitiesV2 property.
     */
    set grantedToIdentitiesV2(value) {
        this._grantedToIdentitiesV2 = value;
    }
    ;
    /**
     * Gets the grantedToV2 property value. For user type permissions, the details of the users and applications for this permission. Read-only.
     * @returns a sharePointIdentitySet
     */
    get grantedToV2() {
        return this._grantedToV2;
    }
    ;
    /**
     * Sets the grantedToV2 property value. For user type permissions, the details of the users and applications for this permission. Read-only.
     * @param value Value to set for the grantedToV2 property.
     */
    set grantedToV2(value) {
        this._grantedToV2 = value;
    }
    ;
    /**
     * Gets the hasPassword property value. Indicates whether the password is set for this permission. This property only appears in the response. Optional. Read-only. For OneDrive Personal only.
     * @returns a boolean
     */
    get hasPassword() {
        return this._hasPassword;
    }
    ;
    /**
     * Sets the hasPassword property value. Indicates whether the password is set for this permission. This property only appears in the response. Optional. Read-only. For OneDrive Personal only.
     * @param value Value to set for the hasPassword property.
     */
    set hasPassword(value) {
        this._hasPassword = value;
    }
    ;
    /**
     * Gets the inheritedFrom property value. Provides a reference to the ancestor of the current permission, if it is inherited from an ancestor. Read-only.
     * @returns a itemReference
     */
    get inheritedFrom() {
        return this._inheritedFrom;
    }
    ;
    /**
     * Sets the inheritedFrom property value. Provides a reference to the ancestor of the current permission, if it is inherited from an ancestor. Read-only.
     * @param value Value to set for the inheritedFrom property.
     */
    set inheritedFrom(value) {
        this._inheritedFrom = value;
    }
    ;
    /**
     * Gets the invitation property value. Details of any associated sharing invitation for this permission. Read-only.
     * @returns a sharingInvitation
     */
    get invitation() {
        return this._invitation;
    }
    ;
    /**
     * Sets the invitation property value. Details of any associated sharing invitation for this permission. Read-only.
     * @param value Value to set for the invitation property.
     */
    set invitation(value) {
        this._invitation = value;
    }
    ;
    /**
     * Gets the link property value. Provides the link details of the current permission, if it is a link type permissions. Read-only.
     * @returns a sharingLink
     */
    get link() {
        return this._link;
    }
    ;
    /**
     * Sets the link property value. Provides the link details of the current permission, if it is a link type permissions. Read-only.
     * @param value Value to set for the link property.
     */
    set link(value) {
        this._link = value;
    }
    ;
    /**
     * Gets the roles property value. The type of permission, for example, read. See below for the full list of roles. Read-only.
     * @returns a string
     */
    get roles() {
        return this._roles;
    }
    ;
    /**
     * Sets the roles property value. The type of permission, for example, read. See below for the full list of roles. Read-only.
     * @param value Value to set for the roles property.
     */
    set roles(value) {
        this._roles = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeDateValue("expirationDateTime", this.expirationDateTime);
        writer.writeObjectValue("grantedTo", this.grantedTo);
        writer.writeCollectionOfObjectValues("grantedToIdentities", this.grantedToIdentities);
        writer.writeCollectionOfObjectValues("grantedToIdentitiesV2", this.grantedToIdentitiesV2);
        writer.writeObjectValue("grantedToV2", this.grantedToV2);
        writer.writeBooleanValue("hasPassword", this.hasPassword);
        writer.writeObjectValue("inheritedFrom", this.inheritedFrom);
        writer.writeObjectValue("invitation", this.invitation);
        writer.writeObjectValue("link", this.link);
        writer.writeCollectionOfPrimitiveValues("roles", this.roles);
        writer.writeStringValue("shareId", this.shareId);
    }
    ;
    /**
     * Gets the shareId property value. A unique token that can be used to access this shared item via the [shares API][]. Read-only.
     * @returns a string
     */
    get shareId() {
        return this._shareId;
    }
    ;
    /**
     * Sets the shareId property value. A unique token that can be used to access this shared item via the [shares API][]. Read-only.
     * @param value Value to set for the shareId property.
     */
    set shareId(value) {
        this._shareId = value;
    }
    ;
}
exports.Permission = Permission;
