import { PermissionGrantConditionSet, PolicyBase } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the policyRoot singleton. */
export declare class PermissionGrantPolicy extends PolicyBase implements Parsable {
    /** Condition sets which are excluded in this permission grant policy. Automatically expanded on GET. */
    private _excludes?;
    /** Condition sets which are included in this permission grant policy. Automatically expanded on GET. */
    private _includes?;
    /**
     * Instantiates a new permissionGrantPolicy and sets the default values.
     */
    constructor();
    /**
     * Gets the excludes property value. Condition sets which are excluded in this permission grant policy. Automatically expanded on GET.
     * @returns a permissionGrantConditionSet
     */
    get excludes(): PermissionGrantConditionSet[] | undefined;
    /**
     * Sets the excludes property value. Condition sets which are excluded in this permission grant policy. Automatically expanded on GET.
     * @param value Value to set for the excludes property.
     */
    set excludes(value: PermissionGrantConditionSet[] | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the includes property value. Condition sets which are included in this permission grant policy. Automatically expanded on GET.
     * @returns a permissionGrantConditionSet
     */
    get includes(): PermissionGrantConditionSet[] | undefined;
    /**
     * Sets the includes property value. Condition sets which are included in this permission grant policy. Automatically expanded on GET.
     * @param value Value to set for the includes property.
     */
    set includes(value: PermissionGrantConditionSet[] | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
