import { ConditionalAccessSessionControl } from './index';
import { PersistentBrowserSessionMode } from './persistentBrowserSessionMode';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the identityContainer singleton. */
export declare class PersistentBrowserSessionControl extends ConditionalAccessSessionControl implements Parsable {
    /** Possible values are: always, never. */
    private _mode?;
    /**
     * Instantiates a new persistentBrowserSessionControl and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the mode property value. Possible values are: always, never.
     * @returns a persistentBrowserSessionMode
     */
    get mode(): PersistentBrowserSessionMode | undefined;
    /**
     * Sets the mode property value. Possible values are: always, never.
     * @param value Value to set for the mode property.
     */
    set mode(value: PersistentBrowserSessionMode | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
