"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PersistentBrowserSessionControl = void 0;
const index_1 = require("./index");
const persistentBrowserSessionMode_1 = require("./persistentBrowserSessionMode");
/** Provides operations to manage the identityContainer singleton. */
class PersistentBrowserSessionControl extends index_1.ConditionalAccessSessionControl {
    /**
     * Instantiates a new persistentBrowserSessionControl and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "mode": n => { this.mode = n.getEnumValue(persistentBrowserSessionMode_1.PersistentBrowserSessionMode); } });
    }
    ;
    /**
     * Gets the mode property value. Possible values are: always, never.
     * @returns a persistentBrowserSessionMode
     */
    get mode() {
        return this._mode;
    }
    ;
    /**
     * Sets the mode property value. Possible values are: always, never.
     * @param value Value to set for the mode property.
     */
    set mode(value) {
        this._mode = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeEnumValue("mode", this.mode);
    }
    ;
}
exports.PersistentBrowserSessionControl = PersistentBrowserSessionControl;
