import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class PersonType implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The type of data source, such as Person. */
    private _class_escaped?;
    /** The secondary type of data source, such as OrganizationUser. */
    private _subclass?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the class property value. The type of data source, such as Person.
     * @returns a string
     */
    get class_escaped(): string | undefined;
    /**
     * Sets the class property value. The type of data source, such as Person.
     * @param value Value to set for the class_escaped property.
     */
    set class_escaped(value: string | undefined);
    /**
     * Instantiates a new personType and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the subclass property value. The secondary type of data source, such as OrganizationUser.
     * @returns a string
     */
    get subclass(): string | undefined;
    /**
     * Sets the subclass property value. The secondary type of data source, such as OrganizationUser.
     * @param value Value to set for the subclass property.
     */
    set subclass(value: string | undefined);
}
