import { PhoneType } from './phoneType';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class Phone implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The language property */
    private _language?;
    /** The phone number. */
    private _number?;
    /** The region property */
    private _region?;
    /** The type of phone number. Possible values are: home, business, mobile, other, assistant, homeFax, businessFax, otherFax, pager, radio. */
    private _type?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Instantiates a new phone and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the language property value. The language property
     * @returns a string
     */
    get language(): string | undefined;
    /**
     * Sets the language property value. The language property
     * @param value Value to set for the language property.
     */
    set language(value: string | undefined);
    /**
     * Gets the number property value. The phone number.
     * @returns a string
     */
    get number(): string | undefined;
    /**
     * Sets the number property value. The phone number.
     * @param value Value to set for the number property.
     */
    set number(value: string | undefined);
    /**
     * Gets the region property value. The region property
     * @returns a string
     */
    get region(): string | undefined;
    /**
     * Sets the region property value. The region property
     * @param value Value to set for the region property.
     */
    set region(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the type property value. The type of phone number. Possible values are: home, business, mobile, other, assistant, homeFax, businessFax, otherFax, pager, radio.
     * @returns a phoneType
     */
    get type(): PhoneType | undefined;
    /**
     * Sets the type property value. The type of phone number. Possible values are: home, business, mobile, other, assistant, homeFax, businessFax, otherFax, pager, radio.
     * @param value Value to set for the type property.
     */
    set type(value: PhoneType | undefined);
}
