"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Phone = void 0;
const phoneType_1 = require("./phoneType");
class Phone {
    /**
     * Instantiates a new phone and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "language": n => { this.language = n.getStringValue(); },
            "number": n => { this.number = n.getStringValue(); },
            "region": n => { this.region = n.getStringValue(); },
            "type": n => { this.type = n.getEnumValue(phoneType_1.PhoneType); },
        };
    }
    ;
    /**
     * Gets the language property value. The language property
     * @returns a string
     */
    get language() {
        return this._language;
    }
    ;
    /**
     * Sets the language property value. The language property
     * @param value Value to set for the language property.
     */
    set language(value) {
        this._language = value;
    }
    ;
    /**
     * Gets the number property value. The phone number.
     * @returns a string
     */
    get number() {
        return this._number;
    }
    ;
    /**
     * Sets the number property value. The phone number.
     * @param value Value to set for the number property.
     */
    set number(value) {
        this._number = value;
    }
    ;
    /**
     * Gets the region property value. The region property
     * @returns a string
     */
    get region() {
        return this._region;
    }
    ;
    /**
     * Sets the region property value. The region property
     * @param value Value to set for the region property.
     */
    set region(value) {
        this._region = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("language", this.language);
        writer.writeStringValue("number", this.number);
        writer.writeStringValue("region", this.region);
        writer.writeEnumValue("type", this.type);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the type property value. The type of phone number. Possible values are: home, business, mobile, other, assistant, homeFax, businessFax, otherFax, pager, radio.
     * @returns a phoneType
     */
    get type() {
        return this._type;
    }
    ;
    /**
     * Sets the type property value. The type of phone number. Possible values are: home, business, mobile, other, assistant, homeFax, businessFax, otherFax, pager, radio.
     * @param value Value to set for the type property.
     */
    set type(value) {
        this._type = value;
    }
    ;
}
exports.Phone = Phone;
