import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class PhysicalAddress implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The city. */
    private _city?;
    /** The country or region. It's a free-format string value, for example, 'United States'. */
    private _countryOrRegion?;
    /** The postal code. */
    private _postalCode?;
    /** The state. */
    private _state?;
    /** The street. */
    private _street?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the city property value. The city.
     * @returns a string
     */
    get city(): string | undefined;
    /**
     * Sets the city property value. The city.
     * @param value Value to set for the city property.
     */
    set city(value: string | undefined);
    /**
     * Instantiates a new physicalAddress and sets the default values.
     */
    constructor();
    /**
     * Gets the countryOrRegion property value. The country or region. It's a free-format string value, for example, 'United States'.
     * @returns a string
     */
    get countryOrRegion(): string | undefined;
    /**
     * Sets the countryOrRegion property value. The country or region. It's a free-format string value, for example, 'United States'.
     * @param value Value to set for the countryOrRegion property.
     */
    set countryOrRegion(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the postalCode property value. The postal code.
     * @returns a string
     */
    get postalCode(): string | undefined;
    /**
     * Sets the postalCode property value. The postal code.
     * @param value Value to set for the postalCode property.
     */
    set postalCode(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the state property value. The state.
     * @returns a string
     */
    get state(): string | undefined;
    /**
     * Sets the state property value. The state.
     * @param value Value to set for the state property.
     */
    set state(value: string | undefined);
    /**
     * Gets the street property value. The street.
     * @returns a string
     */
    get street(): string | undefined;
    /**
     * Sets the street property value. The street.
     * @param value Value to set for the street property.
     */
    set street(value: string | undefined);
}
