import { Entity, PlannerBucket, PlannerPlan, PlannerTask } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the planner singleton. */
export declare class Planner extends Entity implements Parsable {
    /** Read-only. Nullable. Returns a collection of the specified buckets */
    private _buckets?;
    /** Read-only. Nullable. Returns a collection of the specified plans */
    private _plans?;
    /** Read-only. Nullable. Returns a collection of the specified tasks */
    private _tasks?;
    /**
     * Gets the buckets property value. Read-only. Nullable. Returns a collection of the specified buckets
     * @returns a plannerBucket
     */
    get buckets(): PlannerBucket[] | undefined;
    /**
     * Sets the buckets property value. Read-only. Nullable. Returns a collection of the specified buckets
     * @param value Value to set for the buckets property.
     */
    set buckets(value: PlannerBucket[] | undefined);
    /**
     * Instantiates a new planner and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the plans property value. Read-only. Nullable. Returns a collection of the specified plans
     * @returns a plannerPlan
     */
    get plans(): PlannerPlan[] | undefined;
    /**
     * Sets the plans property value. Read-only. Nullable. Returns a collection of the specified plans
     * @param value Value to set for the plans property.
     */
    set plans(value: PlannerPlan[] | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the tasks property value. Read-only. Nullable. Returns a collection of the specified tasks
     * @returns a plannerTask
     */
    get tasks(): PlannerTask[] | undefined;
    /**
     * Sets the tasks property value. Read-only. Nullable. Returns a collection of the specified tasks
     * @param value Value to set for the tasks property.
     */
    set tasks(value: PlannerTask[] | undefined);
}
