"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Planner = void 0;
const createPlannerBucketFromDiscriminatorValue_1 = require("./createPlannerBucketFromDiscriminatorValue");
const createPlannerPlanFromDiscriminatorValue_1 = require("./createPlannerPlanFromDiscriminatorValue");
const createPlannerTaskFromDiscriminatorValue_1 = require("./createPlannerTaskFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the planner singleton. */
class Planner extends index_1.Entity {
    /**
     * Instantiates a new planner and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the buckets property value. Read-only. Nullable. Returns a collection of the specified buckets
     * @returns a plannerBucket
     */
    get buckets() {
        return this._buckets;
    }
    ;
    /**
     * Sets the buckets property value. Read-only. Nullable. Returns a collection of the specified buckets
     * @param value Value to set for the buckets property.
     */
    set buckets(value) {
        this._buckets = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "buckets": n => { this.buckets = n.getCollectionOfObjectValues(createPlannerBucketFromDiscriminatorValue_1.createPlannerBucketFromDiscriminatorValue); }, "plans": n => { this.plans = n.getCollectionOfObjectValues(createPlannerPlanFromDiscriminatorValue_1.createPlannerPlanFromDiscriminatorValue); }, "tasks": n => { this.tasks = n.getCollectionOfObjectValues(createPlannerTaskFromDiscriminatorValue_1.createPlannerTaskFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the plans property value. Read-only. Nullable. Returns a collection of the specified plans
     * @returns a plannerPlan
     */
    get plans() {
        return this._plans;
    }
    ;
    /**
     * Sets the plans property value. Read-only. Nullable. Returns a collection of the specified plans
     * @param value Value to set for the plans property.
     */
    set plans(value) {
        this._plans = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("buckets", this.buckets);
        writer.writeCollectionOfObjectValues("plans", this.plans);
        writer.writeCollectionOfObjectValues("tasks", this.tasks);
    }
    ;
    /**
     * Gets the tasks property value. Read-only. Nullable. Returns a collection of the specified tasks
     * @returns a plannerTask
     */
    get tasks() {
        return this._tasks;
    }
    ;
    /**
     * Sets the tasks property value. Read-only. Nullable. Returns a collection of the specified tasks
     * @param value Value to set for the tasks property.
     */
    set tasks(value) {
        this._tasks = value;
    }
    ;
}
exports.Planner = Planner;
