"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlannerAssignedToTaskBoardTaskFormat = void 0;
const createPlannerOrderHintsByAssigneeFromDiscriminatorValue_1 = require("./createPlannerOrderHintsByAssigneeFromDiscriminatorValue");
const index_1 = require("./index");
/** Casts the previous resource to user. */
class PlannerAssignedToTaskBoardTaskFormat extends index_1.Entity {
    /**
     * Instantiates a new plannerAssignedToTaskBoardTaskFormat and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "orderHintsByAssignee": n => { this.orderHintsByAssignee = n.getObjectValue(createPlannerOrderHintsByAssigneeFromDiscriminatorValue_1.createPlannerOrderHintsByAssigneeFromDiscriminatorValue); }, "unassignedOrderHint": n => { this.unassignedOrderHint = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the orderHintsByAssignee property value. Dictionary of hints used to order tasks on the AssignedTo view of the Task Board. The key of each entry is one of the users the task is assigned to and the value is the order hint. The format of each value is defined as outlined here.
     * @returns a plannerOrderHintsByAssignee
     */
    get orderHintsByAssignee() {
        return this._orderHintsByAssignee;
    }
    ;
    /**
     * Sets the orderHintsByAssignee property value. Dictionary of hints used to order tasks on the AssignedTo view of the Task Board. The key of each entry is one of the users the task is assigned to and the value is the order hint. The format of each value is defined as outlined here.
     * @param value Value to set for the orderHintsByAssignee property.
     */
    set orderHintsByAssignee(value) {
        this._orderHintsByAssignee = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("orderHintsByAssignee", this.orderHintsByAssignee);
        writer.writeStringValue("unassignedOrderHint", this.unassignedOrderHint);
    }
    ;
    /**
     * Gets the unassignedOrderHint property value. Hint value used to order the task on the AssignedTo view of the Task Board when the task is not assigned to anyone, or if the orderHintsByAssignee dictionary does not provide an order hint for the user the task is assigned to. The format is defined as outlined here.
     * @returns a string
     */
    get unassignedOrderHint() {
        return this._unassignedOrderHint;
    }
    ;
    /**
     * Sets the unassignedOrderHint property value. Hint value used to order the task on the AssignedTo view of the Task Board when the task is not assigned to anyone, or if the orderHintsByAssignee dictionary does not provide an order hint for the user the task is assigned to. The format is defined as outlined here.
     * @param value Value to set for the unassignedOrderHint property.
     */
    set unassignedOrderHint(value) {
        this._unassignedOrderHint = value;
    }
    ;
}
exports.PlannerAssignedToTaskBoardTaskFormat = PlannerAssignedToTaskBoardTaskFormat;
