"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlannerBucket = void 0;
const createPlannerTaskFromDiscriminatorValue_1 = require("./createPlannerTaskFromDiscriminatorValue");
const index_1 = require("./index");
/** Casts the previous resource to user. */
class PlannerBucket extends index_1.Entity {
    /**
     * Instantiates a new plannerBucket and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "name": n => { this.name = n.getStringValue(); }, "orderHint": n => { this.orderHint = n.getStringValue(); }, "planId": n => { this.planId = n.getStringValue(); }, "tasks": n => { this.tasks = n.getCollectionOfObjectValues(createPlannerTaskFromDiscriminatorValue_1.createPlannerTaskFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the name property value. Name of the bucket.
     * @returns a string
     */
    get name() {
        return this._name;
    }
    ;
    /**
     * Sets the name property value. Name of the bucket.
     * @param value Value to set for the name property.
     */
    set name(value) {
        this._name = value;
    }
    ;
    /**
     * Gets the orderHint property value. Hint used to order items of this type in a list view. The format is defined as outlined here.
     * @returns a string
     */
    get orderHint() {
        return this._orderHint;
    }
    ;
    /**
     * Sets the orderHint property value. Hint used to order items of this type in a list view. The format is defined as outlined here.
     * @param value Value to set for the orderHint property.
     */
    set orderHint(value) {
        this._orderHint = value;
    }
    ;
    /**
     * Gets the planId property value. Plan ID to which the bucket belongs.
     * @returns a string
     */
    get planId() {
        return this._planId;
    }
    ;
    /**
     * Sets the planId property value. Plan ID to which the bucket belongs.
     * @param value Value to set for the planId property.
     */
    set planId(value) {
        this._planId = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("name", this.name);
        writer.writeStringValue("orderHint", this.orderHint);
        writer.writeStringValue("planId", this.planId);
        writer.writeCollectionOfObjectValues("tasks", this.tasks);
    }
    ;
    /**
     * Gets the tasks property value. Read-only. Nullable. The collection of tasks in the bucket.
     * @returns a plannerTask
     */
    get tasks() {
        return this._tasks;
    }
    ;
    /**
     * Sets the tasks property value. Read-only. Nullable. The collection of tasks in the bucket.
     * @param value Value to set for the tasks property.
     */
    set tasks(value) {
        this._tasks = value;
    }
    ;
}
exports.PlannerBucket = PlannerBucket;
