import { Entity, IdentitySet, PlannerBucket, PlannerPlanContainer, PlannerPlanDetails, PlannerTask } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Casts the previous resource to user. */
export declare class PlannerPlan extends Entity implements Parsable {
    /** Collection of buckets in the plan. Read-only. Nullable. */
    private _buckets?;
    /** Identifies the container of the plan. After it is set, this property can’t be updated. Required. */
    private _container?;
    /** Read-only. The user who created the plan. */
    private _createdBy?;
    /** Read-only. Date and time at which the plan is created. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z */
    private _createdDateTime?;
    /** Additional details about the plan. Read-only. Nullable. */
    private _details?;
    /** The owner property */
    private _owner?;
    /** Collection of tasks in the plan. Read-only. Nullable. */
    private _tasks?;
    /** Required. Title of the plan. */
    private _title?;
    /**
     * Gets the buckets property value. Collection of buckets in the plan. Read-only. Nullable.
     * @returns a plannerBucket
     */
    get buckets(): PlannerBucket[] | undefined;
    /**
     * Sets the buckets property value. Collection of buckets in the plan. Read-only. Nullable.
     * @param value Value to set for the buckets property.
     */
    set buckets(value: PlannerBucket[] | undefined);
    /**
     * Instantiates a new plannerPlan and sets the default values.
     */
    constructor();
    /**
     * Gets the container property value. Identifies the container of the plan. After it is set, this property can’t be updated. Required.
     * @returns a plannerPlanContainer
     */
    get container(): PlannerPlanContainer | undefined;
    /**
     * Sets the container property value. Identifies the container of the plan. After it is set, this property can’t be updated. Required.
     * @param value Value to set for the container property.
     */
    set container(value: PlannerPlanContainer | undefined);
    /**
     * Gets the createdBy property value. Read-only. The user who created the plan.
     * @returns a identitySet
     */
    get createdBy(): IdentitySet | undefined;
    /**
     * Sets the createdBy property value. Read-only. The user who created the plan.
     * @param value Value to set for the createdBy property.
     */
    set createdBy(value: IdentitySet | undefined);
    /**
     * Gets the createdDateTime property value. Read-only. Date and time at which the plan is created. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @returns a Date
     */
    get createdDateTime(): Date | undefined;
    /**
     * Sets the createdDateTime property value. Read-only. Date and time at which the plan is created. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @param value Value to set for the createdDateTime property.
     */
    set createdDateTime(value: Date | undefined);
    /**
     * Gets the details property value. Additional details about the plan. Read-only. Nullable.
     * @returns a plannerPlanDetails
     */
    get details(): PlannerPlanDetails | undefined;
    /**
     * Sets the details property value. Additional details about the plan. Read-only. Nullable.
     * @param value Value to set for the details property.
     */
    set details(value: PlannerPlanDetails | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the owner property value. The owner property
     * @returns a string
     */
    get owner(): string | undefined;
    /**
     * Sets the owner property value. The owner property
     * @param value Value to set for the owner property.
     */
    set owner(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the tasks property value. Collection of tasks in the plan. Read-only. Nullable.
     * @returns a plannerTask
     */
    get tasks(): PlannerTask[] | undefined;
    /**
     * Sets the tasks property value. Collection of tasks in the plan. Read-only. Nullable.
     * @param value Value to set for the tasks property.
     */
    set tasks(value: PlannerTask[] | undefined);
    /**
     * Gets the title property value. Required. Title of the plan.
     * @returns a string
     */
    get title(): string | undefined;
    /**
     * Sets the title property value. Required. Title of the plan.
     * @param value Value to set for the title property.
     */
    set title(value: string | undefined);
}
