import { PlannerContainerType } from './plannerContainerType';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class PlannerPlanContainer implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The identifier of the resource that contains the plan. */
    private _containerId?;
    /** The type of the resource that contains the plan. See the previous table for supported types. Possible values are: group, unknownFutureValue, roster. Note that you must use the Prefer: include-unknown-enum-members request header to get the following value in this evolvable enum: roster. */
    private _type?;
    /** The full canonical URL of the container. */
    private _url?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Instantiates a new plannerPlanContainer and sets the default values.
     */
    constructor();
    /**
     * Gets the containerId property value. The identifier of the resource that contains the plan.
     * @returns a string
     */
    get containerId(): string | undefined;
    /**
     * Sets the containerId property value. The identifier of the resource that contains the plan.
     * @param value Value to set for the containerId property.
     */
    set containerId(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the type property value. The type of the resource that contains the plan. See the previous table for supported types. Possible values are: group, unknownFutureValue, roster. Note that you must use the Prefer: include-unknown-enum-members request header to get the following value in this evolvable enum: roster.
     * @returns a plannerContainerType
     */
    get type(): PlannerContainerType | undefined;
    /**
     * Sets the type property value. The type of the resource that contains the plan. See the previous table for supported types. Possible values are: group, unknownFutureValue, roster. Note that you must use the Prefer: include-unknown-enum-members request header to get the following value in this evolvable enum: roster.
     * @param value Value to set for the type property.
     */
    set type(value: PlannerContainerType | undefined);
    /**
     * Gets the url property value. The full canonical URL of the container.
     * @returns a string
     */
    get url(): string | undefined;
    /**
     * Sets the url property value. The full canonical URL of the container.
     * @param value Value to set for the url property.
     */
    set url(value: string | undefined);
}
