"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlannerPlanContainer = void 0;
const plannerContainerType_1 = require("./plannerContainerType");
class PlannerPlanContainer {
    /**
     * Instantiates a new plannerPlanContainer and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the containerId property value. The identifier of the resource that contains the plan.
     * @returns a string
     */
    get containerId() {
        return this._containerId;
    }
    ;
    /**
     * Sets the containerId property value. The identifier of the resource that contains the plan.
     * @param value Value to set for the containerId property.
     */
    set containerId(value) {
        this._containerId = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "containerId": n => { this.containerId = n.getStringValue(); },
            "type": n => { this.type = n.getEnumValue(plannerContainerType_1.PlannerContainerType); },
            "url": n => { this.url = n.getStringValue(); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("containerId", this.containerId);
        writer.writeEnumValue("type", this.type);
        writer.writeStringValue("url", this.url);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the type property value. The type of the resource that contains the plan. See the previous table for supported types. Possible values are: group, unknownFutureValue, roster. Note that you must use the Prefer: include-unknown-enum-members request header to get the following value in this evolvable enum: roster.
     * @returns a plannerContainerType
     */
    get type() {
        return this._type;
    }
    ;
    /**
     * Sets the type property value. The type of the resource that contains the plan. See the previous table for supported types. Possible values are: group, unknownFutureValue, roster. Note that you must use the Prefer: include-unknown-enum-members request header to get the following value in this evolvable enum: roster.
     * @param value Value to set for the type property.
     */
    set type(value) {
        this._type = value;
    }
    ;
    /**
     * Gets the url property value. The full canonical URL of the container.
     * @returns a string
     */
    get url() {
        return this._url;
    }
    ;
    /**
     * Sets the url property value. The full canonical URL of the container.
     * @param value Value to set for the url property.
     */
    set url(value) {
        this._url = value;
    }
    ;
}
exports.PlannerPlanContainer = PlannerPlanContainer;
