"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlannerPlanDetails = void 0;
const createPlannerCategoryDescriptionsFromDiscriminatorValue_1 = require("./createPlannerCategoryDescriptionsFromDiscriminatorValue");
const createPlannerUserIdsFromDiscriminatorValue_1 = require("./createPlannerUserIdsFromDiscriminatorValue");
const index_1 = require("./index");
/** Casts the previous resource to user. */
class PlannerPlanDetails extends index_1.Entity {
    /**
     * Instantiates a new plannerPlanDetails and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the categoryDescriptions property value. An object that specifies the descriptions of the 25 categories that can be associated with tasks in the plan
     * @returns a plannerCategoryDescriptions
     */
    get categoryDescriptions() {
        return this._categoryDescriptions;
    }
    ;
    /**
     * Sets the categoryDescriptions property value. An object that specifies the descriptions of the 25 categories that can be associated with tasks in the plan
     * @param value Value to set for the categoryDescriptions property.
     */
    set categoryDescriptions(value) {
        this._categoryDescriptions = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "categoryDescriptions": n => { this.categoryDescriptions = n.getObjectValue(createPlannerCategoryDescriptionsFromDiscriminatorValue_1.createPlannerCategoryDescriptionsFromDiscriminatorValue); }, "sharedWith": n => { this.sharedWith = n.getObjectValue(createPlannerUserIdsFromDiscriminatorValue_1.createPlannerUserIdsFromDiscriminatorValue); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("categoryDescriptions", this.categoryDescriptions);
        writer.writeObjectValue("sharedWith", this.sharedWith);
    }
    ;
    /**
     * Gets the sharedWith property value. The set of user IDs that this plan is shared with. If you are using Microsoft 365 groups, use the groups API to manage group membership to share the group's plan. You can also add existing members of the group to this collection, although it is not required in order for them to access the plan owned by the group.
     * @returns a plannerUserIds
     */
    get sharedWith() {
        return this._sharedWith;
    }
    ;
    /**
     * Sets the sharedWith property value. The set of user IDs that this plan is shared with. If you are using Microsoft 365 groups, use the groups API to manage group membership to share the group's plan. You can also add existing members of the group to this collection, although it is not required in order for them to access the plan owned by the group.
     * @param value Value to set for the sharedWith property.
     */
    set sharedWith(value) {
        this._sharedWith = value;
    }
    ;
}
exports.PlannerPlanDetails = PlannerPlanDetails;
