"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlannerTask = void 0;
const createIdentitySetFromDiscriminatorValue_1 = require("./createIdentitySetFromDiscriminatorValue");
const createPlannerAppliedCategoriesFromDiscriminatorValue_1 = require("./createPlannerAppliedCategoriesFromDiscriminatorValue");
const createPlannerAssignedToTaskBoardTaskFormatFromDiscriminatorValue_1 = require("./createPlannerAssignedToTaskBoardTaskFormatFromDiscriminatorValue");
const createPlannerAssignmentsFromDiscriminatorValue_1 = require("./createPlannerAssignmentsFromDiscriminatorValue");
const createPlannerBucketTaskBoardTaskFormatFromDiscriminatorValue_1 = require("./createPlannerBucketTaskBoardTaskFormatFromDiscriminatorValue");
const createPlannerProgressTaskBoardTaskFormatFromDiscriminatorValue_1 = require("./createPlannerProgressTaskBoardTaskFormatFromDiscriminatorValue");
const createPlannerTaskDetailsFromDiscriminatorValue_1 = require("./createPlannerTaskDetailsFromDiscriminatorValue");
const index_1 = require("./index");
const plannerPreviewType_1 = require("./plannerPreviewType");
/** Casts the previous resource to user. */
class PlannerTask extends index_1.Entity {
    /**
     * Instantiates a new plannerTask and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the activeChecklistItemCount property value. Number of checklist items with value set to false, representing incomplete items.
     * @returns a integer
     */
    get activeChecklistItemCount() {
        return this._activeChecklistItemCount;
    }
    ;
    /**
     * Sets the activeChecklistItemCount property value. Number of checklist items with value set to false, representing incomplete items.
     * @param value Value to set for the activeChecklistItemCount property.
     */
    set activeChecklistItemCount(value) {
        this._activeChecklistItemCount = value;
    }
    ;
    /**
     * Gets the appliedCategories property value. The categories to which the task has been applied. See applied Categories for possible values.
     * @returns a plannerAppliedCategories
     */
    get appliedCategories() {
        return this._appliedCategories;
    }
    ;
    /**
     * Sets the appliedCategories property value. The categories to which the task has been applied. See applied Categories for possible values.
     * @param value Value to set for the appliedCategories property.
     */
    set appliedCategories(value) {
        this._appliedCategories = value;
    }
    ;
    /**
     * Gets the assignedToTaskBoardFormat property value. Read-only. Nullable. Used to render the task correctly in the task board view when grouped by assignedTo.
     * @returns a plannerAssignedToTaskBoardTaskFormat
     */
    get assignedToTaskBoardFormat() {
        return this._assignedToTaskBoardFormat;
    }
    ;
    /**
     * Sets the assignedToTaskBoardFormat property value. Read-only. Nullable. Used to render the task correctly in the task board view when grouped by assignedTo.
     * @param value Value to set for the assignedToTaskBoardFormat property.
     */
    set assignedToTaskBoardFormat(value) {
        this._assignedToTaskBoardFormat = value;
    }
    ;
    /**
     * Gets the assigneePriority property value. Hint used to order items of this type in a list view. The format is defined as outlined here.
     * @returns a string
     */
    get assigneePriority() {
        return this._assigneePriority;
    }
    ;
    /**
     * Sets the assigneePriority property value. Hint used to order items of this type in a list view. The format is defined as outlined here.
     * @param value Value to set for the assigneePriority property.
     */
    set assigneePriority(value) {
        this._assigneePriority = value;
    }
    ;
    /**
     * Gets the assignments property value. The set of assignees the task is assigned to.
     * @returns a plannerAssignments
     */
    get assignments() {
        return this._assignments;
    }
    ;
    /**
     * Sets the assignments property value. The set of assignees the task is assigned to.
     * @param value Value to set for the assignments property.
     */
    set assignments(value) {
        this._assignments = value;
    }
    ;
    /**
     * Gets the bucketId property value. Bucket ID to which the task belongs. The bucket needs to be in the plan that the task is in. It is 28 characters long and case-sensitive. Format validation is done on the service.
     * @returns a string
     */
    get bucketId() {
        return this._bucketId;
    }
    ;
    /**
     * Sets the bucketId property value. Bucket ID to which the task belongs. The bucket needs to be in the plan that the task is in. It is 28 characters long and case-sensitive. Format validation is done on the service.
     * @param value Value to set for the bucketId property.
     */
    set bucketId(value) {
        this._bucketId = value;
    }
    ;
    /**
     * Gets the bucketTaskBoardFormat property value. Read-only. Nullable. Used to render the task correctly in the task board view when grouped by bucket.
     * @returns a plannerBucketTaskBoardTaskFormat
     */
    get bucketTaskBoardFormat() {
        return this._bucketTaskBoardFormat;
    }
    ;
    /**
     * Sets the bucketTaskBoardFormat property value. Read-only. Nullable. Used to render the task correctly in the task board view when grouped by bucket.
     * @param value Value to set for the bucketTaskBoardFormat property.
     */
    set bucketTaskBoardFormat(value) {
        this._bucketTaskBoardFormat = value;
    }
    ;
    /**
     * Gets the checklistItemCount property value. Number of checklist items that are present on the task.
     * @returns a integer
     */
    get checklistItemCount() {
        return this._checklistItemCount;
    }
    ;
    /**
     * Sets the checklistItemCount property value. Number of checklist items that are present on the task.
     * @param value Value to set for the checklistItemCount property.
     */
    set checklistItemCount(value) {
        this._checklistItemCount = value;
    }
    ;
    /**
     * Gets the completedBy property value. Identity of the user that completed the task.
     * @returns a identitySet
     */
    get completedBy() {
        return this._completedBy;
    }
    ;
    /**
     * Sets the completedBy property value. Identity of the user that completed the task.
     * @param value Value to set for the completedBy property.
     */
    set completedBy(value) {
        this._completedBy = value;
    }
    ;
    /**
     * Gets the completedDateTime property value. Read-only. Date and time at which the 'percentComplete' of the task is set to '100'. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @returns a Date
     */
    get completedDateTime() {
        return this._completedDateTime;
    }
    ;
    /**
     * Sets the completedDateTime property value. Read-only. Date and time at which the 'percentComplete' of the task is set to '100'. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @param value Value to set for the completedDateTime property.
     */
    set completedDateTime(value) {
        this._completedDateTime = value;
    }
    ;
    ;
    /**
     * Gets the conversationThreadId property value. Thread ID of the conversation on the task. This is the ID of the conversation thread object created in the group.
     * @returns a string
     */
    get conversationThreadId() {
        return this._conversationThreadId;
    }
    ;
    /**
     * Sets the conversationThreadId property value. Thread ID of the conversation on the task. This is the ID of the conversation thread object created in the group.
     * @param value Value to set for the conversationThreadId property.
     */
    set conversationThreadId(value) {
        this._conversationThreadId = value;
    }
    ;
    /**
     * Gets the createdBy property value. Identity of the user that created the task.
     * @returns a identitySet
     */
    get createdBy() {
        return this._createdBy;
    }
    ;
    /**
     * Sets the createdBy property value. Identity of the user that created the task.
     * @param value Value to set for the createdBy property.
     */
    set createdBy(value) {
        this._createdBy = value;
    }
    ;
    /**
     * Gets the createdDateTime property value. Read-only. Date and time at which the task is created. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @returns a Date
     */
    get createdDateTime() {
        return this._createdDateTime;
    }
    ;
    /**
     * Sets the createdDateTime property value. Read-only. Date and time at which the task is created. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @param value Value to set for the createdDateTime property.
     */
    set createdDateTime(value) {
        this._createdDateTime = value;
    }
    ;
    /**
     * Gets the details property value. Read-only. Nullable. Additional details about the task.
     * @returns a plannerTaskDetails
     */
    get details() {
        return this._details;
    }
    ;
    /**
     * Sets the details property value. Read-only. Nullable. Additional details about the task.
     * @param value Value to set for the details property.
     */
    set details(value) {
        this._details = value;
    }
    ;
    /**
     * Gets the dueDateTime property value. Date and time at which the task is due. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @returns a Date
     */
    get dueDateTime() {
        return this._dueDateTime;
    }
    ;
    /**
     * Sets the dueDateTime property value. Date and time at which the task is due. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @param value Value to set for the dueDateTime property.
     */
    set dueDateTime(value) {
        this._dueDateTime = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "activeChecklistItemCount": n => { this.activeChecklistItemCount = n.getNumberValue(); }, "appliedCategories": n => { this.appliedCategories = n.getObjectValue(createPlannerAppliedCategoriesFromDiscriminatorValue_1.createPlannerAppliedCategoriesFromDiscriminatorValue); }, "assignedToTaskBoardFormat": n => { this.assignedToTaskBoardFormat = n.getObjectValue(createPlannerAssignedToTaskBoardTaskFormatFromDiscriminatorValue_1.createPlannerAssignedToTaskBoardTaskFormatFromDiscriminatorValue); }, "assigneePriority": n => { this.assigneePriority = n.getStringValue(); }, "assignments": n => { this.assignments = n.getObjectValue(createPlannerAssignmentsFromDiscriminatorValue_1.createPlannerAssignmentsFromDiscriminatorValue); }, "bucketId": n => { this.bucketId = n.getStringValue(); }, "bucketTaskBoardFormat": n => { this.bucketTaskBoardFormat = n.getObjectValue(createPlannerBucketTaskBoardTaskFormatFromDiscriminatorValue_1.createPlannerBucketTaskBoardTaskFormatFromDiscriminatorValue); }, "checklistItemCount": n => { this.checklistItemCount = n.getNumberValue(); }, "completedBy": n => { this.completedBy = n.getObjectValue(createIdentitySetFromDiscriminatorValue_1.createIdentitySetFromDiscriminatorValue); }, "completedDateTime": n => { this.completedDateTime = n.getDateValue(); }, "conversationThreadId": n => { this.conversationThreadId = n.getStringValue(); }, "createdBy": n => { this.createdBy = n.getObjectValue(createIdentitySetFromDiscriminatorValue_1.createIdentitySetFromDiscriminatorValue); }, "createdDateTime": n => { this.createdDateTime = n.getDateValue(); }, "details": n => { this.details = n.getObjectValue(createPlannerTaskDetailsFromDiscriminatorValue_1.createPlannerTaskDetailsFromDiscriminatorValue); }, "dueDateTime": n => { this.dueDateTime = n.getDateValue(); }, "hasDescription": n => { this.hasDescription = n.getBooleanValue(); }, "orderHint": n => { this.orderHint = n.getStringValue(); }, "percentComplete": n => { this.percentComplete = n.getNumberValue(); }, "planId": n => { this.planId = n.getStringValue(); }, "previewType": n => { this.previewType = n.getEnumValue(plannerPreviewType_1.PlannerPreviewType); }, "priority": n => { this.priority = n.getNumberValue(); }, "progressTaskBoardFormat": n => { this.progressTaskBoardFormat = n.getObjectValue(createPlannerProgressTaskBoardTaskFormatFromDiscriminatorValue_1.createPlannerProgressTaskBoardTaskFormatFromDiscriminatorValue); }, "referenceCount": n => { this.referenceCount = n.getNumberValue(); }, "startDateTime": n => { this.startDateTime = n.getDateValue(); }, "title": n => { this.title = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the hasDescription property value. Read-only. Value is true if the details object of the task has a non-empty description and false otherwise.
     * @returns a boolean
     */
    get hasDescription() {
        return this._hasDescription;
    }
    ;
    /**
     * Sets the hasDescription property value. Read-only. Value is true if the details object of the task has a non-empty description and false otherwise.
     * @param value Value to set for the hasDescription property.
     */
    set hasDescription(value) {
        this._hasDescription = value;
    }
    ;
    /**
     * Gets the orderHint property value. Hint used to order items of this type in a list view. The format is defined as outlined here.
     * @returns a string
     */
    get orderHint() {
        return this._orderHint;
    }
    ;
    /**
     * Sets the orderHint property value. Hint used to order items of this type in a list view. The format is defined as outlined here.
     * @param value Value to set for the orderHint property.
     */
    set orderHint(value) {
        this._orderHint = value;
    }
    ;
    /**
     * Gets the percentComplete property value. Percentage of task completion. When set to 100, the task is considered completed.
     * @returns a integer
     */
    get percentComplete() {
        return this._percentComplete;
    }
    ;
    /**
     * Sets the percentComplete property value. Percentage of task completion. When set to 100, the task is considered completed.
     * @param value Value to set for the percentComplete property.
     */
    set percentComplete(value) {
        this._percentComplete = value;
    }
    ;
    /**
     * Gets the planId property value. Plan ID to which the task belongs.
     * @returns a string
     */
    get planId() {
        return this._planId;
    }
    ;
    /**
     * Sets the planId property value. Plan ID to which the task belongs.
     * @param value Value to set for the planId property.
     */
    set planId(value) {
        this._planId = value;
    }
    ;
    /**
     * Gets the previewType property value. This sets the type of preview that shows up on the task. Possible values are: automatic, noPreview, checklist, description, reference.
     * @returns a plannerPreviewType
     */
    get previewType() {
        return this._previewType;
    }
    ;
    /**
     * Sets the previewType property value. This sets the type of preview that shows up on the task. Possible values are: automatic, noPreview, checklist, description, reference.
     * @param value Value to set for the previewType property.
     */
    set previewType(value) {
        this._previewType = value;
    }
    ;
    /**
     * Gets the priority property value. Priority of the task. Valid range of values is between 0 and 10 (inclusive), with increasing value being lower priority (0 has the highest priority and 10 has the lowest priority).  Currently, Planner interprets values 0 and 1 as 'urgent', 2 and 3 and 4 as 'important', 5, 6, and 7 as 'medium', and 8, 9, and 10 as 'low'.  Currently, Planner sets the value 1 for 'urgent', 3 for 'important', 5 for 'medium', and 9 for 'low'.
     * @returns a integer
     */
    get priority() {
        return this._priority;
    }
    ;
    /**
     * Sets the priority property value. Priority of the task. Valid range of values is between 0 and 10 (inclusive), with increasing value being lower priority (0 has the highest priority and 10 has the lowest priority).  Currently, Planner interprets values 0 and 1 as 'urgent', 2 and 3 and 4 as 'important', 5, 6, and 7 as 'medium', and 8, 9, and 10 as 'low'.  Currently, Planner sets the value 1 for 'urgent', 3 for 'important', 5 for 'medium', and 9 for 'low'.
     * @param value Value to set for the priority property.
     */
    set priority(value) {
        this._priority = value;
    }
    ;
    /**
     * Gets the progressTaskBoardFormat property value. Read-only. Nullable. Used to render the task correctly in the task board view when grouped by progress.
     * @returns a plannerProgressTaskBoardTaskFormat
     */
    get progressTaskBoardFormat() {
        return this._progressTaskBoardFormat;
    }
    ;
    /**
     * Sets the progressTaskBoardFormat property value. Read-only. Nullable. Used to render the task correctly in the task board view when grouped by progress.
     * @param value Value to set for the progressTaskBoardFormat property.
     */
    set progressTaskBoardFormat(value) {
        this._progressTaskBoardFormat = value;
    }
    ;
    /**
     * Gets the referenceCount property value. Number of external references that exist on the task.
     * @returns a integer
     */
    get referenceCount() {
        return this._referenceCount;
    }
    ;
    /**
     * Sets the referenceCount property value. Number of external references that exist on the task.
     * @param value Value to set for the referenceCount property.
     */
    set referenceCount(value) {
        this._referenceCount = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeNumberValue("activeChecklistItemCount", this.activeChecklistItemCount);
        writer.writeObjectValue("appliedCategories", this.appliedCategories);
        writer.writeObjectValue("assignedToTaskBoardFormat", this.assignedToTaskBoardFormat);
        writer.writeStringValue("assigneePriority", this.assigneePriority);
        writer.writeObjectValue("assignments", this.assignments);
        writer.writeStringValue("bucketId", this.bucketId);
        writer.writeObjectValue("bucketTaskBoardFormat", this.bucketTaskBoardFormat);
        writer.writeNumberValue("checklistItemCount", this.checklistItemCount);
        writer.writeObjectValue("completedBy", this.completedBy);
        writer.writeDateValue("completedDateTime", this.completedDateTime);
        writer.writeStringValue("conversationThreadId", this.conversationThreadId);
        writer.writeObjectValue("createdBy", this.createdBy);
        writer.writeDateValue("createdDateTime", this.createdDateTime);
        writer.writeObjectValue("details", this.details);
        writer.writeDateValue("dueDateTime", this.dueDateTime);
        writer.writeBooleanValue("hasDescription", this.hasDescription);
        writer.writeStringValue("orderHint", this.orderHint);
        writer.writeNumberValue("percentComplete", this.percentComplete);
        writer.writeStringValue("planId", this.planId);
        writer.writeEnumValue("previewType", this.previewType);
        writer.writeNumberValue("priority", this.priority);
        writer.writeObjectValue("progressTaskBoardFormat", this.progressTaskBoardFormat);
        writer.writeNumberValue("referenceCount", this.referenceCount);
        writer.writeDateValue("startDateTime", this.startDateTime);
        writer.writeStringValue("title", this.title);
    }
    ;
    /**
     * Gets the startDateTime property value. Date and time at which the task starts. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @returns a Date
     */
    get startDateTime() {
        return this._startDateTime;
    }
    ;
    /**
     * Sets the startDateTime property value. Date and time at which the task starts. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @param value Value to set for the startDateTime property.
     */
    set startDateTime(value) {
        this._startDateTime = value;
    }
    ;
    /**
     * Gets the title property value. Title of the task.
     * @returns a string
     */
    get title() {
        return this._title;
    }
    ;
    /**
     * Sets the title property value. Title of the task.
     * @param value Value to set for the title property.
     */
    set title(value) {
        this._title = value;
    }
    ;
}
exports.PlannerTask = PlannerTask;
