"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlannerTaskDetails = void 0;
const createPlannerChecklistItemsFromDiscriminatorValue_1 = require("./createPlannerChecklistItemsFromDiscriminatorValue");
const createPlannerExternalReferencesFromDiscriminatorValue_1 = require("./createPlannerExternalReferencesFromDiscriminatorValue");
const index_1 = require("./index");
const plannerPreviewType_1 = require("./plannerPreviewType");
/** Casts the previous resource to user. */
class PlannerTaskDetails extends index_1.Entity {
    /**
     * Instantiates a new plannerTaskDetails and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the checklist property value. The collection of checklist items on the task.
     * @returns a plannerChecklistItems
     */
    get checklist() {
        return this._checklist;
    }
    ;
    /**
     * Sets the checklist property value. The collection of checklist items on the task.
     * @param value Value to set for the checklist property.
     */
    set checklist(value) {
        this._checklist = value;
    }
    ;
    ;
    /**
     * Gets the description property value. Description of the task.
     * @returns a string
     */
    get description() {
        return this._description;
    }
    ;
    /**
     * Sets the description property value. Description of the task.
     * @param value Value to set for the description property.
     */
    set description(value) {
        this._description = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "checklist": n => { this.checklist = n.getObjectValue(createPlannerChecklistItemsFromDiscriminatorValue_1.createPlannerChecklistItemsFromDiscriminatorValue); }, "description": n => { this.description = n.getStringValue(); }, "previewType": n => { this.previewType = n.getEnumValue(plannerPreviewType_1.PlannerPreviewType); }, "references": n => { this.references = n.getObjectValue(createPlannerExternalReferencesFromDiscriminatorValue_1.createPlannerExternalReferencesFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the previewType property value. This sets the type of preview that shows up on the task. Possible values are: automatic, noPreview, checklist, description, reference. When set to automatic the displayed preview is chosen by the app viewing the task.
     * @returns a plannerPreviewType
     */
    get previewType() {
        return this._previewType;
    }
    ;
    /**
     * Sets the previewType property value. This sets the type of preview that shows up on the task. Possible values are: automatic, noPreview, checklist, description, reference. When set to automatic the displayed preview is chosen by the app viewing the task.
     * @param value Value to set for the previewType property.
     */
    set previewType(value) {
        this._previewType = value;
    }
    ;
    /**
     * Gets the references property value. The collection of references on the task.
     * @returns a plannerExternalReferences
     */
    get references() {
        return this._references;
    }
    ;
    /**
     * Sets the references property value. The collection of references on the task.
     * @param value Value to set for the references property.
     */
    set references(value) {
        this._references = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("checklist", this.checklist);
        writer.writeStringValue("description", this.description);
        writer.writeEnumValue("previewType", this.previewType);
        writer.writeObjectValue("references", this.references);
    }
    ;
}
exports.PlannerTaskDetails = PlannerTaskDetails;
