import { Entity, PlannerPlan, PlannerTask } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Casts the previous resource to user. */
export declare class PlannerUser extends Entity implements Parsable {
    /** Read-only. Nullable. Returns the plannerTasks assigned to the user. */
    private _plans?;
    /** Read-only. Nullable. Returns the plannerTasks assigned to the user. */
    private _tasks?;
    /**
     * Instantiates a new plannerUser and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the plans property value. Read-only. Nullable. Returns the plannerTasks assigned to the user.
     * @returns a plannerPlan
     */
    get plans(): PlannerPlan[] | undefined;
    /**
     * Sets the plans property value. Read-only. Nullable. Returns the plannerTasks assigned to the user.
     * @param value Value to set for the plans property.
     */
    set plans(value: PlannerPlan[] | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the tasks property value. Read-only. Nullable. Returns the plannerTasks assigned to the user.
     * @returns a plannerTask
     */
    get tasks(): PlannerTask[] | undefined;
    /**
     * Sets the tasks property value. Read-only. Nullable. Returns the plannerTasks assigned to the user.
     * @param value Value to set for the tasks property.
     */
    set tasks(value: PlannerTask[] | undefined);
}
