import { DirectoryObject } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to call the instantiate method. */
export declare class PolicyBase extends DirectoryObject implements Parsable {
    /** Description for this policy. Required. */
    private _description?;
    /** Display name for this policy. Required. */
    private _displayName?;
    /**
     * Instantiates a new policyBase and sets the default values.
     */
    constructor();
    /**
     * Gets the description property value. Description for this policy. Required.
     * @returns a string
     */
    get description(): string | undefined;
    /**
     * Sets the description property value. Description for this policy. Required.
     * @param value Value to set for the description property.
     */
    set description(value: string | undefined);
    /**
     * Gets the displayName property value. Display name for this policy. Required.
     * @returns a string
     */
    get displayName(): string | undefined;
    /**
     * Sets the displayName property value. Display name for this policy. Required.
     * @param value Value to set for the displayName property.
     */
    set displayName(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
