"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PolicyBase = void 0;
const index_1 = require("./index");
/** Provides operations to call the instantiate method. */
class PolicyBase extends index_1.DirectoryObject {
    /**
     * Instantiates a new policyBase and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the description property value. Description for this policy. Required.
     * @returns a string
     */
    get description() {
        return this._description;
    }
    ;
    /**
     * Sets the description property value. Description for this policy. Required.
     * @param value Value to set for the description property.
     */
    set description(value) {
        this._description = value;
    }
    ;
    /**
     * Gets the displayName property value. Display name for this policy. Required.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. Display name for this policy. Required.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "description": n => { this.description = n.getStringValue(); }, "displayName": n => { this.displayName = n.getStringValue(); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("description", this.description);
        writer.writeStringValue("displayName", this.displayName);
    }
    ;
}
exports.PolicyBase = PolicyBase;
