"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PolicyRoot = void 0;
const createActivityBasedTimeoutPolicyFromDiscriminatorValue_1 = require("./createActivityBasedTimeoutPolicyFromDiscriminatorValue");
const createAdminConsentRequestPolicyFromDiscriminatorValue_1 = require("./createAdminConsentRequestPolicyFromDiscriminatorValue");
const createAuthenticationFlowsPolicyFromDiscriminatorValue_1 = require("./createAuthenticationFlowsPolicyFromDiscriminatorValue");
const createAuthenticationMethodsPolicyFromDiscriminatorValue_1 = require("./createAuthenticationMethodsPolicyFromDiscriminatorValue");
const createAuthorizationPolicyFromDiscriminatorValue_1 = require("./createAuthorizationPolicyFromDiscriminatorValue");
const createClaimsMappingPolicyFromDiscriminatorValue_1 = require("./createClaimsMappingPolicyFromDiscriminatorValue");
const createConditionalAccessPolicyFromDiscriminatorValue_1 = require("./createConditionalAccessPolicyFromDiscriminatorValue");
const createFeatureRolloutPolicyFromDiscriminatorValue_1 = require("./createFeatureRolloutPolicyFromDiscriminatorValue");
const createHomeRealmDiscoveryPolicyFromDiscriminatorValue_1 = require("./createHomeRealmDiscoveryPolicyFromDiscriminatorValue");
const createIdentitySecurityDefaultsEnforcementPolicyFromDiscriminatorValue_1 = require("./createIdentitySecurityDefaultsEnforcementPolicyFromDiscriminatorValue");
const createPermissionGrantPolicyFromDiscriminatorValue_1 = require("./createPermissionGrantPolicyFromDiscriminatorValue");
const createTokenIssuancePolicyFromDiscriminatorValue_1 = require("./createTokenIssuancePolicyFromDiscriminatorValue");
const createTokenLifetimePolicyFromDiscriminatorValue_1 = require("./createTokenLifetimePolicyFromDiscriminatorValue");
const createUnifiedRoleManagementPolicyAssignmentFromDiscriminatorValue_1 = require("./createUnifiedRoleManagementPolicyAssignmentFromDiscriminatorValue");
const createUnifiedRoleManagementPolicyFromDiscriminatorValue_1 = require("./createUnifiedRoleManagementPolicyFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the policyRoot singleton. */
class PolicyRoot extends index_1.Entity {
    /**
     * Instantiates a new policyRoot and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the activityBasedTimeoutPolicies property value. The policy that controls the idle time out for web sessions for applications.
     * @returns a activityBasedTimeoutPolicy
     */
    get activityBasedTimeoutPolicies() {
        return this._activityBasedTimeoutPolicies;
    }
    ;
    /**
     * Sets the activityBasedTimeoutPolicies property value. The policy that controls the idle time out for web sessions for applications.
     * @param value Value to set for the activityBasedTimeoutPolicies property.
     */
    set activityBasedTimeoutPolicies(value) {
        this._activityBasedTimeoutPolicies = value;
    }
    ;
    /**
     * Gets the adminConsentRequestPolicy property value. The policy by which consent requests are created and managed for the entire tenant.
     * @returns a adminConsentRequestPolicy
     */
    get adminConsentRequestPolicy() {
        return this._adminConsentRequestPolicy;
    }
    ;
    /**
     * Sets the adminConsentRequestPolicy property value. The policy by which consent requests are created and managed for the entire tenant.
     * @param value Value to set for the adminConsentRequestPolicy property.
     */
    set adminConsentRequestPolicy(value) {
        this._adminConsentRequestPolicy = value;
    }
    ;
    /**
     * Gets the authenticationFlowsPolicy property value. The policy configuration of the self-service sign-up experience of external users.
     * @returns a authenticationFlowsPolicy
     */
    get authenticationFlowsPolicy() {
        return this._authenticationFlowsPolicy;
    }
    ;
    /**
     * Sets the authenticationFlowsPolicy property value. The policy configuration of the self-service sign-up experience of external users.
     * @param value Value to set for the authenticationFlowsPolicy property.
     */
    set authenticationFlowsPolicy(value) {
        this._authenticationFlowsPolicy = value;
    }
    ;
    /**
     * Gets the authenticationMethodsPolicy property value. The authentication methods and the users that are allowed to use them to sign in and perform multi-factor authentication (MFA) in Azure Active Directory (Azure AD).
     * @returns a authenticationMethodsPolicy
     */
    get authenticationMethodsPolicy() {
        return this._authenticationMethodsPolicy;
    }
    ;
    /**
     * Sets the authenticationMethodsPolicy property value. The authentication methods and the users that are allowed to use them to sign in and perform multi-factor authentication (MFA) in Azure Active Directory (Azure AD).
     * @param value Value to set for the authenticationMethodsPolicy property.
     */
    set authenticationMethodsPolicy(value) {
        this._authenticationMethodsPolicy = value;
    }
    ;
    /**
     * Gets the authorizationPolicy property value. The policy that controls Azure AD authorization settings.
     * @returns a authorizationPolicy
     */
    get authorizationPolicy() {
        return this._authorizationPolicy;
    }
    ;
    /**
     * Sets the authorizationPolicy property value. The policy that controls Azure AD authorization settings.
     * @param value Value to set for the authorizationPolicy property.
     */
    set authorizationPolicy(value) {
        this._authorizationPolicy = value;
    }
    ;
    /**
     * Gets the claimsMappingPolicies property value. The claim-mapping policies for WS-Fed, SAML, OAuth 2.0, and OpenID Connect protocols, for tokens issued to a specific application.
     * @returns a claimsMappingPolicy
     */
    get claimsMappingPolicies() {
        return this._claimsMappingPolicies;
    }
    ;
    /**
     * Sets the claimsMappingPolicies property value. The claim-mapping policies for WS-Fed, SAML, OAuth 2.0, and OpenID Connect protocols, for tokens issued to a specific application.
     * @param value Value to set for the claimsMappingPolicies property.
     */
    set claimsMappingPolicies(value) {
        this._claimsMappingPolicies = value;
    }
    ;
    /**
     * Gets the conditionalAccessPolicies property value. The custom rules that define an access scenario.
     * @returns a conditionalAccessPolicy
     */
    get conditionalAccessPolicies() {
        return this._conditionalAccessPolicies;
    }
    ;
    /**
     * Sets the conditionalAccessPolicies property value. The custom rules that define an access scenario.
     * @param value Value to set for the conditionalAccessPolicies property.
     */
    set conditionalAccessPolicies(value) {
        this._conditionalAccessPolicies = value;
    }
    ;
    ;
    /**
     * Gets the featureRolloutPolicies property value. The feature rollout policy associated with a directory object.
     * @returns a featureRolloutPolicy
     */
    get featureRolloutPolicies() {
        return this._featureRolloutPolicies;
    }
    ;
    /**
     * Sets the featureRolloutPolicies property value. The feature rollout policy associated with a directory object.
     * @param value Value to set for the featureRolloutPolicies property.
     */
    set featureRolloutPolicies(value) {
        this._featureRolloutPolicies = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "activityBasedTimeoutPolicies": n => { this.activityBasedTimeoutPolicies = n.getCollectionOfObjectValues(createActivityBasedTimeoutPolicyFromDiscriminatorValue_1.createActivityBasedTimeoutPolicyFromDiscriminatorValue); }, "adminConsentRequestPolicy": n => { this.adminConsentRequestPolicy = n.getObjectValue(createAdminConsentRequestPolicyFromDiscriminatorValue_1.createAdminConsentRequestPolicyFromDiscriminatorValue); }, "authenticationFlowsPolicy": n => { this.authenticationFlowsPolicy = n.getObjectValue(createAuthenticationFlowsPolicyFromDiscriminatorValue_1.createAuthenticationFlowsPolicyFromDiscriminatorValue); }, "authenticationMethodsPolicy": n => { this.authenticationMethodsPolicy = n.getObjectValue(createAuthenticationMethodsPolicyFromDiscriminatorValue_1.createAuthenticationMethodsPolicyFromDiscriminatorValue); }, "authorizationPolicy": n => { this.authorizationPolicy = n.getObjectValue(createAuthorizationPolicyFromDiscriminatorValue_1.createAuthorizationPolicyFromDiscriminatorValue); }, "claimsMappingPolicies": n => { this.claimsMappingPolicies = n.getCollectionOfObjectValues(createClaimsMappingPolicyFromDiscriminatorValue_1.createClaimsMappingPolicyFromDiscriminatorValue); }, "conditionalAccessPolicies": n => { this.conditionalAccessPolicies = n.getCollectionOfObjectValues(createConditionalAccessPolicyFromDiscriminatorValue_1.createConditionalAccessPolicyFromDiscriminatorValue); }, "featureRolloutPolicies": n => { this.featureRolloutPolicies = n.getCollectionOfObjectValues(createFeatureRolloutPolicyFromDiscriminatorValue_1.createFeatureRolloutPolicyFromDiscriminatorValue); }, "homeRealmDiscoveryPolicies": n => { this.homeRealmDiscoveryPolicies = n.getCollectionOfObjectValues(createHomeRealmDiscoveryPolicyFromDiscriminatorValue_1.createHomeRealmDiscoveryPolicyFromDiscriminatorValue); }, "identitySecurityDefaultsEnforcementPolicy": n => { this.identitySecurityDefaultsEnforcementPolicy = n.getObjectValue(createIdentitySecurityDefaultsEnforcementPolicyFromDiscriminatorValue_1.createIdentitySecurityDefaultsEnforcementPolicyFromDiscriminatorValue); }, "permissionGrantPolicies": n => { this.permissionGrantPolicies = n.getCollectionOfObjectValues(createPermissionGrantPolicyFromDiscriminatorValue_1.createPermissionGrantPolicyFromDiscriminatorValue); }, "roleManagementPolicies": n => { this.roleManagementPolicies = n.getCollectionOfObjectValues(createUnifiedRoleManagementPolicyFromDiscriminatorValue_1.createUnifiedRoleManagementPolicyFromDiscriminatorValue); }, "roleManagementPolicyAssignments": n => { this.roleManagementPolicyAssignments = n.getCollectionOfObjectValues(createUnifiedRoleManagementPolicyAssignmentFromDiscriminatorValue_1.createUnifiedRoleManagementPolicyAssignmentFromDiscriminatorValue); }, "tokenIssuancePolicies": n => { this.tokenIssuancePolicies = n.getCollectionOfObjectValues(createTokenIssuancePolicyFromDiscriminatorValue_1.createTokenIssuancePolicyFromDiscriminatorValue); }, "tokenLifetimePolicies": n => { this.tokenLifetimePolicies = n.getCollectionOfObjectValues(createTokenLifetimePolicyFromDiscriminatorValue_1.createTokenLifetimePolicyFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the homeRealmDiscoveryPolicies property value. The policy to control Azure AD authentication behavior for federated users.
     * @returns a homeRealmDiscoveryPolicy
     */
    get homeRealmDiscoveryPolicies() {
        return this._homeRealmDiscoveryPolicies;
    }
    ;
    /**
     * Sets the homeRealmDiscoveryPolicies property value. The policy to control Azure AD authentication behavior for federated users.
     * @param value Value to set for the homeRealmDiscoveryPolicies property.
     */
    set homeRealmDiscoveryPolicies(value) {
        this._homeRealmDiscoveryPolicies = value;
    }
    ;
    /**
     * Gets the identitySecurityDefaultsEnforcementPolicy property value. The policy that represents the security defaults that protect against common attacks.
     * @returns a identitySecurityDefaultsEnforcementPolicy
     */
    get identitySecurityDefaultsEnforcementPolicy() {
        return this._identitySecurityDefaultsEnforcementPolicy;
    }
    ;
    /**
     * Sets the identitySecurityDefaultsEnforcementPolicy property value. The policy that represents the security defaults that protect against common attacks.
     * @param value Value to set for the identitySecurityDefaultsEnforcementPolicy property.
     */
    set identitySecurityDefaultsEnforcementPolicy(value) {
        this._identitySecurityDefaultsEnforcementPolicy = value;
    }
    ;
    /**
     * Gets the permissionGrantPolicies property value. The policy that specifies the conditions under which consent can be granted.
     * @returns a permissionGrantPolicy
     */
    get permissionGrantPolicies() {
        return this._permissionGrantPolicies;
    }
    ;
    /**
     * Sets the permissionGrantPolicies property value. The policy that specifies the conditions under which consent can be granted.
     * @param value Value to set for the permissionGrantPolicies property.
     */
    set permissionGrantPolicies(value) {
        this._permissionGrantPolicies = value;
    }
    ;
    /**
     * Gets the roleManagementPolicies property value. Represents the role management policies.
     * @returns a unifiedRoleManagementPolicy
     */
    get roleManagementPolicies() {
        return this._roleManagementPolicies;
    }
    ;
    /**
     * Sets the roleManagementPolicies property value. Represents the role management policies.
     * @param value Value to set for the roleManagementPolicies property.
     */
    set roleManagementPolicies(value) {
        this._roleManagementPolicies = value;
    }
    ;
    /**
     * Gets the roleManagementPolicyAssignments property value. Represents the role management policy assignments.
     * @returns a unifiedRoleManagementPolicyAssignment
     */
    get roleManagementPolicyAssignments() {
        return this._roleManagementPolicyAssignments;
    }
    ;
    /**
     * Sets the roleManagementPolicyAssignments property value. Represents the role management policy assignments.
     * @param value Value to set for the roleManagementPolicyAssignments property.
     */
    set roleManagementPolicyAssignments(value) {
        this._roleManagementPolicyAssignments = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("activityBasedTimeoutPolicies", this.activityBasedTimeoutPolicies);
        writer.writeObjectValue("adminConsentRequestPolicy", this.adminConsentRequestPolicy);
        writer.writeObjectValue("authenticationFlowsPolicy", this.authenticationFlowsPolicy);
        writer.writeObjectValue("authenticationMethodsPolicy", this.authenticationMethodsPolicy);
        writer.writeObjectValue("authorizationPolicy", this.authorizationPolicy);
        writer.writeCollectionOfObjectValues("claimsMappingPolicies", this.claimsMappingPolicies);
        writer.writeCollectionOfObjectValues("conditionalAccessPolicies", this.conditionalAccessPolicies);
        writer.writeCollectionOfObjectValues("featureRolloutPolicies", this.featureRolloutPolicies);
        writer.writeCollectionOfObjectValues("homeRealmDiscoveryPolicies", this.homeRealmDiscoveryPolicies);
        writer.writeObjectValue("identitySecurityDefaultsEnforcementPolicy", this.identitySecurityDefaultsEnforcementPolicy);
        writer.writeCollectionOfObjectValues("permissionGrantPolicies", this.permissionGrantPolicies);
        writer.writeCollectionOfObjectValues("roleManagementPolicies", this.roleManagementPolicies);
        writer.writeCollectionOfObjectValues("roleManagementPolicyAssignments", this.roleManagementPolicyAssignments);
        writer.writeCollectionOfObjectValues("tokenIssuancePolicies", this.tokenIssuancePolicies);
        writer.writeCollectionOfObjectValues("tokenLifetimePolicies", this.tokenLifetimePolicies);
    }
    ;
    /**
     * Gets the tokenIssuancePolicies property value. The policy that specifies the characteristics of SAML tokens issued by Azure AD.
     * @returns a tokenIssuancePolicy
     */
    get tokenIssuancePolicies() {
        return this._tokenIssuancePolicies;
    }
    ;
    /**
     * Sets the tokenIssuancePolicies property value. The policy that specifies the characteristics of SAML tokens issued by Azure AD.
     * @param value Value to set for the tokenIssuancePolicies property.
     */
    set tokenIssuancePolicies(value) {
        this._tokenIssuancePolicies = value;
    }
    ;
    /**
     * Gets the tokenLifetimePolicies property value. The policy that controls the lifetime of a JWT access token, an ID token, or a SAML 1.1/2.0 token issued by Azure AD.
     * @returns a tokenLifetimePolicy
     */
    get tokenLifetimePolicies() {
        return this._tokenLifetimePolicies;
    }
    ;
    /**
     * Sets the tokenLifetimePolicies property value. The policy that controls the lifetime of a JWT access token, an ID token, or a SAML 1.1/2.0 token issued by Azure AD.
     * @param value Value to set for the tokenLifetimePolicies property.
     */
    set tokenLifetimePolicies(value) {
        this._tokenLifetimePolicies = value;
    }
    ;
}
exports.PolicyRoot = PolicyRoot;
