"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Presence = void 0;
const index_1 = require("./index");
/** Provides operations to manage the cloudCommunications singleton. */
class Presence extends index_1.Entity {
    /**
     * Instantiates a new presence and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the activity property value. The supplemental information to a user's availability. Possible values are Available, Away, BeRightBack, Busy, DoNotDisturb, InACall, InAConferenceCall, Inactive,InAMeeting, Offline, OffWork,OutOfOffice, PresenceUnknown,Presenting, UrgentInterruptionsOnly.
     * @returns a string
     */
    get activity() {
        return this._activity;
    }
    ;
    /**
     * Sets the activity property value. The supplemental information to a user's availability. Possible values are Available, Away, BeRightBack, Busy, DoNotDisturb, InACall, InAConferenceCall, Inactive,InAMeeting, Offline, OffWork,OutOfOffice, PresenceUnknown,Presenting, UrgentInterruptionsOnly.
     * @param value Value to set for the activity property.
     */
    set activity(value) {
        this._activity = value;
    }
    ;
    /**
     * Gets the availability property value. The base presence information for a user. Possible values are Available, AvailableIdle,  Away, BeRightBack, Busy, BusyIdle, DoNotDisturb, Offline, PresenceUnknown
     * @returns a string
     */
    get availability() {
        return this._availability;
    }
    ;
    /**
     * Sets the availability property value. The base presence information for a user. Possible values are Available, AvailableIdle,  Away, BeRightBack, Busy, BusyIdle, DoNotDisturb, Offline, PresenceUnknown
     * @param value Value to set for the availability property.
     */
    set availability(value) {
        this._availability = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "activity": n => { this.activity = n.getStringValue(); }, "availability": n => { this.availability = n.getStringValue(); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("activity", this.activity);
        writer.writeStringValue("availability", this.availability);
    }
    ;
}
exports.Presence = Presence;
