"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Print = void 0;
const createPrintConnectorFromDiscriminatorValue_1 = require("./createPrintConnectorFromDiscriminatorValue");
const createPrinterFromDiscriminatorValue_1 = require("./createPrinterFromDiscriminatorValue");
const createPrinterShareFromDiscriminatorValue_1 = require("./createPrinterShareFromDiscriminatorValue");
const createPrintOperationFromDiscriminatorValue_1 = require("./createPrintOperationFromDiscriminatorValue");
const createPrintServiceFromDiscriminatorValue_1 = require("./createPrintServiceFromDiscriminatorValue");
const createPrintSettingsFromDiscriminatorValue_1 = require("./createPrintSettingsFromDiscriminatorValue");
const createPrintTaskDefinitionFromDiscriminatorValue_1 = require("./createPrintTaskDefinitionFromDiscriminatorValue");
class Print {
    /**
     * Instantiates a new Print and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the connectors property value. The list of available print connectors.
     * @returns a printConnector
     */
    get connectors() {
        return this._connectors;
    }
    ;
    /**
     * Sets the connectors property value. The list of available print connectors.
     * @param value Value to set for the connectors property.
     */
    set connectors(value) {
        this._connectors = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "connectors": n => { this.connectors = n.getCollectionOfObjectValues(createPrintConnectorFromDiscriminatorValue_1.createPrintConnectorFromDiscriminatorValue); },
            "operations": n => { this.operations = n.getCollectionOfObjectValues(createPrintOperationFromDiscriminatorValue_1.createPrintOperationFromDiscriminatorValue); },
            "printers": n => { this.printers = n.getCollectionOfObjectValues(createPrinterFromDiscriminatorValue_1.createPrinterFromDiscriminatorValue); },
            "services": n => { this.services = n.getCollectionOfObjectValues(createPrintServiceFromDiscriminatorValue_1.createPrintServiceFromDiscriminatorValue); },
            "settings": n => { this.settings = n.getObjectValue(createPrintSettingsFromDiscriminatorValue_1.createPrintSettingsFromDiscriminatorValue); },
            "shares": n => { this.shares = n.getCollectionOfObjectValues(createPrinterShareFromDiscriminatorValue_1.createPrinterShareFromDiscriminatorValue); },
            "taskDefinitions": n => { this.taskDefinitions = n.getCollectionOfObjectValues(createPrintTaskDefinitionFromDiscriminatorValue_1.createPrintTaskDefinitionFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Gets the operations property value. The list of print long running operations.
     * @returns a printOperation
     */
    get operations() {
        return this._operations;
    }
    ;
    /**
     * Sets the operations property value. The list of print long running operations.
     * @param value Value to set for the operations property.
     */
    set operations(value) {
        this._operations = value;
    }
    ;
    /**
     * Gets the printers property value. The list of printers registered in the tenant.
     * @returns a printer
     */
    get printers() {
        return this._printers;
    }
    ;
    /**
     * Sets the printers property value. The list of printers registered in the tenant.
     * @param value Value to set for the printers property.
     */
    set printers(value) {
        this._printers = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeCollectionOfObjectValues("connectors", this.connectors);
        writer.writeCollectionOfObjectValues("operations", this.operations);
        writer.writeCollectionOfObjectValues("printers", this.printers);
        writer.writeCollectionOfObjectValues("services", this.services);
        writer.writeObjectValue("settings", this.settings);
        writer.writeCollectionOfObjectValues("shares", this.shares);
        writer.writeCollectionOfObjectValues("taskDefinitions", this.taskDefinitions);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the services property value. The list of available Universal Print service endpoints.
     * @returns a printService
     */
    get services() {
        return this._services;
    }
    ;
    /**
     * Sets the services property value. The list of available Universal Print service endpoints.
     * @param value Value to set for the services property.
     */
    set services(value) {
        this._services = value;
    }
    ;
    /**
     * Gets the settings property value. Tenant-wide settings for the Universal Print service.
     * @returns a printSettings
     */
    get settings() {
        return this._settings;
    }
    ;
    /**
     * Sets the settings property value. Tenant-wide settings for the Universal Print service.
     * @param value Value to set for the settings property.
     */
    set settings(value) {
        this._settings = value;
    }
    ;
    /**
     * Gets the shares property value. The list of printer shares registered in the tenant.
     * @returns a printerShare
     */
    get shares() {
        return this._shares;
    }
    ;
    /**
     * Sets the shares property value. The list of printer shares registered in the tenant.
     * @param value Value to set for the shares property.
     */
    set shares(value) {
        this._shares = value;
    }
    ;
    /**
     * Gets the taskDefinitions property value. List of abstract definition for a task that can be triggered when various events occur within Universal Print.
     * @returns a printTaskDefinition
     */
    get taskDefinitions() {
        return this._taskDefinitions;
    }
    ;
    /**
     * Sets the taskDefinitions property value. List of abstract definition for a task that can be triggered when various events occur within Universal Print.
     * @param value Value to set for the taskDefinitions property.
     */
    set taskDefinitions(value) {
        this._taskDefinitions = value;
    }
    ;
}
exports.Print = Print;
