"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PrintCertificateSigningRequest = void 0;
class PrintCertificateSigningRequest {
    /**
     * Instantiates a new printCertificateSigningRequest and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the content property value. A base64-encoded pkcs10 certificate request. Read-only.
     * @returns a string
     */
    get content() {
        return this._content;
    }
    ;
    /**
     * Sets the content property value. A base64-encoded pkcs10 certificate request. Read-only.
     * @param value Value to set for the content property.
     */
    set content(value) {
        this._content = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "content": n => { this.content = n.getStringValue(); },
            "transportKey": n => { this.transportKey = n.getStringValue(); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("content", this.content);
        writer.writeStringValue("transportKey", this.transportKey);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the transportKey property value. The base64-encoded public portion of an asymmetric key that is generated by the client. Read-only.
     * @returns a string
     */
    get transportKey() {
        return this._transportKey;
    }
    ;
    /**
     * Sets the transportKey property value. The base64-encoded public portion of an asymmetric key that is generated by the client. Read-only.
     * @param value Value to set for the transportKey property.
     */
    set transportKey(value) {
        this._transportKey = value;
    }
    ;
}
exports.PrintCertificateSigningRequest = PrintCertificateSigningRequest;
