"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PrintConnector = void 0;
const createPrinterLocationFromDiscriminatorValue_1 = require("./createPrinterLocationFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the print singleton. */
class PrintConnector extends index_1.Entity {
    /**
     * Instantiates a new printConnector and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the appVersion property value. The connector's version.
     * @returns a string
     */
    get appVersion() {
        return this._appVersion;
    }
    ;
    /**
     * Sets the appVersion property value. The connector's version.
     * @param value Value to set for the appVersion property.
     */
    set appVersion(value) {
        this._appVersion = value;
    }
    ;
    ;
    /**
     * Gets the displayName property value. The name of the connector.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. The name of the connector.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * Gets the fullyQualifiedDomainName property value. The connector machine's hostname.
     * @returns a string
     */
    get fullyQualifiedDomainName() {
        return this._fullyQualifiedDomainName;
    }
    ;
    /**
     * Sets the fullyQualifiedDomainName property value. The connector machine's hostname.
     * @param value Value to set for the fullyQualifiedDomainName property.
     */
    set fullyQualifiedDomainName(value) {
        this._fullyQualifiedDomainName = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "appVersion": n => { this.appVersion = n.getStringValue(); }, "displayName": n => { this.displayName = n.getStringValue(); }, "fullyQualifiedDomainName": n => { this.fullyQualifiedDomainName = n.getStringValue(); }, "location": n => { this.location = n.getObjectValue(createPrinterLocationFromDiscriminatorValue_1.createPrinterLocationFromDiscriminatorValue); }, "operatingSystem": n => { this.operatingSystem = n.getStringValue(); }, "registeredDateTime": n => { this.registeredDateTime = n.getDateValue(); } });
    }
    ;
    /**
     * Gets the location property value. The physical and/or organizational location of the connector.
     * @returns a printerLocation
     */
    get location() {
        return this._location;
    }
    ;
    /**
     * Sets the location property value. The physical and/or organizational location of the connector.
     * @param value Value to set for the location property.
     */
    set location(value) {
        this._location = value;
    }
    ;
    /**
     * Gets the operatingSystem property value. The connector machine's operating system version.
     * @returns a string
     */
    get operatingSystem() {
        return this._operatingSystem;
    }
    ;
    /**
     * Sets the operatingSystem property value. The connector machine's operating system version.
     * @param value Value to set for the operatingSystem property.
     */
    set operatingSystem(value) {
        this._operatingSystem = value;
    }
    ;
    /**
     * Gets the registeredDateTime property value. The DateTimeOffset when the connector was registered.
     * @returns a Date
     */
    get registeredDateTime() {
        return this._registeredDateTime;
    }
    ;
    /**
     * Sets the registeredDateTime property value. The DateTimeOffset when the connector was registered.
     * @param value Value to set for the registeredDateTime property.
     */
    set registeredDateTime(value) {
        this._registeredDateTime = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("appVersion", this.appVersion);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeStringValue("fullyQualifiedDomainName", this.fullyQualifiedDomainName);
        writer.writeObjectValue("location", this.location);
        writer.writeStringValue("operatingSystem", this.operatingSystem);
        writer.writeDateValue("registeredDateTime", this.registeredDateTime);
    }
    ;
}
exports.PrintConnector = PrintConnector;
