import { Entity } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the print singleton. */
export declare class PrintDocument extends Entity implements Parsable {
    /** The document's content (MIME) type. Read-only. */
    private _contentType?;
    /** The document's name. Read-only. */
    private _displayName?;
    /** The document's size in bytes. Read-only. */
    private _size?;
    /**
     * Instantiates a new printDocument and sets the default values.
     */
    constructor();
    /**
     * Gets the contentType property value. The document's content (MIME) type. Read-only.
     * @returns a string
     */
    get contentType(): string | undefined;
    /**
     * Sets the contentType property value. The document's content (MIME) type. Read-only.
     * @param value Value to set for the contentType property.
     */
    set contentType(value: string | undefined);
    /**
     * Gets the displayName property value. The document's name. Read-only.
     * @returns a string
     */
    get displayName(): string | undefined;
    /**
     * Sets the displayName property value. The document's name. Read-only.
     * @param value Value to set for the displayName property.
     */
    set displayName(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the size property value. The document's size in bytes. Read-only.
     * @returns a int64
     */
    get size(): number | undefined;
    /**
     * Sets the size property value. The document's size in bytes. Read-only.
     * @param value Value to set for the size property.
     */
    set size(value: number | undefined);
}
