"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PrintDocument = void 0;
const index_1 = require("./index");
/** Provides operations to manage the print singleton. */
class PrintDocument extends index_1.Entity {
    /**
     * Instantiates a new printDocument and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the contentType property value. The document's content (MIME) type. Read-only.
     * @returns a string
     */
    get contentType() {
        return this._contentType;
    }
    ;
    /**
     * Sets the contentType property value. The document's content (MIME) type. Read-only.
     * @param value Value to set for the contentType property.
     */
    set contentType(value) {
        this._contentType = value;
    }
    ;
    /**
     * Gets the displayName property value. The document's name. Read-only.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. The document's name. Read-only.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "contentType": n => { this.contentType = n.getStringValue(); }, "displayName": n => { this.displayName = n.getStringValue(); }, "size": n => { this.size = n.getNumberValue(); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("contentType", this.contentType);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeNumberValue("size", this.size);
    }
    ;
    /**
     * Gets the size property value. The document's size in bytes. Read-only.
     * @returns a int64
     */
    get size() {
        return this._size;
    }
    ;
    /**
     * Sets the size property value. The document's size in bytes. Read-only.
     * @param value Value to set for the size property.
     */
    set size(value) {
        this._size = value;
    }
    ;
}
exports.PrintDocument = PrintDocument;
