import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class PrintMargin implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The margin in microns from the bottom edge. */
    private _bottom?;
    /** The margin in microns from the left edge. */
    private _left?;
    /** The margin in microns from the right edge. */
    private _right?;
    /** The margin in microns from the top edge. */
    private _top?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the bottom property value. The margin in microns from the bottom edge.
     * @returns a integer
     */
    get bottom(): number | undefined;
    /**
     * Sets the bottom property value. The margin in microns from the bottom edge.
     * @param value Value to set for the bottom property.
     */
    set bottom(value: number | undefined);
    /**
     * Instantiates a new printMargin and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the left property value. The margin in microns from the left edge.
     * @returns a integer
     */
    get left(): number | undefined;
    /**
     * Sets the left property value. The margin in microns from the left edge.
     * @param value Value to set for the left property.
     */
    set left(value: number | undefined);
    /**
     * Gets the right property value. The margin in microns from the right edge.
     * @returns a integer
     */
    get right(): number | undefined;
    /**
     * Sets the right property value. The margin in microns from the right edge.
     * @param value Value to set for the right property.
     */
    set right(value: number | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the top property value. The margin in microns from the top edge.
     * @returns a integer
     */
    get top(): number | undefined;
    /**
     * Sets the top property value. The margin in microns from the top edge.
     * @param value Value to set for the top property.
     */
    set top(value: number | undefined);
}
