"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PrintMargin = void 0;
class PrintMargin {
    /**
     * Instantiates a new printMargin and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the bottom property value. The margin in microns from the bottom edge.
     * @returns a integer
     */
    get bottom() {
        return this._bottom;
    }
    ;
    /**
     * Sets the bottom property value. The margin in microns from the bottom edge.
     * @param value Value to set for the bottom property.
     */
    set bottom(value) {
        this._bottom = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "bottom": n => { this.bottom = n.getNumberValue(); },
            "left": n => { this.left = n.getNumberValue(); },
            "right": n => { this.right = n.getNumberValue(); },
            "top": n => { this.top = n.getNumberValue(); },
        };
    }
    ;
    /**
     * Gets the left property value. The margin in microns from the left edge.
     * @returns a integer
     */
    get left() {
        return this._left;
    }
    ;
    /**
     * Sets the left property value. The margin in microns from the left edge.
     * @param value Value to set for the left property.
     */
    set left(value) {
        this._left = value;
    }
    ;
    /**
     * Gets the right property value. The margin in microns from the right edge.
     * @returns a integer
     */
    get right() {
        return this._right;
    }
    ;
    /**
     * Sets the right property value. The margin in microns from the right edge.
     * @param value Value to set for the right property.
     */
    set right(value) {
        this._right = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeNumberValue("bottom", this.bottom);
        writer.writeNumberValue("left", this.left);
        writer.writeNumberValue("right", this.right);
        writer.writeNumberValue("top", this.top);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the top property value. The margin in microns from the top edge.
     * @returns a integer
     */
    get top() {
        return this._top;
    }
    ;
    /**
     * Sets the top property value. The margin in microns from the top edge.
     * @param value Value to set for the top property.
     */
    set top(value) {
        this._top = value;
    }
    ;
}
exports.PrintMargin = PrintMargin;
