import { PrintOperationProcessingState } from './printOperationProcessingState';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class PrintOperationStatus implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** A human-readable description of the printOperation's current processing state. Read-only. */
    private _description?;
    /** The printOperation's current processing state. Valid values are described in the following table. Read-only. */
    private _state?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Instantiates a new printOperationStatus and sets the default values.
     */
    constructor();
    /**
     * Gets the description property value. A human-readable description of the printOperation's current processing state. Read-only.
     * @returns a string
     */
    get description(): string | undefined;
    /**
     * Sets the description property value. A human-readable description of the printOperation's current processing state. Read-only.
     * @param value Value to set for the description property.
     */
    set description(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the state property value. The printOperation's current processing state. Valid values are described in the following table. Read-only.
     * @returns a printOperationProcessingState
     */
    get state(): PrintOperationProcessingState | undefined;
    /**
     * Sets the state property value. The printOperation's current processing state. Valid values are described in the following table. Read-only.
     * @param value Value to set for the state property.
     */
    set state(value: PrintOperationProcessingState | undefined);
}
