"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PrintService = void 0;
const createPrintServiceEndpointFromDiscriminatorValue_1 = require("./createPrintServiceEndpointFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the print singleton. */
class PrintService extends index_1.Entity {
    /**
     * Instantiates a new printService and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the endpoints property value. Endpoints that can be used to access the service. Read-only. Nullable.
     * @returns a printServiceEndpoint
     */
    get endpoints() {
        return this._endpoints;
    }
    ;
    /**
     * Sets the endpoints property value. Endpoints that can be used to access the service. Read-only. Nullable.
     * @param value Value to set for the endpoints property.
     */
    set endpoints(value) {
        this._endpoints = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "endpoints": n => { this.endpoints = n.getCollectionOfObjectValues(createPrintServiceEndpointFromDiscriminatorValue_1.createPrintServiceEndpointFromDiscriminatorValue); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("endpoints", this.endpoints);
    }
    ;
}
exports.PrintService = PrintService;
