"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PrintServiceEndpoint = void 0;
const index_1 = require("./index");
/** Provides operations to manage the print singleton. */
class PrintServiceEndpoint extends index_1.Entity {
    /**
     * Instantiates a new printServiceEndpoint and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the displayName property value. A human-readable display name for the endpoint.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. A human-readable display name for the endpoint.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "displayName": n => { this.displayName = n.getStringValue(); }, "uri": n => { this.uri = n.getStringValue(); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeStringValue("uri", this.uri);
    }
    ;
    /**
     * Gets the uri property value. The URI that can be used to access the service.
     * @returns a string
     */
    get uri() {
        return this._uri;
    }
    ;
    /**
     * Sets the uri property value. The URI that can be used to access the service.
     * @param value Value to set for the uri property.
     */
    set uri(value) {
        this._uri = value;
    }
    ;
}
exports.PrintServiceEndpoint = PrintServiceEndpoint;
