import { Entity, PrintTaskDefinition, PrintTaskStatus, PrintTaskTrigger } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the print singleton. */
export declare class PrintTask extends Entity implements Parsable {
    /** The definition property */
    private _definition?;
    /** The URL for the print entity that triggered this task. For example, https://graph.microsoft.com/beta/print/printers/{printerId}/jobs/{jobId}. Read-only. */
    private _parentUrl?;
    /** The status property */
    private _status?;
    /** The trigger property */
    private _trigger?;
    /**
     * Instantiates a new printTask and sets the default values.
     */
    constructor();
    /**
     * Gets the definition property value. The definition property
     * @returns a printTaskDefinition
     */
    get definition(): PrintTaskDefinition | undefined;
    /**
     * Sets the definition property value. The definition property
     * @param value Value to set for the definition property.
     */
    set definition(value: PrintTaskDefinition | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the parentUrl property value. The URL for the print entity that triggered this task. For example, https://graph.microsoft.com/beta/print/printers/{printerId}/jobs/{jobId}. Read-only.
     * @returns a string
     */
    get parentUrl(): string | undefined;
    /**
     * Sets the parentUrl property value. The URL for the print entity that triggered this task. For example, https://graph.microsoft.com/beta/print/printers/{printerId}/jobs/{jobId}. Read-only.
     * @param value Value to set for the parentUrl property.
     */
    set parentUrl(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the status property value. The status property
     * @returns a printTaskStatus
     */
    get status(): PrintTaskStatus | undefined;
    /**
     * Sets the status property value. The status property
     * @param value Value to set for the status property.
     */
    set status(value: PrintTaskStatus | undefined);
    /**
     * Gets the trigger property value. The trigger property
     * @returns a printTaskTrigger
     */
    get trigger(): PrintTaskTrigger | undefined;
    /**
     * Sets the trigger property value. The trigger property
     * @param value Value to set for the trigger property.
     */
    set trigger(value: PrintTaskTrigger | undefined);
}
