"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PrintTask = void 0;
const createPrintTaskDefinitionFromDiscriminatorValue_1 = require("./createPrintTaskDefinitionFromDiscriminatorValue");
const createPrintTaskStatusFromDiscriminatorValue_1 = require("./createPrintTaskStatusFromDiscriminatorValue");
const createPrintTaskTriggerFromDiscriminatorValue_1 = require("./createPrintTaskTriggerFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the print singleton. */
class PrintTask extends index_1.Entity {
    /**
     * Instantiates a new printTask and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the definition property value. The definition property
     * @returns a printTaskDefinition
     */
    get definition() {
        return this._definition;
    }
    ;
    /**
     * Sets the definition property value. The definition property
     * @param value Value to set for the definition property.
     */
    set definition(value) {
        this._definition = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "definition": n => { this.definition = n.getObjectValue(createPrintTaskDefinitionFromDiscriminatorValue_1.createPrintTaskDefinitionFromDiscriminatorValue); }, "parentUrl": n => { this.parentUrl = n.getStringValue(); }, "status": n => { this.status = n.getObjectValue(createPrintTaskStatusFromDiscriminatorValue_1.createPrintTaskStatusFromDiscriminatorValue); }, "trigger": n => { this.trigger = n.getObjectValue(createPrintTaskTriggerFromDiscriminatorValue_1.createPrintTaskTriggerFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the parentUrl property value. The URL for the print entity that triggered this task. For example, https://graph.microsoft.com/beta/print/printers/{printerId}/jobs/{jobId}. Read-only.
     * @returns a string
     */
    get parentUrl() {
        return this._parentUrl;
    }
    ;
    /**
     * Sets the parentUrl property value. The URL for the print entity that triggered this task. For example, https://graph.microsoft.com/beta/print/printers/{printerId}/jobs/{jobId}. Read-only.
     * @param value Value to set for the parentUrl property.
     */
    set parentUrl(value) {
        this._parentUrl = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("definition", this.definition);
        writer.writeStringValue("parentUrl", this.parentUrl);
        writer.writeObjectValue("status", this.status);
        writer.writeObjectValue("trigger", this.trigger);
    }
    ;
    /**
     * Gets the status property value. The status property
     * @returns a printTaskStatus
     */
    get status() {
        return this._status;
    }
    ;
    /**
     * Sets the status property value. The status property
     * @param value Value to set for the status property.
     */
    set status(value) {
        this._status = value;
    }
    ;
    /**
     * Gets the trigger property value. The trigger property
     * @returns a printTaskTrigger
     */
    get trigger() {
        return this._trigger;
    }
    ;
    /**
     * Sets the trigger property value. The trigger property
     * @param value Value to set for the trigger property.
     */
    set trigger(value) {
        this._trigger = value;
    }
    ;
}
exports.PrintTask = PrintTask;
