import { AppIdentity, Entity, PrintTask } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the print singleton. */
export declare class PrintTaskDefinition extends Entity implements Parsable {
    /** The createdBy property */
    private _createdBy?;
    /** The name of the printTaskDefinition. */
    private _displayName?;
    /** A list of tasks that have been created based on this definition. The list includes currently running tasks and recently completed tasks. Read-only. */
    private _tasks?;
    /**
     * Instantiates a new printTaskDefinition and sets the default values.
     */
    constructor();
    /**
     * Gets the createdBy property value. The createdBy property
     * @returns a appIdentity
     */
    get createdBy(): AppIdentity | undefined;
    /**
     * Sets the createdBy property value. The createdBy property
     * @param value Value to set for the createdBy property.
     */
    set createdBy(value: AppIdentity | undefined);
    /**
     * Gets the displayName property value. The name of the printTaskDefinition.
     * @returns a string
     */
    get displayName(): string | undefined;
    /**
     * Sets the displayName property value. The name of the printTaskDefinition.
     * @param value Value to set for the displayName property.
     */
    set displayName(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the tasks property value. A list of tasks that have been created based on this definition. The list includes currently running tasks and recently completed tasks. Read-only.
     * @returns a printTask
     */
    get tasks(): PrintTask[] | undefined;
    /**
     * Sets the tasks property value. A list of tasks that have been created based on this definition. The list includes currently running tasks and recently completed tasks. Read-only.
     * @param value Value to set for the tasks property.
     */
    set tasks(value: PrintTask[] | undefined);
}
