"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PrintTaskDefinition = void 0;
const createAppIdentityFromDiscriminatorValue_1 = require("./createAppIdentityFromDiscriminatorValue");
const createPrintTaskFromDiscriminatorValue_1 = require("./createPrintTaskFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the print singleton. */
class PrintTaskDefinition extends index_1.Entity {
    /**
     * Instantiates a new printTaskDefinition and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the createdBy property value. The createdBy property
     * @returns a appIdentity
     */
    get createdBy() {
        return this._createdBy;
    }
    ;
    /**
     * Sets the createdBy property value. The createdBy property
     * @param value Value to set for the createdBy property.
     */
    set createdBy(value) {
        this._createdBy = value;
    }
    ;
    /**
     * Gets the displayName property value. The name of the printTaskDefinition.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. The name of the printTaskDefinition.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "createdBy": n => { this.createdBy = n.getObjectValue(createAppIdentityFromDiscriminatorValue_1.createAppIdentityFromDiscriminatorValue); }, "displayName": n => { this.displayName = n.getStringValue(); }, "tasks": n => { this.tasks = n.getCollectionOfObjectValues(createPrintTaskFromDiscriminatorValue_1.createPrintTaskFromDiscriminatorValue); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("createdBy", this.createdBy);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeCollectionOfObjectValues("tasks", this.tasks);
    }
    ;
    /**
     * Gets the tasks property value. A list of tasks that have been created based on this definition. The list includes currently running tasks and recently completed tasks. Read-only.
     * @returns a printTask
     */
    get tasks() {
        return this._tasks;
    }
    ;
    /**
     * Sets the tasks property value. A list of tasks that have been created based on this definition. The list includes currently running tasks and recently completed tasks. Read-only.
     * @param value Value to set for the tasks property.
     */
    set tasks(value) {
        this._tasks = value;
    }
    ;
}
exports.PrintTaskDefinition = PrintTaskDefinition;
