import { Entity } from './index';
import { DateOnly, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the reportRoot singleton. */
export declare class PrintUsage extends Entity implements Parsable {
    /** The completedBlackAndWhiteJobCount property */
    private _completedBlackAndWhiteJobCount?;
    /** The completedColorJobCount property */
    private _completedColorJobCount?;
    /** The incompleteJobCount property */
    private _incompleteJobCount?;
    /** The usageDate property */
    private _usageDate?;
    /**
     * Gets the completedBlackAndWhiteJobCount property value. The completedBlackAndWhiteJobCount property
     * @returns a int64
     */
    get completedBlackAndWhiteJobCount(): number | undefined;
    /**
     * Sets the completedBlackAndWhiteJobCount property value. The completedBlackAndWhiteJobCount property
     * @param value Value to set for the completedBlackAndWhiteJobCount property.
     */
    set completedBlackAndWhiteJobCount(value: number | undefined);
    /**
     * Gets the completedColorJobCount property value. The completedColorJobCount property
     * @returns a int64
     */
    get completedColorJobCount(): number | undefined;
    /**
     * Sets the completedColorJobCount property value. The completedColorJobCount property
     * @param value Value to set for the completedColorJobCount property.
     */
    set completedColorJobCount(value: number | undefined);
    /**
     * Instantiates a new printUsage and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the incompleteJobCount property value. The incompleteJobCount property
     * @returns a int64
     */
    get incompleteJobCount(): number | undefined;
    /**
     * Sets the incompleteJobCount property value. The incompleteJobCount property
     * @param value Value to set for the incompleteJobCount property.
     */
    set incompleteJobCount(value: number | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the usageDate property value. The usageDate property
     * @returns a DateOnly
     */
    get usageDate(): DateOnly | undefined;
    /**
     * Sets the usageDate property value. The usageDate property
     * @param value Value to set for the usageDate property.
     */
    set usageDate(value: DateOnly | undefined);
}
