import { PrintUsage } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the reportRoot singleton. */
export declare class PrintUsageByUser extends PrintUsage implements Parsable {
    /** The UPN of the user represented by these statistics. */
    private _userPrincipalName?;
    /**
     * Instantiates a new printUsageByUser and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the userPrincipalName property value. The UPN of the user represented by these statistics.
     * @returns a string
     */
    get userPrincipalName(): string | undefined;
    /**
     * Sets the userPrincipalName property value. The UPN of the user represented by these statistics.
     * @param value Value to set for the userPrincipalName property.
     */
    set userPrincipalName(value: string | undefined);
}
