"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PrinterDefaults = void 0;
const printColorMode_1 = require("./printColorMode");
const printDuplexMode_1 = require("./printDuplexMode");
const printMultipageLayout_1 = require("./printMultipageLayout");
const printOrientation_1 = require("./printOrientation");
const printQuality_1 = require("./printQuality");
const printScaling_1 = require("./printScaling");
class PrinterDefaults {
    /**
     * Instantiates a new printerDefaults and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the colorMode property value. The default color mode to use when printing the document. Valid values are described in the following table.
     * @returns a printColorMode
     */
    get colorMode() {
        return this._colorMode;
    }
    ;
    /**
     * Sets the colorMode property value. The default color mode to use when printing the document. Valid values are described in the following table.
     * @param value Value to set for the colorMode property.
     */
    set colorMode(value) {
        this._colorMode = value;
    }
    ;
    ;
    /**
     * Gets the contentType property value. The default content (MIME) type to use when processing documents.
     * @returns a string
     */
    get contentType() {
        return this._contentType;
    }
    ;
    /**
     * Sets the contentType property value. The default content (MIME) type to use when processing documents.
     * @param value Value to set for the contentType property.
     */
    set contentType(value) {
        this._contentType = value;
    }
    ;
    /**
     * Gets the copiesPerJob property value. The default number of copies printed per job.
     * @returns a integer
     */
    get copiesPerJob() {
        return this._copiesPerJob;
    }
    ;
    /**
     * Sets the copiesPerJob property value. The default number of copies printed per job.
     * @param value Value to set for the copiesPerJob property.
     */
    set copiesPerJob(value) {
        this._copiesPerJob = value;
    }
    ;
    /**
     * Gets the dpi property value. The default resolution in DPI to use when printing the job.
     * @returns a integer
     */
    get dpi() {
        return this._dpi;
    }
    ;
    /**
     * Sets the dpi property value. The default resolution in DPI to use when printing the job.
     * @param value Value to set for the dpi property.
     */
    set dpi(value) {
        this._dpi = value;
    }
    ;
    /**
     * Gets the duplexMode property value. The default duplex (double-sided) configuration to use when printing a document. Valid values are described in the following table.
     * @returns a printDuplexMode
     */
    get duplexMode() {
        return this._duplexMode;
    }
    ;
    /**
     * Sets the duplexMode property value. The default duplex (double-sided) configuration to use when printing a document. Valid values are described in the following table.
     * @param value Value to set for the duplexMode property.
     */
    set duplexMode(value) {
        this._duplexMode = value;
    }
    ;
    /**
     * Gets the finishings property value. The default set of finishings to apply to print jobs. Valid values are described in the following table.
     * @returns a string
     */
    get finishings() {
        return this._finishings;
    }
    ;
    /**
     * Sets the finishings property value. The default set of finishings to apply to print jobs. Valid values are described in the following table.
     * @param value Value to set for the finishings property.
     */
    set finishings(value) {
        this._finishings = value;
    }
    ;
    /**
     * Gets the fitPdfToPage property value. The default fitPdfToPage setting. True to fit each page of a PDF document to a physical sheet of media; false to let the printer decide how to lay out impressions.
     * @returns a boolean
     */
    get fitPdfToPage() {
        return this._fitPdfToPage;
    }
    ;
    /**
     * Sets the fitPdfToPage property value. The default fitPdfToPage setting. True to fit each page of a PDF document to a physical sheet of media; false to let the printer decide how to lay out impressions.
     * @param value Value to set for the fitPdfToPage property.
     */
    set fitPdfToPage(value) {
        this._fitPdfToPage = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "colorMode": n => { this.colorMode = n.getEnumValue(printColorMode_1.PrintColorMode); },
            "contentType": n => { this.contentType = n.getStringValue(); },
            "copiesPerJob": n => { this.copiesPerJob = n.getNumberValue(); },
            "dpi": n => { this.dpi = n.getNumberValue(); },
            "duplexMode": n => { this.duplexMode = n.getEnumValue(printDuplexMode_1.PrintDuplexMode); },
            "finishings": n => { this.finishings = n.getCollectionOfPrimitiveValues(); },
            "fitPdfToPage": n => { this.fitPdfToPage = n.getBooleanValue(); },
            "inputBin": n => { this.inputBin = n.getStringValue(); },
            "mediaColor": n => { this.mediaColor = n.getStringValue(); },
            "mediaSize": n => { this.mediaSize = n.getStringValue(); },
            "mediaType": n => { this.mediaType = n.getStringValue(); },
            "multipageLayout": n => { this.multipageLayout = n.getEnumValue(printMultipageLayout_1.PrintMultipageLayout); },
            "orientation": n => { this.orientation = n.getEnumValue(printOrientation_1.PrintOrientation); },
            "outputBin": n => { this.outputBin = n.getStringValue(); },
            "pagesPerSheet": n => { this.pagesPerSheet = n.getNumberValue(); },
            "quality": n => { this.quality = n.getEnumValue(printQuality_1.PrintQuality); },
            "scaling": n => { this.scaling = n.getEnumValue(printScaling_1.PrintScaling); },
        };
    }
    ;
    /**
     * Gets the inputBin property value. The default input bin that serves as the paper source.
     * @returns a string
     */
    get inputBin() {
        return this._inputBin;
    }
    ;
    /**
     * Sets the inputBin property value. The default input bin that serves as the paper source.
     * @param value Value to set for the inputBin property.
     */
    set inputBin(value) {
        this._inputBin = value;
    }
    ;
    /**
     * Gets the mediaColor property value. The default media (such as paper) color to print the document on.
     * @returns a string
     */
    get mediaColor() {
        return this._mediaColor;
    }
    ;
    /**
     * Sets the mediaColor property value. The default media (such as paper) color to print the document on.
     * @param value Value to set for the mediaColor property.
     */
    set mediaColor(value) {
        this._mediaColor = value;
    }
    ;
    /**
     * Gets the mediaSize property value. The default media size to use. Supports standard size names for ISO and ANSI media sizes. Valid values are listed in the printerCapabilities topic.
     * @returns a string
     */
    get mediaSize() {
        return this._mediaSize;
    }
    ;
    /**
     * Sets the mediaSize property value. The default media size to use. Supports standard size names for ISO and ANSI media sizes. Valid values are listed in the printerCapabilities topic.
     * @param value Value to set for the mediaSize property.
     */
    set mediaSize(value) {
        this._mediaSize = value;
    }
    ;
    /**
     * Gets the mediaType property value. The default media (such as paper) type to print the document on.
     * @returns a string
     */
    get mediaType() {
        return this._mediaType;
    }
    ;
    /**
     * Sets the mediaType property value. The default media (such as paper) type to print the document on.
     * @param value Value to set for the mediaType property.
     */
    set mediaType(value) {
        this._mediaType = value;
    }
    ;
    /**
     * Gets the multipageLayout property value. The default direction to lay out pages when multiple pages are being printed per sheet. Valid values are described in the following table.
     * @returns a printMultipageLayout
     */
    get multipageLayout() {
        return this._multipageLayout;
    }
    ;
    /**
     * Sets the multipageLayout property value. The default direction to lay out pages when multiple pages are being printed per sheet. Valid values are described in the following table.
     * @param value Value to set for the multipageLayout property.
     */
    set multipageLayout(value) {
        this._multipageLayout = value;
    }
    ;
    /**
     * Gets the orientation property value. The default orientation to use when printing the document. Valid values are described in the following table.
     * @returns a printOrientation
     */
    get orientation() {
        return this._orientation;
    }
    ;
    /**
     * Sets the orientation property value. The default orientation to use when printing the document. Valid values are described in the following table.
     * @param value Value to set for the orientation property.
     */
    set orientation(value) {
        this._orientation = value;
    }
    ;
    /**
     * Gets the outputBin property value. The default output bin to place completed prints into. See the printer's capabilities for a list of supported output bins.
     * @returns a string
     */
    get outputBin() {
        return this._outputBin;
    }
    ;
    /**
     * Sets the outputBin property value. The default output bin to place completed prints into. See the printer's capabilities for a list of supported output bins.
     * @param value Value to set for the outputBin property.
     */
    set outputBin(value) {
        this._outputBin = value;
    }
    ;
    /**
     * Gets the pagesPerSheet property value. The default number of document pages to print on each sheet.
     * @returns a integer
     */
    get pagesPerSheet() {
        return this._pagesPerSheet;
    }
    ;
    /**
     * Sets the pagesPerSheet property value. The default number of document pages to print on each sheet.
     * @param value Value to set for the pagesPerSheet property.
     */
    set pagesPerSheet(value) {
        this._pagesPerSheet = value;
    }
    ;
    /**
     * Gets the quality property value. The default quality to use when printing the document. Valid values are described in the following table.
     * @returns a printQuality
     */
    get quality() {
        return this._quality;
    }
    ;
    /**
     * Sets the quality property value. The default quality to use when printing the document. Valid values are described in the following table.
     * @param value Value to set for the quality property.
     */
    set quality(value) {
        this._quality = value;
    }
    ;
    /**
     * Gets the scaling property value. Specifies how the printer scales the document data to fit the requested media. Valid values are described in the following table.
     * @returns a printScaling
     */
    get scaling() {
        return this._scaling;
    }
    ;
    /**
     * Sets the scaling property value. Specifies how the printer scales the document data to fit the requested media. Valid values are described in the following table.
     * @param value Value to set for the scaling property.
     */
    set scaling(value) {
        this._scaling = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeEnumValue("colorMode", this.colorMode);
        writer.writeStringValue("contentType", this.contentType);
        writer.writeNumberValue("copiesPerJob", this.copiesPerJob);
        writer.writeNumberValue("dpi", this.dpi);
        writer.writeEnumValue("duplexMode", this.duplexMode);
        writer.writeCollectionOfPrimitiveValues("finishings", this.finishings);
        writer.writeBooleanValue("fitPdfToPage", this.fitPdfToPage);
        writer.writeStringValue("inputBin", this.inputBin);
        writer.writeStringValue("mediaColor", this.mediaColor);
        writer.writeStringValue("mediaSize", this.mediaSize);
        writer.writeStringValue("mediaType", this.mediaType);
        writer.writeEnumValue("multipageLayout", this.multipageLayout);
        writer.writeEnumValue("orientation", this.orientation);
        writer.writeStringValue("outputBin", this.outputBin);
        writer.writeNumberValue("pagesPerSheet", this.pagesPerSheet);
        writer.writeEnumValue("quality", this.quality);
        writer.writeEnumValue("scaling", this.scaling);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.PrinterDefaults = PrinterDefaults;
