import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class PrinterLocation implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The altitude, in meters, that the printer is located at. */
    private _altitudeInMeters?;
    /** The building that the printer is located in. */
    private _building?;
    /** The city that the printer is located in. */
    private _city?;
    /** The country or region that the printer is located in. */
    private _countryOrRegion?;
    /** The floor that the printer is located on. Only numerical values are supported right now. */
    private _floor?;
    /** The description of the floor that the printer is located on. */
    private _floorDescription?;
    /** The latitude that the printer is located at. */
    private _latitude?;
    /** The longitude that the printer is located at. */
    private _longitude?;
    /** The organizational hierarchy that the printer belongs to. The elements should be in hierarchical order. */
    private _organization?;
    /** The postal code that the printer is located in. */
    private _postalCode?;
    /** The description of the room that the printer is located in. */
    private _roomDescription?;
    /** The room that the printer is located in. Only numerical values are supported right now. */
    private _roomName?;
    /** The site that the printer is located in. */
    private _site?;
    /** The state or province that the printer is located in. */
    private _stateOrProvince?;
    /** The street address where the printer is located. */
    private _streetAddress?;
    /** The subdivision that the printer is located in. The elements should be in hierarchical order. */
    private _subdivision?;
    /** The subunit property */
    private _subunit?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the altitudeInMeters property value. The altitude, in meters, that the printer is located at.
     * @returns a integer
     */
    get altitudeInMeters(): number | undefined;
    /**
     * Sets the altitudeInMeters property value. The altitude, in meters, that the printer is located at.
     * @param value Value to set for the altitudeInMeters property.
     */
    set altitudeInMeters(value: number | undefined);
    /**
     * Gets the building property value. The building that the printer is located in.
     * @returns a string
     */
    get building(): string | undefined;
    /**
     * Sets the building property value. The building that the printer is located in.
     * @param value Value to set for the building property.
     */
    set building(value: string | undefined);
    /**
     * Gets the city property value. The city that the printer is located in.
     * @returns a string
     */
    get city(): string | undefined;
    /**
     * Sets the city property value. The city that the printer is located in.
     * @param value Value to set for the city property.
     */
    set city(value: string | undefined);
    /**
     * Instantiates a new printerLocation and sets the default values.
     */
    constructor();
    /**
     * Gets the countryOrRegion property value. The country or region that the printer is located in.
     * @returns a string
     */
    get countryOrRegion(): string | undefined;
    /**
     * Sets the countryOrRegion property value. The country or region that the printer is located in.
     * @param value Value to set for the countryOrRegion property.
     */
    set countryOrRegion(value: string | undefined);
    /**
     * Gets the floor property value. The floor that the printer is located on. Only numerical values are supported right now.
     * @returns a string
     */
    get floor(): string | undefined;
    /**
     * Sets the floor property value. The floor that the printer is located on. Only numerical values are supported right now.
     * @param value Value to set for the floor property.
     */
    set floor(value: string | undefined);
    /**
     * Gets the floorDescription property value. The description of the floor that the printer is located on.
     * @returns a string
     */
    get floorDescription(): string | undefined;
    /**
     * Sets the floorDescription property value. The description of the floor that the printer is located on.
     * @param value Value to set for the floorDescription property.
     */
    set floorDescription(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the latitude property value. The latitude that the printer is located at.
     * @returns a double
     */
    get latitude(): number | undefined;
    /**
     * Sets the latitude property value. The latitude that the printer is located at.
     * @param value Value to set for the latitude property.
     */
    set latitude(value: number | undefined);
    /**
     * Gets the longitude property value. The longitude that the printer is located at.
     * @returns a double
     */
    get longitude(): number | undefined;
    /**
     * Sets the longitude property value. The longitude that the printer is located at.
     * @param value Value to set for the longitude property.
     */
    set longitude(value: number | undefined);
    /**
     * Gets the organization property value. The organizational hierarchy that the printer belongs to. The elements should be in hierarchical order.
     * @returns a string
     */
    get organization(): string[] | undefined;
    /**
     * Sets the organization property value. The organizational hierarchy that the printer belongs to. The elements should be in hierarchical order.
     * @param value Value to set for the organization property.
     */
    set organization(value: string[] | undefined);
    /**
     * Gets the postalCode property value. The postal code that the printer is located in.
     * @returns a string
     */
    get postalCode(): string | undefined;
    /**
     * Sets the postalCode property value. The postal code that the printer is located in.
     * @param value Value to set for the postalCode property.
     */
    set postalCode(value: string | undefined);
    /**
     * Gets the roomDescription property value. The description of the room that the printer is located in.
     * @returns a string
     */
    get roomDescription(): string | undefined;
    /**
     * Sets the roomDescription property value. The description of the room that the printer is located in.
     * @param value Value to set for the roomDescription property.
     */
    set roomDescription(value: string | undefined);
    /**
     * Gets the roomName property value. The room that the printer is located in. Only numerical values are supported right now.
     * @returns a string
     */
    get roomName(): string | undefined;
    /**
     * Sets the roomName property value. The room that the printer is located in. Only numerical values are supported right now.
     * @param value Value to set for the roomName property.
     */
    set roomName(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the site property value. The site that the printer is located in.
     * @returns a string
     */
    get site(): string | undefined;
    /**
     * Sets the site property value. The site that the printer is located in.
     * @param value Value to set for the site property.
     */
    set site(value: string | undefined);
    /**
     * Gets the stateOrProvince property value. The state or province that the printer is located in.
     * @returns a string
     */
    get stateOrProvince(): string | undefined;
    /**
     * Sets the stateOrProvince property value. The state or province that the printer is located in.
     * @param value Value to set for the stateOrProvince property.
     */
    set stateOrProvince(value: string | undefined);
    /**
     * Gets the streetAddress property value. The street address where the printer is located.
     * @returns a string
     */
    get streetAddress(): string | undefined;
    /**
     * Sets the streetAddress property value. The street address where the printer is located.
     * @param value Value to set for the streetAddress property.
     */
    set streetAddress(value: string | undefined);
    /**
     * Gets the subdivision property value. The subdivision that the printer is located in. The elements should be in hierarchical order.
     * @returns a string
     */
    get subdivision(): string[] | undefined;
    /**
     * Sets the subdivision property value. The subdivision that the printer is located in. The elements should be in hierarchical order.
     * @param value Value to set for the subdivision property.
     */
    set subdivision(value: string[] | undefined);
    /**
     * Gets the subunit property value. The subunit property
     * @returns a string
     */
    get subunit(): string[] | undefined;
    /**
     * Sets the subunit property value. The subunit property
     * @param value Value to set for the subunit property.
     */
    set subunit(value: string[] | undefined);
}
