"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PrinterLocation = void 0;
class PrinterLocation {
    /**
     * Instantiates a new printerLocation and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the altitudeInMeters property value. The altitude, in meters, that the printer is located at.
     * @returns a integer
     */
    get altitudeInMeters() {
        return this._altitudeInMeters;
    }
    ;
    /**
     * Sets the altitudeInMeters property value. The altitude, in meters, that the printer is located at.
     * @param value Value to set for the altitudeInMeters property.
     */
    set altitudeInMeters(value) {
        this._altitudeInMeters = value;
    }
    ;
    /**
     * Gets the building property value. The building that the printer is located in.
     * @returns a string
     */
    get building() {
        return this._building;
    }
    ;
    /**
     * Sets the building property value. The building that the printer is located in.
     * @param value Value to set for the building property.
     */
    set building(value) {
        this._building = value;
    }
    ;
    /**
     * Gets the city property value. The city that the printer is located in.
     * @returns a string
     */
    get city() {
        return this._city;
    }
    ;
    /**
     * Sets the city property value. The city that the printer is located in.
     * @param value Value to set for the city property.
     */
    set city(value) {
        this._city = value;
    }
    ;
    ;
    /**
     * Gets the countryOrRegion property value. The country or region that the printer is located in.
     * @returns a string
     */
    get countryOrRegion() {
        return this._countryOrRegion;
    }
    ;
    /**
     * Sets the countryOrRegion property value. The country or region that the printer is located in.
     * @param value Value to set for the countryOrRegion property.
     */
    set countryOrRegion(value) {
        this._countryOrRegion = value;
    }
    ;
    /**
     * Gets the floor property value. The floor that the printer is located on. Only numerical values are supported right now.
     * @returns a string
     */
    get floor() {
        return this._floor;
    }
    ;
    /**
     * Sets the floor property value. The floor that the printer is located on. Only numerical values are supported right now.
     * @param value Value to set for the floor property.
     */
    set floor(value) {
        this._floor = value;
    }
    ;
    /**
     * Gets the floorDescription property value. The description of the floor that the printer is located on.
     * @returns a string
     */
    get floorDescription() {
        return this._floorDescription;
    }
    ;
    /**
     * Sets the floorDescription property value. The description of the floor that the printer is located on.
     * @param value Value to set for the floorDescription property.
     */
    set floorDescription(value) {
        this._floorDescription = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "altitudeInMeters": n => { this.altitudeInMeters = n.getNumberValue(); },
            "building": n => { this.building = n.getStringValue(); },
            "city": n => { this.city = n.getStringValue(); },
            "countryOrRegion": n => { this.countryOrRegion = n.getStringValue(); },
            "floor": n => { this.floor = n.getStringValue(); },
            "floorDescription": n => { this.floorDescription = n.getStringValue(); },
            "latitude": n => { this.latitude = n.getNumberValue(); },
            "longitude": n => { this.longitude = n.getNumberValue(); },
            "organization": n => { this.organization = n.getCollectionOfPrimitiveValues(); },
            "postalCode": n => { this.postalCode = n.getStringValue(); },
            "roomDescription": n => { this.roomDescription = n.getStringValue(); },
            "roomName": n => { this.roomName = n.getStringValue(); },
            "site": n => { this.site = n.getStringValue(); },
            "stateOrProvince": n => { this.stateOrProvince = n.getStringValue(); },
            "streetAddress": n => { this.streetAddress = n.getStringValue(); },
            "subdivision": n => { this.subdivision = n.getCollectionOfPrimitiveValues(); },
            "subunit": n => { this.subunit = n.getCollectionOfPrimitiveValues(); },
        };
    }
    ;
    /**
     * Gets the latitude property value. The latitude that the printer is located at.
     * @returns a double
     */
    get latitude() {
        return this._latitude;
    }
    ;
    /**
     * Sets the latitude property value. The latitude that the printer is located at.
     * @param value Value to set for the latitude property.
     */
    set latitude(value) {
        this._latitude = value;
    }
    ;
    /**
     * Gets the longitude property value. The longitude that the printer is located at.
     * @returns a double
     */
    get longitude() {
        return this._longitude;
    }
    ;
    /**
     * Sets the longitude property value. The longitude that the printer is located at.
     * @param value Value to set for the longitude property.
     */
    set longitude(value) {
        this._longitude = value;
    }
    ;
    /**
     * Gets the organization property value. The organizational hierarchy that the printer belongs to. The elements should be in hierarchical order.
     * @returns a string
     */
    get organization() {
        return this._organization;
    }
    ;
    /**
     * Sets the organization property value. The organizational hierarchy that the printer belongs to. The elements should be in hierarchical order.
     * @param value Value to set for the organization property.
     */
    set organization(value) {
        this._organization = value;
    }
    ;
    /**
     * Gets the postalCode property value. The postal code that the printer is located in.
     * @returns a string
     */
    get postalCode() {
        return this._postalCode;
    }
    ;
    /**
     * Sets the postalCode property value. The postal code that the printer is located in.
     * @param value Value to set for the postalCode property.
     */
    set postalCode(value) {
        this._postalCode = value;
    }
    ;
    /**
     * Gets the roomDescription property value. The description of the room that the printer is located in.
     * @returns a string
     */
    get roomDescription() {
        return this._roomDescription;
    }
    ;
    /**
     * Sets the roomDescription property value. The description of the room that the printer is located in.
     * @param value Value to set for the roomDescription property.
     */
    set roomDescription(value) {
        this._roomDescription = value;
    }
    ;
    /**
     * Gets the roomName property value. The room that the printer is located in. Only numerical values are supported right now.
     * @returns a string
     */
    get roomName() {
        return this._roomName;
    }
    ;
    /**
     * Sets the roomName property value. The room that the printer is located in. Only numerical values are supported right now.
     * @param value Value to set for the roomName property.
     */
    set roomName(value) {
        this._roomName = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeNumberValue("altitudeInMeters", this.altitudeInMeters);
        writer.writeStringValue("building", this.building);
        writer.writeStringValue("city", this.city);
        writer.writeStringValue("countryOrRegion", this.countryOrRegion);
        writer.writeStringValue("floor", this.floor);
        writer.writeStringValue("floorDescription", this.floorDescription);
        writer.writeNumberValue("latitude", this.latitude);
        writer.writeNumberValue("longitude", this.longitude);
        writer.writeCollectionOfPrimitiveValues("organization", this.organization);
        writer.writeStringValue("postalCode", this.postalCode);
        writer.writeStringValue("roomDescription", this.roomDescription);
        writer.writeStringValue("roomName", this.roomName);
        writer.writeStringValue("site", this.site);
        writer.writeStringValue("stateOrProvince", this.stateOrProvince);
        writer.writeStringValue("streetAddress", this.streetAddress);
        writer.writeCollectionOfPrimitiveValues("subdivision", this.subdivision);
        writer.writeCollectionOfPrimitiveValues("subunit", this.subunit);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the site property value. The site that the printer is located in.
     * @returns a string
     */
    get site() {
        return this._site;
    }
    ;
    /**
     * Sets the site property value. The site that the printer is located in.
     * @param value Value to set for the site property.
     */
    set site(value) {
        this._site = value;
    }
    ;
    /**
     * Gets the stateOrProvince property value. The state or province that the printer is located in.
     * @returns a string
     */
    get stateOrProvince() {
        return this._stateOrProvince;
    }
    ;
    /**
     * Sets the stateOrProvince property value. The state or province that the printer is located in.
     * @param value Value to set for the stateOrProvince property.
     */
    set stateOrProvince(value) {
        this._stateOrProvince = value;
    }
    ;
    /**
     * Gets the streetAddress property value. The street address where the printer is located.
     * @returns a string
     */
    get streetAddress() {
        return this._streetAddress;
    }
    ;
    /**
     * Sets the streetAddress property value. The street address where the printer is located.
     * @param value Value to set for the streetAddress property.
     */
    set streetAddress(value) {
        this._streetAddress = value;
    }
    ;
    /**
     * Gets the subdivision property value. The subdivision that the printer is located in. The elements should be in hierarchical order.
     * @returns a string
     */
    get subdivision() {
        return this._subdivision;
    }
    ;
    /**
     * Sets the subdivision property value. The subdivision that the printer is located in. The elements should be in hierarchical order.
     * @param value Value to set for the subdivision property.
     */
    set subdivision(value) {
        this._subdivision = value;
    }
    ;
    /**
     * Gets the subunit property value. The subunit property
     * @returns a string
     */
    get subunit() {
        return this._subunit;
    }
    ;
    /**
     * Sets the subunit property value. The subunit property
     * @param value Value to set for the subunit property.
     */
    set subunit(value) {
        this._subunit = value;
    }
    ;
}
exports.PrinterLocation = PrinterLocation;
