import { Entity } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Casts the previous resource to user. */
export declare class ProfilePhoto extends Entity implements Parsable {
    /** The height of the photo. Read-only. */
    private _height?;
    /** The width of the photo. Read-only. */
    private _width?;
    /**
     * Instantiates a new profilePhoto and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the height property value. The height of the photo. Read-only.
     * @returns a integer
     */
    get height(): number | undefined;
    /**
     * Sets the height property value. The height of the photo. Read-only.
     * @param value Value to set for the height property.
     */
    set height(value: number | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the width property value. The width of the photo. Read-only.
     * @returns a integer
     */
    get width(): number | undefined;
    /**
     * Sets the width property value. The width of the photo. Read-only.
     * @param value Value to set for the width property.
     */
    set width(value: number | undefined);
}
