import { DetailsInfo, Identity } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the auditLogRoot singleton. */
export declare class ProvisionedIdentity extends Identity implements Parsable {
    /** Details of the identity. */
    private _details?;
    /** Type of identity that has been provisioned, such as 'user' or 'group'. */
    private _identityType?;
    /**
     * Instantiates a new provisionedIdentity and sets the default values.
     */
    constructor();
    /**
     * Gets the details property value. Details of the identity.
     * @returns a detailsInfo
     */
    get details(): DetailsInfo | undefined;
    /**
     * Sets the details property value. Details of the identity.
     * @param value Value to set for the details property.
     */
    set details(value: DetailsInfo | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the identityType property value. Type of identity that has been provisioned, such as 'user' or 'group'.
     * @returns a string
     */
    get identityType(): string | undefined;
    /**
     * Sets the identityType property value. Type of identity that has been provisioned, such as 'user' or 'group'.
     * @param value Value to set for the identityType property.
     */
    set identityType(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
