import { ProvisioningStatusErrorCategory } from './provisioningStatusErrorCategory';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class ProvisioningErrorInfo implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** Additional details in case of error. */
    private _additionalDetails?;
    /** Categorizes the error code. Possible values are failure, nonServiceFailure, success, unknownFutureValue */
    private _errorCategory?;
    /** Unique error code if any occurred. Learn more */
    private _errorCode?;
    /** Summarizes the status and describes why the status happened. */
    private _reason?;
    /** Provides the resolution for the corresponding error. */
    private _recommendedAction?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the additionalDetails property value. Additional details in case of error.
     * @returns a string
     */
    get additionalDetails(): string | undefined;
    /**
     * Sets the additionalDetails property value. Additional details in case of error.
     * @param value Value to set for the additionalDetails property.
     */
    set additionalDetails(value: string | undefined);
    /**
     * Instantiates a new provisioningErrorInfo and sets the default values.
     */
    constructor();
    /**
     * Gets the errorCategory property value. Categorizes the error code. Possible values are failure, nonServiceFailure, success, unknownFutureValue
     * @returns a provisioningStatusErrorCategory
     */
    get errorCategory(): ProvisioningStatusErrorCategory | undefined;
    /**
     * Sets the errorCategory property value. Categorizes the error code. Possible values are failure, nonServiceFailure, success, unknownFutureValue
     * @param value Value to set for the errorCategory property.
     */
    set errorCategory(value: ProvisioningStatusErrorCategory | undefined);
    /**
     * Gets the errorCode property value. Unique error code if any occurred. Learn more
     * @returns a string
     */
    get errorCode(): string | undefined;
    /**
     * Sets the errorCode property value. Unique error code if any occurred. Learn more
     * @param value Value to set for the errorCode property.
     */
    set errorCode(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the reason property value. Summarizes the status and describes why the status happened.
     * @returns a string
     */
    get reason(): string | undefined;
    /**
     * Sets the reason property value. Summarizes the status and describes why the status happened.
     * @param value Value to set for the reason property.
     */
    set reason(value: string | undefined);
    /**
     * Gets the recommendedAction property value. Provides the resolution for the corresponding error.
     * @returns a string
     */
    get recommendedAction(): string | undefined;
    /**
     * Sets the recommendedAction property value. Provides the resolution for the corresponding error.
     * @param value Value to set for the recommendedAction property.
     */
    set recommendedAction(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
