"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProvisioningObjectSummary = void 0;
const createInitiatorFromDiscriminatorValue_1 = require("./createInitiatorFromDiscriminatorValue");
const createModifiedPropertyFromDiscriminatorValue_1 = require("./createModifiedPropertyFromDiscriminatorValue");
const createProvisionedIdentityFromDiscriminatorValue_1 = require("./createProvisionedIdentityFromDiscriminatorValue");
const createProvisioningServicePrincipalFromDiscriminatorValue_1 = require("./createProvisioningServicePrincipalFromDiscriminatorValue");
const createProvisioningStatusInfoFromDiscriminatorValue_1 = require("./createProvisioningStatusInfoFromDiscriminatorValue");
const createProvisioningStepFromDiscriminatorValue_1 = require("./createProvisioningStepFromDiscriminatorValue");
const createProvisioningSystemFromDiscriminatorValue_1 = require("./createProvisioningSystemFromDiscriminatorValue");
const index_1 = require("./index");
const provisioningAction_1 = require("./provisioningAction");
/** Provides operations to manage the auditLogRoot singleton. */
class ProvisioningObjectSummary extends index_1.Entity {
    /**
     * Instantiates a new provisioningObjectSummary and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the activityDateTime property value. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @returns a Date
     */
    get activityDateTime() {
        return this._activityDateTime;
    }
    ;
    /**
     * Sets the activityDateTime property value. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z
     * @param value Value to set for the activityDateTime property.
     */
    set activityDateTime(value) {
        this._activityDateTime = value;
    }
    ;
    /**
     * Gets the changeId property value. Unique ID of this change in this cycle.
     * @returns a string
     */
    get changeId() {
        return this._changeId;
    }
    ;
    /**
     * Sets the changeId property value. Unique ID of this change in this cycle.
     * @param value Value to set for the changeId property.
     */
    set changeId(value) {
        this._changeId = value;
    }
    ;
    ;
    /**
     * Gets the cycleId property value. Unique ID per job iteration.
     * @returns a string
     */
    get cycleId() {
        return this._cycleId;
    }
    ;
    /**
     * Sets the cycleId property value. Unique ID per job iteration.
     * @param value Value to set for the cycleId property.
     */
    set cycleId(value) {
        this._cycleId = value;
    }
    ;
    /**
     * Gets the durationInMilliseconds property value. Indicates how long this provisioning action took to finish. Measured in milliseconds.
     * @returns a integer
     */
    get durationInMilliseconds() {
        return this._durationInMilliseconds;
    }
    ;
    /**
     * Sets the durationInMilliseconds property value. Indicates how long this provisioning action took to finish. Measured in milliseconds.
     * @param value Value to set for the durationInMilliseconds property.
     */
    set durationInMilliseconds(value) {
        this._durationInMilliseconds = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "activityDateTime": n => { this.activityDateTime = n.getDateValue(); }, "changeId": n => { this.changeId = n.getStringValue(); }, "cycleId": n => { this.cycleId = n.getStringValue(); }, "durationInMilliseconds": n => { this.durationInMilliseconds = n.getNumberValue(); }, "initiatedBy": n => { this.initiatedBy = n.getObjectValue(createInitiatorFromDiscriminatorValue_1.createInitiatorFromDiscriminatorValue); }, "jobId": n => { this.jobId = n.getStringValue(); }, "modifiedProperties": n => { this.modifiedProperties = n.getCollectionOfObjectValues(createModifiedPropertyFromDiscriminatorValue_1.createModifiedPropertyFromDiscriminatorValue); }, "provisioningAction": n => { this.provisioningAction = n.getEnumValue(provisioningAction_1.ProvisioningAction); }, "provisioningStatusInfo": n => { this.provisioningStatusInfo = n.getObjectValue(createProvisioningStatusInfoFromDiscriminatorValue_1.createProvisioningStatusInfoFromDiscriminatorValue); }, "provisioningSteps": n => { this.provisioningSteps = n.getCollectionOfObjectValues(createProvisioningStepFromDiscriminatorValue_1.createProvisioningStepFromDiscriminatorValue); }, "servicePrincipal": n => { this.servicePrincipal = n.getObjectValue(createProvisioningServicePrincipalFromDiscriminatorValue_1.createProvisioningServicePrincipalFromDiscriminatorValue); }, "sourceIdentity": n => { this.sourceIdentity = n.getObjectValue(createProvisionedIdentityFromDiscriminatorValue_1.createProvisionedIdentityFromDiscriminatorValue); }, "sourceSystem": n => { this.sourceSystem = n.getObjectValue(createProvisioningSystemFromDiscriminatorValue_1.createProvisioningSystemFromDiscriminatorValue); }, "targetIdentity": n => { this.targetIdentity = n.getObjectValue(createProvisionedIdentityFromDiscriminatorValue_1.createProvisionedIdentityFromDiscriminatorValue); }, "targetSystem": n => { this.targetSystem = n.getObjectValue(createProvisioningSystemFromDiscriminatorValue_1.createProvisioningSystemFromDiscriminatorValue); }, "tenantId": n => { this.tenantId = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the initiatedBy property value. Details of who initiated this provisioning.
     * @returns a initiator
     */
    get initiatedBy() {
        return this._initiatedBy;
    }
    ;
    /**
     * Sets the initiatedBy property value. Details of who initiated this provisioning.
     * @param value Value to set for the initiatedBy property.
     */
    set initiatedBy(value) {
        this._initiatedBy = value;
    }
    ;
    /**
     * Gets the jobId property value. The unique ID for the whole provisioning job.
     * @returns a string
     */
    get jobId() {
        return this._jobId;
    }
    ;
    /**
     * Sets the jobId property value. The unique ID for the whole provisioning job.
     * @param value Value to set for the jobId property.
     */
    set jobId(value) {
        this._jobId = value;
    }
    ;
    /**
     * Gets the modifiedProperties property value. Details of each property that was modified in this provisioning action on this object.
     * @returns a modifiedProperty
     */
    get modifiedProperties() {
        return this._modifiedProperties;
    }
    ;
    /**
     * Sets the modifiedProperties property value. Details of each property that was modified in this provisioning action on this object.
     * @param value Value to set for the modifiedProperties property.
     */
    set modifiedProperties(value) {
        this._modifiedProperties = value;
    }
    ;
    /**
     * Gets the provisioningAction property value. Indicates the activity name or the operation name. Possible values are: create, update, delete, stageddelete, disable, other and unknownFutureValue. For a list of activities logged, refer to Azure AD activity list.
     * @returns a provisioningAction
     */
    get provisioningAction() {
        return this._provisioningAction;
    }
    ;
    /**
     * Sets the provisioningAction property value. Indicates the activity name or the operation name. Possible values are: create, update, delete, stageddelete, disable, other and unknownFutureValue. For a list of activities logged, refer to Azure AD activity list.
     * @param value Value to set for the provisioningAction property.
     */
    set provisioningAction(value) {
        this._provisioningAction = value;
    }
    ;
    /**
     * Gets the provisioningStatusInfo property value. Details of provisioning status.
     * @returns a provisioningStatusInfo
     */
    get provisioningStatusInfo() {
        return this._provisioningStatusInfo;
    }
    ;
    /**
     * Sets the provisioningStatusInfo property value. Details of provisioning status.
     * @param value Value to set for the provisioningStatusInfo property.
     */
    set provisioningStatusInfo(value) {
        this._provisioningStatusInfo = value;
    }
    ;
    /**
     * Gets the provisioningSteps property value. Details of each step in provisioning.
     * @returns a provisioningStep
     */
    get provisioningSteps() {
        return this._provisioningSteps;
    }
    ;
    /**
     * Sets the provisioningSteps property value. Details of each step in provisioning.
     * @param value Value to set for the provisioningSteps property.
     */
    set provisioningSteps(value) {
        this._provisioningSteps = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeDateValue("activityDateTime", this.activityDateTime);
        writer.writeStringValue("changeId", this.changeId);
        writer.writeStringValue("cycleId", this.cycleId);
        writer.writeNumberValue("durationInMilliseconds", this.durationInMilliseconds);
        writer.writeObjectValue("initiatedBy", this.initiatedBy);
        writer.writeStringValue("jobId", this.jobId);
        writer.writeCollectionOfObjectValues("modifiedProperties", this.modifiedProperties);
        writer.writeEnumValue("provisioningAction", this.provisioningAction);
        writer.writeObjectValue("provisioningStatusInfo", this.provisioningStatusInfo);
        writer.writeCollectionOfObjectValues("provisioningSteps", this.provisioningSteps);
        writer.writeObjectValue("servicePrincipal", this.servicePrincipal);
        writer.writeObjectValue("sourceIdentity", this.sourceIdentity);
        writer.writeObjectValue("sourceSystem", this.sourceSystem);
        writer.writeObjectValue("targetIdentity", this.targetIdentity);
        writer.writeObjectValue("targetSystem", this.targetSystem);
        writer.writeStringValue("tenantId", this.tenantId);
    }
    ;
    /**
     * Gets the servicePrincipal property value. Represents the service principal used for provisioning.
     * @returns a provisioningServicePrincipal
     */
    get servicePrincipal() {
        return this._servicePrincipal;
    }
    ;
    /**
     * Sets the servicePrincipal property value. Represents the service principal used for provisioning.
     * @param value Value to set for the servicePrincipal property.
     */
    set servicePrincipal(value) {
        this._servicePrincipal = value;
    }
    ;
    /**
     * Gets the sourceIdentity property value. Details of source object being provisioned.
     * @returns a provisionedIdentity
     */
    get sourceIdentity() {
        return this._sourceIdentity;
    }
    ;
    /**
     * Sets the sourceIdentity property value. Details of source object being provisioned.
     * @param value Value to set for the sourceIdentity property.
     */
    set sourceIdentity(value) {
        this._sourceIdentity = value;
    }
    ;
    /**
     * Gets the sourceSystem property value. Details of source system of the object being provisioned.
     * @returns a provisioningSystem
     */
    get sourceSystem() {
        return this._sourceSystem;
    }
    ;
    /**
     * Sets the sourceSystem property value. Details of source system of the object being provisioned.
     * @param value Value to set for the sourceSystem property.
     */
    set sourceSystem(value) {
        this._sourceSystem = value;
    }
    ;
    /**
     * Gets the targetIdentity property value. Details of target object being provisioned.
     * @returns a provisionedIdentity
     */
    get targetIdentity() {
        return this._targetIdentity;
    }
    ;
    /**
     * Sets the targetIdentity property value. Details of target object being provisioned.
     * @param value Value to set for the targetIdentity property.
     */
    set targetIdentity(value) {
        this._targetIdentity = value;
    }
    ;
    /**
     * Gets the targetSystem property value. Details of target system of the object being provisioned.
     * @returns a provisioningSystem
     */
    get targetSystem() {
        return this._targetSystem;
    }
    ;
    /**
     * Sets the targetSystem property value. Details of target system of the object being provisioned.
     * @param value Value to set for the targetSystem property.
     */
    set targetSystem(value) {
        this._targetSystem = value;
    }
    ;
    /**
     * Gets the tenantId property value. Unique Azure AD tenant ID.
     * @returns a string
     */
    get tenantId() {
        return this._tenantId;
    }
    ;
    /**
     * Sets the tenantId property value. Unique Azure AD tenant ID.
     * @param value Value to set for the tenantId property.
     */
    set tenantId(value) {
        this._tenantId = value;
    }
    ;
}
exports.ProvisioningObjectSummary = ProvisioningObjectSummary;
