import { ProvisioningErrorInfo } from './index';
import { ProvisioningResult } from './provisioningResult';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class ProvisioningStatusInfo implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The errorInformation property */
    private _errorInformation?;
    /** Possible values are: success, warning, failure, skipped, unknownFutureValue. */
    private _status?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Instantiates a new provisioningStatusInfo and sets the default values.
     */
    constructor();
    /**
     * Gets the errorInformation property value. The errorInformation property
     * @returns a provisioningErrorInfo
     */
    get errorInformation(): ProvisioningErrorInfo | undefined;
    /**
     * Sets the errorInformation property value. The errorInformation property
     * @param value Value to set for the errorInformation property.
     */
    set errorInformation(value: ProvisioningErrorInfo | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the status property value. Possible values are: success, warning, failure, skipped, unknownFutureValue.
     * @returns a provisioningResult
     */
    get status(): ProvisioningResult | undefined;
    /**
     * Sets the status property value. Possible values are: success, warning, failure, skipped, unknownFutureValue.
     * @param value Value to set for the status property.
     */
    set status(value: ProvisioningResult | undefined);
}
