"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProxiedDomain = void 0;
/** Proxied Domain */
class ProxiedDomain {
    /**
     * Instantiates a new proxiedDomain and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "ipAddressOrFQDN": n => { this.ipAddressOrFQDN = n.getStringValue(); },
            "proxy": n => { this.proxy = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the ipAddressOrFQDN property value. The IP address or FQDN
     * @returns a string
     */
    get ipAddressOrFQDN() {
        return this._ipAddressOrFQDN;
    }
    ;
    /**
     * Sets the ipAddressOrFQDN property value. The IP address or FQDN
     * @param value Value to set for the ipAddressOrFQDN property.
     */
    set ipAddressOrFQDN(value) {
        this._ipAddressOrFQDN = value;
    }
    ;
    /**
     * Gets the proxy property value. Proxy IP or FQDN
     * @returns a string
     */
    get proxy() {
        return this._proxy;
    }
    ;
    /**
     * Sets the proxy property value. Proxy IP or FQDN
     * @param value Value to set for the proxy property.
     */
    set proxy(value) {
        this._proxy = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("ipAddressOrFQDN", this.ipAddressOrFQDN);
        writer.writeStringValue("proxy", this.proxy);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.ProxiedDomain = ProxiedDomain;
