import { PublicErrorDetail, PublicInnerError } from './index';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class PublicError implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** Represents the error code. */
    private _code?;
    /** Details of the error. */
    private _details?;
    /** Details of the inner error. */
    private _innerError?;
    /** A non-localized message for the developer. */
    private _message?;
    /** The target of the error. */
    private _target?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the code property value. Represents the error code.
     * @returns a string
     */
    get code(): string | undefined;
    /**
     * Sets the code property value. Represents the error code.
     * @param value Value to set for the code property.
     */
    set code(value: string | undefined);
    /**
     * Instantiates a new publicError and sets the default values.
     */
    constructor();
    /**
     * Gets the details property value. Details of the error.
     * @returns a publicErrorDetail
     */
    get details(): PublicErrorDetail[] | undefined;
    /**
     * Sets the details property value. Details of the error.
     * @param value Value to set for the details property.
     */
    set details(value: PublicErrorDetail[] | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the innerError property value. Details of the inner error.
     * @returns a publicInnerError
     */
    get innerError(): PublicInnerError | undefined;
    /**
     * Sets the innerError property value. Details of the inner error.
     * @param value Value to set for the innerError property.
     */
    set innerError(value: PublicInnerError | undefined);
    /**
     * Gets the message property value. A non-localized message for the developer.
     * @returns a string
     */
    get message(): string | undefined;
    /**
     * Sets the message property value. A non-localized message for the developer.
     * @param value Value to set for the message property.
     */
    set message(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the target property value. The target of the error.
     * @returns a string
     */
    get target(): string | undefined;
    /**
     * Sets the target property value. The target of the error.
     * @param value Value to set for the target property.
     */
    set target(value: string | undefined);
}
