"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Quota = void 0;
const createStoragePlanInformationFromDiscriminatorValue_1 = require("./createStoragePlanInformationFromDiscriminatorValue");
class Quota {
    /**
     * Instantiates a new quota and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the deleted property value. Total space consumed by files in the recycle bin, in bytes. Read-only.
     * @returns a int64
     */
    get deleted() {
        return this._deleted;
    }
    ;
    /**
     * Sets the deleted property value. Total space consumed by files in the recycle bin, in bytes. Read-only.
     * @param value Value to set for the deleted property.
     */
    set deleted(value) {
        this._deleted = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "deleted": n => { this.deleted = n.getNumberValue(); },
            "remaining": n => { this.remaining = n.getNumberValue(); },
            "state": n => { this.state = n.getStringValue(); },
            "storagePlanInformation": n => { this.storagePlanInformation = n.getObjectValue(createStoragePlanInformationFromDiscriminatorValue_1.createStoragePlanInformationFromDiscriminatorValue); },
            "total": n => { this.total = n.getNumberValue(); },
            "used": n => { this.used = n.getNumberValue(); },
        };
    }
    ;
    /**
     * Gets the remaining property value. Total space remaining before reaching the quota limit, in bytes. Read-only.
     * @returns a int64
     */
    get remaining() {
        return this._remaining;
    }
    ;
    /**
     * Sets the remaining property value. Total space remaining before reaching the quota limit, in bytes. Read-only.
     * @param value Value to set for the remaining property.
     */
    set remaining(value) {
        this._remaining = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeNumberValue("deleted", this.deleted);
        writer.writeNumberValue("remaining", this.remaining);
        writer.writeStringValue("state", this.state);
        writer.writeObjectValue("storagePlanInformation", this.storagePlanInformation);
        writer.writeNumberValue("total", this.total);
        writer.writeNumberValue("used", this.used);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the state property value. Enumeration value that indicates the state of the storage space. Read-only.
     * @returns a string
     */
    get state() {
        return this._state;
    }
    ;
    /**
     * Sets the state property value. Enumeration value that indicates the state of the storage space. Read-only.
     * @param value Value to set for the state property.
     */
    set state(value) {
        this._state = value;
    }
    ;
    /**
     * Gets the storagePlanInformation property value. Information about the drive's storage quota plans. Only in Personal OneDrive.
     * @returns a storagePlanInformation
     */
    get storagePlanInformation() {
        return this._storagePlanInformation;
    }
    ;
    /**
     * Sets the storagePlanInformation property value. Information about the drive's storage quota plans. Only in Personal OneDrive.
     * @param value Value to set for the storagePlanInformation property.
     */
    set storagePlanInformation(value) {
        this._storagePlanInformation = value;
    }
    ;
    /**
     * Gets the total property value. Total allowed storage space, in bytes. Read-only.
     * @returns a int64
     */
    get total() {
        return this._total;
    }
    ;
    /**
     * Sets the total property value. Total allowed storage space, in bytes. Read-only.
     * @param value Value to set for the total property.
     */
    set total(value) {
        this._total = value;
    }
    ;
    /**
     * Gets the used property value. Total space used, in bytes. Read-only.
     * @returns a int64
     */
    get used() {
        return this._used;
    }
    ;
    /**
     * Sets the used property value. Total space used, in bytes. Read-only.
     * @param value Value to set for the used property.
     */
    set used(value) {
        this._used = value;
    }
    ;
}
exports.Quota = Quota;
