"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RbacApplication = void 0;
const createUnifiedRoleAssignmentFromDiscriminatorValue_1 = require("./createUnifiedRoleAssignmentFromDiscriminatorValue");
const createUnifiedRoleAssignmentScheduleFromDiscriminatorValue_1 = require("./createUnifiedRoleAssignmentScheduleFromDiscriminatorValue");
const createUnifiedRoleAssignmentScheduleInstanceFromDiscriminatorValue_1 = require("./createUnifiedRoleAssignmentScheduleInstanceFromDiscriminatorValue");
const createUnifiedRoleAssignmentScheduleRequestFromDiscriminatorValue_1 = require("./createUnifiedRoleAssignmentScheduleRequestFromDiscriminatorValue");
const createUnifiedRoleDefinitionFromDiscriminatorValue_1 = require("./createUnifiedRoleDefinitionFromDiscriminatorValue");
const createUnifiedRoleEligibilityScheduleFromDiscriminatorValue_1 = require("./createUnifiedRoleEligibilityScheduleFromDiscriminatorValue");
const createUnifiedRoleEligibilityScheduleInstanceFromDiscriminatorValue_1 = require("./createUnifiedRoleEligibilityScheduleInstanceFromDiscriminatorValue");
const createUnifiedRoleEligibilityScheduleRequestFromDiscriminatorValue_1 = require("./createUnifiedRoleEligibilityScheduleRequestFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the roleManagement singleton. */
class RbacApplication extends index_1.Entity {
    /**
     * Instantiates a new rbacApplication and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "roleAssignments": n => { this.roleAssignments = n.getCollectionOfObjectValues(createUnifiedRoleAssignmentFromDiscriminatorValue_1.createUnifiedRoleAssignmentFromDiscriminatorValue); }, "roleAssignmentScheduleInstances": n => { this.roleAssignmentScheduleInstances = n.getCollectionOfObjectValues(createUnifiedRoleAssignmentScheduleInstanceFromDiscriminatorValue_1.createUnifiedRoleAssignmentScheduleInstanceFromDiscriminatorValue); }, "roleAssignmentScheduleRequests": n => { this.roleAssignmentScheduleRequests = n.getCollectionOfObjectValues(createUnifiedRoleAssignmentScheduleRequestFromDiscriminatorValue_1.createUnifiedRoleAssignmentScheduleRequestFromDiscriminatorValue); }, "roleAssignmentSchedules": n => { this.roleAssignmentSchedules = n.getCollectionOfObjectValues(createUnifiedRoleAssignmentScheduleFromDiscriminatorValue_1.createUnifiedRoleAssignmentScheduleFromDiscriminatorValue); }, "roleDefinitions": n => { this.roleDefinitions = n.getCollectionOfObjectValues(createUnifiedRoleDefinitionFromDiscriminatorValue_1.createUnifiedRoleDefinitionFromDiscriminatorValue); }, "roleEligibilityScheduleInstances": n => { this.roleEligibilityScheduleInstances = n.getCollectionOfObjectValues(createUnifiedRoleEligibilityScheduleInstanceFromDiscriminatorValue_1.createUnifiedRoleEligibilityScheduleInstanceFromDiscriminatorValue); }, "roleEligibilityScheduleRequests": n => { this.roleEligibilityScheduleRequests = n.getCollectionOfObjectValues(createUnifiedRoleEligibilityScheduleRequestFromDiscriminatorValue_1.createUnifiedRoleEligibilityScheduleRequestFromDiscriminatorValue); }, "roleEligibilitySchedules": n => { this.roleEligibilitySchedules = n.getCollectionOfObjectValues(createUnifiedRoleEligibilityScheduleFromDiscriminatorValue_1.createUnifiedRoleEligibilityScheduleFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the roleAssignments property value. Resource to grant access to users or groups.
     * @returns a unifiedRoleAssignment
     */
    get roleAssignments() {
        return this._roleAssignments;
    }
    ;
    /**
     * Sets the roleAssignments property value. Resource to grant access to users or groups.
     * @param value Value to set for the roleAssignments property.
     */
    set roleAssignments(value) {
        this._roleAssignments = value;
    }
    ;
    /**
     * Gets the roleAssignmentScheduleInstances property value. Instances for active role assignments.
     * @returns a unifiedRoleAssignmentScheduleInstance
     */
    get roleAssignmentScheduleInstances() {
        return this._roleAssignmentScheduleInstances;
    }
    ;
    /**
     * Sets the roleAssignmentScheduleInstances property value. Instances for active role assignments.
     * @param value Value to set for the roleAssignmentScheduleInstances property.
     */
    set roleAssignmentScheduleInstances(value) {
        this._roleAssignmentScheduleInstances = value;
    }
    ;
    /**
     * Gets the roleAssignmentScheduleRequests property value. Requests for active role assignments to principals through PIM.
     * @returns a unifiedRoleAssignmentScheduleRequest
     */
    get roleAssignmentScheduleRequests() {
        return this._roleAssignmentScheduleRequests;
    }
    ;
    /**
     * Sets the roleAssignmentScheduleRequests property value. Requests for active role assignments to principals through PIM.
     * @param value Value to set for the roleAssignmentScheduleRequests property.
     */
    set roleAssignmentScheduleRequests(value) {
        this._roleAssignmentScheduleRequests = value;
    }
    ;
    /**
     * Gets the roleAssignmentSchedules property value. Schedules for active role assignment operations.
     * @returns a unifiedRoleAssignmentSchedule
     */
    get roleAssignmentSchedules() {
        return this._roleAssignmentSchedules;
    }
    ;
    /**
     * Sets the roleAssignmentSchedules property value. Schedules for active role assignment operations.
     * @param value Value to set for the roleAssignmentSchedules property.
     */
    set roleAssignmentSchedules(value) {
        this._roleAssignmentSchedules = value;
    }
    ;
    /**
     * Gets the roleDefinitions property value. Resource representing the roles allowed by RBAC providers and the permissions assigned to the roles.
     * @returns a unifiedRoleDefinition
     */
    get roleDefinitions() {
        return this._roleDefinitions;
    }
    ;
    /**
     * Sets the roleDefinitions property value. Resource representing the roles allowed by RBAC providers and the permissions assigned to the roles.
     * @param value Value to set for the roleDefinitions property.
     */
    set roleDefinitions(value) {
        this._roleDefinitions = value;
    }
    ;
    /**
     * Gets the roleEligibilityScheduleInstances property value. Instances for role eligibility requests.
     * @returns a unifiedRoleEligibilityScheduleInstance
     */
    get roleEligibilityScheduleInstances() {
        return this._roleEligibilityScheduleInstances;
    }
    ;
    /**
     * Sets the roleEligibilityScheduleInstances property value. Instances for role eligibility requests.
     * @param value Value to set for the roleEligibilityScheduleInstances property.
     */
    set roleEligibilityScheduleInstances(value) {
        this._roleEligibilityScheduleInstances = value;
    }
    ;
    /**
     * Gets the roleEligibilityScheduleRequests property value. Requests for role eligibilities for principals through PIM.
     * @returns a unifiedRoleEligibilityScheduleRequest
     */
    get roleEligibilityScheduleRequests() {
        return this._roleEligibilityScheduleRequests;
    }
    ;
    /**
     * Sets the roleEligibilityScheduleRequests property value. Requests for role eligibilities for principals through PIM.
     * @param value Value to set for the roleEligibilityScheduleRequests property.
     */
    set roleEligibilityScheduleRequests(value) {
        this._roleEligibilityScheduleRequests = value;
    }
    ;
    /**
     * Gets the roleEligibilitySchedules property value. Schedules for role eligibility operations.
     * @returns a unifiedRoleEligibilitySchedule
     */
    get roleEligibilitySchedules() {
        return this._roleEligibilitySchedules;
    }
    ;
    /**
     * Sets the roleEligibilitySchedules property value. Schedules for role eligibility operations.
     * @param value Value to set for the roleEligibilitySchedules property.
     */
    set roleEligibilitySchedules(value) {
        this._roleEligibilitySchedules = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("roleAssignments", this.roleAssignments);
        writer.writeCollectionOfObjectValues("roleAssignmentScheduleInstances", this.roleAssignmentScheduleInstances);
        writer.writeCollectionOfObjectValues("roleAssignmentScheduleRequests", this.roleAssignmentScheduleRequests);
        writer.writeCollectionOfObjectValues("roleAssignmentSchedules", this.roleAssignmentSchedules);
        writer.writeCollectionOfObjectValues("roleDefinitions", this.roleDefinitions);
        writer.writeCollectionOfObjectValues("roleEligibilityScheduleInstances", this.roleEligibilityScheduleInstances);
        writer.writeCollectionOfObjectValues("roleEligibilityScheduleRequests", this.roleEligibilityScheduleRequests);
        writer.writeCollectionOfObjectValues("roleEligibilitySchedules", this.roleEligibilitySchedules);
    }
    ;
}
exports.RbacApplication = RbacApplication;
