"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RecentNotebook = void 0;
const createRecentNotebookLinksFromDiscriminatorValue_1 = require("./createRecentNotebookLinksFromDiscriminatorValue");
const onenoteSourceService_1 = require("./onenoteSourceService");
class RecentNotebook {
    /**
     * Instantiates a new recentNotebook and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the displayName property value. The name of the notebook.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. The name of the notebook.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "displayName": n => { this.displayName = n.getStringValue(); },
            "lastAccessedTime": n => { this.lastAccessedTime = n.getDateValue(); },
            "links": n => { this.links = n.getObjectValue(createRecentNotebookLinksFromDiscriminatorValue_1.createRecentNotebookLinksFromDiscriminatorValue); },
            "sourceService": n => { this.sourceService = n.getEnumValue(onenoteSourceService_1.OnenoteSourceService); },
        };
    }
    ;
    /**
     * Gets the lastAccessedTime property value. The date and time when the notebook was last modified. The timestamp represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Read-only.
     * @returns a Date
     */
    get lastAccessedTime() {
        return this._lastAccessedTime;
    }
    ;
    /**
     * Sets the lastAccessedTime property value. The date and time when the notebook was last modified. The timestamp represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z. Read-only.
     * @param value Value to set for the lastAccessedTime property.
     */
    set lastAccessedTime(value) {
        this._lastAccessedTime = value;
    }
    ;
    /**
     * Gets the links property value. Links for opening the notebook. The oneNoteClientURL link opens the notebook in the OneNote client, if it's installed. The oneNoteWebURL link opens the notebook in OneNote on the web.
     * @returns a recentNotebookLinks
     */
    get links() {
        return this._links;
    }
    ;
    /**
     * Sets the links property value. Links for opening the notebook. The oneNoteClientURL link opens the notebook in the OneNote client, if it's installed. The oneNoteWebURL link opens the notebook in OneNote on the web.
     * @param value Value to set for the links property.
     */
    set links(value) {
        this._links = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("displayName", this.displayName);
        writer.writeDateValue("lastAccessedTime", this.lastAccessedTime);
        writer.writeObjectValue("links", this.links);
        writer.writeEnumValue("sourceService", this.sourceService);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the sourceService property value. The backend store where the Notebook resides, either OneDriveForBusiness or OneDrive.
     * @returns a onenoteSourceService
     */
    get sourceService() {
        return this._sourceService;
    }
    ;
    /**
     * Sets the sourceService property value. The backend store where the Notebook resides, either OneDriveForBusiness or OneDrive.
     * @param value Value to set for the sourceService property.
     */
    set sourceService(value) {
        this._sourceService = value;
    }
    ;
}
exports.RecentNotebook = RecentNotebook;
