import { CommsOperation } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to call the recordResponse method. */
export declare class RecordOperation extends CommsOperation implements Parsable {
    /** The access token required to retrieve the recording. */
    private _recordingAccessToken?;
    /** The location where the recording is located. */
    private _recordingLocation?;
    /**
     * Instantiates a new recordOperation and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the recordingAccessToken property value. The access token required to retrieve the recording.
     * @returns a string
     */
    get recordingAccessToken(): string | undefined;
    /**
     * Sets the recordingAccessToken property value. The access token required to retrieve the recording.
     * @param value Value to set for the recordingAccessToken property.
     */
    set recordingAccessToken(value: string | undefined);
    /**
     * Gets the recordingLocation property value. The location where the recording is located.
     * @returns a string
     */
    get recordingLocation(): string | undefined;
    /**
     * Sets the recordingLocation property value. The location where the recording is located.
     * @param value Value to set for the recordingLocation property.
     */
    set recordingLocation(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
