"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RecordingInfo = void 0;
const createIdentitySetFromDiscriminatorValue_1 = require("./createIdentitySetFromDiscriminatorValue");
const recordingStatus_1 = require("./recordingStatus");
class RecordingInfo {
    /**
     * Instantiates a new recordingInfo and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "initiator": n => { this.initiator = n.getObjectValue(createIdentitySetFromDiscriminatorValue_1.createIdentitySetFromDiscriminatorValue); },
            "recordingStatus": n => { this.recordingStatus = n.getEnumValue(recordingStatus_1.RecordingStatus); },
        };
    }
    ;
    /**
     * Gets the initiator property value. The identities of recording initiator.
     * @returns a identitySet
     */
    get initiator() {
        return this._initiator;
    }
    ;
    /**
     * Sets the initiator property value. The identities of recording initiator.
     * @param value Value to set for the initiator property.
     */
    set initiator(value) {
        this._initiator = value;
    }
    ;
    /**
     * Gets the recordingStatus property value. Possible values are: unknown, notRecording, recording, or failed.
     * @returns a recordingStatus
     */
    get recordingStatus() {
        return this._recordingStatus;
    }
    ;
    /**
     * Sets the recordingStatus property value. Possible values are: unknown, notRecording, recording, or failed.
     * @param value Value to set for the recordingStatus property.
     */
    set recordingStatus(value) {
        this._recordingStatus = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeObjectValue("initiator", this.initiator);
        writer.writeEnumValue("recordingStatus", this.recordingStatus);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.RecordingInfo = RecordingInfo;
