import { RecurrenceRangeType } from './recurrenceRangeType';
import { AdditionalDataHolder, DateOnly, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class RecurrenceRange implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The date to stop applying the recurrence pattern. Depending on the recurrence pattern of the event, the last occurrence of the meeting may not be this date. Required if type is endDate. */
    private _endDate?;
    /** The number of times to repeat the event. Required and must be positive if type is numbered. */
    private _numberOfOccurrences?;
    /** Time zone for the startDate and endDate properties. Optional. If not specified, the time zone of the event is used. */
    private _recurrenceTimeZone?;
    /** The date to start applying the recurrence pattern. The first occurrence of the meeting may be this date or later, depending on the recurrence pattern of the event. Must be the same value as the start property of the recurring event. Required. */
    private _startDate?;
    /** The recurrence range. Possible values are: endDate, noEnd, numbered. Required. */
    private _type?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Instantiates a new recurrenceRange and sets the default values.
     */
    constructor();
    /**
     * Gets the endDate property value. The date to stop applying the recurrence pattern. Depending on the recurrence pattern of the event, the last occurrence of the meeting may not be this date. Required if type is endDate.
     * @returns a DateOnly
     */
    get endDate(): DateOnly | undefined;
    /**
     * Sets the endDate property value. The date to stop applying the recurrence pattern. Depending on the recurrence pattern of the event, the last occurrence of the meeting may not be this date. Required if type is endDate.
     * @param value Value to set for the endDate property.
     */
    set endDate(value: DateOnly | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the numberOfOccurrences property value. The number of times to repeat the event. Required and must be positive if type is numbered.
     * @returns a integer
     */
    get numberOfOccurrences(): number | undefined;
    /**
     * Sets the numberOfOccurrences property value. The number of times to repeat the event. Required and must be positive if type is numbered.
     * @param value Value to set for the numberOfOccurrences property.
     */
    set numberOfOccurrences(value: number | undefined);
    /**
     * Gets the recurrenceTimeZone property value. Time zone for the startDate and endDate properties. Optional. If not specified, the time zone of the event is used.
     * @returns a string
     */
    get recurrenceTimeZone(): string | undefined;
    /**
     * Sets the recurrenceTimeZone property value. Time zone for the startDate and endDate properties. Optional. If not specified, the time zone of the event is used.
     * @param value Value to set for the recurrenceTimeZone property.
     */
    set recurrenceTimeZone(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the startDate property value. The date to start applying the recurrence pattern. The first occurrence of the meeting may be this date or later, depending on the recurrence pattern of the event. Must be the same value as the start property of the recurring event. Required.
     * @returns a DateOnly
     */
    get startDate(): DateOnly | undefined;
    /**
     * Sets the startDate property value. The date to start applying the recurrence pattern. The first occurrence of the meeting may be this date or later, depending on the recurrence pattern of the event. Must be the same value as the start property of the recurring event. Required.
     * @param value Value to set for the startDate property.
     */
    set startDate(value: DateOnly | undefined);
    /**
     * Gets the type property value. The recurrence range. Possible values are: endDate, noEnd, numbered. Required.
     * @returns a recurrenceRangeType
     */
    get type(): RecurrenceRangeType | undefined;
    /**
     * Sets the type property value. The recurrence range. Possible values are: endDate, noEnd, numbered. Required.
     * @param value Value to set for the type property.
     */
    set type(value: RecurrenceRangeType | undefined);
}
