"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReferenceUpdateSchema = void 0;
class ReferenceUpdateSchema {
    /**
     * Instantiates a new ReferenceUpdateSchema and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "@odata.id": n => { this.id = n.getStringValue(); },
            "@odata.type": n => { this.type = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the @odata.id property value. The id property
     * @returns a string
     */
    get id() {
        return this._id;
    }
    ;
    /**
     * Sets the @odata.id property value. The id property
     * @param value Value to set for the id property.
     */
    set id(value) {
        this._id = value;
    }
    ;
    /**
     * Gets the @odata.type property value. The type property
     * @returns a string
     */
    get type() {
        return this._type;
    }
    ;
    /**
     * Sets the @odata.type property value. The type property
     * @param value Value to set for the type property.
     */
    set type(value) {
        this._type = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("@odata.id", this.id);
        writer.writeStringValue("@odata.type", this.type);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.ReferenceUpdateSchema = ReferenceUpdateSchema;
