import { ContactRelationship } from './contactRelationship';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class RelatedContact implements AdditionalDataHolder, Parsable {
    /** Indicates whether the user has been consented to access student data. */
    private _accessConsent?;
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** Name of the contact. Required. */
    private _displayName?;
    /** Email address of the contact. */
    private _emailAddress?;
    /** Mobile phone number of the contact. */
    private _mobilePhone?;
    /** Relationship to the user. Possible values are: parent, relative, aide, doctor, guardian, child, other, unknownFutureValue. */
    private _relationship?;
    /**
     * Gets the accessConsent property value. Indicates whether the user has been consented to access student data.
     * @returns a boolean
     */
    get accessConsent(): boolean | undefined;
    /**
     * Sets the accessConsent property value. Indicates whether the user has been consented to access student data.
     * @param value Value to set for the accessConsent property.
     */
    set accessConsent(value: boolean | undefined);
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Instantiates a new relatedContact and sets the default values.
     */
    constructor();
    /**
     * Gets the displayName property value. Name of the contact. Required.
     * @returns a string
     */
    get displayName(): string | undefined;
    /**
     * Sets the displayName property value. Name of the contact. Required.
     * @param value Value to set for the displayName property.
     */
    set displayName(value: string | undefined);
    /**
     * Gets the emailAddress property value. Email address of the contact.
     * @returns a string
     */
    get emailAddress(): string | undefined;
    /**
     * Sets the emailAddress property value. Email address of the contact.
     * @param value Value to set for the emailAddress property.
     */
    set emailAddress(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the mobilePhone property value. Mobile phone number of the contact.
     * @returns a string
     */
    get mobilePhone(): string | undefined;
    /**
     * Sets the mobilePhone property value. Mobile phone number of the contact.
     * @param value Value to set for the mobilePhone property.
     */
    set mobilePhone(value: string | undefined);
    /**
     * Gets the relationship property value. Relationship to the user. Possible values are: parent, relative, aide, doctor, guardian, child, other, unknownFutureValue.
     * @returns a contactRelationship
     */
    get relationship(): ContactRelationship | undefined;
    /**
     * Sets the relationship property value. Relationship to the user. Possible values are: parent, relative, aide, doctor, guardian, child, other, unknownFutureValue.
     * @param value Value to set for the relationship property.
     */
    set relationship(value: ContactRelationship | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
