"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RelatedContact = void 0;
const contactRelationship_1 = require("./contactRelationship");
class RelatedContact {
    /**
     * Instantiates a new relatedContact and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the accessConsent property value. Indicates whether the user has been consented to access student data.
     * @returns a boolean
     */
    get accessConsent() {
        return this._accessConsent;
    }
    ;
    /**
     * Sets the accessConsent property value. Indicates whether the user has been consented to access student data.
     * @param value Value to set for the accessConsent property.
     */
    set accessConsent(value) {
        this._accessConsent = value;
    }
    ;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the displayName property value. Name of the contact. Required.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. Name of the contact. Required.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * Gets the emailAddress property value. Email address of the contact.
     * @returns a string
     */
    get emailAddress() {
        return this._emailAddress;
    }
    ;
    /**
     * Sets the emailAddress property value. Email address of the contact.
     * @param value Value to set for the emailAddress property.
     */
    set emailAddress(value) {
        this._emailAddress = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "accessConsent": n => { this.accessConsent = n.getBooleanValue(); },
            "displayName": n => { this.displayName = n.getStringValue(); },
            "emailAddress": n => { this.emailAddress = n.getStringValue(); },
            "mobilePhone": n => { this.mobilePhone = n.getStringValue(); },
            "relationship": n => { this.relationship = n.getEnumValue(contactRelationship_1.ContactRelationship); },
        };
    }
    ;
    /**
     * Gets the mobilePhone property value. Mobile phone number of the contact.
     * @returns a string
     */
    get mobilePhone() {
        return this._mobilePhone;
    }
    ;
    /**
     * Sets the mobilePhone property value. Mobile phone number of the contact.
     * @param value Value to set for the mobilePhone property.
     */
    set mobilePhone(value) {
        this._mobilePhone = value;
    }
    ;
    /**
     * Gets the relationship property value. Relationship to the user. Possible values are: parent, relative, aide, doctor, guardian, child, other, unknownFutureValue.
     * @returns a contactRelationship
     */
    get relationship() {
        return this._relationship;
    }
    ;
    /**
     * Sets the relationship property value. Relationship to the user. Possible values are: parent, relative, aide, doctor, guardian, child, other, unknownFutureValue.
     * @param value Value to set for the relationship property.
     */
    set relationship(value) {
        this._relationship = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeBooleanValue("accessConsent", this.accessConsent);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeStringValue("emailAddress", this.emailAddress);
        writer.writeStringValue("mobilePhone", this.mobilePhone);
        writer.writeEnumValue("relationship", this.relationship);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.RelatedContact = RelatedContact;
