"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Reminder = void 0;
const createDateTimeTimeZoneFromDiscriminatorValue_1 = require("./createDateTimeTimeZoneFromDiscriminatorValue");
const createLocationFromDiscriminatorValue_1 = require("./createLocationFromDiscriminatorValue");
class Reminder {
    /**
     * Instantiates a new reminder and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the changeKey property value. Identifies the version of the reminder. Every time the reminder is changed, changeKey changes as well. This allows Exchange to apply changes to the correct version of the object.
     * @returns a string
     */
    get changeKey() {
        return this._changeKey;
    }
    ;
    /**
     * Sets the changeKey property value. Identifies the version of the reminder. Every time the reminder is changed, changeKey changes as well. This allows Exchange to apply changes to the correct version of the object.
     * @param value Value to set for the changeKey property.
     */
    set changeKey(value) {
        this._changeKey = value;
    }
    ;
    ;
    /**
     * Gets the eventEndTime property value. The date, time and time zone that the event ends.
     * @returns a dateTimeTimeZone
     */
    get eventEndTime() {
        return this._eventEndTime;
    }
    ;
    /**
     * Sets the eventEndTime property value. The date, time and time zone that the event ends.
     * @param value Value to set for the eventEndTime property.
     */
    set eventEndTime(value) {
        this._eventEndTime = value;
    }
    ;
    /**
     * Gets the eventId property value. The unique ID of the event. Read only.
     * @returns a string
     */
    get eventId() {
        return this._eventId;
    }
    ;
    /**
     * Sets the eventId property value. The unique ID of the event. Read only.
     * @param value Value to set for the eventId property.
     */
    set eventId(value) {
        this._eventId = value;
    }
    ;
    /**
     * Gets the eventLocation property value. The location of the event.
     * @returns a location
     */
    get eventLocation() {
        return this._eventLocation;
    }
    ;
    /**
     * Sets the eventLocation property value. The location of the event.
     * @param value Value to set for the eventLocation property.
     */
    set eventLocation(value) {
        this._eventLocation = value;
    }
    ;
    /**
     * Gets the eventStartTime property value. The date, time, and time zone that the event starts.
     * @returns a dateTimeTimeZone
     */
    get eventStartTime() {
        return this._eventStartTime;
    }
    ;
    /**
     * Sets the eventStartTime property value. The date, time, and time zone that the event starts.
     * @param value Value to set for the eventStartTime property.
     */
    set eventStartTime(value) {
        this._eventStartTime = value;
    }
    ;
    /**
     * Gets the eventSubject property value. The text of the event's subject line.
     * @returns a string
     */
    get eventSubject() {
        return this._eventSubject;
    }
    ;
    /**
     * Sets the eventSubject property value. The text of the event's subject line.
     * @param value Value to set for the eventSubject property.
     */
    set eventSubject(value) {
        this._eventSubject = value;
    }
    ;
    /**
     * Gets the eventWebLink property value. The URL to open the event in Outlook on the web.The event will open in the browser if you are logged in to your mailbox via Outlook on the web. You will be prompted to login if you are not already logged in with the browser.This URL cannot be accessed from within an iFrame.
     * @returns a string
     */
    get eventWebLink() {
        return this._eventWebLink;
    }
    ;
    /**
     * Sets the eventWebLink property value. The URL to open the event in Outlook on the web.The event will open in the browser if you are logged in to your mailbox via Outlook on the web. You will be prompted to login if you are not already logged in with the browser.This URL cannot be accessed from within an iFrame.
     * @param value Value to set for the eventWebLink property.
     */
    set eventWebLink(value) {
        this._eventWebLink = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "changeKey": n => { this.changeKey = n.getStringValue(); },
            "eventEndTime": n => { this.eventEndTime = n.getObjectValue(createDateTimeTimeZoneFromDiscriminatorValue_1.createDateTimeTimeZoneFromDiscriminatorValue); },
            "eventId": n => { this.eventId = n.getStringValue(); },
            "eventLocation": n => { this.eventLocation = n.getObjectValue(createLocationFromDiscriminatorValue_1.createLocationFromDiscriminatorValue); },
            "eventStartTime": n => { this.eventStartTime = n.getObjectValue(createDateTimeTimeZoneFromDiscriminatorValue_1.createDateTimeTimeZoneFromDiscriminatorValue); },
            "eventSubject": n => { this.eventSubject = n.getStringValue(); },
            "eventWebLink": n => { this.eventWebLink = n.getStringValue(); },
            "reminderFireTime": n => { this.reminderFireTime = n.getObjectValue(createDateTimeTimeZoneFromDiscriminatorValue_1.createDateTimeTimeZoneFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Gets the reminderFireTime property value. The date, time, and time zone that the reminder is set to occur.
     * @returns a dateTimeTimeZone
     */
    get reminderFireTime() {
        return this._reminderFireTime;
    }
    ;
    /**
     * Sets the reminderFireTime property value. The date, time, and time zone that the reminder is set to occur.
     * @param value Value to set for the reminderFireTime property.
     */
    set reminderFireTime(value) {
        this._reminderFireTime = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("changeKey", this.changeKey);
        writer.writeObjectValue("eventEndTime", this.eventEndTime);
        writer.writeStringValue("eventId", this.eventId);
        writer.writeObjectValue("eventLocation", this.eventLocation);
        writer.writeObjectValue("eventStartTime", this.eventStartTime);
        writer.writeStringValue("eventSubject", this.eventSubject);
        writer.writeStringValue("eventWebLink", this.eventWebLink);
        writer.writeObjectValue("reminderFireTime", this.reminderFireTime);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.Reminder = Reminder;
