import { Entity } from './index';
import { RemoteAssistanceOnboardingStatus } from './remoteAssistanceOnboardingStatus';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** RemoteAssistPartner resources represent the metadata and status of a given Remote Assistance partner service. */
export declare class RemoteAssistancePartner extends Entity implements Parsable {
    /** Display name of the partner. */
    private _displayName?;
    /** Timestamp of the last request sent to Intune by the TEM partner. */
    private _lastConnectionDateTime?;
    /** A friendly description of the current TeamViewer connector status. Possible values are: notOnboarded, onboarding, onboarded. */
    private _onboardingStatus?;
    /** URL of the partner's onboarding portal, where an administrator can configure their Remote Assistance service. */
    private _onboardingUrl?;
    /**
     * Instantiates a new remoteAssistancePartner and sets the default values.
     */
    constructor();
    /**
     * Gets the displayName property value. Display name of the partner.
     * @returns a string
     */
    get displayName(): string | undefined;
    /**
     * Sets the displayName property value. Display name of the partner.
     * @param value Value to set for the displayName property.
     */
    set displayName(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the lastConnectionDateTime property value. Timestamp of the last request sent to Intune by the TEM partner.
     * @returns a Date
     */
    get lastConnectionDateTime(): Date | undefined;
    /**
     * Sets the lastConnectionDateTime property value. Timestamp of the last request sent to Intune by the TEM partner.
     * @param value Value to set for the lastConnectionDateTime property.
     */
    set lastConnectionDateTime(value: Date | undefined);
    /**
     * Gets the onboardingStatus property value. A friendly description of the current TeamViewer connector status. Possible values are: notOnboarded, onboarding, onboarded.
     * @returns a remoteAssistanceOnboardingStatus
     */
    get onboardingStatus(): RemoteAssistanceOnboardingStatus | undefined;
    /**
     * Sets the onboardingStatus property value. A friendly description of the current TeamViewer connector status. Possible values are: notOnboarded, onboarding, onboarded.
     * @param value Value to set for the onboardingStatus property.
     */
    set onboardingStatus(value: RemoteAssistanceOnboardingStatus | undefined);
    /**
     * Gets the onboardingUrl property value. URL of the partner's onboarding portal, where an administrator can configure their Remote Assistance service.
     * @returns a string
     */
    get onboardingUrl(): string | undefined;
    /**
     * Sets the onboardingUrl property value. URL of the partner's onboarding portal, where an administrator can configure their Remote Assistance service.
     * @param value Value to set for the onboardingUrl property.
     */
    set onboardingUrl(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
