"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RemoteAssistancePartner = void 0;
const index_1 = require("./index");
const remoteAssistanceOnboardingStatus_1 = require("./remoteAssistanceOnboardingStatus");
/** RemoteAssistPartner resources represent the metadata and status of a given Remote Assistance partner service. */
class RemoteAssistancePartner extends index_1.Entity {
    /**
     * Instantiates a new remoteAssistancePartner and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the displayName property value. Display name of the partner.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. Display name of the partner.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "displayName": n => { this.displayName = n.getStringValue(); }, "lastConnectionDateTime": n => { this.lastConnectionDateTime = n.getDateValue(); }, "onboardingStatus": n => { this.onboardingStatus = n.getEnumValue(remoteAssistanceOnboardingStatus_1.RemoteAssistanceOnboardingStatus); }, "onboardingUrl": n => { this.onboardingUrl = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the lastConnectionDateTime property value. Timestamp of the last request sent to Intune by the TEM partner.
     * @returns a Date
     */
    get lastConnectionDateTime() {
        return this._lastConnectionDateTime;
    }
    ;
    /**
     * Sets the lastConnectionDateTime property value. Timestamp of the last request sent to Intune by the TEM partner.
     * @param value Value to set for the lastConnectionDateTime property.
     */
    set lastConnectionDateTime(value) {
        this._lastConnectionDateTime = value;
    }
    ;
    /**
     * Gets the onboardingStatus property value. A friendly description of the current TeamViewer connector status. Possible values are: notOnboarded, onboarding, onboarded.
     * @returns a remoteAssistanceOnboardingStatus
     */
    get onboardingStatus() {
        return this._onboardingStatus;
    }
    ;
    /**
     * Sets the onboardingStatus property value. A friendly description of the current TeamViewer connector status. Possible values are: notOnboarded, onboarding, onboarded.
     * @param value Value to set for the onboardingStatus property.
     */
    set onboardingStatus(value) {
        this._onboardingStatus = value;
    }
    ;
    /**
     * Gets the onboardingUrl property value. URL of the partner's onboarding portal, where an administrator can configure their Remote Assistance service.
     * @returns a string
     */
    get onboardingUrl() {
        return this._onboardingUrl;
    }
    ;
    /**
     * Sets the onboardingUrl property value. URL of the partner's onboarding portal, where an administrator can configure their Remote Assistance service.
     * @param value Value to set for the onboardingUrl property.
     */
    set onboardingUrl(value) {
        this._onboardingUrl = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeDateValue("lastConnectionDateTime", this.lastConnectionDateTime);
        writer.writeEnumValue("onboardingStatus", this.onboardingStatus);
        writer.writeStringValue("onboardingUrl", this.onboardingUrl);
    }
    ;
}
exports.RemoteAssistancePartner = RemoteAssistancePartner;
