import { Entity, PrintUsageByPrinter, PrintUsageByUser } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** The resource that represents an instance of Enrollment Failure Reports. */
export declare class ReportRoot extends Entity implements Parsable {
    /** The dailyPrintUsageByPrinter property */
    private _dailyPrintUsageByPrinter?;
    /** The dailyPrintUsageByUser property */
    private _dailyPrintUsageByUser?;
    /** The monthlyPrintUsageByPrinter property */
    private _monthlyPrintUsageByPrinter?;
    /** The monthlyPrintUsageByUser property */
    private _monthlyPrintUsageByUser?;
    /**
     * Instantiates a new reportRoot and sets the default values.
     */
    constructor();
    /**
     * Gets the dailyPrintUsageByPrinter property value. The dailyPrintUsageByPrinter property
     * @returns a printUsageByPrinter
     */
    get dailyPrintUsageByPrinter(): PrintUsageByPrinter[] | undefined;
    /**
     * Sets the dailyPrintUsageByPrinter property value. The dailyPrintUsageByPrinter property
     * @param value Value to set for the dailyPrintUsageByPrinter property.
     */
    set dailyPrintUsageByPrinter(value: PrintUsageByPrinter[] | undefined);
    /**
     * Gets the dailyPrintUsageByUser property value. The dailyPrintUsageByUser property
     * @returns a printUsageByUser
     */
    get dailyPrintUsageByUser(): PrintUsageByUser[] | undefined;
    /**
     * Sets the dailyPrintUsageByUser property value. The dailyPrintUsageByUser property
     * @param value Value to set for the dailyPrintUsageByUser property.
     */
    set dailyPrintUsageByUser(value: PrintUsageByUser[] | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the monthlyPrintUsageByPrinter property value. The monthlyPrintUsageByPrinter property
     * @returns a printUsageByPrinter
     */
    get monthlyPrintUsageByPrinter(): PrintUsageByPrinter[] | undefined;
    /**
     * Sets the monthlyPrintUsageByPrinter property value. The monthlyPrintUsageByPrinter property
     * @param value Value to set for the monthlyPrintUsageByPrinter property.
     */
    set monthlyPrintUsageByPrinter(value: PrintUsageByPrinter[] | undefined);
    /**
     * Gets the monthlyPrintUsageByUser property value. The monthlyPrintUsageByUser property
     * @returns a printUsageByUser
     */
    get monthlyPrintUsageByUser(): PrintUsageByUser[] | undefined;
    /**
     * Sets the monthlyPrintUsageByUser property value. The monthlyPrintUsageByUser property
     * @param value Value to set for the monthlyPrintUsageByUser property.
     */
    set monthlyPrintUsageByUser(value: PrintUsageByUser[] | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
