"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ResourceOperation = void 0;
const index_1 = require("./index");
/** Describes the resourceOperation resource (entity) of the Microsoft Graph API (REST), which supports Intune workflows related to role-based access control (RBAC). */
class ResourceOperation extends index_1.Entity {
    /**
     * Instantiates a new resourceOperation and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the actionName property value. Type of action this operation is going to perform. The actionName should be concise and limited to as few words as possible.
     * @returns a string
     */
    get actionName() {
        return this._actionName;
    }
    ;
    /**
     * Sets the actionName property value. Type of action this operation is going to perform. The actionName should be concise and limited to as few words as possible.
     * @param value Value to set for the actionName property.
     */
    set actionName(value) {
        this._actionName = value;
    }
    ;
    ;
    /**
     * Gets the description property value. Description of the resource operation. The description is used in mouse-over text for the operation when shown in the Azure Portal.
     * @returns a string
     */
    get description() {
        return this._description;
    }
    ;
    /**
     * Sets the description property value. Description of the resource operation. The description is used in mouse-over text for the operation when shown in the Azure Portal.
     * @param value Value to set for the description property.
     */
    set description(value) {
        this._description = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "actionName": n => { this.actionName = n.getStringValue(); }, "description": n => { this.description = n.getStringValue(); }, "resourceName": n => { this.resourceName = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the resourceName property value. Name of the Resource this operation is performed on.
     * @returns a string
     */
    get resourceName() {
        return this._resourceName;
    }
    ;
    /**
     * Sets the resourceName property value. Name of the Resource this operation is performed on.
     * @param value Value to set for the resourceName property.
     */
    set resourceName(value) {
        this._resourceName = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("actionName", this.actionName);
        writer.writeStringValue("description", this.description);
        writer.writeStringValue("resourceName", this.resourceName);
    }
    ;
}
exports.ResourceOperation = ResourceOperation;
