"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ResourceSpecificPermission = void 0;
class ResourceSpecificPermission {
    /**
     * Instantiates a new resourceSpecificPermission and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the description property value. Describes the level of access that the resource-specific permission represents.
     * @returns a string
     */
    get description() {
        return this._description;
    }
    ;
    /**
     * Sets the description property value. Describes the level of access that the resource-specific permission represents.
     * @param value Value to set for the description property.
     */
    set description(value) {
        this._description = value;
    }
    ;
    /**
     * Gets the displayName property value. The display name for the resource-specific permission.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. The display name for the resource-specific permission.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "description": n => { this.description = n.getStringValue(); },
            "displayName": n => { this.displayName = n.getStringValue(); },
            "id": n => { this.id = n.getStringValue(); },
            "isEnabled": n => { this.isEnabled = n.getBooleanValue(); },
            "value": n => { this.value = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the id property value. The unique identifier for the resource-specific application permission.
     * @returns a string
     */
    get id() {
        return this._id;
    }
    ;
    /**
     * Sets the id property value. The unique identifier for the resource-specific application permission.
     * @param value Value to set for the id property.
     */
    set id(value) {
        this._id = value;
    }
    ;
    /**
     * Gets the isEnabled property value. Indicates whether the permission is enabled.
     * @returns a boolean
     */
    get isEnabled() {
        return this._isEnabled;
    }
    ;
    /**
     * Sets the isEnabled property value. Indicates whether the permission is enabled.
     * @param value Value to set for the isEnabled property.
     */
    set isEnabled(value) {
        this._isEnabled = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("description", this.description);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeStringValue("id", this.id);
        writer.writeBooleanValue("isEnabled", this.isEnabled);
        writer.writeStringValue("value", this.value);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the value property value. The value of the permission.
     * @returns a string
     */
    get value() {
        return this._value;
    }
    ;
    /**
     * Sets the value property value. The value of the permission.
     * @param value Value to set for the value property.
     */
    set value(value) {
        this._value = value;
    }
    ;
}
exports.ResourceSpecificPermission = ResourceSpecificPermission;
