import { DirectoryObject } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Casts the previous resource to user. */
export declare class ResourceSpecificPermissionGrant extends DirectoryObject implements Parsable {
    /** ID of the service principal of the Azure AD app that has been granted access. Read-only. */
    private _clientAppId?;
    /** ID of the Azure AD app that has been granted access. Read-only. */
    private _clientId?;
    /** The name of the resource-specific permission. Read-only. */
    private _permission?;
    /** The type of permission. Possible values are: Application, Delegated. Read-only. */
    private _permissionType?;
    /** ID of the Azure AD app that is hosting the resource. Read-only. */
    private _resourceAppId?;
    /**
     * Gets the clientAppId property value. ID of the service principal of the Azure AD app that has been granted access. Read-only.
     * @returns a string
     */
    get clientAppId(): string | undefined;
    /**
     * Sets the clientAppId property value. ID of the service principal of the Azure AD app that has been granted access. Read-only.
     * @param value Value to set for the clientAppId property.
     */
    set clientAppId(value: string | undefined);
    /**
     * Gets the clientId property value. ID of the Azure AD app that has been granted access. Read-only.
     * @returns a string
     */
    get clientId(): string | undefined;
    /**
     * Sets the clientId property value. ID of the Azure AD app that has been granted access. Read-only.
     * @param value Value to set for the clientId property.
     */
    set clientId(value: string | undefined);
    /**
     * Instantiates a new resourceSpecificPermissionGrant and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the permission property value. The name of the resource-specific permission. Read-only.
     * @returns a string
     */
    get permission(): string | undefined;
    /**
     * Sets the permission property value. The name of the resource-specific permission. Read-only.
     * @param value Value to set for the permission property.
     */
    set permission(value: string | undefined);
    /**
     * Gets the permissionType property value. The type of permission. Possible values are: Application, Delegated. Read-only.
     * @returns a string
     */
    get permissionType(): string | undefined;
    /**
     * Sets the permissionType property value. The type of permission. Possible values are: Application, Delegated. Read-only.
     * @param value Value to set for the permissionType property.
     */
    set permissionType(value: string | undefined);
    /**
     * Gets the resourceAppId property value. ID of the Azure AD app that is hosting the resource. Read-only.
     * @returns a string
     */
    get resourceAppId(): string | undefined;
    /**
     * Sets the resourceAppId property value. ID of the Azure AD app that is hosting the resource. Read-only.
     * @param value Value to set for the resourceAppId property.
     */
    set resourceAppId(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
