"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ResourceSpecificPermissionGrant = void 0;
const index_1 = require("./index");
/** Casts the previous resource to user. */
class ResourceSpecificPermissionGrant extends index_1.DirectoryObject {
    /**
     * Instantiates a new resourceSpecificPermissionGrant and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the clientAppId property value. ID of the service principal of the Azure AD app that has been granted access. Read-only.
     * @returns a string
     */
    get clientAppId() {
        return this._clientAppId;
    }
    ;
    /**
     * Sets the clientAppId property value. ID of the service principal of the Azure AD app that has been granted access. Read-only.
     * @param value Value to set for the clientAppId property.
     */
    set clientAppId(value) {
        this._clientAppId = value;
    }
    ;
    /**
     * Gets the clientId property value. ID of the Azure AD app that has been granted access. Read-only.
     * @returns a string
     */
    get clientId() {
        return this._clientId;
    }
    ;
    /**
     * Sets the clientId property value. ID of the Azure AD app that has been granted access. Read-only.
     * @param value Value to set for the clientId property.
     */
    set clientId(value) {
        this._clientId = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "clientAppId": n => { this.clientAppId = n.getStringValue(); }, "clientId": n => { this.clientId = n.getStringValue(); }, "permission": n => { this.permission = n.getStringValue(); }, "permissionType": n => { this.permissionType = n.getStringValue(); }, "resourceAppId": n => { this.resourceAppId = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the permission property value. The name of the resource-specific permission. Read-only.
     * @returns a string
     */
    get permission() {
        return this._permission;
    }
    ;
    /**
     * Sets the permission property value. The name of the resource-specific permission. Read-only.
     * @param value Value to set for the permission property.
     */
    set permission(value) {
        this._permission = value;
    }
    ;
    /**
     * Gets the permissionType property value. The type of permission. Possible values are: Application, Delegated. Read-only.
     * @returns a string
     */
    get permissionType() {
        return this._permissionType;
    }
    ;
    /**
     * Sets the permissionType property value. The type of permission. Possible values are: Application, Delegated. Read-only.
     * @param value Value to set for the permissionType property.
     */
    set permissionType(value) {
        this._permissionType = value;
    }
    ;
    /**
     * Gets the resourceAppId property value. ID of the Azure AD app that is hosting the resource. Read-only.
     * @returns a string
     */
    get resourceAppId() {
        return this._resourceAppId;
    }
    ;
    /**
     * Sets the resourceAppId property value. ID of the Azure AD app that is hosting the resource. Read-only.
     * @param value Value to set for the resourceAppId property.
     */
    set resourceAppId(value) {
        this._resourceAppId = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("clientAppId", this.clientAppId);
        writer.writeStringValue("clientId", this.clientId);
        writer.writeStringValue("permission", this.permission);
        writer.writeStringValue("permissionType", this.permissionType);
        writer.writeStringValue("resourceAppId", this.resourceAppId);
    }
    ;
}
exports.ResourceSpecificPermissionGrant = ResourceSpecificPermissionGrant;
