import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class ResourceVisualization implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** A string describing where the item is stored. For example, the name of a SharePoint site or the user name identifying the owner of the OneDrive storing the item. */
    private _containerDisplayName?;
    /** Can be used for filtering by the type of container in which the file is stored. Such as Site or OneDriveBusiness. */
    private _containerType?;
    /** A path leading to the folder in which the item is stored. */
    private _containerWebUrl?;
    /** The item's media type. Can be used for filtering for a specific type of file based on supported IANA Media Mime Types. Note that not all Media Mime Types are supported. */
    private _mediaType?;
    /** A URL leading to the preview image for the item. */
    private _previewImageUrl?;
    /** A preview text for the item. */
    private _previewText?;
    /** The item's title text. */
    private _title?;
    /** The item's media type. Can be used for filtering for a specific file based on a specific type. See below for supported types. */
    private _type?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Instantiates a new resourceVisualization and sets the default values.
     */
    constructor();
    /**
     * Gets the containerDisplayName property value. A string describing where the item is stored. For example, the name of a SharePoint site or the user name identifying the owner of the OneDrive storing the item.
     * @returns a string
     */
    get containerDisplayName(): string | undefined;
    /**
     * Sets the containerDisplayName property value. A string describing where the item is stored. For example, the name of a SharePoint site or the user name identifying the owner of the OneDrive storing the item.
     * @param value Value to set for the containerDisplayName property.
     */
    set containerDisplayName(value: string | undefined);
    /**
     * Gets the containerType property value. Can be used for filtering by the type of container in which the file is stored. Such as Site or OneDriveBusiness.
     * @returns a string
     */
    get containerType(): string | undefined;
    /**
     * Sets the containerType property value. Can be used for filtering by the type of container in which the file is stored. Such as Site or OneDriveBusiness.
     * @param value Value to set for the containerType property.
     */
    set containerType(value: string | undefined);
    /**
     * Gets the containerWebUrl property value. A path leading to the folder in which the item is stored.
     * @returns a string
     */
    get containerWebUrl(): string | undefined;
    /**
     * Sets the containerWebUrl property value. A path leading to the folder in which the item is stored.
     * @param value Value to set for the containerWebUrl property.
     */
    set containerWebUrl(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the mediaType property value. The item's media type. Can be used for filtering for a specific type of file based on supported IANA Media Mime Types. Note that not all Media Mime Types are supported.
     * @returns a string
     */
    get mediaType(): string | undefined;
    /**
     * Sets the mediaType property value. The item's media type. Can be used for filtering for a specific type of file based on supported IANA Media Mime Types. Note that not all Media Mime Types are supported.
     * @param value Value to set for the mediaType property.
     */
    set mediaType(value: string | undefined);
    /**
     * Gets the previewImageUrl property value. A URL leading to the preview image for the item.
     * @returns a string
     */
    get previewImageUrl(): string | undefined;
    /**
     * Sets the previewImageUrl property value. A URL leading to the preview image for the item.
     * @param value Value to set for the previewImageUrl property.
     */
    set previewImageUrl(value: string | undefined);
    /**
     * Gets the previewText property value. A preview text for the item.
     * @returns a string
     */
    get previewText(): string | undefined;
    /**
     * Sets the previewText property value. A preview text for the item.
     * @param value Value to set for the previewText property.
     */
    set previewText(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the title property value. The item's title text.
     * @returns a string
     */
    get title(): string | undefined;
    /**
     * Sets the title property value. The item's title text.
     * @param value Value to set for the title property.
     */
    set title(value: string | undefined);
    /**
     * Gets the type property value. The item's media type. Can be used for filtering for a specific file based on a specific type. See below for supported types.
     * @returns a string
     */
    get type(): string | undefined;
    /**
     * Sets the type property value. The item's media type. Can be used for filtering for a specific file based on a specific type. See below for supported types.
     * @param value Value to set for the type property.
     */
    set type(value: string | undefined);
}
