"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ResourceVisualization = void 0;
class ResourceVisualization {
    /**
     * Instantiates a new resourceVisualization and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the containerDisplayName property value. A string describing where the item is stored. For example, the name of a SharePoint site or the user name identifying the owner of the OneDrive storing the item.
     * @returns a string
     */
    get containerDisplayName() {
        return this._containerDisplayName;
    }
    ;
    /**
     * Sets the containerDisplayName property value. A string describing where the item is stored. For example, the name of a SharePoint site or the user name identifying the owner of the OneDrive storing the item.
     * @param value Value to set for the containerDisplayName property.
     */
    set containerDisplayName(value) {
        this._containerDisplayName = value;
    }
    ;
    /**
     * Gets the containerType property value. Can be used for filtering by the type of container in which the file is stored. Such as Site or OneDriveBusiness.
     * @returns a string
     */
    get containerType() {
        return this._containerType;
    }
    ;
    /**
     * Sets the containerType property value. Can be used for filtering by the type of container in which the file is stored. Such as Site or OneDriveBusiness.
     * @param value Value to set for the containerType property.
     */
    set containerType(value) {
        this._containerType = value;
    }
    ;
    /**
     * Gets the containerWebUrl property value. A path leading to the folder in which the item is stored.
     * @returns a string
     */
    get containerWebUrl() {
        return this._containerWebUrl;
    }
    ;
    /**
     * Sets the containerWebUrl property value. A path leading to the folder in which the item is stored.
     * @param value Value to set for the containerWebUrl property.
     */
    set containerWebUrl(value) {
        this._containerWebUrl = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "containerDisplayName": n => { this.containerDisplayName = n.getStringValue(); },
            "containerType": n => { this.containerType = n.getStringValue(); },
            "containerWebUrl": n => { this.containerWebUrl = n.getStringValue(); },
            "mediaType": n => { this.mediaType = n.getStringValue(); },
            "previewImageUrl": n => { this.previewImageUrl = n.getStringValue(); },
            "previewText": n => { this.previewText = n.getStringValue(); },
            "title": n => { this.title = n.getStringValue(); },
            "type": n => { this.type = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the mediaType property value. The item's media type. Can be used for filtering for a specific type of file based on supported IANA Media Mime Types. Note that not all Media Mime Types are supported.
     * @returns a string
     */
    get mediaType() {
        return this._mediaType;
    }
    ;
    /**
     * Sets the mediaType property value. The item's media type. Can be used for filtering for a specific type of file based on supported IANA Media Mime Types. Note that not all Media Mime Types are supported.
     * @param value Value to set for the mediaType property.
     */
    set mediaType(value) {
        this._mediaType = value;
    }
    ;
    /**
     * Gets the previewImageUrl property value. A URL leading to the preview image for the item.
     * @returns a string
     */
    get previewImageUrl() {
        return this._previewImageUrl;
    }
    ;
    /**
     * Sets the previewImageUrl property value. A URL leading to the preview image for the item.
     * @param value Value to set for the previewImageUrl property.
     */
    set previewImageUrl(value) {
        this._previewImageUrl = value;
    }
    ;
    /**
     * Gets the previewText property value. A preview text for the item.
     * @returns a string
     */
    get previewText() {
        return this._previewText;
    }
    ;
    /**
     * Sets the previewText property value. A preview text for the item.
     * @param value Value to set for the previewText property.
     */
    set previewText(value) {
        this._previewText = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("containerDisplayName", this.containerDisplayName);
        writer.writeStringValue("containerType", this.containerType);
        writer.writeStringValue("containerWebUrl", this.containerWebUrl);
        writer.writeStringValue("mediaType", this.mediaType);
        writer.writeStringValue("previewImageUrl", this.previewImageUrl);
        writer.writeStringValue("previewText", this.previewText);
        writer.writeStringValue("title", this.title);
        writer.writeStringValue("type", this.type);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the title property value. The item's title text.
     * @returns a string
     */
    get title() {
        return this._title;
    }
    ;
    /**
     * Sets the title property value. The item's title text.
     * @param value Value to set for the title property.
     */
    set title(value) {
        this._title = value;
    }
    ;
    /**
     * Gets the type property value. The item's media type. Can be used for filtering for a specific file based on a specific type. See below for supported types.
     * @returns a string
     */
    get type() {
        return this._type;
    }
    ;
    /**
     * Sets the type property value. The item's media type. Can be used for filtering for a specific file based on a specific type. See below for supported types.
     * @param value Value to set for the type property.
     */
    set type(value) {
        this._type = value;
    }
    ;
}
exports.ResourceVisualization = ResourceVisualization;
