"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ResultInfo = void 0;
class ResultInfo {
    /**
     * Instantiates a new resultInfo and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the code property value. The result code.
     * @returns a integer
     */
    get code() {
        return this._code;
    }
    ;
    /**
     * Sets the code property value. The result code.
     * @param value Value to set for the code property.
     */
    set code(value) {
        this._code = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "code": n => { this.code = n.getNumberValue(); },
            "message": n => { this.message = n.getStringValue(); },
            "subcode": n => { this.subcode = n.getNumberValue(); },
        };
    }
    ;
    /**
     * Gets the message property value. The message.
     * @returns a string
     */
    get message() {
        return this._message;
    }
    ;
    /**
     * Sets the message property value. The message.
     * @param value Value to set for the message property.
     */
    set message(value) {
        this._message = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeNumberValue("code", this.code);
        writer.writeStringValue("message", this.message);
        writer.writeNumberValue("subcode", this.subcode);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the subcode property value. The result sub-code.
     * @returns a integer
     */
    get subcode() {
        return this._subcode;
    }
    ;
    /**
     * Sets the subcode property value. The result sub-code.
     * @param value Value to set for the subcode property.
     */
    set subcode(value) {
        this._subcode = value;
    }
    ;
}
exports.ResultInfo = ResultInfo;
