import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Color in RGB. */
export declare class RgbColor implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** Blue value */
    private _b?;
    /** Green value */
    private _g?;
    /** Red value */
    private _r?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the b property value. Blue value
     * @returns a byte
     */
    get b(): number | undefined;
    /**
     * Sets the b property value. Blue value
     * @param value Value to set for the b property.
     */
    set b(value: number | undefined);
    /**
     * Instantiates a new rgbColor and sets the default values.
     */
    constructor();
    /**
     * Gets the g property value. Green value
     * @returns a byte
     */
    get g(): number | undefined;
    /**
     * Sets the g property value. Green value
     * @param value Value to set for the g property.
     */
    set g(value: number | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the r property value. Red value
     * @returns a byte
     */
    get r(): number | undefined;
    /**
     * Sets the r property value. Red value
     * @param value Value to set for the r property.
     */
    set r(value: number | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
