import { LongRunningOperation, PublicError } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Casts the previous resource to user. */
export declare class RichLongRunningOperation extends LongRunningOperation implements Parsable {
    /** Error due to which the operation failed. */
    private _error_escaped?;
    /** A value between 0 and 100 that indicates the progress of the operation. */
    private _percentageComplete?;
    /** A unique identifier for the result. */
    private _resourceId?;
    /** Type of the operation. */
    private _type?;
    /**
     * Instantiates a new richLongRunningOperation and sets the default values.
     */
    constructor();
    /**
     * Gets the error property value. Error due to which the operation failed.
     * @returns a publicError
     */
    get error_escaped(): PublicError | undefined;
    /**
     * Sets the error property value. Error due to which the operation failed.
     * @param value Value to set for the error_escaped property.
     */
    set error_escaped(value: PublicError | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the percentageComplete property value. A value between 0 and 100 that indicates the progress of the operation.
     * @returns a integer
     */
    get percentageComplete(): number | undefined;
    /**
     * Sets the percentageComplete property value. A value between 0 and 100 that indicates the progress of the operation.
     * @param value Value to set for the percentageComplete property.
     */
    set percentageComplete(value: number | undefined);
    /**
     * Gets the resourceId property value. A unique identifier for the result.
     * @returns a string
     */
    get resourceId(): string | undefined;
    /**
     * Sets the resourceId property value. A unique identifier for the result.
     * @param value Value to set for the resourceId property.
     */
    set resourceId(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the type property value. Type of the operation.
     * @returns a string
     */
    get type(): string | undefined;
    /**
     * Sets the type property value. Type of the operation.
     * @param value Value to set for the type property.
     */
    set type(value: string | undefined);
}
