"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RichLongRunningOperation = void 0;
const createPublicErrorFromDiscriminatorValue_1 = require("./createPublicErrorFromDiscriminatorValue");
const index_1 = require("./index");
/** Casts the previous resource to user. */
class RichLongRunningOperation extends index_1.LongRunningOperation {
    /**
     * Instantiates a new richLongRunningOperation and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the error property value. Error due to which the operation failed.
     * @returns a publicError
     */
    get error_escaped() {
        return this._error_escaped;
    }
    ;
    /**
     * Sets the error property value. Error due to which the operation failed.
     * @param value Value to set for the error_escaped property.
     */
    set error_escaped(value) {
        this._error_escaped = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "error": n => { this.error_escaped = n.getObjectValue(createPublicErrorFromDiscriminatorValue_1.createPublicErrorFromDiscriminatorValue); }, "percentageComplete": n => { this.percentageComplete = n.getNumberValue(); }, "resourceId": n => { this.resourceId = n.getStringValue(); }, "type": n => { this.type = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the percentageComplete property value. A value between 0 and 100 that indicates the progress of the operation.
     * @returns a integer
     */
    get percentageComplete() {
        return this._percentageComplete;
    }
    ;
    /**
     * Sets the percentageComplete property value. A value between 0 and 100 that indicates the progress of the operation.
     * @param value Value to set for the percentageComplete property.
     */
    set percentageComplete(value) {
        this._percentageComplete = value;
    }
    ;
    /**
     * Gets the resourceId property value. A unique identifier for the result.
     * @returns a string
     */
    get resourceId() {
        return this._resourceId;
    }
    ;
    /**
     * Sets the resourceId property value. A unique identifier for the result.
     * @param value Value to set for the resourceId property.
     */
    set resourceId(value) {
        this._resourceId = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("error", this.error_escaped);
        writer.writeNumberValue("percentageComplete", this.percentageComplete);
        writer.writeStringValue("resourceId", this.resourceId);
        writer.writeStringValue("type", this.type);
    }
    ;
    /**
     * Gets the type property value. Type of the operation.
     * @returns a string
     */
    get type() {
        return this._type;
    }
    ;
    /**
     * Sets the type property value. Type of the operation.
     * @param value Value to set for the type property.
     */
    set type(value) {
        this._type = value;
    }
    ;
}
exports.RichLongRunningOperation = RichLongRunningOperation;
