"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RiskyUser = void 0;
const createRiskyUserHistoryItemFromDiscriminatorValue_1 = require("./createRiskyUserHistoryItemFromDiscriminatorValue");
const index_1 = require("./index");
const riskDetail_1 = require("./riskDetail");
const riskLevel_1 = require("./riskLevel");
const riskState_1 = require("./riskState");
/** Provides operations to manage the identityProtectionRoot singleton. */
class RiskyUser extends index_1.Entity {
    /**
     * Instantiates a new riskyUser and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "history": n => { this.history = n.getCollectionOfObjectValues(createRiskyUserHistoryItemFromDiscriminatorValue_1.createRiskyUserHistoryItemFromDiscriminatorValue); }, "isDeleted": n => { this.isDeleted = n.getBooleanValue(); }, "isProcessing": n => { this.isProcessing = n.getBooleanValue(); }, "riskDetail": n => { this.riskDetail = n.getEnumValue(riskDetail_1.RiskDetail); }, "riskLastUpdatedDateTime": n => { this.riskLastUpdatedDateTime = n.getDateValue(); }, "riskLevel": n => { this.riskLevel = n.getEnumValue(riskLevel_1.RiskLevel); }, "riskState": n => { this.riskState = n.getEnumValue(riskState_1.RiskState); }, "userDisplayName": n => { this.userDisplayName = n.getStringValue(); }, "userPrincipalName": n => { this.userPrincipalName = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the history property value. The activity related to user risk level change
     * @returns a riskyUserHistoryItem
     */
    get history() {
        return this._history;
    }
    ;
    /**
     * Sets the history property value. The activity related to user risk level change
     * @param value Value to set for the history property.
     */
    set history(value) {
        this._history = value;
    }
    ;
    /**
     * Gets the isDeleted property value. Indicates whether the user is deleted. Possible values are: true, false.
     * @returns a boolean
     */
    get isDeleted() {
        return this._isDeleted;
    }
    ;
    /**
     * Sets the isDeleted property value. Indicates whether the user is deleted. Possible values are: true, false.
     * @param value Value to set for the isDeleted property.
     */
    set isDeleted(value) {
        this._isDeleted = value;
    }
    ;
    /**
     * Gets the isProcessing property value. Indicates whether a user's risky state is being processed by the backend.
     * @returns a boolean
     */
    get isProcessing() {
        return this._isProcessing;
    }
    ;
    /**
     * Sets the isProcessing property value. Indicates whether a user's risky state is being processed by the backend.
     * @param value Value to set for the isProcessing property.
     */
    set isProcessing(value) {
        this._isProcessing = value;
    }
    ;
    /**
     * Gets the riskDetail property value. The possible values are none, adminGeneratedTemporaryPassword, userPerformedSecuredPasswordChange, userPerformedSecuredPasswordReset, adminConfirmedSigninSafe, aiConfirmedSigninSafe, userPassedMFADrivenByRiskBasedPolicy, adminDismissedAllRiskForUser, adminConfirmedSigninCompromised, hidden, adminConfirmedUserCompromised, unknownFutureValue.
     * @returns a riskDetail
     */
    get riskDetail() {
        return this._riskDetail;
    }
    ;
    /**
     * Sets the riskDetail property value. The possible values are none, adminGeneratedTemporaryPassword, userPerformedSecuredPasswordChange, userPerformedSecuredPasswordReset, adminConfirmedSigninSafe, aiConfirmedSigninSafe, userPassedMFADrivenByRiskBasedPolicy, adminDismissedAllRiskForUser, adminConfirmedSigninCompromised, hidden, adminConfirmedUserCompromised, unknownFutureValue.
     * @param value Value to set for the riskDetail property.
     */
    set riskDetail(value) {
        this._riskDetail = value;
    }
    ;
    /**
     * Gets the riskLastUpdatedDateTime property value. The date and time that the risky user was last updated.  The DateTimeOffset type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     * @returns a Date
     */
    get riskLastUpdatedDateTime() {
        return this._riskLastUpdatedDateTime;
    }
    ;
    /**
     * Sets the riskLastUpdatedDateTime property value. The date and time that the risky user was last updated.  The DateTimeOffset type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     * @param value Value to set for the riskLastUpdatedDateTime property.
     */
    set riskLastUpdatedDateTime(value) {
        this._riskLastUpdatedDateTime = value;
    }
    ;
    /**
     * Gets the riskLevel property value. Level of the detected risky user. The possible values are low, medium, high, hidden, none, unknownFutureValue.
     * @returns a riskLevel
     */
    get riskLevel() {
        return this._riskLevel;
    }
    ;
    /**
     * Sets the riskLevel property value. Level of the detected risky user. The possible values are low, medium, high, hidden, none, unknownFutureValue.
     * @param value Value to set for the riskLevel property.
     */
    set riskLevel(value) {
        this._riskLevel = value;
    }
    ;
    /**
     * Gets the riskState property value. State of the user's risk. Possible values are: none, confirmedSafe, remediated, dismissed, atRisk, confirmedCompromised, unknownFutureValue.
     * @returns a riskState
     */
    get riskState() {
        return this._riskState;
    }
    ;
    /**
     * Sets the riskState property value. State of the user's risk. Possible values are: none, confirmedSafe, remediated, dismissed, atRisk, confirmedCompromised, unknownFutureValue.
     * @param value Value to set for the riskState property.
     */
    set riskState(value) {
        this._riskState = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("history", this.history);
        writer.writeBooleanValue("isDeleted", this.isDeleted);
        writer.writeBooleanValue("isProcessing", this.isProcessing);
        writer.writeEnumValue("riskDetail", this.riskDetail);
        writer.writeDateValue("riskLastUpdatedDateTime", this.riskLastUpdatedDateTime);
        writer.writeEnumValue("riskLevel", this.riskLevel);
        writer.writeEnumValue("riskState", this.riskState);
        writer.writeStringValue("userDisplayName", this.userDisplayName);
        writer.writeStringValue("userPrincipalName", this.userPrincipalName);
    }
    ;
    /**
     * Gets the userDisplayName property value. Risky user display name.
     * @returns a string
     */
    get userDisplayName() {
        return this._userDisplayName;
    }
    ;
    /**
     * Sets the userDisplayName property value. Risky user display name.
     * @param value Value to set for the userDisplayName property.
     */
    set userDisplayName(value) {
        this._userDisplayName = value;
    }
    ;
    /**
     * Gets the userPrincipalName property value. Risky user principal name.
     * @returns a string
     */
    get userPrincipalName() {
        return this._userPrincipalName;
    }
    ;
    /**
     * Sets the userPrincipalName property value. Risky user principal name.
     * @param value Value to set for the userPrincipalName property.
     */
    set userPrincipalName(value) {
        this._userPrincipalName = value;
    }
    ;
}
exports.RiskyUser = RiskyUser;
