"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RiskyUserHistoryItem = void 0;
const createRiskUserActivityFromDiscriminatorValue_1 = require("./createRiskUserActivityFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the identityProtectionRoot singleton. */
class RiskyUserHistoryItem extends index_1.RiskyUser {
    /**
     * Instantiates a new riskyUserHistoryItem and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the activity property value. The activity related to user risk level change.
     * @returns a riskUserActivity
     */
    get activity() {
        return this._activity;
    }
    ;
    /**
     * Sets the activity property value. The activity related to user risk level change.
     * @param value Value to set for the activity property.
     */
    set activity(value) {
        this._activity = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "activity": n => { this.activity = n.getObjectValue(createRiskUserActivityFromDiscriminatorValue_1.createRiskUserActivityFromDiscriminatorValue); }, "initiatedBy": n => { this.initiatedBy = n.getStringValue(); }, "userId": n => { this.userId = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the initiatedBy property value. The id of actor that does the operation.
     * @returns a string
     */
    get initiatedBy() {
        return this._initiatedBy;
    }
    ;
    /**
     * Sets the initiatedBy property value. The id of actor that does the operation.
     * @param value Value to set for the initiatedBy property.
     */
    set initiatedBy(value) {
        this._initiatedBy = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("activity", this.activity);
        writer.writeStringValue("initiatedBy", this.initiatedBy);
        writer.writeStringValue("userId", this.userId);
    }
    ;
    /**
     * Gets the userId property value. The id of the user.
     * @returns a string
     */
    get userId() {
        return this._userId;
    }
    ;
    /**
     * Sets the userId property value. The id of the user.
     * @param value Value to set for the userId property.
     */
    set userId(value) {
        this._userId = value;
    }
    ;
}
exports.RiskyUserHistoryItem = RiskyUserHistoryItem;
