import { Entity, RoleDefinition } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** The Role Assignment resource. Role assignments tie together a role definition with members and scopes. There can be one or more role assignments per role. This applies to custom and built-in roles. */
export declare class RoleAssignment extends Entity implements Parsable {
    /** Description of the Role Assignment. */
    private _description?;
    /** The display or friendly name of the role Assignment. */
    private _displayName?;
    /** List of ids of role scope member security groups.  These are IDs from Azure Active Directory. */
    private _resourceScopes?;
    /** Role definition this assignment is part of. */
    private _roleDefinition?;
    /**
     * Instantiates a new roleAssignment and sets the default values.
     */
    constructor();
    /**
     * Gets the description property value. Description of the Role Assignment.
     * @returns a string
     */
    get description(): string | undefined;
    /**
     * Sets the description property value. Description of the Role Assignment.
     * @param value Value to set for the description property.
     */
    set description(value: string | undefined);
    /**
     * Gets the displayName property value. The display or friendly name of the role Assignment.
     * @returns a string
     */
    get displayName(): string | undefined;
    /**
     * Sets the displayName property value. The display or friendly name of the role Assignment.
     * @param value Value to set for the displayName property.
     */
    set displayName(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the resourceScopes property value. List of ids of role scope member security groups.  These are IDs from Azure Active Directory.
     * @returns a string
     */
    get resourceScopes(): string[] | undefined;
    /**
     * Sets the resourceScopes property value. List of ids of role scope member security groups.  These are IDs from Azure Active Directory.
     * @param value Value to set for the resourceScopes property.
     */
    set resourceScopes(value: string[] | undefined);
    /**
     * Gets the roleDefinition property value. Role definition this assignment is part of.
     * @returns a roleDefinition
     */
    get roleDefinition(): RoleDefinition | undefined;
    /**
     * Sets the roleDefinition property value. Role definition this assignment is part of.
     * @param value Value to set for the roleDefinition property.
     */
    set roleDefinition(value: RoleDefinition | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
