"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RubricCriterion = void 0;
const createEducationItemBodyFromDiscriminatorValue_1 = require("./createEducationItemBodyFromDiscriminatorValue");
class RubricCriterion {
    /**
     * Instantiates a new rubricCriterion and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the description property value. The description of this criterion.
     * @returns a educationItemBody
     */
    get description() {
        return this._description;
    }
    ;
    /**
     * Sets the description property value. The description of this criterion.
     * @param value Value to set for the description property.
     */
    set description(value) {
        this._description = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "description": n => { this.description = n.getObjectValue(createEducationItemBodyFromDiscriminatorValue_1.createEducationItemBodyFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeObjectValue("description", this.description);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.RubricCriterion = RubricCriterion;
