import { EducationAssignmentGradeType, EducationItemBody } from './index';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class RubricLevel implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The description of this rubric level. */
    private _description?;
    /** The name of this rubric level. */
    private _displayName?;
    /** Null if this is a no-points rubric; educationAssignmentPointsGradeType if it is a points rubric. */
    private _grading?;
    /** The ID of this resource. */
    private _levelId?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Instantiates a new rubricLevel and sets the default values.
     */
    constructor();
    /**
     * Gets the description property value. The description of this rubric level.
     * @returns a educationItemBody
     */
    get description(): EducationItemBody | undefined;
    /**
     * Sets the description property value. The description of this rubric level.
     * @param value Value to set for the description property.
     */
    set description(value: EducationItemBody | undefined);
    /**
     * Gets the displayName property value. The name of this rubric level.
     * @returns a string
     */
    get displayName(): string | undefined;
    /**
     * Sets the displayName property value. The name of this rubric level.
     * @param value Value to set for the displayName property.
     */
    set displayName(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the grading property value. Null if this is a no-points rubric; educationAssignmentPointsGradeType if it is a points rubric.
     * @returns a educationAssignmentGradeType
     */
    get grading(): EducationAssignmentGradeType | undefined;
    /**
     * Sets the grading property value. Null if this is a no-points rubric; educationAssignmentPointsGradeType if it is a points rubric.
     * @param value Value to set for the grading property.
     */
    set grading(value: EducationAssignmentGradeType | undefined);
    /**
     * Gets the levelId property value. The ID of this resource.
     * @returns a string
     */
    get levelId(): string | undefined;
    /**
     * Sets the levelId property value. The ID of this resource.
     * @param value Value to set for the levelId property.
     */
    set levelId(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
