"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RubricLevel = void 0;
const createEducationAssignmentGradeTypeFromDiscriminatorValue_1 = require("./createEducationAssignmentGradeTypeFromDiscriminatorValue");
const createEducationItemBodyFromDiscriminatorValue_1 = require("./createEducationItemBodyFromDiscriminatorValue");
class RubricLevel {
    /**
     * Instantiates a new rubricLevel and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the description property value. The description of this rubric level.
     * @returns a educationItemBody
     */
    get description() {
        return this._description;
    }
    ;
    /**
     * Sets the description property value. The description of this rubric level.
     * @param value Value to set for the description property.
     */
    set description(value) {
        this._description = value;
    }
    ;
    /**
     * Gets the displayName property value. The name of this rubric level.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. The name of this rubric level.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "description": n => { this.description = n.getObjectValue(createEducationItemBodyFromDiscriminatorValue_1.createEducationItemBodyFromDiscriminatorValue); },
            "displayName": n => { this.displayName = n.getStringValue(); },
            "grading": n => { this.grading = n.getObjectValue(createEducationAssignmentGradeTypeFromDiscriminatorValue_1.createEducationAssignmentGradeTypeFromDiscriminatorValue); },
            "levelId": n => { this.levelId = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the grading property value. Null if this is a no-points rubric; educationAssignmentPointsGradeType if it is a points rubric.
     * @returns a educationAssignmentGradeType
     */
    get grading() {
        return this._grading;
    }
    ;
    /**
     * Sets the grading property value. Null if this is a no-points rubric; educationAssignmentPointsGradeType if it is a points rubric.
     * @param value Value to set for the grading property.
     */
    set grading(value) {
        this._grading = value;
    }
    ;
    /**
     * Gets the levelId property value. The ID of this resource.
     * @returns a string
     */
    get levelId() {
        return this._levelId;
    }
    ;
    /**
     * Sets the levelId property value. The ID of this resource.
     * @param value Value to set for the levelId property.
     */
    set levelId(value) {
        this._levelId = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeObjectValue("description", this.description);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeObjectValue("grading", this.grading);
        writer.writeStringValue("levelId", this.levelId);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.RubricLevel = RubricLevel;
