import { EducationItemBody, RubricCriterion } from './index';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class RubricQuality implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The collection of criteria for this rubric quality. */
    private _criteria?;
    /** The description of this rubric quality. */
    private _description?;
    /** The name of this rubric quality. */
    private _displayName?;
    /** The ID of this resource. */
    private _qualityId?;
    /** If present, a numerical weight for this quality.  Weights must add up to 100. */
    private _weight?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Instantiates a new rubricQuality and sets the default values.
     */
    constructor();
    /**
     * Gets the criteria property value. The collection of criteria for this rubric quality.
     * @returns a rubricCriterion
     */
    get criteria(): RubricCriterion[] | undefined;
    /**
     * Sets the criteria property value. The collection of criteria for this rubric quality.
     * @param value Value to set for the criteria property.
     */
    set criteria(value: RubricCriterion[] | undefined);
    /**
     * Gets the description property value. The description of this rubric quality.
     * @returns a educationItemBody
     */
    get description(): EducationItemBody | undefined;
    /**
     * Sets the description property value. The description of this rubric quality.
     * @param value Value to set for the description property.
     */
    set description(value: EducationItemBody | undefined);
    /**
     * Gets the displayName property value. The name of this rubric quality.
     * @returns a string
     */
    get displayName(): string | undefined;
    /**
     * Sets the displayName property value. The name of this rubric quality.
     * @param value Value to set for the displayName property.
     */
    set displayName(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the qualityId property value. The ID of this resource.
     * @returns a string
     */
    get qualityId(): string | undefined;
    /**
     * Sets the qualityId property value. The ID of this resource.
     * @param value Value to set for the qualityId property.
     */
    set qualityId(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the weight property value. If present, a numerical weight for this quality.  Weights must add up to 100.
     * @returns a float
     */
    get weight(): number | undefined;
    /**
     * Sets the weight property value. If present, a numerical weight for this quality.  Weights must add up to 100.
     * @param value Value to set for the weight property.
     */
    set weight(value: number | undefined);
}
