"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SamlSingleSignOnSettings = void 0;
class SamlSingleSignOnSettings {
    /**
     * Instantiates a new samlSingleSignOnSettings and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "relayState": n => { this.relayState = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the relayState property value. The relative URI the service provider would redirect to after completion of the single sign-on flow.
     * @returns a string
     */
    get relayState() {
        return this._relayState;
    }
    ;
    /**
     * Sets the relayState property value. The relative URI the service provider would redirect to after completion of the single sign-on flow.
     * @param value Value to set for the relayState property.
     */
    set relayState(value) {
        this._relayState = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("relayState", this.relayState);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.SamlSingleSignOnSettings = SamlSingleSignOnSettings;
