"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Schedule = void 0;
const createOfferShiftRequestFromDiscriminatorValue_1 = require("./createOfferShiftRequestFromDiscriminatorValue");
const createOpenShiftChangeRequestFromDiscriminatorValue_1 = require("./createOpenShiftChangeRequestFromDiscriminatorValue");
const createOpenShiftFromDiscriminatorValue_1 = require("./createOpenShiftFromDiscriminatorValue");
const createSchedulingGroupFromDiscriminatorValue_1 = require("./createSchedulingGroupFromDiscriminatorValue");
const createShiftFromDiscriminatorValue_1 = require("./createShiftFromDiscriminatorValue");
const createSwapShiftsChangeRequestFromDiscriminatorValue_1 = require("./createSwapShiftsChangeRequestFromDiscriminatorValue");
const createTimeOffFromDiscriminatorValue_1 = require("./createTimeOffFromDiscriminatorValue");
const createTimeOffReasonFromDiscriminatorValue_1 = require("./createTimeOffReasonFromDiscriminatorValue");
const createTimeOffRequestFromDiscriminatorValue_1 = require("./createTimeOffRequestFromDiscriminatorValue");
const index_1 = require("./index");
const operationStatus_1 = require("./operationStatus");
/** Casts the previous resource to user. */
class Schedule extends index_1.Entity {
    /**
     * Instantiates a new schedule and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the enabled property value. Indicates whether the schedule is enabled for the team. Required.
     * @returns a boolean
     */
    get enabled() {
        return this._enabled;
    }
    ;
    /**
     * Sets the enabled property value. Indicates whether the schedule is enabled for the team. Required.
     * @param value Value to set for the enabled property.
     */
    set enabled(value) {
        this._enabled = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "enabled": n => { this.enabled = n.getBooleanValue(); }, "offerShiftRequests": n => { this.offerShiftRequests = n.getCollectionOfObjectValues(createOfferShiftRequestFromDiscriminatorValue_1.createOfferShiftRequestFromDiscriminatorValue); }, "offerShiftRequestsEnabled": n => { this.offerShiftRequestsEnabled = n.getBooleanValue(); }, "openShiftChangeRequests": n => { this.openShiftChangeRequests = n.getCollectionOfObjectValues(createOpenShiftChangeRequestFromDiscriminatorValue_1.createOpenShiftChangeRequestFromDiscriminatorValue); }, "openShifts": n => { this.openShifts = n.getCollectionOfObjectValues(createOpenShiftFromDiscriminatorValue_1.createOpenShiftFromDiscriminatorValue); }, "openShiftsEnabled": n => { this.openShiftsEnabled = n.getBooleanValue(); }, "provisionStatus": n => { this.provisionStatus = n.getEnumValue(operationStatus_1.OperationStatus); }, "provisionStatusCode": n => { this.provisionStatusCode = n.getStringValue(); }, "schedulingGroups": n => { this.schedulingGroups = n.getCollectionOfObjectValues(createSchedulingGroupFromDiscriminatorValue_1.createSchedulingGroupFromDiscriminatorValue); }, "shifts": n => { this.shifts = n.getCollectionOfObjectValues(createShiftFromDiscriminatorValue_1.createShiftFromDiscriminatorValue); }, "swapShiftsChangeRequests": n => { this.swapShiftsChangeRequests = n.getCollectionOfObjectValues(createSwapShiftsChangeRequestFromDiscriminatorValue_1.createSwapShiftsChangeRequestFromDiscriminatorValue); }, "swapShiftsRequestsEnabled": n => { this.swapShiftsRequestsEnabled = n.getBooleanValue(); }, "timeClockEnabled": n => { this.timeClockEnabled = n.getBooleanValue(); }, "timeOffReasons": n => { this.timeOffReasons = n.getCollectionOfObjectValues(createTimeOffReasonFromDiscriminatorValue_1.createTimeOffReasonFromDiscriminatorValue); }, "timeOffRequests": n => { this.timeOffRequests = n.getCollectionOfObjectValues(createTimeOffRequestFromDiscriminatorValue_1.createTimeOffRequestFromDiscriminatorValue); }, "timeOffRequestsEnabled": n => { this.timeOffRequestsEnabled = n.getBooleanValue(); }, "timesOff": n => { this.timesOff = n.getCollectionOfObjectValues(createTimeOffFromDiscriminatorValue_1.createTimeOffFromDiscriminatorValue); }, "timeZone": n => { this.timeZone = n.getStringValue(); }, "workforceIntegrationIds": n => { this.workforceIntegrationIds = n.getCollectionOfPrimitiveValues(); } });
    }
    ;
    /**
     * Gets the offerShiftRequests property value. The offerShiftRequests property
     * @returns a offerShiftRequest
     */
    get offerShiftRequests() {
        return this._offerShiftRequests;
    }
    ;
    /**
     * Sets the offerShiftRequests property value. The offerShiftRequests property
     * @param value Value to set for the offerShiftRequests property.
     */
    set offerShiftRequests(value) {
        this._offerShiftRequests = value;
    }
    ;
    /**
     * Gets the offerShiftRequestsEnabled property value. Indicates whether offer shift requests are enabled for the schedule.
     * @returns a boolean
     */
    get offerShiftRequestsEnabled() {
        return this._offerShiftRequestsEnabled;
    }
    ;
    /**
     * Sets the offerShiftRequestsEnabled property value. Indicates whether offer shift requests are enabled for the schedule.
     * @param value Value to set for the offerShiftRequestsEnabled property.
     */
    set offerShiftRequestsEnabled(value) {
        this._offerShiftRequestsEnabled = value;
    }
    ;
    /**
     * Gets the openShiftChangeRequests property value. The openShiftChangeRequests property
     * @returns a openShiftChangeRequest
     */
    get openShiftChangeRequests() {
        return this._openShiftChangeRequests;
    }
    ;
    /**
     * Sets the openShiftChangeRequests property value. The openShiftChangeRequests property
     * @param value Value to set for the openShiftChangeRequests property.
     */
    set openShiftChangeRequests(value) {
        this._openShiftChangeRequests = value;
    }
    ;
    /**
     * Gets the openShifts property value. The openShifts property
     * @returns a openShift
     */
    get openShifts() {
        return this._openShifts;
    }
    ;
    /**
     * Sets the openShifts property value. The openShifts property
     * @param value Value to set for the openShifts property.
     */
    set openShifts(value) {
        this._openShifts = value;
    }
    ;
    /**
     * Gets the openShiftsEnabled property value. Indicates whether open shifts are enabled for the schedule.
     * @returns a boolean
     */
    get openShiftsEnabled() {
        return this._openShiftsEnabled;
    }
    ;
    /**
     * Sets the openShiftsEnabled property value. Indicates whether open shifts are enabled for the schedule.
     * @param value Value to set for the openShiftsEnabled property.
     */
    set openShiftsEnabled(value) {
        this._openShiftsEnabled = value;
    }
    ;
    /**
     * Gets the provisionStatus property value. The status of the schedule provisioning. The possible values are notStarted, running, completed, failed.
     * @returns a operationStatus
     */
    get provisionStatus() {
        return this._provisionStatus;
    }
    ;
    /**
     * Sets the provisionStatus property value. The status of the schedule provisioning. The possible values are notStarted, running, completed, failed.
     * @param value Value to set for the provisionStatus property.
     */
    set provisionStatus(value) {
        this._provisionStatus = value;
    }
    ;
    /**
     * Gets the provisionStatusCode property value. Additional information about why schedule provisioning failed.
     * @returns a string
     */
    get provisionStatusCode() {
        return this._provisionStatusCode;
    }
    ;
    /**
     * Sets the provisionStatusCode property value. Additional information about why schedule provisioning failed.
     * @param value Value to set for the provisionStatusCode property.
     */
    set provisionStatusCode(value) {
        this._provisionStatusCode = value;
    }
    ;
    /**
     * Gets the schedulingGroups property value. The logical grouping of users in the schedule (usually by role).
     * @returns a schedulingGroup
     */
    get schedulingGroups() {
        return this._schedulingGroups;
    }
    ;
    /**
     * Sets the schedulingGroups property value. The logical grouping of users in the schedule (usually by role).
     * @param value Value to set for the schedulingGroups property.
     */
    set schedulingGroups(value) {
        this._schedulingGroups = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeBooleanValue("enabled", this.enabled);
        writer.writeCollectionOfObjectValues("offerShiftRequests", this.offerShiftRequests);
        writer.writeBooleanValue("offerShiftRequestsEnabled", this.offerShiftRequestsEnabled);
        writer.writeCollectionOfObjectValues("openShiftChangeRequests", this.openShiftChangeRequests);
        writer.writeCollectionOfObjectValues("openShifts", this.openShifts);
        writer.writeBooleanValue("openShiftsEnabled", this.openShiftsEnabled);
        writer.writeEnumValue("provisionStatus", this.provisionStatus);
        writer.writeStringValue("provisionStatusCode", this.provisionStatusCode);
        writer.writeCollectionOfObjectValues("schedulingGroups", this.schedulingGroups);
        writer.writeCollectionOfObjectValues("shifts", this.shifts);
        writer.writeCollectionOfObjectValues("swapShiftsChangeRequests", this.swapShiftsChangeRequests);
        writer.writeBooleanValue("swapShiftsRequestsEnabled", this.swapShiftsRequestsEnabled);
        writer.writeBooleanValue("timeClockEnabled", this.timeClockEnabled);
        writer.writeCollectionOfObjectValues("timeOffReasons", this.timeOffReasons);
        writer.writeCollectionOfObjectValues("timeOffRequests", this.timeOffRequests);
        writer.writeBooleanValue("timeOffRequestsEnabled", this.timeOffRequestsEnabled);
        writer.writeCollectionOfObjectValues("timesOff", this.timesOff);
        writer.writeStringValue("timeZone", this.timeZone);
        writer.writeCollectionOfPrimitiveValues("workforceIntegrationIds", this.workforceIntegrationIds);
    }
    ;
    /**
     * Gets the shifts property value. The shifts in the schedule.
     * @returns a shift
     */
    get shifts() {
        return this._shifts;
    }
    ;
    /**
     * Sets the shifts property value. The shifts in the schedule.
     * @param value Value to set for the shifts property.
     */
    set shifts(value) {
        this._shifts = value;
    }
    ;
    /**
     * Gets the swapShiftsChangeRequests property value. The swapShiftsChangeRequests property
     * @returns a swapShiftsChangeRequest
     */
    get swapShiftsChangeRequests() {
        return this._swapShiftsChangeRequests;
    }
    ;
    /**
     * Sets the swapShiftsChangeRequests property value. The swapShiftsChangeRequests property
     * @param value Value to set for the swapShiftsChangeRequests property.
     */
    set swapShiftsChangeRequests(value) {
        this._swapShiftsChangeRequests = value;
    }
    ;
    /**
     * Gets the swapShiftsRequestsEnabled property value. Indicates whether swap shifts requests are enabled for the schedule.
     * @returns a boolean
     */
    get swapShiftsRequestsEnabled() {
        return this._swapShiftsRequestsEnabled;
    }
    ;
    /**
     * Sets the swapShiftsRequestsEnabled property value. Indicates whether swap shifts requests are enabled for the schedule.
     * @param value Value to set for the swapShiftsRequestsEnabled property.
     */
    set swapShiftsRequestsEnabled(value) {
        this._swapShiftsRequestsEnabled = value;
    }
    ;
    /**
     * Gets the timeClockEnabled property value. Indicates whether time clock is enabled for the schedule.
     * @returns a boolean
     */
    get timeClockEnabled() {
        return this._timeClockEnabled;
    }
    ;
    /**
     * Sets the timeClockEnabled property value. Indicates whether time clock is enabled for the schedule.
     * @param value Value to set for the timeClockEnabled property.
     */
    set timeClockEnabled(value) {
        this._timeClockEnabled = value;
    }
    ;
    /**
     * Gets the timeOffReasons property value. The set of reasons for a time off in the schedule.
     * @returns a timeOffReason
     */
    get timeOffReasons() {
        return this._timeOffReasons;
    }
    ;
    /**
     * Sets the timeOffReasons property value. The set of reasons for a time off in the schedule.
     * @param value Value to set for the timeOffReasons property.
     */
    set timeOffReasons(value) {
        this._timeOffReasons = value;
    }
    ;
    /**
     * Gets the timeOffRequests property value. The timeOffRequests property
     * @returns a timeOffRequest
     */
    get timeOffRequests() {
        return this._timeOffRequests;
    }
    ;
    /**
     * Sets the timeOffRequests property value. The timeOffRequests property
     * @param value Value to set for the timeOffRequests property.
     */
    set timeOffRequests(value) {
        this._timeOffRequests = value;
    }
    ;
    /**
     * Gets the timeOffRequestsEnabled property value. Indicates whether time off requests are enabled for the schedule.
     * @returns a boolean
     */
    get timeOffRequestsEnabled() {
        return this._timeOffRequestsEnabled;
    }
    ;
    /**
     * Sets the timeOffRequestsEnabled property value. Indicates whether time off requests are enabled for the schedule.
     * @param value Value to set for the timeOffRequestsEnabled property.
     */
    set timeOffRequestsEnabled(value) {
        this._timeOffRequestsEnabled = value;
    }
    ;
    /**
     * Gets the timesOff property value. The instances of times off in the schedule.
     * @returns a timeOff
     */
    get timesOff() {
        return this._timesOff;
    }
    ;
    /**
     * Sets the timesOff property value. The instances of times off in the schedule.
     * @param value Value to set for the timesOff property.
     */
    set timesOff(value) {
        this._timesOff = value;
    }
    ;
    /**
     * Gets the timeZone property value. Indicates the time zone of the schedule team using tz database format. Required.
     * @returns a string
     */
    get timeZone() {
        return this._timeZone;
    }
    ;
    /**
     * Sets the timeZone property value. Indicates the time zone of the schedule team using tz database format. Required.
     * @param value Value to set for the timeZone property.
     */
    set timeZone(value) {
        this._timeZone = value;
    }
    ;
    /**
     * Gets the workforceIntegrationIds property value. The workforceIntegrationIds property
     * @returns a string
     */
    get workforceIntegrationIds() {
        return this._workforceIntegrationIds;
    }
    ;
    /**
     * Sets the workforceIntegrationIds property value. The workforceIntegrationIds property
     * @param value Value to set for the workforceIntegrationIds property.
     */
    set workforceIntegrationIds(value) {
        this._workforceIntegrationIds = value;
    }
    ;
}
exports.Schedule = Schedule;
