import { FreeBusyError, ScheduleItem, WorkingHours } from './index';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class ScheduleInformation implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** Represents a merged view of availability of all the items in scheduleItems. The view consists of time slots. Availability during each time slot is indicated with: 0= free, 1= tentative, 2= busy, 3= out of office, 4= working elsewhere. */
    private _availabilityView?;
    /** Error information from attempting to get the availability of the user, distribution list, or resource. */
    private _error_escaped?;
    /** An SMTP address of the user, distribution list, or resource, identifying an instance of scheduleInformation. */
    private _scheduleId?;
    /** Contains the items that describe the availability of the user or resource. */
    private _scheduleItems?;
    /** The days of the week and hours in a specific time zone that the user works. These are set as part of the user's mailboxSettings. */
    private _workingHours?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the availabilityView property value. Represents a merged view of availability of all the items in scheduleItems. The view consists of time slots. Availability during each time slot is indicated with: 0= free, 1= tentative, 2= busy, 3= out of office, 4= working elsewhere.
     * @returns a string
     */
    get availabilityView(): string | undefined;
    /**
     * Sets the availabilityView property value. Represents a merged view of availability of all the items in scheduleItems. The view consists of time slots. Availability during each time slot is indicated with: 0= free, 1= tentative, 2= busy, 3= out of office, 4= working elsewhere.
     * @param value Value to set for the availabilityView property.
     */
    set availabilityView(value: string | undefined);
    /**
     * Instantiates a new scheduleInformation and sets the default values.
     */
    constructor();
    /**
     * Gets the error property value. Error information from attempting to get the availability of the user, distribution list, or resource.
     * @returns a freeBusyError
     */
    get error_escaped(): FreeBusyError | undefined;
    /**
     * Sets the error property value. Error information from attempting to get the availability of the user, distribution list, or resource.
     * @param value Value to set for the error_escaped property.
     */
    set error_escaped(value: FreeBusyError | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the scheduleId property value. An SMTP address of the user, distribution list, or resource, identifying an instance of scheduleInformation.
     * @returns a string
     */
    get scheduleId(): string | undefined;
    /**
     * Sets the scheduleId property value. An SMTP address of the user, distribution list, or resource, identifying an instance of scheduleInformation.
     * @param value Value to set for the scheduleId property.
     */
    set scheduleId(value: string | undefined);
    /**
     * Gets the scheduleItems property value. Contains the items that describe the availability of the user or resource.
     * @returns a scheduleItem
     */
    get scheduleItems(): ScheduleItem[] | undefined;
    /**
     * Sets the scheduleItems property value. Contains the items that describe the availability of the user or resource.
     * @param value Value to set for the scheduleItems property.
     */
    set scheduleItems(value: ScheduleItem[] | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the workingHours property value. The days of the week and hours in a specific time zone that the user works. These are set as part of the user's mailboxSettings.
     * @returns a workingHours
     */
    get workingHours(): WorkingHours | undefined;
    /**
     * Sets the workingHours property value. The days of the week and hours in a specific time zone that the user works. These are set as part of the user's mailboxSettings.
     * @param value Value to set for the workingHours property.
     */
    set workingHours(value: WorkingHours | undefined);
}
