import { ChangeTrackedEntity } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Casts the previous resource to user. */
export declare class SchedulingGroup extends ChangeTrackedEntity implements Parsable {
    /** The display name for the schedulingGroup. Required. */
    private _displayName?;
    /** Indicates whether the schedulingGroup can be used when creating new entities or updating existing ones. Required. */
    private _isActive?;
    /** The list of user IDs that are a member of the schedulingGroup. Required. */
    private _userIds?;
    /**
     * Instantiates a new schedulingGroup and sets the default values.
     */
    constructor();
    /**
     * Gets the displayName property value. The display name for the schedulingGroup. Required.
     * @returns a string
     */
    get displayName(): string | undefined;
    /**
     * Sets the displayName property value. The display name for the schedulingGroup. Required.
     * @param value Value to set for the displayName property.
     */
    set displayName(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the isActive property value. Indicates whether the schedulingGroup can be used when creating new entities or updating existing ones. Required.
     * @returns a boolean
     */
    get isActive(): boolean | undefined;
    /**
     * Sets the isActive property value. Indicates whether the schedulingGroup can be used when creating new entities or updating existing ones. Required.
     * @param value Value to set for the isActive property.
     */
    set isActive(value: boolean | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the userIds property value. The list of user IDs that are a member of the schedulingGroup. Required.
     * @returns a string
     */
    get userIds(): string[] | undefined;
    /**
     * Sets the userIds property value. The list of user IDs that are a member of the schedulingGroup. Required.
     * @param value Value to set for the userIds property.
     */
    set userIds(value: string[] | undefined);
}
