"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SchedulingGroup = void 0;
const index_1 = require("./index");
/** Casts the previous resource to user. */
class SchedulingGroup extends index_1.ChangeTrackedEntity {
    /**
     * Instantiates a new schedulingGroup and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the displayName property value. The display name for the schedulingGroup. Required.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. The display name for the schedulingGroup. Required.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "displayName": n => { this.displayName = n.getStringValue(); }, "isActive": n => { this.isActive = n.getBooleanValue(); }, "userIds": n => { this.userIds = n.getCollectionOfPrimitiveValues(); } });
    }
    ;
    /**
     * Gets the isActive property value. Indicates whether the schedulingGroup can be used when creating new entities or updating existing ones. Required.
     * @returns a boolean
     */
    get isActive() {
        return this._isActive;
    }
    ;
    /**
     * Sets the isActive property value. Indicates whether the schedulingGroup can be used when creating new entities or updating existing ones. Required.
     * @param value Value to set for the isActive property.
     */
    set isActive(value) {
        this._isActive = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeBooleanValue("isActive", this.isActive);
        writer.writeCollectionOfPrimitiveValues("userIds", this.userIds);
    }
    ;
    /**
     * Gets the userIds property value. The list of user IDs that are a member of the schedulingGroup. Required.
     * @returns a string
     */
    get userIds() {
        return this._userIds;
    }
    ;
    /**
     * Sets the userIds property value. The list of user IDs that are a member of the schedulingGroup. Required.
     * @param value Value to set for the userIds property.
     */
    set userIds(value) {
        this._userIds = value;
    }
    ;
}
exports.SchedulingGroup = SchedulingGroup;
