import { Entity, Identity } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Casts the previous resource to user. */
export declare class ScopedRoleMembership extends Entity implements Parsable {
    /** Unique identifier for the administrative unit that the directory role is scoped to */
    private _administrativeUnitId?;
    /** Unique identifier for the directory role that the member is in. */
    private _roleId?;
    /** The roleMemberInfo property */
    private _roleMemberInfo?;
    /**
     * Gets the administrativeUnitId property value. Unique identifier for the administrative unit that the directory role is scoped to
     * @returns a string
     */
    get administrativeUnitId(): string | undefined;
    /**
     * Sets the administrativeUnitId property value. Unique identifier for the administrative unit that the directory role is scoped to
     * @param value Value to set for the administrativeUnitId property.
     */
    set administrativeUnitId(value: string | undefined);
    /**
     * Instantiates a new scopedRoleMembership and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the roleId property value. Unique identifier for the directory role that the member is in.
     * @returns a string
     */
    get roleId(): string | undefined;
    /**
     * Sets the roleId property value. Unique identifier for the directory role that the member is in.
     * @param value Value to set for the roleId property.
     */
    set roleId(value: string | undefined);
    /**
     * Gets the roleMemberInfo property value. The roleMemberInfo property
     * @returns a identity
     */
    get roleMemberInfo(): Identity | undefined;
    /**
     * Sets the roleMemberInfo property value. The roleMemberInfo property
     * @param value Value to set for the roleMemberInfo property.
     */
    set roleMemberInfo(value: Identity | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
