"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ScoredEmailAddress = void 0;
const selectionLikelihoodInfo_1 = require("./selectionLikelihoodInfo");
class ScoredEmailAddress {
    /**
     * Instantiates a new scoredEmailAddress and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the address property value. The email address.
     * @returns a string
     */
    get address() {
        return this._address;
    }
    ;
    /**
     * Sets the address property value. The email address.
     * @param value Value to set for the address property.
     */
    set address(value) {
        this._address = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "address": n => { this.address = n.getStringValue(); },
            "itemId": n => { this.itemId = n.getStringValue(); },
            "relevanceScore": n => { this.relevanceScore = n.getNumberValue(); },
            "selectionLikelihood": n => { this.selectionLikelihood = n.getEnumValue(selectionLikelihoodInfo_1.SelectionLikelihoodInfo); },
        };
    }
    ;
    /**
     * Gets the itemId property value. The itemId property
     * @returns a string
     */
    get itemId() {
        return this._itemId;
    }
    ;
    /**
     * Sets the itemId property value. The itemId property
     * @param value Value to set for the itemId property.
     */
    set itemId(value) {
        this._itemId = value;
    }
    ;
    /**
     * Gets the relevanceScore property value. The relevance score of the email address. A relevance score is used as a sort key, in relation to the other returned results. A higher relevance score value corresponds to a more relevant result. Relevance is determined by the user’s communication and collaboration patterns and business relationships.
     * @returns a double
     */
    get relevanceScore() {
        return this._relevanceScore;
    }
    ;
    /**
     * Sets the relevanceScore property value. The relevance score of the email address. A relevance score is used as a sort key, in relation to the other returned results. A higher relevance score value corresponds to a more relevant result. Relevance is determined by the user’s communication and collaboration patterns and business relationships.
     * @param value Value to set for the relevanceScore property.
     */
    set relevanceScore(value) {
        this._relevanceScore = value;
    }
    ;
    /**
     * Gets the selectionLikelihood property value. The selectionLikelihood property
     * @returns a selectionLikelihoodInfo
     */
    get selectionLikelihood() {
        return this._selectionLikelihood;
    }
    ;
    /**
     * Sets the selectionLikelihood property value. The selectionLikelihood property
     * @param value Value to set for the selectionLikelihood property.
     */
    set selectionLikelihood(value) {
        this._selectionLikelihood = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("address", this.address);
        writer.writeStringValue("itemId", this.itemId);
        writer.writeNumberValue("relevanceScore", this.relevanceScore);
        writer.writeEnumValue("selectionLikelihood", this.selectionLikelihood);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.ScoredEmailAddress = ScoredEmailAddress;
