import { SearchBucket } from './index';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class SearchAggregation implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** Defines the actual buckets of the computed aggregation. */
    private _buckets?;
    /** Defines on which field the aggregation was computed on. */
    private _field?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the buckets property value. Defines the actual buckets of the computed aggregation.
     * @returns a searchBucket
     */
    get buckets(): SearchBucket[] | undefined;
    /**
     * Sets the buckets property value. Defines the actual buckets of the computed aggregation.
     * @param value Value to set for the buckets property.
     */
    set buckets(value: SearchBucket[] | undefined);
    /**
     * Instantiates a new searchAggregation and sets the default values.
     */
    constructor();
    /**
     * Gets the field property value. Defines on which field the aggregation was computed on.
     * @returns a string
     */
    get field(): string | undefined;
    /**
     * Sets the field property value. Defines on which field the aggregation was computed on.
     * @param value Value to set for the field property.
     */
    set field(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
