"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SearchAggregation = void 0;
const createSearchBucketFromDiscriminatorValue_1 = require("./createSearchBucketFromDiscriminatorValue");
class SearchAggregation {
    /**
     * Instantiates a new searchAggregation and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the buckets property value. Defines the actual buckets of the computed aggregation.
     * @returns a searchBucket
     */
    get buckets() {
        return this._buckets;
    }
    ;
    /**
     * Sets the buckets property value. Defines the actual buckets of the computed aggregation.
     * @param value Value to set for the buckets property.
     */
    set buckets(value) {
        this._buckets = value;
    }
    ;
    ;
    /**
     * Gets the field property value. Defines on which field the aggregation was computed on.
     * @returns a string
     */
    get field() {
        return this._field;
    }
    ;
    /**
     * Sets the field property value. Defines on which field the aggregation was computed on.
     * @param value Value to set for the field property.
     */
    set field(value) {
        this._field = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "buckets": n => { this.buckets = n.getCollectionOfObjectValues(createSearchBucketFromDiscriminatorValue_1.createSearchBucketFromDiscriminatorValue); },
            "field": n => { this.field = n.getStringValue(); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeCollectionOfObjectValues("buckets", this.buckets);
        writer.writeStringValue("field", this.field);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.SearchAggregation = SearchAggregation;
