"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SearchAlteration = void 0;
const createAlteredQueryTokenFromDiscriminatorValue_1 = require("./createAlteredQueryTokenFromDiscriminatorValue");
class SearchAlteration {
    /**
     * Instantiates a new searchAlteration and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the alteredHighlightedQueryString property value. Defines the altered highlighted query string with spelling correction. The annotation around the corrected segment is (/ue000, /ue001)
     * @returns a string
     */
    get alteredHighlightedQueryString() {
        return this._alteredHighlightedQueryString;
    }
    ;
    /**
     * Sets the alteredHighlightedQueryString property value. Defines the altered highlighted query string with spelling correction. The annotation around the corrected segment is (/ue000, /ue001)
     * @param value Value to set for the alteredHighlightedQueryString property.
     */
    set alteredHighlightedQueryString(value) {
        this._alteredHighlightedQueryString = value;
    }
    ;
    /**
     * Gets the alteredQueryString property value. Defines the altered query string with spelling correction.
     * @returns a string
     */
    get alteredQueryString() {
        return this._alteredQueryString;
    }
    ;
    /**
     * Sets the alteredQueryString property value. Defines the altered query string with spelling correction.
     * @param value Value to set for the alteredQueryString property.
     */
    set alteredQueryString(value) {
        this._alteredQueryString = value;
    }
    ;
    /**
     * Gets the alteredQueryTokens property value. Represents changed segments with respect to original query.
     * @returns a alteredQueryToken
     */
    get alteredQueryTokens() {
        return this._alteredQueryTokens;
    }
    ;
    /**
     * Sets the alteredQueryTokens property value. Represents changed segments with respect to original query.
     * @param value Value to set for the alteredQueryTokens property.
     */
    set alteredQueryTokens(value) {
        this._alteredQueryTokens = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "alteredHighlightedQueryString": n => { this.alteredHighlightedQueryString = n.getStringValue(); },
            "alteredQueryString": n => { this.alteredQueryString = n.getStringValue(); },
            "alteredQueryTokens": n => { this.alteredQueryTokens = n.getCollectionOfObjectValues(createAlteredQueryTokenFromDiscriminatorValue_1.createAlteredQueryTokenFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("alteredHighlightedQueryString", this.alteredHighlightedQueryString);
        writer.writeStringValue("alteredQueryString", this.alteredQueryString);
        writer.writeCollectionOfObjectValues("alteredQueryTokens", this.alteredQueryTokens);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.SearchAlteration = SearchAlteration;
