import { Entity } from './index';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class SearchHit implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The name of the content source which the externalItem is part of . */
    private _contentSource?;
    /** The internal identifier for the item. */
    private _hitId?;
    /** The rank or the order of the result. */
    private _rank?;
    /** The resource property */
    private _resource?;
    /** ID of the result template for rendering the search result. This ID must map to a display layout in the resultTemplates dictionary, included in the searchresponse as well. */
    private _resultTemplateId?;
    /** A summary of the result, if a summary is available. */
    private _summary?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Instantiates a new searchHit and sets the default values.
     */
    constructor();
    /**
     * Gets the contentSource property value. The name of the content source which the externalItem is part of .
     * @returns a string
     */
    get contentSource(): string | undefined;
    /**
     * Sets the contentSource property value. The name of the content source which the externalItem is part of .
     * @param value Value to set for the contentSource property.
     */
    set contentSource(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the hitId property value. The internal identifier for the item.
     * @returns a string
     */
    get hitId(): string | undefined;
    /**
     * Sets the hitId property value. The internal identifier for the item.
     * @param value Value to set for the hitId property.
     */
    set hitId(value: string | undefined);
    /**
     * Gets the rank property value. The rank or the order of the result.
     * @returns a integer
     */
    get rank(): number | undefined;
    /**
     * Sets the rank property value. The rank or the order of the result.
     * @param value Value to set for the rank property.
     */
    set rank(value: number | undefined);
    /**
     * Gets the resource property value. The resource property
     * @returns a entity
     */
    get resource(): Entity | undefined;
    /**
     * Sets the resource property value. The resource property
     * @param value Value to set for the resource property.
     */
    set resource(value: Entity | undefined);
    /**
     * Gets the resultTemplateId property value. ID of the result template for rendering the search result. This ID must map to a display layout in the resultTemplates dictionary, included in the searchresponse as well.
     * @returns a string
     */
    get resultTemplateId(): string | undefined;
    /**
     * Sets the resultTemplateId property value. ID of the result template for rendering the search result. This ID must map to a display layout in the resultTemplates dictionary, included in the searchresponse as well.
     * @param value Value to set for the resultTemplateId property.
     */
    set resultTemplateId(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the summary property value. A summary of the result, if a summary is available.
     * @returns a string
     */
    get summary(): string | undefined;
    /**
     * Sets the summary property value. A summary of the result, if a summary is available.
     * @param value Value to set for the summary property.
     */
    set summary(value: string | undefined);
}
