"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SearchHitsContainer = void 0;
const createSearchAggregationFromDiscriminatorValue_1 = require("./createSearchAggregationFromDiscriminatorValue");
const createSearchHitFromDiscriminatorValue_1 = require("./createSearchHitFromDiscriminatorValue");
class SearchHitsContainer {
    /**
     * Instantiates a new searchHitsContainer and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the aggregations property value. Contains the collection of aggregations computed based on the provided aggregationOption specified in the request.
     * @returns a searchAggregation
     */
    get aggregations() {
        return this._aggregations;
    }
    ;
    /**
     * Sets the aggregations property value. Contains the collection of aggregations computed based on the provided aggregationOption specified in the request.
     * @param value Value to set for the aggregations property.
     */
    set aggregations(value) {
        this._aggregations = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "aggregations": n => { this.aggregations = n.getCollectionOfObjectValues(createSearchAggregationFromDiscriminatorValue_1.createSearchAggregationFromDiscriminatorValue); },
            "hits": n => { this.hits = n.getCollectionOfObjectValues(createSearchHitFromDiscriminatorValue_1.createSearchHitFromDiscriminatorValue); },
            "moreResultsAvailable": n => { this.moreResultsAvailable = n.getBooleanValue(); },
            "total": n => { this.total = n.getNumberValue(); },
        };
    }
    ;
    /**
     * Gets the hits property value. A collection of the search results.
     * @returns a searchHit
     */
    get hits() {
        return this._hits;
    }
    ;
    /**
     * Sets the hits property value. A collection of the search results.
     * @param value Value to set for the hits property.
     */
    set hits(value) {
        this._hits = value;
    }
    ;
    /**
     * Gets the moreResultsAvailable property value. Provides information if more results are available. Based on this information, you can adjust the from and size properties of the searchRequest accordingly.
     * @returns a boolean
     */
    get moreResultsAvailable() {
        return this._moreResultsAvailable;
    }
    ;
    /**
     * Sets the moreResultsAvailable property value. Provides information if more results are available. Based on this information, you can adjust the from and size properties of the searchRequest accordingly.
     * @param value Value to set for the moreResultsAvailable property.
     */
    set moreResultsAvailable(value) {
        this._moreResultsAvailable = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeCollectionOfObjectValues("aggregations", this.aggregations);
        writer.writeCollectionOfObjectValues("hits", this.hits);
        writer.writeBooleanValue("moreResultsAvailable", this.moreResultsAvailable);
        writer.writeNumberValue("total", this.total);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the total property value. The total number of results. Note this is not the number of results on the page, but the total number of results satisfying the query.
     * @returns a integer
     */
    get total() {
        return this._total;
    }
    ;
    /**
     * Sets the total property value. The total number of results. Note this is not the number of results on the page, but the total number of results satisfying the query.
     * @param value Value to set for the total property.
     */
    set total(value) {
        this._total = value;
    }
    ;
}
exports.SearchHitsContainer = SearchHitsContainer;
