"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SecureScoreControlStateUpdate = void 0;
class SecureScoreControlStateUpdate {
    /**
     * Instantiates a new secureScoreControlStateUpdate and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the assignedTo property value. Assigns the control to the user who will take the action.
     * @returns a string
     */
    get assignedTo() {
        return this._assignedTo;
    }
    ;
    /**
     * Sets the assignedTo property value. Assigns the control to the user who will take the action.
     * @param value Value to set for the assignedTo property.
     */
    set assignedTo(value) {
        this._assignedTo = value;
    }
    ;
    /**
     * Gets the comment property value. Provides optional comment about the control.
     * @returns a string
     */
    get comment() {
        return this._comment;
    }
    ;
    /**
     * Sets the comment property value. Provides optional comment about the control.
     * @param value Value to set for the comment property.
     */
    set comment(value) {
        this._comment = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "assignedTo": n => { this.assignedTo = n.getStringValue(); },
            "comment": n => { this.comment = n.getStringValue(); },
            "state": n => { this.state = n.getStringValue(); },
            "updatedBy": n => { this.updatedBy = n.getStringValue(); },
            "updatedDateTime": n => { this.updatedDateTime = n.getDateValue(); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("assignedTo", this.assignedTo);
        writer.writeStringValue("comment", this.comment);
        writer.writeStringValue("state", this.state);
        writer.writeStringValue("updatedBy", this.updatedBy);
        writer.writeDateValue("updatedDateTime", this.updatedDateTime);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the state property value. State of the control, which can be modified via a PATCH command (for example, ignored, thirdParty).
     * @returns a string
     */
    get state() {
        return this._state;
    }
    ;
    /**
     * Sets the state property value. State of the control, which can be modified via a PATCH command (for example, ignored, thirdParty).
     * @param value Value to set for the state property.
     */
    set state(value) {
        this._state = value;
    }
    ;
    /**
     * Gets the updatedBy property value. ID of the user who updated tenant state.
     * @returns a string
     */
    get updatedBy() {
        return this._updatedBy;
    }
    ;
    /**
     * Sets the updatedBy property value. ID of the user who updated tenant state.
     * @param value Value to set for the updatedBy property.
     */
    set updatedBy(value) {
        this._updatedBy = value;
    }
    ;
    /**
     * Gets the updatedDateTime property value. Time at which the control state was updated.
     * @returns a Date
     */
    get updatedDateTime() {
        return this._updatedDateTime;
    }
    ;
    /**
     * Sets the updatedDateTime property value. Time at which the control state was updated.
     * @param value Value to set for the updatedDateTime property.
     */
    set updatedDateTime(value) {
        this._updatedDateTime = value;
    }
    ;
}
exports.SecureScoreControlStateUpdate = SecureScoreControlStateUpdate;
