"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Security = void 0;
const createAlertFromDiscriminatorValue_1 = require("./createAlertFromDiscriminatorValue");
const createSecureScoreControlProfileFromDiscriminatorValue_1 = require("./createSecureScoreControlProfileFromDiscriminatorValue");
const createSecureScoreFromDiscriminatorValue_1 = require("./createSecureScoreFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the security singleton. */
class Security extends index_1.Entity {
    /**
     * Instantiates a new security and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the alerts property value. Notifications for suspicious or potential security issues in a customer’s tenant.
     * @returns a alert
     */
    get alerts() {
        return this._alerts;
    }
    ;
    /**
     * Sets the alerts property value. Notifications for suspicious or potential security issues in a customer’s tenant.
     * @param value Value to set for the alerts property.
     */
    set alerts(value) {
        this._alerts = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "alerts": n => { this.alerts = n.getCollectionOfObjectValues(createAlertFromDiscriminatorValue_1.createAlertFromDiscriminatorValue); }, "secureScoreControlProfiles": n => { this.secureScoreControlProfiles = n.getCollectionOfObjectValues(createSecureScoreControlProfileFromDiscriminatorValue_1.createSecureScoreControlProfileFromDiscriminatorValue); }, "secureScores": n => { this.secureScores = n.getCollectionOfObjectValues(createSecureScoreFromDiscriminatorValue_1.createSecureScoreFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the secureScoreControlProfiles property value. The secureScoreControlProfiles property
     * @returns a secureScoreControlProfile
     */
    get secureScoreControlProfiles() {
        return this._secureScoreControlProfiles;
    }
    ;
    /**
     * Sets the secureScoreControlProfiles property value. The secureScoreControlProfiles property
     * @param value Value to set for the secureScoreControlProfiles property.
     */
    set secureScoreControlProfiles(value) {
        this._secureScoreControlProfiles = value;
    }
    ;
    /**
     * Gets the secureScores property value. The secureScores property
     * @returns a secureScore
     */
    get secureScores() {
        return this._secureScores;
    }
    ;
    /**
     * Sets the secureScores property value. The secureScores property
     * @param value Value to set for the secureScores property.
     */
    set secureScores(value) {
        this._secureScores = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("alerts", this.alerts);
        writer.writeCollectionOfObjectValues("secureScoreControlProfiles", this.secureScoreControlProfiles);
        writer.writeCollectionOfObjectValues("secureScores", this.secureScores);
    }
    ;
}
exports.Security = Security;
