"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SecurityResource = void 0;
const securityResourceType_1 = require("./securityResourceType");
class SecurityResource {
    /**
     * Instantiates a new securityResource and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "resource": n => { this.resource = n.getStringValue(); },
            "resourceType": n => { this.resourceType = n.getEnumValue(securityResourceType_1.SecurityResourceType); },
        };
    }
    ;
    /**
     * Gets the resource property value. Name of the resource that is related to current alert. Required.
     * @returns a string
     */
    get resource() {
        return this._resource;
    }
    ;
    /**
     * Sets the resource property value. Name of the resource that is related to current alert. Required.
     * @param value Value to set for the resource property.
     */
    set resource(value) {
        this._resource = value;
    }
    ;
    /**
     * Gets the resourceType property value. Represents type of security resources related to an alert. Possible values are: attacked, related.
     * @returns a securityResourceType
     */
    get resourceType() {
        return this._resourceType;
    }
    ;
    /**
     * Sets the resourceType property value. Represents type of security resources related to an alert. Possible values are: attacked, related.
     * @param value Value to set for the resourceType property.
     */
    set resourceType(value) {
        this._resourceType = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("resource", this.resource);
        writer.writeEnumValue("resourceType", this.resourceType);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.SecurityResource = SecurityResource;
