"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SecurityVendorInformation = void 0;
class SecurityVendorInformation {
    /**
     * Instantiates a new securityVendorInformation and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "provider": n => { this.provider = n.getStringValue(); },
            "providerVersion": n => { this.providerVersion = n.getStringValue(); },
            "subProvider": n => { this.subProvider = n.getStringValue(); },
            "vendor": n => { this.vendor = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the provider property value. Specific provider (product/service - not vendor company); for example, WindowsDefenderATP.
     * @returns a string
     */
    get provider() {
        return this._provider;
    }
    ;
    /**
     * Sets the provider property value. Specific provider (product/service - not vendor company); for example, WindowsDefenderATP.
     * @param value Value to set for the provider property.
     */
    set provider(value) {
        this._provider = value;
    }
    ;
    /**
     * Gets the providerVersion property value. Version of the provider or subprovider, if it exists, that generated the alert. Required
     * @returns a string
     */
    get providerVersion() {
        return this._providerVersion;
    }
    ;
    /**
     * Sets the providerVersion property value. Version of the provider or subprovider, if it exists, that generated the alert. Required
     * @param value Value to set for the providerVersion property.
     */
    set providerVersion(value) {
        this._providerVersion = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("provider", this.provider);
        writer.writeStringValue("providerVersion", this.providerVersion);
        writer.writeStringValue("subProvider", this.subProvider);
        writer.writeStringValue("vendor", this.vendor);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the subProvider property value. Specific subprovider (under aggregating provider); for example, WindowsDefenderATP.SmartScreen.
     * @returns a string
     */
    get subProvider() {
        return this._subProvider;
    }
    ;
    /**
     * Sets the subProvider property value. Specific subprovider (under aggregating provider); for example, WindowsDefenderATP.SmartScreen.
     * @param value Value to set for the subProvider property.
     */
    set subProvider(value) {
        this._subProvider = value;
    }
    ;
    /**
     * Gets the vendor property value. Name of the alert vendor (for example, Microsoft, Dell, FireEye). Required
     * @returns a string
     */
    get vendor() {
        return this._vendor;
    }
    ;
    /**
     * Sets the vendor property value. Name of the alert vendor (for example, Microsoft, Dell, FireEye). Required
     * @param value Value to set for the vendor property.
     */
    set vendor(value) {
        this._vendor = value;
    }
    ;
}
exports.SecurityVendorInformation = SecurityVendorInformation;
