"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SelfSignedCertificate = void 0;
class SelfSignedCertificate {
    /**
     * Instantiates a new SelfSignedCertificate and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the customKeyIdentifier property value. Custom key identifier.
     * @returns a binary
     */
    get customKeyIdentifier() {
        return this._customKeyIdentifier;
    }
    ;
    /**
     * Sets the customKeyIdentifier property value. Custom key identifier.
     * @param value Value to set for the customKeyIdentifier property.
     */
    set customKeyIdentifier(value) {
        this._customKeyIdentifier = value;
    }
    ;
    /**
     * Gets the displayName property value. The friendly name for the key.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. The friendly name for the key.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * Gets the endDateTime property value. The date and time at which the credential expires. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     * @returns a Date
     */
    get endDateTime() {
        return this._endDateTime;
    }
    ;
    /**
     * Sets the endDateTime property value. The date and time at which the credential expires. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     * @param value Value to set for the endDateTime property.
     */
    set endDateTime(value) {
        this._endDateTime = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "customKeyIdentifier": n => { this.customKeyIdentifier = n.getStringValue(); },
            "displayName": n => { this.displayName = n.getStringValue(); },
            "endDateTime": n => { this.endDateTime = n.getDateValue(); },
            "key": n => { this.key = n.getStringValue(); },
            "keyId": n => { this.keyId = n.getStringValue(); },
            "startDateTime": n => { this.startDateTime = n.getDateValue(); },
            "thumbprint": n => { this.thumbprint = n.getStringValue(); },
            "type": n => { this.type = n.getStringValue(); },
            "usage": n => { this.usage = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the key property value. The value for the key credential. Should be a base-64 encoded value.
     * @returns a binary
     */
    get key() {
        return this._key;
    }
    ;
    /**
     * Sets the key property value. The value for the key credential. Should be a base-64 encoded value.
     * @param value Value to set for the key property.
     */
    set key(value) {
        this._key = value;
    }
    ;
    /**
     * Gets the keyId property value. The unique identifier (GUID) for the key.
     * @returns a string
     */
    get keyId() {
        return this._keyId;
    }
    ;
    /**
     * Sets the keyId property value. The unique identifier (GUID) for the key.
     * @param value Value to set for the keyId property.
     */
    set keyId(value) {
        this._keyId = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("customKeyIdentifier", this.customKeyIdentifier);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeDateValue("endDateTime", this.endDateTime);
        writer.writeStringValue("key", this.key);
        writer.writeStringValue("keyId", this.keyId);
        writer.writeDateValue("startDateTime", this.startDateTime);
        writer.writeStringValue("thumbprint", this.thumbprint);
        writer.writeStringValue("type", this.type);
        writer.writeStringValue("usage", this.usage);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the startDateTime property value. The date and time at which the credential becomes valid. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     * @returns a Date
     */
    get startDateTime() {
        return this._startDateTime;
    }
    ;
    /**
     * Sets the startDateTime property value. The date and time at which the credential becomes valid. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     * @param value Value to set for the startDateTime property.
     */
    set startDateTime(value) {
        this._startDateTime = value;
    }
    ;
    /**
     * Gets the thumbprint property value. The thumbprint value for the key.
     * @returns a string
     */
    get thumbprint() {
        return this._thumbprint;
    }
    ;
    /**
     * Sets the thumbprint property value. The thumbprint value for the key.
     * @param value Value to set for the thumbprint property.
     */
    set thumbprint(value) {
        this._thumbprint = value;
    }
    ;
    /**
     * Gets the type property value. The type of key credential. 'AsymmetricX509Cert'.
     * @returns a string
     */
    get type() {
        return this._type;
    }
    ;
    /**
     * Sets the type property value. The type of key credential. 'AsymmetricX509Cert'.
     * @param value Value to set for the type property.
     */
    set type(value) {
        this._type = value;
    }
    ;
    /**
     * Gets the usage property value. A string that describes the purpose for which the key can be used. For example, 'Verify'.
     * @returns a string
     */
    get usage() {
        return this._usage;
    }
    ;
    /**
     * Sets the usage property value. A string that describes the purpose for which the key can be used. For example, 'Verify'.
     * @param value Value to set for the usage property.
     */
    set usage(value) {
        this._usage = value;
    }
    ;
}
exports.SelfSignedCertificate = SelfSignedCertificate;
