import { Entity } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the admin singleton. */
export declare class ServiceAnnouncementAttachment extends Entity implements Parsable {
    /** The attachment content. */
    private _content?;
    /** The contentType property */
    private _contentType?;
    /** The lastModifiedDateTime property */
    private _lastModifiedDateTime?;
    /** The name property */
    private _name?;
    /** The size property */
    private _size?;
    /**
     * Instantiates a new serviceAnnouncementAttachment and sets the default values.
     */
    constructor();
    /**
     * Gets the content property value. The attachment content.
     * @returns a binary
     */
    get content(): string | undefined;
    /**
     * Sets the content property value. The attachment content.
     * @param value Value to set for the content property.
     */
    set content(value: string | undefined);
    /**
     * Gets the contentType property value. The contentType property
     * @returns a string
     */
    get contentType(): string | undefined;
    /**
     * Sets the contentType property value. The contentType property
     * @param value Value to set for the contentType property.
     */
    set contentType(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the lastModifiedDateTime property value. The lastModifiedDateTime property
     * @returns a Date
     */
    get lastModifiedDateTime(): Date | undefined;
    /**
     * Sets the lastModifiedDateTime property value. The lastModifiedDateTime property
     * @param value Value to set for the lastModifiedDateTime property.
     */
    set lastModifiedDateTime(value: Date | undefined);
    /**
     * Gets the name property value. The name property
     * @returns a string
     */
    get name(): string | undefined;
    /**
     * Sets the name property value. The name property
     * @param value Value to set for the name property.
     */
    set name(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the size property value. The size property
     * @returns a integer
     */
    get size(): number | undefined;
    /**
     * Sets the size property value. The size property
     * @param value Value to set for the size property.
     */
    set size(value: number | undefined);
}
