"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ServiceAnnouncementBase = void 0;
const createKeyValuePairFromDiscriminatorValue_1 = require("./createKeyValuePairFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the admin singleton. */
class ServiceAnnouncementBase extends index_1.Entity {
    /**
     * Instantiates a new serviceAnnouncementBase and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the details property value. Additional details about service event. This property doesn't support filters.
     * @returns a keyValuePair
     */
    get details() {
        return this._details;
    }
    ;
    /**
     * Sets the details property value. Additional details about service event. This property doesn't support filters.
     * @param value Value to set for the details property.
     */
    set details(value) {
        this._details = value;
    }
    ;
    /**
     * Gets the endDateTime property value. The end time of the service event.
     * @returns a Date
     */
    get endDateTime() {
        return this._endDateTime;
    }
    ;
    /**
     * Sets the endDateTime property value. The end time of the service event.
     * @param value Value to set for the endDateTime property.
     */
    set endDateTime(value) {
        this._endDateTime = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "details": n => { this.details = n.getCollectionOfObjectValues(createKeyValuePairFromDiscriminatorValue_1.createKeyValuePairFromDiscriminatorValue); }, "endDateTime": n => { this.endDateTime = n.getDateValue(); }, "lastModifiedDateTime": n => { this.lastModifiedDateTime = n.getDateValue(); }, "startDateTime": n => { this.startDateTime = n.getDateValue(); }, "title": n => { this.title = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the lastModifiedDateTime property value. The last modified time of the service event.
     * @returns a Date
     */
    get lastModifiedDateTime() {
        return this._lastModifiedDateTime;
    }
    ;
    /**
     * Sets the lastModifiedDateTime property value. The last modified time of the service event.
     * @param value Value to set for the lastModifiedDateTime property.
     */
    set lastModifiedDateTime(value) {
        this._lastModifiedDateTime = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("details", this.details);
        writer.writeDateValue("endDateTime", this.endDateTime);
        writer.writeDateValue("lastModifiedDateTime", this.lastModifiedDateTime);
        writer.writeDateValue("startDateTime", this.startDateTime);
        writer.writeStringValue("title", this.title);
    }
    ;
    /**
     * Gets the startDateTime property value. The start time of the service event.
     * @returns a Date
     */
    get startDateTime() {
        return this._startDateTime;
    }
    ;
    /**
     * Sets the startDateTime property value. The start time of the service event.
     * @param value Value to set for the startDateTime property.
     */
    set startDateTime(value) {
        this._startDateTime = value;
    }
    ;
    /**
     * Gets the title property value. The title of the service event.
     * @returns a string
     */
    get title() {
        return this._title;
    }
    ;
    /**
     * Sets the title property value. The title of the service event.
     * @param value Value to set for the title property.
     */
    set title(value) {
        this._title = value;
    }
    ;
}
exports.ServiceAnnouncementBase = ServiceAnnouncementBase;
