"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ServiceHealth = void 0;
const createServiceHealthIssueFromDiscriminatorValue_1 = require("./createServiceHealthIssueFromDiscriminatorValue");
const index_1 = require("./index");
const serviceHealthStatus_1 = require("./serviceHealthStatus");
/** Provides operations to manage the admin singleton. */
class ServiceHealth extends index_1.Entity {
    /**
     * Instantiates a new serviceHealth and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "issues": n => { this.issues = n.getCollectionOfObjectValues(createServiceHealthIssueFromDiscriminatorValue_1.createServiceHealthIssueFromDiscriminatorValue); }, "service": n => { this.service = n.getStringValue(); }, "status": n => { this.status = n.getEnumValue(serviceHealthStatus_1.ServiceHealthStatus); } });
    }
    ;
    /**
     * Gets the issues property value. A collection of issues that happened on the service, with detailed information for each issue.
     * @returns a serviceHealthIssue
     */
    get issues() {
        return this._issues;
    }
    ;
    /**
     * Sets the issues property value. A collection of issues that happened on the service, with detailed information for each issue.
     * @param value Value to set for the issues property.
     */
    set issues(value) {
        this._issues = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("issues", this.issues);
        writer.writeStringValue("service", this.service);
        writer.writeEnumValue("status", this.status);
    }
    ;
    /**
     * Gets the service property value. The service name. Use the list healthOverviews operation to get exact string names for services subscribed by the tenant.
     * @returns a string
     */
    get service() {
        return this._service;
    }
    ;
    /**
     * Sets the service property value. The service name. Use the list healthOverviews operation to get exact string names for services subscribed by the tenant.
     * @param value Value to set for the service property.
     */
    set service(value) {
        this._service = value;
    }
    ;
    /**
     * Gets the status property value. Show the overall service health status. Possible values are: serviceOperational, investigating, restoringService, verifyingService, serviceRestored, postIncidentReviewPublished, serviceDegradation, serviceInterruption, extendedRecovery, falsePositive, investigationSuspended, resolved, mitigatedExternal, mitigated, resolvedExternal, confirmed, reported, unknownFutureValue. For more details, see serviceHealthStatus values.
     * @returns a serviceHealthStatus
     */
    get status() {
        return this._status;
    }
    ;
    /**
     * Sets the status property value. Show the overall service health status. Possible values are: serviceOperational, investigating, restoringService, verifyingService, serviceRestored, postIncidentReviewPublished, serviceDegradation, serviceInterruption, extendedRecovery, falsePositive, investigationSuspended, resolved, mitigatedExternal, mitigated, resolvedExternal, confirmed, reported, unknownFutureValue. For more details, see serviceHealthStatus values.
     * @param value Value to set for the status property.
     */
    set status(value) {
        this._status = value;
    }
    ;
}
exports.ServiceHealth = ServiceHealth;
