"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ServiceHealthIssue = void 0;
const createServiceHealthIssuePostFromDiscriminatorValue_1 = require("./createServiceHealthIssuePostFromDiscriminatorValue");
const index_1 = require("./index");
const serviceHealthClassificationType_1 = require("./serviceHealthClassificationType");
const serviceHealthOrigin_1 = require("./serviceHealthOrigin");
const serviceHealthStatus_1 = require("./serviceHealthStatus");
/** Provides operations to manage the admin singleton. */
class ServiceHealthIssue extends index_1.ServiceAnnouncementBase {
    /**
     * Instantiates a new serviceHealthIssue and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the classification property value. The type of service health issue. Possible values are: advisory, incident, unknownFutureValue.
     * @returns a serviceHealthClassificationType
     */
    get classification() {
        return this._classification;
    }
    ;
    /**
     * Sets the classification property value. The type of service health issue. Possible values are: advisory, incident, unknownFutureValue.
     * @param value Value to set for the classification property.
     */
    set classification(value) {
        this._classification = value;
    }
    ;
    ;
    /**
     * Gets the feature property value. The feature name of the service issue.
     * @returns a string
     */
    get feature() {
        return this._feature;
    }
    ;
    /**
     * Sets the feature property value. The feature name of the service issue.
     * @param value Value to set for the feature property.
     */
    set feature(value) {
        this._feature = value;
    }
    ;
    /**
     * Gets the featureGroup property value. The feature group name of the service issue.
     * @returns a string
     */
    get featureGroup() {
        return this._featureGroup;
    }
    ;
    /**
     * Sets the featureGroup property value. The feature group name of the service issue.
     * @param value Value to set for the featureGroup property.
     */
    set featureGroup(value) {
        this._featureGroup = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "classification": n => { this.classification = n.getEnumValue(serviceHealthClassificationType_1.ServiceHealthClassificationType); }, "feature": n => { this.feature = n.getStringValue(); }, "featureGroup": n => { this.featureGroup = n.getStringValue(); }, "impactDescription": n => { this.impactDescription = n.getStringValue(); }, "isResolved": n => { this.isResolved = n.getBooleanValue(); }, "origin": n => { this.origin = n.getEnumValue(serviceHealthOrigin_1.ServiceHealthOrigin); }, "posts": n => { this.posts = n.getCollectionOfObjectValues(createServiceHealthIssuePostFromDiscriminatorValue_1.createServiceHealthIssuePostFromDiscriminatorValue); }, "service": n => { this.service = n.getStringValue(); }, "status": n => { this.status = n.getEnumValue(serviceHealthStatus_1.ServiceHealthStatus); } });
    }
    ;
    /**
     * Gets the impactDescription property value. The description of the service issue impact.
     * @returns a string
     */
    get impactDescription() {
        return this._impactDescription;
    }
    ;
    /**
     * Sets the impactDescription property value. The description of the service issue impact.
     * @param value Value to set for the impactDescription property.
     */
    set impactDescription(value) {
        this._impactDescription = value;
    }
    ;
    /**
     * Gets the isResolved property value. Indicates whether the issue is resolved.
     * @returns a boolean
     */
    get isResolved() {
        return this._isResolved;
    }
    ;
    /**
     * Sets the isResolved property value. Indicates whether the issue is resolved.
     * @param value Value to set for the isResolved property.
     */
    set isResolved(value) {
        this._isResolved = value;
    }
    ;
    /**
     * Gets the origin property value. Indicates the origin of the service issue. Possible values are: microsoft, thirdParty, customer, unknownFutureValue.
     * @returns a serviceHealthOrigin
     */
    get origin() {
        return this._origin;
    }
    ;
    /**
     * Sets the origin property value. Indicates the origin of the service issue. Possible values are: microsoft, thirdParty, customer, unknownFutureValue.
     * @param value Value to set for the origin property.
     */
    set origin(value) {
        this._origin = value;
    }
    ;
    /**
     * Gets the posts property value. Collection of historical posts for the service issue.
     * @returns a serviceHealthIssuePost
     */
    get posts() {
        return this._posts;
    }
    ;
    /**
     * Sets the posts property value. Collection of historical posts for the service issue.
     * @param value Value to set for the posts property.
     */
    set posts(value) {
        this._posts = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeEnumValue("classification", this.classification);
        writer.writeStringValue("feature", this.feature);
        writer.writeStringValue("featureGroup", this.featureGroup);
        writer.writeStringValue("impactDescription", this.impactDescription);
        writer.writeBooleanValue("isResolved", this.isResolved);
        writer.writeEnumValue("origin", this.origin);
        writer.writeCollectionOfObjectValues("posts", this.posts);
        writer.writeStringValue("service", this.service);
        writer.writeEnumValue("status", this.status);
    }
    ;
    /**
     * Gets the service property value. Indicates the service affected by the issue.
     * @returns a string
     */
    get service() {
        return this._service;
    }
    ;
    /**
     * Sets the service property value. Indicates the service affected by the issue.
     * @param value Value to set for the service property.
     */
    set service(value) {
        this._service = value;
    }
    ;
    /**
     * Gets the status property value. The status of the service issue. Possible values are: serviceOperational, investigating, restoringService, verifyingService, serviceRestored, postIncidentReviewPublished, serviceDegradation, serviceInterruption, extendedRecovery, falsePositive, investigationSuspended, resolved, mitigatedExternal, mitigated, resolvedExternal, confirmed, reported, unknownFutureValue. For more details, see serviceHealthStatus values.
     * @returns a serviceHealthStatus
     */
    get status() {
        return this._status;
    }
    ;
    /**
     * Sets the status property value. The status of the service issue. Possible values are: serviceOperational, investigating, restoringService, verifyingService, serviceRestored, postIncidentReviewPublished, serviceDegradation, serviceInterruption, extendedRecovery, falsePositive, investigationSuspended, resolved, mitigatedExternal, mitigated, resolvedExternal, confirmed, reported, unknownFutureValue. For more details, see serviceHealthStatus values.
     * @param value Value to set for the status property.
     */
    set status(value) {
        this._status = value;
    }
    ;
}
exports.ServiceHealthIssue = ServiceHealthIssue;
