"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ServicePlanInfo = void 0;
class ServicePlanInfo {
    /**
     * Instantiates a new servicePlanInfo and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the appliesTo property value. The object the service plan can be assigned to. The possible values are:User - service plan can be assigned to individual users.Company - service plan can be assigned to the entire tenant.
     * @returns a string
     */
    get appliesTo() {
        return this._appliesTo;
    }
    ;
    /**
     * Sets the appliesTo property value. The object the service plan can be assigned to. The possible values are:User - service plan can be assigned to individual users.Company - service plan can be assigned to the entire tenant.
     * @param value Value to set for the appliesTo property.
     */
    set appliesTo(value) {
        this._appliesTo = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "appliesTo": n => { this.appliesTo = n.getStringValue(); },
            "provisioningStatus": n => { this.provisioningStatus = n.getStringValue(); },
            "servicePlanId": n => { this.servicePlanId = n.getStringValue(); },
            "servicePlanName": n => { this.servicePlanName = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the provisioningStatus property value. The provisioning status of the service plan. The possible values are:Success - Service is fully provisioned.Disabled - Service has been disabled.ErrorStatus - The service plan has not been provisioned and is in an error state.PendingInput - Service is not yet provisioned; awaiting service confirmation.PendingActivation - Service is provisioned but requires explicit activation by administrator (for example, Intune_O365 service plan)PendingProvisioning - Microsoft has added a new service to the product SKU and it has not been activated in the tenant, yet.
     * @returns a string
     */
    get provisioningStatus() {
        return this._provisioningStatus;
    }
    ;
    /**
     * Sets the provisioningStatus property value. The provisioning status of the service plan. The possible values are:Success - Service is fully provisioned.Disabled - Service has been disabled.ErrorStatus - The service plan has not been provisioned and is in an error state.PendingInput - Service is not yet provisioned; awaiting service confirmation.PendingActivation - Service is provisioned but requires explicit activation by administrator (for example, Intune_O365 service plan)PendingProvisioning - Microsoft has added a new service to the product SKU and it has not been activated in the tenant, yet.
     * @param value Value to set for the provisioningStatus property.
     */
    set provisioningStatus(value) {
        this._provisioningStatus = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("appliesTo", this.appliesTo);
        writer.writeStringValue("provisioningStatus", this.provisioningStatus);
        writer.writeStringValue("servicePlanId", this.servicePlanId);
        writer.writeStringValue("servicePlanName", this.servicePlanName);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the servicePlanId property value. The unique identifier of the service plan.
     * @returns a string
     */
    get servicePlanId() {
        return this._servicePlanId;
    }
    ;
    /**
     * Sets the servicePlanId property value. The unique identifier of the service plan.
     * @param value Value to set for the servicePlanId property.
     */
    set servicePlanId(value) {
        this._servicePlanId = value;
    }
    ;
    /**
     * Gets the servicePlanName property value. The name of the service plan.
     * @returns a string
     */
    get servicePlanName() {
        return this._servicePlanName;
    }
    ;
    /**
     * Sets the servicePlanName property value. The name of the service plan.
     * @param value Value to set for the servicePlanName property.
     */
    set servicePlanName(value) {
        this._servicePlanName = value;
    }
    ;
}
exports.ServicePlanInfo = ServicePlanInfo;
