import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class ServiceUpdateMessageViewpoint implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** Indicates whether the user archived the message. */
    private _isArchived?;
    /** Indicates whether the user marked the message as favorite. */
    private _isFavorited?;
    /** Indicates whether the user read the message. */
    private _isRead?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Instantiates a new serviceUpdateMessageViewpoint and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the isArchived property value. Indicates whether the user archived the message.
     * @returns a boolean
     */
    get isArchived(): boolean | undefined;
    /**
     * Sets the isArchived property value. Indicates whether the user archived the message.
     * @param value Value to set for the isArchived property.
     */
    set isArchived(value: boolean | undefined);
    /**
     * Gets the isFavorited property value. Indicates whether the user marked the message as favorite.
     * @returns a boolean
     */
    get isFavorited(): boolean | undefined;
    /**
     * Sets the isFavorited property value. Indicates whether the user marked the message as favorite.
     * @param value Value to set for the isFavorited property.
     */
    set isFavorited(value: boolean | undefined);
    /**
     * Gets the isRead property value. Indicates whether the user read the message.
     * @returns a boolean
     */
    get isRead(): boolean | undefined;
    /**
     * Sets the isRead property value. Indicates whether the user read the message.
     * @param value Value to set for the isRead property.
     */
    set isRead(value: boolean | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
