import { SettingSourceType } from './settingSourceType';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class SettingSource implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** Not yet documented */
    private _displayName?;
    /** Not yet documented */
    private _id?;
    /** Not yet documented. Possible values are: deviceConfiguration, deviceIntent. */
    private _sourceType?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Instantiates a new settingSource and sets the default values.
     */
    constructor();
    /**
     * Gets the displayName property value. Not yet documented
     * @returns a string
     */
    get displayName(): string | undefined;
    /**
     * Sets the displayName property value. Not yet documented
     * @param value Value to set for the displayName property.
     */
    set displayName(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the id property value. Not yet documented
     * @returns a string
     */
    get id(): string | undefined;
    /**
     * Sets the id property value. Not yet documented
     * @param value Value to set for the id property.
     */
    set id(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the sourceType property value. Not yet documented. Possible values are: deviceConfiguration, deviceIntent.
     * @returns a settingSourceType
     */
    get sourceType(): SettingSourceType | undefined;
    /**
     * Sets the sourceType property value. Not yet documented. Possible values are: deviceConfiguration, deviceIntent.
     * @param value Value to set for the sourceType property.
     */
    set sourceType(value: SettingSourceType | undefined);
}
