import { Entity } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Device Compilance Policy and Configuration for a Setting State summary */
export declare class SettingStateDeviceSummary extends Entity implements Parsable {
    /** Device Compliant count for the setting */
    private _compliantDeviceCount?;
    /** Device conflict error count for the setting */
    private _conflictDeviceCount?;
    /** Device error count for the setting */
    private _errorDeviceCount?;
    /** Name of the InstancePath for the setting */
    private _instancePath?;
    /** Device NonCompliant count for the setting */
    private _nonCompliantDeviceCount?;
    /** Device Not Applicable count for the setting */
    private _notApplicableDeviceCount?;
    /** Device Compliant count for the setting */
    private _remediatedDeviceCount?;
    /** Name of the setting */
    private _settingName?;
    /** Device Unkown count for the setting */
    private _unknownDeviceCount?;
    /**
     * Gets the compliantDeviceCount property value. Device Compliant count for the setting
     * @returns a integer
     */
    get compliantDeviceCount(): number | undefined;
    /**
     * Sets the compliantDeviceCount property value. Device Compliant count for the setting
     * @param value Value to set for the compliantDeviceCount property.
     */
    set compliantDeviceCount(value: number | undefined);
    /**
     * Gets the conflictDeviceCount property value. Device conflict error count for the setting
     * @returns a integer
     */
    get conflictDeviceCount(): number | undefined;
    /**
     * Sets the conflictDeviceCount property value. Device conflict error count for the setting
     * @param value Value to set for the conflictDeviceCount property.
     */
    set conflictDeviceCount(value: number | undefined);
    /**
     * Instantiates a new settingStateDeviceSummary and sets the default values.
     */
    constructor();
    /**
     * Gets the errorDeviceCount property value. Device error count for the setting
     * @returns a integer
     */
    get errorDeviceCount(): number | undefined;
    /**
     * Sets the errorDeviceCount property value. Device error count for the setting
     * @param value Value to set for the errorDeviceCount property.
     */
    set errorDeviceCount(value: number | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the instancePath property value. Name of the InstancePath for the setting
     * @returns a string
     */
    get instancePath(): string | undefined;
    /**
     * Sets the instancePath property value. Name of the InstancePath for the setting
     * @param value Value to set for the instancePath property.
     */
    set instancePath(value: string | undefined);
    /**
     * Gets the nonCompliantDeviceCount property value. Device NonCompliant count for the setting
     * @returns a integer
     */
    get nonCompliantDeviceCount(): number | undefined;
    /**
     * Sets the nonCompliantDeviceCount property value. Device NonCompliant count for the setting
     * @param value Value to set for the nonCompliantDeviceCount property.
     */
    set nonCompliantDeviceCount(value: number | undefined);
    /**
     * Gets the notApplicableDeviceCount property value. Device Not Applicable count for the setting
     * @returns a integer
     */
    get notApplicableDeviceCount(): number | undefined;
    /**
     * Sets the notApplicableDeviceCount property value. Device Not Applicable count for the setting
     * @param value Value to set for the notApplicableDeviceCount property.
     */
    set notApplicableDeviceCount(value: number | undefined);
    /**
     * Gets the remediatedDeviceCount property value. Device Compliant count for the setting
     * @returns a integer
     */
    get remediatedDeviceCount(): number | undefined;
    /**
     * Sets the remediatedDeviceCount property value. Device Compliant count for the setting
     * @param value Value to set for the remediatedDeviceCount property.
     */
    set remediatedDeviceCount(value: number | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the settingName property value. Name of the setting
     * @returns a string
     */
    get settingName(): string | undefined;
    /**
     * Sets the settingName property value. Name of the setting
     * @param value Value to set for the settingName property.
     */
    set settingName(value: string | undefined);
    /**
     * Gets the unknownDeviceCount property value. Device Unkown count for the setting
     * @returns a integer
     */
    get unknownDeviceCount(): number | undefined;
    /**
     * Sets the unknownDeviceCount property value. Device Unkown count for the setting
     * @param value Value to set for the unknownDeviceCount property.
     */
    set unknownDeviceCount(value: number | undefined);
}
