"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SettingStateDeviceSummary = void 0;
const index_1 = require("./index");
/** Device Compilance Policy and Configuration for a Setting State summary */
class SettingStateDeviceSummary extends index_1.Entity {
    /**
     * Instantiates a new settingStateDeviceSummary and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the compliantDeviceCount property value. Device Compliant count for the setting
     * @returns a integer
     */
    get compliantDeviceCount() {
        return this._compliantDeviceCount;
    }
    ;
    /**
     * Sets the compliantDeviceCount property value. Device Compliant count for the setting
     * @param value Value to set for the compliantDeviceCount property.
     */
    set compliantDeviceCount(value) {
        this._compliantDeviceCount = value;
    }
    ;
    /**
     * Gets the conflictDeviceCount property value. Device conflict error count for the setting
     * @returns a integer
     */
    get conflictDeviceCount() {
        return this._conflictDeviceCount;
    }
    ;
    /**
     * Sets the conflictDeviceCount property value. Device conflict error count for the setting
     * @param value Value to set for the conflictDeviceCount property.
     */
    set conflictDeviceCount(value) {
        this._conflictDeviceCount = value;
    }
    ;
    ;
    /**
     * Gets the errorDeviceCount property value. Device error count for the setting
     * @returns a integer
     */
    get errorDeviceCount() {
        return this._errorDeviceCount;
    }
    ;
    /**
     * Sets the errorDeviceCount property value. Device error count for the setting
     * @param value Value to set for the errorDeviceCount property.
     */
    set errorDeviceCount(value) {
        this._errorDeviceCount = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "compliantDeviceCount": n => { this.compliantDeviceCount = n.getNumberValue(); }, "conflictDeviceCount": n => { this.conflictDeviceCount = n.getNumberValue(); }, "errorDeviceCount": n => { this.errorDeviceCount = n.getNumberValue(); }, "instancePath": n => { this.instancePath = n.getStringValue(); }, "nonCompliantDeviceCount": n => { this.nonCompliantDeviceCount = n.getNumberValue(); }, "notApplicableDeviceCount": n => { this.notApplicableDeviceCount = n.getNumberValue(); }, "remediatedDeviceCount": n => { this.remediatedDeviceCount = n.getNumberValue(); }, "settingName": n => { this.settingName = n.getStringValue(); }, "unknownDeviceCount": n => { this.unknownDeviceCount = n.getNumberValue(); } });
    }
    ;
    /**
     * Gets the instancePath property value. Name of the InstancePath for the setting
     * @returns a string
     */
    get instancePath() {
        return this._instancePath;
    }
    ;
    /**
     * Sets the instancePath property value. Name of the InstancePath for the setting
     * @param value Value to set for the instancePath property.
     */
    set instancePath(value) {
        this._instancePath = value;
    }
    ;
    /**
     * Gets the nonCompliantDeviceCount property value. Device NonCompliant count for the setting
     * @returns a integer
     */
    get nonCompliantDeviceCount() {
        return this._nonCompliantDeviceCount;
    }
    ;
    /**
     * Sets the nonCompliantDeviceCount property value. Device NonCompliant count for the setting
     * @param value Value to set for the nonCompliantDeviceCount property.
     */
    set nonCompliantDeviceCount(value) {
        this._nonCompliantDeviceCount = value;
    }
    ;
    /**
     * Gets the notApplicableDeviceCount property value. Device Not Applicable count for the setting
     * @returns a integer
     */
    get notApplicableDeviceCount() {
        return this._notApplicableDeviceCount;
    }
    ;
    /**
     * Sets the notApplicableDeviceCount property value. Device Not Applicable count for the setting
     * @param value Value to set for the notApplicableDeviceCount property.
     */
    set notApplicableDeviceCount(value) {
        this._notApplicableDeviceCount = value;
    }
    ;
    /**
     * Gets the remediatedDeviceCount property value. Device Compliant count for the setting
     * @returns a integer
     */
    get remediatedDeviceCount() {
        return this._remediatedDeviceCount;
    }
    ;
    /**
     * Sets the remediatedDeviceCount property value. Device Compliant count for the setting
     * @param value Value to set for the remediatedDeviceCount property.
     */
    set remediatedDeviceCount(value) {
        this._remediatedDeviceCount = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeNumberValue("compliantDeviceCount", this.compliantDeviceCount);
        writer.writeNumberValue("conflictDeviceCount", this.conflictDeviceCount);
        writer.writeNumberValue("errorDeviceCount", this.errorDeviceCount);
        writer.writeStringValue("instancePath", this.instancePath);
        writer.writeNumberValue("nonCompliantDeviceCount", this.nonCompliantDeviceCount);
        writer.writeNumberValue("notApplicableDeviceCount", this.notApplicableDeviceCount);
        writer.writeNumberValue("remediatedDeviceCount", this.remediatedDeviceCount);
        writer.writeStringValue("settingName", this.settingName);
        writer.writeNumberValue("unknownDeviceCount", this.unknownDeviceCount);
    }
    ;
    /**
     * Gets the settingName property value. Name of the setting
     * @returns a string
     */
    get settingName() {
        return this._settingName;
    }
    ;
    /**
     * Sets the settingName property value. Name of the setting
     * @param value Value to set for the settingName property.
     */
    set settingName(value) {
        this._settingName = value;
    }
    ;
    /**
     * Gets the unknownDeviceCount property value. Device Unkown count for the setting
     * @returns a integer
     */
    get unknownDeviceCount() {
        return this._unknownDeviceCount;
    }
    ;
    /**
     * Sets the unknownDeviceCount property value. Device Unkown count for the setting
     * @param value Value to set for the unknownDeviceCount property.
     */
    set unknownDeviceCount(value) {
        this._unknownDeviceCount = value;
    }
    ;
}
exports.SettingStateDeviceSummary = SettingStateDeviceSummary;
