"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SettingTemplateValue = void 0;
class SettingTemplateValue {
    /**
     * Instantiates a new settingTemplateValue and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the defaultValue property value. Default value for the setting. Read-only.
     * @returns a string
     */
    get defaultValue() {
        return this._defaultValue;
    }
    ;
    /**
     * Sets the defaultValue property value. Default value for the setting. Read-only.
     * @param value Value to set for the defaultValue property.
     */
    set defaultValue(value) {
        this._defaultValue = value;
    }
    ;
    /**
     * Gets the description property value. Description of the setting. Read-only.
     * @returns a string
     */
    get description() {
        return this._description;
    }
    ;
    /**
     * Sets the description property value. Description of the setting. Read-only.
     * @param value Value to set for the description property.
     */
    set description(value) {
        this._description = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "defaultValue": n => { this.defaultValue = n.getStringValue(); },
            "description": n => { this.description = n.getStringValue(); },
            "name": n => { this.name = n.getStringValue(); },
            "type": n => { this.type = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the name property value. Name of the setting. Read-only.
     * @returns a string
     */
    get name() {
        return this._name;
    }
    ;
    /**
     * Sets the name property value. Name of the setting. Read-only.
     * @param value Value to set for the name property.
     */
    set name(value) {
        this._name = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("defaultValue", this.defaultValue);
        writer.writeStringValue("description", this.description);
        writer.writeStringValue("name", this.name);
        writer.writeStringValue("type", this.type);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the type property value. Type of the setting. Read-only.
     * @returns a string
     */
    get type() {
        return this._type;
    }
    ;
    /**
     * Sets the type property value. Type of the setting. Read-only.
     * @param value Value to set for the type property.
     */
    set type(value) {
        this._type = value;
    }
    ;
}
exports.SettingTemplateValue = SettingTemplateValue;
