"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SharedInsight = void 0;
const createEntityFromDiscriminatorValue_1 = require("./createEntityFromDiscriminatorValue");
const createResourceReferenceFromDiscriminatorValue_1 = require("./createResourceReferenceFromDiscriminatorValue");
const createResourceVisualizationFromDiscriminatorValue_1 = require("./createResourceVisualizationFromDiscriminatorValue");
const createSharingDetailFromDiscriminatorValue_1 = require("./createSharingDetailFromDiscriminatorValue");
const index_1 = require("./index");
/** Casts the previous resource to user. */
class SharedInsight extends index_1.Entity {
    /**
     * Instantiates a new sharedInsight and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "lastShared": n => { this.lastShared = n.getObjectValue(createSharingDetailFromDiscriminatorValue_1.createSharingDetailFromDiscriminatorValue); }, "lastSharedMethod": n => { this.lastSharedMethod = n.getObjectValue(createEntityFromDiscriminatorValue_1.createEntityFromDiscriminatorValue); }, "resource": n => { this.resource = n.getObjectValue(createEntityFromDiscriminatorValue_1.createEntityFromDiscriminatorValue); }, "resourceReference": n => { this.resourceReference = n.getObjectValue(createResourceReferenceFromDiscriminatorValue_1.createResourceReferenceFromDiscriminatorValue); }, "resourceVisualization": n => { this.resourceVisualization = n.getObjectValue(createResourceVisualizationFromDiscriminatorValue_1.createResourceVisualizationFromDiscriminatorValue); }, "sharingHistory": n => { this.sharingHistory = n.getCollectionOfObjectValues(createSharingDetailFromDiscriminatorValue_1.createSharingDetailFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the lastShared property value. Details about the shared item. Read only.
     * @returns a sharingDetail
     */
    get lastShared() {
        return this._lastShared;
    }
    ;
    /**
     * Sets the lastShared property value. Details about the shared item. Read only.
     * @param value Value to set for the lastShared property.
     */
    set lastShared(value) {
        this._lastShared = value;
    }
    ;
    /**
     * Gets the lastSharedMethod property value. The lastSharedMethod property
     * @returns a entity
     */
    get lastSharedMethod() {
        return this._lastSharedMethod;
    }
    ;
    /**
     * Sets the lastSharedMethod property value. The lastSharedMethod property
     * @param value Value to set for the lastSharedMethod property.
     */
    set lastSharedMethod(value) {
        this._lastSharedMethod = value;
    }
    ;
    /**
     * Gets the resource property value. Used for navigating to the item that was shared. For file attachments, the type is fileAttachment. For linked attachments, the type is driveItem.
     * @returns a entity
     */
    get resource() {
        return this._resource;
    }
    ;
    /**
     * Sets the resource property value. Used for navigating to the item that was shared. For file attachments, the type is fileAttachment. For linked attachments, the type is driveItem.
     * @param value Value to set for the resource property.
     */
    set resource(value) {
        this._resource = value;
    }
    ;
    /**
     * Gets the resourceReference property value. Reference properties of the shared document, such as the url and type of the document. Read-only
     * @returns a resourceReference
     */
    get resourceReference() {
        return this._resourceReference;
    }
    ;
    /**
     * Sets the resourceReference property value. Reference properties of the shared document, such as the url and type of the document. Read-only
     * @param value Value to set for the resourceReference property.
     */
    set resourceReference(value) {
        this._resourceReference = value;
    }
    ;
    /**
     * Gets the resourceVisualization property value. Properties that you can use to visualize the document in your experience. Read-only
     * @returns a resourceVisualization
     */
    get resourceVisualization() {
        return this._resourceVisualization;
    }
    ;
    /**
     * Sets the resourceVisualization property value. Properties that you can use to visualize the document in your experience. Read-only
     * @param value Value to set for the resourceVisualization property.
     */
    set resourceVisualization(value) {
        this._resourceVisualization = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("lastShared", this.lastShared);
        writer.writeObjectValue("lastSharedMethod", this.lastSharedMethod);
        writer.writeObjectValue("resource", this.resource);
        writer.writeObjectValue("resourceReference", this.resourceReference);
        writer.writeObjectValue("resourceVisualization", this.resourceVisualization);
        writer.writeCollectionOfObjectValues("sharingHistory", this.sharingHistory);
    }
    ;
    /**
     * Gets the sharingHistory property value. The sharingHistory property
     * @returns a sharingDetail
     */
    get sharingHistory() {
        return this._sharingHistory;
    }
    ;
    /**
     * Sets the sharingHistory property value. The sharingHistory property
     * @param value Value to set for the sharingHistory property.
     */
    set sharingHistory(value) {
        this._sharingHistory = value;
    }
    ;
}
exports.SharedInsight = SharedInsight;
