"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SharepointIds = void 0;
class SharepointIds {
    /**
     * Instantiates a new sharepointIds and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "listId": n => { this.listId = n.getStringValue(); },
            "listItemId": n => { this.listItemId = n.getStringValue(); },
            "listItemUniqueId": n => { this.listItemUniqueId = n.getStringValue(); },
            "siteId": n => { this.siteId = n.getStringValue(); },
            "siteUrl": n => { this.siteUrl = n.getStringValue(); },
            "tenantId": n => { this.tenantId = n.getStringValue(); },
            "webId": n => { this.webId = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the listId property value. The unique identifier (guid) for the item's list in SharePoint.
     * @returns a string
     */
    get listId() {
        return this._listId;
    }
    ;
    /**
     * Sets the listId property value. The unique identifier (guid) for the item's list in SharePoint.
     * @param value Value to set for the listId property.
     */
    set listId(value) {
        this._listId = value;
    }
    ;
    /**
     * Gets the listItemId property value. An integer identifier for the item within the containing list.
     * @returns a string
     */
    get listItemId() {
        return this._listItemId;
    }
    ;
    /**
     * Sets the listItemId property value. An integer identifier for the item within the containing list.
     * @param value Value to set for the listItemId property.
     */
    set listItemId(value) {
        this._listItemId = value;
    }
    ;
    /**
     * Gets the listItemUniqueId property value. The unique identifier (guid) for the item within OneDrive for Business or a SharePoint site.
     * @returns a string
     */
    get listItemUniqueId() {
        return this._listItemUniqueId;
    }
    ;
    /**
     * Sets the listItemUniqueId property value. The unique identifier (guid) for the item within OneDrive for Business or a SharePoint site.
     * @param value Value to set for the listItemUniqueId property.
     */
    set listItemUniqueId(value) {
        this._listItemUniqueId = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("listId", this.listId);
        writer.writeStringValue("listItemId", this.listItemId);
        writer.writeStringValue("listItemUniqueId", this.listItemUniqueId);
        writer.writeStringValue("siteId", this.siteId);
        writer.writeStringValue("siteUrl", this.siteUrl);
        writer.writeStringValue("tenantId", this.tenantId);
        writer.writeStringValue("webId", this.webId);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the siteId property value. The unique identifier (guid) for the item's site collection (SPSite).
     * @returns a string
     */
    get siteId() {
        return this._siteId;
    }
    ;
    /**
     * Sets the siteId property value. The unique identifier (guid) for the item's site collection (SPSite).
     * @param value Value to set for the siteId property.
     */
    set siteId(value) {
        this._siteId = value;
    }
    ;
    /**
     * Gets the siteUrl property value. The SharePoint URL for the site that contains the item.
     * @returns a string
     */
    get siteUrl() {
        return this._siteUrl;
    }
    ;
    /**
     * Sets the siteUrl property value. The SharePoint URL for the site that contains the item.
     * @param value Value to set for the siteUrl property.
     */
    set siteUrl(value) {
        this._siteUrl = value;
    }
    ;
    /**
     * Gets the tenantId property value. The unique identifier (guid) for the tenancy.
     * @returns a string
     */
    get tenantId() {
        return this._tenantId;
    }
    ;
    /**
     * Sets the tenantId property value. The unique identifier (guid) for the tenancy.
     * @param value Value to set for the tenantId property.
     */
    set tenantId(value) {
        this._tenantId = value;
    }
    ;
    /**
     * Gets the webId property value. The unique identifier (guid) for the item's site (SPWeb).
     * @returns a string
     */
    get webId() {
        return this._webId;
    }
    ;
    /**
     * Sets the webId property value. The unique identifier (guid) for the item's site (SPWeb).
     * @param value Value to set for the webId property.
     */
    set webId(value) {
        this._webId = value;
    }
    ;
}
exports.SharepointIds = SharepointIds;
