import { IdentitySet } from './index';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class SharingInvitation implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The email address provided for the recipient of the sharing invitation. Read-only. */
    private _email?;
    /** Provides information about who sent the invitation that created this permission, if that information is available. Read-only. */
    private _invitedBy?;
    /** The redeemedBy property */
    private _redeemedBy?;
    /** If true the recipient of the invitation needs to sign in in order to access the shared item. Read-only. */
    private _signInRequired?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Instantiates a new sharingInvitation and sets the default values.
     */
    constructor();
    /**
     * Gets the email property value. The email address provided for the recipient of the sharing invitation. Read-only.
     * @returns a string
     */
    get email(): string | undefined;
    /**
     * Sets the email property value. The email address provided for the recipient of the sharing invitation. Read-only.
     * @param value Value to set for the email property.
     */
    set email(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the invitedBy property value. Provides information about who sent the invitation that created this permission, if that information is available. Read-only.
     * @returns a identitySet
     */
    get invitedBy(): IdentitySet | undefined;
    /**
     * Sets the invitedBy property value. Provides information about who sent the invitation that created this permission, if that information is available. Read-only.
     * @param value Value to set for the invitedBy property.
     */
    set invitedBy(value: IdentitySet | undefined);
    /**
     * Gets the redeemedBy property value. The redeemedBy property
     * @returns a string
     */
    get redeemedBy(): string | undefined;
    /**
     * Sets the redeemedBy property value. The redeemedBy property
     * @param value Value to set for the redeemedBy property.
     */
    set redeemedBy(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the signInRequired property value. If true the recipient of the invitation needs to sign in in order to access the shared item. Read-only.
     * @returns a boolean
     */
    get signInRequired(): boolean | undefined;
    /**
     * Sets the signInRequired property value. If true the recipient of the invitation needs to sign in in order to access the shared item. Read-only.
     * @param value Value to set for the signInRequired property.
     */
    set signInRequired(value: boolean | undefined);
}
