"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SharingInvitation = void 0;
const createIdentitySetFromDiscriminatorValue_1 = require("./createIdentitySetFromDiscriminatorValue");
class SharingInvitation {
    /**
     * Instantiates a new sharingInvitation and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the email property value. The email address provided for the recipient of the sharing invitation. Read-only.
     * @returns a string
     */
    get email() {
        return this._email;
    }
    ;
    /**
     * Sets the email property value. The email address provided for the recipient of the sharing invitation. Read-only.
     * @param value Value to set for the email property.
     */
    set email(value) {
        this._email = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "email": n => { this.email = n.getStringValue(); },
            "invitedBy": n => { this.invitedBy = n.getObjectValue(createIdentitySetFromDiscriminatorValue_1.createIdentitySetFromDiscriminatorValue); },
            "redeemedBy": n => { this.redeemedBy = n.getStringValue(); },
            "signInRequired": n => { this.signInRequired = n.getBooleanValue(); },
        };
    }
    ;
    /**
     * Gets the invitedBy property value. Provides information about who sent the invitation that created this permission, if that information is available. Read-only.
     * @returns a identitySet
     */
    get invitedBy() {
        return this._invitedBy;
    }
    ;
    /**
     * Sets the invitedBy property value. Provides information about who sent the invitation that created this permission, if that information is available. Read-only.
     * @param value Value to set for the invitedBy property.
     */
    set invitedBy(value) {
        this._invitedBy = value;
    }
    ;
    /**
     * Gets the redeemedBy property value. The redeemedBy property
     * @returns a string
     */
    get redeemedBy() {
        return this._redeemedBy;
    }
    ;
    /**
     * Sets the redeemedBy property value. The redeemedBy property
     * @param value Value to set for the redeemedBy property.
     */
    set redeemedBy(value) {
        this._redeemedBy = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("email", this.email);
        writer.writeObjectValue("invitedBy", this.invitedBy);
        writer.writeStringValue("redeemedBy", this.redeemedBy);
        writer.writeBooleanValue("signInRequired", this.signInRequired);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the signInRequired property value. If true the recipient of the invitation needs to sign in in order to access the shared item. Read-only.
     * @returns a boolean
     */
    get signInRequired() {
        return this._signInRequired;
    }
    ;
    /**
     * Sets the signInRequired property value. If true the recipient of the invitation needs to sign in in order to access the shared item. Read-only.
     * @param value Value to set for the signInRequired property.
     */
    set signInRequired(value) {
        this._signInRequired = value;
    }
    ;
}
exports.SharingInvitation = SharingInvitation;
