import { ChangeTrackedEntity, ShiftItem } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Casts the previous resource to user. */
export declare class Shift extends ChangeTrackedEntity implements Parsable {
    /** The draft version of this shift that is viewable by managers. Required. */
    private _draftShift?;
    /** ID of the scheduling group the shift is part of. Required. */
    private _schedulingGroupId?;
    /** The shared version of this shift that is viewable by both employees and managers. Required. */
    private _sharedShift?;
    /** ID of the user assigned to the shift. Required. */
    private _userId?;
    /**
     * Instantiates a new shift and sets the default values.
     */
    constructor();
    /**
     * Gets the draftShift property value. The draft version of this shift that is viewable by managers. Required.
     * @returns a shiftItem
     */
    get draftShift(): ShiftItem | undefined;
    /**
     * Sets the draftShift property value. The draft version of this shift that is viewable by managers. Required.
     * @param value Value to set for the draftShift property.
     */
    set draftShift(value: ShiftItem | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the schedulingGroupId property value. ID of the scheduling group the shift is part of. Required.
     * @returns a string
     */
    get schedulingGroupId(): string | undefined;
    /**
     * Sets the schedulingGroupId property value. ID of the scheduling group the shift is part of. Required.
     * @param value Value to set for the schedulingGroupId property.
     */
    set schedulingGroupId(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the sharedShift property value. The shared version of this shift that is viewable by both employees and managers. Required.
     * @returns a shiftItem
     */
    get sharedShift(): ShiftItem | undefined;
    /**
     * Sets the sharedShift property value. The shared version of this shift that is viewable by both employees and managers. Required.
     * @param value Value to set for the sharedShift property.
     */
    set sharedShift(value: ShiftItem | undefined);
    /**
     * Gets the userId property value. ID of the user assigned to the shift. Required.
     * @returns a string
     */
    get userId(): string | undefined;
    /**
     * Sets the userId property value. ID of the user assigned to the shift. Required.
     * @param value Value to set for the userId property.
     */
    set userId(value: string | undefined);
}
