"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Shift = void 0;
const createShiftItemFromDiscriminatorValue_1 = require("./createShiftItemFromDiscriminatorValue");
const index_1 = require("./index");
/** Casts the previous resource to user. */
class Shift extends index_1.ChangeTrackedEntity {
    /**
     * Instantiates a new shift and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the draftShift property value. The draft version of this shift that is viewable by managers. Required.
     * @returns a shiftItem
     */
    get draftShift() {
        return this._draftShift;
    }
    ;
    /**
     * Sets the draftShift property value. The draft version of this shift that is viewable by managers. Required.
     * @param value Value to set for the draftShift property.
     */
    set draftShift(value) {
        this._draftShift = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "draftShift": n => { this.draftShift = n.getObjectValue(createShiftItemFromDiscriminatorValue_1.createShiftItemFromDiscriminatorValue); }, "schedulingGroupId": n => { this.schedulingGroupId = n.getStringValue(); }, "sharedShift": n => { this.sharedShift = n.getObjectValue(createShiftItemFromDiscriminatorValue_1.createShiftItemFromDiscriminatorValue); }, "userId": n => { this.userId = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the schedulingGroupId property value. ID of the scheduling group the shift is part of. Required.
     * @returns a string
     */
    get schedulingGroupId() {
        return this._schedulingGroupId;
    }
    ;
    /**
     * Sets the schedulingGroupId property value. ID of the scheduling group the shift is part of. Required.
     * @param value Value to set for the schedulingGroupId property.
     */
    set schedulingGroupId(value) {
        this._schedulingGroupId = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("draftShift", this.draftShift);
        writer.writeStringValue("schedulingGroupId", this.schedulingGroupId);
        writer.writeObjectValue("sharedShift", this.sharedShift);
        writer.writeStringValue("userId", this.userId);
    }
    ;
    /**
     * Gets the sharedShift property value. The shared version of this shift that is viewable by both employees and managers. Required.
     * @returns a shiftItem
     */
    get sharedShift() {
        return this._sharedShift;
    }
    ;
    /**
     * Sets the sharedShift property value. The shared version of this shift that is viewable by both employees and managers. Required.
     * @param value Value to set for the sharedShift property.
     */
    set sharedShift(value) {
        this._sharedShift = value;
    }
    ;
    /**
     * Gets the userId property value. ID of the user assigned to the shift. Required.
     * @returns a string
     */
    get userId() {
        return this._userId;
    }
    ;
    /**
     * Sets the userId property value. ID of the user assigned to the shift. Required.
     * @param value Value to set for the userId property.
     */
    set userId(value) {
        this._userId = value;
    }
    ;
}
exports.Shift = Shift;
