"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ShiftAvailability = void 0;
const createPatternedRecurrenceFromDiscriminatorValue_1 = require("./createPatternedRecurrenceFromDiscriminatorValue");
const createTimeRangeFromDiscriminatorValue_1 = require("./createTimeRangeFromDiscriminatorValue");
class ShiftAvailability {
    /**
     * Instantiates a new shiftAvailability and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "recurrence": n => { this.recurrence = n.getObjectValue(createPatternedRecurrenceFromDiscriminatorValue_1.createPatternedRecurrenceFromDiscriminatorValue); },
            "timeSlots": n => { this.timeSlots = n.getCollectionOfObjectValues(createTimeRangeFromDiscriminatorValue_1.createTimeRangeFromDiscriminatorValue); },
            "timeZone": n => { this.timeZone = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the recurrence property value. Specifies the pattern for recurrence
     * @returns a patternedRecurrence
     */
    get recurrence() {
        return this._recurrence;
    }
    ;
    /**
     * Sets the recurrence property value. Specifies the pattern for recurrence
     * @param value Value to set for the recurrence property.
     */
    set recurrence(value) {
        this._recurrence = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeObjectValue("recurrence", this.recurrence);
        writer.writeCollectionOfObjectValues("timeSlots", this.timeSlots);
        writer.writeStringValue("timeZone", this.timeZone);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the timeSlots property value. The time slot(s) preferred by the user.
     * @returns a timeRange
     */
    get timeSlots() {
        return this._timeSlots;
    }
    ;
    /**
     * Sets the timeSlots property value. The time slot(s) preferred by the user.
     * @param value Value to set for the timeSlots property.
     */
    set timeSlots(value) {
        this._timeSlots = value;
    }
    ;
    /**
     * Gets the timeZone property value. Specifies the time zone for the indicated time.
     * @returns a string
     */
    get timeZone() {
        return this._timeZone;
    }
    ;
    /**
     * Sets the timeZone property value. Specifies the time zone for the indicated time.
     * @param value Value to set for the timeZone property.
     */
    set timeZone(value) {
        this._timeZone = value;
    }
    ;
}
exports.ShiftAvailability = ShiftAvailability;
