import { ConditionalAccessSessionControl } from './index';
import { SigninFrequencyType } from './signinFrequencyType';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the identityContainer singleton. */
export declare class SignInFrequencySessionControl extends ConditionalAccessSessionControl implements Parsable {
    /** Possible values are: days, hours. */
    private _type?;
    /** The number of days or hours. */
    private _value?;
    /**
     * Instantiates a new signInFrequencySessionControl and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the type property value. Possible values are: days, hours.
     * @returns a signinFrequencyType
     */
    get type(): SigninFrequencyType | undefined;
    /**
     * Sets the type property value. Possible values are: days, hours.
     * @param value Value to set for the type property.
     */
    set type(value: SigninFrequencyType | undefined);
    /**
     * Gets the value property value. The number of days or hours.
     * @returns a integer
     */
    get value(): number | undefined;
    /**
     * Sets the value property value. The number of days or hours.
     * @param value Value to set for the value property.
     */
    set value(value: number | undefined);
}
