"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SignInFrequencySessionControl = void 0;
const index_1 = require("./index");
const signinFrequencyType_1 = require("./signinFrequencyType");
/** Provides operations to manage the identityContainer singleton. */
class SignInFrequencySessionControl extends index_1.ConditionalAccessSessionControl {
    /**
     * Instantiates a new signInFrequencySessionControl and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "type": n => { this.type = n.getEnumValue(signinFrequencyType_1.SigninFrequencyType); }, "value": n => { this.value = n.getNumberValue(); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeEnumValue("type", this.type);
        writer.writeNumberValue("value", this.value);
    }
    ;
    /**
     * Gets the type property value. Possible values are: days, hours.
     * @returns a signinFrequencyType
     */
    get type() {
        return this._type;
    }
    ;
    /**
     * Sets the type property value. Possible values are: days, hours.
     * @param value Value to set for the type property.
     */
    set type(value) {
        this._type = value;
    }
    ;
    /**
     * Gets the value property value. The number of days or hours.
     * @returns a integer
     */
    get value() {
        return this._value;
    }
    ;
    /**
     * Sets the value property value. The number of days or hours.
     * @param value Value to set for the value property.
     */
    set value(value) {
        this._value = value;
    }
    ;
}
exports.SignInFrequencySessionControl = SignInFrequencySessionControl;
