"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SignInLocation = void 0;
const createGeoCoordinatesFromDiscriminatorValue_1 = require("./createGeoCoordinatesFromDiscriminatorValue");
class SignInLocation {
    /**
     * Instantiates a new signInLocation and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the city property value. Provides the city where the sign-in originated. This is calculated using latitude/longitude information from the sign-in activity.
     * @returns a string
     */
    get city() {
        return this._city;
    }
    ;
    /**
     * Sets the city property value. Provides the city where the sign-in originated. This is calculated using latitude/longitude information from the sign-in activity.
     * @param value Value to set for the city property.
     */
    set city(value) {
        this._city = value;
    }
    ;
    ;
    /**
     * Gets the countryOrRegion property value. Provides the country code info (2 letter code) where the sign-in originated.  This is calculated using latitude/longitude information from the sign-in activity.
     * @returns a string
     */
    get countryOrRegion() {
        return this._countryOrRegion;
    }
    ;
    /**
     * Sets the countryOrRegion property value. Provides the country code info (2 letter code) where the sign-in originated.  This is calculated using latitude/longitude information from the sign-in activity.
     * @param value Value to set for the countryOrRegion property.
     */
    set countryOrRegion(value) {
        this._countryOrRegion = value;
    }
    ;
    /**
     * Gets the geoCoordinates property value. Provides the latitude, longitude and altitude where the sign-in originated.
     * @returns a geoCoordinates
     */
    get geoCoordinates() {
        return this._geoCoordinates;
    }
    ;
    /**
     * Sets the geoCoordinates property value. Provides the latitude, longitude and altitude where the sign-in originated.
     * @param value Value to set for the geoCoordinates property.
     */
    set geoCoordinates(value) {
        this._geoCoordinates = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "city": n => { this.city = n.getStringValue(); },
            "countryOrRegion": n => { this.countryOrRegion = n.getStringValue(); },
            "geoCoordinates": n => { this.geoCoordinates = n.getObjectValue(createGeoCoordinatesFromDiscriminatorValue_1.createGeoCoordinatesFromDiscriminatorValue); },
            "state": n => { this.state = n.getStringValue(); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("city", this.city);
        writer.writeStringValue("countryOrRegion", this.countryOrRegion);
        writer.writeObjectValue("geoCoordinates", this.geoCoordinates);
        writer.writeStringValue("state", this.state);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the state property value. Provides the State where the sign-in originated. This is calculated using latitude/longitude information from the sign-in activity.
     * @returns a string
     */
    get state() {
        return this._state;
    }
    ;
    /**
     * Sets the state property value. Provides the State where the sign-in originated. This is calculated using latitude/longitude information from the sign-in activity.
     * @param value Value to set for the state property.
     */
    set state(value) {
        this._state = value;
    }
    ;
}
exports.SignInLocation = SignInLocation;
