"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SignInStatus = void 0;
class SignInStatus {
    /**
     * Instantiates a new signInStatus and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the additionalDetails property value. Provides additional details on the sign-in activity
     * @returns a string
     */
    get additionalDetails() {
        return this._additionalDetails;
    }
    ;
    /**
     * Sets the additionalDetails property value. Provides additional details on the sign-in activity
     * @param value Value to set for the additionalDetails property.
     */
    set additionalDetails(value) {
        this._additionalDetails = value;
    }
    ;
    ;
    /**
     * Gets the errorCode property value. Provides the 5-6 digit error code that's generated during a sign-in failure. Check out the list of error codes and messages.
     * @returns a integer
     */
    get errorCode() {
        return this._errorCode;
    }
    ;
    /**
     * Sets the errorCode property value. Provides the 5-6 digit error code that's generated during a sign-in failure. Check out the list of error codes and messages.
     * @param value Value to set for the errorCode property.
     */
    set errorCode(value) {
        this._errorCode = value;
    }
    ;
    /**
     * Gets the failureReason property value. Provides the error message or the reason for failure for the corresponding sign-in activity. Check out the list of error codes and messages.
     * @returns a string
     */
    get failureReason() {
        return this._failureReason;
    }
    ;
    /**
     * Sets the failureReason property value. Provides the error message or the reason for failure for the corresponding sign-in activity. Check out the list of error codes and messages.
     * @param value Value to set for the failureReason property.
     */
    set failureReason(value) {
        this._failureReason = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "additionalDetails": n => { this.additionalDetails = n.getStringValue(); },
            "errorCode": n => { this.errorCode = n.getNumberValue(); },
            "failureReason": n => { this.failureReason = n.getStringValue(); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("additionalDetails", this.additionalDetails);
        writer.writeNumberValue("errorCode", this.errorCode);
        writer.writeStringValue("failureReason", this.failureReason);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.SignInStatus = SignInStatus;
