"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SigningCertificateUpdateStatus = void 0;
class SigningCertificateUpdateStatus {
    /**
     * Instantiates a new signingCertificateUpdateStatus and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the certificateUpdateResult property value. Status of the last certificate update. Read-only. For a list of statuses, see certificateUpdateResult status.
     * @returns a string
     */
    get certificateUpdateResult() {
        return this._certificateUpdateResult;
    }
    ;
    /**
     * Sets the certificateUpdateResult property value. Status of the last certificate update. Read-only. For a list of statuses, see certificateUpdateResult status.
     * @param value Value to set for the certificateUpdateResult property.
     */
    set certificateUpdateResult(value) {
        this._certificateUpdateResult = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "certificateUpdateResult": n => { this.certificateUpdateResult = n.getStringValue(); },
            "lastRunDateTime": n => { this.lastRunDateTime = n.getDateValue(); },
        };
    }
    ;
    /**
     * Gets the lastRunDateTime property value. Date and time in ISO 8601 format and in UTC time when the certificate was last updated. Read-only.
     * @returns a Date
     */
    get lastRunDateTime() {
        return this._lastRunDateTime;
    }
    ;
    /**
     * Sets the lastRunDateTime property value. Date and time in ISO 8601 format and in UTC time when the certificate was last updated. Read-only.
     * @param value Value to set for the lastRunDateTime property.
     */
    set lastRunDateTime(value) {
        this._lastRunDateTime = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("certificateUpdateResult", this.certificateUpdateResult);
        writer.writeDateValue("lastRunDateTime", this.lastRunDateTime);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.SigningCertificateUpdateStatus = SigningCertificateUpdateStatus;
