"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Site = void 0;
const createBaseItemFromDiscriminatorValue_1 = require("./createBaseItemFromDiscriminatorValue");
const createColumnDefinitionFromDiscriminatorValue_1 = require("./createColumnDefinitionFromDiscriminatorValue");
const createContentTypeFromDiscriminatorValue_1 = require("./createContentTypeFromDiscriminatorValue");
const createDriveFromDiscriminatorValue_1 = require("./createDriveFromDiscriminatorValue");
const createItemAnalyticsFromDiscriminatorValue_1 = require("./createItemAnalyticsFromDiscriminatorValue");
const createListFromDiscriminatorValue_1 = require("./createListFromDiscriminatorValue");
const createOnenoteFromDiscriminatorValue_1 = require("./createOnenoteFromDiscriminatorValue");
const createPermissionFromDiscriminatorValue_1 = require("./createPermissionFromDiscriminatorValue");
const createPublicErrorFromDiscriminatorValue_1 = require("./createPublicErrorFromDiscriminatorValue");
const createRichLongRunningOperationFromDiscriminatorValue_1 = require("./createRichLongRunningOperationFromDiscriminatorValue");
const createRootFromDiscriminatorValue_1 = require("./createRootFromDiscriminatorValue");
const createSharepointIdsFromDiscriminatorValue_1 = require("./createSharepointIdsFromDiscriminatorValue");
const createSiteCollectionFromDiscriminatorValue_1 = require("./createSiteCollectionFromDiscriminatorValue");
const createSiteFromDiscriminatorValue_1 = require("./createSiteFromDiscriminatorValue");
const index_1 = require("./index");
const createStoreFromDiscriminatorValue_1 = require("./termStore/createStoreFromDiscriminatorValue");
/** Casts the previous resource to user. */
class Site extends index_1.BaseItem {
    /**
     * Instantiates a new site and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the analytics property value. Analytics about the view activities that took place in this site.
     * @returns a itemAnalytics
     */
    get analytics() {
        return this._analytics;
    }
    ;
    /**
     * Sets the analytics property value. Analytics about the view activities that took place in this site.
     * @param value Value to set for the analytics property.
     */
    set analytics(value) {
        this._analytics = value;
    }
    ;
    /**
     * Gets the columns property value. The collection of column definitions reusable across lists under this site.
     * @returns a columnDefinition
     */
    get columns() {
        return this._columns;
    }
    ;
    /**
     * Sets the columns property value. The collection of column definitions reusable across lists under this site.
     * @param value Value to set for the columns property.
     */
    set columns(value) {
        this._columns = value;
    }
    ;
    ;
    /**
     * Gets the contentTypes property value. The collection of content types defined for this site.
     * @returns a contentType
     */
    get contentTypes() {
        return this._contentTypes;
    }
    ;
    /**
     * Sets the contentTypes property value. The collection of content types defined for this site.
     * @param value Value to set for the contentTypes property.
     */
    set contentTypes(value) {
        this._contentTypes = value;
    }
    ;
    /**
     * Gets the displayName property value. The full title for the site. Read-only.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. The full title for the site. Read-only.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * Gets the drive property value. The default drive (document library) for this site.
     * @returns a drive
     */
    get drive() {
        return this._drive;
    }
    ;
    /**
     * Sets the drive property value. The default drive (document library) for this site.
     * @param value Value to set for the drive property.
     */
    set drive(value) {
        this._drive = value;
    }
    ;
    /**
     * Gets the drives property value. The collection of drives (document libraries) under this site.
     * @returns a drive
     */
    get drives() {
        return this._drives;
    }
    ;
    /**
     * Sets the drives property value. The collection of drives (document libraries) under this site.
     * @param value Value to set for the drives property.
     */
    set drives(value) {
        this._drives = value;
    }
    ;
    /**
     * Gets the error property value. The error property
     * @returns a publicError
     */
    get error_escaped() {
        return this._error_escaped;
    }
    ;
    /**
     * Sets the error property value. The error property
     * @param value Value to set for the error_escaped property.
     */
    set error_escaped(value) {
        this._error_escaped = value;
    }
    ;
    /**
     * Gets the externalColumns property value. The collection of column definitions available in the site that are referenced from the sites in the parent hierarchy of the current site.
     * @returns a columnDefinition
     */
    get externalColumns() {
        return this._externalColumns;
    }
    ;
    /**
     * Sets the externalColumns property value. The collection of column definitions available in the site that are referenced from the sites in the parent hierarchy of the current site.
     * @param value Value to set for the externalColumns property.
     */
    set externalColumns(value) {
        this._externalColumns = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "analytics": n => { this.analytics = n.getObjectValue(createItemAnalyticsFromDiscriminatorValue_1.createItemAnalyticsFromDiscriminatorValue); }, "columns": n => { this.columns = n.getCollectionOfObjectValues(createColumnDefinitionFromDiscriminatorValue_1.createColumnDefinitionFromDiscriminatorValue); }, "contentTypes": n => { this.contentTypes = n.getCollectionOfObjectValues(createContentTypeFromDiscriminatorValue_1.createContentTypeFromDiscriminatorValue); }, "displayName": n => { this.displayName = n.getStringValue(); }, "drive": n => { this.drive = n.getObjectValue(createDriveFromDiscriminatorValue_1.createDriveFromDiscriminatorValue); }, "drives": n => { this.drives = n.getCollectionOfObjectValues(createDriveFromDiscriminatorValue_1.createDriveFromDiscriminatorValue); }, "error": n => { this.error_escaped = n.getObjectValue(createPublicErrorFromDiscriminatorValue_1.createPublicErrorFromDiscriminatorValue); }, "externalColumns": n => { this.externalColumns = n.getCollectionOfObjectValues(createColumnDefinitionFromDiscriminatorValue_1.createColumnDefinitionFromDiscriminatorValue); }, "items": n => { this.items = n.getCollectionOfObjectValues(createBaseItemFromDiscriminatorValue_1.createBaseItemFromDiscriminatorValue); }, "lists": n => { this.lists = n.getCollectionOfObjectValues(createListFromDiscriminatorValue_1.createListFromDiscriminatorValue); }, "onenote": n => { this.onenote = n.getObjectValue(createOnenoteFromDiscriminatorValue_1.createOnenoteFromDiscriminatorValue); }, "operations": n => { this.operations = n.getCollectionOfObjectValues(createRichLongRunningOperationFromDiscriminatorValue_1.createRichLongRunningOperationFromDiscriminatorValue); }, "permissions": n => { this.permissions = n.getCollectionOfObjectValues(createPermissionFromDiscriminatorValue_1.createPermissionFromDiscriminatorValue); }, "root": n => { this.root = n.getObjectValue(createRootFromDiscriminatorValue_1.createRootFromDiscriminatorValue); }, "sharepointIds": n => { this.sharepointIds = n.getObjectValue(createSharepointIdsFromDiscriminatorValue_1.createSharepointIdsFromDiscriminatorValue); }, "siteCollection": n => { this.siteCollection = n.getObjectValue(createSiteCollectionFromDiscriminatorValue_1.createSiteCollectionFromDiscriminatorValue); }, "sites": n => { this.sites = n.getCollectionOfObjectValues(createSiteFromDiscriminatorValue_1.createSiteFromDiscriminatorValue); }, "termStore": n => { this.termStore = n.getObjectValue(createStoreFromDiscriminatorValue_1.createStoreFromDiscriminatorValue); }, "termStores": n => { this.termStores = n.getCollectionOfObjectValues(createStoreFromDiscriminatorValue_1.createStoreFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the items property value. Used to address any item contained in this site. This collection cannot be enumerated.
     * @returns a baseItem
     */
    get items() {
        return this._items;
    }
    ;
    /**
     * Sets the items property value. Used to address any item contained in this site. This collection cannot be enumerated.
     * @param value Value to set for the items property.
     */
    set items(value) {
        this._items = value;
    }
    ;
    /**
     * Gets the lists property value. The collection of lists under this site.
     * @returns a list
     */
    get lists() {
        return this._lists;
    }
    ;
    /**
     * Sets the lists property value. The collection of lists under this site.
     * @param value Value to set for the lists property.
     */
    set lists(value) {
        this._lists = value;
    }
    ;
    /**
     * Gets the onenote property value. Calls the OneNote service for notebook related operations.
     * @returns a onenote
     */
    get onenote() {
        return this._onenote;
    }
    ;
    /**
     * Sets the onenote property value. Calls the OneNote service for notebook related operations.
     * @param value Value to set for the onenote property.
     */
    set onenote(value) {
        this._onenote = value;
    }
    ;
    /**
     * Gets the operations property value. The collection of long running operations for the site.
     * @returns a richLongRunningOperation
     */
    get operations() {
        return this._operations;
    }
    ;
    /**
     * Sets the operations property value. The collection of long running operations for the site.
     * @param value Value to set for the operations property.
     */
    set operations(value) {
        this._operations = value;
    }
    ;
    /**
     * Gets the permissions property value. The permissions associated with the site. Nullable.
     * @returns a permission
     */
    get permissions() {
        return this._permissions;
    }
    ;
    /**
     * Sets the permissions property value. The permissions associated with the site. Nullable.
     * @param value Value to set for the permissions property.
     */
    set permissions(value) {
        this._permissions = value;
    }
    ;
    /**
     * Gets the root property value. If present, indicates that this is the root site in the site collection. Read-only.
     * @returns a root
     */
    get root() {
        return this._root;
    }
    ;
    /**
     * Sets the root property value. If present, indicates that this is the root site in the site collection. Read-only.
     * @param value Value to set for the root property.
     */
    set root(value) {
        this._root = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("analytics", this.analytics);
        writer.writeCollectionOfObjectValues("columns", this.columns);
        writer.writeCollectionOfObjectValues("contentTypes", this.contentTypes);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeObjectValue("drive", this.drive);
        writer.writeCollectionOfObjectValues("drives", this.drives);
        writer.writeObjectValue("error", this.error_escaped);
        writer.writeCollectionOfObjectValues("externalColumns", this.externalColumns);
        writer.writeCollectionOfObjectValues("items", this.items);
        writer.writeCollectionOfObjectValues("lists", this.lists);
        writer.writeObjectValue("onenote", this.onenote);
        writer.writeCollectionOfObjectValues("operations", this.operations);
        writer.writeCollectionOfObjectValues("permissions", this.permissions);
        writer.writeObjectValue("root", this.root);
        writer.writeObjectValue("sharepointIds", this.sharepointIds);
        writer.writeObjectValue("siteCollection", this.siteCollection);
        writer.writeCollectionOfObjectValues("sites", this.sites);
        writer.writeObjectValue("termStore", this.termStore);
        writer.writeCollectionOfObjectValues("termStores", this.termStores);
    }
    ;
    /**
     * Gets the sharepointIds property value. Returns identifiers useful for SharePoint REST compatibility. Read-only.
     * @returns a sharepointIds
     */
    get sharepointIds() {
        return this._sharepointIds;
    }
    ;
    /**
     * Sets the sharepointIds property value. Returns identifiers useful for SharePoint REST compatibility. Read-only.
     * @param value Value to set for the sharepointIds property.
     */
    set sharepointIds(value) {
        this._sharepointIds = value;
    }
    ;
    /**
     * Gets the siteCollection property value. Provides details about the site's site collection. Available only on the root site. Read-only.
     * @returns a siteCollection
     */
    get siteCollection() {
        return this._siteCollection;
    }
    ;
    /**
     * Sets the siteCollection property value. Provides details about the site's site collection. Available only on the root site. Read-only.
     * @param value Value to set for the siteCollection property.
     */
    set siteCollection(value) {
        this._siteCollection = value;
    }
    ;
    /**
     * Gets the sites property value. The collection of the sub-sites under this site.
     * @returns a site
     */
    get sites() {
        return this._sites;
    }
    ;
    /**
     * Sets the sites property value. The collection of the sub-sites under this site.
     * @param value Value to set for the sites property.
     */
    set sites(value) {
        this._sites = value;
    }
    ;
    /**
     * Gets the termStore property value. The termStore under this site.
     * @returns a store
     */
    get termStore() {
        return this._termStore;
    }
    ;
    /**
     * Sets the termStore property value. The termStore under this site.
     * @param value Value to set for the termStore property.
     */
    set termStore(value) {
        this._termStore = value;
    }
    ;
    /**
     * Gets the termStores property value. The collection of termStores under this site.
     * @returns a store
     */
    get termStores() {
        return this._termStores;
    }
    ;
    /**
     * Sets the termStores property value. The collection of termStores under this site.
     * @param value Value to set for the termStores property.
     */
    set termStores(value) {
        this._termStores = value;
    }
    ;
}
exports.Site = Site;
