import { Entity } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the deviceManagement singleton. */
export declare class SoftwareUpdateStatusSummary extends Entity implements Parsable {
    /** Number of compliant devices. */
    private _compliantDeviceCount?;
    /** Number of compliant users. */
    private _compliantUserCount?;
    /** Number of conflict devices. */
    private _conflictDeviceCount?;
    /** Number of conflict users. */
    private _conflictUserCount?;
    /** The name of the policy. */
    private _displayName?;
    /** Number of devices had error. */
    private _errorDeviceCount?;
    /** Number of users had error. */
    private _errorUserCount?;
    /** Number of non compliant devices. */
    private _nonCompliantDeviceCount?;
    /** Number of non compliant users. */
    private _nonCompliantUserCount?;
    /** Number of not applicable devices. */
    private _notApplicableDeviceCount?;
    /** Number of not applicable users. */
    private _notApplicableUserCount?;
    /** Number of remediated devices. */
    private _remediatedDeviceCount?;
    /** Number of remediated users. */
    private _remediatedUserCount?;
    /** Number of unknown devices. */
    private _unknownDeviceCount?;
    /** Number of unknown users. */
    private _unknownUserCount?;
    /**
     * Gets the compliantDeviceCount property value. Number of compliant devices.
     * @returns a integer
     */
    get compliantDeviceCount(): number | undefined;
    /**
     * Sets the compliantDeviceCount property value. Number of compliant devices.
     * @param value Value to set for the compliantDeviceCount property.
     */
    set compliantDeviceCount(value: number | undefined);
    /**
     * Gets the compliantUserCount property value. Number of compliant users.
     * @returns a integer
     */
    get compliantUserCount(): number | undefined;
    /**
     * Sets the compliantUserCount property value. Number of compliant users.
     * @param value Value to set for the compliantUserCount property.
     */
    set compliantUserCount(value: number | undefined);
    /**
     * Gets the conflictDeviceCount property value. Number of conflict devices.
     * @returns a integer
     */
    get conflictDeviceCount(): number | undefined;
    /**
     * Sets the conflictDeviceCount property value. Number of conflict devices.
     * @param value Value to set for the conflictDeviceCount property.
     */
    set conflictDeviceCount(value: number | undefined);
    /**
     * Gets the conflictUserCount property value. Number of conflict users.
     * @returns a integer
     */
    get conflictUserCount(): number | undefined;
    /**
     * Sets the conflictUserCount property value. Number of conflict users.
     * @param value Value to set for the conflictUserCount property.
     */
    set conflictUserCount(value: number | undefined);
    /**
     * Instantiates a new softwareUpdateStatusSummary and sets the default values.
     */
    constructor();
    /**
     * Gets the displayName property value. The name of the policy.
     * @returns a string
     */
    get displayName(): string | undefined;
    /**
     * Sets the displayName property value. The name of the policy.
     * @param value Value to set for the displayName property.
     */
    set displayName(value: string | undefined);
    /**
     * Gets the errorDeviceCount property value. Number of devices had error.
     * @returns a integer
     */
    get errorDeviceCount(): number | undefined;
    /**
     * Sets the errorDeviceCount property value. Number of devices had error.
     * @param value Value to set for the errorDeviceCount property.
     */
    set errorDeviceCount(value: number | undefined);
    /**
     * Gets the errorUserCount property value. Number of users had error.
     * @returns a integer
     */
    get errorUserCount(): number | undefined;
    /**
     * Sets the errorUserCount property value. Number of users had error.
     * @param value Value to set for the errorUserCount property.
     */
    set errorUserCount(value: number | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the nonCompliantDeviceCount property value. Number of non compliant devices.
     * @returns a integer
     */
    get nonCompliantDeviceCount(): number | undefined;
    /**
     * Sets the nonCompliantDeviceCount property value. Number of non compliant devices.
     * @param value Value to set for the nonCompliantDeviceCount property.
     */
    set nonCompliantDeviceCount(value: number | undefined);
    /**
     * Gets the nonCompliantUserCount property value. Number of non compliant users.
     * @returns a integer
     */
    get nonCompliantUserCount(): number | undefined;
    /**
     * Sets the nonCompliantUserCount property value. Number of non compliant users.
     * @param value Value to set for the nonCompliantUserCount property.
     */
    set nonCompliantUserCount(value: number | undefined);
    /**
     * Gets the notApplicableDeviceCount property value. Number of not applicable devices.
     * @returns a integer
     */
    get notApplicableDeviceCount(): number | undefined;
    /**
     * Sets the notApplicableDeviceCount property value. Number of not applicable devices.
     * @param value Value to set for the notApplicableDeviceCount property.
     */
    set notApplicableDeviceCount(value: number | undefined);
    /**
     * Gets the notApplicableUserCount property value. Number of not applicable users.
     * @returns a integer
     */
    get notApplicableUserCount(): number | undefined;
    /**
     * Sets the notApplicableUserCount property value. Number of not applicable users.
     * @param value Value to set for the notApplicableUserCount property.
     */
    set notApplicableUserCount(value: number | undefined);
    /**
     * Gets the remediatedDeviceCount property value. Number of remediated devices.
     * @returns a integer
     */
    get remediatedDeviceCount(): number | undefined;
    /**
     * Sets the remediatedDeviceCount property value. Number of remediated devices.
     * @param value Value to set for the remediatedDeviceCount property.
     */
    set remediatedDeviceCount(value: number | undefined);
    /**
     * Gets the remediatedUserCount property value. Number of remediated users.
     * @returns a integer
     */
    get remediatedUserCount(): number | undefined;
    /**
     * Sets the remediatedUserCount property value. Number of remediated users.
     * @param value Value to set for the remediatedUserCount property.
     */
    set remediatedUserCount(value: number | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the unknownDeviceCount property value. Number of unknown devices.
     * @returns a integer
     */
    get unknownDeviceCount(): number | undefined;
    /**
     * Sets the unknownDeviceCount property value. Number of unknown devices.
     * @param value Value to set for the unknownDeviceCount property.
     */
    set unknownDeviceCount(value: number | undefined);
    /**
     * Gets the unknownUserCount property value. Number of unknown users.
     * @returns a integer
     */
    get unknownUserCount(): number | undefined;
    /**
     * Sets the unknownUserCount property value. Number of unknown users.
     * @param value Value to set for the unknownUserCount property.
     */
    set unknownUserCount(value: number | undefined);
}
