import { BookingBusiness, BookingCurrency } from './index';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class SolutionsRoot implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The bookingBusinesses property */
    private _bookingBusinesses?;
    /** The bookingCurrencies property */
    private _bookingCurrencies?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the bookingBusinesses property value. The bookingBusinesses property
     * @returns a bookingBusiness
     */
    get bookingBusinesses(): BookingBusiness[] | undefined;
    /**
     * Sets the bookingBusinesses property value. The bookingBusinesses property
     * @param value Value to set for the bookingBusinesses property.
     */
    set bookingBusinesses(value: BookingBusiness[] | undefined);
    /**
     * Gets the bookingCurrencies property value. The bookingCurrencies property
     * @returns a bookingCurrency
     */
    get bookingCurrencies(): BookingCurrency[] | undefined;
    /**
     * Sets the bookingCurrencies property value. The bookingCurrencies property
     * @param value Value to set for the bookingCurrencies property.
     */
    set bookingCurrencies(value: BookingCurrency[] | undefined);
    /**
     * Instantiates a new SolutionsRoot and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
