"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SolutionsRoot = void 0;
const createBookingBusinessFromDiscriminatorValue_1 = require("./createBookingBusinessFromDiscriminatorValue");
const createBookingCurrencyFromDiscriminatorValue_1 = require("./createBookingCurrencyFromDiscriminatorValue");
class SolutionsRoot {
    /**
     * Instantiates a new SolutionsRoot and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the bookingBusinesses property value. The bookingBusinesses property
     * @returns a bookingBusiness
     */
    get bookingBusinesses() {
        return this._bookingBusinesses;
    }
    ;
    /**
     * Sets the bookingBusinesses property value. The bookingBusinesses property
     * @param value Value to set for the bookingBusinesses property.
     */
    set bookingBusinesses(value) {
        this._bookingBusinesses = value;
    }
    ;
    /**
     * Gets the bookingCurrencies property value. The bookingCurrencies property
     * @returns a bookingCurrency
     */
    get bookingCurrencies() {
        return this._bookingCurrencies;
    }
    ;
    /**
     * Sets the bookingCurrencies property value. The bookingCurrencies property
     * @param value Value to set for the bookingCurrencies property.
     */
    set bookingCurrencies(value) {
        this._bookingCurrencies = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "bookingBusinesses": n => { this.bookingBusinesses = n.getCollectionOfObjectValues(createBookingBusinessFromDiscriminatorValue_1.createBookingBusinessFromDiscriminatorValue); },
            "bookingCurrencies": n => { this.bookingCurrencies = n.getCollectionOfObjectValues(createBookingCurrencyFromDiscriminatorValue_1.createBookingCurrencyFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeCollectionOfObjectValues("bookingBusinesses", this.bookingBusinesses);
        writer.writeCollectionOfObjectValues("bookingCurrencies", this.bookingCurrencies);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.SolutionsRoot = SolutionsRoot;
