"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StsPolicy = void 0;
const createDirectoryObjectFromDiscriminatorValue_1 = require("./createDirectoryObjectFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to call the instantiate method. */
class StsPolicy extends index_1.PolicyBase {
    /**
     * Instantiates a new stsPolicy and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the appliesTo property value. The appliesTo property
     * @returns a directoryObject
     */
    get appliesTo() {
        return this._appliesTo;
    }
    ;
    /**
     * Sets the appliesTo property value. The appliesTo property
     * @param value Value to set for the appliesTo property.
     */
    set appliesTo(value) {
        this._appliesTo = value;
    }
    ;
    ;
    /**
     * Gets the definition property value. A string collection containing a JSON string that defines the rules and settings for a policy. The syntax for the definition differs for each derived policy type. Required.
     * @returns a string
     */
    get definition() {
        return this._definition;
    }
    ;
    /**
     * Sets the definition property value. A string collection containing a JSON string that defines the rules and settings for a policy. The syntax for the definition differs for each derived policy type. Required.
     * @param value Value to set for the definition property.
     */
    set definition(value) {
        this._definition = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "appliesTo": n => { this.appliesTo = n.getCollectionOfObjectValues(createDirectoryObjectFromDiscriminatorValue_1.createDirectoryObjectFromDiscriminatorValue); }, "definition": n => { this.definition = n.getCollectionOfPrimitiveValues(); }, "isOrganizationDefault": n => { this.isOrganizationDefault = n.getBooleanValue(); } });
    }
    ;
    /**
     * Gets the isOrganizationDefault property value. If set to true, activates this policy. There can be many policies for the same policy type, but only one can be activated as the organization default. Optional, default value is false.
     * @returns a boolean
     */
    get isOrganizationDefault() {
        return this._isOrganizationDefault;
    }
    ;
    /**
     * Sets the isOrganizationDefault property value. If set to true, activates this policy. There can be many policies for the same policy type, but only one can be activated as the organization default. Optional, default value is false.
     * @param value Value to set for the isOrganizationDefault property.
     */
    set isOrganizationDefault(value) {
        this._isOrganizationDefault = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("appliesTo", this.appliesTo);
        writer.writeCollectionOfPrimitiveValues("definition", this.definition);
        writer.writeBooleanValue("isOrganizationDefault", this.isOrganizationDefault);
    }
    ;
}
exports.StsPolicy = StsPolicy;
