import { KeyValuePair } from './index';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class SubjectRightsRequestDetail implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** Count of items that are excluded from the request. */
    private _excludedItemCount?;
    /** Count of items per insight. */
    private _insightCounts?;
    /** Count of items found. */
    private _itemCount?;
    /** Count of item that need review. */
    private _itemNeedReview?;
    /** Count of items per product, such as Exchange, SharePoint, OneDrive, and Teams. */
    private _productItemCounts?;
    /** Count of items signed off by the administrator. */
    private _signedOffItemCount?;
    /** Total item size in bytes. */
    private _totalItemSize?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Instantiates a new subjectRightsRequestDetail and sets the default values.
     */
    constructor();
    /**
     * Gets the excludedItemCount property value. Count of items that are excluded from the request.
     * @returns a int64
     */
    get excludedItemCount(): number | undefined;
    /**
     * Sets the excludedItemCount property value. Count of items that are excluded from the request.
     * @param value Value to set for the excludedItemCount property.
     */
    set excludedItemCount(value: number | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the insightCounts property value. Count of items per insight.
     * @returns a keyValuePair
     */
    get insightCounts(): KeyValuePair[] | undefined;
    /**
     * Sets the insightCounts property value. Count of items per insight.
     * @param value Value to set for the insightCounts property.
     */
    set insightCounts(value: KeyValuePair[] | undefined);
    /**
     * Gets the itemCount property value. Count of items found.
     * @returns a int64
     */
    get itemCount(): number | undefined;
    /**
     * Sets the itemCount property value. Count of items found.
     * @param value Value to set for the itemCount property.
     */
    set itemCount(value: number | undefined);
    /**
     * Gets the itemNeedReview property value. Count of item that need review.
     * @returns a int64
     */
    get itemNeedReview(): number | undefined;
    /**
     * Sets the itemNeedReview property value. Count of item that need review.
     * @param value Value to set for the itemNeedReview property.
     */
    set itemNeedReview(value: number | undefined);
    /**
     * Gets the productItemCounts property value. Count of items per product, such as Exchange, SharePoint, OneDrive, and Teams.
     * @returns a keyValuePair
     */
    get productItemCounts(): KeyValuePair[] | undefined;
    /**
     * Sets the productItemCounts property value. Count of items per product, such as Exchange, SharePoint, OneDrive, and Teams.
     * @param value Value to set for the productItemCounts property.
     */
    set productItemCounts(value: KeyValuePair[] | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the signedOffItemCount property value. Count of items signed off by the administrator.
     * @returns a int64
     */
    get signedOffItemCount(): number | undefined;
    /**
     * Sets the signedOffItemCount property value. Count of items signed off by the administrator.
     * @param value Value to set for the signedOffItemCount property.
     */
    set signedOffItemCount(value: number | undefined);
    /**
     * Gets the totalItemSize property value. Total item size in bytes.
     * @returns a int64
     */
    get totalItemSize(): number | undefined;
    /**
     * Sets the totalItemSize property value. Total item size in bytes.
     * @param value Value to set for the totalItemSize property.
     */
    set totalItemSize(value: number | undefined);
}
