import { OfferShiftRequest } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Casts the previous resource to user. */
export declare class SwapShiftsChangeRequest extends OfferShiftRequest implements Parsable {
    /** Shift ID for the recipient user with whom the request is to swap. */
    private _recipientShiftId?;
    /**
     * Instantiates a new swapShiftsChangeRequest and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the recipientShiftId property value. Shift ID for the recipient user with whom the request is to swap.
     * @returns a string
     */
    get recipientShiftId(): string | undefined;
    /**
     * Sets the recipientShiftId property value. Shift ID for the recipient user with whom the request is to swap.
     * @param value Value to set for the recipientShiftId property.
     */
    set recipientShiftId(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
