import { ManagedAppProtection, TargetedManagedAppPolicyAssignment } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Policy used to configure detailed management settings targeted to specific security groups */
export declare class TargetedManagedAppProtection extends ManagedAppProtection implements Parsable {
    /** Navigation property to list of inclusion and exclusion groups to which the policy is deployed. */
    private _assignments?;
    /** Indicates if the policy is deployed to any inclusion groups or not. */
    private _isAssigned?;
    /**
     * Gets the assignments property value. Navigation property to list of inclusion and exclusion groups to which the policy is deployed.
     * @returns a targetedManagedAppPolicyAssignment
     */
    get assignments(): TargetedManagedAppPolicyAssignment[] | undefined;
    /**
     * Sets the assignments property value. Navigation property to list of inclusion and exclusion groups to which the policy is deployed.
     * @param value Value to set for the assignments property.
     */
    set assignments(value: TargetedManagedAppPolicyAssignment[] | undefined);
    /**
     * Instantiates a new targetedManagedAppProtection and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the isAssigned property value. Indicates if the policy is deployed to any inclusion groups or not.
     * @returns a boolean
     */
    get isAssigned(): boolean | undefined;
    /**
     * Sets the isAssigned property value. Indicates if the policy is deployed to any inclusion groups or not.
     * @param value Value to set for the isAssigned property.
     */
    set isAssigned(value: boolean | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
