"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TargetedManagedAppProtection = void 0;
const createTargetedManagedAppPolicyAssignmentFromDiscriminatorValue_1 = require("./createTargetedManagedAppPolicyAssignmentFromDiscriminatorValue");
const index_1 = require("./index");
/** Policy used to configure detailed management settings targeted to specific security groups */
class TargetedManagedAppProtection extends index_1.ManagedAppProtection {
    /**
     * Instantiates a new targetedManagedAppProtection and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the assignments property value. Navigation property to list of inclusion and exclusion groups to which the policy is deployed.
     * @returns a targetedManagedAppPolicyAssignment
     */
    get assignments() {
        return this._assignments;
    }
    ;
    /**
     * Sets the assignments property value. Navigation property to list of inclusion and exclusion groups to which the policy is deployed.
     * @param value Value to set for the assignments property.
     */
    set assignments(value) {
        this._assignments = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "assignments": n => { this.assignments = n.getCollectionOfObjectValues(createTargetedManagedAppPolicyAssignmentFromDiscriminatorValue_1.createTargetedManagedAppPolicyAssignmentFromDiscriminatorValue); }, "isAssigned": n => { this.isAssigned = n.getBooleanValue(); } });
    }
    ;
    /**
     * Gets the isAssigned property value. Indicates if the policy is deployed to any inclusion groups or not.
     * @returns a boolean
     */
    get isAssigned() {
        return this._isAssigned;
    }
    ;
    /**
     * Sets the isAssigned property value. Indicates if the policy is deployed to any inclusion groups or not.
     * @param value Value to set for the isAssigned property.
     */
    set isAssigned(value) {
        this._isAssigned = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("assignments", this.assignments);
        writer.writeBooleanValue("isAssigned", this.isAssigned);
    }
    ;
}
exports.TargetedManagedAppProtection = TargetedManagedAppProtection;
