import { Entity, TeamsAppDefinition } from './index';
import { TeamsAppDistributionMethod } from './teamsAppDistributionMethod';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the appCatalogs singleton. */
export declare class TeamsApp extends Entity implements Parsable {
    /** The details for each version of the app. */
    private _appDefinitions?;
    /** The name of the catalog app provided by the app developer in the Microsoft Teams zip app package. */
    private _displayName?;
    /** The method of distribution for the app. Read-only. */
    private _distributionMethod?;
    /** The ID of the catalog provided by the app developer in the Microsoft Teams zip app package. */
    private _externalId?;
    /**
     * Gets the appDefinitions property value. The details for each version of the app.
     * @returns a teamsAppDefinition
     */
    get appDefinitions(): TeamsAppDefinition[] | undefined;
    /**
     * Sets the appDefinitions property value. The details for each version of the app.
     * @param value Value to set for the appDefinitions property.
     */
    set appDefinitions(value: TeamsAppDefinition[] | undefined);
    /**
     * Instantiates a new teamsApp and sets the default values.
     */
    constructor();
    /**
     * Gets the displayName property value. The name of the catalog app provided by the app developer in the Microsoft Teams zip app package.
     * @returns a string
     */
    get displayName(): string | undefined;
    /**
     * Sets the displayName property value. The name of the catalog app provided by the app developer in the Microsoft Teams zip app package.
     * @param value Value to set for the displayName property.
     */
    set displayName(value: string | undefined);
    /**
     * Gets the distributionMethod property value. The method of distribution for the app. Read-only.
     * @returns a teamsAppDistributionMethod
     */
    get distributionMethod(): TeamsAppDistributionMethod | undefined;
    /**
     * Sets the distributionMethod property value. The method of distribution for the app. Read-only.
     * @param value Value to set for the distributionMethod property.
     */
    set distributionMethod(value: TeamsAppDistributionMethod | undefined);
    /**
     * Gets the externalId property value. The ID of the catalog provided by the app developer in the Microsoft Teams zip app package.
     * @returns a string
     */
    get externalId(): string | undefined;
    /**
     * Sets the externalId property value. The ID of the catalog provided by the app developer in the Microsoft Teams zip app package.
     * @param value Value to set for the externalId property.
     */
    set externalId(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
