"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TeamsAppInstallation = void 0;
const createTeamsAppDefinitionFromDiscriminatorValue_1 = require("./createTeamsAppDefinitionFromDiscriminatorValue");
const createTeamsAppFromDiscriminatorValue_1 = require("./createTeamsAppFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the collection of chat entities. */
class TeamsAppInstallation extends index_1.Entity {
    /**
     * Instantiates a new teamsAppInstallation and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "teamsApp": n => { this.teamsApp = n.getObjectValue(createTeamsAppFromDiscriminatorValue_1.createTeamsAppFromDiscriminatorValue); }, "teamsAppDefinition": n => { this.teamsAppDefinition = n.getObjectValue(createTeamsAppDefinitionFromDiscriminatorValue_1.createTeamsAppDefinitionFromDiscriminatorValue); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("teamsApp", this.teamsApp);
        writer.writeObjectValue("teamsAppDefinition", this.teamsAppDefinition);
    }
    ;
    /**
     * Gets the teamsApp property value. The app that is installed.
     * @returns a teamsApp
     */
    get teamsApp() {
        return this._teamsApp;
    }
    ;
    /**
     * Sets the teamsApp property value. The app that is installed.
     * @param value Value to set for the teamsApp property.
     */
    set teamsApp(value) {
        this._teamsApp = value;
    }
    ;
    /**
     * Gets the teamsAppDefinition property value. The details of this version of the app.
     * @returns a teamsAppDefinition
     */
    get teamsAppDefinition() {
        return this._teamsAppDefinition;
    }
    ;
    /**
     * Sets the teamsAppDefinition property value. The details of this version of the app.
     * @param value Value to set for the teamsAppDefinition property.
     */
    set teamsAppDefinition(value) {
        this._teamsAppDefinition = value;
    }
    ;
}
exports.TeamsAppInstallation = TeamsAppInstallation;
