"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TeamsAsyncOperation = void 0;
const createOperationErrorFromDiscriminatorValue_1 = require("./createOperationErrorFromDiscriminatorValue");
const index_1 = require("./index");
const teamsAsyncOperationStatus_1 = require("./teamsAsyncOperationStatus");
const teamsAsyncOperationType_1 = require("./teamsAsyncOperationType");
/** Casts the previous resource to user. */
class TeamsAsyncOperation extends index_1.Entity {
    /**
     * Instantiates a new teamsAsyncOperation and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the attemptsCount property value. Number of times the operation was attempted before being marked successful or failed.
     * @returns a integer
     */
    get attemptsCount() {
        return this._attemptsCount;
    }
    ;
    /**
     * Sets the attemptsCount property value. Number of times the operation was attempted before being marked successful or failed.
     * @param value Value to set for the attemptsCount property.
     */
    set attemptsCount(value) {
        this._attemptsCount = value;
    }
    ;
    ;
    /**
     * Gets the createdDateTime property value. Time when the operation was created.
     * @returns a Date
     */
    get createdDateTime() {
        return this._createdDateTime;
    }
    ;
    /**
     * Sets the createdDateTime property value. Time when the operation was created.
     * @param value Value to set for the createdDateTime property.
     */
    set createdDateTime(value) {
        this._createdDateTime = value;
    }
    ;
    /**
     * Gets the error property value. Any error that causes the async operation to fail.
     * @returns a operationError
     */
    get error_escaped() {
        return this._error_escaped;
    }
    ;
    /**
     * Sets the error property value. Any error that causes the async operation to fail.
     * @param value Value to set for the error_escaped property.
     */
    set error_escaped(value) {
        this._error_escaped = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "attemptsCount": n => { this.attemptsCount = n.getNumberValue(); }, "createdDateTime": n => { this.createdDateTime = n.getDateValue(); }, "error": n => { this.error_escaped = n.getObjectValue(createOperationErrorFromDiscriminatorValue_1.createOperationErrorFromDiscriminatorValue); }, "lastActionDateTime": n => { this.lastActionDateTime = n.getDateValue(); }, "operationType": n => { this.operationType = n.getEnumValue(teamsAsyncOperationType_1.TeamsAsyncOperationType); }, "status": n => { this.status = n.getEnumValue(teamsAsyncOperationStatus_1.TeamsAsyncOperationStatus); }, "targetResourceId": n => { this.targetResourceId = n.getStringValue(); }, "targetResourceLocation": n => { this.targetResourceLocation = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the lastActionDateTime property value. Time when the async operation was last updated.
     * @returns a Date
     */
    get lastActionDateTime() {
        return this._lastActionDateTime;
    }
    ;
    /**
     * Sets the lastActionDateTime property value. Time when the async operation was last updated.
     * @param value Value to set for the lastActionDateTime property.
     */
    set lastActionDateTime(value) {
        this._lastActionDateTime = value;
    }
    ;
    /**
     * Gets the operationType property value. Denotes the type of operation being described.
     * @returns a teamsAsyncOperationType
     */
    get operationType() {
        return this._operationType;
    }
    ;
    /**
     * Sets the operationType property value. Denotes the type of operation being described.
     * @param value Value to set for the operationType property.
     */
    set operationType(value) {
        this._operationType = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeNumberValue("attemptsCount", this.attemptsCount);
        writer.writeDateValue("createdDateTime", this.createdDateTime);
        writer.writeObjectValue("error", this.error_escaped);
        writer.writeDateValue("lastActionDateTime", this.lastActionDateTime);
        writer.writeEnumValue("operationType", this.operationType);
        writer.writeEnumValue("status", this.status);
        writer.writeStringValue("targetResourceId", this.targetResourceId);
        writer.writeStringValue("targetResourceLocation", this.targetResourceLocation);
    }
    ;
    /**
     * Gets the status property value. Operation status.
     * @returns a teamsAsyncOperationStatus
     */
    get status() {
        return this._status;
    }
    ;
    /**
     * Sets the status property value. Operation status.
     * @param value Value to set for the status property.
     */
    set status(value) {
        this._status = value;
    }
    ;
    /**
     * Gets the targetResourceId property value. The ID of the object that's created or modified as result of this async operation, typically a team.
     * @returns a string
     */
    get targetResourceId() {
        return this._targetResourceId;
    }
    ;
    /**
     * Sets the targetResourceId property value. The ID of the object that's created or modified as result of this async operation, typically a team.
     * @param value Value to set for the targetResourceId property.
     */
    set targetResourceId(value) {
        this._targetResourceId = value;
    }
    ;
    /**
     * Gets the targetResourceLocation property value. The location of the object that's created or modified as result of this async operation. This URL should be treated as an opaque value and not parsed into its component paths.
     * @returns a string
     */
    get targetResourceLocation() {
        return this._targetResourceLocation;
    }
    ;
    /**
     * Sets the targetResourceLocation property value. The location of the object that's created or modified as result of this async operation. This URL should be treated as an opaque value and not parsed into its component paths.
     * @param value Value to set for the targetResourceLocation property.
     */
    set targetResourceLocation(value) {
        this._targetResourceLocation = value;
    }
    ;
}
exports.TeamsAsyncOperation = TeamsAsyncOperation;
