import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class TeamsTabConfiguration implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** Url used for rendering tab contents in Teams. Required. */
    private _contentUrl?;
    /** Identifier for the entity hosted by the tab provider. */
    private _entityId?;
    /** Url called by Teams client when a Tab is removed using the Teams Client. */
    private _removeUrl?;
    /** Url for showing tab contents outside of Teams. */
    private _websiteUrl?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Instantiates a new teamsTabConfiguration and sets the default values.
     */
    constructor();
    /**
     * Gets the contentUrl property value. Url used for rendering tab contents in Teams. Required.
     * @returns a string
     */
    get contentUrl(): string | undefined;
    /**
     * Sets the contentUrl property value. Url used for rendering tab contents in Teams. Required.
     * @param value Value to set for the contentUrl property.
     */
    set contentUrl(value: string | undefined);
    /**
     * Gets the entityId property value. Identifier for the entity hosted by the tab provider.
     * @returns a string
     */
    get entityId(): string | undefined;
    /**
     * Sets the entityId property value. Identifier for the entity hosted by the tab provider.
     * @param value Value to set for the entityId property.
     */
    set entityId(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the removeUrl property value. Url called by Teams client when a Tab is removed using the Teams Client.
     * @returns a string
     */
    get removeUrl(): string | undefined;
    /**
     * Sets the removeUrl property value. Url called by Teams client when a Tab is removed using the Teams Client.
     * @param value Value to set for the removeUrl property.
     */
    set removeUrl(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the websiteUrl property value. Url for showing tab contents outside of Teams.
     * @returns a string
     */
    get websiteUrl(): string | undefined;
    /**
     * Sets the websiteUrl property value. Url for showing tab contents outside of Teams.
     * @param value Value to set for the websiteUrl property.
     */
    set websiteUrl(value: string | undefined);
}
