import { Entity, WorkforceIntegration } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the teamwork singleton. */
export declare class Teamwork extends Entity implements Parsable {
    /** A workforce integration with shifts. */
    private _workforceIntegrations?;
    /**
     * Instantiates a new teamwork and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the workforceIntegrations property value. A workforce integration with shifts.
     * @returns a workforceIntegration
     */
    get workforceIntegrations(): WorkforceIntegration[] | undefined;
    /**
     * Sets the workforceIntegrations property value. A workforce integration with shifts.
     * @param value Value to set for the workforceIntegrations property.
     */
    set workforceIntegrations(value: WorkforceIntegration[] | undefined);
}
