"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TeamworkConversationIdentity = void 0;
const index_1 = require("./index");
const teamworkConversationIdentityType_1 = require("./teamworkConversationIdentityType");
/** Provides operations to manage the collection of chat entities. */
class TeamworkConversationIdentity extends index_1.Identity {
    /**
     * Instantiates a new teamworkConversationIdentity and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the conversationIdentityType property value. Type of conversation. Possible values are: team, channel, and chat.
     * @returns a teamworkConversationIdentityType
     */
    get conversationIdentityType() {
        return this._conversationIdentityType;
    }
    ;
    /**
     * Sets the conversationIdentityType property value. Type of conversation. Possible values are: team, channel, and chat.
     * @param value Value to set for the conversationIdentityType property.
     */
    set conversationIdentityType(value) {
        this._conversationIdentityType = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "conversationIdentityType": n => { this.conversationIdentityType = n.getEnumValue(teamworkConversationIdentityType_1.TeamworkConversationIdentityType); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeEnumValue("conversationIdentityType", this.conversationIdentityType);
    }
    ;
}
exports.TeamworkConversationIdentity = TeamworkConversationIdentity;
