import { TeamworkUserIdentity } from './index';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class TeamworkOnlineMeetingInfo implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The identifier of the calendar event associated with the meeting. */
    private _calendarEventId?;
    /** The URL which can be clicked on to join or uniquely identify the meeting. */
    private _joinWebUrl?;
    /** The organizer of the meeting. */
    private _organizer?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the calendarEventId property value. The identifier of the calendar event associated with the meeting.
     * @returns a string
     */
    get calendarEventId(): string | undefined;
    /**
     * Sets the calendarEventId property value. The identifier of the calendar event associated with the meeting.
     * @param value Value to set for the calendarEventId property.
     */
    set calendarEventId(value: string | undefined);
    /**
     * Instantiates a new teamworkOnlineMeetingInfo and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the joinWebUrl property value. The URL which can be clicked on to join or uniquely identify the meeting.
     * @returns a string
     */
    get joinWebUrl(): string | undefined;
    /**
     * Sets the joinWebUrl property value. The URL which can be clicked on to join or uniquely identify the meeting.
     * @param value Value to set for the joinWebUrl property.
     */
    set joinWebUrl(value: string | undefined);
    /**
     * Gets the organizer property value. The organizer of the meeting.
     * @returns a teamworkUserIdentity
     */
    get organizer(): TeamworkUserIdentity | undefined;
    /**
     * Sets the organizer property value. The organizer of the meeting.
     * @param value Value to set for the organizer property.
     */
    set organizer(value: TeamworkUserIdentity | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
