import { Identity } from './index';
import { TeamworkUserIdentityType } from './teamworkUserIdentityType';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the collection of chat entities. */
export declare class TeamworkUserIdentity extends Identity implements Parsable {
    /** Type of user. Possible values are: aadUser, onPremiseAadUser, anonymousGuest, federatedUser, personalMicrosoftAccountUser, skypeUser, phoneUser, and emailUser. */
    private _userIdentityType?;
    /**
     * Instantiates a new teamworkUserIdentity and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the userIdentityType property value. Type of user. Possible values are: aadUser, onPremiseAadUser, anonymousGuest, federatedUser, personalMicrosoftAccountUser, skypeUser, phoneUser, and emailUser.
     * @returns a teamworkUserIdentityType
     */
    get userIdentityType(): TeamworkUserIdentityType | undefined;
    /**
     * Sets the userIdentityType property value. Type of user. Possible values are: aadUser, onPremiseAadUser, anonymousGuest, federatedUser, personalMicrosoftAccountUser, skypeUser, phoneUser, and emailUser.
     * @param value Value to set for the userIdentityType property.
     */
    set userIdentityType(value: TeamworkUserIdentityType | undefined);
}
