"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TeamworkUserIdentity = void 0;
const index_1 = require("./index");
const teamworkUserIdentityType_1 = require("./teamworkUserIdentityType");
/** Provides operations to manage the collection of chat entities. */
class TeamworkUserIdentity extends index_1.Identity {
    /**
     * Instantiates a new teamworkUserIdentity and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "userIdentityType": n => { this.userIdentityType = n.getEnumValue(teamworkUserIdentityType_1.TeamworkUserIdentityType); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeEnumValue("userIdentityType", this.userIdentityType);
    }
    ;
    /**
     * Gets the userIdentityType property value. Type of user. Possible values are: aadUser, onPremiseAadUser, anonymousGuest, federatedUser, personalMicrosoftAccountUser, skypeUser, phoneUser, and emailUser.
     * @returns a teamworkUserIdentityType
     */
    get userIdentityType() {
        return this._userIdentityType;
    }
    ;
    /**
     * Sets the userIdentityType property value. Type of user. Possible values are: aadUser, onPremiseAadUser, anonymousGuest, federatedUser, personalMicrosoftAccountUser, skypeUser, phoneUser, and emailUser.
     * @param value Value to set for the userIdentityType property.
     */
    set userIdentityType(value) {
        this._userIdentityType = value;
    }
    ;
}
exports.TeamworkUserIdentity = TeamworkUserIdentity;
