import { Entity } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** telecomExpenseManagementPartner resources represent the metadata and status of a given TEM service. Once your organization has onboarded with a partner, the partner can be enabled or disabled to switch TEM functionality on or off. */
export declare class TelecomExpenseManagementPartner extends Entity implements Parsable {
    /** Whether the partner's AAD app has been authorized to access Intune. */
    private _appAuthorized?;
    /** Display name of the TEM partner. */
    private _displayName?;
    /** Whether Intune's connection to the TEM service is currently enabled or disabled. */
    private _enabled?;
    /** Timestamp of the last request sent to Intune by the TEM partner. */
    private _lastConnectionDateTime?;
    /** URL of the TEM partner's administrative control panel, where an administrator can configure their TEM service. */
    private _url?;
    /**
     * Gets the appAuthorized property value. Whether the partner's AAD app has been authorized to access Intune.
     * @returns a boolean
     */
    get appAuthorized(): boolean | undefined;
    /**
     * Sets the appAuthorized property value. Whether the partner's AAD app has been authorized to access Intune.
     * @param value Value to set for the appAuthorized property.
     */
    set appAuthorized(value: boolean | undefined);
    /**
     * Instantiates a new telecomExpenseManagementPartner and sets the default values.
     */
    constructor();
    /**
     * Gets the displayName property value. Display name of the TEM partner.
     * @returns a string
     */
    get displayName(): string | undefined;
    /**
     * Sets the displayName property value. Display name of the TEM partner.
     * @param value Value to set for the displayName property.
     */
    set displayName(value: string | undefined);
    /**
     * Gets the enabled property value. Whether Intune's connection to the TEM service is currently enabled or disabled.
     * @returns a boolean
     */
    get enabled(): boolean | undefined;
    /**
     * Sets the enabled property value. Whether Intune's connection to the TEM service is currently enabled or disabled.
     * @param value Value to set for the enabled property.
     */
    set enabled(value: boolean | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the lastConnectionDateTime property value. Timestamp of the last request sent to Intune by the TEM partner.
     * @returns a Date
     */
    get lastConnectionDateTime(): Date | undefined;
    /**
     * Sets the lastConnectionDateTime property value. Timestamp of the last request sent to Intune by the TEM partner.
     * @param value Value to set for the lastConnectionDateTime property.
     */
    set lastConnectionDateTime(value: Date | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the url property value. URL of the TEM partner's administrative control panel, where an administrator can configure their TEM service.
     * @returns a string
     */
    get url(): string | undefined;
    /**
     * Sets the url property value. URL of the TEM partner's administrative control panel, where an administrator can configure their TEM service.
     * @param value Value to set for the url property.
     */
    set url(value: string | undefined);
}
