"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TelecomExpenseManagementPartner = void 0;
const index_1 = require("./index");
/** telecomExpenseManagementPartner resources represent the metadata and status of a given TEM service. Once your organization has onboarded with a partner, the partner can be enabled or disabled to switch TEM functionality on or off. */
class TelecomExpenseManagementPartner extends index_1.Entity {
    /**
     * Instantiates a new telecomExpenseManagementPartner and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the appAuthorized property value. Whether the partner's AAD app has been authorized to access Intune.
     * @returns a boolean
     */
    get appAuthorized() {
        return this._appAuthorized;
    }
    ;
    /**
     * Sets the appAuthorized property value. Whether the partner's AAD app has been authorized to access Intune.
     * @param value Value to set for the appAuthorized property.
     */
    set appAuthorized(value) {
        this._appAuthorized = value;
    }
    ;
    ;
    /**
     * Gets the displayName property value. Display name of the TEM partner.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. Display name of the TEM partner.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * Gets the enabled property value. Whether Intune's connection to the TEM service is currently enabled or disabled.
     * @returns a boolean
     */
    get enabled() {
        return this._enabled;
    }
    ;
    /**
     * Sets the enabled property value. Whether Intune's connection to the TEM service is currently enabled or disabled.
     * @param value Value to set for the enabled property.
     */
    set enabled(value) {
        this._enabled = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "appAuthorized": n => { this.appAuthorized = n.getBooleanValue(); }, "displayName": n => { this.displayName = n.getStringValue(); }, "enabled": n => { this.enabled = n.getBooleanValue(); }, "lastConnectionDateTime": n => { this.lastConnectionDateTime = n.getDateValue(); }, "url": n => { this.url = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the lastConnectionDateTime property value. Timestamp of the last request sent to Intune by the TEM partner.
     * @returns a Date
     */
    get lastConnectionDateTime() {
        return this._lastConnectionDateTime;
    }
    ;
    /**
     * Sets the lastConnectionDateTime property value. Timestamp of the last request sent to Intune by the TEM partner.
     * @param value Value to set for the lastConnectionDateTime property.
     */
    set lastConnectionDateTime(value) {
        this._lastConnectionDateTime = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeBooleanValue("appAuthorized", this.appAuthorized);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeBooleanValue("enabled", this.enabled);
        writer.writeDateValue("lastConnectionDateTime", this.lastConnectionDateTime);
        writer.writeStringValue("url", this.url);
    }
    ;
    /**
     * Gets the url property value. URL of the TEM partner's administrative control panel, where an administrator can configure their TEM service.
     * @returns a string
     */
    get url() {
        return this._url;
    }
    ;
    /**
     * Sets the url property value. URL of the TEM partner's administrative control panel, where an administrator can configure their TEM service.
     * @param value Value to set for the url property.
     */
    set url(value) {
        this._url = value;
    }
    ;
}
exports.TelecomExpenseManagementPartner = TelecomExpenseManagementPartner;
