import { AdditionalDataHolder, Duration, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class TeleconferenceDeviceMediaQuality implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The average inbound stream network jitter. */
    private _averageInboundJitter?;
    /** The average inbound stream packet loss rate in percentage (0-100). For example, 0.01 means 0.01%. */
    private _averageInboundPacketLossRateInPercentage?;
    /** The average inbound stream network round trip delay. */
    private _averageInboundRoundTripDelay?;
    /** The average outbound stream network jitter. */
    private _averageOutboundJitter?;
    /** The average outbound stream packet loss rate in percentage (0-100). For example, 0.01 means 0.01%. */
    private _averageOutboundPacketLossRateInPercentage?;
    /** The average outbound stream network round trip delay. */
    private _averageOutboundRoundTripDelay?;
    /** The channel index of media. Indexing begins with 1.  If a media session contains 3 video modalities, channel indexes will be 1, 2, and 3. */
    private _channelIndex?;
    /** The total number of the inbound packets. */
    private _inboundPackets?;
    /** the local IP address for the media session. */
    private _localIPAddress?;
    /** The local media port. */
    private _localPort?;
    /** The maximum inbound stream network jitter. */
    private _maximumInboundJitter?;
    /** The maximum inbound stream packet loss rate in percentage (0-100). For example, 0.01 means 0.01%. */
    private _maximumInboundPacketLossRateInPercentage?;
    /** The maximum inbound stream network round trip delay. */
    private _maximumInboundRoundTripDelay?;
    /** The maximum outbound stream network jitter. */
    private _maximumOutboundJitter?;
    /** The maximum outbound stream packet loss rate in percentage (0-100). For example, 0.01 means 0.01%. */
    private _maximumOutboundPacketLossRateInPercentage?;
    /** The maximum outbound stream network round trip delay. */
    private _maximumOutboundRoundTripDelay?;
    /** The total modality duration. If the media enabled and disabled multiple times, MediaDuration will the summation of all of the durations. */
    private _mediaDuration?;
    /** The network link speed in bytes */
    private _networkLinkSpeedInBytes?;
    /** The total number of the outbound packets. */
    private _outboundPackets?;
    /** The remote IP address for the media session. */
    private _remoteIPAddress?;
    /** The remote media port. */
    private _remotePort?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the averageInboundJitter property value. The average inbound stream network jitter.
     * @returns a Duration
     */
    get averageInboundJitter(): Duration | undefined;
    /**
     * Sets the averageInboundJitter property value. The average inbound stream network jitter.
     * @param value Value to set for the averageInboundJitter property.
     */
    set averageInboundJitter(value: Duration | undefined);
    /**
     * Gets the averageInboundPacketLossRateInPercentage property value. The average inbound stream packet loss rate in percentage (0-100). For example, 0.01 means 0.01%.
     * @returns a double
     */
    get averageInboundPacketLossRateInPercentage(): number | undefined;
    /**
     * Sets the averageInboundPacketLossRateInPercentage property value. The average inbound stream packet loss rate in percentage (0-100). For example, 0.01 means 0.01%.
     * @param value Value to set for the averageInboundPacketLossRateInPercentage property.
     */
    set averageInboundPacketLossRateInPercentage(value: number | undefined);
    /**
     * Gets the averageInboundRoundTripDelay property value. The average inbound stream network round trip delay.
     * @returns a Duration
     */
    get averageInboundRoundTripDelay(): Duration | undefined;
    /**
     * Sets the averageInboundRoundTripDelay property value. The average inbound stream network round trip delay.
     * @param value Value to set for the averageInboundRoundTripDelay property.
     */
    set averageInboundRoundTripDelay(value: Duration | undefined);
    /**
     * Gets the averageOutboundJitter property value. The average outbound stream network jitter.
     * @returns a Duration
     */
    get averageOutboundJitter(): Duration | undefined;
    /**
     * Sets the averageOutboundJitter property value. The average outbound stream network jitter.
     * @param value Value to set for the averageOutboundJitter property.
     */
    set averageOutboundJitter(value: Duration | undefined);
    /**
     * Gets the averageOutboundPacketLossRateInPercentage property value. The average outbound stream packet loss rate in percentage (0-100). For example, 0.01 means 0.01%.
     * @returns a double
     */
    get averageOutboundPacketLossRateInPercentage(): number | undefined;
    /**
     * Sets the averageOutboundPacketLossRateInPercentage property value. The average outbound stream packet loss rate in percentage (0-100). For example, 0.01 means 0.01%.
     * @param value Value to set for the averageOutboundPacketLossRateInPercentage property.
     */
    set averageOutboundPacketLossRateInPercentage(value: number | undefined);
    /**
     * Gets the averageOutboundRoundTripDelay property value. The average outbound stream network round trip delay.
     * @returns a Duration
     */
    get averageOutboundRoundTripDelay(): Duration | undefined;
    /**
     * Sets the averageOutboundRoundTripDelay property value. The average outbound stream network round trip delay.
     * @param value Value to set for the averageOutboundRoundTripDelay property.
     */
    set averageOutboundRoundTripDelay(value: Duration | undefined);
    /**
     * Gets the channelIndex property value. The channel index of media. Indexing begins with 1.  If a media session contains 3 video modalities, channel indexes will be 1, 2, and 3.
     * @returns a integer
     */
    get channelIndex(): number | undefined;
    /**
     * Sets the channelIndex property value. The channel index of media. Indexing begins with 1.  If a media session contains 3 video modalities, channel indexes will be 1, 2, and 3.
     * @param value Value to set for the channelIndex property.
     */
    set channelIndex(value: number | undefined);
    /**
     * Instantiates a new teleconferenceDeviceMediaQuality and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the inboundPackets property value. The total number of the inbound packets.
     * @returns a int64
     */
    get inboundPackets(): number | undefined;
    /**
     * Sets the inboundPackets property value. The total number of the inbound packets.
     * @param value Value to set for the inboundPackets property.
     */
    set inboundPackets(value: number | undefined);
    /**
     * Gets the localIPAddress property value. the local IP address for the media session.
     * @returns a string
     */
    get localIPAddress(): string | undefined;
    /**
     * Sets the localIPAddress property value. the local IP address for the media session.
     * @param value Value to set for the localIPAddress property.
     */
    set localIPAddress(value: string | undefined);
    /**
     * Gets the localPort property value. The local media port.
     * @returns a integer
     */
    get localPort(): number | undefined;
    /**
     * Sets the localPort property value. The local media port.
     * @param value Value to set for the localPort property.
     */
    set localPort(value: number | undefined);
    /**
     * Gets the maximumInboundJitter property value. The maximum inbound stream network jitter.
     * @returns a Duration
     */
    get maximumInboundJitter(): Duration | undefined;
    /**
     * Sets the maximumInboundJitter property value. The maximum inbound stream network jitter.
     * @param value Value to set for the maximumInboundJitter property.
     */
    set maximumInboundJitter(value: Duration | undefined);
    /**
     * Gets the maximumInboundPacketLossRateInPercentage property value. The maximum inbound stream packet loss rate in percentage (0-100). For example, 0.01 means 0.01%.
     * @returns a double
     */
    get maximumInboundPacketLossRateInPercentage(): number | undefined;
    /**
     * Sets the maximumInboundPacketLossRateInPercentage property value. The maximum inbound stream packet loss rate in percentage (0-100). For example, 0.01 means 0.01%.
     * @param value Value to set for the maximumInboundPacketLossRateInPercentage property.
     */
    set maximumInboundPacketLossRateInPercentage(value: number | undefined);
    /**
     * Gets the maximumInboundRoundTripDelay property value. The maximum inbound stream network round trip delay.
     * @returns a Duration
     */
    get maximumInboundRoundTripDelay(): Duration | undefined;
    /**
     * Sets the maximumInboundRoundTripDelay property value. The maximum inbound stream network round trip delay.
     * @param value Value to set for the maximumInboundRoundTripDelay property.
     */
    set maximumInboundRoundTripDelay(value: Duration | undefined);
    /**
     * Gets the maximumOutboundJitter property value. The maximum outbound stream network jitter.
     * @returns a Duration
     */
    get maximumOutboundJitter(): Duration | undefined;
    /**
     * Sets the maximumOutboundJitter property value. The maximum outbound stream network jitter.
     * @param value Value to set for the maximumOutboundJitter property.
     */
    set maximumOutboundJitter(value: Duration | undefined);
    /**
     * Gets the maximumOutboundPacketLossRateInPercentage property value. The maximum outbound stream packet loss rate in percentage (0-100). For example, 0.01 means 0.01%.
     * @returns a double
     */
    get maximumOutboundPacketLossRateInPercentage(): number | undefined;
    /**
     * Sets the maximumOutboundPacketLossRateInPercentage property value. The maximum outbound stream packet loss rate in percentage (0-100). For example, 0.01 means 0.01%.
     * @param value Value to set for the maximumOutboundPacketLossRateInPercentage property.
     */
    set maximumOutboundPacketLossRateInPercentage(value: number | undefined);
    /**
     * Gets the maximumOutboundRoundTripDelay property value. The maximum outbound stream network round trip delay.
     * @returns a Duration
     */
    get maximumOutboundRoundTripDelay(): Duration | undefined;
    /**
     * Sets the maximumOutboundRoundTripDelay property value. The maximum outbound stream network round trip delay.
     * @param value Value to set for the maximumOutboundRoundTripDelay property.
     */
    set maximumOutboundRoundTripDelay(value: Duration | undefined);
    /**
     * Gets the mediaDuration property value. The total modality duration. If the media enabled and disabled multiple times, MediaDuration will the summation of all of the durations.
     * @returns a Duration
     */
    get mediaDuration(): Duration | undefined;
    /**
     * Sets the mediaDuration property value. The total modality duration. If the media enabled and disabled multiple times, MediaDuration will the summation of all of the durations.
     * @param value Value to set for the mediaDuration property.
     */
    set mediaDuration(value: Duration | undefined);
    /**
     * Gets the networkLinkSpeedInBytes property value. The network link speed in bytes
     * @returns a int64
     */
    get networkLinkSpeedInBytes(): number | undefined;
    /**
     * Sets the networkLinkSpeedInBytes property value. The network link speed in bytes
     * @param value Value to set for the networkLinkSpeedInBytes property.
     */
    set networkLinkSpeedInBytes(value: number | undefined);
    /**
     * Gets the outboundPackets property value. The total number of the outbound packets.
     * @returns a int64
     */
    get outboundPackets(): number | undefined;
    /**
     * Sets the outboundPackets property value. The total number of the outbound packets.
     * @param value Value to set for the outboundPackets property.
     */
    set outboundPackets(value: number | undefined);
    /**
     * Gets the remoteIPAddress property value. The remote IP address for the media session.
     * @returns a string
     */
    get remoteIPAddress(): string | undefined;
    /**
     * Sets the remoteIPAddress property value. The remote IP address for the media session.
     * @param value Value to set for the remoteIPAddress property.
     */
    set remoteIPAddress(value: string | undefined);
    /**
     * Gets the remotePort property value. The remote media port.
     * @returns a integer
     */
    get remotePort(): number | undefined;
    /**
     * Sets the remotePort property value. The remote media port.
     * @param value Value to set for the remotePort property.
     */
    set remotePort(value: number | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
