"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TeleconferenceDeviceMediaQuality = void 0;
class TeleconferenceDeviceMediaQuality {
    /**
     * Instantiates a new teleconferenceDeviceMediaQuality and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the averageInboundJitter property value. The average inbound stream network jitter.
     * @returns a Duration
     */
    get averageInboundJitter() {
        return this._averageInboundJitter;
    }
    ;
    /**
     * Sets the averageInboundJitter property value. The average inbound stream network jitter.
     * @param value Value to set for the averageInboundJitter property.
     */
    set averageInboundJitter(value) {
        this._averageInboundJitter = value;
    }
    ;
    /**
     * Gets the averageInboundPacketLossRateInPercentage property value. The average inbound stream packet loss rate in percentage (0-100). For example, 0.01 means 0.01%.
     * @returns a double
     */
    get averageInboundPacketLossRateInPercentage() {
        return this._averageInboundPacketLossRateInPercentage;
    }
    ;
    /**
     * Sets the averageInboundPacketLossRateInPercentage property value. The average inbound stream packet loss rate in percentage (0-100). For example, 0.01 means 0.01%.
     * @param value Value to set for the averageInboundPacketLossRateInPercentage property.
     */
    set averageInboundPacketLossRateInPercentage(value) {
        this._averageInboundPacketLossRateInPercentage = value;
    }
    ;
    /**
     * Gets the averageInboundRoundTripDelay property value. The average inbound stream network round trip delay.
     * @returns a Duration
     */
    get averageInboundRoundTripDelay() {
        return this._averageInboundRoundTripDelay;
    }
    ;
    /**
     * Sets the averageInboundRoundTripDelay property value. The average inbound stream network round trip delay.
     * @param value Value to set for the averageInboundRoundTripDelay property.
     */
    set averageInboundRoundTripDelay(value) {
        this._averageInboundRoundTripDelay = value;
    }
    ;
    /**
     * Gets the averageOutboundJitter property value. The average outbound stream network jitter.
     * @returns a Duration
     */
    get averageOutboundJitter() {
        return this._averageOutboundJitter;
    }
    ;
    /**
     * Sets the averageOutboundJitter property value. The average outbound stream network jitter.
     * @param value Value to set for the averageOutboundJitter property.
     */
    set averageOutboundJitter(value) {
        this._averageOutboundJitter = value;
    }
    ;
    /**
     * Gets the averageOutboundPacketLossRateInPercentage property value. The average outbound stream packet loss rate in percentage (0-100). For example, 0.01 means 0.01%.
     * @returns a double
     */
    get averageOutboundPacketLossRateInPercentage() {
        return this._averageOutboundPacketLossRateInPercentage;
    }
    ;
    /**
     * Sets the averageOutboundPacketLossRateInPercentage property value. The average outbound stream packet loss rate in percentage (0-100). For example, 0.01 means 0.01%.
     * @param value Value to set for the averageOutboundPacketLossRateInPercentage property.
     */
    set averageOutboundPacketLossRateInPercentage(value) {
        this._averageOutboundPacketLossRateInPercentage = value;
    }
    ;
    /**
     * Gets the averageOutboundRoundTripDelay property value. The average outbound stream network round trip delay.
     * @returns a Duration
     */
    get averageOutboundRoundTripDelay() {
        return this._averageOutboundRoundTripDelay;
    }
    ;
    /**
     * Sets the averageOutboundRoundTripDelay property value. The average outbound stream network round trip delay.
     * @param value Value to set for the averageOutboundRoundTripDelay property.
     */
    set averageOutboundRoundTripDelay(value) {
        this._averageOutboundRoundTripDelay = value;
    }
    ;
    /**
     * Gets the channelIndex property value. The channel index of media. Indexing begins with 1.  If a media session contains 3 video modalities, channel indexes will be 1, 2, and 3.
     * @returns a integer
     */
    get channelIndex() {
        return this._channelIndex;
    }
    ;
    /**
     * Sets the channelIndex property value. The channel index of media. Indexing begins with 1.  If a media session contains 3 video modalities, channel indexes will be 1, 2, and 3.
     * @param value Value to set for the channelIndex property.
     */
    set channelIndex(value) {
        this._channelIndex = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "averageInboundJitter": n => { this.averageInboundJitter = n.getDurationValue(); },
            "averageInboundPacketLossRateInPercentage": n => { this.averageInboundPacketLossRateInPercentage = n.getNumberValue(); },
            "averageInboundRoundTripDelay": n => { this.averageInboundRoundTripDelay = n.getDurationValue(); },
            "averageOutboundJitter": n => { this.averageOutboundJitter = n.getDurationValue(); },
            "averageOutboundPacketLossRateInPercentage": n => { this.averageOutboundPacketLossRateInPercentage = n.getNumberValue(); },
            "averageOutboundRoundTripDelay": n => { this.averageOutboundRoundTripDelay = n.getDurationValue(); },
            "channelIndex": n => { this.channelIndex = n.getNumberValue(); },
            "inboundPackets": n => { this.inboundPackets = n.getNumberValue(); },
            "localIPAddress": n => { this.localIPAddress = n.getStringValue(); },
            "localPort": n => { this.localPort = n.getNumberValue(); },
            "maximumInboundJitter": n => { this.maximumInboundJitter = n.getDurationValue(); },
            "maximumInboundPacketLossRateInPercentage": n => { this.maximumInboundPacketLossRateInPercentage = n.getNumberValue(); },
            "maximumInboundRoundTripDelay": n => { this.maximumInboundRoundTripDelay = n.getDurationValue(); },
            "maximumOutboundJitter": n => { this.maximumOutboundJitter = n.getDurationValue(); },
            "maximumOutboundPacketLossRateInPercentage": n => { this.maximumOutboundPacketLossRateInPercentage = n.getNumberValue(); },
            "maximumOutboundRoundTripDelay": n => { this.maximumOutboundRoundTripDelay = n.getDurationValue(); },
            "mediaDuration": n => { this.mediaDuration = n.getDurationValue(); },
            "networkLinkSpeedInBytes": n => { this.networkLinkSpeedInBytes = n.getNumberValue(); },
            "outboundPackets": n => { this.outboundPackets = n.getNumberValue(); },
            "remoteIPAddress": n => { this.remoteIPAddress = n.getStringValue(); },
            "remotePort": n => { this.remotePort = n.getNumberValue(); },
        };
    }
    ;
    /**
     * Gets the inboundPackets property value. The total number of the inbound packets.
     * @returns a int64
     */
    get inboundPackets() {
        return this._inboundPackets;
    }
    ;
    /**
     * Sets the inboundPackets property value. The total number of the inbound packets.
     * @param value Value to set for the inboundPackets property.
     */
    set inboundPackets(value) {
        this._inboundPackets = value;
    }
    ;
    /**
     * Gets the localIPAddress property value. the local IP address for the media session.
     * @returns a string
     */
    get localIPAddress() {
        return this._localIPAddress;
    }
    ;
    /**
     * Sets the localIPAddress property value. the local IP address for the media session.
     * @param value Value to set for the localIPAddress property.
     */
    set localIPAddress(value) {
        this._localIPAddress = value;
    }
    ;
    /**
     * Gets the localPort property value. The local media port.
     * @returns a integer
     */
    get localPort() {
        return this._localPort;
    }
    ;
    /**
     * Sets the localPort property value. The local media port.
     * @param value Value to set for the localPort property.
     */
    set localPort(value) {
        this._localPort = value;
    }
    ;
    /**
     * Gets the maximumInboundJitter property value. The maximum inbound stream network jitter.
     * @returns a Duration
     */
    get maximumInboundJitter() {
        return this._maximumInboundJitter;
    }
    ;
    /**
     * Sets the maximumInboundJitter property value. The maximum inbound stream network jitter.
     * @param value Value to set for the maximumInboundJitter property.
     */
    set maximumInboundJitter(value) {
        this._maximumInboundJitter = value;
    }
    ;
    /**
     * Gets the maximumInboundPacketLossRateInPercentage property value. The maximum inbound stream packet loss rate in percentage (0-100). For example, 0.01 means 0.01%.
     * @returns a double
     */
    get maximumInboundPacketLossRateInPercentage() {
        return this._maximumInboundPacketLossRateInPercentage;
    }
    ;
    /**
     * Sets the maximumInboundPacketLossRateInPercentage property value. The maximum inbound stream packet loss rate in percentage (0-100). For example, 0.01 means 0.01%.
     * @param value Value to set for the maximumInboundPacketLossRateInPercentage property.
     */
    set maximumInboundPacketLossRateInPercentage(value) {
        this._maximumInboundPacketLossRateInPercentage = value;
    }
    ;
    /**
     * Gets the maximumInboundRoundTripDelay property value. The maximum inbound stream network round trip delay.
     * @returns a Duration
     */
    get maximumInboundRoundTripDelay() {
        return this._maximumInboundRoundTripDelay;
    }
    ;
    /**
     * Sets the maximumInboundRoundTripDelay property value. The maximum inbound stream network round trip delay.
     * @param value Value to set for the maximumInboundRoundTripDelay property.
     */
    set maximumInboundRoundTripDelay(value) {
        this._maximumInboundRoundTripDelay = value;
    }
    ;
    /**
     * Gets the maximumOutboundJitter property value. The maximum outbound stream network jitter.
     * @returns a Duration
     */
    get maximumOutboundJitter() {
        return this._maximumOutboundJitter;
    }
    ;
    /**
     * Sets the maximumOutboundJitter property value. The maximum outbound stream network jitter.
     * @param value Value to set for the maximumOutboundJitter property.
     */
    set maximumOutboundJitter(value) {
        this._maximumOutboundJitter = value;
    }
    ;
    /**
     * Gets the maximumOutboundPacketLossRateInPercentage property value. The maximum outbound stream packet loss rate in percentage (0-100). For example, 0.01 means 0.01%.
     * @returns a double
     */
    get maximumOutboundPacketLossRateInPercentage() {
        return this._maximumOutboundPacketLossRateInPercentage;
    }
    ;
    /**
     * Sets the maximumOutboundPacketLossRateInPercentage property value. The maximum outbound stream packet loss rate in percentage (0-100). For example, 0.01 means 0.01%.
     * @param value Value to set for the maximumOutboundPacketLossRateInPercentage property.
     */
    set maximumOutboundPacketLossRateInPercentage(value) {
        this._maximumOutboundPacketLossRateInPercentage = value;
    }
    ;
    /**
     * Gets the maximumOutboundRoundTripDelay property value. The maximum outbound stream network round trip delay.
     * @returns a Duration
     */
    get maximumOutboundRoundTripDelay() {
        return this._maximumOutboundRoundTripDelay;
    }
    ;
    /**
     * Sets the maximumOutboundRoundTripDelay property value. The maximum outbound stream network round trip delay.
     * @param value Value to set for the maximumOutboundRoundTripDelay property.
     */
    set maximumOutboundRoundTripDelay(value) {
        this._maximumOutboundRoundTripDelay = value;
    }
    ;
    /**
     * Gets the mediaDuration property value. The total modality duration. If the media enabled and disabled multiple times, MediaDuration will the summation of all of the durations.
     * @returns a Duration
     */
    get mediaDuration() {
        return this._mediaDuration;
    }
    ;
    /**
     * Sets the mediaDuration property value. The total modality duration. If the media enabled and disabled multiple times, MediaDuration will the summation of all of the durations.
     * @param value Value to set for the mediaDuration property.
     */
    set mediaDuration(value) {
        this._mediaDuration = value;
    }
    ;
    /**
     * Gets the networkLinkSpeedInBytes property value. The network link speed in bytes
     * @returns a int64
     */
    get networkLinkSpeedInBytes() {
        return this._networkLinkSpeedInBytes;
    }
    ;
    /**
     * Sets the networkLinkSpeedInBytes property value. The network link speed in bytes
     * @param value Value to set for the networkLinkSpeedInBytes property.
     */
    set networkLinkSpeedInBytes(value) {
        this._networkLinkSpeedInBytes = value;
    }
    ;
    /**
     * Gets the outboundPackets property value. The total number of the outbound packets.
     * @returns a int64
     */
    get outboundPackets() {
        return this._outboundPackets;
    }
    ;
    /**
     * Sets the outboundPackets property value. The total number of the outbound packets.
     * @param value Value to set for the outboundPackets property.
     */
    set outboundPackets(value) {
        this._outboundPackets = value;
    }
    ;
    /**
     * Gets the remoteIPAddress property value. The remote IP address for the media session.
     * @returns a string
     */
    get remoteIPAddress() {
        return this._remoteIPAddress;
    }
    ;
    /**
     * Sets the remoteIPAddress property value. The remote IP address for the media session.
     * @param value Value to set for the remoteIPAddress property.
     */
    set remoteIPAddress(value) {
        this._remoteIPAddress = value;
    }
    ;
    /**
     * Gets the remotePort property value. The remote media port.
     * @returns a integer
     */
    get remotePort() {
        return this._remotePort;
    }
    ;
    /**
     * Sets the remotePort property value. The remote media port.
     * @param value Value to set for the remotePort property.
     */
    set remotePort(value) {
        this._remotePort = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeDurationValue("averageInboundJitter", this.averageInboundJitter);
        writer.writeNumberValue("averageInboundPacketLossRateInPercentage", this.averageInboundPacketLossRateInPercentage);
        writer.writeDurationValue("averageInboundRoundTripDelay", this.averageInboundRoundTripDelay);
        writer.writeDurationValue("averageOutboundJitter", this.averageOutboundJitter);
        writer.writeNumberValue("averageOutboundPacketLossRateInPercentage", this.averageOutboundPacketLossRateInPercentage);
        writer.writeDurationValue("averageOutboundRoundTripDelay", this.averageOutboundRoundTripDelay);
        writer.writeNumberValue("channelIndex", this.channelIndex);
        writer.writeNumberValue("inboundPackets", this.inboundPackets);
        writer.writeStringValue("localIPAddress", this.localIPAddress);
        writer.writeNumberValue("localPort", this.localPort);
        writer.writeDurationValue("maximumInboundJitter", this.maximumInboundJitter);
        writer.writeNumberValue("maximumInboundPacketLossRateInPercentage", this.maximumInboundPacketLossRateInPercentage);
        writer.writeDurationValue("maximumInboundRoundTripDelay", this.maximumInboundRoundTripDelay);
        writer.writeDurationValue("maximumOutboundJitter", this.maximumOutboundJitter);
        writer.writeNumberValue("maximumOutboundPacketLossRateInPercentage", this.maximumOutboundPacketLossRateInPercentage);
        writer.writeDurationValue("maximumOutboundRoundTripDelay", this.maximumOutboundRoundTripDelay);
        writer.writeDurationValue("mediaDuration", this.mediaDuration);
        writer.writeNumberValue("networkLinkSpeedInBytes", this.networkLinkSpeedInBytes);
        writer.writeNumberValue("outboundPackets", this.outboundPackets);
        writer.writeStringValue("remoteIPAddress", this.remoteIPAddress);
        writer.writeNumberValue("remotePort", this.remotePort);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.TeleconferenceDeviceMediaQuality = TeleconferenceDeviceMediaQuality;
