"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TeleconferenceDeviceQuality = void 0;
const createTeleconferenceDeviceMediaQualityFromDiscriminatorValue_1 = require("./createTeleconferenceDeviceMediaQualityFromDiscriminatorValue");
class TeleconferenceDeviceQuality {
    /**
     * Instantiates a new teleconferenceDeviceQuality and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the callChainId property value. A unique identifier for all  the participant calls in a conference or a unique identifier for two participant calls in P2P call. This needs to be copied over from Microsoft.Graph.Call.CallChainId.
     * @returns a string
     */
    get callChainId() {
        return this._callChainId;
    }
    ;
    /**
     * Sets the callChainId property value. A unique identifier for all  the participant calls in a conference or a unique identifier for two participant calls in P2P call. This needs to be copied over from Microsoft.Graph.Call.CallChainId.
     * @param value Value to set for the callChainId property.
     */
    set callChainId(value) {
        this._callChainId = value;
    }
    ;
    /**
     * Gets the cloudServiceDeploymentEnvironment property value. A geo-region where the service is deployed, such as ProdNoam.
     * @returns a string
     */
    get cloudServiceDeploymentEnvironment() {
        return this._cloudServiceDeploymentEnvironment;
    }
    ;
    /**
     * Sets the cloudServiceDeploymentEnvironment property value. A geo-region where the service is deployed, such as ProdNoam.
     * @param value Value to set for the cloudServiceDeploymentEnvironment property.
     */
    set cloudServiceDeploymentEnvironment(value) {
        this._cloudServiceDeploymentEnvironment = value;
    }
    ;
    /**
     * Gets the cloudServiceDeploymentId property value. A unique deployment identifier assigned by Azure.
     * @returns a string
     */
    get cloudServiceDeploymentId() {
        return this._cloudServiceDeploymentId;
    }
    ;
    /**
     * Sets the cloudServiceDeploymentId property value. A unique deployment identifier assigned by Azure.
     * @param value Value to set for the cloudServiceDeploymentId property.
     */
    set cloudServiceDeploymentId(value) {
        this._cloudServiceDeploymentId = value;
    }
    ;
    /**
     * Gets the cloudServiceInstanceName property value. The Azure deployed cloud service instance name, such as FrontEnd_IN_3.
     * @returns a string
     */
    get cloudServiceInstanceName() {
        return this._cloudServiceInstanceName;
    }
    ;
    /**
     * Sets the cloudServiceInstanceName property value. The Azure deployed cloud service instance name, such as FrontEnd_IN_3.
     * @param value Value to set for the cloudServiceInstanceName property.
     */
    set cloudServiceInstanceName(value) {
        this._cloudServiceInstanceName = value;
    }
    ;
    /**
     * Gets the cloudServiceName property value. The Azure deployed cloud service name, such as contoso.cloudapp.net.
     * @returns a string
     */
    get cloudServiceName() {
        return this._cloudServiceName;
    }
    ;
    /**
     * Sets the cloudServiceName property value. The Azure deployed cloud service name, such as contoso.cloudapp.net.
     * @param value Value to set for the cloudServiceName property.
     */
    set cloudServiceName(value) {
        this._cloudServiceName = value;
    }
    ;
    ;
    /**
     * Gets the deviceDescription property value. Any additional description, such as VTC Bldg 30/21.
     * @returns a string
     */
    get deviceDescription() {
        return this._deviceDescription;
    }
    ;
    /**
     * Sets the deviceDescription property value. Any additional description, such as VTC Bldg 30/21.
     * @param value Value to set for the deviceDescription property.
     */
    set deviceDescription(value) {
        this._deviceDescription = value;
    }
    ;
    /**
     * Gets the deviceName property value. The user media agent name, such as Cisco SX80.
     * @returns a string
     */
    get deviceName() {
        return this._deviceName;
    }
    ;
    /**
     * Sets the deviceName property value. The user media agent name, such as Cisco SX80.
     * @param value Value to set for the deviceName property.
     */
    set deviceName(value) {
        this._deviceName = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "callChainId": n => { this.callChainId = n.getStringValue(); },
            "cloudServiceDeploymentEnvironment": n => { this.cloudServiceDeploymentEnvironment = n.getStringValue(); },
            "cloudServiceDeploymentId": n => { this.cloudServiceDeploymentId = n.getStringValue(); },
            "cloudServiceInstanceName": n => { this.cloudServiceInstanceName = n.getStringValue(); },
            "cloudServiceName": n => { this.cloudServiceName = n.getStringValue(); },
            "deviceDescription": n => { this.deviceDescription = n.getStringValue(); },
            "deviceName": n => { this.deviceName = n.getStringValue(); },
            "mediaLegId": n => { this.mediaLegId = n.getStringValue(); },
            "mediaQualityList": n => { this.mediaQualityList = n.getCollectionOfObjectValues(createTeleconferenceDeviceMediaQualityFromDiscriminatorValue_1.createTeleconferenceDeviceMediaQualityFromDiscriminatorValue); },
            "participantId": n => { this.participantId = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the mediaLegId property value. A unique identifier for a specific media leg of a participant in a conference.  One participant can have multiple media leg identifiers if retargeting happens. CVI partner assigns this value.
     * @returns a string
     */
    get mediaLegId() {
        return this._mediaLegId;
    }
    ;
    /**
     * Sets the mediaLegId property value. A unique identifier for a specific media leg of a participant in a conference.  One participant can have multiple media leg identifiers if retargeting happens. CVI partner assigns this value.
     * @param value Value to set for the mediaLegId property.
     */
    set mediaLegId(value) {
        this._mediaLegId = value;
    }
    ;
    /**
     * Gets the mediaQualityList property value. The list of media qualities in a media session (call), such as audio quality, video quality, and/or screen sharing quality.
     * @returns a teleconferenceDeviceMediaQuality
     */
    get mediaQualityList() {
        return this._mediaQualityList;
    }
    ;
    /**
     * Sets the mediaQualityList property value. The list of media qualities in a media session (call), such as audio quality, video quality, and/or screen sharing quality.
     * @param value Value to set for the mediaQualityList property.
     */
    set mediaQualityList(value) {
        this._mediaQualityList = value;
    }
    ;
    /**
     * Gets the participantId property value. A unique identifier for a specific participant in a conference. The CVI partner needs to copy over Call.MyParticipantId to this property.
     * @returns a string
     */
    get participantId() {
        return this._participantId;
    }
    ;
    /**
     * Sets the participantId property value. A unique identifier for a specific participant in a conference. The CVI partner needs to copy over Call.MyParticipantId to this property.
     * @param value Value to set for the participantId property.
     */
    set participantId(value) {
        this._participantId = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("callChainId", this.callChainId);
        writer.writeStringValue("cloudServiceDeploymentEnvironment", this.cloudServiceDeploymentEnvironment);
        writer.writeStringValue("cloudServiceDeploymentId", this.cloudServiceDeploymentId);
        writer.writeStringValue("cloudServiceInstanceName", this.cloudServiceInstanceName);
        writer.writeStringValue("cloudServiceName", this.cloudServiceName);
        writer.writeStringValue("deviceDescription", this.deviceDescription);
        writer.writeStringValue("deviceName", this.deviceName);
        writer.writeStringValue("mediaLegId", this.mediaLegId);
        writer.writeCollectionOfObjectValues("mediaQualityList", this.mediaQualityList);
        writer.writeStringValue("participantId", this.participantId);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.TeleconferenceDeviceQuality = TeleconferenceDeviceQuality;
