import { Set, Term } from './termStore/';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class TermColumn implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** Specifies whether the column will allow more than one value */
    private _allowMultipleValues?;
    /** The parentTerm property */
    private _parentTerm?;
    /** Specifies whether to display the entire term path or only the term label. */
    private _showFullyQualifiedName?;
    /** The termSet property */
    private _termSet?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the allowMultipleValues property value. Specifies whether the column will allow more than one value
     * @returns a boolean
     */
    get allowMultipleValues(): boolean | undefined;
    /**
     * Sets the allowMultipleValues property value. Specifies whether the column will allow more than one value
     * @param value Value to set for the allowMultipleValues property.
     */
    set allowMultipleValues(value: boolean | undefined);
    /**
     * Instantiates a new termColumn and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the parentTerm property value. The parentTerm property
     * @returns a term
     */
    get parentTerm(): Term | undefined;
    /**
     * Sets the parentTerm property value. The parentTerm property
     * @param value Value to set for the parentTerm property.
     */
    set parentTerm(value: Term | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the showFullyQualifiedName property value. Specifies whether to display the entire term path or only the term label.
     * @returns a boolean
     */
    get showFullyQualifiedName(): boolean | undefined;
    /**
     * Sets the showFullyQualifiedName property value. Specifies whether to display the entire term path or only the term label.
     * @param value Value to set for the showFullyQualifiedName property.
     */
    set showFullyQualifiedName(value: boolean | undefined);
    /**
     * Gets the termSet property value. The termSet property
     * @returns a set
     */
    get termSet(): Set | undefined;
    /**
     * Sets the termSet property value. The termSet property
     * @param value Value to set for the termSet property.
     */
    set termSet(value: Set | undefined);
}
