import { Entity } from '../';
import { Set } from './index';
import { TermGroupScope } from './termGroupScope';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Casts the previous resource to user. */
export declare class Group extends Entity implements Parsable {
    /** Date and time of the group creation. Read-only. */
    private _createdDateTime?;
    /** Description that gives details on the term usage. */
    private _description?;
    /** Name of the group. */
    private _displayName?;
    /** ID of the parent site of this group. */
    private _parentSiteId?;
    /** Returns the type of the group. Possible values are global, system, and siteCollection. */
    private _scope?;
    /** All sets under the group in a term [store]. */
    private _sets?;
    /**
     * Instantiates a new group and sets the default values.
     */
    constructor();
    /**
     * Gets the createdDateTime property value. Date and time of the group creation. Read-only.
     * @returns a Date
     */
    get createdDateTime(): Date | undefined;
    /**
     * Sets the createdDateTime property value. Date and time of the group creation. Read-only.
     * @param value Value to set for the createdDateTime property.
     */
    set createdDateTime(value: Date | undefined);
    /**
     * Gets the description property value. Description that gives details on the term usage.
     * @returns a string
     */
    get description(): string | undefined;
    /**
     * Sets the description property value. Description that gives details on the term usage.
     * @param value Value to set for the description property.
     */
    set description(value: string | undefined);
    /**
     * Gets the displayName property value. Name of the group.
     * @returns a string
     */
    get displayName(): string | undefined;
    /**
     * Sets the displayName property value. Name of the group.
     * @param value Value to set for the displayName property.
     */
    set displayName(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the parentSiteId property value. ID of the parent site of this group.
     * @returns a string
     */
    get parentSiteId(): string | undefined;
    /**
     * Sets the parentSiteId property value. ID of the parent site of this group.
     * @param value Value to set for the parentSiteId property.
     */
    set parentSiteId(value: string | undefined);
    /**
     * Gets the scope property value. Returns the type of the group. Possible values are global, system, and siteCollection.
     * @returns a termGroupScope
     */
    get scope(): TermGroupScope | undefined;
    /**
     * Sets the scope property value. Returns the type of the group. Possible values are global, system, and siteCollection.
     * @param value Value to set for the scope property.
     */
    set scope(value: TermGroupScope | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the sets property value. All sets under the group in a term [store].
     * @returns a set
     */
    get sets(): Set[] | undefined;
    /**
     * Sets the sets property value. All sets under the group in a term [store].
     * @param value Value to set for the sets property.
     */
    set sets(value: Set[] | undefined);
}
