"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.LocalizedLabel = void 0;
class LocalizedLabel {
    /**
     * Instantiates a new localizedLabel and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "isDefault": n => { this.isDefault = n.getBooleanValue(); },
            "languageTag": n => { this.languageTag = n.getStringValue(); },
            "name": n => { this.name = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the isDefault property value. Indicates whether the label is the default label.
     * @returns a boolean
     */
    get isDefault() {
        return this._isDefault;
    }
    ;
    /**
     * Sets the isDefault property value. Indicates whether the label is the default label.
     * @param value Value to set for the isDefault property.
     */
    set isDefault(value) {
        this._isDefault = value;
    }
    ;
    /**
     * Gets the languageTag property value. The language tag for the label.
     * @returns a string
     */
    get languageTag() {
        return this._languageTag;
    }
    ;
    /**
     * Sets the languageTag property value. The language tag for the label.
     * @param value Value to set for the languageTag property.
     */
    set languageTag(value) {
        this._languageTag = value;
    }
    ;
    /**
     * Gets the name property value. The name of the label.
     * @returns a string
     */
    get name() {
        return this._name;
    }
    ;
    /**
     * Sets the name property value. The name of the label.
     * @param value Value to set for the name property.
     */
    set name(value) {
        this._name = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeBooleanValue("isDefault", this.isDefault);
        writer.writeStringValue("languageTag", this.languageTag);
        writer.writeStringValue("name", this.name);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.LocalizedLabel = LocalizedLabel;
