"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Relation = void 0;
const __1 = require("../");
const createSetFromDiscriminatorValue_1 = require("./createSetFromDiscriminatorValue");
const createTermFromDiscriminatorValue_1 = require("./createTermFromDiscriminatorValue");
const relationType_1 = require("./relationType");
/** Casts the previous resource to user. */
class Relation extends __1.Entity {
    /**
     * Instantiates a new relation and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the fromTerm property value. The from [term] of the relation. The term from which the relationship is defined. A null value would indicate the relation is directly with the [set].
     * @returns a term
     */
    get fromTerm() {
        return this._fromTerm;
    }
    ;
    /**
     * Sets the fromTerm property value. The from [term] of the relation. The term from which the relationship is defined. A null value would indicate the relation is directly with the [set].
     * @param value Value to set for the fromTerm property.
     */
    set fromTerm(value) {
        this._fromTerm = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "fromTerm": n => { this.fromTerm = n.getObjectValue(createTermFromDiscriminatorValue_1.createTermFromDiscriminatorValue); }, "relationship": n => { this.relationship = n.getEnumValue(relationType_1.RelationType); }, "set": n => { this.set = n.getObjectValue(createSetFromDiscriminatorValue_1.createSetFromDiscriminatorValue); }, "toTerm": n => { this.toTerm = n.getObjectValue(createTermFromDiscriminatorValue_1.createTermFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the relationship property value. The type of relation. Possible values are: pin, reuse.
     * @returns a relationType
     */
    get relationship() {
        return this._relationship;
    }
    ;
    /**
     * Sets the relationship property value. The type of relation. Possible values are: pin, reuse.
     * @param value Value to set for the relationship property.
     */
    set relationship(value) {
        this._relationship = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("fromTerm", this.fromTerm);
        writer.writeEnumValue("relationship", this.relationship);
        writer.writeObjectValue("set", this.set);
        writer.writeObjectValue("toTerm", this.toTerm);
    }
    ;
    /**
     * Gets the set property value. The [set] in which the relation is relevant.
     * @returns a set
     */
    get set() {
        return this._set;
    }
    ;
    /**
     * Sets the set property value. The [set] in which the relation is relevant.
     * @param value Value to set for the set property.
     */
    set set(value) {
        this._set = value;
    }
    ;
    /**
     * Gets the toTerm property value. The to [term] of the relation. The term to which the relationship is defined.
     * @returns a term
     */
    get toTerm() {
        return this._toTerm;
    }
    ;
    /**
     * Sets the toTerm property value. The to [term] of the relation. The term to which the relationship is defined.
     * @param value Value to set for the toTerm property.
     */
    set toTerm(value) {
        this._toTerm = value;
    }
    ;
}
exports.Relation = Relation;
