import { Entity, KeyValue } from '../';
import { Group, LocalizedName, Relation, Term } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Casts the previous resource to user. */
export declare class Set extends Entity implements Parsable {
    /** Children terms of set in term [store]. */
    private _children?;
    /** Date and time of set creation. Read-only. */
    private _createdDateTime?;
    /** Description giving details on the term usage. */
    private _description?;
    /** Name of the set for each languageTag. */
    private _localizedNames?;
    /** The parentGroup property */
    private _parentGroup?;
    /** Custom properties for the set. */
    private _properties?;
    /** Indicates which terms have been pinned or reused directly under the set. */
    private _relations?;
    /** All the terms under the set. */
    private _terms?;
    /**
     * Gets the children property value. Children terms of set in term [store].
     * @returns a term
     */
    get children(): Term[] | undefined;
    /**
     * Sets the children property value. Children terms of set in term [store].
     * @param value Value to set for the children property.
     */
    set children(value: Term[] | undefined);
    /**
     * Instantiates a new set and sets the default values.
     */
    constructor();
    /**
     * Gets the createdDateTime property value. Date and time of set creation. Read-only.
     * @returns a Date
     */
    get createdDateTime(): Date | undefined;
    /**
     * Sets the createdDateTime property value. Date and time of set creation. Read-only.
     * @param value Value to set for the createdDateTime property.
     */
    set createdDateTime(value: Date | undefined);
    /**
     * Gets the description property value. Description giving details on the term usage.
     * @returns a string
     */
    get description(): string | undefined;
    /**
     * Sets the description property value. Description giving details on the term usage.
     * @param value Value to set for the description property.
     */
    set description(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the localizedNames property value. Name of the set for each languageTag.
     * @returns a localizedName
     */
    get localizedNames(): LocalizedName[] | undefined;
    /**
     * Sets the localizedNames property value. Name of the set for each languageTag.
     * @param value Value to set for the localizedNames property.
     */
    set localizedNames(value: LocalizedName[] | undefined);
    /**
     * Gets the parentGroup property value. The parentGroup property
     * @returns a group
     */
    get parentGroup(): Group | undefined;
    /**
     * Sets the parentGroup property value. The parentGroup property
     * @param value Value to set for the parentGroup property.
     */
    set parentGroup(value: Group | undefined);
    /**
     * Gets the properties property value. Custom properties for the set.
     * @returns a keyValue
     */
    get properties(): KeyValue[] | undefined;
    /**
     * Sets the properties property value. Custom properties for the set.
     * @param value Value to set for the properties property.
     */
    set properties(value: KeyValue[] | undefined);
    /**
     * Gets the relations property value. Indicates which terms have been pinned or reused directly under the set.
     * @returns a relation
     */
    get relations(): Relation[] | undefined;
    /**
     * Sets the relations property value. Indicates which terms have been pinned or reused directly under the set.
     * @param value Value to set for the relations property.
     */
    set relations(value: Relation[] | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the terms property value. All the terms under the set.
     * @returns a term
     */
    get terms(): Term[] | undefined;
    /**
     * Sets the terms property value. All the terms under the set.
     * @param value Value to set for the terms property.
     */
    set terms(value: Term[] | undefined);
}
