"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Set = void 0;
const __1 = require("../");
const createKeyValueFromDiscriminatorValue_1 = require("../createKeyValueFromDiscriminatorValue");
const createGroupFromDiscriminatorValue_1 = require("./createGroupFromDiscriminatorValue");
const createLocalizedNameFromDiscriminatorValue_1 = require("./createLocalizedNameFromDiscriminatorValue");
const createRelationFromDiscriminatorValue_1 = require("./createRelationFromDiscriminatorValue");
const createTermFromDiscriminatorValue_1 = require("./createTermFromDiscriminatorValue");
/** Casts the previous resource to user. */
class Set extends __1.Entity {
    /**
     * Instantiates a new set and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the children property value. Children terms of set in term [store].
     * @returns a term
     */
    get children() {
        return this._children;
    }
    ;
    /**
     * Sets the children property value. Children terms of set in term [store].
     * @param value Value to set for the children property.
     */
    set children(value) {
        this._children = value;
    }
    ;
    ;
    /**
     * Gets the createdDateTime property value. Date and time of set creation. Read-only.
     * @returns a Date
     */
    get createdDateTime() {
        return this._createdDateTime;
    }
    ;
    /**
     * Sets the createdDateTime property value. Date and time of set creation. Read-only.
     * @param value Value to set for the createdDateTime property.
     */
    set createdDateTime(value) {
        this._createdDateTime = value;
    }
    ;
    /**
     * Gets the description property value. Description giving details on the term usage.
     * @returns a string
     */
    get description() {
        return this._description;
    }
    ;
    /**
     * Sets the description property value. Description giving details on the term usage.
     * @param value Value to set for the description property.
     */
    set description(value) {
        this._description = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "children": n => { this.children = n.getCollectionOfObjectValues(createTermFromDiscriminatorValue_1.createTermFromDiscriminatorValue); }, "createdDateTime": n => { this.createdDateTime = n.getDateValue(); }, "description": n => { this.description = n.getStringValue(); }, "localizedNames": n => { this.localizedNames = n.getCollectionOfObjectValues(createLocalizedNameFromDiscriminatorValue_1.createLocalizedNameFromDiscriminatorValue); }, "parentGroup": n => { this.parentGroup = n.getObjectValue(createGroupFromDiscriminatorValue_1.createGroupFromDiscriminatorValue); }, "properties": n => { this.properties = n.getCollectionOfObjectValues(createKeyValueFromDiscriminatorValue_1.createKeyValueFromDiscriminatorValue); }, "relations": n => { this.relations = n.getCollectionOfObjectValues(createRelationFromDiscriminatorValue_1.createRelationFromDiscriminatorValue); }, "terms": n => { this.terms = n.getCollectionOfObjectValues(createTermFromDiscriminatorValue_1.createTermFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the localizedNames property value. Name of the set for each languageTag.
     * @returns a localizedName
     */
    get localizedNames() {
        return this._localizedNames;
    }
    ;
    /**
     * Sets the localizedNames property value. Name of the set for each languageTag.
     * @param value Value to set for the localizedNames property.
     */
    set localizedNames(value) {
        this._localizedNames = value;
    }
    ;
    /**
     * Gets the parentGroup property value. The parentGroup property
     * @returns a group
     */
    get parentGroup() {
        return this._parentGroup;
    }
    ;
    /**
     * Sets the parentGroup property value. The parentGroup property
     * @param value Value to set for the parentGroup property.
     */
    set parentGroup(value) {
        this._parentGroup = value;
    }
    ;
    /**
     * Gets the properties property value. Custom properties for the set.
     * @returns a keyValue
     */
    get properties() {
        return this._properties;
    }
    ;
    /**
     * Sets the properties property value. Custom properties for the set.
     * @param value Value to set for the properties property.
     */
    set properties(value) {
        this._properties = value;
    }
    ;
    /**
     * Gets the relations property value. Indicates which terms have been pinned or reused directly under the set.
     * @returns a relation
     */
    get relations() {
        return this._relations;
    }
    ;
    /**
     * Sets the relations property value. Indicates which terms have been pinned or reused directly under the set.
     * @param value Value to set for the relations property.
     */
    set relations(value) {
        this._relations = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("children", this.children);
        writer.writeDateValue("createdDateTime", this.createdDateTime);
        writer.writeStringValue("description", this.description);
        writer.writeCollectionOfObjectValues("localizedNames", this.localizedNames);
        writer.writeObjectValue("parentGroup", this.parentGroup);
        writer.writeCollectionOfObjectValues("properties", this.properties);
        writer.writeCollectionOfObjectValues("relations", this.relations);
        writer.writeCollectionOfObjectValues("terms", this.terms);
    }
    ;
    /**
     * Gets the terms property value. All the terms under the set.
     * @returns a term
     */
    get terms() {
        return this._terms;
    }
    ;
    /**
     * Sets the terms property value. All the terms under the set.
     * @param value Value to set for the terms property.
     */
    set terms(value) {
        this._terms = value;
    }
    ;
}
exports.Set = Set;
