"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Term = void 0;
const __1 = require("../");
const createKeyValueFromDiscriminatorValue_1 = require("../createKeyValueFromDiscriminatorValue");
const createLocalizedDescriptionFromDiscriminatorValue_1 = require("./createLocalizedDescriptionFromDiscriminatorValue");
const createLocalizedLabelFromDiscriminatorValue_1 = require("./createLocalizedLabelFromDiscriminatorValue");
const createRelationFromDiscriminatorValue_1 = require("./createRelationFromDiscriminatorValue");
const createSetFromDiscriminatorValue_1 = require("./createSetFromDiscriminatorValue");
const createTermFromDiscriminatorValue_1 = require("./createTermFromDiscriminatorValue");
/** Casts the previous resource to user. */
class Term extends __1.Entity {
    /**
     * Instantiates a new term and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the children property value. Children of current term.
     * @returns a term
     */
    get children() {
        return this._children;
    }
    ;
    /**
     * Sets the children property value. Children of current term.
     * @param value Value to set for the children property.
     */
    set children(value) {
        this._children = value;
    }
    ;
    ;
    /**
     * Gets the createdDateTime property value. Date and time of term creation. Read-only.
     * @returns a Date
     */
    get createdDateTime() {
        return this._createdDateTime;
    }
    ;
    /**
     * Sets the createdDateTime property value. Date and time of term creation. Read-only.
     * @param value Value to set for the createdDateTime property.
     */
    set createdDateTime(value) {
        this._createdDateTime = value;
    }
    ;
    /**
     * Gets the descriptions property value. Description about term that is dependent on the languageTag.
     * @returns a localizedDescription
     */
    get descriptions() {
        return this._descriptions;
    }
    ;
    /**
     * Sets the descriptions property value. Description about term that is dependent on the languageTag.
     * @param value Value to set for the descriptions property.
     */
    set descriptions(value) {
        this._descriptions = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "children": n => { this.children = n.getCollectionOfObjectValues(createTermFromDiscriminatorValue_1.createTermFromDiscriminatorValue); }, "createdDateTime": n => { this.createdDateTime = n.getDateValue(); }, "descriptions": n => { this.descriptions = n.getCollectionOfObjectValues(createLocalizedDescriptionFromDiscriminatorValue_1.createLocalizedDescriptionFromDiscriminatorValue); }, "labels": n => { this.labels = n.getCollectionOfObjectValues(createLocalizedLabelFromDiscriminatorValue_1.createLocalizedLabelFromDiscriminatorValue); }, "lastModifiedDateTime": n => { this.lastModifiedDateTime = n.getDateValue(); }, "properties": n => { this.properties = n.getCollectionOfObjectValues(createKeyValueFromDiscriminatorValue_1.createKeyValueFromDiscriminatorValue); }, "relations": n => { this.relations = n.getCollectionOfObjectValues(createRelationFromDiscriminatorValue_1.createRelationFromDiscriminatorValue); }, "set": n => { this.set = n.getObjectValue(createSetFromDiscriminatorValue_1.createSetFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the labels property value. Label metadata for a term.
     * @returns a localizedLabel
     */
    get labels() {
        return this._labels;
    }
    ;
    /**
     * Sets the labels property value. Label metadata for a term.
     * @param value Value to set for the labels property.
     */
    set labels(value) {
        this._labels = value;
    }
    ;
    /**
     * Gets the lastModifiedDateTime property value. Last date and time of term modification. Read-only.
     * @returns a Date
     */
    get lastModifiedDateTime() {
        return this._lastModifiedDateTime;
    }
    ;
    /**
     * Sets the lastModifiedDateTime property value. Last date and time of term modification. Read-only.
     * @param value Value to set for the lastModifiedDateTime property.
     */
    set lastModifiedDateTime(value) {
        this._lastModifiedDateTime = value;
    }
    ;
    /**
     * Gets the properties property value. Collection of properties on the term.
     * @returns a keyValue
     */
    get properties() {
        return this._properties;
    }
    ;
    /**
     * Sets the properties property value. Collection of properties on the term.
     * @param value Value to set for the properties property.
     */
    set properties(value) {
        this._properties = value;
    }
    ;
    /**
     * Gets the relations property value. To indicate which terms are related to the current term as either pinned or reused.
     * @returns a relation
     */
    get relations() {
        return this._relations;
    }
    ;
    /**
     * Sets the relations property value. To indicate which terms are related to the current term as either pinned or reused.
     * @param value Value to set for the relations property.
     */
    set relations(value) {
        this._relations = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("children", this.children);
        writer.writeDateValue("createdDateTime", this.createdDateTime);
        writer.writeCollectionOfObjectValues("descriptions", this.descriptions);
        writer.writeCollectionOfObjectValues("labels", this.labels);
        writer.writeDateValue("lastModifiedDateTime", this.lastModifiedDateTime);
        writer.writeCollectionOfObjectValues("properties", this.properties);
        writer.writeCollectionOfObjectValues("relations", this.relations);
        writer.writeObjectValue("set", this.set);
    }
    ;
    /**
     * Gets the set property value. The [set] in which the term is created.
     * @returns a set
     */
    get set() {
        return this._set;
    }
    ;
    /**
     * Sets the set property value. The [set] in which the term is created.
     * @param value Value to set for the set property.
     */
    set set(value) {
        this._set = value;
    }
    ;
}
exports.Term = Term;
