"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TermsAndConditionsAcceptanceStatus = void 0;
const createTermsAndConditionsFromDiscriminatorValue_1 = require("./createTermsAndConditionsFromDiscriminatorValue");
const index_1 = require("./index");
/** A termsAndConditionsAcceptanceStatus entity represents the acceptance status of a given Terms and Conditions (T&C) policy by a given user. Users must accept the most up-to-date version of the terms in order to retain access to the Company Portal. */
class TermsAndConditionsAcceptanceStatus extends index_1.Entity {
    /**
     * Instantiates a new termsAndConditionsAcceptanceStatus and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the acceptedDateTime property value. DateTime when the terms were last accepted by the user.
     * @returns a Date
     */
    get acceptedDateTime() {
        return this._acceptedDateTime;
    }
    ;
    /**
     * Sets the acceptedDateTime property value. DateTime when the terms were last accepted by the user.
     * @param value Value to set for the acceptedDateTime property.
     */
    set acceptedDateTime(value) {
        this._acceptedDateTime = value;
    }
    ;
    /**
     * Gets the acceptedVersion property value. Most recent version number of the T&C accepted by the user.
     * @returns a integer
     */
    get acceptedVersion() {
        return this._acceptedVersion;
    }
    ;
    /**
     * Sets the acceptedVersion property value. Most recent version number of the T&C accepted by the user.
     * @param value Value to set for the acceptedVersion property.
     */
    set acceptedVersion(value) {
        this._acceptedVersion = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "acceptedDateTime": n => { this.acceptedDateTime = n.getDateValue(); }, "acceptedVersion": n => { this.acceptedVersion = n.getNumberValue(); }, "termsAndConditions": n => { this.termsAndConditions = n.getObjectValue(createTermsAndConditionsFromDiscriminatorValue_1.createTermsAndConditionsFromDiscriminatorValue); }, "userDisplayName": n => { this.userDisplayName = n.getStringValue(); }, "userPrincipalName": n => { this.userPrincipalName = n.getStringValue(); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeDateValue("acceptedDateTime", this.acceptedDateTime);
        writer.writeNumberValue("acceptedVersion", this.acceptedVersion);
        writer.writeObjectValue("termsAndConditions", this.termsAndConditions);
        writer.writeStringValue("userDisplayName", this.userDisplayName);
        writer.writeStringValue("userPrincipalName", this.userPrincipalName);
    }
    ;
    /**
     * Gets the termsAndConditions property value. Navigation link to the terms and conditions that are assigned.
     * @returns a termsAndConditions
     */
    get termsAndConditions() {
        return this._termsAndConditions;
    }
    ;
    /**
     * Sets the termsAndConditions property value. Navigation link to the terms and conditions that are assigned.
     * @param value Value to set for the termsAndConditions property.
     */
    set termsAndConditions(value) {
        this._termsAndConditions = value;
    }
    ;
    /**
     * Gets the userDisplayName property value. Display name of the user whose acceptance the entity represents.
     * @returns a string
     */
    get userDisplayName() {
        return this._userDisplayName;
    }
    ;
    /**
     * Sets the userDisplayName property value. Display name of the user whose acceptance the entity represents.
     * @param value Value to set for the userDisplayName property.
     */
    set userDisplayName(value) {
        this._userDisplayName = value;
    }
    ;
    /**
     * Gets the userPrincipalName property value. The userPrincipalName of the User that accepted the term.
     * @returns a string
     */
    get userPrincipalName() {
        return this._userPrincipalName;
    }
    ;
    /**
     * Sets the userPrincipalName property value. The userPrincipalName of the User that accepted the term.
     * @param value Value to set for the userPrincipalName property.
     */
    set userPrincipalName(value) {
        this._userPrincipalName = value;
    }
    ;
}
exports.TermsAndConditionsAcceptanceStatus = TermsAndConditionsAcceptanceStatus;
