"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TermsAndConditionsAssignment = void 0;
const createDeviceAndAppManagementAssignmentTargetFromDiscriminatorValue_1 = require("./createDeviceAndAppManagementAssignmentTargetFromDiscriminatorValue");
const index_1 = require("./index");
/** A termsAndConditionsAssignment entity represents the assignment of a given Terms and Conditions (T&C) policy to a given group. Users in the group will be required to accept the terms in order to have devices enrolled into Intune. */
class TermsAndConditionsAssignment extends index_1.Entity {
    /**
     * Instantiates a new termsAndConditionsAssignment and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "target": n => { this.target = n.getObjectValue(createDeviceAndAppManagementAssignmentTargetFromDiscriminatorValue_1.createDeviceAndAppManagementAssignmentTargetFromDiscriminatorValue); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("target", this.target);
    }
    ;
    /**
     * Gets the target property value. Assignment target that the T&C policy is assigned to.
     * @returns a deviceAndAppManagementAssignmentTarget
     */
    get target() {
        return this._target;
    }
    ;
    /**
     * Sets the target property value. Assignment target that the T&C policy is assigned to.
     * @param value Value to set for the target property.
     */
    set target(value) {
        this._target = value;
    }
    ;
}
exports.TermsAndConditionsAssignment = TermsAndConditionsAssignment;
