import { Agreement, AgreementAcceptance, Entity } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the identityGovernance singleton. */
export declare class TermsOfUseContainer extends Entity implements Parsable {
    /** Represents the current status of a user's response to a company's customizable terms of use agreement. */
    private _agreementAcceptances?;
    /** Represents a tenant's customizable terms of use agreement that's created and managed with Azure Active Directory (Azure AD). */
    private _agreements?;
    /**
     * Gets the agreementAcceptances property value. Represents the current status of a user's response to a company's customizable terms of use agreement.
     * @returns a agreementAcceptance
     */
    get agreementAcceptances(): AgreementAcceptance[] | undefined;
    /**
     * Sets the agreementAcceptances property value. Represents the current status of a user's response to a company's customizable terms of use agreement.
     * @param value Value to set for the agreementAcceptances property.
     */
    set agreementAcceptances(value: AgreementAcceptance[] | undefined);
    /**
     * Gets the agreements property value. Represents a tenant's customizable terms of use agreement that's created and managed with Azure Active Directory (Azure AD).
     * @returns a agreement
     */
    get agreements(): Agreement[] | undefined;
    /**
     * Sets the agreements property value. Represents a tenant's customizable terms of use agreement that's created and managed with Azure Active Directory (Azure AD).
     * @param value Value to set for the agreements property.
     */
    set agreements(value: Agreement[] | undefined);
    /**
     * Instantiates a new termsOfUseContainer and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
