"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TermsOfUseContainer = void 0;
const createAgreementAcceptanceFromDiscriminatorValue_1 = require("./createAgreementAcceptanceFromDiscriminatorValue");
const createAgreementFromDiscriminatorValue_1 = require("./createAgreementFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the identityGovernance singleton. */
class TermsOfUseContainer extends index_1.Entity {
    /**
     * Instantiates a new termsOfUseContainer and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the agreementAcceptances property value. Represents the current status of a user's response to a company's customizable terms of use agreement.
     * @returns a agreementAcceptance
     */
    get agreementAcceptances() {
        return this._agreementAcceptances;
    }
    ;
    /**
     * Sets the agreementAcceptances property value. Represents the current status of a user's response to a company's customizable terms of use agreement.
     * @param value Value to set for the agreementAcceptances property.
     */
    set agreementAcceptances(value) {
        this._agreementAcceptances = value;
    }
    ;
    /**
     * Gets the agreements property value. Represents a tenant's customizable terms of use agreement that's created and managed with Azure Active Directory (Azure AD).
     * @returns a agreement
     */
    get agreements() {
        return this._agreements;
    }
    ;
    /**
     * Sets the agreements property value. Represents a tenant's customizable terms of use agreement that's created and managed with Azure Active Directory (Azure AD).
     * @param value Value to set for the agreements property.
     */
    set agreements(value) {
        this._agreements = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "agreementAcceptances": n => { this.agreementAcceptances = n.getCollectionOfObjectValues(createAgreementAcceptanceFromDiscriminatorValue_1.createAgreementAcceptanceFromDiscriminatorValue); }, "agreements": n => { this.agreements = n.getCollectionOfObjectValues(createAgreementFromDiscriminatorValue_1.createAgreementFromDiscriminatorValue); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("agreementAcceptances", this.agreementAcceptances);
        writer.writeCollectionOfObjectValues("agreements", this.agreements);
    }
    ;
}
exports.TermsOfUseContainer = TermsOfUseContainer;
