"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ThreatAssessmentRequest = void 0;
const createIdentitySetFromDiscriminatorValue_1 = require("./createIdentitySetFromDiscriminatorValue");
const createThreatAssessmentResultFromDiscriminatorValue_1 = require("./createThreatAssessmentResultFromDiscriminatorValue");
const index_1 = require("./index");
const threatAssessmentContentType_1 = require("./threatAssessmentContentType");
const threatAssessmentRequestSource_1 = require("./threatAssessmentRequestSource");
const threatAssessmentStatus_1 = require("./threatAssessmentStatus");
const threatCategory_1 = require("./threatCategory");
const threatExpectedAssessment_1 = require("./threatExpectedAssessment");
/** Provides operations to manage the informationProtection singleton. */
class ThreatAssessmentRequest extends index_1.Entity {
    /**
     * Instantiates a new threatAssessmentRequest and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the category property value. The threat category. Possible values are: spam, phishing, malware.
     * @returns a threatCategory
     */
    get category() {
        return this._category;
    }
    ;
    /**
     * Sets the category property value. The threat category. Possible values are: spam, phishing, malware.
     * @param value Value to set for the category property.
     */
    set category(value) {
        this._category = value;
    }
    ;
    ;
    /**
     * Gets the contentType property value. The content type of threat assessment. Possible values are: mail, url, file.
     * @returns a threatAssessmentContentType
     */
    get contentType() {
        return this._contentType;
    }
    ;
    /**
     * Sets the contentType property value. The content type of threat assessment. Possible values are: mail, url, file.
     * @param value Value to set for the contentType property.
     */
    set contentType(value) {
        this._contentType = value;
    }
    ;
    /**
     * Gets the createdBy property value. The threat assessment request creator.
     * @returns a identitySet
     */
    get createdBy() {
        return this._createdBy;
    }
    ;
    /**
     * Sets the createdBy property value. The threat assessment request creator.
     * @param value Value to set for the createdBy property.
     */
    set createdBy(value) {
        this._createdBy = value;
    }
    ;
    /**
     * Gets the createdDateTime property value. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     * @returns a Date
     */
    get createdDateTime() {
        return this._createdDateTime;
    }
    ;
    /**
     * Sets the createdDateTime property value. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     * @param value Value to set for the createdDateTime property.
     */
    set createdDateTime(value) {
        this._createdDateTime = value;
    }
    ;
    /**
     * Gets the expectedAssessment property value. The expected assessment from submitter. Possible values are: block, unblock.
     * @returns a threatExpectedAssessment
     */
    get expectedAssessment() {
        return this._expectedAssessment;
    }
    ;
    /**
     * Sets the expectedAssessment property value. The expected assessment from submitter. Possible values are: block, unblock.
     * @param value Value to set for the expectedAssessment property.
     */
    set expectedAssessment(value) {
        this._expectedAssessment = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "category": n => { this.category = n.getEnumValue(threatCategory_1.ThreatCategory); }, "contentType": n => { this.contentType = n.getEnumValue(threatAssessmentContentType_1.ThreatAssessmentContentType); }, "createdBy": n => { this.createdBy = n.getObjectValue(createIdentitySetFromDiscriminatorValue_1.createIdentitySetFromDiscriminatorValue); }, "createdDateTime": n => { this.createdDateTime = n.getDateValue(); }, "expectedAssessment": n => { this.expectedAssessment = n.getEnumValue(threatExpectedAssessment_1.ThreatExpectedAssessment); }, "requestSource": n => { this.requestSource = n.getEnumValue(threatAssessmentRequestSource_1.ThreatAssessmentRequestSource); }, "results": n => { this.results = n.getCollectionOfObjectValues(createThreatAssessmentResultFromDiscriminatorValue_1.createThreatAssessmentResultFromDiscriminatorValue); }, "status": n => { this.status = n.getEnumValue(threatAssessmentStatus_1.ThreatAssessmentStatus); } });
    }
    ;
    /**
     * Gets the requestSource property value. The source of the threat assessment request. Possible values are: user, administrator.
     * @returns a threatAssessmentRequestSource
     */
    get requestSource() {
        return this._requestSource;
    }
    ;
    /**
     * Sets the requestSource property value. The source of the threat assessment request. Possible values are: user, administrator.
     * @param value Value to set for the requestSource property.
     */
    set requestSource(value) {
        this._requestSource = value;
    }
    ;
    /**
     * Gets the results property value. A collection of threat assessment results. Read-only. By default, a GET /threatAssessmentRequests/{id} does not return this property unless you apply $expand on it.
     * @returns a threatAssessmentResult
     */
    get results() {
        return this._results;
    }
    ;
    /**
     * Sets the results property value. A collection of threat assessment results. Read-only. By default, a GET /threatAssessmentRequests/{id} does not return this property unless you apply $expand on it.
     * @param value Value to set for the results property.
     */
    set results(value) {
        this._results = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeEnumValue("category", this.category);
        writer.writeEnumValue("contentType", this.contentType);
        writer.writeObjectValue("createdBy", this.createdBy);
        writer.writeDateValue("createdDateTime", this.createdDateTime);
        writer.writeEnumValue("expectedAssessment", this.expectedAssessment);
        writer.writeEnumValue("requestSource", this.requestSource);
        writer.writeCollectionOfObjectValues("results", this.results);
        writer.writeEnumValue("status", this.status);
    }
    ;
    /**
     * Gets the status property value. The assessment process status. Possible values are: pending, completed.
     * @returns a threatAssessmentStatus
     */
    get status() {
        return this._status;
    }
    ;
    /**
     * Sets the status property value. The assessment process status. Possible values are: pending, completed.
     * @param value Value to set for the status property.
     */
    set status(value) {
        this._status = value;
    }
    ;
}
exports.ThreatAssessmentRequest = ThreatAssessmentRequest;
