"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ThreatAssessmentResult = void 0;
const index_1 = require("./index");
const threatAssessmentResultType_1 = require("./threatAssessmentResultType");
/** Provides operations to manage the informationProtection singleton. */
class ThreatAssessmentResult extends index_1.Entity {
    /**
     * Instantiates a new threatAssessmentResult and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the createdDateTime property value. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     * @returns a Date
     */
    get createdDateTime() {
        return this._createdDateTime;
    }
    ;
    /**
     * Sets the createdDateTime property value. The Timestamp type represents date and time information using ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2014 is 2014-01-01T00:00:00Z.
     * @param value Value to set for the createdDateTime property.
     */
    set createdDateTime(value) {
        this._createdDateTime = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "createdDateTime": n => { this.createdDateTime = n.getDateValue(); }, "message": n => { this.message = n.getStringValue(); }, "resultType": n => { this.resultType = n.getEnumValue(threatAssessmentResultType_1.ThreatAssessmentResultType); } });
    }
    ;
    /**
     * Gets the message property value. The result message for each threat assessment.
     * @returns a string
     */
    get message() {
        return this._message;
    }
    ;
    /**
     * Sets the message property value. The result message for each threat assessment.
     * @param value Value to set for the message property.
     */
    set message(value) {
        this._message = value;
    }
    ;
    /**
     * Gets the resultType property value. The threat assessment result type. Possible values are: checkPolicy (only for mail assessment), rescan.
     * @returns a threatAssessmentResultType
     */
    get resultType() {
        return this._resultType;
    }
    ;
    /**
     * Sets the resultType property value. The threat assessment result type. Possible values are: checkPolicy (only for mail assessment), rescan.
     * @param value Value to set for the resultType property.
     */
    set resultType(value) {
        this._resultType = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeDateValue("createdDateTime", this.createdDateTime);
        writer.writeStringValue("message", this.message);
        writer.writeEnumValue("resultType", this.resultType);
    }
    ;
}
exports.ThreatAssessmentResult = ThreatAssessmentResult;
