import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class Thumbnail implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The content stream for the thumbnail. */
    private _content?;
    /** The height of the thumbnail, in pixels. */
    private _height?;
    /** The unique identifier of the item that provided the thumbnail. This is only available when a folder thumbnail is requested. */
    private _sourceItemId?;
    /** The URL used to fetch the thumbnail content. */
    private _url?;
    /** The width of the thumbnail, in pixels. */
    private _width?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Instantiates a new thumbnail and sets the default values.
     */
    constructor();
    /**
     * Gets the content property value. The content stream for the thumbnail.
     * @returns a binary
     */
    get content(): string | undefined;
    /**
     * Sets the content property value. The content stream for the thumbnail.
     * @param value Value to set for the content property.
     */
    set content(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the height property value. The height of the thumbnail, in pixels.
     * @returns a integer
     */
    get height(): number | undefined;
    /**
     * Sets the height property value. The height of the thumbnail, in pixels.
     * @param value Value to set for the height property.
     */
    set height(value: number | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the sourceItemId property value. The unique identifier of the item that provided the thumbnail. This is only available when a folder thumbnail is requested.
     * @returns a string
     */
    get sourceItemId(): string | undefined;
    /**
     * Sets the sourceItemId property value. The unique identifier of the item that provided the thumbnail. This is only available when a folder thumbnail is requested.
     * @param value Value to set for the sourceItemId property.
     */
    set sourceItemId(value: string | undefined);
    /**
     * Gets the url property value. The URL used to fetch the thumbnail content.
     * @returns a string
     */
    get url(): string | undefined;
    /**
     * Sets the url property value. The URL used to fetch the thumbnail content.
     * @param value Value to set for the url property.
     */
    set url(value: string | undefined);
    /**
     * Gets the width property value. The width of the thumbnail, in pixels.
     * @returns a integer
     */
    get width(): number | undefined;
    /**
     * Sets the width property value. The width of the thumbnail, in pixels.
     * @param value Value to set for the width property.
     */
    set width(value: number | undefined);
}
