"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Thumbnail = void 0;
class Thumbnail {
    /**
     * Instantiates a new thumbnail and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the content property value. The content stream for the thumbnail.
     * @returns a binary
     */
    get content() {
        return this._content;
    }
    ;
    /**
     * Sets the content property value. The content stream for the thumbnail.
     * @param value Value to set for the content property.
     */
    set content(value) {
        this._content = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "content": n => { this.content = n.getStringValue(); },
            "height": n => { this.height = n.getNumberValue(); },
            "sourceItemId": n => { this.sourceItemId = n.getStringValue(); },
            "url": n => { this.url = n.getStringValue(); },
            "width": n => { this.width = n.getNumberValue(); },
        };
    }
    ;
    /**
     * Gets the height property value. The height of the thumbnail, in pixels.
     * @returns a integer
     */
    get height() {
        return this._height;
    }
    ;
    /**
     * Sets the height property value. The height of the thumbnail, in pixels.
     * @param value Value to set for the height property.
     */
    set height(value) {
        this._height = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("content", this.content);
        writer.writeNumberValue("height", this.height);
        writer.writeStringValue("sourceItemId", this.sourceItemId);
        writer.writeStringValue("url", this.url);
        writer.writeNumberValue("width", this.width);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the sourceItemId property value. The unique identifier of the item that provided the thumbnail. This is only available when a folder thumbnail is requested.
     * @returns a string
     */
    get sourceItemId() {
        return this._sourceItemId;
    }
    ;
    /**
     * Sets the sourceItemId property value. The unique identifier of the item that provided the thumbnail. This is only available when a folder thumbnail is requested.
     * @param value Value to set for the sourceItemId property.
     */
    set sourceItemId(value) {
        this._sourceItemId = value;
    }
    ;
    /**
     * Gets the url property value. The URL used to fetch the thumbnail content.
     * @returns a string
     */
    get url() {
        return this._url;
    }
    ;
    /**
     * Sets the url property value. The URL used to fetch the thumbnail content.
     * @param value Value to set for the url property.
     */
    set url(value) {
        this._url = value;
    }
    ;
    /**
     * Gets the width property value. The width of the thumbnail, in pixels.
     * @returns a integer
     */
    get width() {
        return this._width;
    }
    ;
    /**
     * Sets the width property value. The width of the thumbnail, in pixels.
     * @param value Value to set for the width property.
     */
    set width(value) {
        this._width = value;
    }
    ;
}
exports.Thumbnail = Thumbnail;
