import { Entity, Thumbnail } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Casts the previous resource to user. */
export declare class ThumbnailSet extends Entity implements Parsable {
    /** A 1920x1920 scaled thumbnail. */
    private _large?;
    /** A 176x176 scaled thumbnail. */
    private _medium?;
    /** A 48x48 cropped thumbnail. */
    private _small?;
    /** A custom thumbnail image or the original image used to generate other thumbnails. */
    private _source?;
    /**
     * Instantiates a new thumbnailSet and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the large property value. A 1920x1920 scaled thumbnail.
     * @returns a thumbnail
     */
    get large(): Thumbnail | undefined;
    /**
     * Sets the large property value. A 1920x1920 scaled thumbnail.
     * @param value Value to set for the large property.
     */
    set large(value: Thumbnail | undefined);
    /**
     * Gets the medium property value. A 176x176 scaled thumbnail.
     * @returns a thumbnail
     */
    get medium(): Thumbnail | undefined;
    /**
     * Sets the medium property value. A 176x176 scaled thumbnail.
     * @param value Value to set for the medium property.
     */
    set medium(value: Thumbnail | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the small property value. A 48x48 cropped thumbnail.
     * @returns a thumbnail
     */
    get small(): Thumbnail | undefined;
    /**
     * Sets the small property value. A 48x48 cropped thumbnail.
     * @param value Value to set for the small property.
     */
    set small(value: Thumbnail | undefined);
    /**
     * Gets the source property value. A custom thumbnail image or the original image used to generate other thumbnails.
     * @returns a thumbnail
     */
    get source(): Thumbnail | undefined;
    /**
     * Sets the source property value. A custom thumbnail image or the original image used to generate other thumbnails.
     * @param value Value to set for the source property.
     */
    set source(value: Thumbnail | undefined);
}
