"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ThumbnailSet = void 0;
const createThumbnailFromDiscriminatorValue_1 = require("./createThumbnailFromDiscriminatorValue");
const index_1 = require("./index");
/** Casts the previous resource to user. */
class ThumbnailSet extends index_1.Entity {
    /**
     * Instantiates a new thumbnailSet and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "large": n => { this.large = n.getObjectValue(createThumbnailFromDiscriminatorValue_1.createThumbnailFromDiscriminatorValue); }, "medium": n => { this.medium = n.getObjectValue(createThumbnailFromDiscriminatorValue_1.createThumbnailFromDiscriminatorValue); }, "small": n => { this.small = n.getObjectValue(createThumbnailFromDiscriminatorValue_1.createThumbnailFromDiscriminatorValue); }, "source": n => { this.source = n.getObjectValue(createThumbnailFromDiscriminatorValue_1.createThumbnailFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the large property value. A 1920x1920 scaled thumbnail.
     * @returns a thumbnail
     */
    get large() {
        return this._large;
    }
    ;
    /**
     * Sets the large property value. A 1920x1920 scaled thumbnail.
     * @param value Value to set for the large property.
     */
    set large(value) {
        this._large = value;
    }
    ;
    /**
     * Gets the medium property value. A 176x176 scaled thumbnail.
     * @returns a thumbnail
     */
    get medium() {
        return this._medium;
    }
    ;
    /**
     * Sets the medium property value. A 176x176 scaled thumbnail.
     * @param value Value to set for the medium property.
     */
    set medium(value) {
        this._medium = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("large", this.large);
        writer.writeObjectValue("medium", this.medium);
        writer.writeObjectValue("small", this.small);
        writer.writeObjectValue("source", this.source);
    }
    ;
    /**
     * Gets the small property value. A 48x48 cropped thumbnail.
     * @returns a thumbnail
     */
    get small() {
        return this._small;
    }
    ;
    /**
     * Sets the small property value. A 48x48 cropped thumbnail.
     * @param value Value to set for the small property.
     */
    set small(value) {
        this._small = value;
    }
    ;
    /**
     * Gets the source property value. A custom thumbnail image or the original image used to generate other thumbnails.
     * @returns a thumbnail
     */
    get source() {
        return this._source;
    }
    ;
    /**
     * Sets the source property value. A custom thumbnail image or the original image used to generate other thumbnails.
     * @param value Value to set for the source property.
     */
    set source(value) {
        this._source = value;
    }
    ;
}
exports.ThumbnailSet = ThumbnailSet;
