import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class TicketInfo implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** Ticket number meta data */
    private _ticketNumber?;
    /** Ticket system meta data */
    private _ticketSystem?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Instantiates a new ticketInfo and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the ticketNumber property value. Ticket number meta data
     * @returns a string
     */
    get ticketNumber(): string | undefined;
    /**
     * Sets the ticketNumber property value. Ticket number meta data
     * @param value Value to set for the ticketNumber property.
     */
    set ticketNumber(value: string | undefined);
    /**
     * Gets the ticketSystem property value. Ticket system meta data
     * @returns a string
     */
    get ticketSystem(): string | undefined;
    /**
     * Sets the ticketSystem property value. Ticket system meta data
     * @param value Value to set for the ticketSystem property.
     */
    set ticketSystem(value: string | undefined);
}
