"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TimeConstraint = void 0;
const activityDomain_1 = require("./activityDomain");
const createTimeSlotFromDiscriminatorValue_1 = require("./createTimeSlotFromDiscriminatorValue");
class TimeConstraint {
    /**
     * Instantiates a new timeConstraint and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the activityDomain property value. The nature of the activity, optional. Possible values are: work, personal, unrestricted, or unknown.
     * @returns a activityDomain
     */
    get activityDomain() {
        return this._activityDomain;
    }
    ;
    /**
     * Sets the activityDomain property value. The nature of the activity, optional. Possible values are: work, personal, unrestricted, or unknown.
     * @param value Value to set for the activityDomain property.
     */
    set activityDomain(value) {
        this._activityDomain = value;
    }
    ;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "activityDomain": n => { this.activityDomain = n.getEnumValue(activityDomain_1.ActivityDomain); },
            "timeSlots": n => { this.timeSlots = n.getCollectionOfObjectValues(createTimeSlotFromDiscriminatorValue_1.createTimeSlotFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeEnumValue("activityDomain", this.activityDomain);
        writer.writeCollectionOfObjectValues("timeSlots", this.timeSlots);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the timeSlots property value. The timeSlots property
     * @returns a timeSlot
     */
    get timeSlots() {
        return this._timeSlots;
    }
    ;
    /**
     * Sets the timeSlots property value. The timeSlots property
     * @param value Value to set for the timeSlots property.
     */
    set timeSlots(value) {
        this._timeSlots = value;
    }
    ;
}
exports.TimeConstraint = TimeConstraint;
