"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TimeOff = void 0;
const createTimeOffItemFromDiscriminatorValue_1 = require("./createTimeOffItemFromDiscriminatorValue");
const index_1 = require("./index");
/** Casts the previous resource to user. */
class TimeOff extends index_1.ChangeTrackedEntity {
    /**
     * Instantiates a new timeOff and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the draftTimeOff property value. The draft version of this timeOff that is viewable by managers. Required.
     * @returns a timeOffItem
     */
    get draftTimeOff() {
        return this._draftTimeOff;
    }
    ;
    /**
     * Sets the draftTimeOff property value. The draft version of this timeOff that is viewable by managers. Required.
     * @param value Value to set for the draftTimeOff property.
     */
    set draftTimeOff(value) {
        this._draftTimeOff = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "draftTimeOff": n => { this.draftTimeOff = n.getObjectValue(createTimeOffItemFromDiscriminatorValue_1.createTimeOffItemFromDiscriminatorValue); }, "sharedTimeOff": n => { this.sharedTimeOff = n.getObjectValue(createTimeOffItemFromDiscriminatorValue_1.createTimeOffItemFromDiscriminatorValue); }, "userId": n => { this.userId = n.getStringValue(); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("draftTimeOff", this.draftTimeOff);
        writer.writeObjectValue("sharedTimeOff", this.sharedTimeOff);
        writer.writeStringValue("userId", this.userId);
    }
    ;
    /**
     * Gets the sharedTimeOff property value. The shared version of this timeOff that is viewable by both employees and managers. Required.
     * @returns a timeOffItem
     */
    get sharedTimeOff() {
        return this._sharedTimeOff;
    }
    ;
    /**
     * Sets the sharedTimeOff property value. The shared version of this timeOff that is viewable by both employees and managers. Required.
     * @param value Value to set for the sharedTimeOff property.
     */
    set sharedTimeOff(value) {
        this._sharedTimeOff = value;
    }
    ;
    /**
     * Gets the userId property value. ID of the user assigned to the timeOff. Required.
     * @returns a string
     */
    get userId() {
        return this._userId;
    }
    ;
    /**
     * Sets the userId property value. ID of the user assigned to the timeOff. Required.
     * @param value Value to set for the userId property.
     */
    set userId(value) {
        this._userId = value;
    }
    ;
}
exports.TimeOff = TimeOff;
