import { ChangeTrackedEntity } from './index';
import { TimeOffReasonIconType } from './timeOffReasonIconType';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Casts the previous resource to user. */
export declare class TimeOffReason extends ChangeTrackedEntity implements Parsable {
    /** The name of the timeOffReason. Required. */
    private _displayName?;
    /** Supported icon types: none; car; calendar; running; plane; firstAid; doctor; notWorking; clock; juryDuty; globe; cup; phone; weather; umbrella; piggyBank; dog; cake; trafficCone; pin; sunny. Required. */
    private _iconType?;
    /** Indicates whether the timeOffReason can be used when creating new entities or updating existing ones. Required. */
    private _isActive?;
    /**
     * Instantiates a new timeOffReason and sets the default values.
     */
    constructor();
    /**
     * Gets the displayName property value. The name of the timeOffReason. Required.
     * @returns a string
     */
    get displayName(): string | undefined;
    /**
     * Sets the displayName property value. The name of the timeOffReason. Required.
     * @param value Value to set for the displayName property.
     */
    set displayName(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the iconType property value. Supported icon types: none; car; calendar; running; plane; firstAid; doctor; notWorking; clock; juryDuty; globe; cup; phone; weather; umbrella; piggyBank; dog; cake; trafficCone; pin; sunny. Required.
     * @returns a timeOffReasonIconType
     */
    get iconType(): TimeOffReasonIconType | undefined;
    /**
     * Sets the iconType property value. Supported icon types: none; car; calendar; running; plane; firstAid; doctor; notWorking; clock; juryDuty; globe; cup; phone; weather; umbrella; piggyBank; dog; cake; trafficCone; pin; sunny. Required.
     * @param value Value to set for the iconType property.
     */
    set iconType(value: TimeOffReasonIconType | undefined);
    /**
     * Gets the isActive property value. Indicates whether the timeOffReason can be used when creating new entities or updating existing ones. Required.
     * @returns a boolean
     */
    get isActive(): boolean | undefined;
    /**
     * Sets the isActive property value. Indicates whether the timeOffReason can be used when creating new entities or updating existing ones. Required.
     * @param value Value to set for the isActive property.
     */
    set isActive(value: boolean | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
