import { DateTimeTimeZone } from './index';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class TimeSlot implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The end property */
    private _end?;
    /** The start property */
    private _start?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Instantiates a new timeSlot and sets the default values.
     */
    constructor();
    /**
     * Gets the end property value. The end property
     * @returns a dateTimeTimeZone
     */
    get end(): DateTimeTimeZone | undefined;
    /**
     * Sets the end property value. The end property
     * @param value Value to set for the end property.
     */
    set end(value: DateTimeTimeZone | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the start property value. The start property
     * @returns a dateTimeTimeZone
     */
    get start(): DateTimeTimeZone | undefined;
    /**
     * Sets the start property value. The start property
     * @param value Value to set for the start property.
     */
    set start(value: DateTimeTimeZone | undefined);
}
