"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Todo = void 0;
const createTodoTaskListFromDiscriminatorValue_1 = require("./createTodoTaskListFromDiscriminatorValue");
const index_1 = require("./index");
/** Casts the previous resource to user. */
class Todo extends index_1.Entity {
    /**
     * Instantiates a new todo and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "lists": n => { this.lists = n.getCollectionOfObjectValues(createTodoTaskListFromDiscriminatorValue_1.createTodoTaskListFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the lists property value. The task lists in the users mailbox.
     * @returns a todoTaskList
     */
    get lists() {
        return this._lists;
    }
    ;
    /**
     * Sets the lists property value. The task lists in the users mailbox.
     * @param value Value to set for the lists property.
     */
    set lists(value) {
        this._lists = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("lists", this.lists);
    }
    ;
}
exports.Todo = Todo;
