"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TodoTask = void 0;
const createChecklistItemFromDiscriminatorValue_1 = require("./createChecklistItemFromDiscriminatorValue");
const createDateTimeTimeZoneFromDiscriminatorValue_1 = require("./createDateTimeTimeZoneFromDiscriminatorValue");
const createExtensionFromDiscriminatorValue_1 = require("./createExtensionFromDiscriminatorValue");
const createItemBodyFromDiscriminatorValue_1 = require("./createItemBodyFromDiscriminatorValue");
const createLinkedResourceFromDiscriminatorValue_1 = require("./createLinkedResourceFromDiscriminatorValue");
const createPatternedRecurrenceFromDiscriminatorValue_1 = require("./createPatternedRecurrenceFromDiscriminatorValue");
const importance_1 = require("./importance");
const index_1 = require("./index");
const taskStatus_1 = require("./taskStatus");
/** Casts the previous resource to user. */
class TodoTask extends index_1.Entity {
    /**
     * Instantiates a new todoTask and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the body property value. The task body that typically contains information about the task.
     * @returns a itemBody
     */
    get body() {
        return this._body;
    }
    ;
    /**
     * Sets the body property value. The task body that typically contains information about the task.
     * @param value Value to set for the body property.
     */
    set body(value) {
        this._body = value;
    }
    ;
    /**
     * Gets the bodyLastModifiedDateTime property value. The date and time when the task was last modified. By default, it is in UTC. You can provide a custom time zone in the request header. The property value uses ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2020 would look like this: '2020-01-01T00:00:00Z'.
     * @returns a Date
     */
    get bodyLastModifiedDateTime() {
        return this._bodyLastModifiedDateTime;
    }
    ;
    /**
     * Sets the bodyLastModifiedDateTime property value. The date and time when the task was last modified. By default, it is in UTC. You can provide a custom time zone in the request header. The property value uses ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2020 would look like this: '2020-01-01T00:00:00Z'.
     * @param value Value to set for the bodyLastModifiedDateTime property.
     */
    set bodyLastModifiedDateTime(value) {
        this._bodyLastModifiedDateTime = value;
    }
    ;
    /**
     * Gets the categories property value. The categories property
     * @returns a string
     */
    get categories() {
        return this._categories;
    }
    ;
    /**
     * Sets the categories property value. The categories property
     * @param value Value to set for the categories property.
     */
    set categories(value) {
        this._categories = value;
    }
    ;
    /**
     * Gets the checklistItems property value. The checklistItems property
     * @returns a checklistItem
     */
    get checklistItems() {
        return this._checklistItems;
    }
    ;
    /**
     * Sets the checklistItems property value. The checklistItems property
     * @param value Value to set for the checklistItems property.
     */
    set checklistItems(value) {
        this._checklistItems = value;
    }
    ;
    /**
     * Gets the completedDateTime property value. The date in the specified time zone that the task was finished.
     * @returns a dateTimeTimeZone
     */
    get completedDateTime() {
        return this._completedDateTime;
    }
    ;
    /**
     * Sets the completedDateTime property value. The date in the specified time zone that the task was finished.
     * @param value Value to set for the completedDateTime property.
     */
    set completedDateTime(value) {
        this._completedDateTime = value;
    }
    ;
    ;
    /**
     * Gets the createdDateTime property value. The date and time when the task was created. By default, it is in UTC. You can provide a custom time zone in the request header. The property value uses ISO 8601 format. For example, midnight UTC on Jan 1, 2020 would look like this: '2020-01-01T00:00:00Z'.
     * @returns a Date
     */
    get createdDateTime() {
        return this._createdDateTime;
    }
    ;
    /**
     * Sets the createdDateTime property value. The date and time when the task was created. By default, it is in UTC. You can provide a custom time zone in the request header. The property value uses ISO 8601 format. For example, midnight UTC on Jan 1, 2020 would look like this: '2020-01-01T00:00:00Z'.
     * @param value Value to set for the createdDateTime property.
     */
    set createdDateTime(value) {
        this._createdDateTime = value;
    }
    ;
    /**
     * Gets the dueDateTime property value. The date in the specified time zone that the task is to be finished.
     * @returns a dateTimeTimeZone
     */
    get dueDateTime() {
        return this._dueDateTime;
    }
    ;
    /**
     * Sets the dueDateTime property value. The date in the specified time zone that the task is to be finished.
     * @param value Value to set for the dueDateTime property.
     */
    set dueDateTime(value) {
        this._dueDateTime = value;
    }
    ;
    /**
     * Gets the extensions property value. The collection of open extensions defined for the task. Nullable.
     * @returns a extension
     */
    get extensions() {
        return this._extensions;
    }
    ;
    /**
     * Sets the extensions property value. The collection of open extensions defined for the task. Nullable.
     * @param value Value to set for the extensions property.
     */
    set extensions(value) {
        this._extensions = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "body": n => { this.body = n.getObjectValue(createItemBodyFromDiscriminatorValue_1.createItemBodyFromDiscriminatorValue); }, "bodyLastModifiedDateTime": n => { this.bodyLastModifiedDateTime = n.getDateValue(); }, "categories": n => { this.categories = n.getCollectionOfPrimitiveValues(); }, "checklistItems": n => { this.checklistItems = n.getCollectionOfObjectValues(createChecklistItemFromDiscriminatorValue_1.createChecklistItemFromDiscriminatorValue); }, "completedDateTime": n => { this.completedDateTime = n.getObjectValue(createDateTimeTimeZoneFromDiscriminatorValue_1.createDateTimeTimeZoneFromDiscriminatorValue); }, "createdDateTime": n => { this.createdDateTime = n.getDateValue(); }, "dueDateTime": n => { this.dueDateTime = n.getObjectValue(createDateTimeTimeZoneFromDiscriminatorValue_1.createDateTimeTimeZoneFromDiscriminatorValue); }, "extensions": n => { this.extensions = n.getCollectionOfObjectValues(createExtensionFromDiscriminatorValue_1.createExtensionFromDiscriminatorValue); }, "importance": n => { this.importance = n.getEnumValue(importance_1.Importance); }, "isReminderOn": n => { this.isReminderOn = n.getBooleanValue(); }, "lastModifiedDateTime": n => { this.lastModifiedDateTime = n.getDateValue(); }, "linkedResources": n => { this.linkedResources = n.getCollectionOfObjectValues(createLinkedResourceFromDiscriminatorValue_1.createLinkedResourceFromDiscriminatorValue); }, "recurrence": n => { this.recurrence = n.getObjectValue(createPatternedRecurrenceFromDiscriminatorValue_1.createPatternedRecurrenceFromDiscriminatorValue); }, "reminderDateTime": n => { this.reminderDateTime = n.getObjectValue(createDateTimeTimeZoneFromDiscriminatorValue_1.createDateTimeTimeZoneFromDiscriminatorValue); }, "status": n => { this.status = n.getEnumValue(taskStatus_1.TaskStatus); }, "title": n => { this.title = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the importance property value. The importance of the task. Possible values are: low, normal, high.
     * @returns a importance
     */
    get importance() {
        return this._importance;
    }
    ;
    /**
     * Sets the importance property value. The importance of the task. Possible values are: low, normal, high.
     * @param value Value to set for the importance property.
     */
    set importance(value) {
        this._importance = value;
    }
    ;
    /**
     * Gets the isReminderOn property value. Set to true if an alert is set to remind the user of the task.
     * @returns a boolean
     */
    get isReminderOn() {
        return this._isReminderOn;
    }
    ;
    /**
     * Sets the isReminderOn property value. Set to true if an alert is set to remind the user of the task.
     * @param value Value to set for the isReminderOn property.
     */
    set isReminderOn(value) {
        this._isReminderOn = value;
    }
    ;
    /**
     * Gets the lastModifiedDateTime property value. The date and time when the task was last modified. By default, it is in UTC. You can provide a custom time zone in the request header. The property value uses ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2020 would look like this: '2020-01-01T00:00:00Z'.
     * @returns a Date
     */
    get lastModifiedDateTime() {
        return this._lastModifiedDateTime;
    }
    ;
    /**
     * Sets the lastModifiedDateTime property value. The date and time when the task was last modified. By default, it is in UTC. You can provide a custom time zone in the request header. The property value uses ISO 8601 format and is always in UTC time. For example, midnight UTC on Jan 1, 2020 would look like this: '2020-01-01T00:00:00Z'.
     * @param value Value to set for the lastModifiedDateTime property.
     */
    set lastModifiedDateTime(value) {
        this._lastModifiedDateTime = value;
    }
    ;
    /**
     * Gets the linkedResources property value. A collection of resources linked to the task.
     * @returns a linkedResource
     */
    get linkedResources() {
        return this._linkedResources;
    }
    ;
    /**
     * Sets the linkedResources property value. A collection of resources linked to the task.
     * @param value Value to set for the linkedResources property.
     */
    set linkedResources(value) {
        this._linkedResources = value;
    }
    ;
    /**
     * Gets the recurrence property value. The recurrence pattern for the task.
     * @returns a patternedRecurrence
     */
    get recurrence() {
        return this._recurrence;
    }
    ;
    /**
     * Sets the recurrence property value. The recurrence pattern for the task.
     * @param value Value to set for the recurrence property.
     */
    set recurrence(value) {
        this._recurrence = value;
    }
    ;
    /**
     * Gets the reminderDateTime property value. The date and time for a reminder alert of the task to occur.
     * @returns a dateTimeTimeZone
     */
    get reminderDateTime() {
        return this._reminderDateTime;
    }
    ;
    /**
     * Sets the reminderDateTime property value. The date and time for a reminder alert of the task to occur.
     * @param value Value to set for the reminderDateTime property.
     */
    set reminderDateTime(value) {
        this._reminderDateTime = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("body", this.body);
        writer.writeDateValue("bodyLastModifiedDateTime", this.bodyLastModifiedDateTime);
        writer.writeCollectionOfPrimitiveValues("categories", this.categories);
        writer.writeCollectionOfObjectValues("checklistItems", this.checklistItems);
        writer.writeObjectValue("completedDateTime", this.completedDateTime);
        writer.writeDateValue("createdDateTime", this.createdDateTime);
        writer.writeObjectValue("dueDateTime", this.dueDateTime);
        writer.writeCollectionOfObjectValues("extensions", this.extensions);
        writer.writeEnumValue("importance", this.importance);
        writer.writeBooleanValue("isReminderOn", this.isReminderOn);
        writer.writeDateValue("lastModifiedDateTime", this.lastModifiedDateTime);
        writer.writeCollectionOfObjectValues("linkedResources", this.linkedResources);
        writer.writeObjectValue("recurrence", this.recurrence);
        writer.writeObjectValue("reminderDateTime", this.reminderDateTime);
        writer.writeEnumValue("status", this.status);
        writer.writeStringValue("title", this.title);
    }
    ;
    /**
     * Gets the status property value. Indicates the state or progress of the task. Possible values are: notStarted, inProgress, completed, waitingOnOthers, deferred.
     * @returns a taskStatus
     */
    get status() {
        return this._status;
    }
    ;
    /**
     * Sets the status property value. Indicates the state or progress of the task. Possible values are: notStarted, inProgress, completed, waitingOnOthers, deferred.
     * @param value Value to set for the status property.
     */
    set status(value) {
        this._status = value;
    }
    ;
    /**
     * Gets the title property value. A brief description of the task.
     * @returns a string
     */
    get title() {
        return this._title;
    }
    ;
    /**
     * Sets the title property value. A brief description of the task.
     * @param value Value to set for the title property.
     */
    set title(value) {
        this._title = value;
    }
    ;
}
exports.TodoTask = TodoTask;
