"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TodoTaskList = void 0;
const createExtensionFromDiscriminatorValue_1 = require("./createExtensionFromDiscriminatorValue");
const createTodoTaskFromDiscriminatorValue_1 = require("./createTodoTaskFromDiscriminatorValue");
const index_1 = require("./index");
const wellknownListName_1 = require("./wellknownListName");
/** Casts the previous resource to user. */
class TodoTaskList extends index_1.Entity {
    /**
     * Instantiates a new todoTaskList and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the displayName property value. The name of the task list.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. The name of the task list.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * Gets the extensions property value. The collection of open extensions defined for the task list. Nullable.
     * @returns a extension
     */
    get extensions() {
        return this._extensions;
    }
    ;
    /**
     * Sets the extensions property value. The collection of open extensions defined for the task list. Nullable.
     * @param value Value to set for the extensions property.
     */
    set extensions(value) {
        this._extensions = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "displayName": n => { this.displayName = n.getStringValue(); }, "extensions": n => { this.extensions = n.getCollectionOfObjectValues(createExtensionFromDiscriminatorValue_1.createExtensionFromDiscriminatorValue); }, "isOwner": n => { this.isOwner = n.getBooleanValue(); }, "isShared": n => { this.isShared = n.getBooleanValue(); }, "tasks": n => { this.tasks = n.getCollectionOfObjectValues(createTodoTaskFromDiscriminatorValue_1.createTodoTaskFromDiscriminatorValue); }, "wellknownListName": n => { this.wellknownListName = n.getEnumValue(wellknownListName_1.WellknownListName); } });
    }
    ;
    /**
     * Gets the isOwner property value. True if the user is owner of the given task list.
     * @returns a boolean
     */
    get isOwner() {
        return this._isOwner;
    }
    ;
    /**
     * Sets the isOwner property value. True if the user is owner of the given task list.
     * @param value Value to set for the isOwner property.
     */
    set isOwner(value) {
        this._isOwner = value;
    }
    ;
    /**
     * Gets the isShared property value. True if the task list is shared with other users
     * @returns a boolean
     */
    get isShared() {
        return this._isShared;
    }
    ;
    /**
     * Sets the isShared property value. True if the task list is shared with other users
     * @param value Value to set for the isShared property.
     */
    set isShared(value) {
        this._isShared = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeCollectionOfObjectValues("extensions", this.extensions);
        writer.writeBooleanValue("isOwner", this.isOwner);
        writer.writeBooleanValue("isShared", this.isShared);
        writer.writeCollectionOfObjectValues("tasks", this.tasks);
        writer.writeEnumValue("wellknownListName", this.wellknownListName);
    }
    ;
    /**
     * Gets the tasks property value. The tasks in this task list. Read-only. Nullable.
     * @returns a todoTask
     */
    get tasks() {
        return this._tasks;
    }
    ;
    /**
     * Sets the tasks property value. The tasks in this task list. Read-only. Nullable.
     * @param value Value to set for the tasks property.
     */
    set tasks(value) {
        this._tasks = value;
    }
    ;
    /**
     * Gets the wellknownListName property value. Property indicating the list name if the given list is a well-known list. Possible values are: none, defaultList, flaggedEmails, unknownFutureValue.
     * @returns a wellknownListName
     */
    get wellknownListName() {
        return this._wellknownListName;
    }
    ;
    /**
     * Sets the wellknownListName property value. Property indicating the list name if the given list is a well-known list. Possible values are: none, defaultList, flaggedEmails, unknownFutureValue.
     * @param value Value to set for the wellknownListName property.
     */
    set wellknownListName(value) {
        this._wellknownListName = value;
    }
    ;
}
exports.TodoTaskList = TodoTaskList;
