"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ToneInfo = void 0;
const tone_1 = require("./tone");
class ToneInfo {
    /**
     * Instantiates a new toneInfo and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "sequenceId": n => { this.sequenceId = n.getNumberValue(); },
            "tone": n => { this.tone = n.getEnumValue(tone_1.Tone); },
        };
    }
    ;
    /**
     * Gets the sequenceId property value. An incremental identifier used for ordering DTMF events.
     * @returns a int64
     */
    get sequenceId() {
        return this._sequenceId;
    }
    ;
    /**
     * Sets the sequenceId property value. An incremental identifier used for ordering DTMF events.
     * @param value Value to set for the sequenceId property.
     */
    set sequenceId(value) {
        this._sequenceId = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeNumberValue("sequenceId", this.sequenceId);
        writer.writeEnumValue("tone", this.tone);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the tone property value. Possible values are: tone0, tone1, tone2, tone3, tone4, tone5, tone6, tone7, tone8, tone9, star, pound, a, b, c, d, flash.
     * @returns a tone
     */
    get tone() {
        return this._tone;
    }
    ;
    /**
     * Sets the tone property value. Possible values are: tone0, tone1, tone2, tone3, tone4, tone5, tone6, tone7, tone8, tone9, star, pound, a, b, c, d, flash.
     * @param value Value to set for the tone property.
     */
    set tone(value) {
        this._tone = value;
    }
    ;
}
exports.ToneInfo = ToneInfo;
