"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Trending = void 0;
const createEntityFromDiscriminatorValue_1 = require("./createEntityFromDiscriminatorValue");
const createResourceReferenceFromDiscriminatorValue_1 = require("./createResourceReferenceFromDiscriminatorValue");
const createResourceVisualizationFromDiscriminatorValue_1 = require("./createResourceVisualizationFromDiscriminatorValue");
const index_1 = require("./index");
/** Casts the previous resource to user. */
class Trending extends index_1.Entity {
    /**
     * Instantiates a new trending and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "lastModifiedDateTime": n => { this.lastModifiedDateTime = n.getDateValue(); }, "resource": n => { this.resource = n.getObjectValue(createEntityFromDiscriminatorValue_1.createEntityFromDiscriminatorValue); }, "resourceReference": n => { this.resourceReference = n.getObjectValue(createResourceReferenceFromDiscriminatorValue_1.createResourceReferenceFromDiscriminatorValue); }, "resourceVisualization": n => { this.resourceVisualization = n.getObjectValue(createResourceVisualizationFromDiscriminatorValue_1.createResourceVisualizationFromDiscriminatorValue); }, "weight": n => { this.weight = n.getNumberValue(); } });
    }
    ;
    /**
     * Gets the lastModifiedDateTime property value. The lastModifiedDateTime property
     * @returns a Date
     */
    get lastModifiedDateTime() {
        return this._lastModifiedDateTime;
    }
    ;
    /**
     * Sets the lastModifiedDateTime property value. The lastModifiedDateTime property
     * @param value Value to set for the lastModifiedDateTime property.
     */
    set lastModifiedDateTime(value) {
        this._lastModifiedDateTime = value;
    }
    ;
    /**
     * Gets the resource property value. Used for navigating to the trending document.
     * @returns a entity
     */
    get resource() {
        return this._resource;
    }
    ;
    /**
     * Sets the resource property value. Used for navigating to the trending document.
     * @param value Value to set for the resource property.
     */
    set resource(value) {
        this._resource = value;
    }
    ;
    /**
     * Gets the resourceReference property value. Reference properties of the trending document, such as the url and type of the document.
     * @returns a resourceReference
     */
    get resourceReference() {
        return this._resourceReference;
    }
    ;
    /**
     * Sets the resourceReference property value. Reference properties of the trending document, such as the url and type of the document.
     * @param value Value to set for the resourceReference property.
     */
    set resourceReference(value) {
        this._resourceReference = value;
    }
    ;
    /**
     * Gets the resourceVisualization property value. Properties that you can use to visualize the document in your experience.
     * @returns a resourceVisualization
     */
    get resourceVisualization() {
        return this._resourceVisualization;
    }
    ;
    /**
     * Sets the resourceVisualization property value. Properties that you can use to visualize the document in your experience.
     * @param value Value to set for the resourceVisualization property.
     */
    set resourceVisualization(value) {
        this._resourceVisualization = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeDateValue("lastModifiedDateTime", this.lastModifiedDateTime);
        writer.writeObjectValue("resource", this.resource);
        writer.writeObjectValue("resourceReference", this.resourceReference);
        writer.writeObjectValue("resourceVisualization", this.resourceVisualization);
        writer.writeNumberValue("weight", this.weight);
    }
    ;
    /**
     * Gets the weight property value. Value indicating how much the document is currently trending. The larger the number, the more the document is currently trending around the user (the more relevant it is). Returned documents are sorted by this value.
     * @returns a double
     */
    get weight() {
        return this._weight;
    }
    ;
    /**
     * Sets the weight property value. Value indicating how much the document is currently trending. The larger the number, the more the document is currently trending around the user (the more relevant it is). Returned documents are sorted by this value.
     * @param value Value to set for the weight property.
     */
    set weight(value) {
        this._weight = value;
    }
    ;
}
exports.Trending = Trending;
