"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnifiedRoleAssignment = void 0;
const createAppScopeFromDiscriminatorValue_1 = require("./createAppScopeFromDiscriminatorValue");
const createDirectoryObjectFromDiscriminatorValue_1 = require("./createDirectoryObjectFromDiscriminatorValue");
const createUnifiedRoleDefinitionFromDiscriminatorValue_1 = require("./createUnifiedRoleDefinitionFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the roleManagement singleton. */
class UnifiedRoleAssignment extends index_1.Entity {
    /**
     * Instantiates a new unifiedRoleAssignment and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the appScope property value. Details of the app specific scope when the assignment scope is app specific. Containment entity.
     * @returns a appScope
     */
    get appScope() {
        return this._appScope;
    }
    ;
    /**
     * Sets the appScope property value. Details of the app specific scope when the assignment scope is app specific. Containment entity.
     * @param value Value to set for the appScope property.
     */
    set appScope(value) {
        this._appScope = value;
    }
    ;
    /**
     * Gets the appScopeId property value. Identifier of the app specific scope when the assignment scope is app specific. The scope of an assignment determines the set of resources for which the principal has been granted access. Directory scopes are shared scopes stored in the directory that are understood by multiple applications. Use / for tenant-wide scope. App scopes are scopes that are defined and understood by this application only.  For the entitlement management provider, use app scopes to specify a catalog, for example /AccessPackageCatalog/beedadfe-01d5-4025-910b-84abb9369997.
     * @returns a string
     */
    get appScopeId() {
        return this._appScopeId;
    }
    ;
    /**
     * Sets the appScopeId property value. Identifier of the app specific scope when the assignment scope is app specific. The scope of an assignment determines the set of resources for which the principal has been granted access. Directory scopes are shared scopes stored in the directory that are understood by multiple applications. Use / for tenant-wide scope. App scopes are scopes that are defined and understood by this application only.  For the entitlement management provider, use app scopes to specify a catalog, for example /AccessPackageCatalog/beedadfe-01d5-4025-910b-84abb9369997.
     * @param value Value to set for the appScopeId property.
     */
    set appScopeId(value) {
        this._appScopeId = value;
    }
    ;
    /**
     * Gets the condition property value. The condition property
     * @returns a string
     */
    get condition() {
        return this._condition;
    }
    ;
    /**
     * Sets the condition property value. The condition property
     * @param value Value to set for the condition property.
     */
    set condition(value) {
        this._condition = value;
    }
    ;
    ;
    /**
     * Gets the directoryScope property value. The directory object that is the scope of the assignment. Provided so that callers can get the directory object using $expand at the same time as getting the role assignment. Read-only. Supports $expand.
     * @returns a directoryObject
     */
    get directoryScope() {
        return this._directoryScope;
    }
    ;
    /**
     * Sets the directoryScope property value. The directory object that is the scope of the assignment. Provided so that callers can get the directory object using $expand at the same time as getting the role assignment. Read-only. Supports $expand.
     * @param value Value to set for the directoryScope property.
     */
    set directoryScope(value) {
        this._directoryScope = value;
    }
    ;
    /**
     * Gets the directoryScopeId property value. Identifier of the directory object representing the scope of the assignment. The scope of an assignment determines the set of resources for which the principal has been granted access. Directory scopes are shared scopes stored in the directory that are understood by multiple applications. App scopes are scopes that are defined and understood by this application only.
     * @returns a string
     */
    get directoryScopeId() {
        return this._directoryScopeId;
    }
    ;
    /**
     * Sets the directoryScopeId property value. Identifier of the directory object representing the scope of the assignment. The scope of an assignment determines the set of resources for which the principal has been granted access. Directory scopes are shared scopes stored in the directory that are understood by multiple applications. App scopes are scopes that are defined and understood by this application only.
     * @param value Value to set for the directoryScopeId property.
     */
    set directoryScopeId(value) {
        this._directoryScopeId = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "appScope": n => { this.appScope = n.getObjectValue(createAppScopeFromDiscriminatorValue_1.createAppScopeFromDiscriminatorValue); }, "appScopeId": n => { this.appScopeId = n.getStringValue(); }, "condition": n => { this.condition = n.getStringValue(); }, "directoryScope": n => { this.directoryScope = n.getObjectValue(createDirectoryObjectFromDiscriminatorValue_1.createDirectoryObjectFromDiscriminatorValue); }, "directoryScopeId": n => { this.directoryScopeId = n.getStringValue(); }, "principal": n => { this.principal = n.getObjectValue(createDirectoryObjectFromDiscriminatorValue_1.createDirectoryObjectFromDiscriminatorValue); }, "principalId": n => { this.principalId = n.getStringValue(); }, "roleDefinition": n => { this.roleDefinition = n.getObjectValue(createUnifiedRoleDefinitionFromDiscriminatorValue_1.createUnifiedRoleDefinitionFromDiscriminatorValue); }, "roleDefinitionId": n => { this.roleDefinitionId = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the principal property value. The assigned principal. Provided so that callers can get the principal using $expand at the same time as getting the role assignment. Read-only. Supports $expand.
     * @returns a directoryObject
     */
    get principal() {
        return this._principal;
    }
    ;
    /**
     * Sets the principal property value. The assigned principal. Provided so that callers can get the principal using $expand at the same time as getting the role assignment. Read-only. Supports $expand.
     * @param value Value to set for the principal property.
     */
    set principal(value) {
        this._principal = value;
    }
    ;
    /**
     * Gets the principalId property value. Identifier of the principal to which the assignment is granted. Supports $filter (eq operator only).
     * @returns a string
     */
    get principalId() {
        return this._principalId;
    }
    ;
    /**
     * Sets the principalId property value. Identifier of the principal to which the assignment is granted. Supports $filter (eq operator only).
     * @param value Value to set for the principalId property.
     */
    set principalId(value) {
        this._principalId = value;
    }
    ;
    /**
     * Gets the roleDefinition property value. The roleDefinition the assignment is for. Provided so that callers can get the role definition using $expand at the same time as getting the role assignment. roleDefinition.id will be auto expanded. Supports $expand.
     * @returns a unifiedRoleDefinition
     */
    get roleDefinition() {
        return this._roleDefinition;
    }
    ;
    /**
     * Sets the roleDefinition property value. The roleDefinition the assignment is for. Provided so that callers can get the role definition using $expand at the same time as getting the role assignment. roleDefinition.id will be auto expanded. Supports $expand.
     * @param value Value to set for the roleDefinition property.
     */
    set roleDefinition(value) {
        this._roleDefinition = value;
    }
    ;
    /**
     * Gets the roleDefinitionId property value. Identifier of the unifiedRoleDefinition the assignment is for. Read-only. Supports $filter (eq operator only).
     * @returns a string
     */
    get roleDefinitionId() {
        return this._roleDefinitionId;
    }
    ;
    /**
     * Sets the roleDefinitionId property value. Identifier of the unifiedRoleDefinition the assignment is for. Read-only. Supports $filter (eq operator only).
     * @param value Value to set for the roleDefinitionId property.
     */
    set roleDefinitionId(value) {
        this._roleDefinitionId = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("appScope", this.appScope);
        writer.writeStringValue("appScopeId", this.appScopeId);
        writer.writeStringValue("condition", this.condition);
        writer.writeObjectValue("directoryScope", this.directoryScope);
        writer.writeStringValue("directoryScopeId", this.directoryScopeId);
        writer.writeObjectValue("principal", this.principal);
        writer.writeStringValue("principalId", this.principalId);
        writer.writeObjectValue("roleDefinition", this.roleDefinition);
        writer.writeStringValue("roleDefinitionId", this.roleDefinitionId);
    }
    ;
}
exports.UnifiedRoleAssignment = UnifiedRoleAssignment;
