import { RequestSchedule, UnifiedRoleEligibilitySchedule, UnifiedRoleScheduleBase } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the roleManagement singleton. */
export declare class UnifiedRoleAssignmentSchedule extends UnifiedRoleScheduleBase implements Parsable {
    /** If the roleAssignmentSchedule is activated by a roleEligibilitySchedule, this is the link to that schedule. */
    private _activatedUsing?;
    /** Type of the assignment. It can either be Assigned or Activated. */
    private _assignmentType?;
    /** Membership type of the assignment. It can either be Inherited, Direct, or Group. */
    private _memberType?;
    /** The schedule object of the role assignment request. */
    private _scheduleInfo?;
    /**
     * Gets the activatedUsing property value. If the roleAssignmentSchedule is activated by a roleEligibilitySchedule, this is the link to that schedule.
     * @returns a unifiedRoleEligibilitySchedule
     */
    get activatedUsing(): UnifiedRoleEligibilitySchedule | undefined;
    /**
     * Sets the activatedUsing property value. If the roleAssignmentSchedule is activated by a roleEligibilitySchedule, this is the link to that schedule.
     * @param value Value to set for the activatedUsing property.
     */
    set activatedUsing(value: UnifiedRoleEligibilitySchedule | undefined);
    /**
     * Gets the assignmentType property value. Type of the assignment. It can either be Assigned or Activated.
     * @returns a string
     */
    get assignmentType(): string | undefined;
    /**
     * Sets the assignmentType property value. Type of the assignment. It can either be Assigned or Activated.
     * @param value Value to set for the assignmentType property.
     */
    set assignmentType(value: string | undefined);
    /**
     * Instantiates a new unifiedRoleAssignmentSchedule and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the memberType property value. Membership type of the assignment. It can either be Inherited, Direct, or Group.
     * @returns a string
     */
    get memberType(): string | undefined;
    /**
     * Sets the memberType property value. Membership type of the assignment. It can either be Inherited, Direct, or Group.
     * @param value Value to set for the memberType property.
     */
    set memberType(value: string | undefined);
    /**
     * Gets the scheduleInfo property value. The schedule object of the role assignment request.
     * @returns a requestSchedule
     */
    get scheduleInfo(): RequestSchedule | undefined;
    /**
     * Sets the scheduleInfo property value. The schedule object of the role assignment request.
     * @param value Value to set for the scheduleInfo property.
     */
    set scheduleInfo(value: RequestSchedule | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
