"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnifiedRoleAssignmentSchedule = void 0;
const createRequestScheduleFromDiscriminatorValue_1 = require("./createRequestScheduleFromDiscriminatorValue");
const createUnifiedRoleEligibilityScheduleFromDiscriminatorValue_1 = require("./createUnifiedRoleEligibilityScheduleFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the roleManagement singleton. */
class UnifiedRoleAssignmentSchedule extends index_1.UnifiedRoleScheduleBase {
    /**
     * Instantiates a new unifiedRoleAssignmentSchedule and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the activatedUsing property value. If the roleAssignmentSchedule is activated by a roleEligibilitySchedule, this is the link to that schedule.
     * @returns a unifiedRoleEligibilitySchedule
     */
    get activatedUsing() {
        return this._activatedUsing;
    }
    ;
    /**
     * Sets the activatedUsing property value. If the roleAssignmentSchedule is activated by a roleEligibilitySchedule, this is the link to that schedule.
     * @param value Value to set for the activatedUsing property.
     */
    set activatedUsing(value) {
        this._activatedUsing = value;
    }
    ;
    /**
     * Gets the assignmentType property value. Type of the assignment. It can either be Assigned or Activated.
     * @returns a string
     */
    get assignmentType() {
        return this._assignmentType;
    }
    ;
    /**
     * Sets the assignmentType property value. Type of the assignment. It can either be Assigned or Activated.
     * @param value Value to set for the assignmentType property.
     */
    set assignmentType(value) {
        this._assignmentType = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "activatedUsing": n => { this.activatedUsing = n.getObjectValue(createUnifiedRoleEligibilityScheduleFromDiscriminatorValue_1.createUnifiedRoleEligibilityScheduleFromDiscriminatorValue); }, "assignmentType": n => { this.assignmentType = n.getStringValue(); }, "memberType": n => { this.memberType = n.getStringValue(); }, "scheduleInfo": n => { this.scheduleInfo = n.getObjectValue(createRequestScheduleFromDiscriminatorValue_1.createRequestScheduleFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the memberType property value. Membership type of the assignment. It can either be Inherited, Direct, or Group.
     * @returns a string
     */
    get memberType() {
        return this._memberType;
    }
    ;
    /**
     * Sets the memberType property value. Membership type of the assignment. It can either be Inherited, Direct, or Group.
     * @param value Value to set for the memberType property.
     */
    set memberType(value) {
        this._memberType = value;
    }
    ;
    /**
     * Gets the scheduleInfo property value. The schedule object of the role assignment request.
     * @returns a requestSchedule
     */
    get scheduleInfo() {
        return this._scheduleInfo;
    }
    ;
    /**
     * Sets the scheduleInfo property value. The schedule object of the role assignment request.
     * @param value Value to set for the scheduleInfo property.
     */
    set scheduleInfo(value) {
        this._scheduleInfo = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("activatedUsing", this.activatedUsing);
        writer.writeStringValue("assignmentType", this.assignmentType);
        writer.writeStringValue("memberType", this.memberType);
        writer.writeObjectValue("scheduleInfo", this.scheduleInfo);
    }
    ;
}
exports.UnifiedRoleAssignmentSchedule = UnifiedRoleAssignmentSchedule;
