"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnifiedRoleAssignmentScheduleInstance = void 0;
const createUnifiedRoleEligibilityScheduleInstanceFromDiscriminatorValue_1 = require("./createUnifiedRoleEligibilityScheduleInstanceFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the roleManagement singleton. */
class UnifiedRoleAssignmentScheduleInstance extends index_1.UnifiedRoleScheduleInstanceBase {
    /**
     * Instantiates a new unifiedRoleAssignmentScheduleInstance and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the activatedUsing property value. If the roleAssignmentScheduleInstance is activated by a roleEligibilityScheduleRequest, this is the link to the related schedule instance.
     * @returns a unifiedRoleEligibilityScheduleInstance
     */
    get activatedUsing() {
        return this._activatedUsing;
    }
    ;
    /**
     * Sets the activatedUsing property value. If the roleAssignmentScheduleInstance is activated by a roleEligibilityScheduleRequest, this is the link to the related schedule instance.
     * @param value Value to set for the activatedUsing property.
     */
    set activatedUsing(value) {
        this._activatedUsing = value;
    }
    ;
    /**
     * Gets the assignmentType property value. Type of the assignment. It can either be Assigned or Activated.
     * @returns a string
     */
    get assignmentType() {
        return this._assignmentType;
    }
    ;
    /**
     * Sets the assignmentType property value. Type of the assignment. It can either be Assigned or Activated.
     * @param value Value to set for the assignmentType property.
     */
    set assignmentType(value) {
        this._assignmentType = value;
    }
    ;
    ;
    /**
     * Gets the endDateTime property value. Time that the roleAssignmentInstance will expire
     * @returns a Date
     */
    get endDateTime() {
        return this._endDateTime;
    }
    ;
    /**
     * Sets the endDateTime property value. Time that the roleAssignmentInstance will expire
     * @param value Value to set for the endDateTime property.
     */
    set endDateTime(value) {
        this._endDateTime = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "activatedUsing": n => { this.activatedUsing = n.getObjectValue(createUnifiedRoleEligibilityScheduleInstanceFromDiscriminatorValue_1.createUnifiedRoleEligibilityScheduleInstanceFromDiscriminatorValue); }, "assignmentType": n => { this.assignmentType = n.getStringValue(); }, "endDateTime": n => { this.endDateTime = n.getDateValue(); }, "memberType": n => { this.memberType = n.getStringValue(); }, "roleAssignmentOriginId": n => { this.roleAssignmentOriginId = n.getStringValue(); }, "roleAssignmentScheduleId": n => { this.roleAssignmentScheduleId = n.getStringValue(); }, "startDateTime": n => { this.startDateTime = n.getDateValue(); } });
    }
    ;
    /**
     * Gets the memberType property value. Membership type of the assignment. It can either be Inherited, Direct, or Group.
     * @returns a string
     */
    get memberType() {
        return this._memberType;
    }
    ;
    /**
     * Sets the memberType property value. Membership type of the assignment. It can either be Inherited, Direct, or Group.
     * @param value Value to set for the memberType property.
     */
    set memberType(value) {
        this._memberType = value;
    }
    ;
    /**
     * Gets the roleAssignmentOriginId property value. ID of the roleAssignment in the directory
     * @returns a string
     */
    get roleAssignmentOriginId() {
        return this._roleAssignmentOriginId;
    }
    ;
    /**
     * Sets the roleAssignmentOriginId property value. ID of the roleAssignment in the directory
     * @param value Value to set for the roleAssignmentOriginId property.
     */
    set roleAssignmentOriginId(value) {
        this._roleAssignmentOriginId = value;
    }
    ;
    /**
     * Gets the roleAssignmentScheduleId property value. ID of the parent roleAssignmentSchedule for this instance
     * @returns a string
     */
    get roleAssignmentScheduleId() {
        return this._roleAssignmentScheduleId;
    }
    ;
    /**
     * Sets the roleAssignmentScheduleId property value. ID of the parent roleAssignmentSchedule for this instance
     * @param value Value to set for the roleAssignmentScheduleId property.
     */
    set roleAssignmentScheduleId(value) {
        this._roleAssignmentScheduleId = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("activatedUsing", this.activatedUsing);
        writer.writeStringValue("assignmentType", this.assignmentType);
        writer.writeDateValue("endDateTime", this.endDateTime);
        writer.writeStringValue("memberType", this.memberType);
        writer.writeStringValue("roleAssignmentOriginId", this.roleAssignmentOriginId);
        writer.writeStringValue("roleAssignmentScheduleId", this.roleAssignmentScheduleId);
        writer.writeDateValue("startDateTime", this.startDateTime);
    }
    ;
    /**
     * Gets the startDateTime property value. Time that the roleAssignmentInstance will start
     * @returns a Date
     */
    get startDateTime() {
        return this._startDateTime;
    }
    ;
    /**
     * Sets the startDateTime property value. Time that the roleAssignmentInstance will start
     * @param value Value to set for the startDateTime property.
     */
    set startDateTime(value) {
        this._startDateTime = value;
    }
    ;
}
exports.UnifiedRoleAssignmentScheduleInstance = UnifiedRoleAssignmentScheduleInstance;
