"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnifiedRoleDefinition = void 0;
const createUnifiedRoleDefinitionFromDiscriminatorValue_1 = require("./createUnifiedRoleDefinitionFromDiscriminatorValue");
const createUnifiedRolePermissionFromDiscriminatorValue_1 = require("./createUnifiedRolePermissionFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the roleManagement singleton. */
class UnifiedRoleDefinition extends index_1.Entity {
    /**
     * Instantiates a new unifiedRoleDefinition and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the description property value. The description for the unifiedRoleDefinition. Read-only when isBuiltIn is true.
     * @returns a string
     */
    get description() {
        return this._description;
    }
    ;
    /**
     * Sets the description property value. The description for the unifiedRoleDefinition. Read-only when isBuiltIn is true.
     * @param value Value to set for the description property.
     */
    set description(value) {
        this._description = value;
    }
    ;
    /**
     * Gets the displayName property value. The display name for the unifiedRoleDefinition. Read-only when isBuiltIn is true. Required.  Supports $filter (eq and startsWith operators only).
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. The display name for the unifiedRoleDefinition. Read-only when isBuiltIn is true. Required.  Supports $filter (eq and startsWith operators only).
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "description": n => { this.description = n.getStringValue(); }, "displayName": n => { this.displayName = n.getStringValue(); }, "inheritsPermissionsFrom": n => { this.inheritsPermissionsFrom = n.getCollectionOfObjectValues(createUnifiedRoleDefinitionFromDiscriminatorValue_1.createUnifiedRoleDefinitionFromDiscriminatorValue); }, "isBuiltIn": n => { this.isBuiltIn = n.getBooleanValue(); }, "isEnabled": n => { this.isEnabled = n.getBooleanValue(); }, "resourceScopes": n => { this.resourceScopes = n.getCollectionOfPrimitiveValues(); }, "rolePermissions": n => { this.rolePermissions = n.getCollectionOfObjectValues(createUnifiedRolePermissionFromDiscriminatorValue_1.createUnifiedRolePermissionFromDiscriminatorValue); }, "templateId": n => { this.templateId = n.getStringValue(); }, "version": n => { this.version = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the inheritsPermissionsFrom property value. Read-only collection of role definitions that the given role definition inherits from. Only Azure AD built-in roles support this attribute.
     * @returns a unifiedRoleDefinition
     */
    get inheritsPermissionsFrom() {
        return this._inheritsPermissionsFrom;
    }
    ;
    /**
     * Sets the inheritsPermissionsFrom property value. Read-only collection of role definitions that the given role definition inherits from. Only Azure AD built-in roles support this attribute.
     * @param value Value to set for the inheritsPermissionsFrom property.
     */
    set inheritsPermissionsFrom(value) {
        this._inheritsPermissionsFrom = value;
    }
    ;
    /**
     * Gets the isBuiltIn property value. Flag indicating if the unifiedRoleDefinition is part of the default set included with the product or custom. Read-only.  Supports $filter (eq operator only).
     * @returns a boolean
     */
    get isBuiltIn() {
        return this._isBuiltIn;
    }
    ;
    /**
     * Sets the isBuiltIn property value. Flag indicating if the unifiedRoleDefinition is part of the default set included with the product or custom. Read-only.  Supports $filter (eq operator only).
     * @param value Value to set for the isBuiltIn property.
     */
    set isBuiltIn(value) {
        this._isBuiltIn = value;
    }
    ;
    /**
     * Gets the isEnabled property value. Flag indicating if the role is enabled for assignment. If false the role is not available for assignment. Read-only when isBuiltIn is true.
     * @returns a boolean
     */
    get isEnabled() {
        return this._isEnabled;
    }
    ;
    /**
     * Sets the isEnabled property value. Flag indicating if the role is enabled for assignment. If false the role is not available for assignment. Read-only when isBuiltIn is true.
     * @param value Value to set for the isEnabled property.
     */
    set isEnabled(value) {
        this._isEnabled = value;
    }
    ;
    /**
     * Gets the resourceScopes property value. List of scopes permissions granted by the role definition apply to. Currently only / is supported. Read-only when isBuiltIn is true. DO NOT USE. This will be deprecated soon. Attach scope to role assignment
     * @returns a string
     */
    get resourceScopes() {
        return this._resourceScopes;
    }
    ;
    /**
     * Sets the resourceScopes property value. List of scopes permissions granted by the role definition apply to. Currently only / is supported. Read-only when isBuiltIn is true. DO NOT USE. This will be deprecated soon. Attach scope to role assignment
     * @param value Value to set for the resourceScopes property.
     */
    set resourceScopes(value) {
        this._resourceScopes = value;
    }
    ;
    /**
     * Gets the rolePermissions property value. List of permissions included in the role. Read-only when isBuiltIn is true. Required.
     * @returns a unifiedRolePermission
     */
    get rolePermissions() {
        return this._rolePermissions;
    }
    ;
    /**
     * Sets the rolePermissions property value. List of permissions included in the role. Read-only when isBuiltIn is true. Required.
     * @param value Value to set for the rolePermissions property.
     */
    set rolePermissions(value) {
        this._rolePermissions = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("description", this.description);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeCollectionOfObjectValues("inheritsPermissionsFrom", this.inheritsPermissionsFrom);
        writer.writeBooleanValue("isBuiltIn", this.isBuiltIn);
        writer.writeBooleanValue("isEnabled", this.isEnabled);
        writer.writeCollectionOfPrimitiveValues("resourceScopes", this.resourceScopes);
        writer.writeCollectionOfObjectValues("rolePermissions", this.rolePermissions);
        writer.writeStringValue("templateId", this.templateId);
        writer.writeStringValue("version", this.version);
    }
    ;
    /**
     * Gets the templateId property value. Custom template identifier that can be set when isBuiltIn is false. This identifier is typically used if one needs an identifier to be the same across different directories. Read-only when isBuiltIn is true.
     * @returns a string
     */
    get templateId() {
        return this._templateId;
    }
    ;
    /**
     * Sets the templateId property value. Custom template identifier that can be set when isBuiltIn is false. This identifier is typically used if one needs an identifier to be the same across different directories. Read-only when isBuiltIn is true.
     * @param value Value to set for the templateId property.
     */
    set templateId(value) {
        this._templateId = value;
    }
    ;
    /**
     * Gets the version property value. Indicates version of the unifiedRoleDefinition. Read-only when isBuiltIn is true.
     * @returns a string
     */
    get version() {
        return this._version;
    }
    ;
    /**
     * Sets the version property value. Indicates version of the unifiedRoleDefinition. Read-only when isBuiltIn is true.
     * @param value Value to set for the version property.
     */
    set version(value) {
        this._version = value;
    }
    ;
}
exports.UnifiedRoleDefinition = UnifiedRoleDefinition;
