import { RequestSchedule, UnifiedRoleScheduleBase } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the roleManagement singleton. */
export declare class UnifiedRoleEligibilitySchedule extends UnifiedRoleScheduleBase implements Parsable {
    /** Membership type of the eligible assignment. It can either be Inherited, Direct, or Group. */
    private _memberType?;
    /** The schedule object of the eligible role assignment request. */
    private _scheduleInfo?;
    /**
     * Instantiates a new unifiedRoleEligibilitySchedule and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the memberType property value. Membership type of the eligible assignment. It can either be Inherited, Direct, or Group.
     * @returns a string
     */
    get memberType(): string | undefined;
    /**
     * Sets the memberType property value. Membership type of the eligible assignment. It can either be Inherited, Direct, or Group.
     * @param value Value to set for the memberType property.
     */
    set memberType(value: string | undefined);
    /**
     * Gets the scheduleInfo property value. The schedule object of the eligible role assignment request.
     * @returns a requestSchedule
     */
    get scheduleInfo(): RequestSchedule | undefined;
    /**
     * Sets the scheduleInfo property value. The schedule object of the eligible role assignment request.
     * @param value Value to set for the scheduleInfo property.
     */
    set scheduleInfo(value: RequestSchedule | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
