"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnifiedRoleEligibilitySchedule = void 0;
const createRequestScheduleFromDiscriminatorValue_1 = require("./createRequestScheduleFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the roleManagement singleton. */
class UnifiedRoleEligibilitySchedule extends index_1.UnifiedRoleScheduleBase {
    /**
     * Instantiates a new unifiedRoleEligibilitySchedule and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "memberType": n => { this.memberType = n.getStringValue(); }, "scheduleInfo": n => { this.scheduleInfo = n.getObjectValue(createRequestScheduleFromDiscriminatorValue_1.createRequestScheduleFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the memberType property value. Membership type of the eligible assignment. It can either be Inherited, Direct, or Group.
     * @returns a string
     */
    get memberType() {
        return this._memberType;
    }
    ;
    /**
     * Sets the memberType property value. Membership type of the eligible assignment. It can either be Inherited, Direct, or Group.
     * @param value Value to set for the memberType property.
     */
    set memberType(value) {
        this._memberType = value;
    }
    ;
    /**
     * Gets the scheduleInfo property value. The schedule object of the eligible role assignment request.
     * @returns a requestSchedule
     */
    get scheduleInfo() {
        return this._scheduleInfo;
    }
    ;
    /**
     * Sets the scheduleInfo property value. The schedule object of the eligible role assignment request.
     * @param value Value to set for the scheduleInfo property.
     */
    set scheduleInfo(value) {
        this._scheduleInfo = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("memberType", this.memberType);
        writer.writeObjectValue("scheduleInfo", this.scheduleInfo);
    }
    ;
}
exports.UnifiedRoleEligibilitySchedule = UnifiedRoleEligibilitySchedule;
