"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnifiedRoleEligibilityScheduleInstance = void 0;
const index_1 = require("./index");
/** Provides operations to manage the roleManagement singleton. */
class UnifiedRoleEligibilityScheduleInstance extends index_1.UnifiedRoleScheduleInstanceBase {
    /**
     * Instantiates a new unifiedRoleEligibilityScheduleInstance and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the endDateTime property value. Time that the roleEligibilityScheduleInstance will expire.
     * @returns a Date
     */
    get endDateTime() {
        return this._endDateTime;
    }
    ;
    /**
     * Sets the endDateTime property value. Time that the roleEligibilityScheduleInstance will expire.
     * @param value Value to set for the endDateTime property.
     */
    set endDateTime(value) {
        this._endDateTime = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "endDateTime": n => { this.endDateTime = n.getDateValue(); }, "memberType": n => { this.memberType = n.getStringValue(); }, "roleEligibilityScheduleId": n => { this.roleEligibilityScheduleId = n.getStringValue(); }, "startDateTime": n => { this.startDateTime = n.getDateValue(); } });
    }
    ;
    /**
     * Gets the memberType property value. Membership type of the assignment. It can either be Inherited, Direct, or Group.
     * @returns a string
     */
    get memberType() {
        return this._memberType;
    }
    ;
    /**
     * Sets the memberType property value. Membership type of the assignment. It can either be Inherited, Direct, or Group.
     * @param value Value to set for the memberType property.
     */
    set memberType(value) {
        this._memberType = value;
    }
    ;
    /**
     * Gets the roleEligibilityScheduleId property value. Identifier of the parent roleEligibilitySchedule for this instance.
     * @returns a string
     */
    get roleEligibilityScheduleId() {
        return this._roleEligibilityScheduleId;
    }
    ;
    /**
     * Sets the roleEligibilityScheduleId property value. Identifier of the parent roleEligibilitySchedule for this instance.
     * @param value Value to set for the roleEligibilityScheduleId property.
     */
    set roleEligibilityScheduleId(value) {
        this._roleEligibilityScheduleId = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeDateValue("endDateTime", this.endDateTime);
        writer.writeStringValue("memberType", this.memberType);
        writer.writeStringValue("roleEligibilityScheduleId", this.roleEligibilityScheduleId);
        writer.writeDateValue("startDateTime", this.startDateTime);
    }
    ;
    /**
     * Gets the startDateTime property value. Time that the roleEligibilityScheduleInstance will start.
     * @returns a Date
     */
    get startDateTime() {
        return this._startDateTime;
    }
    ;
    /**
     * Sets the startDateTime property value. Time that the roleEligibilityScheduleInstance will start.
     * @param value Value to set for the startDateTime property.
     */
    set startDateTime(value) {
        this._startDateTime = value;
    }
    ;
}
exports.UnifiedRoleEligibilityScheduleInstance = UnifiedRoleEligibilityScheduleInstance;
