"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnifiedRoleManagementPolicy = void 0;
const createIdentityFromDiscriminatorValue_1 = require("./createIdentityFromDiscriminatorValue");
const createUnifiedRoleManagementPolicyRuleFromDiscriminatorValue_1 = require("./createUnifiedRoleManagementPolicyRuleFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the policyRoot singleton. */
class UnifiedRoleManagementPolicy extends index_1.Entity {
    /**
     * Instantiates a new unifiedRoleManagementPolicy and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the description property value. Description for the policy.
     * @returns a string
     */
    get description() {
        return this._description;
    }
    ;
    /**
     * Sets the description property value. Description for the policy.
     * @param value Value to set for the description property.
     */
    set description(value) {
        this._description = value;
    }
    ;
    /**
     * Gets the displayName property value. Display name for the policy.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. Display name for the policy.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * Gets the effectiveRules property value. Not implemented. The list of effective rules like approval rules and expiration rules evaluated based on inherited referenced rules. For example, if there is a tenant-wide policy to enforce enabling an approval rule, the effective rule will be to enable approval even if the policy has a rule to disable approval.
     * @returns a unifiedRoleManagementPolicyRule
     */
    get effectiveRules() {
        return this._effectiveRules;
    }
    ;
    /**
     * Sets the effectiveRules property value. Not implemented. The list of effective rules like approval rules and expiration rules evaluated based on inherited referenced rules. For example, if there is a tenant-wide policy to enforce enabling an approval rule, the effective rule will be to enable approval even if the policy has a rule to disable approval.
     * @param value Value to set for the effectiveRules property.
     */
    set effectiveRules(value) {
        this._effectiveRules = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "description": n => { this.description = n.getStringValue(); }, "displayName": n => { this.displayName = n.getStringValue(); }, "effectiveRules": n => { this.effectiveRules = n.getCollectionOfObjectValues(createUnifiedRoleManagementPolicyRuleFromDiscriminatorValue_1.createUnifiedRoleManagementPolicyRuleFromDiscriminatorValue); }, "isOrganizationDefault": n => { this.isOrganizationDefault = n.getBooleanValue(); }, "lastModifiedBy": n => { this.lastModifiedBy = n.getObjectValue(createIdentityFromDiscriminatorValue_1.createIdentityFromDiscriminatorValue); }, "lastModifiedDateTime": n => { this.lastModifiedDateTime = n.getDateValue(); }, "rules": n => { this.rules = n.getCollectionOfObjectValues(createUnifiedRoleManagementPolicyRuleFromDiscriminatorValue_1.createUnifiedRoleManagementPolicyRuleFromDiscriminatorValue); }, "scopeId": n => { this.scopeId = n.getStringValue(); }, "scopeType": n => { this.scopeType = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the isOrganizationDefault property value. This can only be set to true for a single tenant wide policy which will apply to all scopes and roles. Set the scopeId to '/' and scopeType to Directory.
     * @returns a boolean
     */
    get isOrganizationDefault() {
        return this._isOrganizationDefault;
    }
    ;
    /**
     * Sets the isOrganizationDefault property value. This can only be set to true for a single tenant wide policy which will apply to all scopes and roles. Set the scopeId to '/' and scopeType to Directory.
     * @param value Value to set for the isOrganizationDefault property.
     */
    set isOrganizationDefault(value) {
        this._isOrganizationDefault = value;
    }
    ;
    /**
     * Gets the lastModifiedBy property value. The identity who last modified the role setting.
     * @returns a identity
     */
    get lastModifiedBy() {
        return this._lastModifiedBy;
    }
    ;
    /**
     * Sets the lastModifiedBy property value. The identity who last modified the role setting.
     * @param value Value to set for the lastModifiedBy property.
     */
    set lastModifiedBy(value) {
        this._lastModifiedBy = value;
    }
    ;
    /**
     * Gets the lastModifiedDateTime property value. The time when the role setting was last modified.
     * @returns a Date
     */
    get lastModifiedDateTime() {
        return this._lastModifiedDateTime;
    }
    ;
    /**
     * Sets the lastModifiedDateTime property value. The time when the role setting was last modified.
     * @param value Value to set for the lastModifiedDateTime property.
     */
    set lastModifiedDateTime(value) {
        this._lastModifiedDateTime = value;
    }
    ;
    /**
     * Gets the rules property value. The collection of rules like approval rules and expiration rules.
     * @returns a unifiedRoleManagementPolicyRule
     */
    get rules() {
        return this._rules;
    }
    ;
    /**
     * Sets the rules property value. The collection of rules like approval rules and expiration rules.
     * @param value Value to set for the rules property.
     */
    set rules(value) {
        this._rules = value;
    }
    ;
    /**
     * Gets the scopeId property value. The id of the scope where the policy is created. Can be / for the tenant or a group ID. Required.
     * @returns a string
     */
    get scopeId() {
        return this._scopeId;
    }
    ;
    /**
     * Sets the scopeId property value. The id of the scope where the policy is created. Can be / for the tenant or a group ID. Required.
     * @param value Value to set for the scopeId property.
     */
    set scopeId(value) {
        this._scopeId = value;
    }
    ;
    /**
     * Gets the scopeType property value. The type of the scope where the policy is created. One of Directory, DirectoryRole. Required.
     * @returns a string
     */
    get scopeType() {
        return this._scopeType;
    }
    ;
    /**
     * Sets the scopeType property value. The type of the scope where the policy is created. One of Directory, DirectoryRole. Required.
     * @param value Value to set for the scopeType property.
     */
    set scopeType(value) {
        this._scopeType = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("description", this.description);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeCollectionOfObjectValues("effectiveRules", this.effectiveRules);
        writer.writeBooleanValue("isOrganizationDefault", this.isOrganizationDefault);
        writer.writeObjectValue("lastModifiedBy", this.lastModifiedBy);
        writer.writeDateValue("lastModifiedDateTime", this.lastModifiedDateTime);
        writer.writeCollectionOfObjectValues("rules", this.rules);
        writer.writeStringValue("scopeId", this.scopeId);
        writer.writeStringValue("scopeType", this.scopeType);
    }
    ;
}
exports.UnifiedRoleManagementPolicy = UnifiedRoleManagementPolicy;
