import { Entity, UnifiedRoleManagementPolicy } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the policyRoot singleton. */
export declare class UnifiedRoleManagementPolicyAssignment extends Entity implements Parsable {
    /** The policy for the assignment. */
    private _policy?;
    /** The id of the policy. */
    private _policyId?;
    /** The id of the role definition where the policy applies. If not specified, the policy applies to all roles. */
    private _roleDefinitionId?;
    /** The id of the scope where the policy is assigned. E.g. '/', groupId, etc. */
    private _scopeId?;
    /** The type of the scope where the policy is assigned. One of Directory, DirectoryRole, Group. */
    private _scopeType?;
    /**
     * Instantiates a new unifiedRoleManagementPolicyAssignment and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the policy property value. The policy for the assignment.
     * @returns a unifiedRoleManagementPolicy
     */
    get policy(): UnifiedRoleManagementPolicy | undefined;
    /**
     * Sets the policy property value. The policy for the assignment.
     * @param value Value to set for the policy property.
     */
    set policy(value: UnifiedRoleManagementPolicy | undefined);
    /**
     * Gets the policyId property value. The id of the policy.
     * @returns a string
     */
    get policyId(): string | undefined;
    /**
     * Sets the policyId property value. The id of the policy.
     * @param value Value to set for the policyId property.
     */
    set policyId(value: string | undefined);
    /**
     * Gets the roleDefinitionId property value. The id of the role definition where the policy applies. If not specified, the policy applies to all roles.
     * @returns a string
     */
    get roleDefinitionId(): string | undefined;
    /**
     * Sets the roleDefinitionId property value. The id of the role definition where the policy applies. If not specified, the policy applies to all roles.
     * @param value Value to set for the roleDefinitionId property.
     */
    set roleDefinitionId(value: string | undefined);
    /**
     * Gets the scopeId property value. The id of the scope where the policy is assigned. E.g. '/', groupId, etc.
     * @returns a string
     */
    get scopeId(): string | undefined;
    /**
     * Sets the scopeId property value. The id of the scope where the policy is assigned. E.g. '/', groupId, etc.
     * @param value Value to set for the scopeId property.
     */
    set scopeId(value: string | undefined);
    /**
     * Gets the scopeType property value. The type of the scope where the policy is assigned. One of Directory, DirectoryRole, Group.
     * @returns a string
     */
    get scopeType(): string | undefined;
    /**
     * Sets the scopeType property value. The type of the scope where the policy is assigned. One of Directory, DirectoryRole, Group.
     * @param value Value to set for the scopeType property.
     */
    set scopeType(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
