"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnifiedRoleManagementPolicyAssignment = void 0;
const createUnifiedRoleManagementPolicyFromDiscriminatorValue_1 = require("./createUnifiedRoleManagementPolicyFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the policyRoot singleton. */
class UnifiedRoleManagementPolicyAssignment extends index_1.Entity {
    /**
     * Instantiates a new unifiedRoleManagementPolicyAssignment and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "policy": n => { this.policy = n.getObjectValue(createUnifiedRoleManagementPolicyFromDiscriminatorValue_1.createUnifiedRoleManagementPolicyFromDiscriminatorValue); }, "policyId": n => { this.policyId = n.getStringValue(); }, "roleDefinitionId": n => { this.roleDefinitionId = n.getStringValue(); }, "scopeId": n => { this.scopeId = n.getStringValue(); }, "scopeType": n => { this.scopeType = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the policy property value. The policy for the assignment.
     * @returns a unifiedRoleManagementPolicy
     */
    get policy() {
        return this._policy;
    }
    ;
    /**
     * Sets the policy property value. The policy for the assignment.
     * @param value Value to set for the policy property.
     */
    set policy(value) {
        this._policy = value;
    }
    ;
    /**
     * Gets the policyId property value. The id of the policy.
     * @returns a string
     */
    get policyId() {
        return this._policyId;
    }
    ;
    /**
     * Sets the policyId property value. The id of the policy.
     * @param value Value to set for the policyId property.
     */
    set policyId(value) {
        this._policyId = value;
    }
    ;
    /**
     * Gets the roleDefinitionId property value. The id of the role definition where the policy applies. If not specified, the policy applies to all roles.
     * @returns a string
     */
    get roleDefinitionId() {
        return this._roleDefinitionId;
    }
    ;
    /**
     * Sets the roleDefinitionId property value. The id of the role definition where the policy applies. If not specified, the policy applies to all roles.
     * @param value Value to set for the roleDefinitionId property.
     */
    set roleDefinitionId(value) {
        this._roleDefinitionId = value;
    }
    ;
    /**
     * Gets the scopeId property value. The id of the scope where the policy is assigned. E.g. '/', groupId, etc.
     * @returns a string
     */
    get scopeId() {
        return this._scopeId;
    }
    ;
    /**
     * Sets the scopeId property value. The id of the scope where the policy is assigned. E.g. '/', groupId, etc.
     * @param value Value to set for the scopeId property.
     */
    set scopeId(value) {
        this._scopeId = value;
    }
    ;
    /**
     * Gets the scopeType property value. The type of the scope where the policy is assigned. One of Directory, DirectoryRole, Group.
     * @returns a string
     */
    get scopeType() {
        return this._scopeType;
    }
    ;
    /**
     * Sets the scopeType property value. The type of the scope where the policy is assigned. One of Directory, DirectoryRole, Group.
     * @param value Value to set for the scopeType property.
     */
    set scopeType(value) {
        this._scopeType = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("policy", this.policy);
        writer.writeStringValue("policyId", this.policyId);
        writer.writeStringValue("roleDefinitionId", this.roleDefinitionId);
        writer.writeStringValue("scopeId", this.scopeId);
        writer.writeStringValue("scopeType", this.scopeType);
    }
    ;
}
exports.UnifiedRoleManagementPolicyAssignment = UnifiedRoleManagementPolicyAssignment;
