import { Entity, UnifiedRoleManagementPolicyRuleTarget } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the policyRoot singleton. */
export declare class UnifiedRoleManagementPolicyRule extends Entity implements Parsable {
    /** The target for the policy rule. */
    private _target?;
    /**
     * Instantiates a new unifiedRoleManagementPolicyRule and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the target property value. The target for the policy rule.
     * @returns a unifiedRoleManagementPolicyRuleTarget
     */
    get target(): UnifiedRoleManagementPolicyRuleTarget | undefined;
    /**
     * Sets the target property value. The target for the policy rule.
     * @param value Value to set for the target property.
     */
    set target(value: UnifiedRoleManagementPolicyRuleTarget | undefined);
}
