import { DirectoryObject } from './index';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class UnifiedRoleManagementPolicyRuleTarget implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The caller for the policy rule target. Allowed values are: None, Admin, EndUser. */
    private _caller?;
    /** The list of settings which are enforced and cannot be overridden by child scopes. Use All for all settings. */
    private _enforcedSettings?;
    /** The list of settings which can be inherited by child scopes. Use All for all settings. */
    private _inheritableSettings?;
    /** The level for the policy rule target. Allowed values are: Eligibility, Assignment. */
    private _level?;
    /** The operations for policy rule target. Allowed values are: All, Activate, Deactivate, Assign, Update, Remove, Extend, Renew. */
    private _operations?;
    /** The targetObjects property */
    private _targetObjects?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the caller property value. The caller for the policy rule target. Allowed values are: None, Admin, EndUser.
     * @returns a string
     */
    get caller(): string | undefined;
    /**
     * Sets the caller property value. The caller for the policy rule target. Allowed values are: None, Admin, EndUser.
     * @param value Value to set for the caller property.
     */
    set caller(value: string | undefined);
    /**
     * Instantiates a new unifiedRoleManagementPolicyRuleTarget and sets the default values.
     */
    constructor();
    /**
     * Gets the enforcedSettings property value. The list of settings which are enforced and cannot be overridden by child scopes. Use All for all settings.
     * @returns a string
     */
    get enforcedSettings(): string[] | undefined;
    /**
     * Sets the enforcedSettings property value. The list of settings which are enforced and cannot be overridden by child scopes. Use All for all settings.
     * @param value Value to set for the enforcedSettings property.
     */
    set enforcedSettings(value: string[] | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the inheritableSettings property value. The list of settings which can be inherited by child scopes. Use All for all settings.
     * @returns a string
     */
    get inheritableSettings(): string[] | undefined;
    /**
     * Sets the inheritableSettings property value. The list of settings which can be inherited by child scopes. Use All for all settings.
     * @param value Value to set for the inheritableSettings property.
     */
    set inheritableSettings(value: string[] | undefined);
    /**
     * Gets the level property value. The level for the policy rule target. Allowed values are: Eligibility, Assignment.
     * @returns a string
     */
    get level(): string | undefined;
    /**
     * Sets the level property value. The level for the policy rule target. Allowed values are: Eligibility, Assignment.
     * @param value Value to set for the level property.
     */
    set level(value: string | undefined);
    /**
     * Gets the operations property value. The operations for policy rule target. Allowed values are: All, Activate, Deactivate, Assign, Update, Remove, Extend, Renew.
     * @returns a string
     */
    get operations(): string[] | undefined;
    /**
     * Sets the operations property value. The operations for policy rule target. Allowed values are: All, Activate, Deactivate, Assign, Update, Remove, Extend, Renew.
     * @param value Value to set for the operations property.
     */
    set operations(value: string[] | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the targetObjects property value. The targetObjects property
     * @returns a directoryObject
     */
    get targetObjects(): DirectoryObject[] | undefined;
    /**
     * Sets the targetObjects property value. The targetObjects property
     * @param value Value to set for the targetObjects property.
     */
    set targetObjects(value: DirectoryObject[] | undefined);
}
