"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnifiedRoleManagementPolicyRuleTarget = void 0;
const createDirectoryObjectFromDiscriminatorValue_1 = require("./createDirectoryObjectFromDiscriminatorValue");
class UnifiedRoleManagementPolicyRuleTarget {
    /**
     * Instantiates a new unifiedRoleManagementPolicyRuleTarget and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the caller property value. The caller for the policy rule target. Allowed values are: None, Admin, EndUser.
     * @returns a string
     */
    get caller() {
        return this._caller;
    }
    ;
    /**
     * Sets the caller property value. The caller for the policy rule target. Allowed values are: None, Admin, EndUser.
     * @param value Value to set for the caller property.
     */
    set caller(value) {
        this._caller = value;
    }
    ;
    ;
    /**
     * Gets the enforcedSettings property value. The list of settings which are enforced and cannot be overridden by child scopes. Use All for all settings.
     * @returns a string
     */
    get enforcedSettings() {
        return this._enforcedSettings;
    }
    ;
    /**
     * Sets the enforcedSettings property value. The list of settings which are enforced and cannot be overridden by child scopes. Use All for all settings.
     * @param value Value to set for the enforcedSettings property.
     */
    set enforcedSettings(value) {
        this._enforcedSettings = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "caller": n => { this.caller = n.getStringValue(); },
            "enforcedSettings": n => { this.enforcedSettings = n.getCollectionOfPrimitiveValues(); },
            "inheritableSettings": n => { this.inheritableSettings = n.getCollectionOfPrimitiveValues(); },
            "level": n => { this.level = n.getStringValue(); },
            "operations": n => { this.operations = n.getCollectionOfPrimitiveValues(); },
            "targetObjects": n => { this.targetObjects = n.getCollectionOfObjectValues(createDirectoryObjectFromDiscriminatorValue_1.createDirectoryObjectFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Gets the inheritableSettings property value. The list of settings which can be inherited by child scopes. Use All for all settings.
     * @returns a string
     */
    get inheritableSettings() {
        return this._inheritableSettings;
    }
    ;
    /**
     * Sets the inheritableSettings property value. The list of settings which can be inherited by child scopes. Use All for all settings.
     * @param value Value to set for the inheritableSettings property.
     */
    set inheritableSettings(value) {
        this._inheritableSettings = value;
    }
    ;
    /**
     * Gets the level property value. The level for the policy rule target. Allowed values are: Eligibility, Assignment.
     * @returns a string
     */
    get level() {
        return this._level;
    }
    ;
    /**
     * Sets the level property value. The level for the policy rule target. Allowed values are: Eligibility, Assignment.
     * @param value Value to set for the level property.
     */
    set level(value) {
        this._level = value;
    }
    ;
    /**
     * Gets the operations property value. The operations for policy rule target. Allowed values are: All, Activate, Deactivate, Assign, Update, Remove, Extend, Renew.
     * @returns a string
     */
    get operations() {
        return this._operations;
    }
    ;
    /**
     * Sets the operations property value. The operations for policy rule target. Allowed values are: All, Activate, Deactivate, Assign, Update, Remove, Extend, Renew.
     * @param value Value to set for the operations property.
     */
    set operations(value) {
        this._operations = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("caller", this.caller);
        writer.writeCollectionOfPrimitiveValues("enforcedSettings", this.enforcedSettings);
        writer.writeCollectionOfPrimitiveValues("inheritableSettings", this.inheritableSettings);
        writer.writeStringValue("level", this.level);
        writer.writeCollectionOfPrimitiveValues("operations", this.operations);
        writer.writeCollectionOfObjectValues("targetObjects", this.targetObjects);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the targetObjects property value. The targetObjects property
     * @returns a directoryObject
     */
    get targetObjects() {
        return this._targetObjects;
    }
    ;
    /**
     * Sets the targetObjects property value. The targetObjects property
     * @param value Value to set for the targetObjects property.
     */
    set targetObjects(value) {
        this._targetObjects = value;
    }
    ;
}
exports.UnifiedRoleManagementPolicyRuleTarget = UnifiedRoleManagementPolicyRuleTarget;
