"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnifiedRoleScheduleBase = void 0;
const createAppScopeFromDiscriminatorValue_1 = require("./createAppScopeFromDiscriminatorValue");
const createDirectoryObjectFromDiscriminatorValue_1 = require("./createDirectoryObjectFromDiscriminatorValue");
const createUnifiedRoleDefinitionFromDiscriminatorValue_1 = require("./createUnifiedRoleDefinitionFromDiscriminatorValue");
const index_1 = require("./index");
/** Provides operations to manage the roleManagement singleton. */
class UnifiedRoleScheduleBase extends index_1.Entity {
    /**
     * Instantiates a new unifiedRoleScheduleBase and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the appScope property value. Read-only property with details of the app specific scope when the assignment scope is app specific. Containment entity.
     * @returns a appScope
     */
    get appScope() {
        return this._appScope;
    }
    ;
    /**
     * Sets the appScope property value. Read-only property with details of the app specific scope when the assignment scope is app specific. Containment entity.
     * @param value Value to set for the appScope property.
     */
    set appScope(value) {
        this._appScope = value;
    }
    ;
    /**
     * Gets the appScopeId property value. Identifier of the app-specific scope when the assignment scope is app-specific. The scope of an assignment determines the set of resources for which the principal has been granted access. App scopes are scopes that are defined and understood by this application only. Use / for tenant-wide app scopes. Use directoryScopeId to limit the scope to particular directory objects, for example, administrative units or all users.
     * @returns a string
     */
    get appScopeId() {
        return this._appScopeId;
    }
    ;
    /**
     * Sets the appScopeId property value. Identifier of the app-specific scope when the assignment scope is app-specific. The scope of an assignment determines the set of resources for which the principal has been granted access. App scopes are scopes that are defined and understood by this application only. Use / for tenant-wide app scopes. Use directoryScopeId to limit the scope to particular directory objects, for example, administrative units or all users.
     * @param value Value to set for the appScopeId property.
     */
    set appScopeId(value) {
        this._appScopeId = value;
    }
    ;
    ;
    /**
     * Gets the createdDateTime property value. Time that the schedule was created.
     * @returns a Date
     */
    get createdDateTime() {
        return this._createdDateTime;
    }
    ;
    /**
     * Sets the createdDateTime property value. Time that the schedule was created.
     * @param value Value to set for the createdDateTime property.
     */
    set createdDateTime(value) {
        this._createdDateTime = value;
    }
    ;
    /**
     * Gets the createdUsing property value. Identifier of the roleAssignmentScheduleRequest that created this schedule.
     * @returns a string
     */
    get createdUsing() {
        return this._createdUsing;
    }
    ;
    /**
     * Sets the createdUsing property value. Identifier of the roleAssignmentScheduleRequest that created this schedule.
     * @param value Value to set for the createdUsing property.
     */
    set createdUsing(value) {
        this._createdUsing = value;
    }
    ;
    /**
     * Gets the directoryScope property value. Property referencing the directory object that is the scope of the assignment. Provided so that callers can get the directory object using $expand at the same time as getting the role assignment. Read-only.
     * @returns a directoryObject
     */
    get directoryScope() {
        return this._directoryScope;
    }
    ;
    /**
     * Sets the directoryScope property value. Property referencing the directory object that is the scope of the assignment. Provided so that callers can get the directory object using $expand at the same time as getting the role assignment. Read-only.
     * @param value Value to set for the directoryScope property.
     */
    set directoryScope(value) {
        this._directoryScope = value;
    }
    ;
    /**
     * Gets the directoryScopeId property value. Identifier of the directory object representing the scope of the assignment. The scope of an assignment determines the set of resources for which the principal has been granted access. Directory scopes are shared scopes stored in the directory that are understood by multiple applications. Use / for tenant-wide scope. Use appScopeId to limit the scope to an application only.
     * @returns a string
     */
    get directoryScopeId() {
        return this._directoryScopeId;
    }
    ;
    /**
     * Sets the directoryScopeId property value. Identifier of the directory object representing the scope of the assignment. The scope of an assignment determines the set of resources for which the principal has been granted access. Directory scopes are shared scopes stored in the directory that are understood by multiple applications. Use / for tenant-wide scope. Use appScopeId to limit the scope to an application only.
     * @param value Value to set for the directoryScopeId property.
     */
    set directoryScopeId(value) {
        this._directoryScopeId = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "appScope": n => { this.appScope = n.getObjectValue(createAppScopeFromDiscriminatorValue_1.createAppScopeFromDiscriminatorValue); }, "appScopeId": n => { this.appScopeId = n.getStringValue(); }, "createdDateTime": n => { this.createdDateTime = n.getDateValue(); }, "createdUsing": n => { this.createdUsing = n.getStringValue(); }, "directoryScope": n => { this.directoryScope = n.getObjectValue(createDirectoryObjectFromDiscriminatorValue_1.createDirectoryObjectFromDiscriminatorValue); }, "directoryScopeId": n => { this.directoryScopeId = n.getStringValue(); }, "modifiedDateTime": n => { this.modifiedDateTime = n.getDateValue(); }, "principal": n => { this.principal = n.getObjectValue(createDirectoryObjectFromDiscriminatorValue_1.createDirectoryObjectFromDiscriminatorValue); }, "principalId": n => { this.principalId = n.getStringValue(); }, "roleDefinition": n => { this.roleDefinition = n.getObjectValue(createUnifiedRoleDefinitionFromDiscriminatorValue_1.createUnifiedRoleDefinitionFromDiscriminatorValue); }, "roleDefinitionId": n => { this.roleDefinitionId = n.getStringValue(); }, "status": n => { this.status = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the modifiedDateTime property value. Last time the schedule was updated.
     * @returns a Date
     */
    get modifiedDateTime() {
        return this._modifiedDateTime;
    }
    ;
    /**
     * Sets the modifiedDateTime property value. Last time the schedule was updated.
     * @param value Value to set for the modifiedDateTime property.
     */
    set modifiedDateTime(value) {
        this._modifiedDateTime = value;
    }
    ;
    /**
     * Gets the principal property value. Property referencing the principal that is getting a role assignment through the request. Provided so that callers can get the principal using $expand at the same time as getting the role assignment. Read-only.
     * @returns a directoryObject
     */
    get principal() {
        return this._principal;
    }
    ;
    /**
     * Sets the principal property value. Property referencing the principal that is getting a role assignment through the request. Provided so that callers can get the principal using $expand at the same time as getting the role assignment. Read-only.
     * @param value Value to set for the principal property.
     */
    set principal(value) {
        this._principal = value;
    }
    ;
    /**
     * Gets the principalId property value. Identifier of the principal to which the assignment is being granted to. Supports $filter (eq).
     * @returns a string
     */
    get principalId() {
        return this._principalId;
    }
    ;
    /**
     * Sets the principalId property value. Identifier of the principal to which the assignment is being granted to. Supports $filter (eq).
     * @param value Value to set for the principalId property.
     */
    set principalId(value) {
        this._principalId = value;
    }
    ;
    /**
     * Gets the roleDefinition property value. Property indicating the roleDefinition the assignment is for. Provided so that callers can get the role definition using $expand at the same time as getting the role assignment. roleDefinition.Id will be auto expanded.
     * @returns a unifiedRoleDefinition
     */
    get roleDefinition() {
        return this._roleDefinition;
    }
    ;
    /**
     * Sets the roleDefinition property value. Property indicating the roleDefinition the assignment is for. Provided so that callers can get the role definition using $expand at the same time as getting the role assignment. roleDefinition.Id will be auto expanded.
     * @param value Value to set for the roleDefinition property.
     */
    set roleDefinition(value) {
        this._roleDefinition = value;
    }
    ;
    /**
     * Gets the roleDefinitionId property value. Identifier of the unifiedRoleDefinition the assignment is for. Read only. Supports $filter (eq).
     * @returns a string
     */
    get roleDefinitionId() {
        return this._roleDefinitionId;
    }
    ;
    /**
     * Sets the roleDefinitionId property value. Identifier of the unifiedRoleDefinition the assignment is for. Read only. Supports $filter (eq).
     * @param value Value to set for the roleDefinitionId property.
     */
    set roleDefinitionId(value) {
        this._roleDefinitionId = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("appScope", this.appScope);
        writer.writeStringValue("appScopeId", this.appScopeId);
        writer.writeDateValue("createdDateTime", this.createdDateTime);
        writer.writeStringValue("createdUsing", this.createdUsing);
        writer.writeObjectValue("directoryScope", this.directoryScope);
        writer.writeStringValue("directoryScopeId", this.directoryScopeId);
        writer.writeDateValue("modifiedDateTime", this.modifiedDateTime);
        writer.writeObjectValue("principal", this.principal);
        writer.writeStringValue("principalId", this.principalId);
        writer.writeObjectValue("roleDefinition", this.roleDefinition);
        writer.writeStringValue("roleDefinitionId", this.roleDefinitionId);
        writer.writeStringValue("status", this.status);
    }
    ;
    /**
     * Gets the status property value. Status for the roleAssignmentSchedule. It can include state related messages like Provisioned, Revoked, Pending Provisioning, and Pending Approval. Supports $filter (eq).
     * @returns a string
     */
    get status() {
        return this._status;
    }
    ;
    /**
     * Sets the status property value. Status for the roleAssignmentSchedule. It can include state related messages like Provisioned, Revoked, Pending Provisioning, and Pending Approval. Supports $filter (eq).
     * @param value Value to set for the status property.
     */
    set status(value) {
        this._status = value;
    }
    ;
}
exports.UnifiedRoleScheduleBase = UnifiedRoleScheduleBase;
