"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UriClickSecurityState = void 0;
class UriClickSecurityState {
    /**
     * Instantiates a new uriClickSecurityState and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the clickAction property value. The clickAction property
     * @returns a string
     */
    get clickAction() {
        return this._clickAction;
    }
    ;
    /**
     * Sets the clickAction property value. The clickAction property
     * @param value Value to set for the clickAction property.
     */
    set clickAction(value) {
        this._clickAction = value;
    }
    ;
    /**
     * Gets the clickDateTime property value. The clickDateTime property
     * @returns a Date
     */
    get clickDateTime() {
        return this._clickDateTime;
    }
    ;
    /**
     * Sets the clickDateTime property value. The clickDateTime property
     * @param value Value to set for the clickDateTime property.
     */
    set clickDateTime(value) {
        this._clickDateTime = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "clickAction": n => { this.clickAction = n.getStringValue(); },
            "clickDateTime": n => { this.clickDateTime = n.getDateValue(); },
            "id": n => { this.id = n.getStringValue(); },
            "sourceId": n => { this.sourceId = n.getStringValue(); },
            "uriDomain": n => { this.uriDomain = n.getStringValue(); },
            "verdict": n => { this.verdict = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the id property value. The id property
     * @returns a string
     */
    get id() {
        return this._id;
    }
    ;
    /**
     * Sets the id property value. The id property
     * @param value Value to set for the id property.
     */
    set id(value) {
        this._id = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("clickAction", this.clickAction);
        writer.writeDateValue("clickDateTime", this.clickDateTime);
        writer.writeStringValue("id", this.id);
        writer.writeStringValue("sourceId", this.sourceId);
        writer.writeStringValue("uriDomain", this.uriDomain);
        writer.writeStringValue("verdict", this.verdict);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the sourceId property value. The sourceId property
     * @returns a string
     */
    get sourceId() {
        return this._sourceId;
    }
    ;
    /**
     * Sets the sourceId property value. The sourceId property
     * @param value Value to set for the sourceId property.
     */
    set sourceId(value) {
        this._sourceId = value;
    }
    ;
    /**
     * Gets the uriDomain property value. The uriDomain property
     * @returns a string
     */
    get uriDomain() {
        return this._uriDomain;
    }
    ;
    /**
     * Sets the uriDomain property value. The uriDomain property
     * @param value Value to set for the uriDomain property.
     */
    set uriDomain(value) {
        this._uriDomain = value;
    }
    ;
    /**
     * Gets the verdict property value. The verdict property
     * @returns a string
     */
    get verdict() {
        return this._verdict;
    }
    ;
    /**
     * Sets the verdict property value. The verdict property
     * @param value Value to set for the verdict property.
     */
    set verdict(value) {
        this._verdict = value;
    }
    ;
}
exports.UriClickSecurityState = UriClickSecurityState;
