"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UsedInsight = void 0;
const createEntityFromDiscriminatorValue_1 = require("./createEntityFromDiscriminatorValue");
const createResourceReferenceFromDiscriminatorValue_1 = require("./createResourceReferenceFromDiscriminatorValue");
const createResourceVisualizationFromDiscriminatorValue_1 = require("./createResourceVisualizationFromDiscriminatorValue");
const createUsageDetailsFromDiscriminatorValue_1 = require("./createUsageDetailsFromDiscriminatorValue");
const index_1 = require("./index");
/** Casts the previous resource to user. */
class UsedInsight extends index_1.Entity {
    /**
     * Instantiates a new usedInsight and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "lastUsed": n => { this.lastUsed = n.getObjectValue(createUsageDetailsFromDiscriminatorValue_1.createUsageDetailsFromDiscriminatorValue); }, "resource": n => { this.resource = n.getObjectValue(createEntityFromDiscriminatorValue_1.createEntityFromDiscriminatorValue); }, "resourceReference": n => { this.resourceReference = n.getObjectValue(createResourceReferenceFromDiscriminatorValue_1.createResourceReferenceFromDiscriminatorValue); }, "resourceVisualization": n => { this.resourceVisualization = n.getObjectValue(createResourceVisualizationFromDiscriminatorValue_1.createResourceVisualizationFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the lastUsed property value. Information about when the item was last viewed or modified by the user. Read only.
     * @returns a usageDetails
     */
    get lastUsed() {
        return this._lastUsed;
    }
    ;
    /**
     * Sets the lastUsed property value. Information about when the item was last viewed or modified by the user. Read only.
     * @param value Value to set for the lastUsed property.
     */
    set lastUsed(value) {
        this._lastUsed = value;
    }
    ;
    /**
     * Gets the resource property value. Used for navigating to the item that was used. For file attachments, the type is fileAttachment. For linked attachments, the type is driveItem.
     * @returns a entity
     */
    get resource() {
        return this._resource;
    }
    ;
    /**
     * Sets the resource property value. Used for navigating to the item that was used. For file attachments, the type is fileAttachment. For linked attachments, the type is driveItem.
     * @param value Value to set for the resource property.
     */
    set resource(value) {
        this._resource = value;
    }
    ;
    /**
     * Gets the resourceReference property value. Reference properties of the used document, such as the url and type of the document. Read-only
     * @returns a resourceReference
     */
    get resourceReference() {
        return this._resourceReference;
    }
    ;
    /**
     * Sets the resourceReference property value. Reference properties of the used document, such as the url and type of the document. Read-only
     * @param value Value to set for the resourceReference property.
     */
    set resourceReference(value) {
        this._resourceReference = value;
    }
    ;
    /**
     * Gets the resourceVisualization property value. Properties that you can use to visualize the document in your experience. Read-only
     * @returns a resourceVisualization
     */
    get resourceVisualization() {
        return this._resourceVisualization;
    }
    ;
    /**
     * Sets the resourceVisualization property value. Properties that you can use to visualize the document in your experience. Read-only
     * @param value Value to set for the resourceVisualization property.
     */
    set resourceVisualization(value) {
        this._resourceVisualization = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("lastUsed", this.lastUsed);
        writer.writeObjectValue("resource", this.resource);
        writer.writeObjectValue("resourceReference", this.resourceReference);
        writer.writeObjectValue("resourceVisualization", this.resourceVisualization);
    }
    ;
}
exports.UsedInsight = UsedInsight;
