import { Approval, Request } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the identityGovernance singleton. */
export declare class UserConsentRequest extends Request implements Parsable {
    /** Approval decisions associated with a request. */
    private _approval?;
    /** The user's justification for requiring access to the app. Supports $filter (eq only) and $orderby. */
    private _reason?;
    /**
     * Gets the approval property value. Approval decisions associated with a request.
     * @returns a approval
     */
    get approval(): Approval | undefined;
    /**
     * Sets the approval property value. Approval decisions associated with a request.
     * @param value Value to set for the approval property.
     */
    set approval(value: Approval | undefined);
    /**
     * Instantiates a new userConsentRequest and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the reason property value. The user's justification for requiring access to the app. Supports $filter (eq only) and $orderby.
     * @returns a string
     */
    get reason(): string | undefined;
    /**
     * Sets the reason property value. The user's justification for requiring access to the app. Supports $filter (eq only) and $orderby.
     * @param value Value to set for the reason property.
     */
    set reason(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
