"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserFlowApiConnectorConfiguration = void 0;
const createIdentityApiConnectorFromDiscriminatorValue_1 = require("./createIdentityApiConnectorFromDiscriminatorValue");
class UserFlowApiConnectorConfiguration {
    /**
     * Instantiates a new userFlowApiConnectorConfiguration and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "postAttributeCollection": n => { this.postAttributeCollection = n.getObjectValue(createIdentityApiConnectorFromDiscriminatorValue_1.createIdentityApiConnectorFromDiscriminatorValue); },
            "postFederationSignup": n => { this.postFederationSignup = n.getObjectValue(createIdentityApiConnectorFromDiscriminatorValue_1.createIdentityApiConnectorFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Gets the postAttributeCollection property value. The postAttributeCollection property
     * @returns a identityApiConnector
     */
    get postAttributeCollection() {
        return this._postAttributeCollection;
    }
    ;
    /**
     * Sets the postAttributeCollection property value. The postAttributeCollection property
     * @param value Value to set for the postAttributeCollection property.
     */
    set postAttributeCollection(value) {
        this._postAttributeCollection = value;
    }
    ;
    /**
     * Gets the postFederationSignup property value. The postFederationSignup property
     * @returns a identityApiConnector
     */
    get postFederationSignup() {
        return this._postFederationSignup;
    }
    ;
    /**
     * Sets the postFederationSignup property value. The postFederationSignup property
     * @param value Value to set for the postFederationSignup property.
     */
    set postFederationSignup(value) {
        this._postFederationSignup = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeObjectValue("postAttributeCollection", this.postAttributeCollection);
        writer.writeObjectValue("postFederationSignup", this.postFederationSignup);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.UserFlowApiConnectorConfiguration = UserFlowApiConnectorConfiguration;
