import { DeviceInstallState, Entity } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Contains properties for the installation state summary for a user. */
export declare class UserInstallStateSummary extends Entity implements Parsable {
    /** The install state of the eBook. */
    private _deviceStates?;
    /** Failed Device Count. */
    private _failedDeviceCount?;
    /** Installed Device Count. */
    private _installedDeviceCount?;
    /** Not installed device count. */
    private _notInstalledDeviceCount?;
    /** User name. */
    private _userName?;
    /**
     * Instantiates a new userInstallStateSummary and sets the default values.
     */
    constructor();
    /**
     * Gets the deviceStates property value. The install state of the eBook.
     * @returns a deviceInstallState
     */
    get deviceStates(): DeviceInstallState[] | undefined;
    /**
     * Sets the deviceStates property value. The install state of the eBook.
     * @param value Value to set for the deviceStates property.
     */
    set deviceStates(value: DeviceInstallState[] | undefined);
    /**
     * Gets the failedDeviceCount property value. Failed Device Count.
     * @returns a integer
     */
    get failedDeviceCount(): number | undefined;
    /**
     * Sets the failedDeviceCount property value. Failed Device Count.
     * @param value Value to set for the failedDeviceCount property.
     */
    set failedDeviceCount(value: number | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the installedDeviceCount property value. Installed Device Count.
     * @returns a integer
     */
    get installedDeviceCount(): number | undefined;
    /**
     * Sets the installedDeviceCount property value. Installed Device Count.
     * @param value Value to set for the installedDeviceCount property.
     */
    set installedDeviceCount(value: number | undefined);
    /**
     * Gets the notInstalledDeviceCount property value. Not installed device count.
     * @returns a integer
     */
    get notInstalledDeviceCount(): number | undefined;
    /**
     * Sets the notInstalledDeviceCount property value. Not installed device count.
     * @param value Value to set for the notInstalledDeviceCount property.
     */
    set notInstalledDeviceCount(value: number | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the userName property value. User name.
     * @returns a string
     */
    get userName(): string | undefined;
    /**
     * Sets the userName property value. User name.
     * @param value Value to set for the userName property.
     */
    set userName(value: string | undefined);
}
