"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserInstallStateSummary = void 0;
const createDeviceInstallStateFromDiscriminatorValue_1 = require("./createDeviceInstallStateFromDiscriminatorValue");
const index_1 = require("./index");
/** Contains properties for the installation state summary for a user. */
class UserInstallStateSummary extends index_1.Entity {
    /**
     * Instantiates a new userInstallStateSummary and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the deviceStates property value. The install state of the eBook.
     * @returns a deviceInstallState
     */
    get deviceStates() {
        return this._deviceStates;
    }
    ;
    /**
     * Sets the deviceStates property value. The install state of the eBook.
     * @param value Value to set for the deviceStates property.
     */
    set deviceStates(value) {
        this._deviceStates = value;
    }
    ;
    /**
     * Gets the failedDeviceCount property value. Failed Device Count.
     * @returns a integer
     */
    get failedDeviceCount() {
        return this._failedDeviceCount;
    }
    ;
    /**
     * Sets the failedDeviceCount property value. Failed Device Count.
     * @param value Value to set for the failedDeviceCount property.
     */
    set failedDeviceCount(value) {
        this._failedDeviceCount = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "deviceStates": n => { this.deviceStates = n.getCollectionOfObjectValues(createDeviceInstallStateFromDiscriminatorValue_1.createDeviceInstallStateFromDiscriminatorValue); }, "failedDeviceCount": n => { this.failedDeviceCount = n.getNumberValue(); }, "installedDeviceCount": n => { this.installedDeviceCount = n.getNumberValue(); }, "notInstalledDeviceCount": n => { this.notInstalledDeviceCount = n.getNumberValue(); }, "userName": n => { this.userName = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the installedDeviceCount property value. Installed Device Count.
     * @returns a integer
     */
    get installedDeviceCount() {
        return this._installedDeviceCount;
    }
    ;
    /**
     * Sets the installedDeviceCount property value. Installed Device Count.
     * @param value Value to set for the installedDeviceCount property.
     */
    set installedDeviceCount(value) {
        this._installedDeviceCount = value;
    }
    ;
    /**
     * Gets the notInstalledDeviceCount property value. Not installed device count.
     * @returns a integer
     */
    get notInstalledDeviceCount() {
        return this._notInstalledDeviceCount;
    }
    ;
    /**
     * Sets the notInstalledDeviceCount property value. Not installed device count.
     * @param value Value to set for the notInstalledDeviceCount property.
     */
    set notInstalledDeviceCount(value) {
        this._notInstalledDeviceCount = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("deviceStates", this.deviceStates);
        writer.writeNumberValue("failedDeviceCount", this.failedDeviceCount);
        writer.writeNumberValue("installedDeviceCount", this.installedDeviceCount);
        writer.writeNumberValue("notInstalledDeviceCount", this.notInstalledDeviceCount);
        writer.writeStringValue("userName", this.userName);
    }
    ;
    /**
     * Gets the userName property value. User name.
     * @returns a string
     */
    get userName() {
        return this._userName;
    }
    ;
    /**
     * Sets the userName property value. User name.
     * @param value Value to set for the userName property.
     */
    set userName(value) {
        this._userName = value;
    }
    ;
}
exports.UserInstallStateSummary = UserInstallStateSummary;
