import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class VerifiedDomain implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** For example, Email, OfficeCommunicationsOnline. */
    private _capabilities?;
    /** true if this is the default domain associated with the tenant; otherwise, false. */
    private _isDefault?;
    /** true if this is the initial domain associated with the tenant; otherwise, false. */
    private _isInitial?;
    /** The domain name; for example, contoso.onmicrosoft.com. */
    private _name?;
    /** For example, Managed. */
    private _type?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the capabilities property value. For example, Email, OfficeCommunicationsOnline.
     * @returns a string
     */
    get capabilities(): string | undefined;
    /**
     * Sets the capabilities property value. For example, Email, OfficeCommunicationsOnline.
     * @param value Value to set for the capabilities property.
     */
    set capabilities(value: string | undefined);
    /**
     * Instantiates a new verifiedDomain and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the isDefault property value. true if this is the default domain associated with the tenant; otherwise, false.
     * @returns a boolean
     */
    get isDefault(): boolean | undefined;
    /**
     * Sets the isDefault property value. true if this is the default domain associated with the tenant; otherwise, false.
     * @param value Value to set for the isDefault property.
     */
    set isDefault(value: boolean | undefined);
    /**
     * Gets the isInitial property value. true if this is the initial domain associated with the tenant; otherwise, false.
     * @returns a boolean
     */
    get isInitial(): boolean | undefined;
    /**
     * Sets the isInitial property value. true if this is the initial domain associated with the tenant; otherwise, false.
     * @param value Value to set for the isInitial property.
     */
    set isInitial(value: boolean | undefined);
    /**
     * Gets the name property value. The domain name; for example, contoso.onmicrosoft.com.
     * @returns a string
     */
    get name(): string | undefined;
    /**
     * Sets the name property value. The domain name; for example, contoso.onmicrosoft.com.
     * @param value Value to set for the name property.
     */
    set name(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the type property value. For example, Managed.
     * @returns a string
     */
    get type(): string | undefined;
    /**
     * Sets the type property value. For example, Managed.
     * @param value Value to set for the type property.
     */
    set type(value: string | undefined);
}
