"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VerifiedPublisher = void 0;
class VerifiedPublisher {
    /**
     * Instantiates a new verifiedPublisher and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the addedDateTime property value. The timestamp when the verified publisher was first added or most recently updated.
     * @returns a Date
     */
    get addedDateTime() {
        return this._addedDateTime;
    }
    ;
    /**
     * Sets the addedDateTime property value. The timestamp when the verified publisher was first added or most recently updated.
     * @param value Value to set for the addedDateTime property.
     */
    set addedDateTime(value) {
        this._addedDateTime = value;
    }
    ;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the displayName property value. The verified publisher name from the app publisher's Microsoft Partner Network (MPN) account.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. The verified publisher name from the app publisher's Microsoft Partner Network (MPN) account.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "addedDateTime": n => { this.addedDateTime = n.getDateValue(); },
            "displayName": n => { this.displayName = n.getStringValue(); },
            "verifiedPublisherId": n => { this.verifiedPublisherId = n.getStringValue(); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeDateValue("addedDateTime", this.addedDateTime);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeStringValue("verifiedPublisherId", this.verifiedPublisherId);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the verifiedPublisherId property value. The ID of the verified publisher from the app publisher's Partner Center account.
     * @returns a string
     */
    get verifiedPublisherId() {
        return this._verifiedPublisherId;
    }
    ;
    /**
     * Sets the verifiedPublisherId property value. The ID of the verified publisher from the app publisher's Partner Center account.
     * @param value Value to set for the verifiedPublisherId property.
     */
    set verifiedPublisherId(value) {
        this._verifiedPublisherId = value;
    }
    ;
}
exports.VerifiedPublisher = VerifiedPublisher;
