"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VisualInfo = void 0;
const createImageInfoFromDiscriminatorValue_1 = require("./createImageInfoFromDiscriminatorValue");
const createJsonFromDiscriminatorValue_1 = require("./createJsonFromDiscriminatorValue");
class VisualInfo {
    /**
     * Instantiates a new visualInfo and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the attribution property value. Optional. JSON object used to represent an icon which represents the application used to generate the activity
     * @returns a imageInfo
     */
    get attribution() {
        return this._attribution;
    }
    ;
    /**
     * Sets the attribution property value. Optional. JSON object used to represent an icon which represents the application used to generate the activity
     * @param value Value to set for the attribution property.
     */
    set attribution(value) {
        this._attribution = value;
    }
    ;
    /**
     * Gets the backgroundColor property value. Optional. Background color used to render the activity in the UI - brand color for the application source of the activity. Must be a valid hex color
     * @returns a string
     */
    get backgroundColor() {
        return this._backgroundColor;
    }
    ;
    /**
     * Sets the backgroundColor property value. Optional. Background color used to render the activity in the UI - brand color for the application source of the activity. Must be a valid hex color
     * @param value Value to set for the backgroundColor property.
     */
    set backgroundColor(value) {
        this._backgroundColor = value;
    }
    ;
    ;
    /**
     * Gets the content property value. Optional. Custom piece of data - JSON object used to provide custom content to render the activity in the Windows Shell UI
     * @returns a Json
     */
    get content() {
        return this._content;
    }
    ;
    /**
     * Sets the content property value. Optional. Custom piece of data - JSON object used to provide custom content to render the activity in the Windows Shell UI
     * @param value Value to set for the content property.
     */
    set content(value) {
        this._content = value;
    }
    ;
    /**
     * Gets the description property value. Optional. Longer text description of the user's unique activity (example: document name, first sentence, and/or metadata)
     * @returns a string
     */
    get description() {
        return this._description;
    }
    ;
    /**
     * Sets the description property value. Optional. Longer text description of the user's unique activity (example: document name, first sentence, and/or metadata)
     * @param value Value to set for the description property.
     */
    set description(value) {
        this._description = value;
    }
    ;
    /**
     * Gets the displayText property value. Required. Short text description of the user's unique activity (for example, document name in cases where an activity refers to document creation)
     * @returns a string
     */
    get displayText() {
        return this._displayText;
    }
    ;
    /**
     * Sets the displayText property value. Required. Short text description of the user's unique activity (for example, document name in cases where an activity refers to document creation)
     * @param value Value to set for the displayText property.
     */
    set displayText(value) {
        this._displayText = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "attribution": n => { this.attribution = n.getObjectValue(createImageInfoFromDiscriminatorValue_1.createImageInfoFromDiscriminatorValue); },
            "backgroundColor": n => { this.backgroundColor = n.getStringValue(); },
            "content": n => { this.content = n.getObjectValue(createJsonFromDiscriminatorValue_1.createJsonFromDiscriminatorValue); },
            "description": n => { this.description = n.getStringValue(); },
            "displayText": n => { this.displayText = n.getStringValue(); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeObjectValue("attribution", this.attribution);
        writer.writeStringValue("backgroundColor", this.backgroundColor);
        writer.writeObjectValue("content", this.content);
        writer.writeStringValue("description", this.description);
        writer.writeStringValue("displayText", this.displayText);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.VisualInfo = VisualInfo;
