import { WebsiteType } from './websiteType';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class Website implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The URL of the website. */
    private _address?;
    /** The display name of the web site. */
    private _displayName?;
    /** Possible values are: other, home, work, blog, profile. */
    private _type?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the address property value. The URL of the website.
     * @returns a string
     */
    get address(): string | undefined;
    /**
     * Sets the address property value. The URL of the website.
     * @param value Value to set for the address property.
     */
    set address(value: string | undefined);
    /**
     * Instantiates a new website and sets the default values.
     */
    constructor();
    /**
     * Gets the displayName property value. The display name of the web site.
     * @returns a string
     */
    get displayName(): string | undefined;
    /**
     * Sets the displayName property value. The display name of the web site.
     * @param value Value to set for the displayName property.
     */
    set displayName(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the type property value. Possible values are: other, home, work, blog, profile.
     * @returns a websiteType
     */
    get type(): WebsiteType | undefined;
    /**
     * Sets the type property value. Possible values are: other, home, work, blog, profile.
     * @param value Value to set for the type property.
     */
    set type(value: WebsiteType | undefined);
}
