"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WindowsInformationProtection = void 0;
const createTargetedManagedAppPolicyAssignmentFromDiscriminatorValue_1 = require("./createTargetedManagedAppPolicyAssignmentFromDiscriminatorValue");
const createWindowsInformationProtectionAppFromDiscriminatorValue_1 = require("./createWindowsInformationProtectionAppFromDiscriminatorValue");
const createWindowsInformationProtectionAppLockerFileFromDiscriminatorValue_1 = require("./createWindowsInformationProtectionAppLockerFileFromDiscriminatorValue");
const createWindowsInformationProtectionDataRecoveryCertificateFromDiscriminatorValue_1 = require("./createWindowsInformationProtectionDataRecoveryCertificateFromDiscriminatorValue");
const createWindowsInformationProtectionIPRangeCollectionFromDiscriminatorValue_1 = require("./createWindowsInformationProtectionIPRangeCollectionFromDiscriminatorValue");
const createWindowsInformationProtectionProxiedDomainCollectionFromDiscriminatorValue_1 = require("./createWindowsInformationProtectionProxiedDomainCollectionFromDiscriminatorValue");
const createWindowsInformationProtectionResourceCollectionFromDiscriminatorValue_1 = require("./createWindowsInformationProtectionResourceCollectionFromDiscriminatorValue");
const index_1 = require("./index");
const windowsInformationProtectionEnforcementLevel_1 = require("./windowsInformationProtectionEnforcementLevel");
/** Policy for Windows information protection to configure detailed management settings */
class WindowsInformationProtection extends index_1.ManagedAppPolicy {
    /**
     * Instantiates a new windowsInformationProtection and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the assignments property value. Navigation property to list of security groups targeted for policy.
     * @returns a targetedManagedAppPolicyAssignment
     */
    get assignments() {
        return this._assignments;
    }
    ;
    /**
     * Sets the assignments property value. Navigation property to list of security groups targeted for policy.
     * @param value Value to set for the assignments property.
     */
    set assignments(value) {
        this._assignments = value;
    }
    ;
    /**
     * Gets the azureRightsManagementServicesAllowed property value. Specifies whether to allow Azure RMS encryption for WIP
     * @returns a boolean
     */
    get azureRightsManagementServicesAllowed() {
        return this._azureRightsManagementServicesAllowed;
    }
    ;
    /**
     * Sets the azureRightsManagementServicesAllowed property value. Specifies whether to allow Azure RMS encryption for WIP
     * @param value Value to set for the azureRightsManagementServicesAllowed property.
     */
    set azureRightsManagementServicesAllowed(value) {
        this._azureRightsManagementServicesAllowed = value;
    }
    ;
    ;
    /**
     * Gets the dataRecoveryCertificate property value. Specifies a recovery certificate that can be used for data recovery of encrypted files. This is the same as the data recovery agent(DRA) certificate for encrypting file system(EFS)
     * @returns a windowsInformationProtectionDataRecoveryCertificate
     */
    get dataRecoveryCertificate() {
        return this._dataRecoveryCertificate;
    }
    ;
    /**
     * Sets the dataRecoveryCertificate property value. Specifies a recovery certificate that can be used for data recovery of encrypted files. This is the same as the data recovery agent(DRA) certificate for encrypting file system(EFS)
     * @param value Value to set for the dataRecoveryCertificate property.
     */
    set dataRecoveryCertificate(value) {
        this._dataRecoveryCertificate = value;
    }
    ;
    /**
     * Gets the enforcementLevel property value. WIP enforcement level.See the Enum definition for supported values. Possible values are: noProtection, encryptAndAuditOnly, encryptAuditAndPrompt, encryptAuditAndBlock.
     * @returns a windowsInformationProtectionEnforcementLevel
     */
    get enforcementLevel() {
        return this._enforcementLevel;
    }
    ;
    /**
     * Sets the enforcementLevel property value. WIP enforcement level.See the Enum definition for supported values. Possible values are: noProtection, encryptAndAuditOnly, encryptAuditAndPrompt, encryptAuditAndBlock.
     * @param value Value to set for the enforcementLevel property.
     */
    set enforcementLevel(value) {
        this._enforcementLevel = value;
    }
    ;
    /**
     * Gets the enterpriseDomain property value. Primary enterprise domain
     * @returns a string
     */
    get enterpriseDomain() {
        return this._enterpriseDomain;
    }
    ;
    /**
     * Sets the enterpriseDomain property value. Primary enterprise domain
     * @param value Value to set for the enterpriseDomain property.
     */
    set enterpriseDomain(value) {
        this._enterpriseDomain = value;
    }
    ;
    /**
     * Gets the enterpriseInternalProxyServers property value. This is the comma-separated list of internal proxy servers. For example, '157.54.14.28, 157.54.11.118, 10.202.14.167, 157.53.14.163, 157.69.210.59'. These proxies have been configured by the admin to connect to specific resources on the Internet. They are considered to be enterprise network locations. The proxies are only leveraged in configuring the EnterpriseProxiedDomains policy to force traffic to the matched domains through these proxies
     * @returns a windowsInformationProtectionResourceCollection
     */
    get enterpriseInternalProxyServers() {
        return this._enterpriseInternalProxyServers;
    }
    ;
    /**
     * Sets the enterpriseInternalProxyServers property value. This is the comma-separated list of internal proxy servers. For example, '157.54.14.28, 157.54.11.118, 10.202.14.167, 157.53.14.163, 157.69.210.59'. These proxies have been configured by the admin to connect to specific resources on the Internet. They are considered to be enterprise network locations. The proxies are only leveraged in configuring the EnterpriseProxiedDomains policy to force traffic to the matched domains through these proxies
     * @param value Value to set for the enterpriseInternalProxyServers property.
     */
    set enterpriseInternalProxyServers(value) {
        this._enterpriseInternalProxyServers = value;
    }
    ;
    /**
     * Gets the enterpriseIPRanges property value. Sets the enterprise IP ranges that define the computers in the enterprise network. Data that comes from those computers will be considered part of the enterprise and protected. These locations will be considered a safe destination for enterprise data to be shared to
     * @returns a windowsInformationProtectionIPRangeCollection
     */
    get enterpriseIPRanges() {
        return this._enterpriseIPRanges;
    }
    ;
    /**
     * Sets the enterpriseIPRanges property value. Sets the enterprise IP ranges that define the computers in the enterprise network. Data that comes from those computers will be considered part of the enterprise and protected. These locations will be considered a safe destination for enterprise data to be shared to
     * @param value Value to set for the enterpriseIPRanges property.
     */
    set enterpriseIPRanges(value) {
        this._enterpriseIPRanges = value;
    }
    ;
    /**
     * Gets the enterpriseIPRangesAreAuthoritative property value. Boolean value that tells the client to accept the configured list and not to use heuristics to attempt to find other subnets. Default is false
     * @returns a boolean
     */
    get enterpriseIPRangesAreAuthoritative() {
        return this._enterpriseIPRangesAreAuthoritative;
    }
    ;
    /**
     * Sets the enterpriseIPRangesAreAuthoritative property value. Boolean value that tells the client to accept the configured list and not to use heuristics to attempt to find other subnets. Default is false
     * @param value Value to set for the enterpriseIPRangesAreAuthoritative property.
     */
    set enterpriseIPRangesAreAuthoritative(value) {
        this._enterpriseIPRangesAreAuthoritative = value;
    }
    ;
    /**
     * Gets the enterpriseNetworkDomainNames property value. This is the list of domains that comprise the boundaries of the enterprise. Data from one of these domains that is sent to a device will be considered enterprise data and protected These locations will be considered a safe destination for enterprise data to be shared to
     * @returns a windowsInformationProtectionResourceCollection
     */
    get enterpriseNetworkDomainNames() {
        return this._enterpriseNetworkDomainNames;
    }
    ;
    /**
     * Sets the enterpriseNetworkDomainNames property value. This is the list of domains that comprise the boundaries of the enterprise. Data from one of these domains that is sent to a device will be considered enterprise data and protected These locations will be considered a safe destination for enterprise data to be shared to
     * @param value Value to set for the enterpriseNetworkDomainNames property.
     */
    set enterpriseNetworkDomainNames(value) {
        this._enterpriseNetworkDomainNames = value;
    }
    ;
    /**
     * Gets the enterpriseProtectedDomainNames property value. List of enterprise domains to be protected
     * @returns a windowsInformationProtectionResourceCollection
     */
    get enterpriseProtectedDomainNames() {
        return this._enterpriseProtectedDomainNames;
    }
    ;
    /**
     * Sets the enterpriseProtectedDomainNames property value. List of enterprise domains to be protected
     * @param value Value to set for the enterpriseProtectedDomainNames property.
     */
    set enterpriseProtectedDomainNames(value) {
        this._enterpriseProtectedDomainNames = value;
    }
    ;
    /**
     * Gets the enterpriseProxiedDomains property value. Contains a list of Enterprise resource domains hosted in the cloud that need to be protected. Connections to these resources are considered enterprise data. If a proxy is paired with a cloud resource, traffic to the cloud resource will be routed through the enterprise network via the denoted proxy server (on Port 80). A proxy server used for this purpose must also be configured using the EnterpriseInternalProxyServers policy
     * @returns a windowsInformationProtectionProxiedDomainCollection
     */
    get enterpriseProxiedDomains() {
        return this._enterpriseProxiedDomains;
    }
    ;
    /**
     * Sets the enterpriseProxiedDomains property value. Contains a list of Enterprise resource domains hosted in the cloud that need to be protected. Connections to these resources are considered enterprise data. If a proxy is paired with a cloud resource, traffic to the cloud resource will be routed through the enterprise network via the denoted proxy server (on Port 80). A proxy server used for this purpose must also be configured using the EnterpriseInternalProxyServers policy
     * @param value Value to set for the enterpriseProxiedDomains property.
     */
    set enterpriseProxiedDomains(value) {
        this._enterpriseProxiedDomains = value;
    }
    ;
    /**
     * Gets the enterpriseProxyServers property value. This is a list of proxy servers. Any server not on this list is considered non-enterprise
     * @returns a windowsInformationProtectionResourceCollection
     */
    get enterpriseProxyServers() {
        return this._enterpriseProxyServers;
    }
    ;
    /**
     * Sets the enterpriseProxyServers property value. This is a list of proxy servers. Any server not on this list is considered non-enterprise
     * @param value Value to set for the enterpriseProxyServers property.
     */
    set enterpriseProxyServers(value) {
        this._enterpriseProxyServers = value;
    }
    ;
    /**
     * Gets the enterpriseProxyServersAreAuthoritative property value. Boolean value that tells the client to accept the configured list of proxies and not try to detect other work proxies. Default is false
     * @returns a boolean
     */
    get enterpriseProxyServersAreAuthoritative() {
        return this._enterpriseProxyServersAreAuthoritative;
    }
    ;
    /**
     * Sets the enterpriseProxyServersAreAuthoritative property value. Boolean value that tells the client to accept the configured list of proxies and not try to detect other work proxies. Default is false
     * @param value Value to set for the enterpriseProxyServersAreAuthoritative property.
     */
    set enterpriseProxyServersAreAuthoritative(value) {
        this._enterpriseProxyServersAreAuthoritative = value;
    }
    ;
    /**
     * Gets the exemptAppLockerFiles property value. Another way to input exempt apps through xml files
     * @returns a windowsInformationProtectionAppLockerFile
     */
    get exemptAppLockerFiles() {
        return this._exemptAppLockerFiles;
    }
    ;
    /**
     * Sets the exemptAppLockerFiles property value. Another way to input exempt apps through xml files
     * @param value Value to set for the exemptAppLockerFiles property.
     */
    set exemptAppLockerFiles(value) {
        this._exemptAppLockerFiles = value;
    }
    ;
    /**
     * Gets the exemptApps property value. Exempt applications can also access enterprise data, but the data handled by those applications are not protected. This is because some critical enterprise applications may have compatibility problems with encrypted data.
     * @returns a windowsInformationProtectionApp
     */
    get exemptApps() {
        return this._exemptApps;
    }
    ;
    /**
     * Sets the exemptApps property value. Exempt applications can also access enterprise data, but the data handled by those applications are not protected. This is because some critical enterprise applications may have compatibility problems with encrypted data.
     * @param value Value to set for the exemptApps property.
     */
    set exemptApps(value) {
        this._exemptApps = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "assignments": n => { this.assignments = n.getCollectionOfObjectValues(createTargetedManagedAppPolicyAssignmentFromDiscriminatorValue_1.createTargetedManagedAppPolicyAssignmentFromDiscriminatorValue); }, "azureRightsManagementServicesAllowed": n => { this.azureRightsManagementServicesAllowed = n.getBooleanValue(); }, "dataRecoveryCertificate": n => { this.dataRecoveryCertificate = n.getObjectValue(createWindowsInformationProtectionDataRecoveryCertificateFromDiscriminatorValue_1.createWindowsInformationProtectionDataRecoveryCertificateFromDiscriminatorValue); }, "enforcementLevel": n => { this.enforcementLevel = n.getEnumValue(windowsInformationProtectionEnforcementLevel_1.WindowsInformationProtectionEnforcementLevel); }, "enterpriseDomain": n => { this.enterpriseDomain = n.getStringValue(); }, "enterpriseInternalProxyServers": n => { this.enterpriseInternalProxyServers = n.getCollectionOfObjectValues(createWindowsInformationProtectionResourceCollectionFromDiscriminatorValue_1.createWindowsInformationProtectionResourceCollectionFromDiscriminatorValue); }, "enterpriseIPRanges": n => { this.enterpriseIPRanges = n.getCollectionOfObjectValues(createWindowsInformationProtectionIPRangeCollectionFromDiscriminatorValue_1.createWindowsInformationProtectionIPRangeCollectionFromDiscriminatorValue); }, "enterpriseIPRangesAreAuthoritative": n => { this.enterpriseIPRangesAreAuthoritative = n.getBooleanValue(); }, "enterpriseNetworkDomainNames": n => { this.enterpriseNetworkDomainNames = n.getCollectionOfObjectValues(createWindowsInformationProtectionResourceCollectionFromDiscriminatorValue_1.createWindowsInformationProtectionResourceCollectionFromDiscriminatorValue); }, "enterpriseProtectedDomainNames": n => { this.enterpriseProtectedDomainNames = n.getCollectionOfObjectValues(createWindowsInformationProtectionResourceCollectionFromDiscriminatorValue_1.createWindowsInformationProtectionResourceCollectionFromDiscriminatorValue); }, "enterpriseProxiedDomains": n => { this.enterpriseProxiedDomains = n.getCollectionOfObjectValues(createWindowsInformationProtectionProxiedDomainCollectionFromDiscriminatorValue_1.createWindowsInformationProtectionProxiedDomainCollectionFromDiscriminatorValue); }, "enterpriseProxyServers": n => { this.enterpriseProxyServers = n.getCollectionOfObjectValues(createWindowsInformationProtectionResourceCollectionFromDiscriminatorValue_1.createWindowsInformationProtectionResourceCollectionFromDiscriminatorValue); }, "enterpriseProxyServersAreAuthoritative": n => { this.enterpriseProxyServersAreAuthoritative = n.getBooleanValue(); }, "exemptAppLockerFiles": n => { this.exemptAppLockerFiles = n.getCollectionOfObjectValues(createWindowsInformationProtectionAppLockerFileFromDiscriminatorValue_1.createWindowsInformationProtectionAppLockerFileFromDiscriminatorValue); }, "exemptApps": n => { this.exemptApps = n.getCollectionOfObjectValues(createWindowsInformationProtectionAppFromDiscriminatorValue_1.createWindowsInformationProtectionAppFromDiscriminatorValue); }, "iconsVisible": n => { this.iconsVisible = n.getBooleanValue(); }, "indexingEncryptedStoresOrItemsBlocked": n => { this.indexingEncryptedStoresOrItemsBlocked = n.getBooleanValue(); }, "isAssigned": n => { this.isAssigned = n.getBooleanValue(); }, "neutralDomainResources": n => { this.neutralDomainResources = n.getCollectionOfObjectValues(createWindowsInformationProtectionResourceCollectionFromDiscriminatorValue_1.createWindowsInformationProtectionResourceCollectionFromDiscriminatorValue); }, "protectedAppLockerFiles": n => { this.protectedAppLockerFiles = n.getCollectionOfObjectValues(createWindowsInformationProtectionAppLockerFileFromDiscriminatorValue_1.createWindowsInformationProtectionAppLockerFileFromDiscriminatorValue); }, "protectedApps": n => { this.protectedApps = n.getCollectionOfObjectValues(createWindowsInformationProtectionAppFromDiscriminatorValue_1.createWindowsInformationProtectionAppFromDiscriminatorValue); }, "protectionUnderLockConfigRequired": n => { this.protectionUnderLockConfigRequired = n.getBooleanValue(); }, "revokeOnUnenrollDisabled": n => { this.revokeOnUnenrollDisabled = n.getBooleanValue(); }, "rightsManagementServicesTemplateId": n => { this.rightsManagementServicesTemplateId = n.getStringValue(); }, "smbAutoEncryptedFileExtensions": n => { this.smbAutoEncryptedFileExtensions = n.getCollectionOfObjectValues(createWindowsInformationProtectionResourceCollectionFromDiscriminatorValue_1.createWindowsInformationProtectionResourceCollectionFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the iconsVisible property value. Determines whether overlays are added to icons for WIP protected files in Explorer and enterprise only app tiles in the Start menu. Starting in Windows 10, version 1703 this setting also configures the visibility of the WIP icon in the title bar of a WIP-protected app
     * @returns a boolean
     */
    get iconsVisible() {
        return this._iconsVisible;
    }
    ;
    /**
     * Sets the iconsVisible property value. Determines whether overlays are added to icons for WIP protected files in Explorer and enterprise only app tiles in the Start menu. Starting in Windows 10, version 1703 this setting also configures the visibility of the WIP icon in the title bar of a WIP-protected app
     * @param value Value to set for the iconsVisible property.
     */
    set iconsVisible(value) {
        this._iconsVisible = value;
    }
    ;
    /**
     * Gets the indexingEncryptedStoresOrItemsBlocked property value. This switch is for the Windows Search Indexer, to allow or disallow indexing of items
     * @returns a boolean
     */
    get indexingEncryptedStoresOrItemsBlocked() {
        return this._indexingEncryptedStoresOrItemsBlocked;
    }
    ;
    /**
     * Sets the indexingEncryptedStoresOrItemsBlocked property value. This switch is for the Windows Search Indexer, to allow or disallow indexing of items
     * @param value Value to set for the indexingEncryptedStoresOrItemsBlocked property.
     */
    set indexingEncryptedStoresOrItemsBlocked(value) {
        this._indexingEncryptedStoresOrItemsBlocked = value;
    }
    ;
    /**
     * Gets the isAssigned property value. Indicates if the policy is deployed to any inclusion groups or not.
     * @returns a boolean
     */
    get isAssigned() {
        return this._isAssigned;
    }
    ;
    /**
     * Sets the isAssigned property value. Indicates if the policy is deployed to any inclusion groups or not.
     * @param value Value to set for the isAssigned property.
     */
    set isAssigned(value) {
        this._isAssigned = value;
    }
    ;
    /**
     * Gets the neutralDomainResources property value. List of domain names that can used for work or personal resource
     * @returns a windowsInformationProtectionResourceCollection
     */
    get neutralDomainResources() {
        return this._neutralDomainResources;
    }
    ;
    /**
     * Sets the neutralDomainResources property value. List of domain names that can used for work or personal resource
     * @param value Value to set for the neutralDomainResources property.
     */
    set neutralDomainResources(value) {
        this._neutralDomainResources = value;
    }
    ;
    /**
     * Gets the protectedAppLockerFiles property value. Another way to input protected apps through xml files
     * @returns a windowsInformationProtectionAppLockerFile
     */
    get protectedAppLockerFiles() {
        return this._protectedAppLockerFiles;
    }
    ;
    /**
     * Sets the protectedAppLockerFiles property value. Another way to input protected apps through xml files
     * @param value Value to set for the protectedAppLockerFiles property.
     */
    set protectedAppLockerFiles(value) {
        this._protectedAppLockerFiles = value;
    }
    ;
    /**
     * Gets the protectedApps property value. Protected applications can access enterprise data and the data handled by those applications are protected with encryption
     * @returns a windowsInformationProtectionApp
     */
    get protectedApps() {
        return this._protectedApps;
    }
    ;
    /**
     * Sets the protectedApps property value. Protected applications can access enterprise data and the data handled by those applications are protected with encryption
     * @param value Value to set for the protectedApps property.
     */
    set protectedApps(value) {
        this._protectedApps = value;
    }
    ;
    /**
     * Gets the protectionUnderLockConfigRequired property value. Specifies whether the protection under lock feature (also known as encrypt under pin) should be configured
     * @returns a boolean
     */
    get protectionUnderLockConfigRequired() {
        return this._protectionUnderLockConfigRequired;
    }
    ;
    /**
     * Sets the protectionUnderLockConfigRequired property value. Specifies whether the protection under lock feature (also known as encrypt under pin) should be configured
     * @param value Value to set for the protectionUnderLockConfigRequired property.
     */
    set protectionUnderLockConfigRequired(value) {
        this._protectionUnderLockConfigRequired = value;
    }
    ;
    /**
     * Gets the revokeOnUnenrollDisabled property value. This policy controls whether to revoke the WIP keys when a device unenrolls from the management service. If set to 1 (Don't revoke keys), the keys will not be revoked and the user will continue to have access to protected files after unenrollment. If the keys are not revoked, there will be no revoked file cleanup subsequently.
     * @returns a boolean
     */
    get revokeOnUnenrollDisabled() {
        return this._revokeOnUnenrollDisabled;
    }
    ;
    /**
     * Sets the revokeOnUnenrollDisabled property value. This policy controls whether to revoke the WIP keys when a device unenrolls from the management service. If set to 1 (Don't revoke keys), the keys will not be revoked and the user will continue to have access to protected files after unenrollment. If the keys are not revoked, there will be no revoked file cleanup subsequently.
     * @param value Value to set for the revokeOnUnenrollDisabled property.
     */
    set revokeOnUnenrollDisabled(value) {
        this._revokeOnUnenrollDisabled = value;
    }
    ;
    /**
     * Gets the rightsManagementServicesTemplateId property value. TemplateID GUID to use for RMS encryption. The RMS template allows the IT admin to configure the details about who has access to RMS-protected file and how long they have access
     * @returns a string
     */
    get rightsManagementServicesTemplateId() {
        return this._rightsManagementServicesTemplateId;
    }
    ;
    /**
     * Sets the rightsManagementServicesTemplateId property value. TemplateID GUID to use for RMS encryption. The RMS template allows the IT admin to configure the details about who has access to RMS-protected file and how long they have access
     * @param value Value to set for the rightsManagementServicesTemplateId property.
     */
    set rightsManagementServicesTemplateId(value) {
        this._rightsManagementServicesTemplateId = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("assignments", this.assignments);
        writer.writeBooleanValue("azureRightsManagementServicesAllowed", this.azureRightsManagementServicesAllowed);
        writer.writeObjectValue("dataRecoveryCertificate", this.dataRecoveryCertificate);
        writer.writeEnumValue("enforcementLevel", this.enforcementLevel);
        writer.writeStringValue("enterpriseDomain", this.enterpriseDomain);
        writer.writeCollectionOfObjectValues("enterpriseInternalProxyServers", this.enterpriseInternalProxyServers);
        writer.writeCollectionOfObjectValues("enterpriseIPRanges", this.enterpriseIPRanges);
        writer.writeBooleanValue("enterpriseIPRangesAreAuthoritative", this.enterpriseIPRangesAreAuthoritative);
        writer.writeCollectionOfObjectValues("enterpriseNetworkDomainNames", this.enterpriseNetworkDomainNames);
        writer.writeCollectionOfObjectValues("enterpriseProtectedDomainNames", this.enterpriseProtectedDomainNames);
        writer.writeCollectionOfObjectValues("enterpriseProxiedDomains", this.enterpriseProxiedDomains);
        writer.writeCollectionOfObjectValues("enterpriseProxyServers", this.enterpriseProxyServers);
        writer.writeBooleanValue("enterpriseProxyServersAreAuthoritative", this.enterpriseProxyServersAreAuthoritative);
        writer.writeCollectionOfObjectValues("exemptAppLockerFiles", this.exemptAppLockerFiles);
        writer.writeCollectionOfObjectValues("exemptApps", this.exemptApps);
        writer.writeBooleanValue("iconsVisible", this.iconsVisible);
        writer.writeBooleanValue("indexingEncryptedStoresOrItemsBlocked", this.indexingEncryptedStoresOrItemsBlocked);
        writer.writeBooleanValue("isAssigned", this.isAssigned);
        writer.writeCollectionOfObjectValues("neutralDomainResources", this.neutralDomainResources);
        writer.writeCollectionOfObjectValues("protectedAppLockerFiles", this.protectedAppLockerFiles);
        writer.writeCollectionOfObjectValues("protectedApps", this.protectedApps);
        writer.writeBooleanValue("protectionUnderLockConfigRequired", this.protectionUnderLockConfigRequired);
        writer.writeBooleanValue("revokeOnUnenrollDisabled", this.revokeOnUnenrollDisabled);
        writer.writeStringValue("rightsManagementServicesTemplateId", this.rightsManagementServicesTemplateId);
        writer.writeCollectionOfObjectValues("smbAutoEncryptedFileExtensions", this.smbAutoEncryptedFileExtensions);
    }
    ;
    /**
     * Gets the smbAutoEncryptedFileExtensions property value. Specifies a list of file extensions, so that files with these extensions are encrypted when copying from an SMB share within the corporate boundary
     * @returns a windowsInformationProtectionResourceCollection
     */
    get smbAutoEncryptedFileExtensions() {
        return this._smbAutoEncryptedFileExtensions;
    }
    ;
    /**
     * Sets the smbAutoEncryptedFileExtensions property value. Specifies a list of file extensions, so that files with these extensions are encrypted when copying from an SMB share within the corporate boundary
     * @param value Value to set for the smbAutoEncryptedFileExtensions property.
     */
    set smbAutoEncryptedFileExtensions(value) {
        this._smbAutoEncryptedFileExtensions = value;
    }
    ;
}
exports.WindowsInformationProtection = WindowsInformationProtection;
