import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** App for Windows information protection */
export declare class WindowsInformationProtectionApp implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** If true, app is denied protection or exemption. */
    private _denied?;
    /** The app's description. */
    private _description?;
    /** App display name. */
    private _displayName?;
    /** The product name. */
    private _productName?;
    /** The publisher name */
    private _publisherName?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Instantiates a new windowsInformationProtectionApp and sets the default values.
     */
    constructor();
    /**
     * Gets the denied property value. If true, app is denied protection or exemption.
     * @returns a boolean
     */
    get denied(): boolean | undefined;
    /**
     * Sets the denied property value. If true, app is denied protection or exemption.
     * @param value Value to set for the denied property.
     */
    set denied(value: boolean | undefined);
    /**
     * Gets the description property value. The app's description.
     * @returns a string
     */
    get description(): string | undefined;
    /**
     * Sets the description property value. The app's description.
     * @param value Value to set for the description property.
     */
    set description(value: string | undefined);
    /**
     * Gets the displayName property value. App display name.
     * @returns a string
     */
    get displayName(): string | undefined;
    /**
     * Sets the displayName property value. App display name.
     * @param value Value to set for the displayName property.
     */
    set displayName(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the productName property value. The product name.
     * @returns a string
     */
    get productName(): string | undefined;
    /**
     * Sets the productName property value. The product name.
     * @param value Value to set for the productName property.
     */
    set productName(value: string | undefined);
    /**
     * Gets the publisherName property value. The publisher name
     * @returns a string
     */
    get publisherName(): string | undefined;
    /**
     * Sets the publisherName property value. The publisher name
     * @param value Value to set for the publisherName property.
     */
    set publisherName(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
