"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WindowsInformationProtectionApp = void 0;
/** App for Windows information protection */
class WindowsInformationProtectionApp {
    /**
     * Instantiates a new windowsInformationProtectionApp and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the denied property value. If true, app is denied protection or exemption.
     * @returns a boolean
     */
    get denied() {
        return this._denied;
    }
    ;
    /**
     * Sets the denied property value. If true, app is denied protection or exemption.
     * @param value Value to set for the denied property.
     */
    set denied(value) {
        this._denied = value;
    }
    ;
    /**
     * Gets the description property value. The app's description.
     * @returns a string
     */
    get description() {
        return this._description;
    }
    ;
    /**
     * Sets the description property value. The app's description.
     * @param value Value to set for the description property.
     */
    set description(value) {
        this._description = value;
    }
    ;
    /**
     * Gets the displayName property value. App display name.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. App display name.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "denied": n => { this.denied = n.getBooleanValue(); },
            "description": n => { this.description = n.getStringValue(); },
            "displayName": n => { this.displayName = n.getStringValue(); },
            "productName": n => { this.productName = n.getStringValue(); },
            "publisherName": n => { this.publisherName = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the productName property value. The product name.
     * @returns a string
     */
    get productName() {
        return this._productName;
    }
    ;
    /**
     * Sets the productName property value. The product name.
     * @param value Value to set for the productName property.
     */
    set productName(value) {
        this._productName = value;
    }
    ;
    /**
     * Gets the publisherName property value. The publisher name
     * @returns a string
     */
    get publisherName() {
        return this._publisherName;
    }
    ;
    /**
     * Sets the publisherName property value. The publisher name
     * @param value Value to set for the publisherName property.
     */
    set publisherName(value) {
        this._publisherName = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeBooleanValue("denied", this.denied);
        writer.writeStringValue("description", this.description);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeStringValue("productName", this.productName);
        writer.writeStringValue("publisherName", this.publisherName);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.WindowsInformationProtectionApp = WindowsInformationProtectionApp;
