import { ApplicationType } from './applicationType';
import { Entity } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Windows Information Protection AppLearning Summary entity. */
export declare class WindowsInformationProtectionAppLearningSummary extends Entity implements Parsable {
    /** Application Name */
    private _applicationName?;
    /** Application Type. Possible values are: universal, desktop. */
    private _applicationType?;
    /** Device Count */
    private _deviceCount?;
    /**
     * Gets the applicationName property value. Application Name
     * @returns a string
     */
    get applicationName(): string | undefined;
    /**
     * Sets the applicationName property value. Application Name
     * @param value Value to set for the applicationName property.
     */
    set applicationName(value: string | undefined);
    /**
     * Gets the applicationType property value. Application Type. Possible values are: universal, desktop.
     * @returns a applicationType
     */
    get applicationType(): ApplicationType | undefined;
    /**
     * Sets the applicationType property value. Application Type. Possible values are: universal, desktop.
     * @param value Value to set for the applicationType property.
     */
    set applicationType(value: ApplicationType | undefined);
    /**
     * Instantiates a new windowsInformationProtectionAppLearningSummary and sets the default values.
     */
    constructor();
    /**
     * Gets the deviceCount property value. Device Count
     * @returns a integer
     */
    get deviceCount(): number | undefined;
    /**
     * Sets the deviceCount property value. Device Count
     * @param value Value to set for the deviceCount property.
     */
    set deviceCount(value: number | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
