import { Entity } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Windows Information Protection AppLocker File */
export declare class WindowsInformationProtectionAppLockerFile extends Entity implements Parsable {
    /** The friendly name */
    private _displayName?;
    /** File as a byte array */
    private _file?;
    /** SHA256 hash of the file */
    private _fileHash?;
    /** Version of the entity. */
    private _version?;
    /**
     * Instantiates a new windowsInformationProtectionAppLockerFile and sets the default values.
     */
    constructor();
    /**
     * Gets the displayName property value. The friendly name
     * @returns a string
     */
    get displayName(): string | undefined;
    /**
     * Sets the displayName property value. The friendly name
     * @param value Value to set for the displayName property.
     */
    set displayName(value: string | undefined);
    /**
     * Gets the file property value. File as a byte array
     * @returns a binary
     */
    get file(): string | undefined;
    /**
     * Sets the file property value. File as a byte array
     * @param value Value to set for the file property.
     */
    set file(value: string | undefined);
    /**
     * Gets the fileHash property value. SHA256 hash of the file
     * @returns a string
     */
    get fileHash(): string | undefined;
    /**
     * Sets the fileHash property value. SHA256 hash of the file
     * @param value Value to set for the fileHash property.
     */
    set fileHash(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the version property value. Version of the entity.
     * @returns a string
     */
    get version(): string | undefined;
    /**
     * Sets the version property value. Version of the entity.
     * @param value Value to set for the version property.
     */
    set version(value: string | undefined);
}
