"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WindowsInformationProtectionIPRangeCollection = void 0;
const createIpRangeFromDiscriminatorValue_1 = require("./createIpRangeFromDiscriminatorValue");
/** Windows Information Protection IP Range Collection */
class WindowsInformationProtectionIPRangeCollection {
    /**
     * Instantiates a new windowsInformationProtectionIPRangeCollection and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the displayName property value. Display name
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. Display name
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "displayName": n => { this.displayName = n.getStringValue(); },
            "ranges": n => { this.ranges = n.getCollectionOfObjectValues(createIpRangeFromDiscriminatorValue_1.createIpRangeFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Gets the ranges property value. Collection of ip ranges
     * @returns a ipRange
     */
    get ranges() {
        return this._ranges;
    }
    ;
    /**
     * Sets the ranges property value. Collection of ip ranges
     * @param value Value to set for the ranges property.
     */
    set ranges(value) {
        this._ranges = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("displayName", this.displayName);
        writer.writeCollectionOfObjectValues("ranges", this.ranges);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.WindowsInformationProtectionIPRangeCollection = WindowsInformationProtectionIPRangeCollection;
