"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WindowsInformationProtectionPolicy = void 0;
const index_1 = require("./index");
const windowsInformationProtectionPinCharacterRequirements_1 = require("./windowsInformationProtectionPinCharacterRequirements");
/** Policy for Windows information protection without MDM */
class WindowsInformationProtectionPolicy extends index_1.WindowsInformationProtection {
    /**
     * Instantiates a new windowsInformationProtectionPolicy and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the daysWithoutContactBeforeUnenroll property value. Offline interval before app data is wiped (days)
     * @returns a integer
     */
    get daysWithoutContactBeforeUnenroll() {
        return this._daysWithoutContactBeforeUnenroll;
    }
    ;
    /**
     * Sets the daysWithoutContactBeforeUnenroll property value. Offline interval before app data is wiped (days)
     * @param value Value to set for the daysWithoutContactBeforeUnenroll property.
     */
    set daysWithoutContactBeforeUnenroll(value) {
        this._daysWithoutContactBeforeUnenroll = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "daysWithoutContactBeforeUnenroll": n => { this.daysWithoutContactBeforeUnenroll = n.getNumberValue(); }, "mdmEnrollmentUrl": n => { this.mdmEnrollmentUrl = n.getStringValue(); }, "minutesOfInactivityBeforeDeviceLock": n => { this.minutesOfInactivityBeforeDeviceLock = n.getNumberValue(); }, "numberOfPastPinsRemembered": n => { this.numberOfPastPinsRemembered = n.getNumberValue(); }, "passwordMaximumAttemptCount": n => { this.passwordMaximumAttemptCount = n.getNumberValue(); }, "pinExpirationDays": n => { this.pinExpirationDays = n.getNumberValue(); }, "pinLowercaseLetters": n => { this.pinLowercaseLetters = n.getEnumValue(windowsInformationProtectionPinCharacterRequirements_1.WindowsInformationProtectionPinCharacterRequirements); }, "pinMinimumLength": n => { this.pinMinimumLength = n.getNumberValue(); }, "pinSpecialCharacters": n => { this.pinSpecialCharacters = n.getEnumValue(windowsInformationProtectionPinCharacterRequirements_1.WindowsInformationProtectionPinCharacterRequirements); }, "pinUppercaseLetters": n => { this.pinUppercaseLetters = n.getEnumValue(windowsInformationProtectionPinCharacterRequirements_1.WindowsInformationProtectionPinCharacterRequirements); }, "revokeOnMdmHandoffDisabled": n => { this.revokeOnMdmHandoffDisabled = n.getBooleanValue(); }, "windowsHelloForBusinessBlocked": n => { this.windowsHelloForBusinessBlocked = n.getBooleanValue(); } });
    }
    ;
    /**
     * Gets the mdmEnrollmentUrl property value. Enrollment url for the MDM
     * @returns a string
     */
    get mdmEnrollmentUrl() {
        return this._mdmEnrollmentUrl;
    }
    ;
    /**
     * Sets the mdmEnrollmentUrl property value. Enrollment url for the MDM
     * @param value Value to set for the mdmEnrollmentUrl property.
     */
    set mdmEnrollmentUrl(value) {
        this._mdmEnrollmentUrl = value;
    }
    ;
    /**
     * Gets the minutesOfInactivityBeforeDeviceLock property value. Specifies the maximum amount of time (in minutes) allowed after the device is idle that will cause the device to become PIN or password locked.   Range is an integer X where 0 <= X <= 999.
     * @returns a integer
     */
    get minutesOfInactivityBeforeDeviceLock() {
        return this._minutesOfInactivityBeforeDeviceLock;
    }
    ;
    /**
     * Sets the minutesOfInactivityBeforeDeviceLock property value. Specifies the maximum amount of time (in minutes) allowed after the device is idle that will cause the device to become PIN or password locked.   Range is an integer X where 0 <= X <= 999.
     * @param value Value to set for the minutesOfInactivityBeforeDeviceLock property.
     */
    set minutesOfInactivityBeforeDeviceLock(value) {
        this._minutesOfInactivityBeforeDeviceLock = value;
    }
    ;
    /**
     * Gets the numberOfPastPinsRemembered property value. Integer value that specifies the number of past PINs that can be associated to a user account that can't be reused. The largest number you can configure for this policy setting is 50. The lowest number you can configure for this policy setting is 0. If this policy is set to 0, then storage of previous PINs is not required. This node was added in Windows 10, version 1511. Default is 0.
     * @returns a integer
     */
    get numberOfPastPinsRemembered() {
        return this._numberOfPastPinsRemembered;
    }
    ;
    /**
     * Sets the numberOfPastPinsRemembered property value. Integer value that specifies the number of past PINs that can be associated to a user account that can't be reused. The largest number you can configure for this policy setting is 50. The lowest number you can configure for this policy setting is 0. If this policy is set to 0, then storage of previous PINs is not required. This node was added in Windows 10, version 1511. Default is 0.
     * @param value Value to set for the numberOfPastPinsRemembered property.
     */
    set numberOfPastPinsRemembered(value) {
        this._numberOfPastPinsRemembered = value;
    }
    ;
    /**
     * Gets the passwordMaximumAttemptCount property value. The number of authentication failures allowed before the device will be wiped. A value of 0 disables device wipe functionality. Range is an integer X where 4 <= X <= 16 for desktop and 0 <= X <= 999 for mobile devices.
     * @returns a integer
     */
    get passwordMaximumAttemptCount() {
        return this._passwordMaximumAttemptCount;
    }
    ;
    /**
     * Sets the passwordMaximumAttemptCount property value. The number of authentication failures allowed before the device will be wiped. A value of 0 disables device wipe functionality. Range is an integer X where 4 <= X <= 16 for desktop and 0 <= X <= 999 for mobile devices.
     * @param value Value to set for the passwordMaximumAttemptCount property.
     */
    set passwordMaximumAttemptCount(value) {
        this._passwordMaximumAttemptCount = value;
    }
    ;
    /**
     * Gets the pinExpirationDays property value. Integer value specifies the period of time (in days) that a PIN can be used before the system requires the user to change it. The largest number you can configure for this policy setting is 730. The lowest number you can configure for this policy setting is 0. If this policy is set to 0, then the user's PIN will never expire. This node was added in Windows 10, version 1511. Default is 0.
     * @returns a integer
     */
    get pinExpirationDays() {
        return this._pinExpirationDays;
    }
    ;
    /**
     * Sets the pinExpirationDays property value. Integer value specifies the period of time (in days) that a PIN can be used before the system requires the user to change it. The largest number you can configure for this policy setting is 730. The lowest number you can configure for this policy setting is 0. If this policy is set to 0, then the user's PIN will never expire. This node was added in Windows 10, version 1511. Default is 0.
     * @param value Value to set for the pinExpirationDays property.
     */
    set pinExpirationDays(value) {
        this._pinExpirationDays = value;
    }
    ;
    /**
     * Gets the pinLowercaseLetters property value. Integer value that configures the use of lowercase letters in the Windows Hello for Business PIN. Default is NotAllow. Possible values are: notAllow, requireAtLeastOne, allow.
     * @returns a windowsInformationProtectionPinCharacterRequirements
     */
    get pinLowercaseLetters() {
        return this._pinLowercaseLetters;
    }
    ;
    /**
     * Sets the pinLowercaseLetters property value. Integer value that configures the use of lowercase letters in the Windows Hello for Business PIN. Default is NotAllow. Possible values are: notAllow, requireAtLeastOne, allow.
     * @param value Value to set for the pinLowercaseLetters property.
     */
    set pinLowercaseLetters(value) {
        this._pinLowercaseLetters = value;
    }
    ;
    /**
     * Gets the pinMinimumLength property value. Integer value that sets the minimum number of characters required for the PIN. Default value is 4. The lowest number you can configure for this policy setting is 4. The largest number you can configure must be less than the number configured in the Maximum PIN length policy setting or the number 127, whichever is the lowest.
     * @returns a integer
     */
    get pinMinimumLength() {
        return this._pinMinimumLength;
    }
    ;
    /**
     * Sets the pinMinimumLength property value. Integer value that sets the minimum number of characters required for the PIN. Default value is 4. The lowest number you can configure for this policy setting is 4. The largest number you can configure must be less than the number configured in the Maximum PIN length policy setting or the number 127, whichever is the lowest.
     * @param value Value to set for the pinMinimumLength property.
     */
    set pinMinimumLength(value) {
        this._pinMinimumLength = value;
    }
    ;
    /**
     * Gets the pinSpecialCharacters property value. Integer value that configures the use of special characters in the Windows Hello for Business PIN. Valid special characters for Windows Hello for Business PIN gestures include: ! ' # $ % & ' ( )  + , - . / : ; < = > ? @ [ / ] ^  ` {
     * @returns a windowsInformationProtectionPinCharacterRequirements
     */
    get pinSpecialCharacters() {
        return this._pinSpecialCharacters;
    }
    ;
    /**
     * Sets the pinSpecialCharacters property value. Integer value that configures the use of special characters in the Windows Hello for Business PIN. Valid special characters for Windows Hello for Business PIN gestures include: ! ' # $ % & ' ( )  + , - . / : ; < = > ? @ [ / ] ^  ` {
     * @param value Value to set for the pinSpecialCharacters property.
     */
    set pinSpecialCharacters(value) {
        this._pinSpecialCharacters = value;
    }
    ;
    /**
     * Gets the pinUppercaseLetters property value. Integer value that configures the use of uppercase letters in the Windows Hello for Business PIN. Default is NotAllow. Possible values are: notAllow, requireAtLeastOne, allow.
     * @returns a windowsInformationProtectionPinCharacterRequirements
     */
    get pinUppercaseLetters() {
        return this._pinUppercaseLetters;
    }
    ;
    /**
     * Sets the pinUppercaseLetters property value. Integer value that configures the use of uppercase letters in the Windows Hello for Business PIN. Default is NotAllow. Possible values are: notAllow, requireAtLeastOne, allow.
     * @param value Value to set for the pinUppercaseLetters property.
     */
    set pinUppercaseLetters(value) {
        this._pinUppercaseLetters = value;
    }
    ;
    /**
     * Gets the revokeOnMdmHandoffDisabled property value. New property in RS2, pending documentation
     * @returns a boolean
     */
    get revokeOnMdmHandoffDisabled() {
        return this._revokeOnMdmHandoffDisabled;
    }
    ;
    /**
     * Sets the revokeOnMdmHandoffDisabled property value. New property in RS2, pending documentation
     * @param value Value to set for the revokeOnMdmHandoffDisabled property.
     */
    set revokeOnMdmHandoffDisabled(value) {
        this._revokeOnMdmHandoffDisabled = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeNumberValue("daysWithoutContactBeforeUnenroll", this.daysWithoutContactBeforeUnenroll);
        writer.writeStringValue("mdmEnrollmentUrl", this.mdmEnrollmentUrl);
        writer.writeNumberValue("minutesOfInactivityBeforeDeviceLock", this.minutesOfInactivityBeforeDeviceLock);
        writer.writeNumberValue("numberOfPastPinsRemembered", this.numberOfPastPinsRemembered);
        writer.writeNumberValue("passwordMaximumAttemptCount", this.passwordMaximumAttemptCount);
        writer.writeNumberValue("pinExpirationDays", this.pinExpirationDays);
        writer.writeEnumValue("pinLowercaseLetters", this.pinLowercaseLetters);
        writer.writeNumberValue("pinMinimumLength", this.pinMinimumLength);
        writer.writeEnumValue("pinSpecialCharacters", this.pinSpecialCharacters);
        writer.writeEnumValue("pinUppercaseLetters", this.pinUppercaseLetters);
        writer.writeBooleanValue("revokeOnMdmHandoffDisabled", this.revokeOnMdmHandoffDisabled);
        writer.writeBooleanValue("windowsHelloForBusinessBlocked", this.windowsHelloForBusinessBlocked);
    }
    ;
    /**
     * Gets the windowsHelloForBusinessBlocked property value. Boolean value that sets Windows Hello for Business as a method for signing into Windows.
     * @returns a boolean
     */
    get windowsHelloForBusinessBlocked() {
        return this._windowsHelloForBusinessBlocked;
    }
    ;
    /**
     * Sets the windowsHelloForBusinessBlocked property value. Boolean value that sets Windows Hello for Business as a method for signing into Windows.
     * @param value Value to set for the windowsHelloForBusinessBlocked property.
     */
    set windowsHelloForBusinessBlocked(value) {
        this._windowsHelloForBusinessBlocked = value;
    }
    ;
}
exports.WindowsInformationProtectionPolicy = WindowsInformationProtectionPolicy;
