"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WindowsInformationProtectionProxiedDomainCollection = void 0;
const createProxiedDomainFromDiscriminatorValue_1 = require("./createProxiedDomainFromDiscriminatorValue");
/** Windows Information Protection Proxied Domain Collection */
class WindowsInformationProtectionProxiedDomainCollection {
    /**
     * Instantiates a new windowsInformationProtectionProxiedDomainCollection and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the displayName property value. Display name
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. Display name
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "displayName": n => { this.displayName = n.getStringValue(); },
            "proxiedDomains": n => { this.proxiedDomains = n.getCollectionOfObjectValues(createProxiedDomainFromDiscriminatorValue_1.createProxiedDomainFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Gets the proxiedDomains property value. Collection of proxied domains
     * @returns a proxiedDomain
     */
    get proxiedDomains() {
        return this._proxiedDomains;
    }
    ;
    /**
     * Sets the proxiedDomains property value. Collection of proxied domains
     * @param value Value to set for the proxiedDomains property.
     */
    set proxiedDomains(value) {
        this._proxiedDomains = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("displayName", this.displayName);
        writer.writeCollectionOfObjectValues("proxiedDomains", this.proxiedDomains);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.WindowsInformationProtectionProxiedDomainCollection = WindowsInformationProtectionProxiedDomainCollection;
