import { Entity, WorkbookChartAxis } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Casts the previous resource to user. */
export declare class WorkbookChartAxes extends Entity implements Parsable {
    /** Represents the category axis in a chart. Read-only. */
    private _categoryAxis?;
    /** Represents the series axis of a 3-dimensional chart. Read-only. */
    private _seriesAxis?;
    /** Represents the value axis in an axis. Read-only. */
    private _valueAxis?;
    /**
     * Gets the categoryAxis property value. Represents the category axis in a chart. Read-only.
     * @returns a workbookChartAxis
     */
    get categoryAxis(): WorkbookChartAxis | undefined;
    /**
     * Sets the categoryAxis property value. Represents the category axis in a chart. Read-only.
     * @param value Value to set for the categoryAxis property.
     */
    set categoryAxis(value: WorkbookChartAxis | undefined);
    /**
     * Instantiates a new workbookChartAxes and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the seriesAxis property value. Represents the series axis of a 3-dimensional chart. Read-only.
     * @returns a workbookChartAxis
     */
    get seriesAxis(): WorkbookChartAxis | undefined;
    /**
     * Sets the seriesAxis property value. Represents the series axis of a 3-dimensional chart. Read-only.
     * @param value Value to set for the seriesAxis property.
     */
    set seriesAxis(value: WorkbookChartAxis | undefined);
    /**
     * Gets the valueAxis property value. Represents the value axis in an axis. Read-only.
     * @returns a workbookChartAxis
     */
    get valueAxis(): WorkbookChartAxis | undefined;
    /**
     * Sets the valueAxis property value. Represents the value axis in an axis. Read-only.
     * @param value Value to set for the valueAxis property.
     */
    set valueAxis(value: WorkbookChartAxis | undefined);
}
