"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkbookChartAxes = void 0;
const createWorkbookChartAxisFromDiscriminatorValue_1 = require("./createWorkbookChartAxisFromDiscriminatorValue");
const index_1 = require("./index");
/** Casts the previous resource to user. */
class WorkbookChartAxes extends index_1.Entity {
    /**
     * Instantiates a new workbookChartAxes and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the categoryAxis property value. Represents the category axis in a chart. Read-only.
     * @returns a workbookChartAxis
     */
    get categoryAxis() {
        return this._categoryAxis;
    }
    ;
    /**
     * Sets the categoryAxis property value. Represents the category axis in a chart. Read-only.
     * @param value Value to set for the categoryAxis property.
     */
    set categoryAxis(value) {
        this._categoryAxis = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "categoryAxis": n => { this.categoryAxis = n.getObjectValue(createWorkbookChartAxisFromDiscriminatorValue_1.createWorkbookChartAxisFromDiscriminatorValue); }, "seriesAxis": n => { this.seriesAxis = n.getObjectValue(createWorkbookChartAxisFromDiscriminatorValue_1.createWorkbookChartAxisFromDiscriminatorValue); }, "valueAxis": n => { this.valueAxis = n.getObjectValue(createWorkbookChartAxisFromDiscriminatorValue_1.createWorkbookChartAxisFromDiscriminatorValue); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("categoryAxis", this.categoryAxis);
        writer.writeObjectValue("seriesAxis", this.seriesAxis);
        writer.writeObjectValue("valueAxis", this.valueAxis);
    }
    ;
    /**
     * Gets the seriesAxis property value. Represents the series axis of a 3-dimensional chart. Read-only.
     * @returns a workbookChartAxis
     */
    get seriesAxis() {
        return this._seriesAxis;
    }
    ;
    /**
     * Sets the seriesAxis property value. Represents the series axis of a 3-dimensional chart. Read-only.
     * @param value Value to set for the seriesAxis property.
     */
    set seriesAxis(value) {
        this._seriesAxis = value;
    }
    ;
    /**
     * Gets the valueAxis property value. Represents the value axis in an axis. Read-only.
     * @returns a workbookChartAxis
     */
    get valueAxis() {
        return this._valueAxis;
    }
    ;
    /**
     * Sets the valueAxis property value. Represents the value axis in an axis. Read-only.
     * @param value Value to set for the valueAxis property.
     */
    set valueAxis(value) {
        this._valueAxis = value;
    }
    ;
}
exports.WorkbookChartAxes = WorkbookChartAxes;
