"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkbookChartAxis = void 0;
const createJsonFromDiscriminatorValue_1 = require("./createJsonFromDiscriminatorValue");
const createWorkbookChartAxisFormatFromDiscriminatorValue_1 = require("./createWorkbookChartAxisFormatFromDiscriminatorValue");
const createWorkbookChartAxisTitleFromDiscriminatorValue_1 = require("./createWorkbookChartAxisTitleFromDiscriminatorValue");
const createWorkbookChartGridlinesFromDiscriminatorValue_1 = require("./createWorkbookChartGridlinesFromDiscriminatorValue");
const index_1 = require("./index");
/** Casts the previous resource to user. */
class WorkbookChartAxis extends index_1.Entity {
    /**
     * Instantiates a new workbookChartAxis and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the format property value. Represents the formatting of a chart object, which includes line and font formatting. Read-only.
     * @returns a workbookChartAxisFormat
     */
    get format() {
        return this._format;
    }
    ;
    /**
     * Sets the format property value. Represents the formatting of a chart object, which includes line and font formatting. Read-only.
     * @param value Value to set for the format property.
     */
    set format(value) {
        this._format = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "format": n => { this.format = n.getObjectValue(createWorkbookChartAxisFormatFromDiscriminatorValue_1.createWorkbookChartAxisFormatFromDiscriminatorValue); }, "majorGridlines": n => { this.majorGridlines = n.getObjectValue(createWorkbookChartGridlinesFromDiscriminatorValue_1.createWorkbookChartGridlinesFromDiscriminatorValue); }, "majorUnit": n => { this.majorUnit = n.getObjectValue(createJsonFromDiscriminatorValue_1.createJsonFromDiscriminatorValue); }, "maximum": n => { this.maximum = n.getObjectValue(createJsonFromDiscriminatorValue_1.createJsonFromDiscriminatorValue); }, "minimum": n => { this.minimum = n.getObjectValue(createJsonFromDiscriminatorValue_1.createJsonFromDiscriminatorValue); }, "minorGridlines": n => { this.minorGridlines = n.getObjectValue(createWorkbookChartGridlinesFromDiscriminatorValue_1.createWorkbookChartGridlinesFromDiscriminatorValue); }, "minorUnit": n => { this.minorUnit = n.getObjectValue(createJsonFromDiscriminatorValue_1.createJsonFromDiscriminatorValue); }, "title": n => { this.title = n.getObjectValue(createWorkbookChartAxisTitleFromDiscriminatorValue_1.createWorkbookChartAxisTitleFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the majorGridlines property value. Returns a gridlines object that represents the major gridlines for the specified axis. Read-only.
     * @returns a workbookChartGridlines
     */
    get majorGridlines() {
        return this._majorGridlines;
    }
    ;
    /**
     * Sets the majorGridlines property value. Returns a gridlines object that represents the major gridlines for the specified axis. Read-only.
     * @param value Value to set for the majorGridlines property.
     */
    set majorGridlines(value) {
        this._majorGridlines = value;
    }
    ;
    /**
     * Gets the majorUnit property value. Represents the interval between two major tick marks. Can be set to a numeric value or an empty string.  The returned value is always a number.
     * @returns a Json
     */
    get majorUnit() {
        return this._majorUnit;
    }
    ;
    /**
     * Sets the majorUnit property value. Represents the interval between two major tick marks. Can be set to a numeric value or an empty string.  The returned value is always a number.
     * @param value Value to set for the majorUnit property.
     */
    set majorUnit(value) {
        this._majorUnit = value;
    }
    ;
    /**
     * Gets the maximum property value. Represents the maximum value on the value axis.  Can be set to a numeric value or an empty string (for automatic axis values).  The returned value is always a number.
     * @returns a Json
     */
    get maximum() {
        return this._maximum;
    }
    ;
    /**
     * Sets the maximum property value. Represents the maximum value on the value axis.  Can be set to a numeric value or an empty string (for automatic axis values).  The returned value is always a number.
     * @param value Value to set for the maximum property.
     */
    set maximum(value) {
        this._maximum = value;
    }
    ;
    /**
     * Gets the minimum property value. Represents the minimum value on the value axis. Can be set to a numeric value or an empty string (for automatic axis values).  The returned value is always a number.
     * @returns a Json
     */
    get minimum() {
        return this._minimum;
    }
    ;
    /**
     * Sets the minimum property value. Represents the minimum value on the value axis. Can be set to a numeric value or an empty string (for automatic axis values).  The returned value is always a number.
     * @param value Value to set for the minimum property.
     */
    set minimum(value) {
        this._minimum = value;
    }
    ;
    /**
     * Gets the minorGridlines property value. Returns a Gridlines object that represents the minor gridlines for the specified axis. Read-only.
     * @returns a workbookChartGridlines
     */
    get minorGridlines() {
        return this._minorGridlines;
    }
    ;
    /**
     * Sets the minorGridlines property value. Returns a Gridlines object that represents the minor gridlines for the specified axis. Read-only.
     * @param value Value to set for the minorGridlines property.
     */
    set minorGridlines(value) {
        this._minorGridlines = value;
    }
    ;
    /**
     * Gets the minorUnit property value. Represents the interval between two minor tick marks. 'Can be set to a numeric value or an empty string (for automatic axis values). The returned value is always a number.
     * @returns a Json
     */
    get minorUnit() {
        return this._minorUnit;
    }
    ;
    /**
     * Sets the minorUnit property value. Represents the interval between two minor tick marks. 'Can be set to a numeric value or an empty string (for automatic axis values). The returned value is always a number.
     * @param value Value to set for the minorUnit property.
     */
    set minorUnit(value) {
        this._minorUnit = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("format", this.format);
        writer.writeObjectValue("majorGridlines", this.majorGridlines);
        writer.writeObjectValue("majorUnit", this.majorUnit);
        writer.writeObjectValue("maximum", this.maximum);
        writer.writeObjectValue("minimum", this.minimum);
        writer.writeObjectValue("minorGridlines", this.minorGridlines);
        writer.writeObjectValue("minorUnit", this.minorUnit);
        writer.writeObjectValue("title", this.title);
    }
    ;
    /**
     * Gets the title property value. Represents the axis title. Read-only.
     * @returns a workbookChartAxisTitle
     */
    get title() {
        return this._title;
    }
    ;
    /**
     * Sets the title property value. Represents the axis title. Read-only.
     * @param value Value to set for the title property.
     */
    set title(value) {
        this._title = value;
    }
    ;
}
exports.WorkbookChartAxis = WorkbookChartAxis;
