"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkbookChartAxisFormat = void 0;
const createWorkbookChartFontFromDiscriminatorValue_1 = require("./createWorkbookChartFontFromDiscriminatorValue");
const createWorkbookChartLineFormatFromDiscriminatorValue_1 = require("./createWorkbookChartLineFormatFromDiscriminatorValue");
const index_1 = require("./index");
/** Casts the previous resource to user. */
class WorkbookChartAxisFormat extends index_1.Entity {
    /**
     * Instantiates a new workbookChartAxisFormat and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the font property value. Represents the font attributes (font name, font size, color, etc.) for a chart axis element. Read-only.
     * @returns a workbookChartFont
     */
    get font() {
        return this._font;
    }
    ;
    /**
     * Sets the font property value. Represents the font attributes (font name, font size, color, etc.) for a chart axis element. Read-only.
     * @param value Value to set for the font property.
     */
    set font(value) {
        this._font = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "font": n => { this.font = n.getObjectValue(createWorkbookChartFontFromDiscriminatorValue_1.createWorkbookChartFontFromDiscriminatorValue); }, "line": n => { this.line = n.getObjectValue(createWorkbookChartLineFormatFromDiscriminatorValue_1.createWorkbookChartLineFormatFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the line property value. Represents chart line formatting. Read-only.
     * @returns a workbookChartLineFormat
     */
    get line() {
        return this._line;
    }
    ;
    /**
     * Sets the line property value. Represents chart line formatting. Read-only.
     * @param value Value to set for the line property.
     */
    set line(value) {
        this._line = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("font", this.font);
        writer.writeObjectValue("line", this.line);
    }
    ;
}
exports.WorkbookChartAxisFormat = WorkbookChartAxisFormat;
