import { Entity, WorkbookChartFont } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Casts the previous resource to user. */
export declare class WorkbookChartAxisTitleFormat extends Entity implements Parsable {
    /** Represents the font attributes, such as font name, font size, color, etc. of chart axis title object. Read-only. */
    private _font?;
    /**
     * Instantiates a new workbookChartAxisTitleFormat and sets the default values.
     */
    constructor();
    /**
     * Gets the font property value. Represents the font attributes, such as font name, font size, color, etc. of chart axis title object. Read-only.
     * @returns a workbookChartFont
     */
    get font(): WorkbookChartFont | undefined;
    /**
     * Sets the font property value. Represents the font attributes, such as font name, font size, color, etc. of chart axis title object. Read-only.
     * @param value Value to set for the font property.
     */
    set font(value: WorkbookChartFont | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
