import { Entity } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Casts the previous resource to user. */
export declare class WorkbookChartFont extends Entity implements Parsable {
    /** Represents the bold status of font. */
    private _bold?;
    /** HTML color code representation of the text color. E.g. #FF0000 represents Red. */
    private _color?;
    /** Represents the italic status of the font. */
    private _italic?;
    /** Font name (e.g. 'Calibri') */
    private _name?;
    /** Size of the font (e.g. 11) */
    private _size?;
    /** Type of underline applied to the font. The possible values are: None, Single. */
    private _underline?;
    /**
     * Gets the bold property value. Represents the bold status of font.
     * @returns a boolean
     */
    get bold(): boolean | undefined;
    /**
     * Sets the bold property value. Represents the bold status of font.
     * @param value Value to set for the bold property.
     */
    set bold(value: boolean | undefined);
    /**
     * Gets the color property value. HTML color code representation of the text color. E.g. #FF0000 represents Red.
     * @returns a string
     */
    get color(): string | undefined;
    /**
     * Sets the color property value. HTML color code representation of the text color. E.g. #FF0000 represents Red.
     * @param value Value to set for the color property.
     */
    set color(value: string | undefined);
    /**
     * Instantiates a new workbookChartFont and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the italic property value. Represents the italic status of the font.
     * @returns a boolean
     */
    get italic(): boolean | undefined;
    /**
     * Sets the italic property value. Represents the italic status of the font.
     * @param value Value to set for the italic property.
     */
    set italic(value: boolean | undefined);
    /**
     * Gets the name property value. Font name (e.g. 'Calibri')
     * @returns a string
     */
    get name(): string | undefined;
    /**
     * Sets the name property value. Font name (e.g. 'Calibri')
     * @param value Value to set for the name property.
     */
    set name(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the size property value. Size of the font (e.g. 11)
     * @returns a double
     */
    get size(): number | undefined;
    /**
     * Sets the size property value. Size of the font (e.g. 11)
     * @param value Value to set for the size property.
     */
    set size(value: number | undefined);
    /**
     * Gets the underline property value. Type of underline applied to the font. The possible values are: None, Single.
     * @returns a string
     */
    get underline(): string | undefined;
    /**
     * Sets the underline property value. Type of underline applied to the font. The possible values are: None, Single.
     * @param value Value to set for the underline property.
     */
    set underline(value: string | undefined);
}
