"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkbookChartFont = void 0;
const index_1 = require("./index");
/** Casts the previous resource to user. */
class WorkbookChartFont extends index_1.Entity {
    /**
     * Instantiates a new workbookChartFont and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the bold property value. Represents the bold status of font.
     * @returns a boolean
     */
    get bold() {
        return this._bold;
    }
    ;
    /**
     * Sets the bold property value. Represents the bold status of font.
     * @param value Value to set for the bold property.
     */
    set bold(value) {
        this._bold = value;
    }
    ;
    /**
     * Gets the color property value. HTML color code representation of the text color. E.g. #FF0000 represents Red.
     * @returns a string
     */
    get color() {
        return this._color;
    }
    ;
    /**
     * Sets the color property value. HTML color code representation of the text color. E.g. #FF0000 represents Red.
     * @param value Value to set for the color property.
     */
    set color(value) {
        this._color = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "bold": n => { this.bold = n.getBooleanValue(); }, "color": n => { this.color = n.getStringValue(); }, "italic": n => { this.italic = n.getBooleanValue(); }, "name": n => { this.name = n.getStringValue(); }, "size": n => { this.size = n.getNumberValue(); }, "underline": n => { this.underline = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the italic property value. Represents the italic status of the font.
     * @returns a boolean
     */
    get italic() {
        return this._italic;
    }
    ;
    /**
     * Sets the italic property value. Represents the italic status of the font.
     * @param value Value to set for the italic property.
     */
    set italic(value) {
        this._italic = value;
    }
    ;
    /**
     * Gets the name property value. Font name (e.g. 'Calibri')
     * @returns a string
     */
    get name() {
        return this._name;
    }
    ;
    /**
     * Sets the name property value. Font name (e.g. 'Calibri')
     * @param value Value to set for the name property.
     */
    set name(value) {
        this._name = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeBooleanValue("bold", this.bold);
        writer.writeStringValue("color", this.color);
        writer.writeBooleanValue("italic", this.italic);
        writer.writeStringValue("name", this.name);
        writer.writeNumberValue("size", this.size);
        writer.writeStringValue("underline", this.underline);
    }
    ;
    /**
     * Gets the size property value. Size of the font (e.g. 11)
     * @returns a double
     */
    get size() {
        return this._size;
    }
    ;
    /**
     * Sets the size property value. Size of the font (e.g. 11)
     * @param value Value to set for the size property.
     */
    set size(value) {
        this._size = value;
    }
    ;
    /**
     * Gets the underline property value. Type of underline applied to the font. The possible values are: None, Single.
     * @returns a string
     */
    get underline() {
        return this._underline;
    }
    ;
    /**
     * Sets the underline property value. Type of underline applied to the font. The possible values are: None, Single.
     * @param value Value to set for the underline property.
     */
    set underline(value) {
        this._underline = value;
    }
    ;
}
exports.WorkbookChartFont = WorkbookChartFont;
