import { Entity, WorkbookChartGridlinesFormat } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Casts the previous resource to user. */
export declare class WorkbookChartGridlines extends Entity implements Parsable {
    /** Represents the formatting of chart gridlines. Read-only. */
    private _format?;
    /** Boolean value representing if the axis gridlines are visible or not. */
    private _visible?;
    /**
     * Instantiates a new workbookChartGridlines and sets the default values.
     */
    constructor();
    /**
     * Gets the format property value. Represents the formatting of chart gridlines. Read-only.
     * @returns a workbookChartGridlinesFormat
     */
    get format(): WorkbookChartGridlinesFormat | undefined;
    /**
     * Sets the format property value. Represents the formatting of chart gridlines. Read-only.
     * @param value Value to set for the format property.
     */
    set format(value: WorkbookChartGridlinesFormat | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the visible property value. Boolean value representing if the axis gridlines are visible or not.
     * @returns a boolean
     */
    get visible(): boolean | undefined;
    /**
     * Sets the visible property value. Boolean value representing if the axis gridlines are visible or not.
     * @param value Value to set for the visible property.
     */
    set visible(value: boolean | undefined);
}
