"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkbookChartGridlines = void 0;
const createWorkbookChartGridlinesFormatFromDiscriminatorValue_1 = require("./createWorkbookChartGridlinesFormatFromDiscriminatorValue");
const index_1 = require("./index");
/** Casts the previous resource to user. */
class WorkbookChartGridlines extends index_1.Entity {
    /**
     * Instantiates a new workbookChartGridlines and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the format property value. Represents the formatting of chart gridlines. Read-only.
     * @returns a workbookChartGridlinesFormat
     */
    get format() {
        return this._format;
    }
    ;
    /**
     * Sets the format property value. Represents the formatting of chart gridlines. Read-only.
     * @param value Value to set for the format property.
     */
    set format(value) {
        this._format = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "format": n => { this.format = n.getObjectValue(createWorkbookChartGridlinesFormatFromDiscriminatorValue_1.createWorkbookChartGridlinesFormatFromDiscriminatorValue); }, "visible": n => { this.visible = n.getBooleanValue(); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("format", this.format);
        writer.writeBooleanValue("visible", this.visible);
    }
    ;
    /**
     * Gets the visible property value. Boolean value representing if the axis gridlines are visible or not.
     * @returns a boolean
     */
    get visible() {
        return this._visible;
    }
    ;
    /**
     * Sets the visible property value. Boolean value representing if the axis gridlines are visible or not.
     * @param value Value to set for the visible property.
     */
    set visible(value) {
        this._visible = value;
    }
    ;
}
exports.WorkbookChartGridlines = WorkbookChartGridlines;
