import { Entity } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Casts the previous resource to user. */
export declare class WorkbookChartLineFormat extends Entity implements Parsable {
    /** HTML color code representing the color of lines in the chart. */
    private _color?;
    /**
     * Gets the color property value. HTML color code representing the color of lines in the chart.
     * @returns a string
     */
    get color(): string | undefined;
    /**
     * Sets the color property value. HTML color code representing the color of lines in the chart.
     * @param value Value to set for the color property.
     */
    set color(value: string | undefined);
    /**
     * Instantiates a new workbookChartLineFormat and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
