import { Entity, Json, WorkbookChartPointFormat } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Casts the previous resource to user. */
export declare class WorkbookChartPoint extends Entity implements Parsable {
    /** Encapsulates the format properties chart point. Read-only. */
    private _format?;
    /** Returns the value of a chart point. Read-only. */
    private _value?;
    /**
     * Instantiates a new workbookChartPoint and sets the default values.
     */
    constructor();
    /**
     * Gets the format property value. Encapsulates the format properties chart point. Read-only.
     * @returns a workbookChartPointFormat
     */
    get format(): WorkbookChartPointFormat | undefined;
    /**
     * Sets the format property value. Encapsulates the format properties chart point. Read-only.
     * @param value Value to set for the format property.
     */
    set format(value: WorkbookChartPointFormat | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the value property value. Returns the value of a chart point. Read-only.
     * @returns a Json
     */
    get value(): Json | undefined;
    /**
     * Sets the value property value. Returns the value of a chart point. Read-only.
     * @param value Value to set for the value property.
     */
    set value(value: Json | undefined);
}
