"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkbookChartSeries = void 0;
const createWorkbookChartPointFromDiscriminatorValue_1 = require("./createWorkbookChartPointFromDiscriminatorValue");
const createWorkbookChartSeriesFormatFromDiscriminatorValue_1 = require("./createWorkbookChartSeriesFormatFromDiscriminatorValue");
const index_1 = require("./index");
/** Casts the previous resource to user. */
class WorkbookChartSeries extends index_1.Entity {
    /**
     * Instantiates a new workbookChartSeries and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the format property value. Represents the formatting of a chart series, which includes fill and line formatting. Read-only.
     * @returns a workbookChartSeriesFormat
     */
    get format() {
        return this._format;
    }
    ;
    /**
     * Sets the format property value. Represents the formatting of a chart series, which includes fill and line formatting. Read-only.
     * @param value Value to set for the format property.
     */
    set format(value) {
        this._format = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "format": n => { this.format = n.getObjectValue(createWorkbookChartSeriesFormatFromDiscriminatorValue_1.createWorkbookChartSeriesFormatFromDiscriminatorValue); }, "name": n => { this.name = n.getStringValue(); }, "points": n => { this.points = n.getCollectionOfObjectValues(createWorkbookChartPointFromDiscriminatorValue_1.createWorkbookChartPointFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the name property value. Represents the name of a series in a chart.
     * @returns a string
     */
    get name() {
        return this._name;
    }
    ;
    /**
     * Sets the name property value. Represents the name of a series in a chart.
     * @param value Value to set for the name property.
     */
    set name(value) {
        this._name = value;
    }
    ;
    /**
     * Gets the points property value. Represents a collection of all points in the series. Read-only.
     * @returns a workbookChartPoint
     */
    get points() {
        return this._points;
    }
    ;
    /**
     * Sets the points property value. Represents a collection of all points in the series. Read-only.
     * @param value Value to set for the points property.
     */
    set points(value) {
        this._points = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("format", this.format);
        writer.writeStringValue("name", this.name);
        writer.writeCollectionOfObjectValues("points", this.points);
    }
    ;
}
exports.WorkbookChartSeries = WorkbookChartSeries;
