"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkbookChartTitleFormat = void 0;
const createWorkbookChartFillFromDiscriminatorValue_1 = require("./createWorkbookChartFillFromDiscriminatorValue");
const createWorkbookChartFontFromDiscriminatorValue_1 = require("./createWorkbookChartFontFromDiscriminatorValue");
const index_1 = require("./index");
/** Casts the previous resource to user. */
class WorkbookChartTitleFormat extends index_1.Entity {
    /**
     * Instantiates a new workbookChartTitleFormat and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the fill property value. Represents the fill format of an object, which includes background formatting information. Read-only.
     * @returns a workbookChartFill
     */
    get fill() {
        return this._fill;
    }
    ;
    /**
     * Sets the fill property value. Represents the fill format of an object, which includes background formatting information. Read-only.
     * @param value Value to set for the fill property.
     */
    set fill(value) {
        this._fill = value;
    }
    ;
    /**
     * Gets the font property value. Represents the font attributes (font name, font size, color, etc.) for the current object. Read-only.
     * @returns a workbookChartFont
     */
    get font() {
        return this._font;
    }
    ;
    /**
     * Sets the font property value. Represents the font attributes (font name, font size, color, etc.) for the current object. Read-only.
     * @param value Value to set for the font property.
     */
    set font(value) {
        this._font = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "fill": n => { this.fill = n.getObjectValue(createWorkbookChartFillFromDiscriminatorValue_1.createWorkbookChartFillFromDiscriminatorValue); }, "font": n => { this.font = n.getObjectValue(createWorkbookChartFontFromDiscriminatorValue_1.createWorkbookChartFontFromDiscriminatorValue); } });
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("fill", this.fill);
        writer.writeObjectValue("font", this.font);
    }
    ;
}
exports.WorkbookChartTitleFormat = WorkbookChartTitleFormat;
