import { Entity, WorkbookCommentReply } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Casts the previous resource to user. */
export declare class WorkbookComment extends Entity implements Parsable {
    /** The content of the comment. */
    private _content?;
    /** Indicates the type for the comment. */
    private _contentType?;
    /** Read-only. Nullable. */
    private _replies?;
    /**
     * Instantiates a new workbookComment and sets the default values.
     */
    constructor();
    /**
     * Gets the content property value. The content of the comment.
     * @returns a string
     */
    get content(): string | undefined;
    /**
     * Sets the content property value. The content of the comment.
     * @param value Value to set for the content property.
     */
    set content(value: string | undefined);
    /**
     * Gets the contentType property value. Indicates the type for the comment.
     * @returns a string
     */
    get contentType(): string | undefined;
    /**
     * Sets the contentType property value. Indicates the type for the comment.
     * @param value Value to set for the contentType property.
     */
    set contentType(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the replies property value. Read-only. Nullable.
     * @returns a workbookCommentReply
     */
    get replies(): WorkbookCommentReply[] | undefined;
    /**
     * Sets the replies property value. Read-only. Nullable.
     * @param value Value to set for the replies property.
     */
    set replies(value: WorkbookCommentReply[] | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
