"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkbookComment = void 0;
const createWorkbookCommentReplyFromDiscriminatorValue_1 = require("./createWorkbookCommentReplyFromDiscriminatorValue");
const index_1 = require("./index");
/** Casts the previous resource to user. */
class WorkbookComment extends index_1.Entity {
    /**
     * Instantiates a new workbookComment and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the content property value. The content of the comment.
     * @returns a string
     */
    get content() {
        return this._content;
    }
    ;
    /**
     * Sets the content property value. The content of the comment.
     * @param value Value to set for the content property.
     */
    set content(value) {
        this._content = value;
    }
    ;
    /**
     * Gets the contentType property value. Indicates the type for the comment.
     * @returns a string
     */
    get contentType() {
        return this._contentType;
    }
    ;
    /**
     * Sets the contentType property value. Indicates the type for the comment.
     * @param value Value to set for the contentType property.
     */
    set contentType(value) {
        this._contentType = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "content": n => { this.content = n.getStringValue(); }, "contentType": n => { this.contentType = n.getStringValue(); }, "replies": n => { this.replies = n.getCollectionOfObjectValues(createWorkbookCommentReplyFromDiscriminatorValue_1.createWorkbookCommentReplyFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the replies property value. Read-only. Nullable.
     * @returns a workbookCommentReply
     */
    get replies() {
        return this._replies;
    }
    ;
    /**
     * Sets the replies property value. Read-only. Nullable.
     * @param value Value to set for the replies property.
     */
    set replies(value) {
        this._replies = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("content", this.content);
        writer.writeStringValue("contentType", this.contentType);
        writer.writeCollectionOfObjectValues("replies", this.replies);
    }
    ;
}
exports.WorkbookComment = WorkbookComment;
