import { Entity } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Casts the previous resource to user. */
export declare class WorkbookCommentReply extends Entity implements Parsable {
    /** The content of replied comment. */
    private _content?;
    /** Indicates the type for the replied comment. */
    private _contentType?;
    /**
     * Instantiates a new workbookCommentReply and sets the default values.
     */
    constructor();
    /**
     * Gets the content property value. The content of replied comment.
     * @returns a string
     */
    get content(): string | undefined;
    /**
     * Sets the content property value. The content of replied comment.
     * @param value Value to set for the content property.
     */
    set content(value: string | undefined);
    /**
     * Gets the contentType property value. Indicates the type for the replied comment.
     * @returns a string
     */
    get contentType(): string | undefined;
    /**
     * Sets the contentType property value. Indicates the type for the replied comment.
     * @param value Value to set for the contentType property.
     */
    set contentType(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
