import { Json, WorkbookIcon } from './index';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class WorkbookFilterCriteria implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The color property */
    private _color?;
    /** The criterion1 property */
    private _criterion1?;
    /** The criterion2 property */
    private _criterion2?;
    /** The dynamicCriteria property */
    private _dynamicCriteria?;
    /** The filterOn property */
    private _filterOn?;
    /** The icon property */
    private _icon?;
    /** The operator property */
    private _operator?;
    /** The values property */
    private _values?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the color property value. The color property
     * @returns a string
     */
    get color(): string | undefined;
    /**
     * Sets the color property value. The color property
     * @param value Value to set for the color property.
     */
    set color(value: string | undefined);
    /**
     * Instantiates a new workbookFilterCriteria and sets the default values.
     */
    constructor();
    /**
     * Gets the criterion1 property value. The criterion1 property
     * @returns a string
     */
    get criterion1(): string | undefined;
    /**
     * Sets the criterion1 property value. The criterion1 property
     * @param value Value to set for the criterion1 property.
     */
    set criterion1(value: string | undefined);
    /**
     * Gets the criterion2 property value. The criterion2 property
     * @returns a string
     */
    get criterion2(): string | undefined;
    /**
     * Sets the criterion2 property value. The criterion2 property
     * @param value Value to set for the criterion2 property.
     */
    set criterion2(value: string | undefined);
    /**
     * Gets the dynamicCriteria property value. The dynamicCriteria property
     * @returns a string
     */
    get dynamicCriteria(): string | undefined;
    /**
     * Sets the dynamicCriteria property value. The dynamicCriteria property
     * @param value Value to set for the dynamicCriteria property.
     */
    set dynamicCriteria(value: string | undefined);
    /**
     * Gets the filterOn property value. The filterOn property
     * @returns a string
     */
    get filterOn(): string | undefined;
    /**
     * Sets the filterOn property value. The filterOn property
     * @param value Value to set for the filterOn property.
     */
    set filterOn(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the icon property value. The icon property
     * @returns a workbookIcon
     */
    get icon(): WorkbookIcon | undefined;
    /**
     * Sets the icon property value. The icon property
     * @param value Value to set for the icon property.
     */
    set icon(value: WorkbookIcon | undefined);
    /**
     * Gets the operator property value. The operator property
     * @returns a string
     */
    get operator(): string | undefined;
    /**
     * Sets the operator property value. The operator property
     * @param value Value to set for the operator property.
     */
    set operator(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the values property value. The values property
     * @returns a Json
     */
    get values(): Json | undefined;
    /**
     * Sets the values property value. The values property
     * @param value Value to set for the values property.
     */
    set values(value: Json | undefined);
}
