"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkbookNamedItem = void 0;
const createJsonFromDiscriminatorValue_1 = require("./createJsonFromDiscriminatorValue");
const createWorkbookWorksheetFromDiscriminatorValue_1 = require("./createWorkbookWorksheetFromDiscriminatorValue");
const index_1 = require("./index");
/** Casts the previous resource to user. */
class WorkbookNamedItem extends index_1.Entity {
    /**
     * Instantiates a new workbookNamedItem and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the comment property value. Represents the comment associated with this name.
     * @returns a string
     */
    get comment() {
        return this._comment;
    }
    ;
    /**
     * Sets the comment property value. Represents the comment associated with this name.
     * @param value Value to set for the comment property.
     */
    set comment(value) {
        this._comment = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "comment": n => { this.comment = n.getStringValue(); }, "name": n => { this.name = n.getStringValue(); }, "scope": n => { this.scope = n.getStringValue(); }, "type": n => { this.type = n.getStringValue(); }, "value": n => { this.value = n.getObjectValue(createJsonFromDiscriminatorValue_1.createJsonFromDiscriminatorValue); }, "visible": n => { this.visible = n.getBooleanValue(); }, "worksheet": n => { this.worksheet = n.getObjectValue(createWorkbookWorksheetFromDiscriminatorValue_1.createWorkbookWorksheetFromDiscriminatorValue); } });
    }
    ;
    /**
     * Gets the name property value. The name of the object. Read-only.
     * @returns a string
     */
    get name() {
        return this._name;
    }
    ;
    /**
     * Sets the name property value. The name of the object. Read-only.
     * @param value Value to set for the name property.
     */
    set name(value) {
        this._name = value;
    }
    ;
    /**
     * Gets the scope property value. Indicates whether the name is scoped to the workbook or to a specific worksheet. Read-only.
     * @returns a string
     */
    get scope() {
        return this._scope;
    }
    ;
    /**
     * Sets the scope property value. Indicates whether the name is scoped to the workbook or to a specific worksheet. Read-only.
     * @param value Value to set for the scope property.
     */
    set scope(value) {
        this._scope = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeStringValue("comment", this.comment);
        writer.writeStringValue("name", this.name);
        writer.writeStringValue("scope", this.scope);
        writer.writeStringValue("type", this.type);
        writer.writeObjectValue("value", this.value);
        writer.writeBooleanValue("visible", this.visible);
        writer.writeObjectValue("worksheet", this.worksheet);
    }
    ;
    /**
     * Gets the type property value. Indicates what type of reference is associated with the name. Possible values are: String, Integer, Double, Boolean, Range. Read-only.
     * @returns a string
     */
    get type() {
        return this._type;
    }
    ;
    /**
     * Sets the type property value. Indicates what type of reference is associated with the name. Possible values are: String, Integer, Double, Boolean, Range. Read-only.
     * @param value Value to set for the type property.
     */
    set type(value) {
        this._type = value;
    }
    ;
    /**
     * Gets the value property value. Represents the formula that the name is defined to refer to. E.g. =Sheet14!$B$2:$H$12, =4.75, etc. Read-only.
     * @returns a Json
     */
    get value() {
        return this._value;
    }
    ;
    /**
     * Sets the value property value. Represents the formula that the name is defined to refer to. E.g. =Sheet14!$B$2:$H$12, =4.75, etc. Read-only.
     * @param value Value to set for the value property.
     */
    set value(value) {
        this._value = value;
    }
    ;
    /**
     * Gets the visible property value. Specifies whether the object is visible or not.
     * @returns a boolean
     */
    get visible() {
        return this._visible;
    }
    ;
    /**
     * Sets the visible property value. Specifies whether the object is visible or not.
     * @param value Value to set for the visible property.
     */
    set visible(value) {
        this._visible = value;
    }
    ;
    /**
     * Gets the worksheet property value. Returns the worksheet on which the named item is scoped to. Available only if the item is scoped to the worksheet. Read-only.
     * @returns a workbookWorksheet
     */
    get worksheet() {
        return this._worksheet;
    }
    ;
    /**
     * Sets the worksheet property value. Returns the worksheet on which the named item is scoped to. Available only if the item is scoped to the worksheet. Read-only.
     * @param value Value to set for the worksheet property.
     */
    set worksheet(value) {
        this._worksheet = value;
    }
    ;
}
exports.WorkbookNamedItem = WorkbookNamedItem;
