import { Entity, WorkbookOperationError } from './index';
import { WorkbookOperationStatus } from './workbookOperationStatus';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Casts the previous resource to user. */
export declare class WorkbookOperation extends Entity implements Parsable {
    /** The error returned by the operation. */
    private _error_escaped?;
    /** The resource URI for the result. */
    private _resourceLocation?;
    /** The current status of the operation. Possible values are: notStarted, running, succeeded, failed. */
    private _status?;
    /**
     * Instantiates a new workbookOperation and sets the default values.
     */
    constructor();
    /**
     * Gets the error property value. The error returned by the operation.
     * @returns a workbookOperationError
     */
    get error_escaped(): WorkbookOperationError | undefined;
    /**
     * Sets the error property value. The error returned by the operation.
     * @param value Value to set for the error_escaped property.
     */
    set error_escaped(value: WorkbookOperationError | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the resourceLocation property value. The resource URI for the result.
     * @returns a string
     */
    get resourceLocation(): string | undefined;
    /**
     * Sets the resourceLocation property value. The resource URI for the result.
     * @param value Value to set for the resourceLocation property.
     */
    set resourceLocation(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the status property value. The current status of the operation. Possible values are: notStarted, running, succeeded, failed.
     * @returns a workbookOperationStatus
     */
    get status(): WorkbookOperationStatus | undefined;
    /**
     * Sets the status property value. The current status of the operation. Possible values are: notStarted, running, succeeded, failed.
     * @param value Value to set for the status property.
     */
    set status(value: WorkbookOperationStatus | undefined);
}
