"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkbookOperation = void 0;
const createWorkbookOperationErrorFromDiscriminatorValue_1 = require("./createWorkbookOperationErrorFromDiscriminatorValue");
const index_1 = require("./index");
const workbookOperationStatus_1 = require("./workbookOperationStatus");
/** Casts the previous resource to user. */
class WorkbookOperation extends index_1.Entity {
    /**
     * Instantiates a new workbookOperation and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the error property value. The error returned by the operation.
     * @returns a workbookOperationError
     */
    get error_escaped() {
        return this._error_escaped;
    }
    ;
    /**
     * Sets the error property value. The error returned by the operation.
     * @param value Value to set for the error_escaped property.
     */
    set error_escaped(value) {
        this._error_escaped = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "error": n => { this.error_escaped = n.getObjectValue(createWorkbookOperationErrorFromDiscriminatorValue_1.createWorkbookOperationErrorFromDiscriminatorValue); }, "resourceLocation": n => { this.resourceLocation = n.getStringValue(); }, "status": n => { this.status = n.getEnumValue(workbookOperationStatus_1.WorkbookOperationStatus); } });
    }
    ;
    /**
     * Gets the resourceLocation property value. The resource URI for the result.
     * @returns a string
     */
    get resourceLocation() {
        return this._resourceLocation;
    }
    ;
    /**
     * Sets the resourceLocation property value. The resource URI for the result.
     * @param value Value to set for the resourceLocation property.
     */
    set resourceLocation(value) {
        this._resourceLocation = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("error", this.error_escaped);
        writer.writeStringValue("resourceLocation", this.resourceLocation);
        writer.writeEnumValue("status", this.status);
    }
    ;
    /**
     * Gets the status property value. The current status of the operation. Possible values are: notStarted, running, succeeded, failed.
     * @returns a workbookOperationStatus
     */
    get status() {
        return this._status;
    }
    ;
    /**
     * Sets the status property value. The current status of the operation. Possible values are: notStarted, running, succeeded, failed.
     * @param value Value to set for the status property.
     */
    set status(value) {
        this._status = value;
    }
    ;
}
exports.WorkbookOperation = WorkbookOperation;
