"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkbookOperationError = void 0;
const createWorkbookOperationErrorFromDiscriminatorValue_1 = require("./createWorkbookOperationErrorFromDiscriminatorValue");
class WorkbookOperationError {
    /**
     * Instantiates a new workbookOperationError and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the code property value. The error code.
     * @returns a string
     */
    get code() {
        return this._code;
    }
    ;
    /**
     * Sets the code property value. The error code.
     * @param value Value to set for the code property.
     */
    set code(value) {
        this._code = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "code": n => { this.code = n.getStringValue(); },
            "innerError": n => { this.innerError = n.getObjectValue(createWorkbookOperationErrorFromDiscriminatorValue_1.createWorkbookOperationErrorFromDiscriminatorValue); },
            "message": n => { this.message = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the innerError property value. The innerError property
     * @returns a workbookOperationError
     */
    get innerError() {
        return this._innerError;
    }
    ;
    /**
     * Sets the innerError property value. The innerError property
     * @param value Value to set for the innerError property.
     */
    set innerError(value) {
        this._innerError = value;
    }
    ;
    /**
     * Gets the message property value. The error message.
     * @returns a string
     */
    get message() {
        return this._message;
    }
    ;
    /**
     * Sets the message property value. The error message.
     * @param value Value to set for the message property.
     */
    set message(value) {
        this._message = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("code", this.code);
        writer.writeObjectValue("innerError", this.innerError);
        writer.writeStringValue("message", this.message);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.WorkbookOperationError = WorkbookOperationError;
