import { Entity, WorkbookWorksheet } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Casts the previous resource to user. */
export declare class WorkbookPivotTable extends Entity implements Parsable {
    /** Name of the PivotTable. */
    private _name?;
    /** The worksheet containing the current PivotTable. Read-only. */
    private _worksheet?;
    /**
     * Instantiates a new workbookPivotTable and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the name property value. Name of the PivotTable.
     * @returns a string
     */
    get name(): string | undefined;
    /**
     * Sets the name property value. Name of the PivotTable.
     * @param value Value to set for the name property.
     */
    set name(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the worksheet property value. The worksheet containing the current PivotTable. Read-only.
     * @returns a workbookWorksheet
     */
    get worksheet(): WorkbookWorksheet | undefined;
    /**
     * Sets the worksheet property value. The worksheet containing the current PivotTable. Read-only.
     * @param value Value to set for the worksheet property.
     */
    set worksheet(value: WorkbookWorksheet | undefined);
}
