import { WorkbookIcon } from './index';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class WorkbookSortField implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** Represents whether the sorting is done in an ascending fashion. */
    private _ascending?;
    /** Represents the color that is the target of the condition if the sorting is on font or cell color. */
    private _color?;
    /** Represents additional sorting options for this field. Possible values are: Normal, TextAsNumber. */
    private _dataOption?;
    /** Represents the icon that is the target of the condition if the sorting is on the cell's icon. */
    private _icon?;
    /** Represents the column (or row, depending on the sort orientation) that the condition is on. Represented as an offset from the first column (or row). */
    private _key?;
    /** Represents the type of sorting of this condition. Possible values are: Value, CellColor, FontColor, Icon. */
    private _sortOn?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the ascending property value. Represents whether the sorting is done in an ascending fashion.
     * @returns a boolean
     */
    get ascending(): boolean | undefined;
    /**
     * Sets the ascending property value. Represents whether the sorting is done in an ascending fashion.
     * @param value Value to set for the ascending property.
     */
    set ascending(value: boolean | undefined);
    /**
     * Gets the color property value. Represents the color that is the target of the condition if the sorting is on font or cell color.
     * @returns a string
     */
    get color(): string | undefined;
    /**
     * Sets the color property value. Represents the color that is the target of the condition if the sorting is on font or cell color.
     * @param value Value to set for the color property.
     */
    set color(value: string | undefined);
    /**
     * Instantiates a new workbookSortField and sets the default values.
     */
    constructor();
    /**
     * Gets the dataOption property value. Represents additional sorting options for this field. Possible values are: Normal, TextAsNumber.
     * @returns a string
     */
    get dataOption(): string | undefined;
    /**
     * Sets the dataOption property value. Represents additional sorting options for this field. Possible values are: Normal, TextAsNumber.
     * @param value Value to set for the dataOption property.
     */
    set dataOption(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the icon property value. Represents the icon that is the target of the condition if the sorting is on the cell's icon.
     * @returns a workbookIcon
     */
    get icon(): WorkbookIcon | undefined;
    /**
     * Sets the icon property value. Represents the icon that is the target of the condition if the sorting is on the cell's icon.
     * @param value Value to set for the icon property.
     */
    set icon(value: WorkbookIcon | undefined);
    /**
     * Gets the key property value. Represents the column (or row, depending on the sort orientation) that the condition is on. Represented as an offset from the first column (or row).
     * @returns a integer
     */
    get key(): number | undefined;
    /**
     * Sets the key property value. Represents the column (or row, depending on the sort orientation) that the condition is on. Represented as an offset from the first column (or row).
     * @param value Value to set for the key property.
     */
    set key(value: number | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the sortOn property value. Represents the type of sorting of this condition. Possible values are: Value, CellColor, FontColor, Icon.
     * @returns a string
     */
    get sortOn(): string | undefined;
    /**
     * Sets the sortOn property value. Represents the type of sorting of this condition. Possible values are: Value, CellColor, FontColor, Icon.
     * @param value Value to set for the sortOn property.
     */
    set sortOn(value: string | undefined);
}
