"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkbookSortField = void 0;
const createWorkbookIconFromDiscriminatorValue_1 = require("./createWorkbookIconFromDiscriminatorValue");
class WorkbookSortField {
    /**
     * Instantiates a new workbookSortField and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the ascending property value. Represents whether the sorting is done in an ascending fashion.
     * @returns a boolean
     */
    get ascending() {
        return this._ascending;
    }
    ;
    /**
     * Sets the ascending property value. Represents whether the sorting is done in an ascending fashion.
     * @param value Value to set for the ascending property.
     */
    set ascending(value) {
        this._ascending = value;
    }
    ;
    /**
     * Gets the color property value. Represents the color that is the target of the condition if the sorting is on font or cell color.
     * @returns a string
     */
    get color() {
        return this._color;
    }
    ;
    /**
     * Sets the color property value. Represents the color that is the target of the condition if the sorting is on font or cell color.
     * @param value Value to set for the color property.
     */
    set color(value) {
        this._color = value;
    }
    ;
    ;
    /**
     * Gets the dataOption property value. Represents additional sorting options for this field. Possible values are: Normal, TextAsNumber.
     * @returns a string
     */
    get dataOption() {
        return this._dataOption;
    }
    ;
    /**
     * Sets the dataOption property value. Represents additional sorting options for this field. Possible values are: Normal, TextAsNumber.
     * @param value Value to set for the dataOption property.
     */
    set dataOption(value) {
        this._dataOption = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "ascending": n => { this.ascending = n.getBooleanValue(); },
            "color": n => { this.color = n.getStringValue(); },
            "dataOption": n => { this.dataOption = n.getStringValue(); },
            "icon": n => { this.icon = n.getObjectValue(createWorkbookIconFromDiscriminatorValue_1.createWorkbookIconFromDiscriminatorValue); },
            "key": n => { this.key = n.getNumberValue(); },
            "sortOn": n => { this.sortOn = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the icon property value. Represents the icon that is the target of the condition if the sorting is on the cell's icon.
     * @returns a workbookIcon
     */
    get icon() {
        return this._icon;
    }
    ;
    /**
     * Sets the icon property value. Represents the icon that is the target of the condition if the sorting is on the cell's icon.
     * @param value Value to set for the icon property.
     */
    set icon(value) {
        this._icon = value;
    }
    ;
    /**
     * Gets the key property value. Represents the column (or row, depending on the sort orientation) that the condition is on. Represented as an offset from the first column (or row).
     * @returns a integer
     */
    get key() {
        return this._key;
    }
    ;
    /**
     * Sets the key property value. Represents the column (or row, depending on the sort orientation) that the condition is on. Represented as an offset from the first column (or row).
     * @param value Value to set for the key property.
     */
    set key(value) {
        this._key = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeBooleanValue("ascending", this.ascending);
        writer.writeStringValue("color", this.color);
        writer.writeStringValue("dataOption", this.dataOption);
        writer.writeObjectValue("icon", this.icon);
        writer.writeNumberValue("key", this.key);
        writer.writeStringValue("sortOn", this.sortOn);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the sortOn property value. Represents the type of sorting of this condition. Possible values are: Value, CellColor, FontColor, Icon.
     * @returns a string
     */
    get sortOn() {
        return this._sortOn;
    }
    ;
    /**
     * Sets the sortOn property value. Represents the type of sorting of this condition. Possible values are: Value, CellColor, FontColor, Icon.
     * @param value Value to set for the sortOn property.
     */
    set sortOn(value) {
        this._sortOn = value;
    }
    ;
}
exports.WorkbookSortField = WorkbookSortField;
