import { Entity, Json, WorkbookFilter } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Casts the previous resource to user. */
export declare class WorkbookTableColumn extends Entity implements Parsable {
    /** Retrieve the filter applied to the column. Read-only. */
    private _filter?;
    /** Returns the index number of the column within the columns collection of the table. Zero-indexed. Read-only. */
    private _index?;
    /** Returns the name of the table column. */
    private _name?;
    /** Represents the raw values of the specified range. The data returned could be of type string, number, or a boolean. Cell that contain an error will return the error string. */
    private _values?;
    /**
     * Instantiates a new workbookTableColumn and sets the default values.
     */
    constructor();
    /**
     * Gets the filter property value. Retrieve the filter applied to the column. Read-only.
     * @returns a workbookFilter
     */
    get filter(): WorkbookFilter | undefined;
    /**
     * Sets the filter property value. Retrieve the filter applied to the column. Read-only.
     * @param value Value to set for the filter property.
     */
    set filter(value: WorkbookFilter | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the index property value. Returns the index number of the column within the columns collection of the table. Zero-indexed. Read-only.
     * @returns a integer
     */
    get index(): number | undefined;
    /**
     * Sets the index property value. Returns the index number of the column within the columns collection of the table. Zero-indexed. Read-only.
     * @param value Value to set for the index property.
     */
    set index(value: number | undefined);
    /**
     * Gets the name property value. Returns the name of the table column.
     * @returns a string
     */
    get name(): string | undefined;
    /**
     * Sets the name property value. Returns the name of the table column.
     * @param value Value to set for the name property.
     */
    set name(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the values property value. Represents the raw values of the specified range. The data returned could be of type string, number, or a boolean. Cell that contain an error will return the error string.
     * @returns a Json
     */
    get values(): Json | undefined;
    /**
     * Sets the values property value. Represents the raw values of the specified range. The data returned could be of type string, number, or a boolean. Cell that contain an error will return the error string.
     * @param value Value to set for the values property.
     */
    set values(value: Json | undefined);
}
