import { Entity, WorkbookSortField } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Casts the previous resource to user. */
export declare class WorkbookTableSort extends Entity implements Parsable {
    /** Represents the current conditions used to last sort the table. Read-only. */
    private _fields?;
    /** Represents whether the casing impacted the last sort of the table. Read-only. */
    private _matchCase?;
    /** Represents Chinese character ordering method last used to sort the table. Possible values are: PinYin, StrokeCount. Read-only. */
    private _method?;
    /**
     * Instantiates a new workbookTableSort and sets the default values.
     */
    constructor();
    /**
     * Gets the fields property value. Represents the current conditions used to last sort the table. Read-only.
     * @returns a workbookSortField
     */
    get fields(): WorkbookSortField[] | undefined;
    /**
     * Sets the fields property value. Represents the current conditions used to last sort the table. Read-only.
     * @param value Value to set for the fields property.
     */
    set fields(value: WorkbookSortField[] | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the matchCase property value. Represents whether the casing impacted the last sort of the table. Read-only.
     * @returns a boolean
     */
    get matchCase(): boolean | undefined;
    /**
     * Sets the matchCase property value. Represents whether the casing impacted the last sort of the table. Read-only.
     * @param value Value to set for the matchCase property.
     */
    set matchCase(value: boolean | undefined);
    /**
     * Gets the method property value. Represents Chinese character ordering method last used to sort the table. Possible values are: PinYin, StrokeCount. Read-only.
     * @returns a string
     */
    get method(): string | undefined;
    /**
     * Sets the method property value. Represents Chinese character ordering method last used to sort the table. Possible values are: PinYin, StrokeCount. Read-only.
     * @param value Value to set for the method property.
     */
    set method(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
