"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkbookTableSort = void 0;
const createWorkbookSortFieldFromDiscriminatorValue_1 = require("./createWorkbookSortFieldFromDiscriminatorValue");
const index_1 = require("./index");
/** Casts the previous resource to user. */
class WorkbookTableSort extends index_1.Entity {
    /**
     * Instantiates a new workbookTableSort and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * Gets the fields property value. Represents the current conditions used to last sort the table. Read-only.
     * @returns a workbookSortField
     */
    get fields() {
        return this._fields;
    }
    ;
    /**
     * Sets the fields property value. Represents the current conditions used to last sort the table. Read-only.
     * @param value Value to set for the fields property.
     */
    set fields(value) {
        this._fields = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "fields": n => { this.fields = n.getCollectionOfObjectValues(createWorkbookSortFieldFromDiscriminatorValue_1.createWorkbookSortFieldFromDiscriminatorValue); }, "matchCase": n => { this.matchCase = n.getBooleanValue(); }, "method": n => { this.method = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the matchCase property value. Represents whether the casing impacted the last sort of the table. Read-only.
     * @returns a boolean
     */
    get matchCase() {
        return this._matchCase;
    }
    ;
    /**
     * Sets the matchCase property value. Represents whether the casing impacted the last sort of the table. Read-only.
     * @param value Value to set for the matchCase property.
     */
    set matchCase(value) {
        this._matchCase = value;
    }
    ;
    /**
     * Gets the method property value. Represents Chinese character ordering method last used to sort the table. Possible values are: PinYin, StrokeCount. Read-only.
     * @returns a string
     */
    get method() {
        return this._method;
    }
    ;
    /**
     * Sets the method property value. Represents Chinese character ordering method last used to sort the table. Possible values are: PinYin, StrokeCount. Read-only.
     * @param value Value to set for the method property.
     */
    set method(value) {
        this._method = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeCollectionOfObjectValues("fields", this.fields);
        writer.writeBooleanValue("matchCase", this.matchCase);
        writer.writeStringValue("method", this.method);
    }
    ;
}
exports.WorkbookTableSort = WorkbookTableSort;
