import { Entity, WorkbookWorksheetProtectionOptions } from './index';
import { Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Casts the previous resource to user. */
export declare class WorkbookWorksheetProtection extends Entity implements Parsable {
    /** Sheet protection options. Read-only. */
    private _options?;
    /** Indicates if the worksheet is protected.  Read-only. */
    private _protected?;
    /**
     * Instantiates a new workbookWorksheetProtection and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the options property value. Sheet protection options. Read-only.
     * @returns a workbookWorksheetProtectionOptions
     */
    get options(): WorkbookWorksheetProtectionOptions | undefined;
    /**
     * Sets the options property value. Sheet protection options. Read-only.
     * @param value Value to set for the options property.
     */
    set options(value: WorkbookWorksheetProtectionOptions | undefined);
    /**
     * Gets the protected property value. Indicates if the worksheet is protected.  Read-only.
     * @returns a boolean
     */
    get protected(): boolean | undefined;
    /**
     * Sets the protected property value. Indicates if the worksheet is protected.  Read-only.
     * @param value Value to set for the protected property.
     */
    set protected(value: boolean | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
