"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkbookWorksheetProtection = void 0;
const createWorkbookWorksheetProtectionOptionsFromDiscriminatorValue_1 = require("./createWorkbookWorksheetProtectionOptionsFromDiscriminatorValue");
const index_1 = require("./index");
/** Casts the previous resource to user. */
class WorkbookWorksheetProtection extends index_1.Entity {
    /**
     * Instantiates a new workbookWorksheetProtection and sets the default values.
     */
    constructor() {
        super();
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "options": n => { this.options = n.getObjectValue(createWorkbookWorksheetProtectionOptionsFromDiscriminatorValue_1.createWorkbookWorksheetProtectionOptionsFromDiscriminatorValue); }, "protected": n => { this.protected = n.getBooleanValue(); } });
    }
    ;
    /**
     * Gets the options property value. Sheet protection options. Read-only.
     * @returns a workbookWorksheetProtectionOptions
     */
    get options() {
        return this._options;
    }
    ;
    /**
     * Sets the options property value. Sheet protection options. Read-only.
     * @param value Value to set for the options property.
     */
    set options(value) {
        this._options = value;
    }
    ;
    /**
     * Gets the protected property value. Indicates if the worksheet is protected.  Read-only.
     * @returns a boolean
     */
    get protected() {
        return this._protected;
    }
    ;
    /**
     * Sets the protected property value. Indicates if the worksheet is protected.  Read-only.
     * @param value Value to set for the protected property.
     */
    set protected(value) {
        this._protected = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeObjectValue("options", this.options);
        writer.writeBooleanValue("protected", this.protected);
    }
    ;
}
exports.WorkbookWorksheetProtection = WorkbookWorksheetProtection;
