import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
export declare class WorkbookWorksheetProtectionOptions implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** Represents the worksheet protection option of allowing using auto filter feature. */
    private _allowAutoFilter?;
    /** Represents the worksheet protection option of allowing deleting columns. */
    private _allowDeleteColumns?;
    /** Represents the worksheet protection option of allowing deleting rows. */
    private _allowDeleteRows?;
    /** Represents the worksheet protection option of allowing formatting cells. */
    private _allowFormatCells?;
    /** Represents the worksheet protection option of allowing formatting columns. */
    private _allowFormatColumns?;
    /** Represents the worksheet protection option of allowing formatting rows. */
    private _allowFormatRows?;
    /** Represents the worksheet protection option of allowing inserting columns. */
    private _allowInsertColumns?;
    /** Represents the worksheet protection option of allowing inserting hyperlinks. */
    private _allowInsertHyperlinks?;
    /** Represents the worksheet protection option of allowing inserting rows. */
    private _allowInsertRows?;
    /** Represents the worksheet protection option of allowing using pivot table feature. */
    private _allowPivotTables?;
    /** Represents the worksheet protection option of allowing using sort feature. */
    private _allowSort?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the allowAutoFilter property value. Represents the worksheet protection option of allowing using auto filter feature.
     * @returns a boolean
     */
    get allowAutoFilter(): boolean | undefined;
    /**
     * Sets the allowAutoFilter property value. Represents the worksheet protection option of allowing using auto filter feature.
     * @param value Value to set for the allowAutoFilter property.
     */
    set allowAutoFilter(value: boolean | undefined);
    /**
     * Gets the allowDeleteColumns property value. Represents the worksheet protection option of allowing deleting columns.
     * @returns a boolean
     */
    get allowDeleteColumns(): boolean | undefined;
    /**
     * Sets the allowDeleteColumns property value. Represents the worksheet protection option of allowing deleting columns.
     * @param value Value to set for the allowDeleteColumns property.
     */
    set allowDeleteColumns(value: boolean | undefined);
    /**
     * Gets the allowDeleteRows property value. Represents the worksheet protection option of allowing deleting rows.
     * @returns a boolean
     */
    get allowDeleteRows(): boolean | undefined;
    /**
     * Sets the allowDeleteRows property value. Represents the worksheet protection option of allowing deleting rows.
     * @param value Value to set for the allowDeleteRows property.
     */
    set allowDeleteRows(value: boolean | undefined);
    /**
     * Gets the allowFormatCells property value. Represents the worksheet protection option of allowing formatting cells.
     * @returns a boolean
     */
    get allowFormatCells(): boolean | undefined;
    /**
     * Sets the allowFormatCells property value. Represents the worksheet protection option of allowing formatting cells.
     * @param value Value to set for the allowFormatCells property.
     */
    set allowFormatCells(value: boolean | undefined);
    /**
     * Gets the allowFormatColumns property value. Represents the worksheet protection option of allowing formatting columns.
     * @returns a boolean
     */
    get allowFormatColumns(): boolean | undefined;
    /**
     * Sets the allowFormatColumns property value. Represents the worksheet protection option of allowing formatting columns.
     * @param value Value to set for the allowFormatColumns property.
     */
    set allowFormatColumns(value: boolean | undefined);
    /**
     * Gets the allowFormatRows property value. Represents the worksheet protection option of allowing formatting rows.
     * @returns a boolean
     */
    get allowFormatRows(): boolean | undefined;
    /**
     * Sets the allowFormatRows property value. Represents the worksheet protection option of allowing formatting rows.
     * @param value Value to set for the allowFormatRows property.
     */
    set allowFormatRows(value: boolean | undefined);
    /**
     * Gets the allowInsertColumns property value. Represents the worksheet protection option of allowing inserting columns.
     * @returns a boolean
     */
    get allowInsertColumns(): boolean | undefined;
    /**
     * Sets the allowInsertColumns property value. Represents the worksheet protection option of allowing inserting columns.
     * @param value Value to set for the allowInsertColumns property.
     */
    set allowInsertColumns(value: boolean | undefined);
    /**
     * Gets the allowInsertHyperlinks property value. Represents the worksheet protection option of allowing inserting hyperlinks.
     * @returns a boolean
     */
    get allowInsertHyperlinks(): boolean | undefined;
    /**
     * Sets the allowInsertHyperlinks property value. Represents the worksheet protection option of allowing inserting hyperlinks.
     * @param value Value to set for the allowInsertHyperlinks property.
     */
    set allowInsertHyperlinks(value: boolean | undefined);
    /**
     * Gets the allowInsertRows property value. Represents the worksheet protection option of allowing inserting rows.
     * @returns a boolean
     */
    get allowInsertRows(): boolean | undefined;
    /**
     * Sets the allowInsertRows property value. Represents the worksheet protection option of allowing inserting rows.
     * @param value Value to set for the allowInsertRows property.
     */
    set allowInsertRows(value: boolean | undefined);
    /**
     * Gets the allowPivotTables property value. Represents the worksheet protection option of allowing using pivot table feature.
     * @returns a boolean
     */
    get allowPivotTables(): boolean | undefined;
    /**
     * Sets the allowPivotTables property value. Represents the worksheet protection option of allowing using pivot table feature.
     * @param value Value to set for the allowPivotTables property.
     */
    set allowPivotTables(value: boolean | undefined);
    /**
     * Gets the allowSort property value. Represents the worksheet protection option of allowing using sort feature.
     * @returns a boolean
     */
    get allowSort(): boolean | undefined;
    /**
     * Sets the allowSort property value. Represents the worksheet protection option of allowing using sort feature.
     * @param value Value to set for the allowSort property.
     */
    set allowSort(value: boolean | undefined);
    /**
     * Instantiates a new workbookWorksheetProtectionOptions and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
