"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkbookWorksheetProtectionOptions = void 0;
class WorkbookWorksheetProtectionOptions {
    /**
     * Instantiates a new workbookWorksheetProtectionOptions and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the allowAutoFilter property value. Represents the worksheet protection option of allowing using auto filter feature.
     * @returns a boolean
     */
    get allowAutoFilter() {
        return this._allowAutoFilter;
    }
    ;
    /**
     * Sets the allowAutoFilter property value. Represents the worksheet protection option of allowing using auto filter feature.
     * @param value Value to set for the allowAutoFilter property.
     */
    set allowAutoFilter(value) {
        this._allowAutoFilter = value;
    }
    ;
    /**
     * Gets the allowDeleteColumns property value. Represents the worksheet protection option of allowing deleting columns.
     * @returns a boolean
     */
    get allowDeleteColumns() {
        return this._allowDeleteColumns;
    }
    ;
    /**
     * Sets the allowDeleteColumns property value. Represents the worksheet protection option of allowing deleting columns.
     * @param value Value to set for the allowDeleteColumns property.
     */
    set allowDeleteColumns(value) {
        this._allowDeleteColumns = value;
    }
    ;
    /**
     * Gets the allowDeleteRows property value. Represents the worksheet protection option of allowing deleting rows.
     * @returns a boolean
     */
    get allowDeleteRows() {
        return this._allowDeleteRows;
    }
    ;
    /**
     * Sets the allowDeleteRows property value. Represents the worksheet protection option of allowing deleting rows.
     * @param value Value to set for the allowDeleteRows property.
     */
    set allowDeleteRows(value) {
        this._allowDeleteRows = value;
    }
    ;
    /**
     * Gets the allowFormatCells property value. Represents the worksheet protection option of allowing formatting cells.
     * @returns a boolean
     */
    get allowFormatCells() {
        return this._allowFormatCells;
    }
    ;
    /**
     * Sets the allowFormatCells property value. Represents the worksheet protection option of allowing formatting cells.
     * @param value Value to set for the allowFormatCells property.
     */
    set allowFormatCells(value) {
        this._allowFormatCells = value;
    }
    ;
    /**
     * Gets the allowFormatColumns property value. Represents the worksheet protection option of allowing formatting columns.
     * @returns a boolean
     */
    get allowFormatColumns() {
        return this._allowFormatColumns;
    }
    ;
    /**
     * Sets the allowFormatColumns property value. Represents the worksheet protection option of allowing formatting columns.
     * @param value Value to set for the allowFormatColumns property.
     */
    set allowFormatColumns(value) {
        this._allowFormatColumns = value;
    }
    ;
    /**
     * Gets the allowFormatRows property value. Represents the worksheet protection option of allowing formatting rows.
     * @returns a boolean
     */
    get allowFormatRows() {
        return this._allowFormatRows;
    }
    ;
    /**
     * Sets the allowFormatRows property value. Represents the worksheet protection option of allowing formatting rows.
     * @param value Value to set for the allowFormatRows property.
     */
    set allowFormatRows(value) {
        this._allowFormatRows = value;
    }
    ;
    /**
     * Gets the allowInsertColumns property value. Represents the worksheet protection option of allowing inserting columns.
     * @returns a boolean
     */
    get allowInsertColumns() {
        return this._allowInsertColumns;
    }
    ;
    /**
     * Sets the allowInsertColumns property value. Represents the worksheet protection option of allowing inserting columns.
     * @param value Value to set for the allowInsertColumns property.
     */
    set allowInsertColumns(value) {
        this._allowInsertColumns = value;
    }
    ;
    /**
     * Gets the allowInsertHyperlinks property value. Represents the worksheet protection option of allowing inserting hyperlinks.
     * @returns a boolean
     */
    get allowInsertHyperlinks() {
        return this._allowInsertHyperlinks;
    }
    ;
    /**
     * Sets the allowInsertHyperlinks property value. Represents the worksheet protection option of allowing inserting hyperlinks.
     * @param value Value to set for the allowInsertHyperlinks property.
     */
    set allowInsertHyperlinks(value) {
        this._allowInsertHyperlinks = value;
    }
    ;
    /**
     * Gets the allowInsertRows property value. Represents the worksheet protection option of allowing inserting rows.
     * @returns a boolean
     */
    get allowInsertRows() {
        return this._allowInsertRows;
    }
    ;
    /**
     * Sets the allowInsertRows property value. Represents the worksheet protection option of allowing inserting rows.
     * @param value Value to set for the allowInsertRows property.
     */
    set allowInsertRows(value) {
        this._allowInsertRows = value;
    }
    ;
    /**
     * Gets the allowPivotTables property value. Represents the worksheet protection option of allowing using pivot table feature.
     * @returns a boolean
     */
    get allowPivotTables() {
        return this._allowPivotTables;
    }
    ;
    /**
     * Sets the allowPivotTables property value. Represents the worksheet protection option of allowing using pivot table feature.
     * @param value Value to set for the allowPivotTables property.
     */
    set allowPivotTables(value) {
        this._allowPivotTables = value;
    }
    ;
    /**
     * Gets the allowSort property value. Represents the worksheet protection option of allowing using sort feature.
     * @returns a boolean
     */
    get allowSort() {
        return this._allowSort;
    }
    ;
    /**
     * Sets the allowSort property value. Represents the worksheet protection option of allowing using sort feature.
     * @param value Value to set for the allowSort property.
     */
    set allowSort(value) {
        this._allowSort = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "allowAutoFilter": n => { this.allowAutoFilter = n.getBooleanValue(); },
            "allowDeleteColumns": n => { this.allowDeleteColumns = n.getBooleanValue(); },
            "allowDeleteRows": n => { this.allowDeleteRows = n.getBooleanValue(); },
            "allowFormatCells": n => { this.allowFormatCells = n.getBooleanValue(); },
            "allowFormatColumns": n => { this.allowFormatColumns = n.getBooleanValue(); },
            "allowFormatRows": n => { this.allowFormatRows = n.getBooleanValue(); },
            "allowInsertColumns": n => { this.allowInsertColumns = n.getBooleanValue(); },
            "allowInsertHyperlinks": n => { this.allowInsertHyperlinks = n.getBooleanValue(); },
            "allowInsertRows": n => { this.allowInsertRows = n.getBooleanValue(); },
            "allowPivotTables": n => { this.allowPivotTables = n.getBooleanValue(); },
            "allowSort": n => { this.allowSort = n.getBooleanValue(); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeBooleanValue("allowAutoFilter", this.allowAutoFilter);
        writer.writeBooleanValue("allowDeleteColumns", this.allowDeleteColumns);
        writer.writeBooleanValue("allowDeleteRows", this.allowDeleteRows);
        writer.writeBooleanValue("allowFormatCells", this.allowFormatCells);
        writer.writeBooleanValue("allowFormatColumns", this.allowFormatColumns);
        writer.writeBooleanValue("allowFormatRows", this.allowFormatRows);
        writer.writeBooleanValue("allowInsertColumns", this.allowInsertColumns);
        writer.writeBooleanValue("allowInsertHyperlinks", this.allowInsertHyperlinks);
        writer.writeBooleanValue("allowInsertRows", this.allowInsertRows);
        writer.writeBooleanValue("allowPivotTables", this.allowPivotTables);
        writer.writeBooleanValue("allowSort", this.allowSort);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.WorkbookWorksheetProtectionOptions = WorkbookWorksheetProtectionOptions;
