"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkforceIntegration = void 0;
const createWorkforceIntegrationEncryptionFromDiscriminatorValue_1 = require("./createWorkforceIntegrationEncryptionFromDiscriminatorValue");
const index_1 = require("./index");
const workforceIntegrationSupportedEntities_1 = require("./workforceIntegrationSupportedEntities");
/** Provides operations to manage the teamwork singleton. */
class WorkforceIntegration extends index_1.ChangeTrackedEntity {
    /**
     * Instantiates a new workforceIntegration and sets the default values.
     */
    constructor() {
        super();
    }
    /**
     * Gets the apiVersion property value. API version for the call back URL. Start with 1.
     * @returns a integer
     */
    get apiVersion() {
        return this._apiVersion;
    }
    ;
    /**
     * Sets the apiVersion property value. API version for the call back URL. Start with 1.
     * @param value Value to set for the apiVersion property.
     */
    set apiVersion(value) {
        this._apiVersion = value;
    }
    ;
    ;
    /**
     * Gets the displayName property value. Name of the workforce integration.
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. Name of the workforce integration.
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * Gets the encryption property value. The workforce integration encryption resource.
     * @returns a workforceIntegrationEncryption
     */
    get encryption() {
        return this._encryption;
    }
    ;
    /**
     * Sets the encryption property value. The workforce integration encryption resource.
     * @param value Value to set for the encryption property.
     */
    set encryption(value) {
        this._encryption = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return Object.assign(Object.assign({}, super.getFieldDeserializers()), { "apiVersion": n => { this.apiVersion = n.getNumberValue(); }, "displayName": n => { this.displayName = n.getStringValue(); }, "encryption": n => { this.encryption = n.getObjectValue(createWorkforceIntegrationEncryptionFromDiscriminatorValue_1.createWorkforceIntegrationEncryptionFromDiscriminatorValue); }, "isActive": n => { this.isActive = n.getBooleanValue(); }, "supportedEntities": n => { this.supportedEntities = n.getEnumValue(workforceIntegrationSupportedEntities_1.WorkforceIntegrationSupportedEntities); }, "url": n => { this.url = n.getStringValue(); } });
    }
    ;
    /**
     * Gets the isActive property value. Indicates whether this workforce integration is currently active and available.
     * @returns a boolean
     */
    get isActive() {
        return this._isActive;
    }
    ;
    /**
     * Sets the isActive property value. Indicates whether this workforce integration is currently active and available.
     * @param value Value to set for the isActive property.
     */
    set isActive(value) {
        this._isActive = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        super.serialize(writer);
        writer.writeNumberValue("apiVersion", this.apiVersion);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeObjectValue("encryption", this.encryption);
        writer.writeBooleanValue("isActive", this.isActive);
        writer.writeEnumValue("supportedEntities", this.supportedEntities);
        writer.writeStringValue("url", this.url);
    }
    ;
    /**
     * Gets the supportedEntities property value. This property has replaced supports in v1.0. We recommend that you use this property instead of supports. The supports property is still supported in beta for the time being. The possible values are: none, shift, swapRequest, openshift, openShiftRequest, userShiftPreferences, offerShiftRequest, unknownFutureValue, timeCard, timeOffReason, timeOff, timeOffRequest. Note that you must use the Prefer: include-unknown-enum-members request header to get the following values in this evolvable enum: timeCard, timeOffReason, timeOff, timeOffRequest. If selecting more than one value, all values must start with the first letter in uppercase.
     * @returns a workforceIntegrationSupportedEntities
     */
    get supportedEntities() {
        return this._supportedEntities;
    }
    ;
    /**
     * Sets the supportedEntities property value. This property has replaced supports in v1.0. We recommend that you use this property instead of supports. The supports property is still supported in beta for the time being. The possible values are: none, shift, swapRequest, openshift, openShiftRequest, userShiftPreferences, offerShiftRequest, unknownFutureValue, timeCard, timeOffReason, timeOff, timeOffRequest. Note that you must use the Prefer: include-unknown-enum-members request header to get the following values in this evolvable enum: timeCard, timeOffReason, timeOff, timeOffRequest. If selecting more than one value, all values must start with the first letter in uppercase.
     * @param value Value to set for the supportedEntities property.
     */
    set supportedEntities(value) {
        this._supportedEntities = value;
    }
    ;
    /**
     * Gets the url property value. Workforce Integration URL for callbacks from the Shifts service.
     * @returns a string
     */
    get url() {
        return this._url;
    }
    ;
    /**
     * Sets the url property value. Workforce Integration URL for callbacks from the Shifts service.
     * @param value Value to set for the url property.
     */
    set url(value) {
        this._url = value;
    }
    ;
}
exports.WorkforceIntegration = WorkforceIntegration;
