import { TimeZoneBase } from './index';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter, TimeOnly } from '@microsoft/kiota-abstractions';
export declare class WorkingHours implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The days of the week on which the user works. */
    private _daysOfWeek?;
    /** The time of the day that the user stops working. */
    private _endTime?;
    /** The time of the day that the user starts working. */
    private _startTime?;
    /** The time zone to which the working hours apply. */
    private _timeZone?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Instantiates a new workingHours and sets the default values.
     */
    constructor();
    /**
     * Gets the daysOfWeek property value. The days of the week on which the user works.
     * @returns a string
     */
    get daysOfWeek(): string[] | undefined;
    /**
     * Sets the daysOfWeek property value. The days of the week on which the user works.
     * @param value Value to set for the daysOfWeek property.
     */
    set daysOfWeek(value: string[] | undefined);
    /**
     * Gets the endTime property value. The time of the day that the user stops working.
     * @returns a TimeOnly
     */
    get endTime(): TimeOnly | undefined;
    /**
     * Sets the endTime property value. The time of the day that the user stops working.
     * @param value Value to set for the endTime property.
     */
    set endTime(value: TimeOnly | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the startTime property value. The time of the day that the user starts working.
     * @returns a TimeOnly
     */
    get startTime(): TimeOnly | undefined;
    /**
     * Sets the startTime property value. The time of the day that the user starts working.
     * @param value Value to set for the startTime property.
     */
    set startTime(value: TimeOnly | undefined);
    /**
     * Gets the timeZone property value. The time zone to which the working hours apply.
     * @returns a timeZoneBase
     */
    get timeZone(): TimeZoneBase | undefined;
    /**
     * Sets the timeZone property value. The time zone to which the working hours apply.
     * @param value Value to set for the timeZone property.
     */
    set timeZone(value: TimeZoneBase | undefined);
}
