"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkingHours = void 0;
const createTimeZoneBaseFromDiscriminatorValue_1 = require("./createTimeZoneBaseFromDiscriminatorValue");
class WorkingHours {
    /**
     * Instantiates a new workingHours and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the daysOfWeek property value. The days of the week on which the user works.
     * @returns a string
     */
    get daysOfWeek() {
        return this._daysOfWeek;
    }
    ;
    /**
     * Sets the daysOfWeek property value. The days of the week on which the user works.
     * @param value Value to set for the daysOfWeek property.
     */
    set daysOfWeek(value) {
        this._daysOfWeek = value;
    }
    ;
    /**
     * Gets the endTime property value. The time of the day that the user stops working.
     * @returns a TimeOnly
     */
    get endTime() {
        return this._endTime;
    }
    ;
    /**
     * Sets the endTime property value. The time of the day that the user stops working.
     * @param value Value to set for the endTime property.
     */
    set endTime(value) {
        this._endTime = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "daysOfWeek": n => { this.daysOfWeek = n.getCollectionOfPrimitiveValues(); },
            "endTime": n => { this.endTime = n.getTimeOnlyValue(); },
            "startTime": n => { this.startTime = n.getTimeOnlyValue(); },
            "timeZone": n => { this.timeZone = n.getObjectValue(createTimeZoneBaseFromDiscriminatorValue_1.createTimeZoneBaseFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeCollectionOfPrimitiveValues("daysOfWeek", this.daysOfWeek);
        writer.writeTimeOnlyValue("endTime", this.endTime);
        writer.writeTimeOnlyValue("startTime", this.startTime);
        writer.writeObjectValue("timeZone", this.timeZone);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the startTime property value. The time of the day that the user starts working.
     * @returns a TimeOnly
     */
    get startTime() {
        return this._startTime;
    }
    ;
    /**
     * Sets the startTime property value. The time of the day that the user starts working.
     * @param value Value to set for the startTime property.
     */
    set startTime(value) {
        this._startTime = value;
    }
    ;
    /**
     * Gets the timeZone property value. The time zone to which the working hours apply.
     * @returns a timeZoneBase
     */
    get timeZone() {
        return this._timeZone;
    }
    ;
    /**
     * Sets the timeZone property value. The time zone to which the working hours apply.
     * @param value Value to set for the timeZone property.
     */
    set timeZone(value) {
        this._timeZone = value;
    }
    ;
}
exports.WorkingHours = WorkingHours;
