"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlaceItemRequestBuilderGetQueryParameters = void 0;
/** Get the properties and relationships of a [place](../resources/place.md) object specified by either its ID or email address.  The **place** object can be one of the following types: Both **room** and **roomList** are derived from the [place](../resources/place.md) object.  */
class PlaceItemRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "expand": return "%24expand";
            case "select": return "%24select";
            default: return originalName;
        }
    }
    ;
}
exports.PlaceItemRequestBuilderGetQueryParameters = PlaceItemRequestBuilderGetQueryParameters;
