"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlannerRequestBuilderGetQueryParameters = void 0;
/** The **planner** resource is the entry point for the Planner object model. It returns a singleton **planner** resource.  It doesn't contain any usable properties. */
class PlannerRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "expand": return "%24expand";
            case "select": return "%24select";
            default: return originalName;
        }
    }
    ;
}
exports.PlannerRequestBuilderGetQueryParameters = PlannerRequestBuilderGetQueryParameters;
