import { PolicyRoot } from '../models/';
import { ActivityBasedTimeoutPoliciesRequestBuilder } from './activityBasedTimeoutPolicies/activityBasedTimeoutPoliciesRequestBuilder';
import { ActivityBasedTimeoutPolicyItemRequestBuilder } from './activityBasedTimeoutPolicies/item/activityBasedTimeoutPolicyItemRequestBuilder';
import { AdminConsentRequestPolicyRequestBuilder } from './adminConsentRequestPolicy/adminConsentRequestPolicyRequestBuilder';
import { AuthenticationFlowsPolicyRequestBuilder } from './authenticationFlowsPolicy/authenticationFlowsPolicyRequestBuilder';
import { AuthenticationMethodsPolicyRequestBuilder } from './authenticationMethodsPolicy/authenticationMethodsPolicyRequestBuilder';
import { AuthorizationPolicyRequestBuilder } from './authorizationPolicy/authorizationPolicyRequestBuilder';
import { ClaimsMappingPoliciesRequestBuilder } from './claimsMappingPolicies/claimsMappingPoliciesRequestBuilder';
import { ClaimsMappingPolicyItemRequestBuilder } from './claimsMappingPolicies/item/claimsMappingPolicyItemRequestBuilder';
import { ConditionalAccessPoliciesRequestBuilder } from './conditionalAccessPolicies/conditionalAccessPoliciesRequestBuilder';
import { ConditionalAccessPolicyItemRequestBuilder } from './conditionalAccessPolicies/item/conditionalAccessPolicyItemRequestBuilder';
import { FeatureRolloutPoliciesRequestBuilder } from './featureRolloutPolicies/featureRolloutPoliciesRequestBuilder';
import { FeatureRolloutPolicyItemRequestBuilder } from './featureRolloutPolicies/item/featureRolloutPolicyItemRequestBuilder';
import { HomeRealmDiscoveryPoliciesRequestBuilder } from './homeRealmDiscoveryPolicies/homeRealmDiscoveryPoliciesRequestBuilder';
import { HomeRealmDiscoveryPolicyItemRequestBuilder } from './homeRealmDiscoveryPolicies/item/homeRealmDiscoveryPolicyItemRequestBuilder';
import { IdentitySecurityDefaultsEnforcementPolicyRequestBuilder } from './identitySecurityDefaultsEnforcementPolicy/identitySecurityDefaultsEnforcementPolicyRequestBuilder';
import { PermissionGrantPolicyItemRequestBuilder } from './permissionGrantPolicies/item/permissionGrantPolicyItemRequestBuilder';
import { PermissionGrantPoliciesRequestBuilder } from './permissionGrantPolicies/permissionGrantPoliciesRequestBuilder';
import { PoliciesRequestBuilderGetRequestConfiguration } from './policiesRequestBuilderGetRequestConfiguration';
import { PoliciesRequestBuilderPatchRequestConfiguration } from './policiesRequestBuilderPatchRequestConfiguration';
import { UnifiedRoleManagementPolicyItemRequestBuilder } from './roleManagementPolicies/item/unifiedRoleManagementPolicyItemRequestBuilder';
import { RoleManagementPoliciesRequestBuilder } from './roleManagementPolicies/roleManagementPoliciesRequestBuilder';
import { UnifiedRoleManagementPolicyAssignmentItemRequestBuilder } from './roleManagementPolicyAssignments/item/unifiedRoleManagementPolicyAssignmentItemRequestBuilder';
import { RoleManagementPolicyAssignmentsRequestBuilder } from './roleManagementPolicyAssignments/roleManagementPolicyAssignmentsRequestBuilder';
import { TokenIssuancePolicyItemRequestBuilder } from './tokenIssuancePolicies/item/tokenIssuancePolicyItemRequestBuilder';
import { TokenIssuancePoliciesRequestBuilder } from './tokenIssuancePolicies/tokenIssuancePoliciesRequestBuilder';
import { TokenLifetimePolicyItemRequestBuilder } from './tokenLifetimePolicies/item/tokenLifetimePolicyItemRequestBuilder';
import { TokenLifetimePoliciesRequestBuilder } from './tokenLifetimePolicies/tokenLifetimePoliciesRequestBuilder';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the policyRoot singleton. */
export declare class PoliciesRequestBuilder {
    /** The activityBasedTimeoutPolicies property */
    get activityBasedTimeoutPolicies(): ActivityBasedTimeoutPoliciesRequestBuilder;
    /** The adminConsentRequestPolicy property */
    get adminConsentRequestPolicy(): AdminConsentRequestPolicyRequestBuilder;
    /** The authenticationFlowsPolicy property */
    get authenticationFlowsPolicy(): AuthenticationFlowsPolicyRequestBuilder;
    /** The authenticationMethodsPolicy property */
    get authenticationMethodsPolicy(): AuthenticationMethodsPolicyRequestBuilder;
    /** The authorizationPolicy property */
    get authorizationPolicy(): AuthorizationPolicyRequestBuilder;
    /** The claimsMappingPolicies property */
    get claimsMappingPolicies(): ClaimsMappingPoliciesRequestBuilder;
    /** The conditionalAccessPolicies property */
    get conditionalAccessPolicies(): ConditionalAccessPoliciesRequestBuilder;
    /** The featureRolloutPolicies property */
    get featureRolloutPolicies(): FeatureRolloutPoliciesRequestBuilder;
    /** The homeRealmDiscoveryPolicies property */
    get homeRealmDiscoveryPolicies(): HomeRealmDiscoveryPoliciesRequestBuilder;
    /** The identitySecurityDefaultsEnforcementPolicy property */
    get identitySecurityDefaultsEnforcementPolicy(): IdentitySecurityDefaultsEnforcementPolicyRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The permissionGrantPolicies property */
    get permissionGrantPolicies(): PermissionGrantPoliciesRequestBuilder;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** The roleManagementPolicies property */
    get roleManagementPolicies(): RoleManagementPoliciesRequestBuilder;
    /** The roleManagementPolicyAssignments property */
    get roleManagementPolicyAssignments(): RoleManagementPolicyAssignmentsRequestBuilder;
    /** The tokenIssuancePolicies property */
    get tokenIssuancePolicies(): TokenIssuancePoliciesRequestBuilder;
    /** The tokenLifetimePolicies property */
    get tokenLifetimePolicies(): TokenLifetimePoliciesRequestBuilder;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.policies.activityBasedTimeoutPolicies.item collection
     * @param id Unique identifier of the item
     * @returns a activityBasedTimeoutPolicyItemRequestBuilder
     */
    activityBasedTimeoutPoliciesById(id: string): ActivityBasedTimeoutPolicyItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.policies.claimsMappingPolicies.item collection
     * @param id Unique identifier of the item
     * @returns a claimsMappingPolicyItemRequestBuilder
     */
    claimsMappingPoliciesById(id: string): ClaimsMappingPolicyItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.policies.conditionalAccessPolicies.item collection
     * @param id Unique identifier of the item
     * @returns a conditionalAccessPolicyItemRequestBuilder
     */
    conditionalAccessPoliciesById(id: string): ConditionalAccessPolicyItemRequestBuilder;
    /**
     * Instantiates a new PoliciesRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Get policies
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: PoliciesRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update policies
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body: PolicyRoot | undefined, requestConfiguration?: PoliciesRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.policies.featureRolloutPolicies.item collection
     * @param id Unique identifier of the item
     * @returns a featureRolloutPolicyItemRequestBuilder
     */
    featureRolloutPoliciesById(id: string): FeatureRolloutPolicyItemRequestBuilder;
    /**
     * Get policies
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of PolicyRoot
     */
    get(requestConfiguration?: PoliciesRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<PolicyRoot | undefined>;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.policies.homeRealmDiscoveryPolicies.item collection
     * @param id Unique identifier of the item
     * @returns a homeRealmDiscoveryPolicyItemRequestBuilder
     */
    homeRealmDiscoveryPoliciesById(id: string): HomeRealmDiscoveryPolicyItemRequestBuilder;
    /**
     * Update policies
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body: PolicyRoot | undefined, requestConfiguration?: PoliciesRequestBuilderPatchRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.policies.permissionGrantPolicies.item collection
     * @param id Unique identifier of the item
     * @returns a permissionGrantPolicyItemRequestBuilder
     */
    permissionGrantPoliciesById(id: string): PermissionGrantPolicyItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.policies.roleManagementPolicies.item collection
     * @param id Unique identifier of the item
     * @returns a unifiedRoleManagementPolicyItemRequestBuilder
     */
    roleManagementPoliciesById(id: string): UnifiedRoleManagementPolicyItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.policies.roleManagementPolicyAssignments.item collection
     * @param id Unique identifier of the item
     * @returns a unifiedRoleManagementPolicyAssignmentItemRequestBuilder
     */
    roleManagementPolicyAssignmentsById(id: string): UnifiedRoleManagementPolicyAssignmentItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.policies.tokenIssuancePolicies.item collection
     * @param id Unique identifier of the item
     * @returns a tokenIssuancePolicyItemRequestBuilder
     */
    tokenIssuancePoliciesById(id: string): TokenIssuancePolicyItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.policies.tokenLifetimePolicies.item collection
     * @param id Unique identifier of the item
     * @returns a tokenLifetimePolicyItemRequestBuilder
     */
    tokenLifetimePoliciesById(id: string): TokenLifetimePolicyItemRequestBuilder;
}
