"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PoliciesRequestBuilder = void 0;
const createPolicyRootFromDiscriminatorValue_1 = require("../models/createPolicyRootFromDiscriminatorValue");
const createODataErrorFromDiscriminatorValue_1 = require("../models/oDataErrors/createODataErrorFromDiscriminatorValue");
const activityBasedTimeoutPoliciesRequestBuilder_1 = require("./activityBasedTimeoutPolicies/activityBasedTimeoutPoliciesRequestBuilder");
const activityBasedTimeoutPolicyItemRequestBuilder_1 = require("./activityBasedTimeoutPolicies/item/activityBasedTimeoutPolicyItemRequestBuilder");
const adminConsentRequestPolicyRequestBuilder_1 = require("./adminConsentRequestPolicy/adminConsentRequestPolicyRequestBuilder");
const authenticationFlowsPolicyRequestBuilder_1 = require("./authenticationFlowsPolicy/authenticationFlowsPolicyRequestBuilder");
const authenticationMethodsPolicyRequestBuilder_1 = require("./authenticationMethodsPolicy/authenticationMethodsPolicyRequestBuilder");
const authorizationPolicyRequestBuilder_1 = require("./authorizationPolicy/authorizationPolicyRequestBuilder");
const claimsMappingPoliciesRequestBuilder_1 = require("./claimsMappingPolicies/claimsMappingPoliciesRequestBuilder");
const claimsMappingPolicyItemRequestBuilder_1 = require("./claimsMappingPolicies/item/claimsMappingPolicyItemRequestBuilder");
const conditionalAccessPoliciesRequestBuilder_1 = require("./conditionalAccessPolicies/conditionalAccessPoliciesRequestBuilder");
const conditionalAccessPolicyItemRequestBuilder_1 = require("./conditionalAccessPolicies/item/conditionalAccessPolicyItemRequestBuilder");
const featureRolloutPoliciesRequestBuilder_1 = require("./featureRolloutPolicies/featureRolloutPoliciesRequestBuilder");
const featureRolloutPolicyItemRequestBuilder_1 = require("./featureRolloutPolicies/item/featureRolloutPolicyItemRequestBuilder");
const homeRealmDiscoveryPoliciesRequestBuilder_1 = require("./homeRealmDiscoveryPolicies/homeRealmDiscoveryPoliciesRequestBuilder");
const homeRealmDiscoveryPolicyItemRequestBuilder_1 = require("./homeRealmDiscoveryPolicies/item/homeRealmDiscoveryPolicyItemRequestBuilder");
const identitySecurityDefaultsEnforcementPolicyRequestBuilder_1 = require("./identitySecurityDefaultsEnforcementPolicy/identitySecurityDefaultsEnforcementPolicyRequestBuilder");
const permissionGrantPolicyItemRequestBuilder_1 = require("./permissionGrantPolicies/item/permissionGrantPolicyItemRequestBuilder");
const permissionGrantPoliciesRequestBuilder_1 = require("./permissionGrantPolicies/permissionGrantPoliciesRequestBuilder");
const unifiedRoleManagementPolicyItemRequestBuilder_1 = require("./roleManagementPolicies/item/unifiedRoleManagementPolicyItemRequestBuilder");
const roleManagementPoliciesRequestBuilder_1 = require("./roleManagementPolicies/roleManagementPoliciesRequestBuilder");
const unifiedRoleManagementPolicyAssignmentItemRequestBuilder_1 = require("./roleManagementPolicyAssignments/item/unifiedRoleManagementPolicyAssignmentItemRequestBuilder");
const roleManagementPolicyAssignmentsRequestBuilder_1 = require("./roleManagementPolicyAssignments/roleManagementPolicyAssignmentsRequestBuilder");
const tokenIssuancePolicyItemRequestBuilder_1 = require("./tokenIssuancePolicies/item/tokenIssuancePolicyItemRequestBuilder");
const tokenIssuancePoliciesRequestBuilder_1 = require("./tokenIssuancePolicies/tokenIssuancePoliciesRequestBuilder");
const tokenLifetimePolicyItemRequestBuilder_1 = require("./tokenLifetimePolicies/item/tokenLifetimePolicyItemRequestBuilder");
const tokenLifetimePoliciesRequestBuilder_1 = require("./tokenLifetimePolicies/tokenLifetimePoliciesRequestBuilder");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
/** Provides operations to manage the policyRoot singleton. */
class PoliciesRequestBuilder {
    /**
     * Instantiates a new PoliciesRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        if (!pathParameters)
            throw new Error("pathParameters cannot be undefined");
        if (!requestAdapter)
            throw new Error("requestAdapter cannot be undefined");
        this.urlTemplate = "{+baseurl}/policies{?%24select,%24expand}";
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(pathParameters);
        this.pathParameters = urlTplParams;
        this.requestAdapter = requestAdapter;
    }
    /** The activityBasedTimeoutPolicies property */
    get activityBasedTimeoutPolicies() {
        return new activityBasedTimeoutPoliciesRequestBuilder_1.ActivityBasedTimeoutPoliciesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The adminConsentRequestPolicy property */
    get adminConsentRequestPolicy() {
        return new adminConsentRequestPolicyRequestBuilder_1.AdminConsentRequestPolicyRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The authenticationFlowsPolicy property */
    get authenticationFlowsPolicy() {
        return new authenticationFlowsPolicyRequestBuilder_1.AuthenticationFlowsPolicyRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The authenticationMethodsPolicy property */
    get authenticationMethodsPolicy() {
        return new authenticationMethodsPolicyRequestBuilder_1.AuthenticationMethodsPolicyRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The authorizationPolicy property */
    get authorizationPolicy() {
        return new authorizationPolicyRequestBuilder_1.AuthorizationPolicyRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The claimsMappingPolicies property */
    get claimsMappingPolicies() {
        return new claimsMappingPoliciesRequestBuilder_1.ClaimsMappingPoliciesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The conditionalAccessPolicies property */
    get conditionalAccessPolicies() {
        return new conditionalAccessPoliciesRequestBuilder_1.ConditionalAccessPoliciesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The featureRolloutPolicies property */
    get featureRolloutPolicies() {
        return new featureRolloutPoliciesRequestBuilder_1.FeatureRolloutPoliciesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The homeRealmDiscoveryPolicies property */
    get homeRealmDiscoveryPolicies() {
        return new homeRealmDiscoveryPoliciesRequestBuilder_1.HomeRealmDiscoveryPoliciesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The identitySecurityDefaultsEnforcementPolicy property */
    get identitySecurityDefaultsEnforcementPolicy() {
        return new identitySecurityDefaultsEnforcementPolicyRequestBuilder_1.IdentitySecurityDefaultsEnforcementPolicyRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The permissionGrantPolicies property */
    get permissionGrantPolicies() {
        return new permissionGrantPoliciesRequestBuilder_1.PermissionGrantPoliciesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The roleManagementPolicies property */
    get roleManagementPolicies() {
        return new roleManagementPoliciesRequestBuilder_1.RoleManagementPoliciesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The roleManagementPolicyAssignments property */
    get roleManagementPolicyAssignments() {
        return new roleManagementPolicyAssignmentsRequestBuilder_1.RoleManagementPolicyAssignmentsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The tokenIssuancePolicies property */
    get tokenIssuancePolicies() {
        return new tokenIssuancePoliciesRequestBuilder_1.TokenIssuancePoliciesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The tokenLifetimePolicies property */
    get tokenLifetimePolicies() {
        return new tokenLifetimePoliciesRequestBuilder_1.TokenLifetimePoliciesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.policies.activityBasedTimeoutPolicies.item collection
     * @param id Unique identifier of the item
     * @returns a activityBasedTimeoutPolicyItemRequestBuilder
     */
    activityBasedTimeoutPoliciesById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["activityBasedTimeoutPolicy%2Did"] = id;
        return new activityBasedTimeoutPolicyItemRequestBuilder_1.ActivityBasedTimeoutPolicyItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.policies.claimsMappingPolicies.item collection
     * @param id Unique identifier of the item
     * @returns a claimsMappingPolicyItemRequestBuilder
     */
    claimsMappingPoliciesById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["claimsMappingPolicy%2Did"] = id;
        return new claimsMappingPolicyItemRequestBuilder_1.ClaimsMappingPolicyItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.policies.conditionalAccessPolicies.item collection
     * @param id Unique identifier of the item
     * @returns a conditionalAccessPolicyItemRequestBuilder
     */
    conditionalAccessPoliciesById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["conditionalAccessPolicy%2Did"] = id;
        return new conditionalAccessPolicyItemRequestBuilder_1.ConditionalAccessPolicyItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    ;
    /**
     * Get policies
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation();
        requestInfo.urlTemplate = this.urlTemplate;
        requestInfo.pathParameters = this.pathParameters;
        requestInfo.httpMethod = kiota_abstractions_1.HttpMethod.GET;
        if (requestConfiguration) {
            requestInfo.addRequestHeaders(requestConfiguration.headers);
            requestInfo.setQueryStringParametersFromRawObject(requestConfiguration.queryParameters);
            requestInfo.addRequestOptions(requestConfiguration.options);
        }
        return requestInfo;
    }
    ;
    /**
     * Update policies
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation();
        requestInfo.urlTemplate = this.urlTemplate;
        requestInfo.pathParameters = this.pathParameters;
        requestInfo.httpMethod = kiota_abstractions_1.HttpMethod.PATCH;
        if (requestConfiguration) {
            requestInfo.addRequestHeaders(requestConfiguration.headers);
            requestInfo.addRequestOptions(requestConfiguration.options);
        }
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body);
        return requestInfo;
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.policies.featureRolloutPolicies.item collection
     * @param id Unique identifier of the item
     * @returns a featureRolloutPolicyItemRequestBuilder
     */
    featureRolloutPoliciesById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["featureRolloutPolicy%2Did"] = id;
        return new featureRolloutPolicyItemRequestBuilder_1.FeatureRolloutPolicyItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Get policies
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of PolicyRoot
     */
    get(requestConfiguration, responseHandler) {
        var _a, _b;
        const requestInfo = this.createGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": createODataErrorFromDiscriminatorValue_1.createODataErrorFromDiscriminatorValue,
            "5XX": createODataErrorFromDiscriminatorValue_1.createODataErrorFromDiscriminatorValue,
        };
        return (_b = (_a = this.requestAdapter) === null || _a === void 0 ? void 0 : _a.sendAsync(requestInfo, createPolicyRootFromDiscriminatorValue_1.createPolicyRootFromDiscriminatorValue, responseHandler, errorMapping)) !== null && _b !== void 0 ? _b : Promise.reject(new Error('http core is null'));
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.policies.homeRealmDiscoveryPolicies.item collection
     * @param id Unique identifier of the item
     * @returns a homeRealmDiscoveryPolicyItemRequestBuilder
     */
    homeRealmDiscoveryPoliciesById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["homeRealmDiscoveryPolicy%2Did"] = id;
        return new homeRealmDiscoveryPolicyItemRequestBuilder_1.HomeRealmDiscoveryPolicyItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Update policies
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body, requestConfiguration, responseHandler) {
        var _a, _b;
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = this.createPatchRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": createODataErrorFromDiscriminatorValue_1.createODataErrorFromDiscriminatorValue,
            "5XX": createODataErrorFromDiscriminatorValue_1.createODataErrorFromDiscriminatorValue,
        };
        return (_b = (_a = this.requestAdapter) === null || _a === void 0 ? void 0 : _a.sendNoResponseContentAsync(requestInfo, responseHandler, errorMapping)) !== null && _b !== void 0 ? _b : Promise.reject(new Error('http core is null'));
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.policies.permissionGrantPolicies.item collection
     * @param id Unique identifier of the item
     * @returns a permissionGrantPolicyItemRequestBuilder
     */
    permissionGrantPoliciesById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["permissionGrantPolicy%2Did"] = id;
        return new permissionGrantPolicyItemRequestBuilder_1.PermissionGrantPolicyItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.policies.roleManagementPolicies.item collection
     * @param id Unique identifier of the item
     * @returns a unifiedRoleManagementPolicyItemRequestBuilder
     */
    roleManagementPoliciesById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["unifiedRoleManagementPolicy%2Did"] = id;
        return new unifiedRoleManagementPolicyItemRequestBuilder_1.UnifiedRoleManagementPolicyItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.policies.roleManagementPolicyAssignments.item collection
     * @param id Unique identifier of the item
     * @returns a unifiedRoleManagementPolicyAssignmentItemRequestBuilder
     */
    roleManagementPolicyAssignmentsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["unifiedRoleManagementPolicyAssignment%2Did"] = id;
        return new unifiedRoleManagementPolicyAssignmentItemRequestBuilder_1.UnifiedRoleManagementPolicyAssignmentItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.policies.tokenIssuancePolicies.item collection
     * @param id Unique identifier of the item
     * @returns a tokenIssuancePolicyItemRequestBuilder
     */
    tokenIssuancePoliciesById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["tokenIssuancePolicy%2Did"] = id;
        return new tokenIssuancePolicyItemRequestBuilder_1.TokenIssuancePolicyItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.policies.tokenLifetimePolicies.item collection
     * @param id Unique identifier of the item
     * @returns a tokenLifetimePolicyItemRequestBuilder
     */
    tokenLifetimePoliciesById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["tokenLifetimePolicy%2Did"] = id;
        return new tokenLifetimePolicyItemRequestBuilder_1.TokenLifetimePolicyItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
}
exports.PoliciesRequestBuilder = PoliciesRequestBuilder;
