import { UnifiedRoleManagementPolicy } from '../../../models/';
import { EffectiveRulesRequestBuilder } from './effectiveRules/effectiveRulesRequestBuilder';
import { UnifiedRoleManagementPolicyRuleItemRequestBuilder as ia40e5b4dfc4f932f58859b037d6bd550dc1b64cf92d909c5c2bd8f9bb3b976ec } from './effectiveRules/item/unifiedRoleManagementPolicyRuleItemRequestBuilder';
import { UnifiedRoleManagementPolicyRuleItemRequestBuilder as ib7537d91007c74df50220e8af9edec8645866417b1cf7b5dd57c4d955f8b9521 } from './rules/item/unifiedRoleManagementPolicyRuleItemRequestBuilder';
import { RulesRequestBuilder } from './rules/rulesRequestBuilder';
import { UnifiedRoleManagementPolicyItemRequestBuilderDeleteRequestConfiguration } from './unifiedRoleManagementPolicyItemRequestBuilderDeleteRequestConfiguration';
import { UnifiedRoleManagementPolicyItemRequestBuilderGetRequestConfiguration } from './unifiedRoleManagementPolicyItemRequestBuilderGetRequestConfiguration';
import { UnifiedRoleManagementPolicyItemRequestBuilderPatchRequestConfiguration } from './unifiedRoleManagementPolicyItemRequestBuilderPatchRequestConfiguration';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the roleManagementPolicies property of the microsoft.graph.policyRoot entity. */
export declare class UnifiedRoleManagementPolicyItemRequestBuilder {
    /** The effectiveRules property */
    get effectiveRules(): EffectiveRulesRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** The rules property */
    get rules(): RulesRequestBuilder;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Instantiates a new UnifiedRoleManagementPolicyItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property roleManagementPolicies for policies
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createDeleteRequestInformation(requestConfiguration?: UnifiedRoleManagementPolicyItemRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * Represents the role management policies.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: UnifiedRoleManagementPolicyItemRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property roleManagementPolicies in policies
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body: UnifiedRoleManagementPolicy | undefined, requestConfiguration?: UnifiedRoleManagementPolicyItemRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Delete navigation property roleManagementPolicies for policies
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    delete(requestConfiguration?: UnifiedRoleManagementPolicyItemRequestBuilderDeleteRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.policies.roleManagementPolicies.item.effectiveRules.item collection
     * @param id Unique identifier of the item
     * @returns a unifiedRoleManagementPolicyRuleItemRequestBuilder
     */
    effectiveRulesById(id: string): ia40e5b4dfc4f932f58859b037d6bd550dc1b64cf92d909c5c2bd8f9bb3b976ec;
    /**
     * Represents the role management policies.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of UnifiedRoleManagementPolicy
     */
    get(requestConfiguration?: UnifiedRoleManagementPolicyItemRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<UnifiedRoleManagementPolicy | undefined>;
    /**
     * Update the navigation property roleManagementPolicies in policies
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body: UnifiedRoleManagementPolicy | undefined, requestConfiguration?: UnifiedRoleManagementPolicyItemRequestBuilderPatchRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.policies.roleManagementPolicies.item.rules.item collection
     * @param id Unique identifier of the item
     * @returns a unifiedRoleManagementPolicyRuleItemRequestBuilder
     */
    rulesById(id: string): ib7537d91007c74df50220e8af9edec8645866417b1cf7b5dd57c4d955f8b9521;
}
