import { PrintCertificateSigningRequest } from '../../../models/';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to call the create method. */
export declare class CreatePostRequestBody implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The certificateSigningRequest property */
    private _certificateSigningRequest?;
    /** The connectorId property */
    private _connectorId?;
    /** The displayName property */
    private _displayName?;
    /** The hasPhysicalDevice property */
    private _hasPhysicalDevice?;
    /** The manufacturer property */
    private _manufacturer?;
    /** The model property */
    private _model?;
    /** The physicalDeviceId property */
    private _physicalDeviceId?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the certificateSigningRequest property value. The certificateSigningRequest property
     * @returns a printCertificateSigningRequest
     */
    get certificateSigningRequest(): PrintCertificateSigningRequest | undefined;
    /**
     * Sets the certificateSigningRequest property value. The certificateSigningRequest property
     * @param value Value to set for the certificateSigningRequest property.
     */
    set certificateSigningRequest(value: PrintCertificateSigningRequest | undefined);
    /**
     * Gets the connectorId property value. The connectorId property
     * @returns a string
     */
    get connectorId(): string | undefined;
    /**
     * Sets the connectorId property value. The connectorId property
     * @param value Value to set for the connectorId property.
     */
    set connectorId(value: string | undefined);
    /**
     * Instantiates a new createPostRequestBody and sets the default values.
     */
    constructor();
    /**
     * Gets the displayName property value. The displayName property
     * @returns a string
     */
    get displayName(): string | undefined;
    /**
     * Sets the displayName property value. The displayName property
     * @param value Value to set for the displayName property.
     */
    set displayName(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the hasPhysicalDevice property value. The hasPhysicalDevice property
     * @returns a boolean
     */
    get hasPhysicalDevice(): boolean | undefined;
    /**
     * Sets the hasPhysicalDevice property value. The hasPhysicalDevice property
     * @param value Value to set for the hasPhysicalDevice property.
     */
    set hasPhysicalDevice(value: boolean | undefined);
    /**
     * Gets the manufacturer property value. The manufacturer property
     * @returns a string
     */
    get manufacturer(): string | undefined;
    /**
     * Sets the manufacturer property value. The manufacturer property
     * @param value Value to set for the manufacturer property.
     */
    set manufacturer(value: string | undefined);
    /**
     * Gets the model property value. The model property
     * @returns a string
     */
    get model(): string | undefined;
    /**
     * Sets the model property value. The model property
     * @param value Value to set for the model property.
     */
    set model(value: string | undefined);
    /**
     * Gets the physicalDeviceId property value. The physicalDeviceId property
     * @returns a string
     */
    get physicalDeviceId(): string | undefined;
    /**
     * Sets the physicalDeviceId property value. The physicalDeviceId property
     * @param value Value to set for the physicalDeviceId property.
     */
    set physicalDeviceId(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
