"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreatePostRequestBody = void 0;
const createPrintCertificateSigningRequestFromDiscriminatorValue_1 = require("../../../models/createPrintCertificateSigningRequestFromDiscriminatorValue");
/** Provides operations to call the create method. */
class CreatePostRequestBody {
    /**
     * Instantiates a new createPostRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the certificateSigningRequest property value. The certificateSigningRequest property
     * @returns a printCertificateSigningRequest
     */
    get certificateSigningRequest() {
        return this._certificateSigningRequest;
    }
    ;
    /**
     * Sets the certificateSigningRequest property value. The certificateSigningRequest property
     * @param value Value to set for the certificateSigningRequest property.
     */
    set certificateSigningRequest(value) {
        this._certificateSigningRequest = value;
    }
    ;
    /**
     * Gets the connectorId property value. The connectorId property
     * @returns a string
     */
    get connectorId() {
        return this._connectorId;
    }
    ;
    /**
     * Sets the connectorId property value. The connectorId property
     * @param value Value to set for the connectorId property.
     */
    set connectorId(value) {
        this._connectorId = value;
    }
    ;
    ;
    /**
     * Gets the displayName property value. The displayName property
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. The displayName property
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "certificateSigningRequest": n => { this.certificateSigningRequest = n.getObjectValue(createPrintCertificateSigningRequestFromDiscriminatorValue_1.createPrintCertificateSigningRequestFromDiscriminatorValue); },
            "connectorId": n => { this.connectorId = n.getStringValue(); },
            "displayName": n => { this.displayName = n.getStringValue(); },
            "hasPhysicalDevice": n => { this.hasPhysicalDevice = n.getBooleanValue(); },
            "manufacturer": n => { this.manufacturer = n.getStringValue(); },
            "model": n => { this.model = n.getStringValue(); },
            "physicalDeviceId": n => { this.physicalDeviceId = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the hasPhysicalDevice property value. The hasPhysicalDevice property
     * @returns a boolean
     */
    get hasPhysicalDevice() {
        return this._hasPhysicalDevice;
    }
    ;
    /**
     * Sets the hasPhysicalDevice property value. The hasPhysicalDevice property
     * @param value Value to set for the hasPhysicalDevice property.
     */
    set hasPhysicalDevice(value) {
        this._hasPhysicalDevice = value;
    }
    ;
    /**
     * Gets the manufacturer property value. The manufacturer property
     * @returns a string
     */
    get manufacturer() {
        return this._manufacturer;
    }
    ;
    /**
     * Sets the manufacturer property value. The manufacturer property
     * @param value Value to set for the manufacturer property.
     */
    set manufacturer(value) {
        this._manufacturer = value;
    }
    ;
    /**
     * Gets the model property value. The model property
     * @returns a string
     */
    get model() {
        return this._model;
    }
    ;
    /**
     * Sets the model property value. The model property
     * @param value Value to set for the model property.
     */
    set model(value) {
        this._model = value;
    }
    ;
    /**
     * Gets the physicalDeviceId property value. The physicalDeviceId property
     * @returns a string
     */
    get physicalDeviceId() {
        return this._physicalDeviceId;
    }
    ;
    /**
     * Sets the physicalDeviceId property value. The physicalDeviceId property
     * @param value Value to set for the physicalDeviceId property.
     */
    set physicalDeviceId(value) {
        this._physicalDeviceId = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeObjectValue("certificateSigningRequest", this.certificateSigningRequest);
        writer.writeStringValue("connectorId", this.connectorId);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeBooleanValue("hasPhysicalDevice", this.hasPhysicalDevice);
        writer.writeStringValue("manufacturer", this.manufacturer);
        writer.writeStringValue("model", this.model);
        writer.writeStringValue("physicalDeviceId", this.physicalDeviceId);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.CreatePostRequestBody = CreatePostRequestBody;
