"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TaskDefinitionsRequestBuilderGetQueryParameters = void 0;
/** List of abstract definition for a task that can be triggered when various events occur within Universal Print. */
class TaskDefinitionsRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "count": return "%24count";
            case "expand": return "%24expand";
            case "filter": return "%24filter";
            case "orderby": return "%24orderby";
            case "search": return "%24search";
            case "select": return "%24select";
            case "skip": return "%24skip";
            case "top": return "%24top";
            default: return originalName;
        }
    }
    ;
}
exports.TaskDefinitionsRequestBuilderGetQueryParameters = TaskDefinitionsRequestBuilderGetQueryParameters;
