import { Report } from '../../models/';
import { GetOffice365GroupsActivityStorageWithPeriodRequestBuilderGetRequestConfiguration } from './getOffice365GroupsActivityStorageWithPeriodRequestBuilderGetRequestConfiguration';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to call the getOffice365GroupsActivityStorage method. */
export declare class GetOffice365GroupsActivityStorageWithPeriodRequestBuilder {
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Instantiates a new GetOffice365GroupsActivityStorageWithPeriodRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param period Usage: period='{period}'
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter, period?: string | undefined);
    /**
     * Invoke function getOffice365GroupsActivityStorage
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: GetOffice365GroupsActivityStorageWithPeriodRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Invoke function getOffice365GroupsActivityStorage
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of Report
     */
    get(requestConfiguration?: GetOffice365GroupsActivityStorageWithPeriodRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<Report | undefined>;
}
