"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetSkypeForBusinessOrganizerActivityMinuteCountsWithPeriodRequestBuilder = void 0;
const createReportFromDiscriminatorValue_1 = require("../../models/createReportFromDiscriminatorValue");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
/** Provides operations to call the getSkypeForBusinessOrganizerActivityMinuteCounts method. */
class GetSkypeForBusinessOrganizerActivityMinuteCountsWithPeriodRequestBuilder {
    /**
     * Instantiates a new GetSkypeForBusinessOrganizerActivityMinuteCountsWithPeriodRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param period Usage: period='{period}'
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter, period) {
        if (!pathParameters)
            throw new Error("pathParameters cannot be undefined");
        if (!requestAdapter)
            throw new Error("requestAdapter cannot be undefined");
        this.urlTemplate = "{+baseurl}/reports/microsoft.graph.getSkypeForBusinessOrganizerActivityMinuteCounts(period='{period}')";
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(pathParameters);
        urlTplParams[""] = period;
        this.pathParameters = urlTplParams;
        this.requestAdapter = requestAdapter;
    }
    ;
    /**
     * Invoke function getSkypeForBusinessOrganizerActivityMinuteCounts
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation();
        requestInfo.urlTemplate = this.urlTemplate;
        requestInfo.pathParameters = this.pathParameters;
        requestInfo.httpMethod = kiota_abstractions_1.HttpMethod.GET;
        if (requestConfiguration) {
            requestInfo.addRequestHeaders(requestConfiguration.headers);
            requestInfo.addRequestOptions(requestConfiguration.options);
        }
        return requestInfo;
    }
    ;
    /**
     * Invoke function getSkypeForBusinessOrganizerActivityMinuteCounts
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of Report
     */
    get(requestConfiguration, responseHandler) {
        var _a, _b;
        const requestInfo = this.createGetRequestInformation(requestConfiguration);
        return (_b = (_a = this.requestAdapter) === null || _a === void 0 ? void 0 : _a.sendAsync(requestInfo, createReportFromDiscriminatorValue_1.createReportFromDiscriminatorValue, responseHandler, undefined)) !== null && _b !== void 0 ? _b : Promise.reject(new Error('http core is null'));
    }
    ;
}
exports.GetSkypeForBusinessOrganizerActivityMinuteCountsWithPeriodRequestBuilder = GetSkypeForBusinessOrganizerActivityMinuteCountsWithPeriodRequestBuilder;
