import { Report } from '../../models/';
import { GetYammerActivityUserDetailWithDateRequestBuilderGetRequestConfiguration } from './getYammerActivityUserDetailWithDateRequestBuilderGetRequestConfiguration';
import { DateOnly, RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to call the getYammerActivityUserDetail method. */
export declare class GetYammerActivityUserDetailWithDateRequestBuilder {
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Instantiates a new GetYammerActivityUserDetailWithDateRequestBuilder and sets the default values.
     * @param date Usage: date={date}
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter, date?: DateOnly | undefined);
    /**
     * Invoke function getYammerActivityUserDetail
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: GetYammerActivityUserDetailWithDateRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Invoke function getYammerActivityUserDetail
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of Report
     */
    get(requestConfiguration?: GetYammerActivityUserDetailWithDateRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<Report | undefined>;
}
