import { Report } from '../../models/';
import { ManagedDeviceEnrollmentTopFailuresRequestBuilderGetRequestConfiguration } from './managedDeviceEnrollmentTopFailuresRequestBuilderGetRequestConfiguration';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to call the managedDeviceEnrollmentTopFailures method. */
export declare class ManagedDeviceEnrollmentTopFailuresRequestBuilder {
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Instantiates a new ManagedDeviceEnrollmentTopFailuresRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke function managedDeviceEnrollmentTopFailures
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: ManagedDeviceEnrollmentTopFailuresRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Invoke function managedDeviceEnrollmentTopFailures
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of Report
     */
    get(requestConfiguration?: ManagedDeviceEnrollmentTopFailuresRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<Report | undefined>;
}
