import { PrintUsageByPrinter, PrintUsageByPrinterCollectionResponse } from '../../models/';
import { CountRequestBuilder } from './count/countRequestBuilder';
import { MonthlyPrintUsageByPrinterRequestBuilderGetRequestConfiguration } from './monthlyPrintUsageByPrinterRequestBuilderGetRequestConfiguration';
import { MonthlyPrintUsageByPrinterRequestBuilderPostRequestConfiguration } from './monthlyPrintUsageByPrinterRequestBuilderPostRequestConfiguration';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the monthlyPrintUsageByPrinter property of the microsoft.graph.reportRoot entity. */
export declare class MonthlyPrintUsageByPrinterRequestBuilder {
    /** The count property */
    get count(): CountRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Instantiates a new MonthlyPrintUsageByPrinterRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Get monthlyPrintUsageByPrinter from reports
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: MonthlyPrintUsageByPrinterRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Create new navigation property to monthlyPrintUsageByPrinter for reports
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPostRequestInformation(body: PrintUsageByPrinter | undefined, requestConfiguration?: MonthlyPrintUsageByPrinterRequestBuilderPostRequestConfiguration | undefined): RequestInformation;
    /**
     * Get monthlyPrintUsageByPrinter from reports
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of PrintUsageByPrinterCollectionResponse
     */
    get(requestConfiguration?: MonthlyPrintUsageByPrinterRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<PrintUsageByPrinterCollectionResponse | undefined>;
    /**
     * Create new navigation property to monthlyPrintUsageByPrinter for reports
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of PrintUsageByPrinter
     */
    post(body: PrintUsageByPrinter | undefined, requestConfiguration?: MonthlyPrintUsageByPrinterRequestBuilderPostRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<PrintUsageByPrinter | undefined>;
}
