import { PrintUsageByUser, PrintUsageByUserCollectionResponse } from '../../models/';
import { CountRequestBuilder } from './count/countRequestBuilder';
import { MonthlyPrintUsageByUserRequestBuilderGetRequestConfiguration } from './monthlyPrintUsageByUserRequestBuilderGetRequestConfiguration';
import { MonthlyPrintUsageByUserRequestBuilderPostRequestConfiguration } from './monthlyPrintUsageByUserRequestBuilderPostRequestConfiguration';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the monthlyPrintUsageByUser property of the microsoft.graph.reportRoot entity. */
export declare class MonthlyPrintUsageByUserRequestBuilder {
    /** The count property */
    get count(): CountRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Instantiates a new MonthlyPrintUsageByUserRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Get monthlyPrintUsageByUser from reports
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: MonthlyPrintUsageByUserRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Create new navigation property to monthlyPrintUsageByUser for reports
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPostRequestInformation(body: PrintUsageByUser | undefined, requestConfiguration?: MonthlyPrintUsageByUserRequestBuilderPostRequestConfiguration | undefined): RequestInformation;
    /**
     * Get monthlyPrintUsageByUser from reports
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of PrintUsageByUserCollectionResponse
     */
    get(requestConfiguration?: MonthlyPrintUsageByUserRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<PrintUsageByUserCollectionResponse | undefined>;
    /**
     * Create new navigation property to monthlyPrintUsageByUser for reports
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of PrintUsageByUser
     */
    post(body: PrintUsageByUser | undefined, requestConfiguration?: MonthlyPrintUsageByUserRequestBuilderPostRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<PrintUsageByUser | undefined>;
}
