"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PrincipalRequestBuilderGetQueryParameters = void 0;
/** Property referencing the principal that is getting a role assignment through the request. Provided so that callers can get the principal using $expand at the same time as getting the role assignment. Read-only. */
class PrincipalRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "expand": return "%24expand";
            case "select": return "%24select";
            default: return originalName;
        }
    }
    ;
}
exports.PrincipalRequestBuilderGetQueryParameters = PrincipalRequestBuilderGetQueryParameters;
