"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnifiedRoleDefinitionItemRequestBuilderGetQueryParameters = void 0;
/** Read-only collection of role definitions that the given role definition inherits from. Only Azure AD built-in roles support this attribute. */
class UnifiedRoleDefinitionItemRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "expand": return "%24expand";
            case "select": return "%24select";
            default: return originalName;
        }
    }
    ;
}
exports.UnifiedRoleDefinitionItemRequestBuilderGetQueryParameters = UnifiedRoleDefinitionItemRequestBuilderGetQueryParameters;
