import { RbacApplication } from '../../models/';
import { EntitlementManagementRequestBuilderDeleteRequestConfiguration } from './entitlementManagementRequestBuilderDeleteRequestConfiguration';
import { EntitlementManagementRequestBuilderGetRequestConfiguration } from './entitlementManagementRequestBuilderGetRequestConfiguration';
import { EntitlementManagementRequestBuilderPatchRequestConfiguration } from './entitlementManagementRequestBuilderPatchRequestConfiguration';
import { UnifiedRoleAssignmentItemRequestBuilder } from './roleAssignments/item/unifiedRoleAssignmentItemRequestBuilder';
import { RoleAssignmentsRequestBuilder } from './roleAssignments/roleAssignmentsRequestBuilder';
import { UnifiedRoleAssignmentScheduleInstanceItemRequestBuilder } from './roleAssignmentScheduleInstances/item/unifiedRoleAssignmentScheduleInstanceItemRequestBuilder';
import { RoleAssignmentScheduleInstancesRequestBuilder } from './roleAssignmentScheduleInstances/roleAssignmentScheduleInstancesRequestBuilder';
import { UnifiedRoleAssignmentScheduleRequestItemRequestBuilder } from './roleAssignmentScheduleRequests/item/unifiedRoleAssignmentScheduleRequestItemRequestBuilder';
import { RoleAssignmentScheduleRequestsRequestBuilder } from './roleAssignmentScheduleRequests/roleAssignmentScheduleRequestsRequestBuilder';
import { UnifiedRoleAssignmentScheduleItemRequestBuilder } from './roleAssignmentSchedules/item/unifiedRoleAssignmentScheduleItemRequestBuilder';
import { RoleAssignmentSchedulesRequestBuilder } from './roleAssignmentSchedules/roleAssignmentSchedulesRequestBuilder';
import { UnifiedRoleDefinitionItemRequestBuilder } from './roleDefinitions/item/unifiedRoleDefinitionItemRequestBuilder';
import { RoleDefinitionsRequestBuilder } from './roleDefinitions/roleDefinitionsRequestBuilder';
import { UnifiedRoleEligibilityScheduleInstanceItemRequestBuilder } from './roleEligibilityScheduleInstances/item/unifiedRoleEligibilityScheduleInstanceItemRequestBuilder';
import { RoleEligibilityScheduleInstancesRequestBuilder } from './roleEligibilityScheduleInstances/roleEligibilityScheduleInstancesRequestBuilder';
import { UnifiedRoleEligibilityScheduleRequestItemRequestBuilder } from './roleEligibilityScheduleRequests/item/unifiedRoleEligibilityScheduleRequestItemRequestBuilder';
import { RoleEligibilityScheduleRequestsRequestBuilder } from './roleEligibilityScheduleRequests/roleEligibilityScheduleRequestsRequestBuilder';
import { UnifiedRoleEligibilityScheduleItemRequestBuilder } from './roleEligibilitySchedules/item/unifiedRoleEligibilityScheduleItemRequestBuilder';
import { RoleEligibilitySchedulesRequestBuilder } from './roleEligibilitySchedules/roleEligibilitySchedulesRequestBuilder';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the entitlementManagement property of the microsoft.graph.roleManagement entity. */
export declare class EntitlementManagementRequestBuilder {
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** The roleAssignments property */
    get roleAssignments(): RoleAssignmentsRequestBuilder;
    /** The roleAssignmentScheduleInstances property */
    get roleAssignmentScheduleInstances(): RoleAssignmentScheduleInstancesRequestBuilder;
    /** The roleAssignmentScheduleRequests property */
    get roleAssignmentScheduleRequests(): RoleAssignmentScheduleRequestsRequestBuilder;
    /** The roleAssignmentSchedules property */
    get roleAssignmentSchedules(): RoleAssignmentSchedulesRequestBuilder;
    /** The roleDefinitions property */
    get roleDefinitions(): RoleDefinitionsRequestBuilder;
    /** The roleEligibilityScheduleInstances property */
    get roleEligibilityScheduleInstances(): RoleEligibilityScheduleInstancesRequestBuilder;
    /** The roleEligibilityScheduleRequests property */
    get roleEligibilityScheduleRequests(): RoleEligibilityScheduleRequestsRequestBuilder;
    /** The roleEligibilitySchedules property */
    get roleEligibilitySchedules(): RoleEligibilitySchedulesRequestBuilder;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Instantiates a new EntitlementManagementRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property entitlementManagement for roleManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createDeleteRequestInformation(requestConfiguration?: EntitlementManagementRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * Container for roles and assignments for entitlement management resources.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: EntitlementManagementRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property entitlementManagement in roleManagement
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body: RbacApplication | undefined, requestConfiguration?: EntitlementManagementRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Delete navigation property entitlementManagement for roleManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    delete(requestConfiguration?: EntitlementManagementRequestBuilderDeleteRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Container for roles and assignments for entitlement management resources.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of RbacApplication
     */
    get(requestConfiguration?: EntitlementManagementRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<RbacApplication | undefined>;
    /**
     * Update the navigation property entitlementManagement in roleManagement
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body: RbacApplication | undefined, requestConfiguration?: EntitlementManagementRequestBuilderPatchRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.roleManagement.entitlementManagement.roleAssignments.item collection
     * @param id Unique identifier of the item
     * @returns a unifiedRoleAssignmentItemRequestBuilder
     */
    roleAssignmentsById(id: string): UnifiedRoleAssignmentItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.roleManagement.entitlementManagement.roleAssignmentScheduleInstances.item collection
     * @param id Unique identifier of the item
     * @returns a unifiedRoleAssignmentScheduleInstanceItemRequestBuilder
     */
    roleAssignmentScheduleInstancesById(id: string): UnifiedRoleAssignmentScheduleInstanceItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.roleManagement.entitlementManagement.roleAssignmentScheduleRequests.item collection
     * @param id Unique identifier of the item
     * @returns a unifiedRoleAssignmentScheduleRequestItemRequestBuilder
     */
    roleAssignmentScheduleRequestsById(id: string): UnifiedRoleAssignmentScheduleRequestItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.roleManagement.entitlementManagement.roleAssignmentSchedules.item collection
     * @param id Unique identifier of the item
     * @returns a unifiedRoleAssignmentScheduleItemRequestBuilder
     */
    roleAssignmentSchedulesById(id: string): UnifiedRoleAssignmentScheduleItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.roleManagement.entitlementManagement.roleDefinitions.item collection
     * @param id Unique identifier of the item
     * @returns a unifiedRoleDefinitionItemRequestBuilder
     */
    roleDefinitionsById(id: string): UnifiedRoleDefinitionItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.roleManagement.entitlementManagement.roleEligibilityScheduleInstances.item collection
     * @param id Unique identifier of the item
     * @returns a unifiedRoleEligibilityScheduleInstanceItemRequestBuilder
     */
    roleEligibilityScheduleInstancesById(id: string): UnifiedRoleEligibilityScheduleInstanceItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.roleManagement.entitlementManagement.roleEligibilityScheduleRequests.item collection
     * @param id Unique identifier of the item
     * @returns a unifiedRoleEligibilityScheduleRequestItemRequestBuilder
     */
    roleEligibilityScheduleRequestsById(id: string): UnifiedRoleEligibilityScheduleRequestItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.roleManagement.entitlementManagement.roleEligibilitySchedules.item collection
     * @param id Unique identifier of the item
     * @returns a unifiedRoleEligibilityScheduleItemRequestBuilder
     */
    roleEligibilitySchedulesById(id: string): UnifiedRoleEligibilityScheduleItemRequestBuilder;
}
