"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EntitlementManagementRequestBuilder = void 0;
const createRbacApplicationFromDiscriminatorValue_1 = require("../../models/createRbacApplicationFromDiscriminatorValue");
const createODataErrorFromDiscriminatorValue_1 = require("../../models/oDataErrors/createODataErrorFromDiscriminatorValue");
const unifiedRoleAssignmentItemRequestBuilder_1 = require("./roleAssignments/item/unifiedRoleAssignmentItemRequestBuilder");
const roleAssignmentsRequestBuilder_1 = require("./roleAssignments/roleAssignmentsRequestBuilder");
const unifiedRoleAssignmentScheduleInstanceItemRequestBuilder_1 = require("./roleAssignmentScheduleInstances/item/unifiedRoleAssignmentScheduleInstanceItemRequestBuilder");
const roleAssignmentScheduleInstancesRequestBuilder_1 = require("./roleAssignmentScheduleInstances/roleAssignmentScheduleInstancesRequestBuilder");
const unifiedRoleAssignmentScheduleRequestItemRequestBuilder_1 = require("./roleAssignmentScheduleRequests/item/unifiedRoleAssignmentScheduleRequestItemRequestBuilder");
const roleAssignmentScheduleRequestsRequestBuilder_1 = require("./roleAssignmentScheduleRequests/roleAssignmentScheduleRequestsRequestBuilder");
const unifiedRoleAssignmentScheduleItemRequestBuilder_1 = require("./roleAssignmentSchedules/item/unifiedRoleAssignmentScheduleItemRequestBuilder");
const roleAssignmentSchedulesRequestBuilder_1 = require("./roleAssignmentSchedules/roleAssignmentSchedulesRequestBuilder");
const unifiedRoleDefinitionItemRequestBuilder_1 = require("./roleDefinitions/item/unifiedRoleDefinitionItemRequestBuilder");
const roleDefinitionsRequestBuilder_1 = require("./roleDefinitions/roleDefinitionsRequestBuilder");
const unifiedRoleEligibilityScheduleInstanceItemRequestBuilder_1 = require("./roleEligibilityScheduleInstances/item/unifiedRoleEligibilityScheduleInstanceItemRequestBuilder");
const roleEligibilityScheduleInstancesRequestBuilder_1 = require("./roleEligibilityScheduleInstances/roleEligibilityScheduleInstancesRequestBuilder");
const unifiedRoleEligibilityScheduleRequestItemRequestBuilder_1 = require("./roleEligibilityScheduleRequests/item/unifiedRoleEligibilityScheduleRequestItemRequestBuilder");
const roleEligibilityScheduleRequestsRequestBuilder_1 = require("./roleEligibilityScheduleRequests/roleEligibilityScheduleRequestsRequestBuilder");
const unifiedRoleEligibilityScheduleItemRequestBuilder_1 = require("./roleEligibilitySchedules/item/unifiedRoleEligibilityScheduleItemRequestBuilder");
const roleEligibilitySchedulesRequestBuilder_1 = require("./roleEligibilitySchedules/roleEligibilitySchedulesRequestBuilder");
const kiota_abstractions_1 = require("@microsoft/kiota-abstractions");
/** Provides operations to manage the entitlementManagement property of the microsoft.graph.roleManagement entity. */
class EntitlementManagementRequestBuilder {
    /**
     * Instantiates a new EntitlementManagementRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters, requestAdapter) {
        if (!pathParameters)
            throw new Error("pathParameters cannot be undefined");
        if (!requestAdapter)
            throw new Error("requestAdapter cannot be undefined");
        this.urlTemplate = "{+baseurl}/roleManagement/entitlementManagement{?%24select,%24expand}";
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(pathParameters);
        this.pathParameters = urlTplParams;
        this.requestAdapter = requestAdapter;
    }
    /** The roleAssignments property */
    get roleAssignments() {
        return new roleAssignmentsRequestBuilder_1.RoleAssignmentsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The roleAssignmentScheduleInstances property */
    get roleAssignmentScheduleInstances() {
        return new roleAssignmentScheduleInstancesRequestBuilder_1.RoleAssignmentScheduleInstancesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The roleAssignmentScheduleRequests property */
    get roleAssignmentScheduleRequests() {
        return new roleAssignmentScheduleRequestsRequestBuilder_1.RoleAssignmentScheduleRequestsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The roleAssignmentSchedules property */
    get roleAssignmentSchedules() {
        return new roleAssignmentSchedulesRequestBuilder_1.RoleAssignmentSchedulesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The roleDefinitions property */
    get roleDefinitions() {
        return new roleDefinitionsRequestBuilder_1.RoleDefinitionsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The roleEligibilityScheduleInstances property */
    get roleEligibilityScheduleInstances() {
        return new roleEligibilityScheduleInstancesRequestBuilder_1.RoleEligibilityScheduleInstancesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The roleEligibilityScheduleRequests property */
    get roleEligibilityScheduleRequests() {
        return new roleEligibilityScheduleRequestsRequestBuilder_1.RoleEligibilityScheduleRequestsRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    /** The roleEligibilitySchedules property */
    get roleEligibilitySchedules() {
        return new roleEligibilitySchedulesRequestBuilder_1.RoleEligibilitySchedulesRequestBuilder(this.pathParameters, this.requestAdapter);
    }
    ;
    /**
     * Delete navigation property entitlementManagement for roleManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createDeleteRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation();
        requestInfo.urlTemplate = this.urlTemplate;
        requestInfo.pathParameters = this.pathParameters;
        requestInfo.httpMethod = kiota_abstractions_1.HttpMethod.DELETE;
        if (requestConfiguration) {
            requestInfo.addRequestHeaders(requestConfiguration.headers);
            requestInfo.addRequestOptions(requestConfiguration.options);
        }
        return requestInfo;
    }
    ;
    /**
     * Container for roles and assignments for entitlement management resources.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration) {
        const requestInfo = new kiota_abstractions_1.RequestInformation();
        requestInfo.urlTemplate = this.urlTemplate;
        requestInfo.pathParameters = this.pathParameters;
        requestInfo.httpMethod = kiota_abstractions_1.HttpMethod.GET;
        if (requestConfiguration) {
            requestInfo.addRequestHeaders(requestConfiguration.headers);
            requestInfo.setQueryStringParametersFromRawObject(requestConfiguration.queryParameters);
            requestInfo.addRequestOptions(requestConfiguration.options);
        }
        return requestInfo;
    }
    ;
    /**
     * Update the navigation property entitlementManagement in roleManagement
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body, requestConfiguration) {
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = new kiota_abstractions_1.RequestInformation();
        requestInfo.urlTemplate = this.urlTemplate;
        requestInfo.pathParameters = this.pathParameters;
        requestInfo.httpMethod = kiota_abstractions_1.HttpMethod.PATCH;
        if (requestConfiguration) {
            requestInfo.addRequestHeaders(requestConfiguration.headers);
            requestInfo.addRequestOptions(requestConfiguration.options);
        }
        requestInfo.setContentFromParsable(this.requestAdapter, "application/json", body);
        return requestInfo;
    }
    ;
    /**
     * Delete navigation property entitlementManagement for roleManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    delete(requestConfiguration, responseHandler) {
        var _a, _b;
        const requestInfo = this.createDeleteRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": createODataErrorFromDiscriminatorValue_1.createODataErrorFromDiscriminatorValue,
            "5XX": createODataErrorFromDiscriminatorValue_1.createODataErrorFromDiscriminatorValue,
        };
        return (_b = (_a = this.requestAdapter) === null || _a === void 0 ? void 0 : _a.sendNoResponseContentAsync(requestInfo, responseHandler, errorMapping)) !== null && _b !== void 0 ? _b : Promise.reject(new Error('http core is null'));
    }
    ;
    /**
     * Container for roles and assignments for entitlement management resources.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of RbacApplication
     */
    get(requestConfiguration, responseHandler) {
        var _a, _b;
        const requestInfo = this.createGetRequestInformation(requestConfiguration);
        const errorMapping = {
            "4XX": createODataErrorFromDiscriminatorValue_1.createODataErrorFromDiscriminatorValue,
            "5XX": createODataErrorFromDiscriminatorValue_1.createODataErrorFromDiscriminatorValue,
        };
        return (_b = (_a = this.requestAdapter) === null || _a === void 0 ? void 0 : _a.sendAsync(requestInfo, createRbacApplicationFromDiscriminatorValue_1.createRbacApplicationFromDiscriminatorValue, responseHandler, errorMapping)) !== null && _b !== void 0 ? _b : Promise.reject(new Error('http core is null'));
    }
    ;
    /**
     * Update the navigation property entitlementManagement in roleManagement
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body, requestConfiguration, responseHandler) {
        var _a, _b;
        if (!body)
            throw new Error("body cannot be undefined");
        const requestInfo = this.createPatchRequestInformation(body, requestConfiguration);
        const errorMapping = {
            "4XX": createODataErrorFromDiscriminatorValue_1.createODataErrorFromDiscriminatorValue,
            "5XX": createODataErrorFromDiscriminatorValue_1.createODataErrorFromDiscriminatorValue,
        };
        return (_b = (_a = this.requestAdapter) === null || _a === void 0 ? void 0 : _a.sendNoResponseContentAsync(requestInfo, responseHandler, errorMapping)) !== null && _b !== void 0 ? _b : Promise.reject(new Error('http core is null'));
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.roleManagement.entitlementManagement.roleAssignments.item collection
     * @param id Unique identifier of the item
     * @returns a unifiedRoleAssignmentItemRequestBuilder
     */
    roleAssignmentsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["unifiedRoleAssignment%2Did"] = id;
        return new unifiedRoleAssignmentItemRequestBuilder_1.UnifiedRoleAssignmentItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.roleManagement.entitlementManagement.roleAssignmentScheduleInstances.item collection
     * @param id Unique identifier of the item
     * @returns a unifiedRoleAssignmentScheduleInstanceItemRequestBuilder
     */
    roleAssignmentScheduleInstancesById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["unifiedRoleAssignmentScheduleInstance%2Did"] = id;
        return new unifiedRoleAssignmentScheduleInstanceItemRequestBuilder_1.UnifiedRoleAssignmentScheduleInstanceItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.roleManagement.entitlementManagement.roleAssignmentScheduleRequests.item collection
     * @param id Unique identifier of the item
     * @returns a unifiedRoleAssignmentScheduleRequestItemRequestBuilder
     */
    roleAssignmentScheduleRequestsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["unifiedRoleAssignmentScheduleRequest%2Did"] = id;
        return new unifiedRoleAssignmentScheduleRequestItemRequestBuilder_1.UnifiedRoleAssignmentScheduleRequestItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.roleManagement.entitlementManagement.roleAssignmentSchedules.item collection
     * @param id Unique identifier of the item
     * @returns a unifiedRoleAssignmentScheduleItemRequestBuilder
     */
    roleAssignmentSchedulesById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["unifiedRoleAssignmentSchedule%2Did"] = id;
        return new unifiedRoleAssignmentScheduleItemRequestBuilder_1.UnifiedRoleAssignmentScheduleItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.roleManagement.entitlementManagement.roleDefinitions.item collection
     * @param id Unique identifier of the item
     * @returns a unifiedRoleDefinitionItemRequestBuilder
     */
    roleDefinitionsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["unifiedRoleDefinition%2Did"] = id;
        return new unifiedRoleDefinitionItemRequestBuilder_1.UnifiedRoleDefinitionItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.roleManagement.entitlementManagement.roleEligibilityScheduleInstances.item collection
     * @param id Unique identifier of the item
     * @returns a unifiedRoleEligibilityScheduleInstanceItemRequestBuilder
     */
    roleEligibilityScheduleInstancesById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["unifiedRoleEligibilityScheduleInstance%2Did"] = id;
        return new unifiedRoleEligibilityScheduleInstanceItemRequestBuilder_1.UnifiedRoleEligibilityScheduleInstanceItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.roleManagement.entitlementManagement.roleEligibilityScheduleRequests.item collection
     * @param id Unique identifier of the item
     * @returns a unifiedRoleEligibilityScheduleRequestItemRequestBuilder
     */
    roleEligibilityScheduleRequestsById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["unifiedRoleEligibilityScheduleRequest%2Did"] = id;
        return new unifiedRoleEligibilityScheduleRequestItemRequestBuilder_1.UnifiedRoleEligibilityScheduleRequestItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.roleManagement.entitlementManagement.roleEligibilitySchedules.item collection
     * @param id Unique identifier of the item
     * @returns a unifiedRoleEligibilityScheduleItemRequestBuilder
     */
    roleEligibilitySchedulesById(id) {
        if (!id)
            throw new Error("id cannot be undefined");
        const urlTplParams = (0, kiota_abstractions_1.getPathParameters)(this.pathParameters);
        urlTplParams["unifiedRoleEligibilitySchedule%2Did"] = id;
        return new unifiedRoleEligibilityScheduleItemRequestBuilder_1.UnifiedRoleEligibilityScheduleItemRequestBuilder(urlTplParams, this.requestAdapter);
    }
    ;
}
exports.EntitlementManagementRequestBuilder = EntitlementManagementRequestBuilder;
