"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DirectoryScopeRequestBuilderGetQueryParameters = void 0;
/** The directory object that is the scope of the assignment. Provided so that callers can get the directory object using $expand at the same time as getting the role assignment. Read-only. Supports $expand. */
class DirectoryScopeRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "expand": return "%24expand";
            case "select": return "%24select";
            default: return originalName;
        }
    }
    ;
}
exports.DirectoryScopeRequestBuilderGetQueryParameters = DirectoryScopeRequestBuilderGetQueryParameters;
