import { UnifiedRoleEligibilitySchedule } from '../../../../models/';
import { UnifiedRoleEligibilityScheduleItemRequestBuilderDeleteRequestConfiguration } from './unifiedRoleEligibilityScheduleItemRequestBuilderDeleteRequestConfiguration';
import { UnifiedRoleEligibilityScheduleItemRequestBuilderGetRequestConfiguration } from './unifiedRoleEligibilityScheduleItemRequestBuilderGetRequestConfiguration';
import { UnifiedRoleEligibilityScheduleItemRequestBuilderPatchRequestConfiguration } from './unifiedRoleEligibilityScheduleItemRequestBuilderPatchRequestConfiguration';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the roleEligibilitySchedules property of the microsoft.graph.rbacApplication entity. */
export declare class UnifiedRoleEligibilityScheduleItemRequestBuilder {
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Instantiates a new UnifiedRoleEligibilityScheduleItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property roleEligibilitySchedules for roleManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createDeleteRequestInformation(requestConfiguration?: UnifiedRoleEligibilityScheduleItemRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * Schedules for role eligibility operations.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: UnifiedRoleEligibilityScheduleItemRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property roleEligibilitySchedules in roleManagement
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body: UnifiedRoleEligibilitySchedule | undefined, requestConfiguration?: UnifiedRoleEligibilityScheduleItemRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Delete navigation property roleEligibilitySchedules for roleManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    delete(requestConfiguration?: UnifiedRoleEligibilityScheduleItemRequestBuilderDeleteRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Schedules for role eligibility operations.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of UnifiedRoleEligibilitySchedule
     */
    get(requestConfiguration?: UnifiedRoleEligibilityScheduleItemRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<UnifiedRoleEligibilitySchedule | undefined>;
    /**
     * Update the navigation property roleEligibilitySchedules in roleManagement
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body: UnifiedRoleEligibilitySchedule | undefined, requestConfiguration?: UnifiedRoleEligibilityScheduleItemRequestBuilderPatchRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
}
