import { RoleManagement } from '../models/';
import { DirectoryRequestBuilder } from './directory/directoryRequestBuilder';
import { EntitlementManagementRequestBuilder } from './entitlementManagement/entitlementManagementRequestBuilder';
import { RoleManagementRequestBuilderGetRequestConfiguration } from './roleManagementRequestBuilderGetRequestConfiguration';
import { RoleManagementRequestBuilderPatchRequestConfiguration } from './roleManagementRequestBuilderPatchRequestConfiguration';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the roleManagement singleton. */
export declare class RoleManagementRequestBuilder {
    /** The directory property */
    get directory(): DirectoryRequestBuilder;
    /** The entitlementManagement property */
    get entitlementManagement(): EntitlementManagementRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Instantiates a new RoleManagementRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Get roleManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: RoleManagementRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update roleManagement
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body: RoleManagement | undefined, requestConfiguration?: RoleManagementRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Get roleManagement
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of RoleManagement
     */
    get(requestConfiguration?: RoleManagementRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<RoleManagement | undefined>;
    /**
     * Update roleManagement
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body: RoleManagement | undefined, requestConfiguration?: RoleManagementRequestBuilderPatchRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
}
