import { ScopedRoleMembership, ScopedRoleMembershipCollectionResponse } from '../models/';
import { CountRequestBuilder } from './count/countRequestBuilder';
import { ScopedRoleMembershipsRequestBuilderGetRequestConfiguration } from './scopedRoleMembershipsRequestBuilderGetRequestConfiguration';
import { ScopedRoleMembershipsRequestBuilderPostRequestConfiguration } from './scopedRoleMembershipsRequestBuilderPostRequestConfiguration';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the collection of scopedRoleMembership entities. */
export declare class ScopedRoleMembershipsRequestBuilder {
    /** The count property */
    get count(): CountRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Instantiates a new ScopedRoleMembershipsRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Get entities from scopedRoleMemberships
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: ScopedRoleMembershipsRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Add new entity to scopedRoleMemberships
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPostRequestInformation(body: ScopedRoleMembership | undefined, requestConfiguration?: ScopedRoleMembershipsRequestBuilderPostRequestConfiguration | undefined): RequestInformation;
    /**
     * Get entities from scopedRoleMemberships
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of ScopedRoleMembershipCollectionResponse
     */
    get(requestConfiguration?: ScopedRoleMembershipsRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<ScopedRoleMembershipCollectionResponse | undefined>;
    /**
     * Add new entity to scopedRoleMemberships
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of ScopedRoleMembership
     */
    post(body: ScopedRoleMembership | undefined, requestConfiguration?: ScopedRoleMembershipsRequestBuilderPostRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<ScopedRoleMembership | undefined>;
}
