"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.QueryPostRequestBody = void 0;
const createSearchRequestFromDiscriminatorValue_1 = require("../../models/createSearchRequestFromDiscriminatorValue");
/** Provides operations to call the query method. */
class QueryPostRequestBody {
    /**
     * Instantiates a new queryPostRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "requests": n => { this.requests = n.getCollectionOfObjectValues(createSearchRequestFromDiscriminatorValue_1.createSearchRequestFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Gets the requests property value. The requests property
     * @returns a searchRequest
     */
    get requests() {
        return this._requests;
    }
    ;
    /**
     * Sets the requests property value. The requests property
     * @param value Value to set for the requests property.
     */
    set requests(value) {
        this._requests = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeCollectionOfObjectValues("requests", this.requests);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.QueryPostRequestBody = QueryPostRequestBody;
