import { KeyCredential, PasswordCredential } from '../../../models/';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to call the addKey method. */
export declare class KeyCredentialPostRequestBody implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The keyCredential property */
    private _keyCredential?;
    /** The passwordCredential property */
    private _passwordCredential?;
    /** The proof property */
    private _proof?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Instantiates a new KeyCredentialPostRequestBody and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the keyCredential property value. The keyCredential property
     * @returns a keyCredential
     */
    get keyCredential(): KeyCredential | undefined;
    /**
     * Sets the keyCredential property value. The keyCredential property
     * @param value Value to set for the keyCredential property.
     */
    set keyCredential(value: KeyCredential | undefined);
    /**
     * Gets the passwordCredential property value. The passwordCredential property
     * @returns a passwordCredential
     */
    get passwordCredential(): PasswordCredential | undefined;
    /**
     * Sets the passwordCredential property value. The passwordCredential property
     * @param value Value to set for the passwordCredential property.
     */
    set passwordCredential(value: PasswordCredential | undefined);
    /**
     * Gets the proof property value. The proof property
     * @returns a string
     */
    get proof(): string | undefined;
    /**
     * Sets the proof property value. The proof property
     * @param value Value to set for the proof property.
     */
    set proof(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
