import { RefRequestBuilder } from './ref/refRequestBuilder';
import { RequestAdapter } from '@microsoft/kiota-abstractions';
/** Builds and executes requests for operations under /servicePrincipals/{servicePrincipal-id}/claimsMappingPolicies/{claimsMappingPolicy-id} */
export declare class ClaimsMappingPolicyItemRequestBuilder {
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The ref property */
    get ref(): RefRequestBuilder;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Instantiates a new ClaimsMappingPolicyItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
}
