import { ServicePrincipal } from '../../../../../models/';
import { AddKeyRequestBuilder } from './addKey/addKeyRequestBuilder';
import { AddPasswordRequestBuilder } from './addPassword/addPasswordRequestBuilder';
import { AddTokenSigningCertificateRequestBuilder } from './addTokenSigningCertificate/addTokenSigningCertificateRequestBuilder';
import { CheckMemberGroupsRequestBuilder } from './checkMemberGroups/checkMemberGroupsRequestBuilder';
import { CheckMemberObjectsRequestBuilder } from './checkMemberObjects/checkMemberObjectsRequestBuilder';
import { GetMemberGroupsRequestBuilder } from './getMemberGroups/getMemberGroupsRequestBuilder';
import { GetMemberObjectsRequestBuilder } from './getMemberObjects/getMemberObjectsRequestBuilder';
import { RemoveKeyRequestBuilder } from './removeKey/removeKeyRequestBuilder';
import { RemovePasswordRequestBuilder } from './removePassword/removePasswordRequestBuilder';
import { RestoreRequestBuilder } from './restore/restoreRequestBuilder';
import { ServicePrincipalRequestBuilderGetRequestConfiguration } from './servicePrincipalRequestBuilderGetRequestConfiguration';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Casts the previous resource to servicePrincipal. */
export declare class ServicePrincipalRequestBuilder {
    /** The addKey property */
    get addKey(): AddKeyRequestBuilder;
    /** The addPassword property */
    get addPassword(): AddPasswordRequestBuilder;
    /** The addTokenSigningCertificate property */
    get addTokenSigningCertificate(): AddTokenSigningCertificateRequestBuilder;
    /** The checkMemberGroups property */
    get checkMemberGroups(): CheckMemberGroupsRequestBuilder;
    /** The checkMemberObjects property */
    get checkMemberObjects(): CheckMemberObjectsRequestBuilder;
    /** The getMemberGroups property */
    get getMemberGroups(): GetMemberGroupsRequestBuilder;
    /** The getMemberObjects property */
    get getMemberObjects(): GetMemberObjectsRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The removeKey property */
    get removeKey(): RemoveKeyRequestBuilder;
    /** The removePassword property */
    get removePassword(): RemovePasswordRequestBuilder;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** The restore property */
    get restore(): RestoreRequestBuilder;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Instantiates a new ServicePrincipalRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Get the item of type microsoft.graph.directoryObject as microsoft.graph.servicePrincipal
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: ServicePrincipalRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Get the item of type microsoft.graph.directoryObject as microsoft.graph.servicePrincipal
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of ServicePrincipal
     */
    get(requestConfiguration?: ServicePrincipalRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<ServicePrincipal | undefined>;
}
