"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.EndpointItemRequestBuilderGetQueryParameters = void 0;
/** Endpoints available for discovery. Services like Sharepoint populate this property with a tenant specific SharePoint endpoints that other applications can discover and use in their experiences. */
class EndpointItemRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "expand": return "%24expand";
            case "select": return "%24select";
            default: return originalName;
        }
    }
    ;
}
exports.EndpointItemRequestBuilderGetQueryParameters = EndpointItemRequestBuilderGetQueryParameters;
