"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.KeyCredentialPostRequestBody = void 0;
const createKeyCredentialFromDiscriminatorValue_1 = require("../../../../../../models/createKeyCredentialFromDiscriminatorValue");
const createPasswordCredentialFromDiscriminatorValue_1 = require("../../../../../../models/createPasswordCredentialFromDiscriminatorValue");
/** Provides operations to call the addKey method. */
class KeyCredentialPostRequestBody {
    /**
     * Instantiates a new KeyCredentialPostRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "keyCredential": n => { this.keyCredential = n.getObjectValue(createKeyCredentialFromDiscriminatorValue_1.createKeyCredentialFromDiscriminatorValue); },
            "passwordCredential": n => { this.passwordCredential = n.getObjectValue(createPasswordCredentialFromDiscriminatorValue_1.createPasswordCredentialFromDiscriminatorValue); },
            "proof": n => { this.proof = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the keyCredential property value. The keyCredential property
     * @returns a keyCredential
     */
    get keyCredential() {
        return this._keyCredential;
    }
    ;
    /**
     * Sets the keyCredential property value. The keyCredential property
     * @param value Value to set for the keyCredential property.
     */
    set keyCredential(value) {
        this._keyCredential = value;
    }
    ;
    /**
     * Gets the passwordCredential property value. The passwordCredential property
     * @returns a passwordCredential
     */
    get passwordCredential() {
        return this._passwordCredential;
    }
    ;
    /**
     * Sets the passwordCredential property value. The passwordCredential property
     * @param value Value to set for the passwordCredential property.
     */
    set passwordCredential(value) {
        this._passwordCredential = value;
    }
    ;
    /**
     * Gets the proof property value. The proof property
     * @returns a string
     */
    get proof() {
        return this._proof;
    }
    ;
    /**
     * Sets the proof property value. The proof property
     * @param value Value to set for the proof property.
     */
    set proof(value) {
        this._proof = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeObjectValue("keyCredential", this.keyCredential);
        writer.writeObjectValue("passwordCredential", this.passwordCredential);
        writer.writeStringValue("proof", this.proof);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.KeyCredentialPostRequestBody = KeyCredentialPostRequestBody;
