"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RemoveKeyPostRequestBody = void 0;
/** Provides operations to call the removeKey method. */
class RemoveKeyPostRequestBody {
    /**
     * Instantiates a new removeKeyPostRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "keyId": n => { this.keyId = n.getStringValue(); },
            "proof": n => { this.proof = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the keyId property value. The keyId property
     * @returns a string
     */
    get keyId() {
        return this._keyId;
    }
    ;
    /**
     * Sets the keyId property value. The keyId property
     * @param value Value to set for the keyId property.
     */
    set keyId(value) {
        this._keyId = value;
    }
    ;
    /**
     * Gets the proof property value. The proof property
     * @returns a string
     */
    get proof() {
        return this._proof;
    }
    ;
    /**
     * Sets the proof property value. The proof property
     * @param value Value to set for the proof property.
     */
    set proof(value) {
        this._proof = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("keyId", this.keyId);
        writer.writeStringValue("proof", this.proof);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.RemoveKeyPostRequestBody = RemoveKeyPostRequestBody;
