import { ServicePrincipal } from '../../models/';
import { AddKeyRequestBuilder } from './addKey/addKeyRequestBuilder';
import { AddPasswordRequestBuilder } from './addPassword/addPasswordRequestBuilder';
import { AddTokenSigningCertificateRequestBuilder } from './addTokenSigningCertificate/addTokenSigningCertificateRequestBuilder';
import { AppRoleAssignedToRequestBuilder } from './appRoleAssignedTo/appRoleAssignedToRequestBuilder';
import { AppRoleAssignmentItemRequestBuilder as iac42c179fbdac099e4134b34b88297a46fe2fb768a9103ce0eea83ad1ab04797 } from './appRoleAssignedTo/item/appRoleAssignmentItemRequestBuilder';
import { AppRoleAssignmentsRequestBuilder } from './appRoleAssignments/appRoleAssignmentsRequestBuilder';
import { AppRoleAssignmentItemRequestBuilder as ieae78ab3236063f35794731da34ad21355b3629db06985df19a9ea1bc2ab42e1 } from './appRoleAssignments/item/appRoleAssignmentItemRequestBuilder';
import { CheckMemberGroupsRequestBuilder } from './checkMemberGroups/checkMemberGroupsRequestBuilder';
import { CheckMemberObjectsRequestBuilder } from './checkMemberObjects/checkMemberObjectsRequestBuilder';
import { ClaimsMappingPoliciesRequestBuilder } from './claimsMappingPolicies/claimsMappingPoliciesRequestBuilder';
import { ClaimsMappingPolicyItemRequestBuilder } from './claimsMappingPolicies/item/claimsMappingPolicyItemRequestBuilder';
import { CreatedObjectsRequestBuilder } from './createdObjects/createdObjectsRequestBuilder';
import { DirectoryObjectItemRequestBuilder as i1d7e157474e1ab4e17b5fdee6e05a3fb5390ff68bd17fbf2159d14e6b8a51ff2 } from './createdObjects/item/directoryObjectItemRequestBuilder';
import { DelegatedPermissionClassificationsRequestBuilder } from './delegatedPermissionClassifications/delegatedPermissionClassificationsRequestBuilder';
import { DelegatedPermissionClassificationItemRequestBuilder } from './delegatedPermissionClassifications/item/delegatedPermissionClassificationItemRequestBuilder';
import { EndpointsRequestBuilder } from './endpoints/endpointsRequestBuilder';
import { EndpointItemRequestBuilder } from './endpoints/item/endpointItemRequestBuilder';
import { GetMemberGroupsRequestBuilder } from './getMemberGroups/getMemberGroupsRequestBuilder';
import { GetMemberObjectsRequestBuilder } from './getMemberObjects/getMemberObjectsRequestBuilder';
import { HomeRealmDiscoveryPoliciesRequestBuilder } from './homeRealmDiscoveryPolicies/homeRealmDiscoveryPoliciesRequestBuilder';
import { HomeRealmDiscoveryPolicyItemRequestBuilder } from './homeRealmDiscoveryPolicies/item/homeRealmDiscoveryPolicyItemRequestBuilder';
import { DirectoryObjectItemRequestBuilder as i07bc28166be09492e7925102a330e40e28f86aef914b7fdcfa685bf39b0f35c6 } from './memberOf/item/directoryObjectItemRequestBuilder';
import { MemberOfRequestBuilder } from './memberOf/memberOfRequestBuilder';
import { OAuth2PermissionGrantItemRequestBuilder } from './oauth2PermissionGrants/item/oAuth2PermissionGrantItemRequestBuilder';
import { Oauth2PermissionGrantsRequestBuilder } from './oauth2PermissionGrants/oauth2PermissionGrantsRequestBuilder';
import { DirectoryObjectItemRequestBuilder as i9cc16d80a0348466e5a2c965e1d74f476ce4b502c3b5cb0b265e9728f26b9e00 } from './ownedObjects/item/directoryObjectItemRequestBuilder';
import { OwnedObjectsRequestBuilder } from './ownedObjects/ownedObjectsRequestBuilder';
import { DirectoryObjectItemRequestBuilder as i30d914c048be2ddd2cdee4e8211ef3882c63920bbe3a801be8a05c4c3c5535a6 } from './owners/item/directoryObjectItemRequestBuilder';
import { OwnersRequestBuilder } from './owners/ownersRequestBuilder';
import { RemoveKeyRequestBuilder } from './removeKey/removeKeyRequestBuilder';
import { RemovePasswordRequestBuilder } from './removePassword/removePasswordRequestBuilder';
import { RestoreRequestBuilder } from './restore/restoreRequestBuilder';
import { ServicePrincipalItemRequestBuilderDeleteRequestConfiguration } from './servicePrincipalItemRequestBuilderDeleteRequestConfiguration';
import { ServicePrincipalItemRequestBuilderGetRequestConfiguration } from './servicePrincipalItemRequestBuilderGetRequestConfiguration';
import { ServicePrincipalItemRequestBuilderPatchRequestConfiguration } from './servicePrincipalItemRequestBuilderPatchRequestConfiguration';
import { TokenIssuancePolicyItemRequestBuilder } from './tokenIssuancePolicies/item/tokenIssuancePolicyItemRequestBuilder';
import { TokenIssuancePoliciesRequestBuilder } from './tokenIssuancePolicies/tokenIssuancePoliciesRequestBuilder';
import { TokenLifetimePolicyItemRequestBuilder } from './tokenLifetimePolicies/item/tokenLifetimePolicyItemRequestBuilder';
import { TokenLifetimePoliciesRequestBuilder } from './tokenLifetimePolicies/tokenLifetimePoliciesRequestBuilder';
import { DirectoryObjectItemRequestBuilder as id1fdecf886744e82b4df54ccf3526f2867c4888092c2d423dece6c48084b7cfb } from './transitiveMemberOf/item/directoryObjectItemRequestBuilder';
import { TransitiveMemberOfRequestBuilder } from './transitiveMemberOf/transitiveMemberOfRequestBuilder';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the collection of servicePrincipal entities. */
export declare class ServicePrincipalItemRequestBuilder {
    /** The addKey property */
    get addKey(): AddKeyRequestBuilder;
    /** The addPassword property */
    get addPassword(): AddPasswordRequestBuilder;
    /** The addTokenSigningCertificate property */
    get addTokenSigningCertificate(): AddTokenSigningCertificateRequestBuilder;
    /** The appRoleAssignedTo property */
    get appRoleAssignedTo(): AppRoleAssignedToRequestBuilder;
    /** The appRoleAssignments property */
    get appRoleAssignments(): AppRoleAssignmentsRequestBuilder;
    /** The checkMemberGroups property */
    get checkMemberGroups(): CheckMemberGroupsRequestBuilder;
    /** The checkMemberObjects property */
    get checkMemberObjects(): CheckMemberObjectsRequestBuilder;
    /** The claimsMappingPolicies property */
    get claimsMappingPolicies(): ClaimsMappingPoliciesRequestBuilder;
    /** The createdObjects property */
    get createdObjects(): CreatedObjectsRequestBuilder;
    /** The delegatedPermissionClassifications property */
    get delegatedPermissionClassifications(): DelegatedPermissionClassificationsRequestBuilder;
    /** The endpoints property */
    get endpoints(): EndpointsRequestBuilder;
    /** The getMemberGroups property */
    get getMemberGroups(): GetMemberGroupsRequestBuilder;
    /** The getMemberObjects property */
    get getMemberObjects(): GetMemberObjectsRequestBuilder;
    /** The homeRealmDiscoveryPolicies property */
    get homeRealmDiscoveryPolicies(): HomeRealmDiscoveryPoliciesRequestBuilder;
    /** The memberOf property */
    get memberOf(): MemberOfRequestBuilder;
    /** The oauth2PermissionGrants property */
    get oauth2PermissionGrants(): Oauth2PermissionGrantsRequestBuilder;
    /** The ownedObjects property */
    get ownedObjects(): OwnedObjectsRequestBuilder;
    /** The owners property */
    get owners(): OwnersRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The removeKey property */
    get removeKey(): RemoveKeyRequestBuilder;
    /** The removePassword property */
    get removePassword(): RemovePasswordRequestBuilder;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** The restore property */
    get restore(): RestoreRequestBuilder;
    /** The tokenIssuancePolicies property */
    get tokenIssuancePolicies(): TokenIssuancePoliciesRequestBuilder;
    /** The tokenLifetimePolicies property */
    get tokenLifetimePolicies(): TokenLifetimePoliciesRequestBuilder;
    /** The transitiveMemberOf property */
    get transitiveMemberOf(): TransitiveMemberOfRequestBuilder;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.servicePrincipals.item.appRoleAssignedTo.item collection
     * @param id Unique identifier of the item
     * @returns a appRoleAssignmentItemRequestBuilder
     */
    appRoleAssignedToById(id: string): iac42c179fbdac099e4134b34b88297a46fe2fb768a9103ce0eea83ad1ab04797;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.servicePrincipals.item.appRoleAssignments.item collection
     * @param id Unique identifier of the item
     * @returns a appRoleAssignmentItemRequestBuilder
     */
    appRoleAssignmentsById(id: string): ieae78ab3236063f35794731da34ad21355b3629db06985df19a9ea1bc2ab42e1;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.servicePrincipals.item.claimsMappingPolicies.item collection
     * @param id Unique identifier of the item
     * @returns a claimsMappingPolicyItemRequestBuilder
     */
    claimsMappingPoliciesById(id: string): ClaimsMappingPolicyItemRequestBuilder;
    /**
     * Instantiates a new ServicePrincipalItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete a [servicePrincipal](../resources/serviceprincipal.md) object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createDeleteRequestInformation(requestConfiguration?: ServicePrincipalItemRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.servicePrincipals.item.createdObjects.item collection
     * @param id Unique identifier of the item
     * @returns a directoryObjectItemRequestBuilder
     */
    createdObjectsById(id: string): i1d7e157474e1ab4e17b5fdee6e05a3fb5390ff68bd17fbf2159d14e6b8a51ff2;
    /**
     * Retrieve the properties and relationships of a [servicePrincipal](../resources/serviceprincipal.md) object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: ServicePrincipalItemRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * This article provides examples of how to assign, update, or remove different types of custom security attributes for users and applications (service principals). Custom security attributes can be assigned or updated only through a `PATCH` operation in an [Update user](/graph/api/user-update?view=graph-rest-beta&preserve-view=true) or [Update servicePrincipal](/graph/api/serviceprincipal-update?view=graph-rest-beta&preserve-view=true) request.
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body: ServicePrincipal | undefined, requestConfiguration?: ServicePrincipalItemRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.servicePrincipals.item.delegatedPermissionClassifications.item collection
     * @param id Unique identifier of the item
     * @returns a delegatedPermissionClassificationItemRequestBuilder
     */
    delegatedPermissionClassificationsById(id: string): DelegatedPermissionClassificationItemRequestBuilder;
    /**
     * Delete a [servicePrincipal](../resources/serviceprincipal.md) object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    delete(requestConfiguration?: ServicePrincipalItemRequestBuilderDeleteRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.servicePrincipals.item.endpoints.item collection
     * @param id Unique identifier of the item
     * @returns a endpointItemRequestBuilder
     */
    endpointsById(id: string): EndpointItemRequestBuilder;
    /**
     * Retrieve the properties and relationships of a [servicePrincipal](../resources/serviceprincipal.md) object.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of ServicePrincipal
     */
    get(requestConfiguration?: ServicePrincipalItemRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<ServicePrincipal | undefined>;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.servicePrincipals.item.homeRealmDiscoveryPolicies.item collection
     * @param id Unique identifier of the item
     * @returns a homeRealmDiscoveryPolicyItemRequestBuilder
     */
    homeRealmDiscoveryPoliciesById(id: string): HomeRealmDiscoveryPolicyItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.servicePrincipals.item.memberOf.item collection
     * @param id Unique identifier of the item
     * @returns a directoryObjectItemRequestBuilder
     */
    memberOfById(id: string): i07bc28166be09492e7925102a330e40e28f86aef914b7fdcfa685bf39b0f35c6;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.servicePrincipals.item.oauth2PermissionGrants.item collection
     * @param id Unique identifier of the item
     * @returns a oAuth2PermissionGrantItemRequestBuilder
     */
    oauth2PermissionGrantsById(id: string): OAuth2PermissionGrantItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.servicePrincipals.item.ownedObjects.item collection
     * @param id Unique identifier of the item
     * @returns a directoryObjectItemRequestBuilder
     */
    ownedObjectsById(id: string): i9cc16d80a0348466e5a2c965e1d74f476ce4b502c3b5cb0b265e9728f26b9e00;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.servicePrincipals.item.owners.item collection
     * @param id Unique identifier of the item
     * @returns a directoryObjectItemRequestBuilder
     */
    ownersById(id: string): i30d914c048be2ddd2cdee4e8211ef3882c63920bbe3a801be8a05c4c3c5535a6;
    /**
     * This article provides examples of how to assign, update, or remove different types of custom security attributes for users and applications (service principals). Custom security attributes can be assigned or updated only through a `PATCH` operation in an [Update user](/graph/api/user-update?view=graph-rest-beta&preserve-view=true) or [Update servicePrincipal](/graph/api/serviceprincipal-update?view=graph-rest-beta&preserve-view=true) request.
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body: ServicePrincipal | undefined, requestConfiguration?: ServicePrincipalItemRequestBuilderPatchRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.servicePrincipals.item.tokenIssuancePolicies.item collection
     * @param id Unique identifier of the item
     * @returns a tokenIssuancePolicyItemRequestBuilder
     */
    tokenIssuancePoliciesById(id: string): TokenIssuancePolicyItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.servicePrincipals.item.tokenLifetimePolicies.item collection
     * @param id Unique identifier of the item
     * @returns a tokenLifetimePolicyItemRequestBuilder
     */
    tokenLifetimePoliciesById(id: string): TokenLifetimePolicyItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.servicePrincipals.item.transitiveMemberOf.item collection
     * @param id Unique identifier of the item
     * @returns a directoryObjectItemRequestBuilder
     */
    transitiveMemberOfById(id: string): id1fdecf886744e82b4df54ccf3526f2867c4888092c2d423dece6c48084b7cfb;
}
