"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GrantPostRequestBody = void 0;
const createDriveRecipientFromDiscriminatorValue_1 = require("../../../../models/createDriveRecipientFromDiscriminatorValue");
/** Provides operations to call the grant method. */
class GrantPostRequestBody {
    /**
     * Instantiates a new grantPostRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "recipients": n => { this.recipients = n.getCollectionOfObjectValues(createDriveRecipientFromDiscriminatorValue_1.createDriveRecipientFromDiscriminatorValue); },
            "roles": n => { this.roles = n.getCollectionOfPrimitiveValues(); },
        };
    }
    ;
    /**
     * Gets the recipients property value. The recipients property
     * @returns a driveRecipient
     */
    get recipients() {
        return this._recipients;
    }
    ;
    /**
     * Sets the recipients property value. The recipients property
     * @param value Value to set for the recipients property.
     */
    set recipients(value) {
        this._recipients = value;
    }
    ;
    /**
     * Gets the roles property value. The roles property
     * @returns a string
     */
    get roles() {
        return this._roles;
    }
    ;
    /**
     * Sets the roles property value. The roles property
     * @param value Value to set for the roles property.
     */
    set roles(value) {
        this._roles = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeCollectionOfObjectValues("recipients", this.recipients);
        writer.writeCollectionOfPrimitiveValues("roles", this.roles);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.GrantPostRequestBody = GrantPostRequestBody;
