"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SharedDriveItemItemRequestBuilderGetQueryParameters = void 0;
/** Access a shared [DriveItem](../resources/driveitem.md) or a collection of shared items by using a **shareId** or sharing URL. To use a sharing URL with this API, your app needs to [transform the URL into a sharing token](#encoding-sharing-urls). */
class SharedDriveItemItemRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "expand": return "%24expand";
            case "select": return "%24select";
            default: return originalName;
        }
    }
    ;
}
exports.SharedDriveItemItemRequestBuilderGetQueryParameters = SharedDriveItemItemRequestBuilderGetQueryParameters;
