import { ContentType } from '../../../../../../models/';
import { AssociateWithHubSitesRequestBuilder } from './associateWithHubSites/associateWithHubSitesRequestBuilder';
import { BaseRequestBuilder } from './base/baseRequestBuilder';
import { BaseTypesRequestBuilder } from './baseTypes/baseTypesRequestBuilder';
import { ContentTypeItemRequestBuilder as i54b2a278961bde0a0be714ae6fb3bd7ddd15aa7c73e433bcd084a0a55fe530f4 } from './baseTypes/item/contentTypeItemRequestBuilder';
import { ColumnLinksRequestBuilder } from './columnLinks/columnLinksRequestBuilder';
import { ColumnLinkItemRequestBuilder } from './columnLinks/item/columnLinkItemRequestBuilder';
import { ColumnPositionsRequestBuilder } from './columnPositions/columnPositionsRequestBuilder';
import { ColumnDefinitionItemRequestBuilder as if8ea631730cd591b1d1d9b9e0baedb942390cb79079f8cbef3af81b1f9419a5d } from './columnPositions/item/columnDefinitionItemRequestBuilder';
import { ColumnsRequestBuilder } from './columns/columnsRequestBuilder';
import { ColumnDefinitionItemRequestBuilder as i89df89f7798ebcf7eebdc380f3dab219ad4342e61faa20171ff6a0bac33fc9fe } from './columns/item/columnDefinitionItemRequestBuilder';
import { ContentTypeItemRequestBuilderDeleteRequestConfiguration } from './contentTypeItemRequestBuilderDeleteRequestConfiguration';
import { ContentTypeItemRequestBuilderGetRequestConfiguration } from './contentTypeItemRequestBuilderGetRequestConfiguration';
import { ContentTypeItemRequestBuilderPatchRequestConfiguration } from './contentTypeItemRequestBuilderPatchRequestConfiguration';
import { CopyToDefaultContentLocationRequestBuilder } from './copyToDefaultContentLocation/copyToDefaultContentLocationRequestBuilder';
import { IsPublishedRequestBuilder } from './isPublished/isPublishedRequestBuilder';
import { PublishRequestBuilder } from './publish/publishRequestBuilder';
import { UnpublishRequestBuilder } from './unpublish/unpublishRequestBuilder';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the contentTypes property of the microsoft.graph.list entity. */
export declare class ContentTypeItemRequestBuilder {
    /** The associateWithHubSites property */
    get associateWithHubSites(): AssociateWithHubSitesRequestBuilder;
    /** The base property */
    get base(): BaseRequestBuilder;
    /** The baseTypes property */
    get baseTypes(): BaseTypesRequestBuilder;
    /** The columnLinks property */
    get columnLinks(): ColumnLinksRequestBuilder;
    /** The columnPositions property */
    get columnPositions(): ColumnPositionsRequestBuilder;
    /** The columns property */
    get columns(): ColumnsRequestBuilder;
    /** The copyToDefaultContentLocation property */
    get copyToDefaultContentLocation(): CopyToDefaultContentLocationRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The publish property */
    get publish(): PublishRequestBuilder;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** The unpublish property */
    get unpublish(): UnpublishRequestBuilder;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.sites.item.lists.item.contentTypes.item.baseTypes.item collection
     * @param id Unique identifier of the item
     * @returns a contentTypeItemRequestBuilder
     */
    baseTypesById(id: string): i54b2a278961bde0a0be714ae6fb3bd7ddd15aa7c73e433bcd084a0a55fe530f4;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.sites.item.lists.item.contentTypes.item.columnLinks.item collection
     * @param id Unique identifier of the item
     * @returns a columnLinkItemRequestBuilder
     */
    columnLinksById(id: string): ColumnLinkItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.sites.item.lists.item.contentTypes.item.columnPositions.item collection
     * @param id Unique identifier of the item
     * @returns a columnDefinitionItemRequestBuilder
     */
    columnPositionsById(id: string): if8ea631730cd591b1d1d9b9e0baedb942390cb79079f8cbef3af81b1f9419a5d;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.sites.item.lists.item.contentTypes.item.columns.item collection
     * @param id Unique identifier of the item
     * @returns a columnDefinitionItemRequestBuilder
     */
    columnsById(id: string): i89df89f7798ebcf7eebdc380f3dab219ad4342e61faa20171ff6a0bac33fc9fe;
    /**
     * Instantiates a new ContentTypeItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property contentTypes for sites
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createDeleteRequestInformation(requestConfiguration?: ContentTypeItemRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * The collection of content types present in this list.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: ContentTypeItemRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property contentTypes in sites
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body: ContentType | undefined, requestConfiguration?: ContentTypeItemRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Delete navigation property contentTypes for sites
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    delete(requestConfiguration?: ContentTypeItemRequestBuilderDeleteRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * The collection of content types present in this list.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of ContentType
     */
    get(requestConfiguration?: ContentTypeItemRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<ContentType | undefined>;
    /**
     * Provides operations to call the isPublished method.
     * @returns a isPublishedRequestBuilder
     */
    isPublished(): IsPublishedRequestBuilder;
    /**
     * Update the navigation property contentTypes in sites
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body: ContentType | undefined, requestConfiguration?: ContentTypeItemRequestBuilderPatchRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
}
