"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OnenoteResourceItemRequestBuilderGetQueryParameters = void 0;
/** The image and other file resources in OneNote pages. Getting a resources collection is not supported, but you can get the binary content of a specific resource. Read-only. Nullable. */
class OnenoteResourceItemRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "expand": return "%24expand";
            case "select": return "%24select";
            default: return originalName;
        }
    }
    ;
}
exports.OnenoteResourceItemRequestBuilderGetQueryParameters = OnenoteResourceItemRequestBuilderGetQueryParameters;
