"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SubscribedSkusRequestBuilderGetQueryParameters = void 0;
/** Get the list of commercial subscriptions that an organization has acquired. For the mapping of license names as displayed on the Azure portal or the Microsoft 365 admin center against their Microsoft Graph **skuId** and **skuPartNumber** properties, see [Product names and service plan identifiers for licensing](/azure/active-directory/enterprise-users/licensing-service-plan-reference). */
class SubscribedSkusRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "orderby": return "%24orderby";
            case "search": return "%24search";
            case "select": return "%24select";
            default: return originalName;
        }
    }
    ;
}
exports.SubscribedSkusRequestBuilderGetQueryParameters = SubscribedSkusRequestBuilderGetQueryParameters;
