import { ClonableTeamParts } from '../../../models/clonableTeamParts';
import { TeamVisibilityType } from '../../../models/teamVisibilityType';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to call the clone method. */
export declare class ClonePostRequestBody implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The classification property */
    private _classification?;
    /** The description property */
    private _description?;
    /** The displayName property */
    private _displayName?;
    /** The mailNickname property */
    private _mailNickname?;
    /** The partsToClone property */
    private _partsToClone?;
    /** The visibility property */
    private _visibility?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the classification property value. The classification property
     * @returns a string
     */
    get classification(): string | undefined;
    /**
     * Sets the classification property value. The classification property
     * @param value Value to set for the classification property.
     */
    set classification(value: string | undefined);
    /**
     * Instantiates a new clonePostRequestBody and sets the default values.
     */
    constructor();
    /**
     * Gets the description property value. The description property
     * @returns a string
     */
    get description(): string | undefined;
    /**
     * Sets the description property value. The description property
     * @param value Value to set for the description property.
     */
    set description(value: string | undefined);
    /**
     * Gets the displayName property value. The displayName property
     * @returns a string
     */
    get displayName(): string | undefined;
    /**
     * Sets the displayName property value. The displayName property
     * @param value Value to set for the displayName property.
     */
    set displayName(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the mailNickname property value. The mailNickname property
     * @returns a string
     */
    get mailNickname(): string | undefined;
    /**
     * Sets the mailNickname property value. The mailNickname property
     * @param value Value to set for the mailNickname property.
     */
    set mailNickname(value: string | undefined);
    /**
     * Gets the partsToClone property value. The partsToClone property
     * @returns a clonableTeamParts
     */
    get partsToClone(): ClonableTeamParts | undefined;
    /**
     * Sets the partsToClone property value. The partsToClone property
     * @param value Value to set for the partsToClone property.
     */
    set partsToClone(value: ClonableTeamParts | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the visibility property value. The visibility property
     * @returns a teamVisibilityType
     */
    get visibility(): TeamVisibilityType | undefined;
    /**
     * Sets the visibility property value. The visibility property
     * @param value Value to set for the visibility property.
     */
    set visibility(value: TeamVisibilityType | undefined);
}
