"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ClonePostRequestBody = void 0;
const clonableTeamParts_1 = require("../../../models/clonableTeamParts");
const teamVisibilityType_1 = require("../../../models/teamVisibilityType");
/** Provides operations to call the clone method. */
class ClonePostRequestBody {
    /**
     * Instantiates a new clonePostRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the classification property value. The classification property
     * @returns a string
     */
    get classification() {
        return this._classification;
    }
    ;
    /**
     * Sets the classification property value. The classification property
     * @param value Value to set for the classification property.
     */
    set classification(value) {
        this._classification = value;
    }
    ;
    ;
    /**
     * Gets the description property value. The description property
     * @returns a string
     */
    get description() {
        return this._description;
    }
    ;
    /**
     * Sets the description property value. The description property
     * @param value Value to set for the description property.
     */
    set description(value) {
        this._description = value;
    }
    ;
    /**
     * Gets the displayName property value. The displayName property
     * @returns a string
     */
    get displayName() {
        return this._displayName;
    }
    ;
    /**
     * Sets the displayName property value. The displayName property
     * @param value Value to set for the displayName property.
     */
    set displayName(value) {
        this._displayName = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "classification": n => { this.classification = n.getStringValue(); },
            "description": n => { this.description = n.getStringValue(); },
            "displayName": n => { this.displayName = n.getStringValue(); },
            "mailNickname": n => { this.mailNickname = n.getStringValue(); },
            "partsToClone": n => { this.partsToClone = n.getEnumValue(clonableTeamParts_1.ClonableTeamParts); },
            "visibility": n => { this.visibility = n.getEnumValue(teamVisibilityType_1.TeamVisibilityType); },
        };
    }
    ;
    /**
     * Gets the mailNickname property value. The mailNickname property
     * @returns a string
     */
    get mailNickname() {
        return this._mailNickname;
    }
    ;
    /**
     * Sets the mailNickname property value. The mailNickname property
     * @param value Value to set for the mailNickname property.
     */
    set mailNickname(value) {
        this._mailNickname = value;
    }
    ;
    /**
     * Gets the partsToClone property value. The partsToClone property
     * @returns a clonableTeamParts
     */
    get partsToClone() {
        return this._partsToClone;
    }
    ;
    /**
     * Sets the partsToClone property value. The partsToClone property
     * @param value Value to set for the partsToClone property.
     */
    set partsToClone(value) {
        this._partsToClone = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("classification", this.classification);
        writer.writeStringValue("description", this.description);
        writer.writeStringValue("displayName", this.displayName);
        writer.writeStringValue("mailNickname", this.mailNickname);
        writer.writeEnumValue("partsToClone", this.partsToClone);
        writer.writeEnumValue("visibility", this.visibility);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the visibility property value. The visibility property
     * @returns a teamVisibilityType
     */
    get visibility() {
        return this._visibility;
    }
    ;
    /**
     * Sets the visibility property value. The visibility property
     * @param value Value to set for the visibility property.
     */
    set visibility(value) {
        this._visibility = value;
    }
    ;
}
exports.ClonePostRequestBody = ClonePostRequestBody;
