import { ItemBody, KeyValuePair, TeamworkActivityTopic, TeamworkNotificationRecipient } from '../../../models/';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to call the sendActivityNotification method. */
export declare class SendActivityNotificationPostRequestBody implements AdditionalDataHolder, Parsable {
    /** The activityType property */
    private _activityType?;
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The chainId property */
    private _chainId?;
    /** The previewText property */
    private _previewText?;
    /** The recipient property */
    private _recipient?;
    /** The templateParameters property */
    private _templateParameters?;
    /** The topic property */
    private _topic?;
    /**
     * Gets the activityType property value. The activityType property
     * @returns a string
     */
    get activityType(): string | undefined;
    /**
     * Sets the activityType property value. The activityType property
     * @param value Value to set for the activityType property.
     */
    set activityType(value: string | undefined);
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the chainId property value. The chainId property
     * @returns a int64
     */
    get chainId(): number | undefined;
    /**
     * Sets the chainId property value. The chainId property
     * @param value Value to set for the chainId property.
     */
    set chainId(value: number | undefined);
    /**
     * Instantiates a new sendActivityNotificationPostRequestBody and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the previewText property value. The previewText property
     * @returns a itemBody
     */
    get previewText(): ItemBody | undefined;
    /**
     * Sets the previewText property value. The previewText property
     * @param value Value to set for the previewText property.
     */
    set previewText(value: ItemBody | undefined);
    /**
     * Gets the recipient property value. The recipient property
     * @returns a teamworkNotificationRecipient
     */
    get recipient(): TeamworkNotificationRecipient | undefined;
    /**
     * Sets the recipient property value. The recipient property
     * @param value Value to set for the recipient property.
     */
    set recipient(value: TeamworkNotificationRecipient | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the templateParameters property value. The templateParameters property
     * @returns a keyValuePair
     */
    get templateParameters(): KeyValuePair[] | undefined;
    /**
     * Sets the templateParameters property value. The templateParameters property
     * @param value Value to set for the templateParameters property.
     */
    set templateParameters(value: KeyValuePair[] | undefined);
    /**
     * Gets the topic property value. The topic property
     * @returns a teamworkActivityTopic
     */
    get topic(): TeamworkActivityTopic | undefined;
    /**
     * Sets the topic property value. The topic property
     * @param value Value to set for the topic property.
     */
    set topic(value: TeamworkActivityTopic | undefined);
}
