"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Fido2AuthenticationMethodItemRequestBuilderGetQueryParameters = void 0;
/** Represents the FIDO2 security keys registered to a user for authentication. */
class Fido2AuthenticationMethodItemRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "expand": return "%24expand";
            case "select": return "%24select";
            default: return originalName;
        }
    }
    ;
}
exports.Fido2AuthenticationMethodItemRequestBuilderGetQueryParameters = Fido2AuthenticationMethodItemRequestBuilderGetQueryParameters;
