import { User } from '../../../../../../../../../models/';
import { AssignLicenseRequestBuilder } from './assignLicense/assignLicenseRequestBuilder';
import { ChangePasswordRequestBuilder } from './changePassword/changePasswordRequestBuilder';
import { CheckMemberGroupsRequestBuilder } from './checkMemberGroups/checkMemberGroupsRequestBuilder';
import { CheckMemberObjectsRequestBuilder } from './checkMemberObjects/checkMemberObjectsRequestBuilder';
import { ExportPersonalDataRequestBuilder } from './exportPersonalData/exportPersonalDataRequestBuilder';
import { FindMeetingTimesRequestBuilder } from './findMeetingTimes/findMeetingTimesRequestBuilder';
import { GetMailTipsRequestBuilder } from './getMailTips/getMailTipsRequestBuilder';
import { GetManagedAppDiagnosticStatusesRequestBuilder } from './getManagedAppDiagnosticStatuses/getManagedAppDiagnosticStatusesRequestBuilder';
import { GetManagedAppPoliciesRequestBuilder } from './getManagedAppPolicies/getManagedAppPoliciesRequestBuilder';
import { GetMemberGroupsRequestBuilder } from './getMemberGroups/getMemberGroupsRequestBuilder';
import { GetMemberObjectsRequestBuilder } from './getMemberObjects/getMemberObjectsRequestBuilder';
import { ReminderViewWithStartDateTimeWithEndDateTimeRequestBuilder } from './reminderViewWithStartDateTimeWithEndDateTime/reminderViewWithStartDateTimeWithEndDateTimeRequestBuilder';
import { RemoveAllDevicesFromManagementRequestBuilder } from './removeAllDevicesFromManagement/removeAllDevicesFromManagementRequestBuilder';
import { ReprocessLicenseAssignmentRequestBuilder } from './reprocessLicenseAssignment/reprocessLicenseAssignmentRequestBuilder';
import { RestoreRequestBuilder } from './restore/restoreRequestBuilder';
import { RevokeSignInSessionsRequestBuilder } from './revokeSignInSessions/revokeSignInSessionsRequestBuilder';
import { SendMailRequestBuilder } from './sendMail/sendMailRequestBuilder';
import { TranslateExchangeIdsRequestBuilder } from './translateExchangeIds/translateExchangeIdsRequestBuilder';
import { UserRequestBuilderGetRequestConfiguration } from './userRequestBuilderGetRequestConfiguration';
import { WipeManagedAppRegistrationsByDeviceTagRequestBuilder } from './wipeManagedAppRegistrationsByDeviceTag/wipeManagedAppRegistrationsByDeviceTagRequestBuilder';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Casts the previous resource to user. */
export declare class UserRequestBuilder {
    /** The assignLicense property */
    get assignLicense(): AssignLicenseRequestBuilder;
    /** The changePassword property */
    get changePassword(): ChangePasswordRequestBuilder;
    /** The checkMemberGroups property */
    get checkMemberGroups(): CheckMemberGroupsRequestBuilder;
    /** The checkMemberObjects property */
    get checkMemberObjects(): CheckMemberObjectsRequestBuilder;
    /** The exportPersonalData property */
    get exportPersonalData(): ExportPersonalDataRequestBuilder;
    /** The findMeetingTimes property */
    get findMeetingTimes(): FindMeetingTimesRequestBuilder;
    /** The getMailTips property */
    get getMailTips(): GetMailTipsRequestBuilder;
    /** The getMemberGroups property */
    get getMemberGroups(): GetMemberGroupsRequestBuilder;
    /** The getMemberObjects property */
    get getMemberObjects(): GetMemberObjectsRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The removeAllDevicesFromManagement property */
    get removeAllDevicesFromManagement(): RemoveAllDevicesFromManagementRequestBuilder;
    /** The reprocessLicenseAssignment property */
    get reprocessLicenseAssignment(): ReprocessLicenseAssignmentRequestBuilder;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** The restore property */
    get restore(): RestoreRequestBuilder;
    /** The revokeSignInSessions property */
    get revokeSignInSessions(): RevokeSignInSessionsRequestBuilder;
    /** The sendMail property */
    get sendMail(): SendMailRequestBuilder;
    /** The translateExchangeIds property */
    get translateExchangeIds(): TranslateExchangeIdsRequestBuilder;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /** The wipeManagedAppRegistrationsByDeviceTag property */
    get wipeManagedAppRegistrationsByDeviceTag(): WipeManagedAppRegistrationsByDeviceTagRequestBuilder;
    /**
     * Instantiates a new UserRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Get the item of type microsoft.graph.directoryObject as microsoft.graph.user
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: UserRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Get the item of type microsoft.graph.directoryObject as microsoft.graph.user
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of User
     */
    get(requestConfiguration?: UserRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<User | undefined>;
    /**
     * Provides operations to call the getManagedAppDiagnosticStatuses method.
     * @returns a getManagedAppDiagnosticStatusesRequestBuilder
     */
    getManagedAppDiagnosticStatuses(): GetManagedAppDiagnosticStatusesRequestBuilder;
    /**
     * Provides operations to call the getManagedAppPolicies method.
     * @returns a getManagedAppPoliciesRequestBuilder
     */
    getManagedAppPolicies(): GetManagedAppPoliciesRequestBuilder;
    /**
     * Provides operations to call the reminderView method.
     * @param EndDateTime Usage: EndDateTime='{EndDateTime}'
     * @param StartDateTime Usage: StartDateTime='{StartDateTime}'
     * @returns a reminderViewWithStartDateTimeWithEndDateTimeRequestBuilder
     */
    reminderViewWithStartDateTimeWithEndDateTime(endDateTime: string | undefined, startDateTime: string | undefined): ReminderViewWithStartDateTimeWithEndDateTimeRequestBuilder;
}
