import { Message } from '../../../../../../../../../../models/';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to call the sendMail method. */
export declare class SendMailPostRequestBody implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The Message property */
    private _message?;
    /** The SaveToSentItems property */
    private _saveToSentItems?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Instantiates a new sendMailPostRequestBody and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the message property value. The Message property
     * @returns a message
     */
    get message(): Message | undefined;
    /**
     * Sets the message property value. The Message property
     * @param value Value to set for the Message property.
     */
    set message(value: Message | undefined);
    /**
     * Gets the saveToSentItems property value. The SaveToSentItems property
     * @returns a boolean
     */
    get saveToSentItems(): boolean | undefined;
    /**
     * Sets the saveToSentItems property value. The SaveToSentItems property
     * @param value Value to set for the SaveToSentItems property.
     */
    set saveToSentItems(value: boolean | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
}
