import { DirectoryObjectCollectionResponse } from '../../../../../../../models/';
import { AppRoleAssignmentRequestBuilder } from './appRoleAssignment/appRoleAssignmentRequestBuilder';
import { CountRequestBuilder } from './count/countRequestBuilder';
import { EndpointRequestBuilder } from './endpoint/endpointRequestBuilder';
import { RegisteredUsersRequestBuilderGetRequestConfiguration } from './registeredUsersRequestBuilderGetRequestConfiguration';
import { ServicePrincipalRequestBuilder } from './servicePrincipal/servicePrincipalRequestBuilder';
import { UserRequestBuilder } from './user/userRequestBuilder';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the registeredUsers property of the microsoft.graph.device entity. */
export declare class RegisteredUsersRequestBuilder {
    /** The appRoleAssignment property */
    get appRoleAssignment(): AppRoleAssignmentRequestBuilder;
    /** The count property */
    get count(): CountRequestBuilder;
    /** The endpoint property */
    get endpoint(): EndpointRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** The servicePrincipal property */
    get servicePrincipal(): ServicePrincipalRequestBuilder;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /** The user property */
    get user(): UserRequestBuilder;
    /**
     * Instantiates a new RegisteredUsersRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Collection of registered users of the device. For cloud joined devices and registered personal devices, registered users are set to the same value as registered owners at the time of registration. Read-only. Nullable. Supports $expand.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: RegisteredUsersRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Collection of registered users of the device. For cloud joined devices and registered personal devices, registered users are set to the same value as registered owners at the time of registration. Read-only. Nullable. Supports $expand.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of DirectoryObjectCollectionResponse
     */
    get(requestConfiguration?: RegisteredUsersRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<DirectoryObjectCollectionResponse | undefined>;
}
