"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetSchedulePostRequestBody = void 0;
const createDateTimeTimeZoneFromDiscriminatorValue_1 = require("../../../../../../../models/createDateTimeTimeZoneFromDiscriminatorValue");
/** Provides operations to call the getSchedule method. */
class GetSchedulePostRequestBody {
    /**
     * Instantiates a new getSchedulePostRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the availabilityViewInterval property value. The AvailabilityViewInterval property
     * @returns a integer
     */
    get availabilityViewInterval() {
        return this._availabilityViewInterval;
    }
    ;
    /**
     * Sets the availabilityViewInterval property value. The AvailabilityViewInterval property
     * @param value Value to set for the AvailabilityViewInterval property.
     */
    set availabilityViewInterval(value) {
        this._availabilityViewInterval = value;
    }
    ;
    ;
    /**
     * Gets the endTime property value. The EndTime property
     * @returns a dateTimeTimeZone
     */
    get endTime() {
        return this._endTime;
    }
    ;
    /**
     * Sets the endTime property value. The EndTime property
     * @param value Value to set for the EndTime property.
     */
    set endTime(value) {
        this._endTime = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "availabilityViewInterval": n => { this.availabilityViewInterval = n.getNumberValue(); },
            "endTime": n => { this.endTime = n.getObjectValue(createDateTimeTimeZoneFromDiscriminatorValue_1.createDateTimeTimeZoneFromDiscriminatorValue); },
            "schedules": n => { this.schedules = n.getCollectionOfPrimitiveValues(); },
            "startTime": n => { this.startTime = n.getObjectValue(createDateTimeTimeZoneFromDiscriminatorValue_1.createDateTimeTimeZoneFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Gets the schedules property value. The Schedules property
     * @returns a string
     */
    get schedules() {
        return this._schedules;
    }
    ;
    /**
     * Sets the schedules property value. The Schedules property
     * @param value Value to set for the Schedules property.
     */
    set schedules(value) {
        this._schedules = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeNumberValue("availabilityViewInterval", this.availabilityViewInterval);
        writer.writeObjectValue("endTime", this.endTime);
        writer.writeCollectionOfPrimitiveValues("schedules", this.schedules);
        writer.writeObjectValue("startTime", this.startTime);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the startTime property value. The StartTime property
     * @returns a dateTimeTimeZone
     */
    get startTime() {
        return this._startTime;
    }
    ;
    /**
     * Sets the startTime property value. The StartTime property
     * @param value Value to set for the StartTime property.
     */
    set startTime(value) {
        this._startTime = value;
    }
    ;
}
exports.GetSchedulePostRequestBody = GetSchedulePostRequestBody;
