/** The calendar view for the calendar. Read-only. Nullable. */
export declare class EventItemRequestBuilderGetQueryParameters {
    /** The end date and time of the time range, represented in ISO 8601 format. For example, 2019-11-08T20:00:00-08:00 */
    endDateTime?: string | undefined;
    /** Select properties to be returned */
    select?: string[] | undefined;
    /** The start date and time of the time range, represented in ISO 8601 format. For example, 2019-11-08T19:00:00-08:00 */
    startDateTime?: string | undefined;
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName: string | undefined): string;
}
