"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChildFoldersRequestBuilderGetQueryParameters = void 0;
/** The collection of child folders in the folder. Navigation property. Read-only. Nullable. */
class ChildFoldersRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "count": return "%24count";
            case "expand": return "%24expand";
            case "filter": return "%24filter";
            case "orderby": return "%24orderby";
            case "select": return "%24select";
            case "skip": return "%24skip";
            case "top": return "%24top";
            default: return originalName;
        }
    }
    ;
}
exports.ChildFoldersRequestBuilderGetQueryParameters = ChildFoldersRequestBuilderGetQueryParameters;
