"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExportPersonalDataPostRequestBody = void 0;
/** Provides operations to call the exportPersonalData method. */
class ExportPersonalDataPostRequestBody {
    /**
     * Instantiates a new exportPersonalDataPostRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "storageLocation": n => { this.storageLocation = n.getStringValue(); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("storageLocation", this.storageLocation);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the storageLocation property value. The storageLocation property
     * @returns a string
     */
    get storageLocation() {
        return this._storageLocation;
    }
    ;
    /**
     * Sets the storageLocation property value. The storageLocation property
     * @param value Value to set for the storageLocation property.
     */
    set storageLocation(value) {
        this._storageLocation = value;
    }
    ;
}
exports.ExportPersonalDataPostRequestBody = ExportPersonalDataPostRequestBody;
