import { ExchangeIdFormat } from '../../../../../../models/exchangeIdFormat';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to call the translateExchangeIds method. */
export declare class TranslateExchangeIdsPostRequestBody implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The InputIds property */
    private _inputIds?;
    /** The SourceIdType property */
    private _sourceIdType?;
    /** The TargetIdType property */
    private _targetIdType?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Instantiates a new translateExchangeIdsPostRequestBody and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the inputIds property value. The InputIds property
     * @returns a string
     */
    get inputIds(): string[] | undefined;
    /**
     * Sets the inputIds property value. The InputIds property
     * @param value Value to set for the InputIds property.
     */
    set inputIds(value: string[] | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the sourceIdType property value. The SourceIdType property
     * @returns a exchangeIdFormat
     */
    get sourceIdType(): ExchangeIdFormat | undefined;
    /**
     * Sets the sourceIdType property value. The SourceIdType property
     * @param value Value to set for the SourceIdType property.
     */
    set sourceIdType(value: ExchangeIdFormat | undefined);
    /**
     * Gets the targetIdType property value. The TargetIdType property
     * @returns a exchangeIdFormat
     */
    get targetIdType(): ExchangeIdFormat | undefined;
    /**
     * Sets the targetIdType property value. The TargetIdType property
     * @param value Value to set for the TargetIdType property.
     */
    set targetIdType(value: ExchangeIdFormat | undefined);
}
