"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SharePostRequestBody = void 0;
/** Provides operations to call the share method. */
class SharePostRequestBody {
    /**
     * Instantiates a new sharePostRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the endDateTime property value. The endDateTime property
     * @returns a Date
     */
    get endDateTime() {
        return this._endDateTime;
    }
    ;
    /**
     * Sets the endDateTime property value. The endDateTime property
     * @param value Value to set for the endDateTime property.
     */
    set endDateTime(value) {
        this._endDateTime = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "endDateTime": n => { this.endDateTime = n.getDateValue(); },
            "notifyTeam": n => { this.notifyTeam = n.getBooleanValue(); },
            "startDateTime": n => { this.startDateTime = n.getDateValue(); },
        };
    }
    ;
    /**
     * Gets the notifyTeam property value. The notifyTeam property
     * @returns a boolean
     */
    get notifyTeam() {
        return this._notifyTeam;
    }
    ;
    /**
     * Sets the notifyTeam property value. The notifyTeam property
     * @param value Value to set for the notifyTeam property.
     */
    set notifyTeam(value) {
        this._notifyTeam = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeDateValue("endDateTime", this.endDateTime);
        writer.writeBooleanValue("notifyTeam", this.notifyTeam);
        writer.writeDateValue("startDateTime", this.startDateTime);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the startDateTime property value. The startDateTime property
     * @returns a Date
     */
    get startDateTime() {
        return this._startDateTime;
    }
    ;
    /**
     * Sets the startDateTime property value. The startDateTime property
     * @param value Value to set for the startDateTime property.
     */
    set startDateTime(value) {
        this._startDateTime = value;
    }
    ;
}
exports.SharePostRequestBody = SharePostRequestBody;
