import { Message } from '../../../../../../../models/';
import { CreateReplyAllRequestBuilderPostRequestConfiguration } from './createReplyAllRequestBuilderPostRequestConfiguration';
import { CreateReplyAllPostRequestBody } from './index';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to call the createReplyAll method. */
export declare class CreateReplyAllRequestBuilder {
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Instantiates a new CreateReplyAllRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action createReplyAll
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPostRequestInformation(body: CreateReplyAllPostRequestBody | undefined, requestConfiguration?: CreateReplyAllRequestBuilderPostRequestConfiguration | undefined): RequestInformation;
    /**
     * Invoke action createReplyAll
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of Message
     */
    post(body: CreateReplyAllPostRequestBody | undefined, requestConfiguration?: CreateReplyAllRequestBuilderPostRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<Message | undefined>;
}
