"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ForwardPostRequestBody = void 0;
const createMessageFromDiscriminatorValue_1 = require("../../../../../models/createMessageFromDiscriminatorValue");
const createRecipientFromDiscriminatorValue_1 = require("../../../../../models/createRecipientFromDiscriminatorValue");
/** Provides operations to call the forward method. */
class ForwardPostRequestBody {
    /**
     * Instantiates a new forwardPostRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the comment property value. The Comment property
     * @returns a string
     */
    get comment() {
        return this._comment;
    }
    ;
    /**
     * Sets the comment property value. The Comment property
     * @param value Value to set for the Comment property.
     */
    set comment(value) {
        this._comment = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "comment": n => { this.comment = n.getStringValue(); },
            "message": n => { this.message = n.getObjectValue(createMessageFromDiscriminatorValue_1.createMessageFromDiscriminatorValue); },
            "toRecipients": n => { this.toRecipients = n.getCollectionOfObjectValues(createRecipientFromDiscriminatorValue_1.createRecipientFromDiscriminatorValue); },
        };
    }
    ;
    /**
     * Gets the message property value. The Message property
     * @returns a message
     */
    get message() {
        return this._message;
    }
    ;
    /**
     * Sets the message property value. The Message property
     * @param value Value to set for the Message property.
     */
    set message(value) {
        this._message = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("comment", this.comment);
        writer.writeObjectValue("message", this.message);
        writer.writeCollectionOfObjectValues("toRecipients", this.toRecipients);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the toRecipients property value. The ToRecipients property
     * @returns a recipient
     */
    get toRecipients() {
        return this._toRecipients;
    }
    ;
    /**
     * Sets the toRecipients property value. The ToRecipients property
     * @param value Value to set for the ToRecipients property.
     */
    set toRecipients(value) {
        this._toRecipients = value;
    }
    ;
}
exports.ForwardPostRequestBody = ForwardPostRequestBody;
