import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to call the copyNotebook method. */
export declare class CopyNotebookPostRequestBody implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The groupId property */
    private _groupId?;
    /** The notebookFolder property */
    private _notebookFolder?;
    /** The renameAs property */
    private _renameAs?;
    /** The siteCollectionId property */
    private _siteCollectionId?;
    /** The siteId property */
    private _siteId?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Instantiates a new copyNotebookPostRequestBody and sets the default values.
     */
    constructor();
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the groupId property value. The groupId property
     * @returns a string
     */
    get groupId(): string | undefined;
    /**
     * Sets the groupId property value. The groupId property
     * @param value Value to set for the groupId property.
     */
    set groupId(value: string | undefined);
    /**
     * Gets the notebookFolder property value. The notebookFolder property
     * @returns a string
     */
    get notebookFolder(): string | undefined;
    /**
     * Sets the notebookFolder property value. The notebookFolder property
     * @param value Value to set for the notebookFolder property.
     */
    set notebookFolder(value: string | undefined);
    /**
     * Gets the renameAs property value. The renameAs property
     * @returns a string
     */
    get renameAs(): string | undefined;
    /**
     * Sets the renameAs property value. The renameAs property
     * @param value Value to set for the renameAs property.
     */
    set renameAs(value: string | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the siteCollectionId property value. The siteCollectionId property
     * @returns a string
     */
    get siteCollectionId(): string | undefined;
    /**
     * Sets the siteCollectionId property value. The siteCollectionId property
     * @param value Value to set for the siteCollectionId property.
     */
    set siteCollectionId(value: string | undefined);
    /**
     * Gets the siteId property value. The siteId property
     * @returns a string
     */
    get siteId(): string | undefined;
    /**
     * Sets the siteId property value. The siteId property
     * @param value Value to set for the siteId property.
     */
    set siteId(value: string | undefined);
}
