"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OnenoteOperationItemRequestBuilderGetQueryParameters = void 0;
/** The status of OneNote operations. Getting an operations collection is not supported, but you can get the status of long-running operations if the Operation-Location header is returned in the response. Read-only. Nullable. */
class OnenoteOperationItemRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "expand": return "%24expand";
            case "select": return "%24select";
            default: return originalName;
        }
    }
    ;
}
exports.OnenoteOperationItemRequestBuilderGetQueryParameters = OnenoteOperationItemRequestBuilderGetQueryParameters;
