"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CopyToNotebookPostRequestBody = void 0;
/** Provides operations to call the copyToNotebook method. */
class CopyToNotebookPostRequestBody {
    /**
     * Instantiates a new copyToNotebookPostRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "groupId": n => { this.groupId = n.getStringValue(); },
            "id": n => { this.id = n.getStringValue(); },
            "renameAs": n => { this.renameAs = n.getStringValue(); },
            "siteCollectionId": n => { this.siteCollectionId = n.getStringValue(); },
            "siteId": n => { this.siteId = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the groupId property value. The groupId property
     * @returns a string
     */
    get groupId() {
        return this._groupId;
    }
    ;
    /**
     * Sets the groupId property value. The groupId property
     * @param value Value to set for the groupId property.
     */
    set groupId(value) {
        this._groupId = value;
    }
    ;
    /**
     * Gets the id property value. The id property
     * @returns a string
     */
    get id() {
        return this._id;
    }
    ;
    /**
     * Sets the id property value. The id property
     * @param value Value to set for the id property.
     */
    set id(value) {
        this._id = value;
    }
    ;
    /**
     * Gets the renameAs property value. The renameAs property
     * @returns a string
     */
    get renameAs() {
        return this._renameAs;
    }
    ;
    /**
     * Sets the renameAs property value. The renameAs property
     * @param value Value to set for the renameAs property.
     */
    set renameAs(value) {
        this._renameAs = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("groupId", this.groupId);
        writer.writeStringValue("id", this.id);
        writer.writeStringValue("renameAs", this.renameAs);
        writer.writeStringValue("siteCollectionId", this.siteCollectionId);
        writer.writeStringValue("siteId", this.siteId);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the siteCollectionId property value. The siteCollectionId property
     * @returns a string
     */
    get siteCollectionId() {
        return this._siteCollectionId;
    }
    ;
    /**
     * Sets the siteCollectionId property value. The siteCollectionId property
     * @param value Value to set for the siteCollectionId property.
     */
    set siteCollectionId(value) {
        this._siteCollectionId = value;
    }
    ;
    /**
     * Gets the siteId property value. The siteId property
     * @returns a string
     */
    get siteId() {
        return this._siteId;
    }
    ;
    /**
     * Sets the siteId property value. The siteId property
     * @param value Value to set for the siteId property.
     */
    set siteId(value) {
        this._siteId = value;
    }
    ;
}
exports.CopyToNotebookPostRequestBody = CopyToNotebookPostRequestBody;
