import { OnenoteSection } from '../../../../../../../models/';
import { CopyToNotebookRequestBuilder } from './copyToNotebook/copyToNotebookRequestBuilder';
import { CopyToSectionGroupRequestBuilder } from './copyToSectionGroup/copyToSectionGroupRequestBuilder';
import { OnenoteSectionItemRequestBuilderDeleteRequestConfiguration } from './onenoteSectionItemRequestBuilderDeleteRequestConfiguration';
import { OnenoteSectionItemRequestBuilderGetRequestConfiguration } from './onenoteSectionItemRequestBuilderGetRequestConfiguration';
import { OnenoteSectionItemRequestBuilderPatchRequestConfiguration } from './onenoteSectionItemRequestBuilderPatchRequestConfiguration';
import { OnenotePageItemRequestBuilder } from './pages/item/onenotePageItemRequestBuilder';
import { PagesRequestBuilder } from './pages/pagesRequestBuilder';
import { ParentNotebookRequestBuilder } from './parentNotebook/parentNotebookRequestBuilder';
import { ParentSectionGroupRequestBuilder } from './parentSectionGroup/parentSectionGroupRequestBuilder';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the sections property of the microsoft.graph.sectionGroup entity. */
export declare class OnenoteSectionItemRequestBuilder {
    /** The copyToNotebook property */
    get copyToNotebook(): CopyToNotebookRequestBuilder;
    /** The copyToSectionGroup property */
    get copyToSectionGroup(): CopyToSectionGroupRequestBuilder;
    /** The pages property */
    get pages(): PagesRequestBuilder;
    /** The parentNotebook property */
    get parentNotebook(): ParentNotebookRequestBuilder;
    /** The parentSectionGroup property */
    get parentSectionGroup(): ParentSectionGroupRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Instantiates a new OnenoteSectionItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property sections for users
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createDeleteRequestInformation(requestConfiguration?: OnenoteSectionItemRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * The sections in the section group. Read-only. Nullable.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: OnenoteSectionItemRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property sections in users
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body: OnenoteSection | undefined, requestConfiguration?: OnenoteSectionItemRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Delete navigation property sections for users
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    delete(requestConfiguration?: OnenoteSectionItemRequestBuilderDeleteRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * The sections in the section group. Read-only. Nullable.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of OnenoteSection
     */
    get(requestConfiguration?: OnenoteSectionItemRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<OnenoteSection | undefined>;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.onenote.sectionGroups.item.sections.item.pages.item collection
     * @param id Unique identifier of the item
     * @returns a onenotePageItemRequestBuilder
     */
    pagesById(id: string): OnenotePageItemRequestBuilder;
    /**
     * Update the navigation property sections in users
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body: OnenoteSection | undefined, requestConfiguration?: OnenoteSectionItemRequestBuilderPatchRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
}
