import { ChatInfo, MeetingParticipants } from '../../../../models/';
import { AdditionalDataHolder, Parsable, ParseNode, SerializationWriter } from '@microsoft/kiota-abstractions';
/** Provides operations to call the createOrGet method. */
export declare class CreateOrGetPostRequestBody implements AdditionalDataHolder, Parsable {
    /** Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well. */
    private _additionalData;
    /** The chatInfo property */
    private _chatInfo?;
    /** The endDateTime property */
    private _endDateTime?;
    /** The externalId property */
    private _externalId?;
    /** The participants property */
    private _participants?;
    /** The startDateTime property */
    private _startDateTime?;
    /** The subject property */
    private _subject?;
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData(): Record<string, unknown>;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value: Record<string, unknown>);
    /**
     * Gets the chatInfo property value. The chatInfo property
     * @returns a chatInfo
     */
    get chatInfo(): ChatInfo | undefined;
    /**
     * Sets the chatInfo property value. The chatInfo property
     * @param value Value to set for the chatInfo property.
     */
    set chatInfo(value: ChatInfo | undefined);
    /**
     * Instantiates a new createOrGetPostRequestBody and sets the default values.
     */
    constructor();
    /**
     * Gets the endDateTime property value. The endDateTime property
     * @returns a Date
     */
    get endDateTime(): Date | undefined;
    /**
     * Sets the endDateTime property value. The endDateTime property
     * @param value Value to set for the endDateTime property.
     */
    set endDateTime(value: Date | undefined);
    /**
     * Gets the externalId property value. The externalId property
     * @returns a string
     */
    get externalId(): string | undefined;
    /**
     * Sets the externalId property value. The externalId property
     * @param value Value to set for the externalId property.
     */
    set externalId(value: string | undefined);
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers(): Record<string, (node: ParseNode) => void>;
    /**
     * Gets the participants property value. The participants property
     * @returns a meetingParticipants
     */
    get participants(): MeetingParticipants | undefined;
    /**
     * Sets the participants property value. The participants property
     * @param value Value to set for the participants property.
     */
    set participants(value: MeetingParticipants | undefined);
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer: SerializationWriter): void;
    /**
     * Gets the startDateTime property value. The startDateTime property
     * @returns a Date
     */
    get startDateTime(): Date | undefined;
    /**
     * Sets the startDateTime property value. The startDateTime property
     * @param value Value to set for the startDateTime property.
     */
    set startDateTime(value: Date | undefined);
    /**
     * Gets the subject property value. The subject property
     * @returns a string
     */
    get subject(): string | undefined;
    /**
     * Sets the subject property value. The subject property
     * @param value Value to set for the subject property.
     */
    set subject(value: string | undefined);
}
