"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateOrGetPostRequestBody = void 0;
const createChatInfoFromDiscriminatorValue_1 = require("../../../../models/createChatInfoFromDiscriminatorValue");
const createMeetingParticipantsFromDiscriminatorValue_1 = require("../../../../models/createMeetingParticipantsFromDiscriminatorValue");
/** Provides operations to call the createOrGet method. */
class CreateOrGetPostRequestBody {
    /**
     * Instantiates a new createOrGetPostRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the chatInfo property value. The chatInfo property
     * @returns a chatInfo
     */
    get chatInfo() {
        return this._chatInfo;
    }
    ;
    /**
     * Sets the chatInfo property value. The chatInfo property
     * @param value Value to set for the chatInfo property.
     */
    set chatInfo(value) {
        this._chatInfo = value;
    }
    ;
    ;
    /**
     * Gets the endDateTime property value. The endDateTime property
     * @returns a Date
     */
    get endDateTime() {
        return this._endDateTime;
    }
    ;
    /**
     * Sets the endDateTime property value. The endDateTime property
     * @param value Value to set for the endDateTime property.
     */
    set endDateTime(value) {
        this._endDateTime = value;
    }
    ;
    /**
     * Gets the externalId property value. The externalId property
     * @returns a string
     */
    get externalId() {
        return this._externalId;
    }
    ;
    /**
     * Sets the externalId property value. The externalId property
     * @param value Value to set for the externalId property.
     */
    set externalId(value) {
        this._externalId = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "chatInfo": n => { this.chatInfo = n.getObjectValue(createChatInfoFromDiscriminatorValue_1.createChatInfoFromDiscriminatorValue); },
            "endDateTime": n => { this.endDateTime = n.getDateValue(); },
            "externalId": n => { this.externalId = n.getStringValue(); },
            "participants": n => { this.participants = n.getObjectValue(createMeetingParticipantsFromDiscriminatorValue_1.createMeetingParticipantsFromDiscriminatorValue); },
            "startDateTime": n => { this.startDateTime = n.getDateValue(); },
            "subject": n => { this.subject = n.getStringValue(); },
        };
    }
    ;
    /**
     * Gets the participants property value. The participants property
     * @returns a meetingParticipants
     */
    get participants() {
        return this._participants;
    }
    ;
    /**
     * Sets the participants property value. The participants property
     * @param value Value to set for the participants property.
     */
    set participants(value) {
        this._participants = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeObjectValue("chatInfo", this.chatInfo);
        writer.writeDateValue("endDateTime", this.endDateTime);
        writer.writeStringValue("externalId", this.externalId);
        writer.writeObjectValue("participants", this.participants);
        writer.writeDateValue("startDateTime", this.startDateTime);
        writer.writeStringValue("subject", this.subject);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the startDateTime property value. The startDateTime property
     * @returns a Date
     */
    get startDateTime() {
        return this._startDateTime;
    }
    ;
    /**
     * Sets the startDateTime property value. The startDateTime property
     * @param value Value to set for the startDateTime property.
     */
    set startDateTime(value) {
        this._startDateTime = value;
    }
    ;
    /**
     * Gets the subject property value. The subject property
     * @returns a string
     */
    get subject() {
        return this._subject;
    }
    ;
    /**
     * Sets the subject property value. The subject property
     * @param value Value to set for the subject property.
     */
    set subject(value) {
        this._subject = value;
    }
    ;
}
exports.CreateOrGetPostRequestBody = CreateOrGetPostRequestBody;
