import { OnlineMeeting } from '../../../../models/';
import { AttendanceReportsRequestBuilder } from './attendanceReports/attendanceReportsRequestBuilder';
import { MeetingAttendanceReportItemRequestBuilder } from './attendanceReports/item/meetingAttendanceReportItemRequestBuilder';
import { AttendeeReportRequestBuilder } from './attendeeReport/attendeeReportRequestBuilder';
import { OnlineMeetingItemRequestBuilderDeleteRequestConfiguration } from './onlineMeetingItemRequestBuilderDeleteRequestConfiguration';
import { OnlineMeetingItemRequestBuilderGetRequestConfiguration } from './onlineMeetingItemRequestBuilderGetRequestConfiguration';
import { OnlineMeetingItemRequestBuilderPatchRequestConfiguration } from './onlineMeetingItemRequestBuilderPatchRequestConfiguration';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the onlineMeetings property of the microsoft.graph.user entity. */
export declare class OnlineMeetingItemRequestBuilder {
    /** The attendanceReports property */
    get attendanceReports(): AttendanceReportsRequestBuilder;
    /** The attendeeReport property */
    get attendeeReport(): AttendeeReportRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.onlineMeetings.item.attendanceReports.item collection
     * @param id Unique identifier of the item
     * @returns a meetingAttendanceReportItemRequestBuilder
     */
    attendanceReportsById(id: string): MeetingAttendanceReportItemRequestBuilder;
    /**
     * Instantiates a new OnlineMeetingItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Delete navigation property onlineMeetings for users
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createDeleteRequestInformation(requestConfiguration?: OnlineMeetingItemRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * Get onlineMeetings from users
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createGetRequestInformation(requestConfiguration?: OnlineMeetingItemRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * Update the navigation property onlineMeetings in users
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body: OnlineMeeting | undefined, requestConfiguration?: OnlineMeetingItemRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * Delete navigation property onlineMeetings for users
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    delete(requestConfiguration?: OnlineMeetingItemRequestBuilderDeleteRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Get onlineMeetings from users
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of OnlineMeeting
     */
    get(requestConfiguration?: OnlineMeetingItemRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<OnlineMeeting | undefined>;
    /**
     * Update the navigation property onlineMeetings in users
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body: OnlineMeeting | undefined, requestConfiguration?: OnlineMeetingItemRequestBuilderPatchRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
}
