"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PersonItemRequestBuilderGetQueryParameters = void 0;
/** Read-only. The most relevant people to the user. The collection is ordered by their relevance to the user, which is determined by the user's communication, collaboration and business relationships. A person is an aggregation of information from across mail, contacts and social networks. */
class PersonItemRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "select": return "%24select";
            default: return originalName;
        }
    }
    ;
}
exports.PersonItemRequestBuilderGetQueryParameters = PersonItemRequestBuilderGetQueryParameters;
