"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SendMailPostRequestBody = void 0;
const createMessageFromDiscriminatorValue_1 = require("../../../../../../models/createMessageFromDiscriminatorValue");
/** Provides operations to call the sendMail method. */
class SendMailPostRequestBody {
    /**
     * Instantiates a new sendMailPostRequestBody and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "message": n => { this.message = n.getObjectValue(createMessageFromDiscriminatorValue_1.createMessageFromDiscriminatorValue); },
            "saveToSentItems": n => { this.saveToSentItems = n.getBooleanValue(); },
        };
    }
    ;
    /**
     * Gets the message property value. The Message property
     * @returns a message
     */
    get message() {
        return this._message;
    }
    ;
    /**
     * Sets the message property value. The Message property
     * @param value Value to set for the Message property.
     */
    set message(value) {
        this._message = value;
    }
    ;
    /**
     * Gets the saveToSentItems property value. The SaveToSentItems property
     * @returns a boolean
     */
    get saveToSentItems() {
        return this._saveToSentItems;
    }
    ;
    /**
     * Sets the saveToSentItems property value. The SaveToSentItems property
     * @param value Value to set for the SaveToSentItems property.
     */
    set saveToSentItems(value) {
        this._saveToSentItems = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeObjectValue("message", this.message);
        writer.writeBooleanValue("saveToSentItems", this.saveToSentItems);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
}
exports.SendMailPostRequestBody = SendMailPostRequestBody;
