import { User } from '../../models/';
import { ActivitiesRequestBuilder } from './activities/activitiesRequestBuilder';
import { UserActivityItemRequestBuilder } from './activities/item/userActivityItemRequestBuilder';
import { AgreementAcceptancesRequestBuilder } from './agreementAcceptances/agreementAcceptancesRequestBuilder';
import { AgreementAcceptanceItemRequestBuilder } from './agreementAcceptances/item/agreementAcceptanceItemRequestBuilder';
import { AppRoleAssignmentsRequestBuilder } from './appRoleAssignments/appRoleAssignmentsRequestBuilder';
import { AppRoleAssignmentItemRequestBuilder } from './appRoleAssignments/item/appRoleAssignmentItemRequestBuilder';
import { AssignLicenseRequestBuilder } from './assignLicense/assignLicenseRequestBuilder';
import { AuthenticationRequestBuilder } from './authentication/authenticationRequestBuilder';
import { CalendarRequestBuilder } from './calendar/calendarRequestBuilder';
import { CalendarGroupsRequestBuilder } from './calendarGroups/calendarGroupsRequestBuilder';
import { CalendarGroupItemRequestBuilder } from './calendarGroups/item/calendarGroupItemRequestBuilder';
import { CalendarsRequestBuilder } from './calendars/calendarsRequestBuilder';
import { CalendarItemRequestBuilder } from './calendars/item/calendarItemRequestBuilder';
import { CalendarViewRequestBuilder } from './calendarView/calendarViewRequestBuilder';
import { EventItemRequestBuilder as id3b0f8d7750ef07c7c51c3665fd3af3a01ad07e883ee0764d77a38f1b1ba3fdf } from './calendarView/item/eventItemRequestBuilder';
import { ChangePasswordRequestBuilder } from './changePassword/changePasswordRequestBuilder';
import { ChatsRequestBuilder } from './chats/chatsRequestBuilder';
import { ChatItemRequestBuilder } from './chats/item/chatItemRequestBuilder';
import { CheckMemberGroupsRequestBuilder } from './checkMemberGroups/checkMemberGroupsRequestBuilder';
import { CheckMemberObjectsRequestBuilder } from './checkMemberObjects/checkMemberObjectsRequestBuilder';
import { ContactFoldersRequestBuilder } from './contactFolders/contactFoldersRequestBuilder';
import { ContactFolderItemRequestBuilder } from './contactFolders/item/contactFolderItemRequestBuilder';
import { ContactsRequestBuilder } from './contacts/contactsRequestBuilder';
import { ContactItemRequestBuilder } from './contacts/item/contactItemRequestBuilder';
import { CreatedObjectsRequestBuilder } from './createdObjects/createdObjectsRequestBuilder';
import { DirectoryObjectItemRequestBuilder as if3aa3c8c1d4c5b40c695a98805baefd351b0d91d53e7bcb61f08f4534db827d9 } from './createdObjects/item/directoryObjectItemRequestBuilder';
import { DeviceManagementTroubleshootingEventsRequestBuilder } from './deviceManagementTroubleshootingEvents/deviceManagementTroubleshootingEventsRequestBuilder';
import { DeviceManagementTroubleshootingEventItemRequestBuilder } from './deviceManagementTroubleshootingEvents/item/deviceManagementTroubleshootingEventItemRequestBuilder';
import { DirectReportsRequestBuilder } from './directReports/directReportsRequestBuilder';
import { DirectoryObjectItemRequestBuilder as ie4f7a3adc11feb16fc44557a4d5a2e2ae50e64f4641f289eb2036f52124e4dc5 } from './directReports/item/directoryObjectItemRequestBuilder';
import { DriveRequestBuilder } from './drive/driveRequestBuilder';
import { DrivesRequestBuilder } from './drives/drivesRequestBuilder';
import { DriveItemRequestBuilder } from './drives/item/driveItemRequestBuilder';
import { EventsRequestBuilder } from './events/eventsRequestBuilder';
import { EventItemRequestBuilder as idff49b5aa167ad3a60a502a055381eb631511ac272b610e97e2ee7f0205633e2 } from './events/item/eventItemRequestBuilder';
import { ExportPersonalDataRequestBuilder } from './exportPersonalData/exportPersonalDataRequestBuilder';
import { ExtensionsRequestBuilder } from './extensions/extensionsRequestBuilder';
import { ExtensionItemRequestBuilder } from './extensions/item/extensionItemRequestBuilder';
import { FindMeetingTimesRequestBuilder } from './findMeetingTimes/findMeetingTimesRequestBuilder';
import { FollowedSitesRequestBuilder } from './followedSites/followedSitesRequestBuilder';
import { SiteItemRequestBuilder } from './followedSites/item/siteItemRequestBuilder';
import { GetMailTipsRequestBuilder } from './getMailTips/getMailTipsRequestBuilder';
import { GetManagedAppDiagnosticStatusesRequestBuilder } from './getManagedAppDiagnosticStatuses/getManagedAppDiagnosticStatusesRequestBuilder';
import { GetManagedAppPoliciesRequestBuilder } from './getManagedAppPolicies/getManagedAppPoliciesRequestBuilder';
import { GetMemberGroupsRequestBuilder } from './getMemberGroups/getMemberGroupsRequestBuilder';
import { GetMemberObjectsRequestBuilder } from './getMemberObjects/getMemberObjectsRequestBuilder';
import { InferenceClassificationRequestBuilder } from './inferenceClassification/inferenceClassificationRequestBuilder';
import { InsightsRequestBuilder } from './insights/insightsRequestBuilder';
import { TeamItemRequestBuilder } from './joinedTeams/item/teamItemRequestBuilder';
import { JoinedTeamsRequestBuilder } from './joinedTeams/joinedTeamsRequestBuilder';
import { LicenseDetailsItemRequestBuilder } from './licenseDetails/item/licenseDetailsItemRequestBuilder';
import { LicenseDetailsRequestBuilder } from './licenseDetails/licenseDetailsRequestBuilder';
import { MailFolderItemRequestBuilder } from './mailFolders/item/mailFolderItemRequestBuilder';
import { MailFoldersRequestBuilder } from './mailFolders/mailFoldersRequestBuilder';
import { ManagedAppRegistrationItemRequestBuilder } from './managedAppRegistrations/item/managedAppRegistrationItemRequestBuilder';
import { ManagedAppRegistrationsRequestBuilder } from './managedAppRegistrations/managedAppRegistrationsRequestBuilder';
import { ManagedDeviceItemRequestBuilder } from './managedDevices/item/managedDeviceItemRequestBuilder';
import { ManagedDevicesRequestBuilder } from './managedDevices/managedDevicesRequestBuilder';
import { ManagerRequestBuilder } from './manager/managerRequestBuilder';
import { DirectoryObjectItemRequestBuilder as i18f52bf6bc5c1c8b3304492b981916ccf9ebb43631988ec15e02d772cfb00573 } from './memberOf/item/directoryObjectItemRequestBuilder';
import { MemberOfRequestBuilder } from './memberOf/memberOfRequestBuilder';
import { MessageItemRequestBuilder } from './messages/item/messageItemRequestBuilder';
import { MessagesRequestBuilder } from './messages/messagesRequestBuilder';
import { OAuth2PermissionGrantItemRequestBuilder } from './oauth2PermissionGrants/item/oAuth2PermissionGrantItemRequestBuilder';
import { Oauth2PermissionGrantsRequestBuilder } from './oauth2PermissionGrants/oauth2PermissionGrantsRequestBuilder';
import { OnenoteRequestBuilder } from './onenote/onenoteRequestBuilder';
import { OnlineMeetingItemRequestBuilder } from './onlineMeetings/item/onlineMeetingItemRequestBuilder';
import { OnlineMeetingsRequestBuilder } from './onlineMeetings/onlineMeetingsRequestBuilder';
import { OutlookRequestBuilder } from './outlook/outlookRequestBuilder';
import { DirectoryObjectItemRequestBuilder as i2aef51b84a32beb2693af5b7b8a2f55a4fd109a7efad565592698239164d682a } from './ownedDevices/item/directoryObjectItemRequestBuilder';
import { OwnedDevicesRequestBuilder } from './ownedDevices/ownedDevicesRequestBuilder';
import { DirectoryObjectItemRequestBuilder as i058626e962792aedcea1eb90a3e6876666fcf8731682e43a2bde0e3625fa31da } from './ownedObjects/item/directoryObjectItemRequestBuilder';
import { OwnedObjectsRequestBuilder } from './ownedObjects/ownedObjectsRequestBuilder';
import { PersonItemRequestBuilder } from './people/item/personItemRequestBuilder';
import { PeopleRequestBuilder } from './people/peopleRequestBuilder';
import { PhotoRequestBuilder } from './photo/photoRequestBuilder';
import { ProfilePhotoItemRequestBuilder } from './photos/item/profilePhotoItemRequestBuilder';
import { PhotosRequestBuilder } from './photos/photosRequestBuilder';
import { PlannerRequestBuilder } from './planner/plannerRequestBuilder';
import { PresenceRequestBuilder } from './presence/presenceRequestBuilder';
import { DirectoryObjectItemRequestBuilder as i7d79802aaceac043beca51df3db3db8ed8431b0c91cd8325b5b0abf2ead40bcb } from './registeredDevices/item/directoryObjectItemRequestBuilder';
import { RegisteredDevicesRequestBuilder } from './registeredDevices/registeredDevicesRequestBuilder';
import { ReminderViewWithStartDateTimeWithEndDateTimeRequestBuilder } from './reminderViewWithStartDateTimeWithEndDateTime/reminderViewWithStartDateTimeWithEndDateTimeRequestBuilder';
import { RemoveAllDevicesFromManagementRequestBuilder } from './removeAllDevicesFromManagement/removeAllDevicesFromManagementRequestBuilder';
import { ReprocessLicenseAssignmentRequestBuilder } from './reprocessLicenseAssignment/reprocessLicenseAssignmentRequestBuilder';
import { RestoreRequestBuilder } from './restore/restoreRequestBuilder';
import { RevokeSignInSessionsRequestBuilder } from './revokeSignInSessions/revokeSignInSessionsRequestBuilder';
import { ScopedRoleMembershipItemRequestBuilder } from './scopedRoleMemberOf/item/scopedRoleMembershipItemRequestBuilder';
import { ScopedRoleMemberOfRequestBuilder } from './scopedRoleMemberOf/scopedRoleMemberOfRequestBuilder';
import { SendMailRequestBuilder } from './sendMail/sendMailRequestBuilder';
import { SettingsRequestBuilder } from './settings/settingsRequestBuilder';
import { TeamworkRequestBuilder } from './teamwork/teamworkRequestBuilder';
import { TodoRequestBuilder } from './todo/todoRequestBuilder';
import { DirectoryObjectItemRequestBuilder as ie63433783ab729cdddec741a9dffe4aaad5418284b12e1dc6e2c6832365f7e14 } from './transitiveMemberOf/item/directoryObjectItemRequestBuilder';
import { TransitiveMemberOfRequestBuilder } from './transitiveMemberOf/transitiveMemberOfRequestBuilder';
import { TranslateExchangeIdsRequestBuilder } from './translateExchangeIds/translateExchangeIdsRequestBuilder';
import { UserItemRequestBuilderDeleteRequestConfiguration } from './userItemRequestBuilderDeleteRequestConfiguration';
import { UserItemRequestBuilderGetRequestConfiguration } from './userItemRequestBuilderGetRequestConfiguration';
import { UserItemRequestBuilderPatchRequestConfiguration } from './userItemRequestBuilderPatchRequestConfiguration';
import { WipeManagedAppRegistrationsByDeviceTagRequestBuilder } from './wipeManagedAppRegistrationsByDeviceTag/wipeManagedAppRegistrationsByDeviceTagRequestBuilder';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to manage the collection of user entities. */
export declare class UserItemRequestBuilder {
    /** The activities property */
    get activities(): ActivitiesRequestBuilder;
    /** The agreementAcceptances property */
    get agreementAcceptances(): AgreementAcceptancesRequestBuilder;
    /** The appRoleAssignments property */
    get appRoleAssignments(): AppRoleAssignmentsRequestBuilder;
    /** The assignLicense property */
    get assignLicense(): AssignLicenseRequestBuilder;
    /** The authentication property */
    get authentication(): AuthenticationRequestBuilder;
    /** The calendar property */
    get calendar(): CalendarRequestBuilder;
    /** The calendarGroups property */
    get calendarGroups(): CalendarGroupsRequestBuilder;
    /** The calendars property */
    get calendars(): CalendarsRequestBuilder;
    /** The calendarView property */
    get calendarView(): CalendarViewRequestBuilder;
    /** The changePassword property */
    get changePassword(): ChangePasswordRequestBuilder;
    /** The chats property */
    get chats(): ChatsRequestBuilder;
    /** The checkMemberGroups property */
    get checkMemberGroups(): CheckMemberGroupsRequestBuilder;
    /** The checkMemberObjects property */
    get checkMemberObjects(): CheckMemberObjectsRequestBuilder;
    /** The contactFolders property */
    get contactFolders(): ContactFoldersRequestBuilder;
    /** The contacts property */
    get contacts(): ContactsRequestBuilder;
    /** The createdObjects property */
    get createdObjects(): CreatedObjectsRequestBuilder;
    /** The deviceManagementTroubleshootingEvents property */
    get deviceManagementTroubleshootingEvents(): DeviceManagementTroubleshootingEventsRequestBuilder;
    /** The directReports property */
    get directReports(): DirectReportsRequestBuilder;
    /** The drive property */
    get drive(): DriveRequestBuilder;
    /** The drives property */
    get drives(): DrivesRequestBuilder;
    /** The events property */
    get events(): EventsRequestBuilder;
    /** The exportPersonalData property */
    get exportPersonalData(): ExportPersonalDataRequestBuilder;
    /** The extensions property */
    get extensions(): ExtensionsRequestBuilder;
    /** The findMeetingTimes property */
    get findMeetingTimes(): FindMeetingTimesRequestBuilder;
    /** The followedSites property */
    get followedSites(): FollowedSitesRequestBuilder;
    /** The getMailTips property */
    get getMailTips(): GetMailTipsRequestBuilder;
    /** The getMemberGroups property */
    get getMemberGroups(): GetMemberGroupsRequestBuilder;
    /** The getMemberObjects property */
    get getMemberObjects(): GetMemberObjectsRequestBuilder;
    /** The inferenceClassification property */
    get inferenceClassification(): InferenceClassificationRequestBuilder;
    /** The insights property */
    get insights(): InsightsRequestBuilder;
    /** The joinedTeams property */
    get joinedTeams(): JoinedTeamsRequestBuilder;
    /** The licenseDetails property */
    get licenseDetails(): LicenseDetailsRequestBuilder;
    /** The mailFolders property */
    get mailFolders(): MailFoldersRequestBuilder;
    /** The managedAppRegistrations property */
    get managedAppRegistrations(): ManagedAppRegistrationsRequestBuilder;
    /** The managedDevices property */
    get managedDevices(): ManagedDevicesRequestBuilder;
    /** The manager property */
    get manager(): ManagerRequestBuilder;
    /** The memberOf property */
    get memberOf(): MemberOfRequestBuilder;
    /** The messages property */
    get messages(): MessagesRequestBuilder;
    /** The oauth2PermissionGrants property */
    get oauth2PermissionGrants(): Oauth2PermissionGrantsRequestBuilder;
    /** The onenote property */
    get onenote(): OnenoteRequestBuilder;
    /** The onlineMeetings property */
    get onlineMeetings(): OnlineMeetingsRequestBuilder;
    /** The outlook property */
    get outlook(): OutlookRequestBuilder;
    /** The ownedDevices property */
    get ownedDevices(): OwnedDevicesRequestBuilder;
    /** The ownedObjects property */
    get ownedObjects(): OwnedObjectsRequestBuilder;
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The people property */
    get people(): PeopleRequestBuilder;
    /** The photo property */
    get photo(): PhotoRequestBuilder;
    /** The photos property */
    get photos(): PhotosRequestBuilder;
    /** The planner property */
    get planner(): PlannerRequestBuilder;
    /** The presence property */
    get presence(): PresenceRequestBuilder;
    /** The registeredDevices property */
    get registeredDevices(): RegisteredDevicesRequestBuilder;
    /** The removeAllDevicesFromManagement property */
    get removeAllDevicesFromManagement(): RemoveAllDevicesFromManagementRequestBuilder;
    /** The reprocessLicenseAssignment property */
    get reprocessLicenseAssignment(): ReprocessLicenseAssignmentRequestBuilder;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** The restore property */
    get restore(): RestoreRequestBuilder;
    /** The revokeSignInSessions property */
    get revokeSignInSessions(): RevokeSignInSessionsRequestBuilder;
    /** The scopedRoleMemberOf property */
    get scopedRoleMemberOf(): ScopedRoleMemberOfRequestBuilder;
    /** The sendMail property */
    get sendMail(): SendMailRequestBuilder;
    /** The settings property */
    get settings(): SettingsRequestBuilder;
    /** The teamwork property */
    get teamwork(): TeamworkRequestBuilder;
    /** The todo property */
    get todo(): TodoRequestBuilder;
    /** The transitiveMemberOf property */
    get transitiveMemberOf(): TransitiveMemberOfRequestBuilder;
    /** The translateExchangeIds property */
    get translateExchangeIds(): TranslateExchangeIdsRequestBuilder;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /** The wipeManagedAppRegistrationsByDeviceTag property */
    get wipeManagedAppRegistrationsByDeviceTag(): WipeManagedAppRegistrationsByDeviceTagRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.activities.item collection
     * @param id Unique identifier of the item
     * @returns a userActivityItemRequestBuilder
     */
    activitiesById(id: string): UserActivityItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.agreementAcceptances.item collection
     * @param id Unique identifier of the item
     * @returns a agreementAcceptanceItemRequestBuilder
     */
    agreementAcceptancesById(id: string): AgreementAcceptanceItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.appRoleAssignments.item collection
     * @param id Unique identifier of the item
     * @returns a appRoleAssignmentItemRequestBuilder
     */
    appRoleAssignmentsById(id: string): AppRoleAssignmentItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.calendarGroups.item collection
     * @param id Unique identifier of the item
     * @returns a calendarGroupItemRequestBuilder
     */
    calendarGroupsById(id: string): CalendarGroupItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.calendars.item collection
     * @param id Unique identifier of the item
     * @returns a calendarItemRequestBuilder
     */
    calendarsById(id: string): CalendarItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.calendarView.item collection
     * @param id Unique identifier of the item
     * @returns a eventItemRequestBuilder
     */
    calendarViewById(id: string): id3b0f8d7750ef07c7c51c3665fd3af3a01ad07e883ee0764d77a38f1b1ba3fdf;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.chats.item collection
     * @param id Unique identifier of the item
     * @returns a chatItemRequestBuilder
     */
    chatsById(id: string): ChatItemRequestBuilder;
    /**
     * Instantiates a new UserItemRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.contactFolders.item collection
     * @param id Unique identifier of the item
     * @returns a contactFolderItemRequestBuilder
     */
    contactFoldersById(id: string): ContactFolderItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.contacts.item collection
     * @param id Unique identifier of the item
     * @returns a contactItemRequestBuilder
     */
    contactsById(id: string): ContactItemRequestBuilder;
    /**
     * In this tutorial, a fictitious company called Contoso Limited wishes to have its IT Helpdesk manage the lifecycle of employees’ access. The company has identified the Azure AD User Administrator role as the appropriate privileged role required by IT Helpdesk, and will use the PIM API to assign the role. You'll create a role-assignable security group for IT Helpdesk and using the PIM API, assign the security group eligibility to the User Administrator role. By assigning the eligible role to a security group, Contoso has a more efficient way to manage administrator access to resources such as Azure AD roles. For example: Assigning eligibility instead of a persistently active User Administrator privilege allows the company to enforce **just-in-time access**, which grants temporary permissions to carry out the privileged tasks. After defining the role eligibility, the eligible group member then activates their assignment for a temporary period. All records of role activations will be auditable by the company.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createDeleteRequestInformation(requestConfiguration?: UserItemRequestBuilderDeleteRequestConfiguration | undefined): RequestInformation;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.createdObjects.item collection
     * @param id Unique identifier of the item
     * @returns a directoryObjectItemRequestBuilder
     */
    createdObjectsById(id: string): if3aa3c8c1d4c5b40c695a98805baefd351b0d91d53e7bcb61f08f4534db827d9;
    createGetRequestInformation(requestConfiguration?: UserItemRequestBuilderGetRequestConfiguration | undefined): RequestInformation;
    /**
     * This article provides examples of how to assign, update, or remove different types of custom security attributes for users and applications (service principals). Custom security attributes can be assigned or updated only through a `PATCH` operation in an [Update user](/graph/api/user-update?view=graph-rest-beta&preserve-view=true) or [Update servicePrincipal](/graph/api/serviceprincipal-update?view=graph-rest-beta&preserve-view=true) request.
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPatchRequestInformation(body: User | undefined, requestConfiguration?: UserItemRequestBuilderPatchRequestConfiguration | undefined): RequestInformation;
    /**
     * In this tutorial, a fictitious company called Contoso Limited wishes to have its IT Helpdesk manage the lifecycle of employees’ access. The company has identified the Azure AD User Administrator role as the appropriate privileged role required by IT Helpdesk, and will use the PIM API to assign the role. You'll create a role-assignable security group for IT Helpdesk and using the PIM API, assign the security group eligibility to the User Administrator role. By assigning the eligible role to a security group, Contoso has a more efficient way to manage administrator access to resources such as Azure AD roles. For example: Assigning eligibility instead of a persistently active User Administrator privilege allows the company to enforce **just-in-time access**, which grants temporary permissions to carry out the privileged tasks. After defining the role eligibility, the eligible group member then activates their assignment for a temporary period. All records of role activations will be auditable by the company.
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    delete(requestConfiguration?: UserItemRequestBuilderDeleteRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.deviceManagementTroubleshootingEvents.item collection
     * @param id Unique identifier of the item
     * @returns a deviceManagementTroubleshootingEventItemRequestBuilder
     */
    deviceManagementTroubleshootingEventsById(id: string): DeviceManagementTroubleshootingEventItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.directReports.item collection
     * @param id Unique identifier of the item
     * @returns a directoryObjectItemRequestBuilder
     */
    directReportsById(id: string): ie4f7a3adc11feb16fc44557a4d5a2e2ae50e64f4641f289eb2036f52124e4dc5;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.drives.item collection
     * @param id Unique identifier of the item
     * @returns a driveItemRequestBuilder
     */
    drivesById(id: string): DriveItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.events.item collection
     * @param id Unique identifier of the item
     * @returns a eventItemRequestBuilder
     */
    eventsById(id: string): idff49b5aa167ad3a60a502a055381eb631511ac272b610e97e2ee7f0205633e2;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.extensions.item collection
     * @param id Unique identifier of the item
     * @returns a extensionItemRequestBuilder
     */
    extensionsById(id: string): ExtensionItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.followedSites.item collection
     * @param id Unique identifier of the item
     * @returns a siteItemRequestBuilder
     */
    followedSitesById(id: string): SiteItemRequestBuilder;
    get(requestConfiguration?: UserItemRequestBuilderGetRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<User | undefined>;
    /**
     * Provides operations to call the getManagedAppDiagnosticStatuses method.
     * @returns a getManagedAppDiagnosticStatusesRequestBuilder
     */
    getManagedAppDiagnosticStatuses(): GetManagedAppDiagnosticStatusesRequestBuilder;
    /**
     * Provides operations to call the getManagedAppPolicies method.
     * @returns a getManagedAppPoliciesRequestBuilder
     */
    getManagedAppPolicies(): GetManagedAppPoliciesRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.joinedTeams.item collection
     * @param id Unique identifier of the item
     * @returns a teamItemRequestBuilder
     */
    joinedTeamsById(id: string): TeamItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.licenseDetails.item collection
     * @param id Unique identifier of the item
     * @returns a licenseDetailsItemRequestBuilder
     */
    licenseDetailsById(id: string): LicenseDetailsItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.mailFolders.item collection
     * @param id Unique identifier of the item
     * @returns a mailFolderItemRequestBuilder
     */
    mailFoldersById(id: string): MailFolderItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.managedAppRegistrations.item collection
     * @param id Unique identifier of the item
     * @returns a managedAppRegistrationItemRequestBuilder
     */
    managedAppRegistrationsById(id: string): ManagedAppRegistrationItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.managedDevices.item collection
     * @param id Unique identifier of the item
     * @returns a managedDeviceItemRequestBuilder
     */
    managedDevicesById(id: string): ManagedDeviceItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.memberOf.item collection
     * @param id Unique identifier of the item
     * @returns a directoryObjectItemRequestBuilder
     */
    memberOfById(id: string): i18f52bf6bc5c1c8b3304492b981916ccf9ebb43631988ec15e02d772cfb00573;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.messages.item collection
     * @param id Unique identifier of the item
     * @returns a messageItemRequestBuilder
     */
    messagesById(id: string): MessageItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.oauth2PermissionGrants.item collection
     * @param id Unique identifier of the item
     * @returns a oAuth2PermissionGrantItemRequestBuilder
     */
    oauth2PermissionGrantsById(id: string): OAuth2PermissionGrantItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.onlineMeetings.item collection
     * @param id Unique identifier of the item
     * @returns a onlineMeetingItemRequestBuilder
     */
    onlineMeetingsById(id: string): OnlineMeetingItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.ownedDevices.item collection
     * @param id Unique identifier of the item
     * @returns a directoryObjectItemRequestBuilder
     */
    ownedDevicesById(id: string): i2aef51b84a32beb2693af5b7b8a2f55a4fd109a7efad565592698239164d682a;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.ownedObjects.item collection
     * @param id Unique identifier of the item
     * @returns a directoryObjectItemRequestBuilder
     */
    ownedObjectsById(id: string): i058626e962792aedcea1eb90a3e6876666fcf8731682e43a2bde0e3625fa31da;
    /**
     * This article provides examples of how to assign, update, or remove different types of custom security attributes for users and applications (service principals). Custom security attributes can be assigned or updated only through a `PATCH` operation in an [Update user](/graph/api/user-update?view=graph-rest-beta&preserve-view=true) or [Update servicePrincipal](/graph/api/serviceprincipal-update?view=graph-rest-beta&preserve-view=true) request.
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     */
    patch(body: User | undefined, requestConfiguration?: UserItemRequestBuilderPatchRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<void>;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.people.item collection
     * @param id Unique identifier of the item
     * @returns a personItemRequestBuilder
     */
    peopleById(id: string): PersonItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.photos.item collection
     * @param id Unique identifier of the item
     * @returns a profilePhotoItemRequestBuilder
     */
    photosById(id: string): ProfilePhotoItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.registeredDevices.item collection
     * @param id Unique identifier of the item
     * @returns a directoryObjectItemRequestBuilder
     */
    registeredDevicesById(id: string): i7d79802aaceac043beca51df3db3db8ed8431b0c91cd8325b5b0abf2ead40bcb;
    /**
     * Provides operations to call the reminderView method.
     * @param EndDateTime Usage: EndDateTime='{EndDateTime}'
     * @param StartDateTime Usage: StartDateTime='{StartDateTime}'
     * @returns a reminderViewWithStartDateTimeWithEndDateTimeRequestBuilder
     */
    reminderViewWithStartDateTimeWithEndDateTime(endDateTime: string | undefined, startDateTime: string | undefined): ReminderViewWithStartDateTimeWithEndDateTimeRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.scopedRoleMemberOf.item collection
     * @param id Unique identifier of the item
     * @returns a scopedRoleMembershipItemRequestBuilder
     */
    scopedRoleMemberOfById(id: string): ScopedRoleMembershipItemRequestBuilder;
    /**
     * Gets an item from the github.com/microsoftgraph/msgraph-sdk-typescript/.users.item.transitiveMemberOf.item collection
     * @param id Unique identifier of the item
     * @returns a directoryObjectItemRequestBuilder
     */
    transitiveMemberOfById(id: string): ie63433783ab729cdddec741a9dffe4aaad5418284b12e1dc6e2c6832365f7e14;
}
