"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UsersRequestBuilderGetQueryParameters = void 0;
/** Retrieve a list of [user](../resources/user.md) objects. This operation returns by default only a subset of the more commonly used properties for each user. These _default_ properties are noted in the [Properties](../resources/user.md#properties) section. To get properties that are _not_ returned by default, do a [GET operation](user-get.md) for the user and specify the properties in a `$select` OData query option. */
class UsersRequestBuilderGetQueryParameters {
    /**
     * Maps the query parameters names to their encoded names for the URI template parsing.
     * @param originalName The original query parameter name in the class.
     * @returns a string
     */
    getQueryParameter(originalName) {
        if (!originalName)
            throw new Error("originalName cannot be undefined");
        switch (originalName) {
            case "count": return "%24count";
            case "expand": return "%24expand";
            case "filter": return "%24filter";
            case "orderby": return "%24orderby";
            case "search": return "%24search";
            case "select": return "%24select";
            case "skip": return "%24skip";
            case "top": return "%24top";
            default: return originalName;
        }
    }
    ;
}
exports.UsersRequestBuilderGetQueryParameters = UsersRequestBuilderGetQueryParameters;
