import { Permission } from '../../../models/';
import { CreateLinkRequestBuilderPostRequestConfiguration } from './createLinkRequestBuilderPostRequestConfiguration';
import { CreateLinkPostRequestBody } from './index';
import { RequestAdapter, RequestInformation, ResponseHandler } from '@microsoft/kiota-abstractions';
/** Provides operations to call the createLink method. */
export declare class CreateLinkRequestBuilder {
    /** Path parameters for the request */
    private readonly pathParameters;
    /** The request adapter to use to execute the requests. */
    private readonly requestAdapter;
    /** Url template to use to build the URL for the current request builder */
    private readonly urlTemplate;
    /**
     * Instantiates a new CreateLinkRequestBuilder and sets the default values.
     * @param pathParameters The raw url or the Url template parameters for the request.
     * @param requestAdapter The request adapter to use to execute the requests.
     */
    constructor(pathParameters: Record<string, unknown> | string | undefined, requestAdapter: RequestAdapter);
    /**
     * Invoke action createLink
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @returns a RequestInformation
     */
    createPostRequestInformation(body: CreateLinkPostRequestBody | undefined, requestConfiguration?: CreateLinkRequestBuilderPostRequestConfiguration | undefined): RequestInformation;
    /**
     * Invoke action createLink
     * @param body
     * @param requestConfiguration Configuration for the request such as headers, query parameters, and middleware options.
     * @param responseHandler Response handler to use in place of the default response handling provided by the core service
     * @returns a Promise of Permission
     */
    post(body: CreateLinkPostRequestBody | undefined, requestConfiguration?: CreateLinkRequestBuilderPostRequestConfiguration | undefined, responseHandler?: ResponseHandler | undefined): Promise<Permission | undefined>;
}
