"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MalwareState = void 0;
class MalwareState {
    /**
     * Instantiates a new malwareState and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    /**
     * Gets the category property value. Provider-generated malware category (for example, trojan, ransomware, etc.).
     * @returns a string
     */
    get category() {
        return this._category;
    }
    ;
    /**
     * Sets the category property value. Provider-generated malware category (for example, trojan, ransomware, etc.).
     * @param value Value to set for the category property.
     */
    set category(value) {
        this._category = value;
    }
    ;
    ;
    /**
     * Gets the family property value. Provider-generated malware family (for example, 'wannacry', 'notpetya', etc.).
     * @returns a string
     */
    get family() {
        return this._family;
    }
    ;
    /**
     * Sets the family property value. Provider-generated malware family (for example, 'wannacry', 'notpetya', etc.).
     * @param value Value to set for the family property.
     */
    set family(value) {
        this._family = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "category": n => { this.category = n.getStringValue(); },
            "family": n => { this.family = n.getStringValue(); },
            "name": n => { this.name = n.getStringValue(); },
            "severity": n => { this.severity = n.getStringValue(); },
            "wasRunning": n => { this.wasRunning = n.getBooleanValue(); },
        };
    }
    ;
    /**
     * Gets the name property value. Provider-generated malware variant name (for example, Trojan:Win32/Powessere.H).
     * @returns a string
     */
    get name() {
        return this._name;
    }
    ;
    /**
     * Sets the name property value. Provider-generated malware variant name (for example, Trojan:Win32/Powessere.H).
     * @param value Value to set for the name property.
     */
    set name(value) {
        this._name = value;
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("category", this.category);
        writer.writeStringValue("family", this.family);
        writer.writeStringValue("name", this.name);
        writer.writeStringValue("severity", this.severity);
        writer.writeBooleanValue("wasRunning", this.wasRunning);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the severity property value. Provider-determined severity of this malware.
     * @returns a string
     */
    get severity() {
        return this._severity;
    }
    ;
    /**
     * Sets the severity property value. Provider-determined severity of this malware.
     * @param value Value to set for the severity property.
     */
    set severity(value) {
        this._severity = value;
    }
    ;
    /**
     * Gets the wasRunning property value. Indicates whether the detected file (malware/vulnerability) was running at the time of detection or was detected at rest on the disk.
     * @returns a boolean
     */
    get wasRunning() {
        return this._wasRunning;
    }
    ;
    /**
     * Sets the wasRunning property value. Indicates whether the detected file (malware/vulnerability) was running at the time of detection or was detected at rest on the disk.
     * @param value Value to set for the wasRunning property.
     */
    set wasRunning(value) {
        this._wasRunning = value;
    }
    ;
}
exports.MalwareState = MalwareState;
