"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.VulnerabilityState = void 0;
class VulnerabilityState {
    /**
     * Instantiates a new vulnerabilityState and sets the default values.
     */
    constructor() {
        this._additionalData = {};
    }
    /**
     * Gets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @returns a Record<string, unknown>
     */
    get additionalData() {
        return this._additionalData;
    }
    ;
    /**
     * Sets the additionalData property value. Stores additional data not described in the OpenAPI description found when deserializing. Can be used for serialization as well.
     * @param value Value to set for the AdditionalData property.
     */
    set additionalData(value) {
        this._additionalData = value;
    }
    ;
    ;
    /**
     * Gets the cve property value. Common Vulnerabilities and Exposures (CVE) for the vulnerability.
     * @returns a string
     */
    get cve() {
        return this._cve;
    }
    ;
    /**
     * Sets the cve property value. Common Vulnerabilities and Exposures (CVE) for the vulnerability.
     * @param value Value to set for the cve property.
     */
    set cve(value) {
        this._cve = value;
    }
    ;
    /**
     * The deserialization information for the current model
     * @returns a Record<string, (node: ParseNode) => void>
     */
    getFieldDeserializers() {
        return {
            "cve": n => { this.cve = n.getStringValue(); },
            "severity": n => { this.severity = n.getStringValue(); },
            "wasRunning": n => { this.wasRunning = n.getBooleanValue(); },
        };
    }
    ;
    /**
     * Serializes information the current object
     * @param writer Serialization writer to use to serialize this model
     */
    serialize(writer) {
        if (!writer)
            throw new Error("writer cannot be undefined");
        writer.writeStringValue("cve", this.cve);
        writer.writeStringValue("severity", this.severity);
        writer.writeBooleanValue("wasRunning", this.wasRunning);
        writer.writeAdditionalData(this.additionalData);
    }
    ;
    /**
     * Gets the severity property value. Base Common Vulnerability Scoring System (CVSS) severity score for this vulnerability.
     * @returns a string
     */
    get severity() {
        return this._severity;
    }
    ;
    /**
     * Sets the severity property value. Base Common Vulnerability Scoring System (CVSS) severity score for this vulnerability.
     * @param value Value to set for the severity property.
     */
    set severity(value) {
        this._severity = value;
    }
    ;
    /**
     * Gets the wasRunning property value. Indicates whether the detected vulnerability (file) was running at the time of detection or was the file detected at rest on the disk.
     * @returns a boolean
     */
    get wasRunning() {
        return this._wasRunning;
    }
    ;
    /**
     * Sets the wasRunning property value. Indicates whether the detected vulnerability (file) was running at the time of detection or was the file detected at rest on the disk.
     * @param value Value to set for the wasRunning property.
     */
    set wasRunning(value) {
        this._wasRunning = value;
    }
    ;
}
exports.VulnerabilityState = VulnerabilityState;
